The ExpressPrinting System - Introduction

The ExpressPrinting System allows you to bring the advanced presentation features of Developer Express products such as the ExpressQuantumGrid and QuantumTreeList, and other TWinControls, to the printed page. It enables you to easily design and print elegant reports based on standard and third-party VCL components.

Like all Developer Express technologies, the ExpressPrinting System insures your ability to put control back in the hands of your end-users via a runtime interface that is simple to use, with an astounding level of flexibility. It gives you the power to quickly add superior reporting interfaces to your programs without designing a single report. Additionally, the ExpressPrinting System includes an open architecture so that you can add extensions to print components from Borland and other third-party vendors. Simply said, the ExpressPrinting System provides you with unlimited options for data presentation on the printed page.

To create a report with the ExpressPrinting System, just drop the TdxComponentPrinter component onto a form and specify components to be printed. With the help of the Preview method, call the preview window that provides a visual representation of a report. You can print it directly from the preview window or via specific methods (PrintEx, PrintPages, PrintPagesEx) to maintain closer control over the printing process. The ExpressPrinting System provides full support for design and runtime preview windows. You can obtain any preview window you need – the only thing you have to do is to define some of its properties at design-time.

The ExpressPrinting System includes events that help you display progress indicators when building or printing a report, which consumes an excessive amount of time.

The ExpressPrinting System incorporates report links to print components. Report links offer a very wide range of methods and properties to customize a report’s look and page attributes and includes specific designers that provide visual customization of a report.

IMPORTANT: The printing component only prints VCL (or third-party) component classes provided with report links.

Here is the list of report links available:

Report links

Components

TBasedxReportLink

-

TdxDBTreeListReportLink

TdxDBTreeList ExpressQuantumDBTreeList

TdxTreeListReportLink

TdxTreeList ExpressQuantumTreeList

TdxDBGridReportLink

TdxDBGrid ExpressQuantumGrid

TdxFlowChartReportLink

TdxFlowChart ExpressFlowChart

TdxOrgChartReportLink

TdxOrgChart ExpressOrgChart

TdxDBOrgChartReportLink

TdxDBOrgChart ExpressDBOrgChart

TdxInspectorReportLink

TdxInspector ExpressInspector

TdxDBInspectorReportLink

TdxDBInspector ExpressDBInspector

TdxTreeViewReportLink

TdxTreeView ExpressTreeView

TdxDBTreeViewReportLink

TdxDBTreeView ExpressDBTreeView

TdxMasterViewReportLink

TdxMasterView ExpressMasterView

TdxSpreadSheetReportLink

TcxSpreadSheet ExpressSpreadSheet

TdxSpreadSheetBookReportLink

TcxSpreadSheetBook ExpressSpreadSheet

TdxGridReportLink

TcxGrid ExpressQuantumGrid 5

TcxTreeListControlReportLink

ExpressQuantumTreeList 4

TcxVerticalGridReportLink

ExpressVertical Grid

TcxSchedulerReportLink

TcxScheduler ExpressScheduler / ExpressScheduler 2

TdxLayoutControlReportLink

ExpressLayout Control

TdxStringGridReportLink

TStringGrid

TdxDrawGridReportLink

TDrawGrid

TdxListBoxReportLink

TListBox

TdxCheckListBoxReportLink

TCheckListBox

TdxTeeChartReportLink

TChart

TdxDBTeeChartReportLink

TDBChart

TrxRichEditReportLink

TrxRichEdit

TdxRichEditReportLink

TRichEdit

TdxImageReportLink

TImage

TdxPictureReportLink

TPicture

TdxCompositionReportLink

-

The components included into the ExpressPrinting System suite are:

Component | Description
TdxComponentPrinter | The main component in the ExpressPrinting System suite. It holds and manages the collection of report links and provides printing methods.
TdxPrintStyleManager | Holds the print styles collection. Gives the ability to provide a set of print styles so that end users can choose the desired one before printing a report.
TdxPrintDialog | Represents a printing dialog.
TdxPageSetupDialog | Represents a page setup dialog.
TdxPSEngineController | Provides common settings for the ExpressPrinting System elements.
TdxPSFileBasedExplorer | Provides report exploring facilities for the print preview window. The reports being explored are stored in files.
TdxPSDBBasedExplorer | Provides report exploring facilities for the print preview window. The reports being explored are stored in a database.


Installation Notes

The ExpressPrinting System installs packages for all the report links included in the suite. At the same time, only packages that have corresponding controls installed are enabled. For instance, if you don’t have the ExpressQuantumTreeList 4 Suite installed the package with the corresponding report link will be installed but disabled. If you install the suite later, you can use the following ways to enable the corresponding report link’s package.

  • Choose the Component | Install Packages… menu item and enable the desired report link’s package in the invoked dialog.

  • Run the ExpressPrinting System installation in the Repair mode.

There may be cases, however, when packages without corresponding controls are also enabled. This can take place for instance, after incorrect uninstalling of controls. In this case, the IDE (either Delphi or C++ Builder) will try to load these packages when run for the first time after the ExpressPrinting System installation. Each time the IDE fails to install a package since the corresponding control is not currently installed, it will notify you with an error dialog box. We recommend that you choose not to load these packages at the next IDE startup. If the desired controls are installed later, you can choose one of the two ways described above to enable the corresponding report link packages.

We also recommend that you run the ExpressPrinting System installation after you have installed all the controls you need report links for. In this case, all the report links packages for those controls are automatically enabled.


How To Get Support

The goal of our support team is to answer and alleviate any problems you might encounter when using our components. Feel free to contact us should any tech support issues arise.

E-mail:

support@devexpress.com

You can address any suggestions, comments, complaints or good thoughts to:

suggest@devexpress.com

ExpressSupport Forum:

Visit the ExpressSupportForum at http://www.devexpress.com/dxforum to ask questions from our support team, find knowledge base articles on our components, tips and tricks, and a myriad of working samples with full source code.

Newsgroups:

news.devexpress.com

Please note that these newsgroups are peer-to-peer in nature. Developer Express does not offer any formal support in any of its newsgroups. Support is available using the ExpressSupport Forum and by writing to our support team at: support@devexpress.com. Of course, Developer Express team members will be monitoring these newsgroups and assisting our users where applicable.


What's new in ExpressScheduler 3 Report Link

See Also

This topic covers the new features in the ExpressScheduler 3 report link release.

The following changes have been made to the new report link:

  • The TimeLine print style (see the TcxSchedulerReportLinkTimeLinePrintStyle class) – provides reports for TimeGrid and Gantt Views:

  • All the classes (as legal ones from the ExpressScheduler and ExpressScheduler 2 report links), and new classes that implement the ExpressScheduler 3 report link, are now contained in the dxPScxScheduler3Lnk unit.


What's new in ExpressScheduler 2 Report Link

See Also

This topic covers the new features in the ExpressScheduler 2 report link release.

The following changes have been made to the new report link:

  • The Yearly print style (see the TcxSchedulerReportLinkYearlyPrintStyle class) – specifies the print view as a year per page:

The Yearly print style provides an end-user with an overview on long-term user events .

This print view is not a fixed plan. An end-user can split months across pages, as shown in the following image:

When coding, developers can perform this operation by using the TcxSchedulerReportLinkYearlyPrintStyle.MonthCountPerPage property.

The report also allows developers to specify on which pages the report headers will reside, if months are split in two pages (see the TcxSchedulerReportLinkYearlyPrintStyle.PrimaryPageHeadersOnly and TcxCustomSchedulerReportLinkPrintStyle.Layout properties).

  • Support for most of scheduler new features (which have been added to Time Views) in reports.

  • All the classes (as legal ones from the ExpressScheduler report link, and new classes), which implement the ExpressScheduler 2 report link, are now contained in the dxPScxScheduler2Lnk unit.


Step 1 - Control Printing Basics

Step 1 – Control Printing Basics

This topic will show you the minimum steps required to print a control. Later topics in this quick start guide will consider some printing capabilities in more detail. For this example a list box control will be used.

Follow the steps below:

  • Create a new application.

  • Drag the TdxComponentPrinter component onto the form.

  • Drag a list box control onto the form. Select the control to display its properties within the Object Inspector window. Click on the button located at the right of Items property (which corresponds to items), this will invoke the items collection editor. Add items as shown in the image below and then click on the OK button to close the dialog and save your changes.

  • Right-click on the TdxComponentPrinter component and choose the Report Links… item from the context menu, which will then invoke the report links collection editor.

  • Click on the Add… button, from the invoked dialog to choose the list box control and then click on the OK button. This will add a report link to the component printer, which will later be used to print the list box control.

Note that a custom name has been entered into the dialog’s Name field. That name will be used to refer to the report link directly in code.

  • Close the report links collection editor. Drag a button control onto the form and change its caption to ‘Print the ListBox’. Then write the following code for the button’s OnClick event handler.

// Delphi

procedure TForm1.Button1Click(Sender: TObject);

begin

dxComponentPrinter1.Preview(True, listBoxReportLink);

end;

This code will invoke the print preview window so that end users are able to customize the printer page settings and then print the list box control.

  • Run the application. Click on the "Print the ListBox" button to invoke the print preview dialog.

To save a report as a file open the File menu and click Save… (see also the TBasedxReportLink.SaveDataToFile and TBasedxReportLink.SaveDataToStream methods).

The file dialog will appear. Select the folder in which to save the file and type in a name for it. To load a report saved as a file into the preview window choose the Load… menu item (see also the TBasedxReportLink.LoadDataFromFile and TBasedxReportLink.LoadDataFromStream methods). If after a saved report has been loaded into the preview window you need to restore the report that was displayed prior to the current report being loaded use the Unload menu item.

Note: You may need to print a component directly (without displaying the print preview window first). For this purpose, you should call the component printer’s Print or PrintEx method instead of the Preview method.


Step 2 - Using Report Designers

Most report links provided by the ExpressPrinting System provide designer forms to enable you and end users to customize the printed control’s appearance. This topic gives you a brief overview of such designers and methods used to invoke them. It is assumed that you have completed the step one in this quick start guide before reading this topic.

Follow the steps below:

  • Right-click the TdxComponentPrinter component and choose the context menu’s Report Links… item. This will invoke the report links collection editor with a single report link which was created in the previous step.

  • Click on the link to select it and then on the Show Designer… button to invoke the link’s designer dialog.

As you can see, the designer displays a number of tabs which enable you to customize the visibility of particular elements, fonts and colors used to print the component etc. The designer dialog also shows you a sample of a report preview so you can see how particular options will affect the report.

Note the Restore Defaults and Restore Original buttons at the designer dialog’s bottom edge, these buttons are available at design-time only. The Restore Defaults button enables you to reset all options to their default state, the Restore Original button copies settings from the control itself. If printing a list box, clicking on the Restore Original button will assign the control’s font settings to the report link and will reset the background colors to white.

  • Run the application. Click on the Print the ListBox button which was created in the previous step. In the preview window click on the Design Report button within the toolbar or choose the File | Design… menu item, the report link’s designer dialog will then be invoked.

Note that the Restore Defaults and Restore Original buttons are unavailable now. The report designer dialog now shows the Title Properties… button in their place.

  • Click on the Title Properties… button to invoke the Report Title dialog. This dialog enables you to specify the report’s title, its appearance and display mode (printed once on the first page or at the top of each page).

  • Type the ‘ListBox Report Title’ string within the memo editor and switch to the Properties page.

  • Choose the Left option from the horizontal alignment combo box and click on the OK button to close the dialog saving any changes.

  • In the Format Report dialog, click on the OK button to return to the report link’s print preview. Now you’ll see that the left-aligned report caption is printed at the top of the page.

  • Close the application. Add a new button to the form, set the button’s caption to ‘Design Report’ and write the following handler for the button’s OnClick event.

// Delphi

procedure TForm1.Button2Click(Sender: TObject);

begin

listBoxReportLink.DesignReport;

end;

  • Run the application. Now you can click on the Design Report button to invoke the report designer.

Note: You can also access all the settings that are available via a report link’s designer window by using that report link’s published properties (so you should select the report link and use the Object Inspector window for this purpose). The report’s title properties are available via a report link’s ReportTitle property. You can click on the button located at the right of each property, which corresponds to that property to invoke the Report Title dialog as shown in the images above.


Step 3 - Customizing the Printed Page

The ExpressPrinting System gives you total control over printed pages. It enables you to customize margins, header and footer content, report layout within the printed pages etc. This topic provides a brief overview of methods that can be used to customize the printed page at design-time. Note that the topic assumes that you’ve successfully completed the previous two steps in this Quick Start guide before proceeding.

Follow the steps below:

  • Invoke the report link collection editor, the single report link created in the first step will be available. Click on the link to select it, click the Page Setup… button which will invoke the page setup dialog.

  • Switch to the Margins page and increase the left margin by dragging it with the mouse.

Note that this page also allows you to center the report within the printed page. Use the check boxes at the page’s bottom edge for this purpose.

  • Switch to the Header\Footer page, this page enables you to customize the header and footer content. You can use a number of reserved character sequences that will be replaced with service information when printing. Such character sequences can be used to display the current time, page number, etc; you can enter these using the buttons located within the Predefined Functions group box. You can also type in any static text you need. The image below shows the Header\Footer page with the customized header content.

  • Click on the Background button which corresponds to page headers. This will invoke a popup window allowing you to choose a fill color, reset the color to transparent or specify a custom filling (pattern or image). Select the light green color.

Note that choosing the Fill Effects… option invokes the Fill Effects dialog which will be mentioned later.

  • Click on the OK button to close the page setup dialog saving the changes made.

  • Click on the button which corresponds to the link’s PrintedPage.Background property. This will invoke the Fill Effects dialog, used to specify how the printed page’s background will be filled. Select the White Marble texture and click on the OK button to close the dialog saving the changes made.

  • Run the application and click on the Print the ListBox button to invoke the print preview window. The image below shows the report’s appearance after the printed page has been customized.

  • Note that you can also invoke the Page Setup and Fill Effects dialogs at runtime. Add two more buttons to the form, set their captions to ‘Page Setup’ and ‘Fill Effects’ and write the following handlers for their OnClick events.

// Delphi

procedure TForm1.Button3Click(Sender: TObject);

begin

listBoxReportLink.PageSetup;

end;

procedure TForm1.Button4Click(Sender: TObject);

begin

listBoxReportLink.PrinterPage.Background.SetupEffects;

end;

  • Run the application and try using the buttons created.

Note: End users can also invoke both these dialogs at runtime, using the Page Setup and Background toolbar buttons within the print preview window or alternatively they can use the File | Page Setup… and Format | Background… menu items respectively.


Step 4 - Printing Multiple Controls

This step will show you two ways to print several controls at once (using a single report link). The first approach uses a report link of a special type (composition report link), whilst the second approach implies printing container controls.

Follow the steps below:

  • Add a list box onto the form and fill it with items, as shown in the image below:

  • Invoke the link collection editor. Add a report link for the list box control, which was created in the first step of this guide.

  • Click on the down button, near the Add… button and choose the dropdown menu’s Add Standard… item. Select the TdxCompositionReportLink item and click on the OK button, an empty composition report link will be added to the links collection.

  • Select the composition link added and then click on the Show Designer… button. Add a new item to the collection editor invoked and set the item’s ReportLink property to be the report link created for the first list box.

  • Add one more item to the collection and set this item’s ReportLink property to be the report link created for the second list box control.

  • Close the collection editor and click on the Preview… button, the image below shows the result. As you can see, each individual report is printed on an individual page.

  • Now let’s consider how multiple controls can be printed on a single page. To do this, add a report link whose source component is the form. The next image shows how to do this.

  • Click on the Show Designer… button to invoke the report link’s designer. Switch to the Controls page and uncheck the entries which correspond to button controls so that buttons are not printed. Then click on the OK button to close the designer dialog saving the changes made.

  • Click on the Preview… button to show the form’s print preview. The image below shows the result, as you can see, both list boxes are printed on a single page.


Custom Drawing the Scheduler's Report

See Also

This topic describes how to custom draw the scheduler’s report.

The following image shows the report’s elements:

Note: the report is shown when the Daily print style is active (see the TcxSchedulerReportLinkPrintStyles.Daily property).

The scheduler’s report generating component (see the TcxSchedulerReportLink class) provides the means to custom paint the report’s various elements.

The following TcxSchedulerReportLink custom drawing events are provided in the table below:

Event

Description

TcxSchedulerReportLink.OnCustomDrawContentCell

Allows the time blocks in the report’s scheduling area to be custom painted.

TcxSchedulerReportLink.OnCustomDrawDateNavigatorDayCaptionCell

Allows the day captions in the report’s Date Navigator to be custom painted.

TcxSchedulerReportLink.OnCustomDrawDateNavigatorDayCell

Allows the dates in the report’s Date Navigator to be custom painted.

TcxSchedulerReportLink.OnCustomDrawDateNavigatorHeaderCell

Allows the Date Navigator ’s month header in the report to be custom painted.

TcxSchedulerReportLink.OnCustomDrawDateNavigatorWeekNumberCell

Allows the Date Navigator ’s week numbers in the report to be custom painted.

TcxSchedulerReportLink.OnCustomDrawEventPartCell

Allows the different rectangles within the user event cells in the scheduler’s report to be custom painted.

TcxSchedulerReportLink.OnCustomDrawHeaderCell

Allows the cell in which the resource and day headers are located to be custom painted.

TcxSchedulerReportLink.OnCustomDrawNotesCell

Allows the report’s notes pane whether it is the plain notes pane or the lined notes pane to be custom painted.

TcxSchedulerReportLink.OnCustomDrawSchedulerHeaderCell

Allows the scheduler's header in the report to be custom painted.

TcxSchedulerReportLink.OnCustomDrawTaskPadCell

Allows the report’s task pad to be custom painted.

TcxSchedulerReportLink.OnCustomDrawTimeRulerCell

Allows the report’s time zone to be custom painted.

Parameters provided with these events are standardised to facilitate the task of developing custom code:

Sender specifies the TcxSchedulerReportLink component.

ACanvas specifies the drawing surface.

AItem provides information for rendering the appropriate element.

ADone specifies whether the default painting is required. If ADone is True, it prevents the default execution.

Note: custom drawing can only be applied if the TcxSchedulerReportLink.SupportedCustomDraw property is True.

The following examples demonstrate how to handle some of the TcxSchedulerReportLink ‘s events listed above.

Note: the output as shown below is produced only if the TcxSchedulerReportLinkOptionsFormatting.UseNativeStyles property is set to False and the lfUltraFlat flag on the TcxSchedulerReportLinkOptionsFormatting.LookAndFeelKind property is active.

OnCustomDrawDateNavigatorDayCaptionCell

// Color the weekend’s day captions in red

// Delphi

// ...

if not (AItem.DayOfWeek in Scheduler.OptionsView.WorkDays) then

ACanvas.Font.Color := clRed;

with AItem do

ACanvas.TextOut(Left + Width - ACanvas.TextWidth(Text), Top, Text);

OnCustomDrawDateNavigatorDayCell

// Outline today's date with a border around it

// Delphi

// ...

if AItem.Date = Trunc(Now) then

begin

AItem.BorderColor := clMaroon;

AItem.CellSides := csAll;

end;

OnCustomDrawEventPartCell

// Color various areas of the scheduled user event

// Delphi

// ...

const

PartColors: array[TcxSchedulerReportEventPartType] of TColor =

($9988FE, clRed, clGreen, clBlue, $80FFFF, clYellow);

begin

ACanvas.Brush.Color := PartColors[APart];

ACanvas.FillRect(AItem.BoundsRect);

end;

Here is the code execution result:


The Scheduler's Report Designer

See Also

This topic describes the scheduler’s report designer – a dialog used to manage the report format.

An end-user uses the report designer to modify the report's settings: specify the print range, select a print style, and specify the appearance and style of the scheduler’s report.

When working with the Print Preview dialog, an end-user can open the report designer in the following manner:

  • By clicking the Design Report button on the toolbar.

  • By double-clicking within the blank rectangles of the client clipping area in the Print Preview dialog.

  • By using the Ctrl+D shortcuts.

  • By selecting the File menu’s Design… item.

The TcxfmSchedulerReportLinkDesignWindow class is responsible for the report designer implementation. In code, the report designer is invoked using the TcxfmSchedulerReportLinkDesignWindow.Execute method.

The report designer dialog contains four tabbed pages (described in the order of tabs). Associated API elements are given in parentheses.

  • Print Ranges contains Start and End combo boxes (see the TcxSchedulerReportLinkPrintRange.PrintFrom and TcxSchedulerReportLinkPrintRange.PrintTo properties). These options allow an end-user to edit the report’s date range.

  • Print Styles contains the print styles combo box and a set of corresponding options for each print style.

Eight print styles are provided to an end-user – five Time View print styles (see the TcxSchedulerReportLinkPrintStyles.Daily , TcxSchedulerReportLinkPrintStyles.Weekly , TcxSchedulerReportLinkPrintStyles.Monthly , TcxSchedulerReportLinkPrintStyles.TimeLine and TcxSchedulerReportLinkPrintStyles.Yearly properties), the Tri-fold (see the TcxSchedulerReportLinkPrintStyles.Trifold property), the Details (see the TcxSchedulerReportLinkPrintStyles.Details property) and the Memo print style (see the TcxSchedulerReportLinkPrintStyles.Memo property).

Time View print styles share the following settings:

  • Layout (see the TcxCustomSchedulerReportLinkPrintStyle.Layout property) – allows an end-user to specify how many pages are to be per period;

  • Resources per page (see the TcxCustomSchedulerReportLinkPrintStyle.ResourceCountPerPage property) – allows an end-user to specify how many resources are to be per page (except the Yearly print style);

  • Task pad and notes panes (see the TcxCustomSchedulerReportLinkPrintStyle.ShowTaskPad , TcxCustomSchedulerReportLinkPrintStyle.ShowNotesAreaBlank and TcxCustomSchedulerReportLinkPrintStyle.ShowNotesAreaLined property) – allow an end-user to specify whether the task pad, plain notes and lined notes panes are to be included in the report.

The Daily, Weekly and TimeLine print styles have common options – the report’s start and end times (see the TcxSchedulerReportLinkPrintRange.TimePrintFrom and TcxSchedulerReportLinkPrintRange.TimePrintTo properties).

The Weekly, Monthly and TimeLine print styles have the option Don’t Print Weekends – which allows end-users to specify whether weekends are to be included in the report (see the TcxCustomSchedulerReportLinkPrintStyle.DontPrintWeekends property). Additionally, the Weekly print style contains the Arrange option – allows an end-user to specify how days in the report are sorted (see the TcxSchedulerReportLinkWeeklyPrintStyle.Arrange property).

In the Monthly print style, the option Print Exactly One Month Per Page – allows an end-user to specify whether the page contains one month exactly or encompasses the dates in adjacent months (see the TcxSchedulerReportLinkMonthlyPrintStyle.PrintExactlyOneMonthPerPage property).

The TimeLine print style ( TcxSchedulerReportLinkPrintStyles.TimeLine ) allows end-users to specify the optional visibility of time scales and page headers in consequent pages (Primary Page Scales Only and Primary Page Headers Only), and also the optional visibility of nonworking time (Work Time Only).

The Yearly print style exposes one option – Primary page headers only – to specify whether to show the page header and month headers only in the first page of the scheduler’s report (see the TcxSchedulerReportLinkYearlyPrintStyle.PrimaryPageHeadersOnly property). It is in effect if the layout of the scheduler’s report is two pages per month (see the TcxCustomSchedulerReportLinkPrintStyle.Layout property).

The Tri-fold print style has options which allow an end-user to specify what views are to be included in the report’s three sections (see the TcxSchedulerReportLinkTrifoldPrintStyle.LeftSection , TcxSchedulerReportLinkTrifoldPrintStyle.MiddleSection and TcxSchedulerReportLinkTrifoldPrintStyle.RightSection properties).

The Details print style contains the option Start a New Page Each: – this option is used to specify whether to use pagination mode and if so, the type of pagination mode – by days, weeks or months (see the TcxSchedulerReportLinkDetailsPrintStyle.UsePagination and TcxSchedulerReportLinkDetailsPrintStyle.PaginationMode properties).

And lastly, the Memo print style has the following options: Start Each Item On New Page and Print Only Selected Events. The first option is used to specify whether one user event is to be displayed per page (see the TcxSchedulerReportLinkMemoPrintStyle.StartEachItemOnNewPage property) and the latter option is used to specify whether only the selected user events (or all the user events ) are to be displayed within the specified print range (see the TcxSchedulerReportLinkMemoPrintStyle.SelectedEventsOnly property).

  • Formatting contains the following options:

    • Look and Feel combo box – this option is used to specify the report appearance.

    • Suppress Background Textures checkbox (see the TcxSchedulerReportLinkOptionsFormatting.SuppressBackgroundBitmaps property) – this option is used to specify whether to show or hide the background bitmaps in the report.

    • Suppress Content Coloration checkbox (see the TcxSchedulerReportLinkOptionsFormatting.SuppressContentColoration property) – this option is used to specify whether to display the report in monochrome or in color (when in preview mode).

  • Styles contains the Use Native Styles checkbox which allows the specified styles to be applied to the corresponding report elements (see the corresponding properties of the TcxSchedulerReportLinkStyles class). An end-user can also create and store the sheets of the specified styles which then can be loaded into the report designer, if necessary.


TdxComponentPrinter

TdxComponentPrinter Object

Hierarchy Properties Methods Events

TdxComponentPrinter is used to print VCL components.

Unit

dxPSCore

TdxComponentPrinter = class(TCustomdxComponentPrinter)

Description

TdxComponentPrinter allows users to print other components. In order to print specific components, you must be certain that a report link for this component class actually exists. Use a report link object to customize print properties of a printed component.


TdxPageSetupDialog

TdxPageSetupDialog Object

Hierarchy

Properties

Methods

Events

Allows a user to customize the "Page Setup" dialog window.

Unit

dxPgsDlg

TdxPageSetupDialog = class(TComponent)

Description

The TdxPageSetupDialog component allows you to adjust the page setup dialog window as your needs dictate. All page setup options can be disabled or hidden, if necessary.


TdxPSEngineController

TdxPSEngineController Object

Hierarchy

Properties

Methods

Used to access specific settings of the ExpressPrinting System.

Unit

dxPSEngn

TdxPSEngineController = class(TComponent)

Description

All ExpressPrinting System components and windows (dialog and preview) use settings of the TdxPSEngineController component. Object settings include the registry path and help file. They also specify whether to save window positions and the manner in which preview windows are displayed (standard or flat). Use this component at design time to adjust specific settings. We recommended that you use the TdxPSEngine object at runtime.

You may place several TdxPSEngineController components onto a form. Use the Activate method to specify which of these components is active and is used by the ExpressPrinting System.


TdxPrintDialog

TdxPrintDialog Object

Hierarchy

Properties

Methods

Events

Defines printer dialog attributes.

Unit

dxPrnDlg

TdxPrintDialog = class(TComponent)

Description

TdxPrintDialog objects are used to customize numerous printer dialog attributes such as PageNums, PrinterStyle, etc.


TdxPrintStyleManager

TdxPrintStyleManager Object

Hierarchy Properties Methods Events

Allows a user to apply different print styles to a report.

Unit

dxPgsDlg

TdxPrintStyleManager = class(TComponent)

Description

The ExpressPrinting System now incorporates a Style feature. You may now print using a variety of custom setting (styles) within any report. For instance, you can print the ExpressQuantumGrid on different paper formats without any additional page setup. This feature is managed via a new component - TdxPrintStyleManager.


TdxPSFileBasedExplorer

TdxPSFileBasedExplorer Object

Hierarchy Properties Methods Events

Provides functionality to explore report documents stored at a particular path.

Unit

dxPSFileBasedXplorer

TdxPSFileBasedExplorer = class( TCustomdxPSExplorer )

Description

By default, the print preview window displays the component printer’s current link content. The TdxPSFileBasedExplorer component enables you to provide exploring capabilities to this window. To do this you should add a TdxPSFileBasedExplorer component to your application and assign it to the component printer’s Explorer property. In this case, the preview window’s menu and toolbars will contain additional items/buttons that will enable end users to display the report tree and manage individual reports. The report tree is displayed with the root path specified by the explorer component’s RootPath property.

When using the TdxPSFileBasedExplorer component, reports are stored in individual files. If this report storing method is not suitable consider using the TdxPSDBBasedExplorer component, this component stores individual reports in BLOB fields of a dataset.


TdxPSDBBasedExplorer

TdxPSDBBasedExplorer Object

Hierarchy Properties Methods Events

Represents a data-aware report explorer component.

Unit

dxPSDBBasedXplorer

TdxPSDBBasedExplorer = class( TCustomdxPSExplorer )

Description

By default the print preview window displays a single report, which has been constructed using the component printer’s current link (specified by its CurrentLink property). The TdxPSDBBasedExplorer component enables you to add exploring facilities to the print preview window. If such a component is assigned to the component printer’s Explorer property, the window will display the tree view that arranges stored reports into folders and will provide additional menu items and toolbar commands used to perform explorer specific commands.

The TdxPSDBBasedExplorer component organizes reports using two datasets. The dataset specified by the Folders property contains information about the folders structure. The Items property specifies the dataset containing item data and the folders owning those items. Note that each dataset should contain three fields specifying the folder or item’s ID, its name and the parent folder’s ID, the items dataset should additionally contain a BLOB field holding report data. The FoldersFieldNamesMap and ItemsFieldNamesMap properties enable you to specify which particular dataset fields contain the desired information.

If storing report data in a dataset field doesn’t meet your requirements consider using the TdxPSFileBasedExplorer component, this component enables you to store reports in files.


TdxBackground

TdxBackground Object

Hierarchy Properties Methods Events

TdxBackground specifies the background of individual report pages.

Unit

dxBkGnd

TdxBackground = class(TdxBaseObject)

Description

By default, the background of each report page is white. Use this object to paint the background of each report page using a specific color, brush, or texture. The TdxBackground object also allows you to place a picture as a background for report pages.


TdxBaseObject

TdxBaseObject Object

Hierarchy

Methods

Unit

dxBase

TdxBaseObject = class(TPersistent)

Description

The TdxBaseObject class is the base class for all objects that define the look & feel of a report.

For Internal use only.


TdxCompositionLinkItem

TdxCompositionLinkItem Object

Hierarchy

Properties

See Also

Refers to a specific report link for a composition report link.

Unit

dxPSCore

TdxCompositionLinkItem = class(TCollectionItem)

Description

A TdxCompositionLinkItem object identifies a report link to include it in the composition report link of the TdxCompositionReportLink class. Initialize the ReportLink property with a specific report link to a component. Then add the link item object to the Items collection to include the referenced component in the composition report link.


TdxCompositionLinkItems

TdxCompositionLinkItems Object

Hierarchy

Properties

Methods

See Also

Contains a collection of TdxCompositionLinkItem objects.

Unit

dxPSCore

TdxCompositionLinkItems = class(TCollection);

Description

The TdxCompositionLinkItems class supports a collection of TdxCompositionLinkItem objects used to construct a composition report link. Elements of the collection refer to specific report links to components that should be included in a composition report link.


TdxPageFooter

TdxPageFooter Object

Hierarchy

Properties

Methods

Provides access to the footer property.

Unit

dxPrnPg

TdxPageFooter = class(TCustomdxPageObject)

Description

Use the TdxPageFooter object to access the report page footer methods and properties.


TdxPageHeader

TdxPageHeader Object

Hierarchy

Properties

Methods

Provides access to header methods and properties.

Unit

dxPrnPg

TdxPageHeader = class(TCustomdxPageObject)

Description

Use the TdxPageHeader object to access report page header methods and properties.


TdxPointWrapper

TdxPointWrapper Object

Hierarchy Properties Methods Events See Also

Unit

dxWrap

TdxPointWrapper = class(TPersistent)

Description

The purpose of the TdxPointWrapper object is to maintain properties of structured type, such as TPoint, at both design and runtime. The TdxPointWrapper object is used to store information on 2-dimensional objects; i.e. it saves width and height of an area.


TdxPreviewOptions

TdxPreviewOptions Object

Hierarchy Properties Methods

Unit

dxPSCore

TdxPreviewOptions = class(TdxBaseObject);

Description

This class is used to specify preview window attributes at design time. Use properties of the TdxPreviewOptions class to set caption, size, and icon of a preview window. It also provides specific help context for a preview window (if necessary) and allows users to customize a preview form’s toolbar. Use the PreviewWindow property of the TCustomdxComponentPrinter class to work directly with a preview window.


TdxPrinterPage

TdxPrinterPage Object

Hierarchy

Properties

Methods

Events

See Also

Defines report page attributes.

Unit

dxPrnPg

TdxPrinterPage = class(TdxPrinterPageObject)

Description

Objects of type TdxPrinterPage are used to customize different attributes of report pages: Page margins, page size, etc.


TdxPrinterPageObject

TdxPrinterPageObject Object

Hierarchy

Properties

Methods

Defines report page attributes.

Unit

dxPrnPg

TdxPrinterPageObject = class(TdxBaseObject)

Description

Objects of type TdxPrinterPage are used to customize different attributes of report pages: Page margins, page size, etc.


TdxPSPrintStyle

TdxPSPrintStyle Object

Hierarchy

Properties

Methods

Events

Provides additional functionality for print styles.

Unit

dxPSCore

TdxPSPrintStyle = class(TBasedxPrintStyle)

Description

TdxPSPrintStyle is an enhanced version of the TBasedxPrintStyle object. Unlike the base print style, this class introduces 4 new events that allow you to extend the functionality of report printing and generation. Additionally, when a TdxPSPrintStyle style is created, style caption and glyph are set to predefined values. Page footer region is also populated with predefined settings: page number is placed within the central footer region; date is placed within the right footer region.


TdxRectWrapper

TdxRectWrapper Object

Hierarchy Properties Methods Events See Also

Unit

dxWrap

TdxRectWrapper = class(TPersistent)

Description

The TdxRectWrapper object is used to maintain objects of structured type, such as TRect, at both design and run-time.


TBasedxReportLink

TBasedxReportLink Object

Hierarchy Properties Methods Events

TBasedxReportLink is an abstract report link. All other report links are based upon it.

Unit

dxPSCore

TBasedxReportLink = class(TComponent)

Description

This class is the common ancestor for all other report links. Use it to create your own report links.


TdxCompositionReportLink

TdxCompositionReportLink Object

Hierarchy

Properties

Methods

Events

See Also

TdxCompositionReportLink is a report link used to print several components supported by the ExpressPrinting System at once.

Unit

dxPSCore

TdxCompositionReportLink = class(TBasedxReportLink)

Description

The TdxCompositionReportLink object allows you to create one printed report for several components supported by the ExpressPrinting System. The Items property contains all report links to print.

To construct a composition report, a TdxCompositionReportLink instance and specific report links (report links derived from the TBasedxReportLink class) to components should be added via the TdxComponentPrinter component. Add objects of the TdxCompositionLinkItem type to the Items collection and initialize the ReportLink property with specific report links.

Note: it is impossible to include a composition report link in another composition report link.


TdxCheckListBoxReportLink

TdxCheckListBoxReportLink Object

Hierarchy Properties Methods Events

TdxCheckListBoxReportLink is a report link used to print a TCheckListBox component.

Unit

dxPSChlbxLnk

TdxCheckListBoxReportLink = class(TdxCustomListBoxReportLink)

Description

The TdxCheckListBoxReportLink object allows you to print a TCheckListBox component. The TdxCheckListBoxReportLink object uses the TdxChlbxReportLinkDesignWindow object to customize pages created from the TCheckListBox component.


TdxDBGridReportLink

TdxDBGridReportLink Object

Hierarchy Properties Methods Events

TdxDBGridReportLink represents a report link used to print the TdxDBGrid component.

Unit

dxPSdxDBGrLnk

TdxDBGridReportLink = class(TdxDBTreeListControlReportLink)

Description

Used to print the TdxDBGrid component. The TdxDBGridReportLink object uses a designer of type TdxTLReportLinkDesignWindow to customize page layout with TdxDBGrid data.


TdxDBInspectorReportLink

TdxDBInspectorReportLink Object

Hierarchy

Properties

Methods

Events

TdxDBInspectorReportLink is a report link used to print a TdxDBInspector component.

Unit

dxPSdxDBInsLnk

TdxDBInspectorReportLink = class( TCustomdxInspectorReportLink )

Description

Use the TdxDBInspectorReportLink object to print a TdxDBInspector component. In order to customize the pages created from the TdxDBInspector component, this object uses a designer of type TdxInspectorDesignWindow.


TdxDBOrgChartReportLink

Hierarchy Properties Methods Events

TdxDBOrgChartReportLink represents a report link to print the TdxDBOrgChart (ExpressOrgChart – Data Aware Edition) component.

Unit

dxPSdxOCLnk

TdxDBOrgChartReportLink = class(TCustomdxOrgChartReportLink)

Description

The TdxDBOrgChartReportLink object allows you to print the TdxDBOrgChart component. It uses the TdxOCReportLinkDesignWindow object to customize report page layout.


TdxDBTeeChartReportLink

Hierarchy

Properties

Methods

Events

TdxDBTeeChartReportLink represents a report link designed to print the TDBChart component.

Unit

dxPSDBTCLnk

TdxDBTeeChartReportLink = class(TCustomdxTeeChartReportLink)

Description

The TdxTeeChartReportLink object allows you to print the TChart component.


TdxDBTreeListReportLink

TdxDBTreeListReportLink Object

Hierarchy Properties Methods Events

TdxDBTreeListReportLink represents a report link used to print a TdxDBTreeList component.

Unit

dxPSdxDBTLLnk

TdxDBTreeListReportLink = class(TdxDBTreeListControlReportLink)

Description

Used to print a TdxDBTreeList component. The TdxDBTreeListReportLink object uses a designer, of type TdxTLReportLinkDesignWindow, to customize page layout with TdxDBTreeList data.


TdxDBTreeViewReportLink

TdxDBTreeViewReportLink Object

Hierarchy

Properties

Methods

Events

TdxDBTreeViewReportLink is a report link used to print a TdxDBTreeView component.

Unit

dxPSdxDBTVLnk

TdxDBTreeViewReportLink = class( TdxTreeViewExReportLink )

Description

Use the TdxDBTreeViewReportLink object to print a TdxDBTreeView component. In order to customize data layout of this component, the TdxDBTreeViewReportLink object uses a designer of type TdxTVReportLinkDesignWindow.


TdxDrawGridReportLink

TdxDrawGridReportLink Object

Hierarchy Properties Methods Events See Also Example

TdxDrawGridReportLink is a report link used to print the TDrawGrid component.

Unit

dxPSStdGrLnk

TdxDrawGridReportLink = class(TStddxGridReportLink)

Description

The TdxDrawGridReportLink object allows you to print the TDrawGrid component. It uses the TdxDGrReportLinkDesignWindow object to customize report page layout.


TdxFlowChartReportLink

TdxFlowChartReportLink Object

Hierarchy Properties Methods Events

TdxFlowChartReportLink represents a report link used to print the TdxFlowChart (ExpressFlowChart) component.

Unit

dxPSdxFCLnk

TdxFlowChartReportLink = class(TCustomdxGraphicReportLink)

Description

The TdxFlowChartReportLink object allows you to print the TdxFlowChart component. It uses the TdxFCReportLinkDesignWindow object to customize report page layout.


TdxImageReportLink

TdxImageReportLink Object

Hierarchy Properties Methods Events

TdxImageReportLink represents a report link used to print the TImage component.

Unit

dxPSGraphicLink

TdxImageReportLink = class( TCustomdxPictureReportLink )

Description

The TdxImageReportLink object allows you to print the TImage component.


TdxInspectorReportLink

TdxInspectorReportLink Object

Hierarchy

Properties

Methods

Events

TdxInspectorReportLink is a report link used to print a TdxInspector component.

Unit

dxPSdxInsLnk

TdxInspectorReportLink = class( TCustomdxInspectorReportLink )

Description

The TdxInspectorReportLink object allows you to print a TdxInspector component. In order to customize the pages created from the TdxInspector component, the TdxInspectorReportLink object uses a designer of type TdxInspectorDesignWindow.


TdxListBoxReportLink

TdxListBoxReportLink Object

Hierarchy Properties Methods Events See Also Example

TdxListBoxReportLink is a report link to print the TListBox component.

Unit

dxPSLbxLnk

TdxListBoxReportLink = class(TCustomdxListBoxReportLinkControl)

Description

Use TdxListBoxReportLink to print the TListBox component. The TdxListBoxReportLink object uses a designer of type TdxLbxReportLinkDesignWindow to customize pages with data from the TListBox component.


TdxMasterViewReportLink

TdxMasterViewReportLink Object

Hierarchy

Properties

Methods

Events

TdxMasterViewReportLink is a report link used to print a TdxMasterView component.

Unit

dxPSdxMVLnk

TdxMasterViewReportLink = class( TBasedxReportLink )

Description

The TdxMasterViewReportLink object allows you to print a TdxMasterView component. In order to customize the pages created from the TdxMasterView component, the TdxMasterViewReportLink object uses a designer of type TdxMVReportLinkDesignWindow.


TdxOrgChartReportLink

TdxOrgChartReportLink Object

Hierarchy Properties Methods Events

TdxOrgChartReportLink is a report link to print the TdxOrgChart (ExpressOrgChart) component.

Unit

dxPSdxOCLnk

TdxOrgChartReportLink = class(TCustomdxOrgChartReportLink)

Description

The TdxOrgChartReportLink object allows you to print the TdxOrgChart component. It uses the TdxOCReportLinkDesignWindow object to customize report page layout.


TdxPictureReportLink

TdxPictureReportLink Object

Hierarchy Properties Methods Events

TdxPictureReportLink represents a report link used to print the TPicture component.

Unit

dxPSGraphicLink

TdxPictureReportLink = class( TCustomdxPictureReportLink )

Description

The TdxPictureReportLink object allows you to print the TPicture component.


TdxRichEditReportLink

TdxRichEditReportLink Object

Hierarchy

Properties

Methods

Events

TdxRichEditReportLink is a report link used to print a rich edit component.

Unit

dxPSRELnk

TdxRichEditReportLink = class(TCustomdxRichEditReportLink)

Description

The TdxRichEditReportLink object allows you to print a rich edit component. The TdxRichEditReportLink object does not use any designer window. You may customize the pages created from the rich edit component in the Page Setup dialog or via the Print Preview window.


TdxRTTIInspectorReportLink

TdxRTTIInspectorReportLink Object

Hierarchy

Properties

Methods

Events

TdxRTTIInspectorReportLink is a report link used to print a TdxRTTIInspector component.

Unit

dxPSdxOILnk

TdxRTTIInspectorReportLink = class( TCustomdxInspectorReportLink )

Description

Use the TdxRTTIInspectorReportLink object to print a TdxRTTIInspector component. In order to customize the pages created from the TdxRTTIInspector component, this object uses the TdxInspectorDesignWindow designer type.


TdxStringGridReportLink

TdxStringGridReportLink Object

Hierarchy Properties Methods Events See Also Example

TdxStringGridReportLink is a report link used to print the TStringGrid component.

Unit

dxPSStdGrLnk

TdxStringGridReportLink = class(TStddxGridReportLink)

Description

Used to print the TStringGrid component. The TdxStringGridReportLink object uses a designer of type TdxGridReportLinkDesignWindow to customize the layout of pages with TStringGrid data.


TdxSpreadSheetBookReportLink

TdxSpreadSheetBookReportLink Object

Hierarchy Properties Methods Events

Represents an object used for printing out ExpressSpreadSheet workbooks.

Unit

dxPScxSSLnk

TdxSpreadSheetBookReportLink = class(TCustomdxSpreadSheetReportLink)

Description

The TdxSpreadSheetBookReportLink object is used for printing out ExpressSpreadSheet workbooks.


TdxSpreadSheetReportLink

TdxSpreadSheetReportLink Object

Hierarchy Properties Methods Events

Represents an object used to print out ExpressSpreadSheet worksheets.

Unit

dxPScxSSLnk

TdxSpreadSheetReportLink = class(TCustomdxSpreadSheetReportLink);

Description

The TdxSpreadSheetReportLink object is used to print out ExpressSpreadSheet worksheets.


TdxTeeChartReportLink

Hierarchy Properties Methods Events

TdxTeeChartReportLink is a report link to print the TChart component.

Unit

dxPSTCLnk

TdxTeeChartReportLink = class(TCustomdxTeeChartReportLink)

Description

The TdxTeeChartReportLink object allows you to print the TChart component.

If you are using the TeeChart Pro Library refer to the TeeChart Pro Notes topic.


TdxTreeListReportLink

TdxTreeListReportLink Object

Hierarchy Properties Methods Events

TdxTreeListReportLink is a report link used to print a TdxTreeList component.

Unit

dxPSdxTLLnk

TdxTreeListReportLink = class(TCustomdxTreeListReportLink)

Description

Used to print a TdxTreeList component. The TdxTreeListReportLink object applies a designer of type TdxTLReportLinkDesignWindow to customize the page layout with TdxTreeList data.


TdxTreeViewExReportLink

TdxTreeViewExReportLink Object

Hierarchy

Properties

Methods

Events

TdxTreeViewExReportLink is a report link used to print a TdxTreeView component.

Unit

dxPSdxDBTVLnk

TdxTreeViewExReportLink = class( TCustomdxTreeViewReportLink )

Description

Use the TdxTreeViewExReportLink object to print a TdxTreeView component. In order to customize data layout of this component, the TdxTreeViewExReportLink object uses a designer of type TdxTVReportLinkDesignWindow.


TdxTreeViewReportLink

TdxTreeViewReportLink Object

Hierarchy

Properties

Methods

Events

TdxTreeViewReportLink is a report link used to print a TTreeView component.

Unit

dxPSTVLnk

TdxTreeViewReportLink = class(TCustomdxTreeViewReportLink)

Description

The TdxTreeViewReportLink object allows you to print a TTreeView component. The TdxTreeViewReportLink object uses a designer to customize pages with data from the TTreeView component.


TrxRichEditReportLink

TrxRichEditReportLink Object

Hierarchy

Properties

Methods

Events

TrxRichEditReportLink is a report link used to print a TrxRichEdit component.

Unit

dxPSrxRELnk

TrxRichEditReportLink = class(TAbstractdxRichEditReportLink)

Description

The TrxRichEditReportLink object allows you to print a TrxRichEdit component. The TrxRichEditReportLink object does not use any designer window. You may customize pages created from the TrxRichEdit component in the Page Setup dialog or via the Print Preview window.


TdxGridReportLink

TdxGridReportLink Object

Hierarchy Properties Methods Events

Represents a ReportLink object used by the ExpressPrintingSystem to print the ExpressQuantumGrid component.

Unit

dxPScxGridLnk

TdxGridReportLink = class(TdxCustomTableControlReportLink)

Description

The TdxGridReportLink class contains settings required to print the ExpressQuantumGrid component using the ExpressPrintingSystem.

Options of the TdxGridReportLink object allow you to completely control how the grid will be printed. The OptionsView and OptionsOnEveryPage properties specify a view element visibility and position within a report. The OptionsExpanding property determines whether the group or master rows are displayed expanded or collapsed. The OptionsDetails property allows you to specify whether to print detail views when the grid is configured to show a master detail relationship. The OptionsSelection option controls whether the report will contain only the data currently selected in the grid.

All these options override view settings. For instance, the view may not have a filter, however the filter panel can still be displayed within your report using the appropriate view option.

Custom drawing is implemented via several events, responsible for drawing specific view areas in a report. Beside the events inherited from the TBasedxReportLink class, the TdxGridReportLink class publishes its own events:

OnCustomdrawLevelCaption - occurs before drawing grid level captions;

OnCustomDrawBandCell - occurs before drawing band headers;

OnCustomDrawHeaderCell - occurs before drawing column headers;

OnCustomDrawCardRowCaptionCell - occurs before drawing card row headers;

OnCustomDrawCell - occurs before drawing cell contents;

OnCustomDrawCardRowDataCell - occurs before drawing card row contents;

OnCustomDrawFilterBar - occurs before drawing filter panels;

OnCustomDrawFooterCell - occurs before drawing footer panels.


TdxLayoutControlReportLink

TdxLayoutControlReportLink Object

Hierarchy Properties Methods Events

Represents a report link for printing out the TdxLayoutControl control.

Unit

dxPSdxLCLnk

TdxLayoutControlReportLink = class(TdxCustomContainerReportLink)

Description

The TdxLayoutControlReportLink class represents a report link for printing out the TdxLayoutControl. The layout control report link class inherits all functionality from its ancestor (TdxCustomContainerReportLink class) and publishes several sets of rendering options. The OptionsPagination options group specifies the manner in which the layout control elements (groups and items) are split across report pages. The OptionsTransparent options group determines the transparency settings for the layout control elements.


TcxTreeListReportLink

TcxTreeListReportLink Object

Hierarchy Properties Methods Events

Represents a report link for printing out the standard TreeList control.

Unit

dxPScxTLLnk

TcxTreeListReportLink = class(TcxTreeListControlReportLink)

Description

The TcxTreeListReportLink class represents a custom report link for printing out the TcxTreeList control. The standard TreeList report link inherits all functionality from the TcxTreeListControlReportLink class and provides a connection to the standard TreeList control used as the report source.


TcxDBTreeListReportLink

TcxDBTreeListReportLink Object

Hierarchy Properties Methods Events

Represents a report link for printing out the data aware TreeList control.

Unit

dxPScxTLLnk

TcxDBTreeListReportLink = class(TcxTreeListControlReportLink)

Description

The TcxDBTreeListReportLink class represents a custom report link for printing out the TcxDBTreeList control. The data aware TreeList report link inherits all functionality from the TcxTreeListControlReportLink class and provides a connection to the data aware TreeList control used as the report source.


TcxVirtualTreeListReportLink

TcxVirtualTreeListReportLink Object

Hierarchy Properties Methods Events

Represents a report link for printing out the standard TreeList control.

Unit

dxPScxTLLnk

TcxVirtualTreeListReportLink = class(TcxTreeListControlReportLink)

Description

The TcxVirtualTreeListReportLink class represents a custom report link for printing out the TcxVirtualTreeList control. The virtual TreeList report link inherits all functionality from the TcxTreeListControlReportLink class and provides a connection to the virtual TreeList control used as the report source.


TcxVerticalGridReportLink

TcxVerticalGridReportLink Object

Hierarchy Properties Methods Events

Represents the report link used for printing out the cxVerticalGrid control.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLink = class( TcxUnboundVerticalGridReportLink )

Description

The TcxVerticalGridReportLink class represents the report link used for printing out the cxVerticalGrid control. This class inherits its functionality from its ancestor.


TcxDBVerticalGridReportLink

TcxDBVerticalGridReportLink Object

Hierarchy Properties Methods Events

Represents the report link used for printing the cxDBVerticalGrid control.

Unit

dxPScxVGridLnk

TcxDBVerticalGridReportLink = class( TcxVirtualVerticalGridReportLink )

Description

The TcxDBVerticalGridReportLink class represents the report link used for printing out the cxDBVerticalGrid control. This class inherits its functionality from its ancestor.


TcxVirtualVerticalGridReportLink

TcxVirtualVerticalGridReportLink Object

Hierarchy Properties Methods Events

Represents the report link for the cxVirtualVerticalGrid control.

Unit

dxPScxVGridLnk

TcxVirtualVerticalGridReportLink = class( TcxCustomVerticalGridReportLink )

Description

The TcxVirtualVerticalGridReportLink class represents the report link for printing out the cxVirtualVerticalGrid control. This class inherits its functionality from its ancestor.


TcxSchedulerReportLink

TcxSchedulerReportLink Object

Hierarchy Properties Events

The TcxSchedulerReportLink class implements the scheduler’s report generating component.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLink = class( TdxCustomcxControlReportLink )

Description

The TcxSchedulerReportLink class contains settings such as: the report's time range, print styles and styles (see the PrintRange , PrintStyles and Styles properties). The time bounds are used to limit the time range used in the scheduler’s report; the print styles specify the scheduler’s report layout, and the styles specify the scheduler’s report style.

It also allows custom rendering of the scheduler’s report to be performed as it exposes the following events: OnInitializeSchedulingAreaCell , OnInitializeHeaderPrimaryCell , OnInitializeHeaderSecondaryCell , OnInitializeNotesAreaCell , OnInitializeTaskPadCell .


dxBase Unit Overview

dxBase Unit

Classes

TdxBaseObject


dxBkGnd Unit Overview

dxBkGnd Unit

Classes

TdxBackground


dxPgSDlg Unit

Classes

TAbstractdxStyleManagerDesigner

TBasedxPrintStyle

TdxPageSetupDialog

TdxPrintStyleManager

Routines

PageSetup

Global Constants

FPageSetupDialogProc


dxPrnDlg Unit Overview

dxPrnDlg Unit

Classes

TdxPrintDialog


dxPrnPg Unit Overview

dxPrnPg Unit

Classes

TCustomdxPageObject

TdxPageHeader

TdxPageFooter

TdxPrinterPage

TdxPrinterPageObject

Routines

DefaultPrinterPage

GetDefaultMeasurementUnits

RereadDefaultPrinterPage


dxPSChlbxLnk Unit Overview

dxPSChlbxLnk Unit

Classes

TdxCheckListBoxReportLink

TdxChlbxReportLinkDesignWindow


dxPSContainerLnk Unit Overview

dxPSContainerLnk Unit

Classes

TdxCustomContainerReportLink

TdxCustomContainerReportLinkOptions

TdxCustomContainerReportLinkOptionsBehavior

TdxCustomContainerReportLinkOptionsDesignerTabs

TdxCustomContainerReportLinkOptionsItemPlace

TdxCustomContainerReportLinkOptionsPagination

TdxCustomContainerReportLinkOptionsRefinements

TdxCustomContainerReportLinkOptionsTransparent


dxPSCore Unit Overview

Classes

TAbstractdxReportLinkDesigner

TAbstractdxReportLinkDesignWindow

TBasedxPreviewWindow

TBasedxReportLink

TCustomdxComponentPrinter

TdxComponentPrinter

TdxCompositionLinkItem

TdxCompositionLinkItems

TdxCompositionReportLink

TdxPreviewOptions

TdxPSPrintStyle

TdxPSReportCompositionDocument

TdxPSReportDocument

TdxReportCells

TStandarddxReportLinkDesignWindow

Type

TdxReportTitleMode


dxPScxSSLnk Unit Overview

dxPScxSSLnk Unit

Classes

TCustomdxSpreadSheetReportLink

TdxSpreadSheetBookReportLink

TdxSpreadSheetReportLink


dxPScxTLLnk Unit Overview

dxPScxTLLnk Unit

Classes

TcxDBTreeListReportLink

TcxTreeListControlReportLink

TcxTreeListReportLink

TcxTreeListReportLinkOptionsExpanding

TcxTreeListReportLinkOptionsFormatting

TcxTreeListReportLinkOptionsOnEveryPage

TcxTreeListReportLinkOptionsPagination

TcxTreeListReportLinkOptionsPreview

TcxTreeListReportLinkOptionsRefinements

TcxTreeListReportLinkOptionsSelection

TcxTreeListReportLinkOptionsSize

TcxTreeListReportLinkOptionsView

TcxTreeListReportLinkStyles

TcxTreeListReportLinkStyleSheet

TcxVirtualTreeListReportLink

TdxfmTreeListReportLinkDesignWindow


dxPScxVGridLnk Unit Overview

dxPScxVGridLnk Unit

Classes

TcxCustomVerticalGridReportLink

TcxDBVerticalGridReportLink

TcxfmVerticalGridReportLinkDesignWindow

TcxRTTIInspectorReportLink

TcxUnboundVerticalGridReportLink

TcxVerticalGridReportLink

TcxVerticalGridReportLinkOptionsExpanding

TcxVerticalGridReportLinkOptionsFormatting

TcxVerticalGridReportLinkOptionsPagination

TcxVerticalGridReportLinkOptionsRefinements

TcxVerticalGridReportLinkOptionsSize

TcxVerticalGridReportLinkOptionsView

TcxVerticalGridReportLinkStyles

TcxVerticalGridReportLinkStyleSheet

TcxVirtualVerticalGridReportLink

Other Types

TcxVerticalGridReportLinkPrintMode


dxPScxScheduler2Lnk Unit Overview

dxPScxScheduler2Lnk Unit

Classes

TcxCustomSchedulerReportLinkOptions

TcxCustomSchedulerReportLinkPrintStyle

TcxfmSchedulerReportLinkDesignWindow

TcxSchedulerReportLink

TcxSchedulerReportLinkDailyPrintStyle

TcxSchedulerReportLinkDetailsPrintStyle

TcxSchedulerReportLinkMemoPrintStyle

TcxSchedulerReportLinkMonthlyPrintStyle

TcxSchedulerReportLinkOptionsFormatting

TcxSchedulerReportLinkPrintRange

TcxSchedulerReportLinkPrintStyles

TcxSchedulerReportLinkStyles

TcxSchedulerReportLinkTrifoldPrintStyle

TcxSchedulerReportLinkWeeklyPrintStyle

TcxSchedulerReportLinkYearlyPrintStyle

Other Types

TcxSchedulerReportEventPartType

TcxSchedulerReportLinkDetailsPrintStylePaginationMode

TcxSchedulerReportLinkPeriodicPrintStyleLayout

TcxSchedulerReportLinkTrifoldPrintStyleSectionMode

TcxSchedulerReportLinkWeeklyPrintStyleArrange


dxPScxSchedulerLnk Unit Overview

dxPScxSchedulerLnk Unit

Classes

TcxCustomSchedulerReportLinkOptions

TcxCustomSchedulerReportLinkPrintStyle

TcxfmSchedulerReportLinkDesignWindow

TcxSchedulerReportLink

TcxSchedulerReportLinkDailyPrintStyle

TcxSchedulerReportLinkDetailsPrintStyle

TcxSchedulerReportLinkMemoPrintStyle

TcxSchedulerReportLinkMonthlyPrintStyle

TcxSchedulerReportLinkOptionsFormatting

TcxSchedulerReportLinkPrintRange

TcxSchedulerReportLinkPrintStyles

TcxSchedulerReportLinkStyles

TcxSchedulerReportLinkTrifoldPrintStyle

TcxSchedulerReportLinkWeeklyPrintStyle

Other Types

TcxSchedulerReportEventPartType

TcxSchedulerReportLinkDetailsPrintStylePaginationMode

TcxSchedulerReportLinkPeriodicPrintStyleLayout

TcxSchedulerReportLinkTrifoldPrintStyleSectionMode

TcxSchedulerReportLinkWeeklyPrintStyleArrange


dxPScxScheduler3Lnk Unit Overview

dxPScxScheduler3Lnk Unit

Classes

TcxSchedulerReportLinkTimeLinePrintStyle


dxPSDBBasedXplorer Unit Overview

dxPSDBBasedXplorer Unit

Classes

TCustomdxPSDBBasedExplorerFieldNamesMap

TdxPSDBBasedExplorer

TdxPSDBBasedExplorerFieldNamesMap

TdxPSDBBasedExplorerFolder

TdxPSDBBasedExplorerFoldersFieldNamesMap

TdxPSDBBasedExplorerItem

TdxPSDBBasedExplorerItemsFieldNamesMap

Other Types

TdxDBBasedExplorerItemType

TdxDBBasedExplorerItemUniqueID


dxPSDBTCLnk Unit

Classes

TdxDBTeeChartReportLink


dxPSDGrLnk Unit Overview

dxPSDGrLnk Unit

Classes

TdxDGrReportLinkDesignWindow

TdxDrawGridReportLink


dxPSdxDBCtrlLnk Unit Overview

dxPSdxDBCtrlLnk Unit

Classes

TdxDBTreeListControlReportLink


dxPSdxDBGrLnk Unit Overview

Classes

TdxDBGridReportLink


dxPSdxDBInsLnk Unit

Classes

TdxDBInspectorReportLink


dxPSdxDBOCLnk Unit

Classes

TdxDBOrgChartReportLink


dxPSdxDBTLLnk Unit Overview

Classes

TdxDBTreeListReportLink


dxPSdxDBTVLnk Unit

Classes

TdxTreeViewExReportLink

TdxDBTreeViewReportLink


dxPSdxFCLnk Unit

Classes

TdxFCReportLinkDesignWindow

TdxFlowChartReportLink


dxPSdxInsLnk Unit

Classes

TCustomdxInspectorReportLink

TdxInspectorReportLink


dxPSdxLCLnk Unit Overview

dxPSdxLCLnk Unit

Classes

TdxLayoutControlReportLink

TdxLayoutControlReportLinkOptionsPagination

TdxLayoutControlReportLinkOptionsTransparent


dxPSdxMVLnk Unit

Classes

TdxMasterViewReportLink


dxPSdxOCLnk Unit

Classes

TCustomdxOrgChartReportLink

TdxOCReportLinkDesignWindow

TdxOrgChartReportLink


dxPSdxOILnk Unit Overview

Classes

TdxRTTIInspectorReportLink


dxPSdxTlLnk Unit Overview

dxPSdxTlLnk Unit

Classes

TCustomdxTreeListReportLink

TdxTLReportLinkDesignWindow

TdxTreeListReportLink


dxPSEngine

Returns the TdxPSEngine object.

function dxPSEngine: TdxPSEngine;

Description

Call the dxPSEngine function to access the TdxPSEngine object in order to modify the appropriate ExpressPrinting System settings.


dxPSEngn Unit Overview

dxPSEngn Unit

Classes

TdxPSEngine

TdxPSEngineController

Global function

dxPSEngine


dxPSFileBasedXplorer Unit Overview

dxPSFileBasedXplorer Unit

Classes

TdxPSFileBasedExplorer

TdxPSFileBasedExplorerFolder

TdxPSFileBasedExplorerItem

TdxPSFileBasedExplorerRootFolder


dxPSImgLnk Unit Overview

Classes

TdxImageReportLink


dxPSGraphicLnk Unit Overview

Classes

TCustomdxGraphicReportLink

TCustomdxPictureReportLink

TdxPictureReportLink


dxPSGrLnks Unit Overview

dxPSGrLnks Unit

Classes

TAbstractdxGridReportLink

TCustomdxGridReportLink

TdxCustomListBoxReportLink


dxPSLbxLnk Unit Overview

Classes

TCustomdxListBoxReportLinkControl

TdxLBxReportLinkDesignWindow

TdxListBoxReportLink


dxPSRELnk Unit Overview

dxPSRELnk Unit

Classes

TAbstractdxRichEditReportLink

TCustomdxRichEditReportLink

TdxRichEditReportLink


dxPSrxRELnk Unit Overview

dxPSrxRELnk Unit

Classes

TrxRichEditReportLink


dxPSStdGrLnk Unit Overview

dxPSStdGrLnk Unit

Classes

TdxGridReportLinkDesignWindow

TdxStringGridReportLink

TStddxGridReportLink


dxPSTCLnk Unit Overview

dxPSTCLnk Unit

Classes

TCustomdxTeeChartReportLink

TdxTeeChartReportLink


dxPSTVLnk Unit Overview

dxPSTVLnk Unit

Classes

TCustomdxNativeTreeViewReportLink

TCustomdxTreeViewReportLink

TdxTreeViewReportLink


dxWrap Unit

Classes

TdxPointWrapper

TdxRectWrapper


dxPScxGridLnk Unit Overview

dxPScxGridLnk Unit

Classes

TdxfmGridReportLinkDesignWindow

TdxGridReportLink

TdxGridReportLinkCardsShadow

TdxGridReportLinkOptions

TdxGridReportLinkOptionsCards

TdxGridReportLinkOptionsCharts

TdxGridReportLinkOptionsDetails

TdxGridReportLinkOptionsExpanding

TdxGridReportLinkOptionsFormatting

TdxGridReportLinkOptionsLevels

TdxGridReportLinkOptionsOnEveryPage

TdxGridReportLinkOptionsPagination

TdxGridReportLinkOptionsPreview

TdxGridReportLinkOptionsRefinements

TdxGridReportLinkOptionsSelection

TdxGridReportLinkOptionsSize

TdxGridReportLinkOptionsView

TdxGridReportLinkStyles


TBasedxPrintStyle

TBasedxPrintStyle Object

Hierarchy Properties Methods Events

TBasedxPrintStyle is the base style for printing reports.

Unit

dxPgsDlg

TBasedxPrintStyle = class(TComponent)

Description

The ExpressPrinting System now incorporates a style feature. You may now print using a variety of custom settings (styles) within any report. For instance, you can print the ExpressQuantumGrid on different paper formats without any additional page setup. The TBasedxPrintStyle represents a style that includes special page setup settings, such as margins, orientation, print order, header/footer text, etc.


TcxSchedulerReportLinkDailyPrintStyle

TcxSchedulerReportLinkDailyPrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkDailyPrintStyle class implements the daily print style.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkDailyPrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The daily print style specifies the layout as a day per page.

The TcxSchedulerReportLinkDailyPrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.Daily property.


TcxSchedulerReportLinkDetailsPrintStyle

TcxSchedulerReportLinkDetailsPrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkDetailsPrintStyle class implements the details print style.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkDetailsPrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The details print style specifies that the page contains the day(s) along with the scheduled user events ’ descriptions (see the TcxSchedulerEvent.Message property). The TcxSchedulerReportLinkDetailsPrintStyle class allows the page break in the scheduler’s report to be adjusted when the details print style is applied (see the PaginationMode and UsePagination properties).

The TcxSchedulerReportLinkDetailsPrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.Details property.


TcxSchedulerReportLinkMemoPrintStyle

TcxSchedulerReportLinkMemoPrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkMemoPrintStyle class implements the memo print style.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkMemoPrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The memo print style represents a list of the individual user events with the details. This print style provides more detailed information on the scheduled user events than the details print style (see the TcxSchedulerReportLinkDetailsPrintStyle class).

The TcxSchedulerReportLinkMemoPrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.Memo property.


TcxSchedulerReportLinkMonthlyPrintStyle

TcxSchedulerReportLinkMonthlyPrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkMonthlyPrintStyle class implements the monthly print style.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkMonthlyPrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The monthly print style specifies the layout as a month per page.

The TcxSchedulerReportLinkMonthlyPrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.Monthly property.


TcxSchedulerReportLinkTimeLinePrintStyle

TcxSchedulerReportLinkTimeLinePrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkTimeLinePrintStyle implements the TimeLine print style.

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkTimeLinePrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The TimeLine print style provides reports for TimeGrid and Gantt Views.

In a report, a scheduling plan is split from top to bottom across pages. Additionally, the report designer dialog allows end-users to specify how many resources are to be displayed per page.

The TcxSchedulerReportLinkTimeLinePrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.TimeLine property.


TcxSchedulerReportLinkTrifoldPrintStyle

TcxSchedulerReportLinkTrifoldPrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkTrifoldPrintStyle class implements the Tri-fold print style.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkTrifoldPrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The Tri-fold print style specifies that the page is divided into three sections (see the LeftSection , MiddleSection and RightSection properties). Each section can be occupied by one of the three time views ( day , week or weeks ) or by the task pad, plain notes or lined notes pane (see the TcxSchedulerReportLinkTrifoldPrintStyleSectionMode enumeration).

The TcxSchedulerReportLinkTrifoldPrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.Trifold property.


TcxSchedulerReportLinkWeeklyPrintStyle

TcxSchedulerReportLinkWeeklyPrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkWeeklyPrintStyle class implements the weekly print style.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkWeeklyPrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The weekly print style specifies the layout as a week per page.

The TcxSchedulerReportLinkWeeklyPrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.Weekly property.


TcxSchedulerReportLinkYearlyPrintStyle

TcxSchedulerReportLinkYearlyPrintStyle Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkYearlyPrintStyle class implements the yearly print style.

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkYearlyPrintStyle = class( TcxCustomSchedulerReportLinkPrintStyle )

Description

The yearly print style specifies the layout as a year per page.

The TcxSchedulerReportLinkYearlyPrintStyle class allows specifying how many months will reside per page (see the MonthCountPerPage property). And whether to display page and month headers in the first page only if the layout of the scheduler’s report is two pages per month (see the Layout and PrimaryPageHeadersOnly properties).

The TcxSchedulerReportLinkYearlyPrintStyle object is referenced by the TcxSchedulerReportLinkPrintStyles.Yearly property.


Abort Report Building Example

Example: Abort Report Building

See Also

This example demonstrates how to cancel the building of a report in response to an action by an end user (pressing the Esc key). There is a form containing the TdxComponentPrinter component and a button. Clicking the button invokes the preview window for the report link associated with the component printer.

The code below demonstrates how to abort the building of a report when the Esc key is pressed:

//Delphi

// Define the AAbortBuilding variable used as a flag indicating if

// the building of the report should be stopped.

...

var

Form1: TForm1;

AAbortBuilding: Boolean;

implementation

...

// Set the form’s KeyPreview property to let the form receive keyboard

// events prior to the active control, initialize the AAbortBuilding

// variable, invoke the preview window and then restore the form’s

// KeyPreview property back to its default value.

procedure TForm1.Button4Click(Sender: TObject);

begin

KeyPreview := True; AAbortBuilding := False; dxComponentPrinter1Link1.Preview(False); KeyPreview := False;

end;

// Handle the form’s OnKeyDown event and set the flag according to the

// key pressed.

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);

begin

AAbortBuilding := (Key = vk_Escape);

end;

// Once the flag variable is changed, set the report link’s

// AbortBuilding property to True to indicate that the building of

// the report should be stopped and show an appropriate message.

procedure TForm1.dxComponentPrinter1GenerateReportProgress(Sender: TObject; AReportLink: TBasedxReportLink; APercentDone: Double);

begin

if AAbortBuilding then

begin

AReportLink.AbortBuilding := AAbortBuilding; Application.MessageBox('Report building has been aborted by user.', 'Message', mb_OK);

end;

end;


.topic 0xbbb
 Hierarchy

 |
 |

.topic 0xbc1
 Hierarchy

 |
 |
 |

.topic 0xbce
 Hierarchy

 |
 |
 |
 |

.topic 0xbd2
 Hierarchy

 |
 |
 |
 |

.topic 0xbd6
 Hierarchy

 |
 |
 |

.topic 0x1197
 Hierarchy

 |

.topic 0x11a8
 Hierarchy

 |

.topic 0x203
 Hierarchy

 |

.topic 0x222
 Hierarchy

 |

.topic 0x24b
 Hierarchy

 |

.topic 0x1d4f
 Hierarchy

 |

.topic 0x1f43
 Hierarchy

 TBasedxPSSingleton
 |

.topic 0x1f4c
 Hierarchy

 |

.topic 0x1f58
 Hierarchy

 |

.topic 0x9c6
 Hierarchy

 |

.topic 0x2524
 Hierarchy

 |
 |
 |

.topic 0x2906
 Hierarchy

 |
 |

.topic 0x2915
 Hierarchy

 |

.topic 0x291b
 Hierarchy

 |

.topic 0x2713
 Hierarchy

 |
 |

.topic 0x271e
 Hierarchy

 |
 |
 |

.topic 0x2725
 Hierarchy

 |
 |
 |
 |

.topic 0x272c
 Hierarchy

 |
 |
 |
 |

.topic 0x2137
 Hierarchy

 |
 |

.topic 0x2153
 Hierarchy

 |
 |
 |

.topic 0x215a
 Hierarchy

 |
 |
 |

.topic 0x2165
 Hierarchy

 |
 |
 |

.topic 0x217a
 Hierarchy

 |
 |
 |

.topic 0x2181
 Hierarchy

 |
 |
 |
 |

.topic 0x2188
 Hierarchy

 |
 |

.topic 0x2190
 Hierarchy

 |
 |
 |

.topic 0x2196
 Hierarchy

 |
 |
 |
 |

.topic 0x21a8
 Hierarchy

 |
 |
 |
 |

.topic 0x232b
 Hierarchy

 |
 |
 |

.topic 0x2332
 Hierarchy

 |
 |
 |

.topic 0x2339
 Hierarchy

 |
 |
 |
 |

.topic 0x233f
 Hierarchy

 |
 |
 |
 |
 |

.topic 0x2346
 Hierarchy

 |
 |

.topic 0x2359
 Hierarchy

 |
 |
 |

.topic 0x2360
 Hierarchy

 |
 |

.topic 0x17e
 The topic cannot be found. This may be due to a missing installation of the ExpressQuantumGrid 4 Suite on your system.

.topic 0x426b
 Hierarchy

 |
 |
 |

.topic 0x861
 Hierarchy
 |

.topic 0x873
 Hierarchy

 |
 |


OnStartGenerateReport, OnEndGenerateReport, OnGenerateReportProgress Example

The following example demonstrates organization of the indicator that appears when building a report as an independent form. This form contains only one control – TProgressBar, has no border icons, and its border style is equal to bsDialog. Indicator form is created on starting report generation and is closed when the report has been generated.

//Delphi

// Creates a form with a progress indicator

procedure TForm1.dxComponentPrinter1StartGenerateReport(Sender: TObject; AReportLink: TBasedxReportLink);

begin

Form2 := TForm2.Create(Application); Form2.Show;

end;

// Sets the indicator's value according to the report generation process

procedure TForm1.dxComponentPrinter1GenerateReportProgress(Sender: TObject; AReportLink: TBasedxReportLink; APercentDone: Double);

begin

Form2.ProgressBar1.Position := Round(APercentDone); Form2.Repaint;

end;

// Closes the form containing the progress indicator

procedure TForm1.dxComponentPrinter1EndGenerateReport(Sender: TObject; AReportLink: TBasedxReportLink);

begin

Form2.Close;

end;


TCustomdxComponentPrinter PreviewOptions and PreviewWindow Example

In most cases, setting the preview form properties via the PreviewOptions property of TdxComponentPrinter or via the PreviewWindow property is equivalent. The following code sets position, size and icon of a preview from via PreviewOptions and PreviewWindow properties:

//Delphi

// The PreviewOptions property

procedure TForm1.Button1Click(Sender : TObject);

begin

. . . dxComponentPrinter1.PreviewOptions.Left := 10; dxComponentPrinter1.PreviewOptions.Top := 10; dxComponentPrinter1.PreviewOptions.Width := 200; dxComponentPrinter1.PreviewOptions.Height := 200;

dxComponentPrinter1.PreviewOptions.Icon.LoadFromFile("c:\pvIcon.ico");

. . .

end;

// Uses the PreviewWindow property

// This procedure is an event handler of the

// TdxComponentPrinter OnBeforePreview event

procedure TForm1.dxComponentPrinter1BeforePreview(Sender: TObject);

begin

. . .

dxComponentPrinter1.PreviewWindow.Left := 10; dxComponentPrinter1.PreviewWindow.Top := 10; dxComponentPrinter1.PreviewWindow.Width := 200; dxComponentPrinter1.PreviewWindow.Height := 200;

dxComponentPrinter1.PreviewWindow.Icon.LoadFromFile("c:\pvIcon.ico");

. . .

end;


TdxPreviewOptions EnableOptions, VisibleOptions Example

The VisibleOptions and EnableOptions properties allow you to enable/disable some functions of the preview form. For instance, in trial versions of your program, you can disable the Print and Help buttons (and menu items):

//Delphi

{$DEFINE TRIAL}

. . .

{$IFDEF TRIAL}

dxComponentPrinter1.PreviewOptions.EnableOptions :=

dxComponentPrinter1.PreviewOptions.EnableOptions - [peoPrint, peoHelp];

{$ENDIF}

. . .

or you can hide them at all:

{$DEFINE TRIAL}

. . .

{$IFDEF TRIAL}

dxComponentPrinter1.PreviewOptions.VisibleOptions :=

dxComponentPrinter1.PreviewOptions.VisibleOptions - [peoPrint, peoHelp];

{$ENDIF}

. . .


CurrentPage, PrintPagesEx Example

The following code sets the first page as the current page of a report, and then prints it.

dxComponentPrinter1Link1.CurrentPage := 1;

dxComponentPrinter1.PrintPagesEx(dxComponentPrinter1Link1.CurrentPage,pnAll,1,False,dxComponentPrinter1Link1);


OnStartPrint, OnEndPrint, OnNewPage, PageCount Example

The following code illustrates how to create a progress indicator, which appears as an independent form with a TProgressBar control on it. The caption of this form contains the indicator string. The TProgressBar control is used as a graphic progress indicator.

//Delphi

// Opens the indicator form

// This procedure is an event handler of the

// TdxComponentPrinter OnStartPrint event

procedure TForm1.dxComponentPrinter1StartPrint(Sender: TObject; AReportLink: TBasedxReportLink);

begin

Form2 := TForm2.Create(Application);

Form2.Show;

end;

// Closes the indicator form

// This procedure is an event handler of the

// TdxComponentPrinter OnEndPrint event

procedure TForm1.dxComponentPrinter1EndPrint(Sender: TObject; AReportLink: TBasedxReportLink);

begin

Form2.Close;

end;

// Repaints the indicator form on screen

// This procedure is an event handler of the

// TdxComponentPrinter OnNewPage event

procedure TForm1.dxComponentPrinter1NewPage(Sender: TObject; AReportLink: TBasedxReportLink; APageIndex: Integer; var ACancel: Boolean);

begin

// Creates an indicator string

Form2.Caption := 'Printing page '+ IntToStr(APageIndex) + ' of '+

IntToStr(dxComponentPrinter1Link1.PageCount) + ' pages';

// Calculates position of the graphic progress indicator

Form2.ProgressBar1.Position := Round(APageIndex / dxComponentPrinter1Link1.PageCount*100);

// Repaints the indicator form on screen

Form2.Repaint;

end;

This code provides the following progress indicator:


Report Link Customizing Example

This example demonstrates how to use the Report Links of the TdxComponentPrinter object at runtime. You can customize report links of any type (not just TdxStringGridReportLink) of the TdxComponentPrinter object.

//Delphi

procedure TForm1.Button2Click(Sender: TObject);

begin

// Sets the color and font for the report's data

TdxStringGridReportLink(dxComponentPrinter1Link1).Color := clSilver;

TdxStringGridReportLink(dxComponentPrinter1Link1).Font.Name := 'Arial';

// Builds a report

dxComponentPrinter1.RebuildReport(dxComponentPrinter1Link1);

// Prints a report

dxComponentPrinter1.PrintEx(pnAll, 1, True, dxComponentPrinter1Link1);

end;


DesignReport, DesignerCaption, OnDesignReport Example

The code below displays the report link designer on screen and then rebuilds a report (if necessary).

//Delphi

// Changes the designer's caption and displays the designer on screen

procedure TForm1.Button2Click(Sender: TObject);

begin

dxComponentPrinter1Link1.DesignerCaption := 'Report Link Designer';

dxComponentPrinter1.DesignReport(dxComponentPrinter1Link1);

end;

// Rebuilds the report (if necessary)

// This procedure is an event handler of the

// TdxComponentPrinter OnDesignReport event

procedure TForm1.dxComponentPrinter1DesignReport(Sender: TObject; AReportLink: TBasedxReportLink; ADone: Boolean);

begin

If ADone then dxComponentPrinter1.RebuildReport(AReportLink);

end;


BuildPageSetupMenu Example1

Using the BuildPageSetupMenu method with the standard Delphi menu system

Drop a TdxPrintStyleManager component on a form.

Assign the following code to the OnChangeCurrentStyle event handler:

procedure TfmPS2Main.dxPrintStyleManager1ChangeCurrentStyle(Sender: TObject);

var

I: Integer;

begin

with miFilePageSetup do

for I := 0 to Items.Count - 1 do

Items[I].Checked := TBasedxPrintStyle(Items[I].Tag) = dxPrintStyleManager1.CurrentStyle;

end;

Assign the following code to the OnStyleListChanged event handler:

procedure TfmPS2Main.dxPrintStyleManager1StyleListChanged(Sender: TObject);

begin

miFilePageSetup.Clear;

dxComponentPrinter1.CurrentLink.BuildPageSetupMenu(miFilePageSetup, nil, True);

end;


BuildPageSetupMenu Example2

Using the BuildPageSetupMenu method with the ExpressBars menu system

Drop a TdxPrintStyleManager component on a form.

When you use the ExpressBars as your Menu/Toolbar system you must add the dxPSPrVwAdv module in your ‘uses’ clause.

Assign the following code to the OnChangeCurrentStyle event handler (bliPrintStyles is a TdxBarListItem object):

procedure TfmPS2Main.dxPrintStyleManager1ChangeCurrentStyle(

Sender: TObject);

begin

bliPrintStyles.ItemIndex := dxPrintStyleManager1.CurrentStyleIndex;

end;

Assign the following code to the OnStyleListChanged event handler (bbDefinePrintStyles is a TdxBarButton object):

procedure TfmPS2Main.dxPrintStyleManager1StyleListChanged(Sender: TObject);

begin

dxComponentPrinter1.CurrentLink.BuildPageSetupMenu(bliPrintStyles, bbDefinePrintStyles, True);

end;


TAbstractdxGridReportLink

TAbstractdxGridReportLink Object

Hierarchy

Properties

Methods

Events

TAbstractdxGridReportLink is an abstract ancestor for report links to the TStringGrid, TDrawGrid, TCheckListBox, and TListBox components.

Unit

dxPSGrLnks

TAbstractdxGridReportLink = class(TBasedxReportLink)

Description

TAbstractdxGridReportLink introduces the properties and methods used by its descendants to provide report links to the standard grid (TStringGrid, TDrawGrid) and list box (TCheckListBox, TListBox) components.

Do not create instances of the TAbstractdxGridReportLink class, use its descendants instead.


TAbstractdxPreviewWindowDesigner

TAbstractdxPreviewWindowDesigner Object

Hierarchy

Unit

dxPSCore

TAbstractdxPreviewWindowDesigner = class(TObject);

Description

The TAbstractdxPreviewWindowDesigner object controls the lifetime of the preview window and is used at design time only.


TAbstractdxReportLinkDesigner

TAbstractdxReportLinkDesigner Object

Hierarchy

Unit

dxPSCore

TAbstractdxReportLinkDesigner = class(TObject);

Description

The TAbstractdxReportLinkDesigner object controls the lifetime of the designer window and is used at design time only.


TAbstractdxReportLinkDesignWindow

TAbstractdxReportLinkDesignWindow Object

Hierarchy

The TAbstractdxReportLinkDesignWindow class is an abstract ancestor for all report link designers.

Unit

dxPSCore

TAbstractdxReportLinkDesignWindow = class(TForm);

Description

Report links use report link designers to customize report link properties before printing a component. A report link designer is a window used to customize report links. Every report link uses a specific designer.


TAbstractdxRichEditReportLink

TAbstractdxRichEditReportLink Object

Hierarchy

Properties

Methods

Events

TAbstractdxRichEditReportLink is an abstract ancestor for report links to the TRichEdit and TrxRichEdit components.

Unit

dxPSRELnk

TAbstractdxRichEditReportLink = class(TBasedxReportLink)

Description

TAbstractdxRichEditReportLink introduces the properties used by its descendants to provide report links to the standard TRichEdit component and to TrxRichEdit components. Do not create instances of TAbstractdxRichEditReportLink. Instead, use a TAbstractdxRichEditReportLink descendant.


TAbstractdxStyleManagerDesigner

TAbstractdxStyleManagerDesigner Object

Controls the lifetime of the style manager designer window.

Unit

dxPgsDlg

TAbstractdxStyleManagerDesigner = class;

Description

The TAbstractdxStyleManagerDesigner object controls the lifetime of the style manager designer window and is used at design time only.


TBasedxPreviewWindow

TBasedxPreviewWindow Object

Hierarchy

Unit

dxPSCore

TBasedxPreviewWindow = class(TForm);

Description

The TBasedxPreviewWindow object is the common ancestor for all preview windows. It is used for internal purposes.


TCustomdxComponentPrinter

TCustomdxComponentPrinter Object

Hierarchy Properties Methods Events

TCustomdxComponentPrinter represents the base component of the ExpressPrinting System.

Unit

dxPSCore

TCustomdxComponentPrinter = class(TComponent)

Description

TCustomdxComponentPrinter is the ancestor of TdxComponentPrinter and provides its core functionality. Do not use the TCustomdxComponentPrinter component to print VCL components in your application. Instead, use the TdxComponentPrinter component. To print a specific component you must be certain that you have a report link of that component class.


TCustomdxGraphicReportLink

TCustomdxGraphicReportLink Object

Hierarchy Properties Methods Events

TCustomdxGraphicReportLink is the base class for the TCustomdxOrgChartReportLink, TdxPictureReportLink and TdxImageReportLink classes.

Unit

dxPSGraphicLink

TCustomdxGraphicReportLink = class(TBasedxReportLink)

Description

The TCustomdxGraphicReportLink is a common ancestor for the TCustomdxOrgChartReportLink, TdxPictureReportLink and TdxImageReportLink classes.


TCustomdxGridReportLink

TCustomdxGridReportLink Object

Hierarchy

Properties

Methods

Events

The TCustomdxGridReportLink object represents the base class used to print both the TStringGrid and TDrawGrid components.

Unit

dxPSGrLnks

TCustomdxGridReportLink = class(TAbstractdxGridReportLink)

Description

TCustomdxGridReportLink is a common ancestor for both the TdxStringGridReportLink and TdxDrawGridReportLink objects. It provides the functionality necessary to print the TStringGrid and TDrawGrid components.


TCustomdxInspectorReportLink

TCustomdxInspectorReportLink Object

Hierarchy

Properties

Methods

Events

The TCustomdxInspectorReportLink object represents the base class used to print both the TdxInspector and TdxDBInspector components.

Unit

dxPSdxInsLnk

TCustomdxInspectorReportLink = class( TBasedxReportLink )

Description

TCustomdxInspectorReportLink is a common ancestor for both the TdxInspectorReportLink and TdxDBInspectorReportLink objects. It provides the functionality necessary to print the TdxInspector and TdxDBInspector components.


TCustomdxListBoxReportLinkControl

TCustomdxListBoxReportLinkControl Object

Hierarchy Properties Methods Events See Also Example

TCustomdxListBoxReportLinkControl is a report link to print the TListBox component.

Unit

dxPSLbxLnk

TCustomdxListBoxReportLinkControl = class(TdxCustomListBoxReportLink)

Description

Use TCustomdxListBoxReportLinkControl to print the TListBox component. The TCustomdxListBoxReportLinkControl object uses a designer of type TdxLbxReportLinkDesignWindow to customize pages with data from the TListBox component.


TCustomdxNativeTreeViewReportLink

TCustomdxNativeTreeViewReportLink Object

Hierarchy

Properties

Methods

Events

The TCustomdxNativeTreeViewReportLink class represents the base class used to print tree view components such as the TTreeView, TdxTreeView and TdxDBTreeView using native painting procedures.

Unit

dxPSTVLnk

TCustomdxNativeTreeViewReportLink = class(TBasedxReportLink)

Description

The TCustomdxNativeTreeViewReportLink is a common ancestor for the report links (the TdxTreeViewReportLink, TdxTreeViewExReportLink, and TdxDBTreeViewReportLink) that provide the functionality required to print the corresponding components (the TTreeView, TdxTreeView, and TdxDBTreeView) using native painting procedures.


TCustomdxOrgChartReportLink

TCustomdxOrgChartReportLink Object

Hierarchy Properties Methods Events

The TCustomdxOrgChartReportLink object represents the base class used to print both the TdxOrgChart (ExpressOrgChart) and TdxDBOrgChart (ExpressDBOrgChart) components.

Unit

dxPSdxOCLnk

TCustomdxOrgChartReportLink = class(TCustomdxGraphicReportLink)

Description

TCustomdxOrgChartReportLink is a common ancestor for both the TdxOrgChartReportLink and TdxDBOrgChartReportLink objects. It provides the functionality necessary to print the ExpressOrgChart and ExpressDBOrgChart.


TCustomdxPageObject

TCustomdxPageObject Object

Hierarchy

Properties

Methods

Encapsulates general properties and methods of the Page object.

Unit

dxPrnPg

TCustomdxPageObject = class(TdxPrinterPageObject)

Description

The TCustomdxPageObject contains general methods and properties of the Page object: text setup routines: such as Font, Titles, page management routines: LoadFromFile, SaveToFile, etc.


TCustomdxPictureReportLink

TCustomdxPictureReportLink Object

Hierarchy Properties Methods Events

TCustomdxPictureReportLink is an ancestor for TdxPictureReportLink and TdxImageReportLink.

Unit

dxPSGraphicLink

TCustomdxPictureReportLink = class(TCustomdxGraphicReportLink)

Description

TCustomdxPictureReportLink is an ancestor for TdxPictureReportLink and TdxImageReportLink.


TCustomdxPSDBBasedExplorerFieldNamesMap

TCustomdxPSDBBasedExplorerFieldNamesMap Object

Hierarchy Properties Methods

Serves as the base for objects representing a data-aware explorer’s FoldersFieldNamesMap and ItemsFieldNamesMap properties.

Unit

dxPSDBBasedXplorer

TCustomdxPSDBBasedExplorerFieldNamesMap = class( TPersistent )

Description

The TCustomdxPSDBBasedExplorerFieldNamesMap class implements the basic functionality of the TdxPSDBBasedExplorerFoldersFieldNamesMap and TdxPSDBBasedExplorerItemsFieldNamesMap objects. These objects represent the FoldersFieldNamesMap and ItemsFieldNamesMap properties in a TdxPSDBBasedExplorer component. The purpose of these properties is to bind the component to fields that specify the report tree structure and hold report data.

The functionality implemented in the TCustomdxPSDBBasedExplorerFieldNamesMap object doesn’t allow specifying any dataset fields. It only introduces members that allow access to the owner component and to copy settings to other objects.


TCustomdxPSExplorer

TCustomdxPSExplorer Object

Hierarchy Properties Methods Events

Serves as the base for report explorers.

Unit

dxPSCore

TCustomdxPSExplorer = class( TComponent , IdxPSExplorerContextCommands)

Description

The TCustomdxPSExplorer class implements the basic functionality of the TdxPSFileBasedExplorer and TdxPSDBBasedExplorer classes. These are the components that allow reports to be saved into a tree structure and explore them when invoking report preview. Each explorer class has its specifics depending on the storage type, however they also have much in common with regard to the report structure and management.

Please refer to the TdxPSFileBasedExplorer and TdxPSDBBasedExplorer class descriptions for details on binding explorers to the component printer and explorer components.


TCustomdxPSExplorerItem

TCustomdxPSExplorerItem Object

Hierarchy Properties Methods

Serves as the base for objects representing folders and items within report explorers.

Unit

dxPSCore

TCustomdxPSExplorerItem = class( TObject )

Description

Report explorers represent folders and items using specially designed objects. Such object’s properties and methods provide information on items and folders and enable their management. The common functionality of such objects is implemented by the TCustomdxPSExplorerItem class. Its immediate descendants are the TdxPSExplorerItem and TdxPSExplorerFolder classes that implement the basic functionality of items and folders respectively. Note that each of these classes has its own descendants that provide functionality specific to the file-based and database explorers.

Some methods and properties have the TCustomdxPSExplorerItem return type. For instance, values of such type are returned by the FindCustomItemByUniqueID method of explorer components. In such cases, you need to perform typecasts to access the returned object’s particular properties and methods.

Note that descendants of the TCustomdxPSExplorerItem class can implement additional (descendant-specific) functionality by overriding its methods and properties. You can also create custom descendants of the TCustomdxPSExplorerItem class to represent report items and folders within an explorer component. To use such custom folder and item objects, you need to override the explorer’s GetItemClass, GetFolderClass and GetRootFolderClass methods.


TCustomdxRichEditReportLink

TCustomdxRichEditReportLink Object

Hierarchy

Properties

Methods

Events

The TCustomdxRichEditReportLink class represents the base class used to print rich edit controls.

Unit

dxPSRELnk

TCustomdxRichEditReportLink = class(TAbstractdxRichEditReportLink)

Description

The TCustomdxRichEditReportLink class introduces the CustomRichEdit property which provides access to the generic rich edit control for which the current report link is created. This class provides the functionality required to print rich edit controls such as the TRichEdit and TrxRichEdit .


TCustomdxSpreadSheetReportLink

 TCustomdxSpreadSheetReportLink Object

Hierarchy Properties Methods Events

Represents the base class for report links used to print out the ExpressSpreadSheet component.

Unit

dxPScxSSLnk

TCustomdxSpreadSheetReportLink = class(TAbstractdxGridReportLink)

Description

The TCustomdxSpreadSheetReportLink class is the common ancestor for the TdxSpreadSheetBookReportLink and TdxSpreadSheetReportLink classes.


TCustomdxTeeChartReportLink

Hierarchy Properties Methods Events

The TCustomdxTeeChartReportLink object represents the base class used to print both the TChart and TDBChart components.

Unit

dxPSTCLnk

TCustomdxTeeChartReportLink = class(TCustomdxGraphicReportLink)

Description

TCustomdxTeeChartReportLink is a common ancestor for both the TdxTeeChartReportLink and TdxDBTeeChartReportLink objects.


TCustomdxTreeListReportLink

TCustomdxTreeListReportLink Object

Hierarchy Properties Methods Events

The TCustomdxTreeListReportLink object represents the base class used to print the TdxTreeList (ExpressQuantumTreeList), TdxDBTreeList (ExpressQuantumDBTreeList) and TdxDBGrid (ExpressQuantumGrid) components.

Unit

dxPSdxTLLnk

TCustomdxTreeListReportLink = class(TBasedxReportLink)

Description

TCustomdxTreeListReportLink is a common ancestor for the TdxTreeListReportLink, TdxDBTreeListReportLink and TdxDBGridReportLink objects. It provides the functionality necessary to print the ExpressQuantumGrid, ExpressQuantumDBTreeList and ExpressQuantumTreeList.


TCustomdxTreeViewReportLink

TCustomdxTreeViewReportLink Object

Hierarchy

Properties

Methods

Events

The TCustomdxTreeViewReportLink class represents the base class used to print tree view components such as the TTreeView, TdxTreeView and TdxDBTreeView. This class extends its ancestor class with the ability to paint components using custom painting procedures.

Unit

dxPSTVLnk

TCustomdxTreeViewReportLink = class(TCustomdxNativeTreeViewReportLink)

Description

The TCustomdxTreeViewReportLink class is a common ancestor for the report links (the TdxTreeViewReportLink, TdxTreeViewExReportLink, and TdxDBTreeViewReportLink) that provide the functionality required to print the corresponding components (the TTreeView, TdxTreeView, and TdxDBTreeView) using custom painting procedures (see the SupportedCustomDraw property for details).


TcxCustomMemoReportLink

TcxCustomMemoReportLink Object

Hierarchy

Properties

Methods

Events

The TcxCustomMemoReportLink class represents the base class for the report links which print the multi-line editors from the ExpressEditors Library.

Unit

dxPScxEditorLnks

TcxCustomMemoReportLink = class(TdxCustomMemoReportLink)

Description

The TcxCustomMemoReportLink class provides basic functionality and settings for the report links which print multi-line editors from the ExpressEditors Library such as the TcxMemo. The TcxCustomMemoReportLink class extends its ancestor class with the cxCustomMemo property that provides access to the multi-line editor being printed.


TcxCustomSchedulerReportLinkOptions

TcxCustomSchedulerReportLinkOptions Object

Hierarchy Properties

The TcxCustomSchedulerReportLinkOptions class is the base class for classes implementing the scheduler’s report time range and print styles collection.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxCustomSchedulerReportLinkOptions = class( TdxCustomReportLinkOptions )

Description

The TcxCustomSchedulerReportLinkOptions class implements the base functionality providing access to the report-generating component and scheduler control (see the ReportLink and Scheduler properties).

Do not use this class directly. Use its descendants instead.


TcxCustomSchedulerReportLinkPrintStyle

TcxCustomSchedulerReportLinkPrintStyle Object

Hierarchy Properties Methods

The TcxCustomSchedulerReportLinkPrintStyle class is the base class for classes, which implement the scheduler report’s print styles.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxCustomSchedulerReportLinkPrintStyle = class( TPersistent )

Description

The TcxCustomSchedulerReportLinkPrintStyle class implements common behavior (see the Active and Caption properties) and defines common interface that is used by its descendants to implement their own behavior (see the DefaultCaption , IsCompatibleWith , and RestoreDefaults methods). The following subclasses implement different print styles:

  • TcxSchedulerReportLinkDailyPrintStyle – implements the Daily print style – a day per page.

  • TcxSchedulerReportLinkWeeklyPrintStyle – implements the Weekly print style – a week per page.

  • TcxSchedulerReportLinkMonthlyPrintStyle – implements the Monthly print style – a month per page.

  • TcxSchedulerReportLinkTrifoldPrintStyle – implements the Tri-fold print style – a page is divided into three sections. Each section can be occupied by one of the above time views or by the task pad or notes pane.

  • TcxSchedulerReportLinkDetailsPrintStyle – implements the Details print style – a day per page and the user events ‘ description are included.

  • TcxSchedulerReportLinkMemoPrintStyle – implements the Memo print style – this print style lists individual user events in the report along with their details.


TcxCustomVerticalGridReportLink

TcxCustomVerticalGridReportLink Object

Hierarchy Properties Methods Events

Represents the base class for the vertical grid control report links.

Unit

dxPScxVGridLnk

TcxCustomVerticalGridReportLink = class( TdxCustomcxControlReportLink )

Description

The TcxCustomVerticalGridReportLink class is the base class for report link classes used for printing out the vertical grid control. The report link for vertical grid inherits its functionality from the TdxCustomcxControlReportLink class and provides additional report rendering options which modify the look and feel of the resulting report and do not affect the vertical grid control’s options. Many report link options are similar to the vertical grid options.

The report link provides the following set of rendering options:

  • The OptionsExpanding group of properties controls the expansion of vertical grid nodes within the report.

  • The OptionsFormatting group of properties defines formatting options for a report.

  • The OptionsPagination group of properties specifies how the vertical grid control should be divided across report pages.

  • The OptionsRefinements group of properties specifies refinements to the look and feel of the vertical grid report.

  • The OptionsSize group of properties determines how the vertical grid control is sized within the report.

  • The OptionsView group of properties specifies which vertical grid control elements are visible within the report.

You can also define the vertical grid control styles within the report via the Styles property.


TcxDBMemoReportLink

TcxDBMemoReportLink Object

Hierarchy

Properties

Methods

Events

The TcxDBMemoReportLink class represents the base class for report links which print data-aware multi-line editors from the ExpressEditors Library.

Unit

dxPScxDBEditorLnks

TcxDBMemoReportLink = class(TcxCustomMemoReportLink)

Description

The TcxDBMemoReportLink class provides basic functionality and settings for the report links which print data-aware multi-line editors from the ExpressEditors Library such as the TcxDBMemo. The TcxDBMemoReportLink class extends its ancestor class with the cxDBMemo property that provides access to the data-aware version of the multi-line editor being printed.


TcxfmSchedulerReportLinkDesignWindow

TcxfmSchedulerReportLinkDesignWindow Object

Hierarchy Properties Methods See Also

The TcxfmSchedulerReportLinkDesignWindow class implements the scheduler’s report designer dialog.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxfmSchedulerReportLinkDesignWindow = class( TdxfmCustomcxControlReportLinkDesignWindow )

Description

An end user can use the scheduler’s report designer dialog to modify the scheduler’s report settings to meet their requirements (see the TcxSchedulerReportLink.PrintRange, TcxSchedulerReportLink.PrintStyles, TcxSchedulerReportLink.Styles and TcxSchedulerReportLink.OptionsFormatting properties).

The TcxfmSchedulerReportLinkDesignWindow object is referenced by the TcxSchedulerReportLink.DesignWindow property.


TcxfmVerticalGridReportLinkDesignWindow

TcxfmVerticalGridReportLinkDesignWindow Object

Hierarchy

Represents a report link designer for a vertical grid control.

Unit

dxPScxVGridLnk

TcxfmVerticalGridReportLinkDesignWindow = class(TdxfmCustomcxControlReportLinkDesignWindow);

Description

The TcxfmVerticalGridReportLinkDesignWindow class represents a report link designer for printing out a vertical grid control.


TcxMCListBoxReportLink

TcxMCListBoxReportLink Object

Hierarchy

Properties

Methods

Events

TcxMCListBoxReportLink is a report link used to print multi-column list box editors such as the TcxMCListBox component.

Unit

dxPScxMCListBoxLnk

TcxMCListBoxReportLink = class(TAbstractdxGridReportLink)

Description

TcxMCListBoxReportLink introduces properties which control the appearance of the column headers and lines within a report when printing multi-column list box editors (the HeaderColor, HeaderFont, HeaderTransparent, IncludeHeaders and Options properties) and provides the ability to perform custom drawing via the OnCustomDrawItem event.


TcxMemoReportLink

TcxMemoReportLink Object

Hierarchy

Properties

Methods

Events

Represents a ReportLink object used by the ExpressPrintingSystem to print multi-line editors of the ExpressEditors Library.

Unit

dxPScxEditorLnks

TcxMemoReportLink = class(TcxCustomMemoReportLink)

Description

TcxMemoReportLink provides basic functionality and settings required to print multi-line editors of the ExpressEditors Library such as the TcxMemo. The TdxMemoReportLink class extends its ancestor class with the cxMemo property that provides access to the multi-line editor being printed.

Set the Alignment and TextRowSpacing properties as needed to adjust the appearance of the text in a report. To perform custom drawing of each text row, handle the OnCustomDrawRow and OnInitializeRow events.


TcxRTTIInspectorReportLink

TcxRTTIInspectorReportLink Object

Hierarchy Properties Methods Events

Represents the report link used for printing out the cxRTTIInspector control.

Unit

dxPScxVGridLnk

TcxRTTIInspectorReportLink = class( TcxUnboundVerticalGridReportLink );

Description

The TcxRTTIInspectorReportLink class represents the report link used for printing out the cxRTTIInspector control. This class inherits its functionality from its ancestor.


TcxSchedulerReportLinkOptionsFormatting

TcxSchedulerReportLinkOptionsFormatting Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkOptionsFormatting class represents formatting options, which control the generic attributes of the scheduler’s report.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkOptionsFormatting = class( TdxCustomReportLinkOptionsFormatting )

Description

In addition to the inherited options (see the GridLineColor , LookAndFeelKind , SuppressBackgroundBitmaps , UseLookAndFeelColors and UseNativeStyles properties) the TcxSchedulerReportLinkOptionsFormatting class adds an option which allows specifying whether the preview mode is shown in color or black and white (see the SuppressContentColoration property).

The TcxSchedulerReportLinkOptionsFormatting object is referenced by the TcxSchedulerReportLink.OptionsFormatting property.


TcxSchedulerReportLinkPrintRange

TcxSchedulerReportLinkPrintRange Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkPrintRange class encapsulates settings, which specify the report's time range.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkPrintRange = class( TcxCustomSchedulerReportLinkOptions )

Description

Besides specifying the time range (see the PrintFrom , TimePrintFrom , PrintTo and TimePrintTo properties) the TcxSchedulerReportLinkPrintRange class also provides service for determining the number of days, weeks or months within the given time range (see the DayCount , WeekCount and MonthCount properties).

The TcxSchedulerReportLinkPrintRange object is referenced by the TcxSchedulerReportLink.PrintRange property.


TcxSchedulerReportLinkPrintStyles

TcxSchedulerReportLinkPrintStyles Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkPrintStyles class implements a collection of print styles that can be applied to the scheduler’s report.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkPrintStyles = class( TcxCustomSchedulerReportLinkOptions )

Description

The print styles specify the way in which user events are arranged in the scheduler’s report. The print styles determine the different types of layouts used for the scheduler’s reports. The daily, weekly, monthly and yearly print styles represent the time views (see the Daily , Weekly and Monthly and Yearly properties). The memo print style displays a list of the individual user events in the report along with their details (see the Memo property). The details print style represents the user events with their descriptions included (see the Details property). And the tri-fold print style represents the report page divided into three sections where time views or the task pad or notes panes can be shown (see the Trifold property).

The TcxSchedulerReportLinkPrintStyles object is referenced by the TcxSchedulerReportLink.PrintStyles property.


TcxSchedulerReportLinkStyles

TcxSchedulerReportLinkStyles Object

Hierarchy Properties Methods

The TcxSchedulerReportLinkStyles class implements a collection of styles that are applied to the report's various elements.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkStyles = class( TdxCustomReportLinkStyles )

Description

The TcxSchedulerReportLinkStyles class provides a set of properties for specifying the styles of the corresponding elements in the scheduler’s report. There are also methods, exposed by this class, for determining the styles of the appropriate elements.

The TcxSchedulerReportLinkStyles object is referenced by the TcxSchedulerReportLink.Styles property.


TcxTreeListControlReportLink

TcxTreeListControlReportLink Object

Hierarchy Properties Methods Events

Represents a report link for printing out the TreeList control.

Unit

dxPScxTLLnk

TcxTreeListControlReportLink = class(TdxCustomTableControlReportLink)

Description

The TcxTreeListControlReportLink class represents a custom report link for printing out the TreeList control. The TreeList report link inherits all functionality from the TBasedxReportLink class and provides some report rendering options to modify the look and feel of the report without affecting the TreeList control itself. Many report link options are similar to the TreeList options.

The report link provides the following set of rendering options:

  • The OptionsExpanding group controls the TreeList nodes expanding within the report.

  • The OptionsFormatting group defines report formatting options.

  • The OptionsOnEveryPage group specifies whether the TreeList data grouping elements (band headers, column headers and footer) appear on every page or only once within the report.

  • The OptionsPagination group specifies how the TreeList control should be split across the report pages.

  • The OptionsPreview group controls representation of the TreeList node preview section within the report.

  • The OptionsRefinements group specifies the look and feel refinements of the TreeList report.

  • The OptionsSelection group controls the representation of the TreeList control selection.

  • The OptionsSize group specifies how the TreeList control is sized within the report.

  • The OptionsView group specifies which TreeList control’s elements are visible within the report.

You can also define the styles for the TreeList control within the report via the Styles property.


TcxTreeListReportLinkOptionsExpanding

TcxTreeListReportLinkOptionsExpanding Object

Hierarchy Properties Methods

Options defining how nodes with child nodes are displayed in the report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsExpanding = class( TdxCustomReportLinkOptionsExpanding )

Description

The TcxTreeListReportLinkOptionsExpanding class contains options that specify how nodes with child nodes are displayed in the report.

Setting the AutoExpandNodes property to True prints the TreeList control nodes as expanded without affecting their state. On the other hand, the ExplicitlyExpandNodes property forces nodes to be expanded.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsFormatting

TcxTreeListReportLinkOptionsFormatting Object

Hierarchy Properties Methods

Represents the options which define the TreeList’s appearance in the report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsFormatting = class(TdxCustomReportLinkOptionsFormatting)

Description

The TcxTreeListReportLinkOptionsFormatting object contains options which control the general TreeList appearance in a report.

This includes:

  • Grid line color, controlled by the GridLineColor property,

  • TreeList Look And Feel, controlled by the LookAndFeelKind property,

  • Width and color of the node separator, controlled by the NodeSeparatorThickness and NodeSeparatorColor properties.

  • Whether or not to suppress printing background bitmaps that are specified by the TcxStyle.Bitmap property, controlled by the SuppressBackgroundBitmaps property.

  • Whether or not to use native windows color scheme for the TreeList control in the report, controlled by the UseNativeStyles property.

  • Whether or not to show stylized selection in the report, controlled by the ConsumeSelectionStyle

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsOnEveryPage

TcxTreeListReportLinkOptionsOnEveryPage Object

Hierarchy Properties Methods

Represents the options which define the layout of the TreeList’s elements within the report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsOnEveryPage = class( TdxCustomTableControlReportLinkOptionsOnEveryPage )

Description

The TcxTreeListReportLinkOptionsOnEveryPage class contains options that determine whether the fixed TreeList elements such as bands headers, column headers and footer panel appear on every report page or just once within the report.

The BandHeaders property determines whether the TreeList band headers appear on every report page.

The Headers property determines whether the TreeList column headers appear on every report page.

The Footers property determines whether the TreeList footer panel appears on every report page.

Note that it is impossible to enable TreeList column headers on every page (see the Headers property) while band headers on every page are disabled via the BandHeaders property and the band headers are enabled via the TcxTreeListReportLinkOptionsView.BandHeaders property.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsPagination

TcxTreeListReportLinkOptionsPagination Object

Hierarchy Properties Methods

Options determining how to split a TreeList control across report pages if its size exceeds the size of the single printed page.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsPagination = class( TdxCustomTableControlReportLinkOptionsPagination )

Description

The TcxTreeListReportLinkOptionsPagination class contains options used to determine how to split a TreeList control across report pages if its size exceeds the size of the single printed page. There are four criteria that affect report pagination:

  • bands,

  • columns,

  • nodes,

  • custom page breaks.

To enable a single criterion just set the corresponding property to True.

  • Band for bands;

  • Column for columns;

  • Node for nodes;

  • Custom for custom page breaks.

The bands and columns affect the horizontal splitting of the TreeList while the nodes and custom page breaks are vertical.

If the Band property is True, the TreeList control has more than one band and the TreeList's width exceeds the single printed page the TreeList is split across the report pages to accommodate the maximum number of bands possible on a single page. This is also valid for the Column property, if this is True the TreeList control will be split to accommodate the maximum possible number of columns in their entirety on a single page.

These two properties have no effect if either the TBasedxReportLink.ShrinkToPageWidth property or the TcxTreeListReportLinkOptionsSize.AutoWidth property is set to True.

Vertical TreeList splitting is controlled by the Node and Custom properties. If the Node property is True the TreeList control nodes are split across the report pages to accommodate the maximum number of columns in their entirety possible on a single page.

Set the Custom property to True to enable custom page breaks. Custom page breaks allows you to add a page break before any TreeList node. To add custom page breaks to the report you should use the OnGetCustomPageBreaks event.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsPreview

TcxTreeListReportLinkOptionsPreview Object

Hierarchy Properties Methods

Options to determine how to display the TreeList node preview section within the report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsPreview = class(TdxCustomTableControlReportLinkOptionsPreview)

Description

The TcxTreeListReportLinkOptionsPreview class contains options used to control the TreeList node preview section representation within the report. The Visible property determines whether the preview section is visible and the AutoHeight property specifies if the preview section’s height should be adjusted to accommodate the entire preview text. You can however, limit the text line count n the preview section via the MaxLineCount property.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsRefinements

TcxTreeListReportLinkOptionsRefinements Object

Hierarchy Properties Methods

Options which determine report refinements.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsRefinements = class(TdxCustomReportLinkOptionsRefinements)

Description

The TcxTreeListReportLinkOptionsRefinements class contains options used to specify report refinements. This includes:

  • Specifies if graphics should be displayed in cells as text (the DisplayGraphicsAsText property). Additionally you can specify the text string to display in place of the graphics via the GraphicsText property.

  • If check boxes and radio buttons should be displayed in 3D style or flat style. Set the FlatCheckMarks property to True to display check boxes and radio buttons flat and to False to display them in 3D style.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsSelection

TcxTreeListReportLinkOptionsSelection Object

Hierarchy Properties Methods

Options which determine how a TreeList control selection should be processed.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsSelection = class(TdxCustomTableControlReportLinkOptionsSelection)

Description

The TcxTreeListReportLinkOptionsSelection class contains options that specify how the TreeList control selection will be displayed within the report. The ProcessSelection property determines whether the selection will be displayed within the report.

If the TreeList control is in multiselect mode then the ProcessExactSelection provides additional control upon the selection representation. If it is True the selection is displayed in its current state. Otherwise, the owner node and all nodes at the same save level as the selected nodes are displayed as selected.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsSize

TcxTreeListReportLinkOptionsSize Object

Hierarchy Properties Methods

Options determining how the TreeList control is sized within the report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsSize = class(TdxCustomReportLinkOptionsSize)

Description

The TcxTreeListReportLinkOptionsSize class defines the options that determine if the TreeList control’s width is automatically adjusted to accommodate the printed page width. To enable automatic width adjustment set the AutoWidth property to True, to disable it set the property to False.

Note that the property values of OptionsPagination.Band and OptionsPagination.Column have no effect upon the report and the TreeList control is not horizontally split across the report pages if the AutoWidth property is set to True.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkOptionsView

TcxTreeListReportLinkOptionsView Object

Hierarchy Properties Methods

Options determining which TreeList control’s elements should be displayed within a report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkOptionsView = class(TdxCustomTableControlReportLinkOptionsView)

Description

The TcxTreeListReportLinkOptionsView class contains options that specify which elements of the TreeList control should be displayed within the report.

  • The BandHeaders property determines whether the band headers of the TreeList control are displayed within the report. Note that the TcxTreeListReportLinkOptionsOnEveryPage.BandHeaders property has no effect when the BandHeaders property is set to False.

  • The Borders property specifies whether the border of the TreeList control is displayed within the report.

  • The ExpandButtons property determines whether the expand buttons of the TreeList control are displayed within the report.

  • The Footers property indicates whether the footer of the TreeList control is displayed within the report. Note that the TcxTreeListReportLinkOptionsOnEveryPage.Footers property has no effect when the Footers property is set to False.

  • The Headers property specifies whether the column headers of the TreeList control are displayed within the report. Note that the TcxTreeListReportLinkOptionsOnEveryPage.Headers property has no effect when the Headers property is set to False.

  • The TreeLines property determines whether the tree lines of the TreeList control are displayed within the report.

Note that it is impossible to enable TreeList column headers on every page (the TcxTreeListReportLinkOptionsOnEveryPage.Headers property) while band headers on every page are disabled (the TcxTreeListReportLinkOptionsOnEveryPage.BandHeaders property) and the band headers are enabled (the BandHeaders property).

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListReportLinkStyles

TcxTreeListReportLinkStyles Object

Hierarchy Properties Methods Events

Represents the set of styles for the TreeList control’s elements within the report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkStyles = class(TdxCustomReportLinkStyles)

Description

The TcxTreeListReportLinkStyles defines the set of styles to be used by the TreeList control’s elements within the report without affecting the real TreeList elements styles.

The following elements styles are available:

  • BandHeader – represents the style for band headers.

  • Content – represents the style for data cells.

  • ContentEven – represents the styles for the data cells within the even nodes. (overrides the Content style).

  • ContentOdd – represents the styles for the data cells within the odd nodes. (overrides the Content style).

  • Footer – represents the style for the footer cell.

  • FooterRow – represents the style for the footer.

  • Header – represents the style for the column header.

  • Preview – represents the style for the node preview section.

  • Selection – represents the style for the selection.


TcxTreeListReportLinkStyleSheet

TcxTreeListReportLinkStyleSheet Object

Hierarchy Properties Methods

Represents a style sheet for the TreeList control report.

Unit

dxPScxTLLnk

TcxTreeListReportLinkStyleSheet = class(TdxCustomReportLinkStyleSheet)

Description

The TdxCustomReportLinkStyleSheet contains a collection of styles that can be applied to the control to set multiple styles in one step. The TcxTreeListReportLinkStyleSheet provides a collection of style sheets for the TreeList control.


TcxUnboundVerticalGridReportLink

TcxUnboundVerticalGridReportLink Object

Hierarchy

Represents the report link used to print out single record controls.

Unit

dxPScxVGridLnk

TcxUnboundVerticalGridReportLink = class( TcxCustomVerticalGridReportLink )

Description

The TcxUnboundVerticalGridReportLink class is the base class for classes which print single record controls (such as the TcxUnboundVerticalGrid or cxRTTIInspector). The TcxUnboundVerticalGridReportLink class does not introduce any new members.


TcxVerticalGridReportLinkOptionsExpanding

TcxVerticalGridReportLinkOptionsExpanding Object

Hierarchy Properties Methods

Contains option which specify the state of parent rows within a report.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkOptionsExpanding = class( TdxCustomReportLinkOptionsExpanding )

Description

The TcxVerticalGridReportLinkOptionsExpanding class contains options which specify the state of parent rows within a report. If the AutoExpandRows option is True, then the collapsed parent rows appear as expanded within a report. Otherwise, the parent rows retain their state within the report.

Call the RestoreDefaults method to set all options in this set back to their default values.


TcxVerticalGridReportLinkOptionsFormatting

TcxVerticalGridReportLinkOptionsFormatting Object

Hierarchy Properties Methods

Contains formatting options for the vertical grid report link.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkOptionsFormatting = class( TdxCustomReportLinkOptionsFormatting )

Description

The TcxVerticalGridReportLinkOptionsFormatting class contains formatting options for the vertical grid report link. These options specify the report’s look & feel, grid lines color and style settings.

Call the RestoreDefaults method to set all options in this set back to their default values.


TcxVerticalGridReportLinkOptionsPagination

TcxVerticalGridReportLinkOptionsPagination Object

Hierarchy Properties Methods

Contains options defining the manner in which the vertical grid control is split across report pages.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkOptionsPagination = class( TdxCustomReportLinkOptionsPagination )

Description

The TcxVerticalGridReportLinkOptionsPagination class contains options to define the manner in which the vertical grid control is split across report pages. These options specify:

  • if the ExpressPrintingSystem should split the vertical grid control within a report to keep as many whole rows within a page as is possible (see the ByRows property description);

  • if the ExpressPrintingSystem should split the vertical grid control within a report to keep as many whole records wrapped within a page as is possible (see the ByWrapping, OneWrappingPerPage and OptionsSize.WrapRecords property descriptions).

Call the RestoreDefaults method to set all options in this set to their default values.


TcxVerticalGridReportLinkOptionsRefinements

TcxVerticalGridReportLinkOptionsRefinements Object

Hierarchy Properties Methods

Contains options which determine the report’s refinements.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkOptionsRefinements = class( TdxCustomReportLinkOptionsRefinements );

Description

The TcxVerticalGridReportLinkOptionsRefinements class contains report refinements. These include:

  • Whether to display cell graphics as text (the DisplayGraphicsAsText property). Additionally you can specify the text string to display in place of the graphics via the GraphicsText property.

  • Whether to display check boxes and radio buttons in 3D or flat style. Set the FlatCheckMarks property to True to display check boxes and radio buttons as flat and to False to display them in 3D style.

Call the RestoreDefaults method to set all the options in this set to their default values.


TcxVerticalGridReportLinkOptionsSize

TcxVerticalGridReportLinkOptionsSize Object

Hierarchy Properties Methods

Contains options which affect the vertical grid control size within a report.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkOptionsSize = class( TdxCustomReportLinkOptionsSize )

Description

The TcxVerticalGridReportLinkOptionsSize class contains options which affect the size of the vertical grid control within a report. These options specify:

  • whether the vertical grid control is resized to fit the width of the report page (see the AutoWidth property description);

  • whether the vertical grid control is resized to display the entire contents of vertical grid cells (see the BestFit and KeepSameRecordWidths property descriptions);

  • whether vertical grid records are wrapped within a page so as to display all records within a single page (see the WrapRecords property description).

Call the RestoreDefaults method to set all options in this set to their default values.


TcxVerticalGridReportLinkOptionsView

TcxVerticalGridReportLinkOptionsView Object

Hierarchy Properties Methods

Contains options which affect the visibility of the vertical grid control elements within a report.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkOptionsView = class( TdxCustomReportLinkOptionsView )

Description

The TcxVerticalGridReportLinkOptionsView class contains options which affect the visibility state of vertical grid control elements within a report. These options affect the visibility of the vertical grid control‘s borders, row headers and expand buttons.

Call the RestoreDefaults method to set all options in this set to their default values.


TcxVerticalGridReportLinkStyles

TcxVerticalGridReportLinkStyles Object

Hierarchy Properties

Represents the collection of styles applied to the vertical grid control within a report if the OptionsFormatting.UseNativeStyles option is active.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkStyles = class( TdxCustomReportLinkStyles )

Description

The TcxVerticalGridReportLinkStyles class represents the set of styles which manage the vertical grid report link’s appearance. These styles specify the appearance of different vertical grid control elements.

Note, these styles are in effect only if the OptionsFormatting.UseNativeStyles option is active.

You can access this styles collection via the ReportLink.Styles property.


TcxVerticalGridReportLinkStyleSheet

TcxVerticalGridReportLinkStyleSheet Object

Hierarchy Properties Methods

Represents a style sheet for the vertical grid control report link.

Unit

dxPScxVGridLnk

TcxVerticalGridReportLinkStyleSheet = class( TdxCustomReportLinkStyleSheet )

Description

A StyleSheet contains a collection of styles that can be applied to a report link, setting multiple styles in one step. The TcxVerticalGridReportLinkStyleSheet provides a style sheet collection for the vertical grid report link.

You can access the report link style sheet via the report link’s Styles.StyleSheet property.


TdxChlbxReportLinkDesignWindow

TdxChlbxReportLinkDesignWindow Object

Hierarchy See Also

Unit

dxPSChlbxLnk

TdxChlbxReportLinkDesignWindow = class(TStandarddxReportLinkDesignWindow)

Description

The TdxChlbxReportLinkDesignWindow is used as a designer for the TdxCheckListBoxReportLink object. The TdxChlbxReportLinkDesignWindow object appears as a window that provides customization of the report created with the help of the TdxCheckListBoxReportLink object.


TdxCustomContainerReportLink

TdxCustomContainerReportLink Object

Hierarchy Properties Methods Events

Represents the base class for the container component report links.

Unit

dxPSContainerLnk

TdxCustomContainerReportLink = class(TBasedxReportLink)

Description

The TdxCustomContainerReportLink class is the base class for the container report link classes. It declares the basic functionality for such classes.

The TdxCustomContainerReportLink class publishes several options sets, affecting different aspects of the report link behavior:

  • OptionsBehavior – contains option determining the container link behavior in relation to the aggregated components;

  • OptionsDesignerTabs – contains options specifying the designer pages availability to an end-user;

  • OptionsPagination – contains options specifying the manner in which the container component is divided across the report pages;

  • OptionsRefinements – contains refinement option for the container report link;

  • OptionsTransparent– contains transparency settings for the printed container.

This class also publishes events allowing to:

  • perform custom painting of the aggregated components (OnCustomDrawItem);

  • change the aggregated report links settings before printing (OnInitializeReportLink);

  • specify the aggregated component options (OnInitializeItem and OnInitializeItemOptionsPlace);

  • substitute the required report links for the aggregated components (OnGetComponentReportLink).


TdxCustomContainerReportLinkOptions

TdxCustomContainerReportLinkOptions Object

Hierarchy Properties Methods

Represents the base class for the custom container report link options classes.

Unit

dxPSContainerLnk

TdxCustomContainerReportLinkOptions = class( TPersistent )

Description

The TdxCustomContainerReportLinkOptions class is the base class for the custom container report link options classes. These classes contain various options affecting many aspects of the report generation. The base class provides basic functionality: the ReportLink property specifying the report link whose options are represented and the RestoreDefaults method reverting all options within a specific set to their default values.


TdxCustomContainerReportLinkOptionsBehavior

TdxCustomContainerReportLinkOptionsBehavior Object

Hierarchy Properties Methods

Contains the behavior options.

Unit

dxPSContainerLnk

TdxCustomContainerReportLinkOptionsBehavior = class(TdxCustomContainerReportLinkOptions)

Description

The TdxCustomContainerReportLinkOptionsBehavior class contains the behavior option. The ConsumeExistingLinks option determines whether the container report link accepts the aggregated report links’ settings. Activating this option is useful when the printed container has components supported by the ExpressPrintingSystem. In this case, pagination, refinement, transparency and other aggregated report link settings can be accessed via the Aggregated Designers container report link designer page.


TdxCustomContainerReportLinkOptionsDesignerTabs

TdxCustomContainerReportLinkOptionsDesignerTabs Object

Hierarchy Properties Methods

Contains settings affecting the availability of the report link designer pages to an end-user.

Unit

dxPSContainerLnk

TdxCustomContainerReportLinkOptionsDesignerTabs = class(TdxCustomContainerReportLinkOptions)

Description

The TdxCustomContainerReportLinkOptionsDesignerTabs class contains settings affecting the availability of the report link designer pages to an end-user. These settings affect the Aggregated Designer (AutoHideReportLinksIfEmpty and ReportLinks properties) and Controls pages (Controls property).

Use the Link.OptionsDesignerTabs property to access these options.


TdxCustomContainerReportLinkOptionsItemPlace

TdxCustomContainerReportLinkOptionsItemPlace Object

Hierarchy Properties Methods

Contains options affecting the printed components size and placement.

Unit

dxPSContainerLnk

TdxCustomContainerReportLinkOptionsItemPlace = class(TdxCustomContainerReportLinkOptions)

Description

The TdxCustomContainerReportLinkOptionsItemPlace class contains options affecting the printed components size and placement. These options are useful when printing components whose content size can differ from the component size, for instance, TMemo. When the ExpandHeight or ExpandWidth options are active, then the corresponding component dimension within a report is enlarged to match the content. When the ShrinkHeight or ShrinkWidth options are active, then the corresponding component dimension within a report is shrank to match the content.

An instance of the TdxCustomContainerReportLinkOptionsItemPlace class is passed as the Link.OnInitializeItemOptionsPlace event parameter.


TdxCustomContainerReportLinkOptionsPagination

TdxCustomContainerReportLinkOptionsPagination Object

Hierarchy Properties Methods

Contains settings specifying the manner in which the printed container is split across the report pages.

Unit

dxPSContainerLnk

TdxCustomContainerReportLinkOptionsPagination = class(TdxCustomContainerReportLinkOptions)

Description

The TdxCustomContainerReportLinkOptionsPagination class contains options specifying the manner in which the printed container is split across the report pages. The Controls property specifies whether the ExpressPrintingSystem attempts to entirely display as many controls within a single report page as possible. The ControlDetails property specifies whether the container report link accepts the pagination settings of the aggregated controls’ report links.


TdxCustomContainerReportLinkOptionsRefinements

TdxCustomContainerReportLinkOptionsRefinements Object

Hierarchy Properties Methods

Contains options specifying the report refinements.

Unit

dxPSContainerLnk

TdxCustomContainerReportLinkOptionsRefinements = class(TdxCustomContainerReportLinkOptions)

Description

The TdxCustomContainerReportLinkOptionsRefinements class contains options specifying the report refinements. The RootBorders options enables/disables displaying of the container borders.


TdxCustomContainerReportLinkOptionsTransparent

TdxCustomContainerReportLinkOptionsTransparent Object

Hierarchy Properties Methods

Contains the transparency settings.

Unit

dxPSContainerLnk

TdxCustomContainerReportLinkOptionsTransparent = class(TdxCustomContainerReportLinkOptions)

Description

The TdxCustomContainerReportLinkOptionsTransparent class contains he transparency settings. These settings enable the transparent painting of:

  • the aggregated containers (see the Containers property);

  • the aggregated controls background (see the Controls property);

  • the aggregated graphics (see the Graphics property);

  • the container background (see the Root property).


TdxCustomcxControlReportLink

TdxCustomcxControlReportLink Object

Hierarchy Properties Methods Events

Represents a report link used for printing a generic control.

Unit

dxPScxCommon

TdxCustomcxControlReportLink = class(TBasedxReportLink);

Description

The TdxCustomcxControlReportLink class represents a custom report link used for printing a generic control.


TdxCustomListBoxReportLink

TdxCustomListBoxReportLink Object

Hierarchy

Properties

Methods

Events

The TdxCustomListBoxReportLink object represents the base class used to print both the TListBox and TCheckListBox components.

Unit

dxPSGrLnks

TdxCustomListBoxReportLink = class(TAbstractdxGridReportLink)

Description

TdxCustomListBoxReportLink is a common ancestor for both the TdxListBoxReportLink and TdxCheckListBoxReportLink objects. It provides the functionality necessary to print the TListBox and TCheckListBox components.


TdxCustomMemoReportLink

TdxCustomMemoReportLink Object

Hierarchy

Properties

Methods

Events

TdxCustomMemoReportLink represents the base class for the report links which print multi-line editors.

Unit

dxPSTextLnk

TdxCustomMemoReportLink = class(TdxCustomStringsReportLink)

Description

The TdxCustomMemoReportLink class extends its ancestor class with the CustomMemo property that provides access to the multi-line editor being printed.


TdxCustomReportLinkOptions

TdxCustomReportLinkOptions Object

Hierarchy Properties Methods

Represents the set of options for a report link.

Unit

dxPScxCommon

TdxCustomReportLinkOptions = class(TPersistent)

Description

The TdxCustomReportLinkOptions class is the base class for classes, which provide options that are used to customize the various appearance aspects of the control associated with this report link and the manner in which it is split across report pages.


TdxCustomReportLinkOptionsExpanding

TdxCustomReportLinkOptionsExpanding Object

Hierarchy Properties Methods

Represents the report link’s options, which are specific to expandable controls.

Unit

dxPScxCommon

TdxCustomReportLinkOptionsExpanding = class(TdxCustomReportLinkOptions);

Description

The TdxCustomReportLinkOptionsExpanding class is the base class for classes which provide options for customizing the various appearance aspects of expandable controls such as the TreeList, Grid or VerticalGrid. The TdxCustomReportLinkOptionsExpanding class does not introduce any new members. However, its descendants extend this class with new options specific to a particular control.


TdxCustomReportLinkOptionsFormatting

TdxCustomReportLinkOptionsFormatting Object

Hierarchy Properties Methods

Represents the report link’s options, which determine the generic look and feel of the controls within a report.

Unit

dxPScxCommon

TdxCustomReportLinkOptionsFormatting = class(TdxCustomReportLinkOptions);

Description

The TdxCustomReportLinkOptionsFormatting class is the base class for the classes which provide options for customizing the general appearance aspects of the controls within a report such as:

  • GridLineColor – controls the color of the grid lines (if any);

  • LookAndFeelKind – specifies the overall look of the controls;

  • SuppressBackgroundBitmaps – controls the visibility of the background bitmap images;

  • UseLookAndFeelColors – determines the look and feel style for the controls which are painted using the native window's style (for instance, the Windows® XP style);

  • UseNativeStyles – specifies the source of the styles which are used to paint controls.

Descendants of the TdxCustomReportLinkOptionsFormatting class extend it with new options specific to a particular control.


TdxCustomReportLinkOptionsPagination

TdxCustomReportLinkOptionsPagination Object

Hierarchy Properties Methods

Represents the report link’s options, which determine how a report that spans multiple pages is split across the pages.

Unit

dxPScxCommon

TdxCustomReportLinkOptionsPagination = class(TdxCustomReportLinkOptions);

Description

The TdxCustomReportLinkOptionsPagination class is the base class for classes, which provide options for customizing the manner in which a report that spans multiple pages is split across the pages. The TdxCustomReportLinkOptionsPagination class does not introduce any new members. However, its descendants extend this class with new options, which help you to change the pagination behavior according to the control being printed.


TdxCustomReportLinkOptionsRefinements

TdxCustomReportLinkOptionsRefinements Object

Hierarchy Properties Methods

Represents the report link’s options, which specify any additional refinements to the report.

Unit

dxPScxCommon

TdxCustomReportLinkOptionsRefinements = class(TdxCustomReportLinkOptions);

Description

The TdxCustomReportLinkOptionsRefinements class is the base class for classes, which provide options for specifying report refinements (i.e. additional enhancements to a report) such as:

  • If graphics are displayed within a report. Use the DisplayGraphicsAsText property to designate whether the graphics in a report are displayed or whether text is displayed in their place instead. The text string displayed in place of the graphics is accessible via the GraphicsText property.

  • The style used to paint check boxes and radio buttons. Set the FlatCheckMarks property to specify either flat or 3D style.

  • The transparency state of graphics and rich editors. Use the TransparentGraphics and TransparentRichEdits properties, correspondingly.

Descendants of the TdxCustomReportLinkOptionsRefinements class extend it with new options specific to particular controls.


TdxCustomReportLinkOptionsSize

TdxCustomReportLinkOptionsSize Object

Hierarchy Properties Methods

Represents the report link’s options, which determine how the control associated with a report link is sized within a report.

Unit

dxPScxCommon

TdxCustomReportLinkOptionsSize = class(TdxCustomReportLinkOptions);

Description

The TdxCustomReportLinkOptionsSize class is the base class for classes, which provide options that are used to specify how the control associated with a report link is sized within the report. This class introduces the AutoWidth property that implements the ability to stretch/shrink the control horizontally according to the width of the report’s page, which is being printed.

Descendants of the TdxCustomReportLinkOptionsSize class extend it with new options specific to a particular control.


TdxCustomReportLinkOptionsView

TdxCustomReportLinkOptionsView Object

Hierarchy Properties Methods

Represents the report link’s options, which affect the general appearance of the control’s elements within a report.

Unit

dxPScxCommon

TdxCustomReportLinkOptionsView = class(TdxCustomReportLinkOptions)

Description

The TdxCustomReportLinkOptionsView property specifies which elements of the control that are associated with the report link should be displayed within the report. The TdxCustomReportLinkOptionsView class does not introduce any new members. However, its descendants extend this class with new options specific to particular controls.


TdxCustomReportLinkStyles

TdxCustomReportLinkStyles Object

Hierarchy Properties Methods

Represents the set of styles, which are used to paint the elements of the control that are associated with a report link within a report.

Unit

dxPScxCommon

TdxCustomReportLinkStyles = class(TcxStyles)

Description

The TdxCustomReportLinkStyles class represents the set of styles which are defined in the report link and are used to paint the elements of the control that are associated with the report link within the report. The styles that will control the appearance of the control’s elements can be specified by setting the report link’s OptionsFormatting.UseNativeStyles property.


TdxCustomReportLinkStyleSheet

TdxCustomReportLinkStyleSheet Object

Hierarchy Properties Methods

Represents a style sheet for a generic control associated with a report link.

Unit

dxPScxCommon

TdxCustomReportLinkStyleSheet = class(TcxCustomStyleSheet)

Description

A style sheet represents a collection of elements’ styles for controls which support Styles technology (for instance, a grid view). Instead of specifying individual styles for each control’s element, you can assign a style sheet to the control, thus providing values for all the style properties.

The TdxCustomcxControlReportLink class represents a style sheet collection used for displaying a generic control.


TdxCustomStringsReportLink

TdxCustomStringsReportLink Object

Hierarchy

Properties

Methods

Events

TdxCustomStringsReportLink represents the base class for the report links which print multi-line text represented both as a single string and as a list of strings.

Unit

dxPSTextLnk

TdxCustomStringsReportLink = class(TdxCustomTextReportLink)

Description

The TdxCustomStringsReportLink class extends its ancestor class with the Strings property that provides access to the list of strings each of which represents a single row for the report link.


TdxCustomTableControlReportLink

TdxCustomTableControlReportLink Object

Hierarchy Properties Methods Events

Represents a report link for displaying a generic control.

Unit

dxPScxCommon

TdxCustomTableControlReportLink = class(TdxCustomcxControlReportLink)

Description

The TdxCustomTableControlReportLink class represents a custom report link for displaying a generic control.


TdxCustomTableControlReportLinkOptions

TdxCustomTableControlReportLinkOptions Object

Hierarchy Properties

Represents the set of options for a report link.

Unit

dxPScxCommon

TdxCustomTableControlReportLinkOptions = class(TdxCustomReportLinkOptions);

Description

The TdxCustomTableControlReportLinkOptions class is the base class for classes which provide options that are used to customize the various appearance aspects of the table control associated with this report link and the manner in which it is split across report pages.


TdxCustomTableControlReportLinkOptionsOnEveryPage

TdxCustomTableControlReportLinkOptionsOnEveryPage Object

Hierarchy Properties Methods

Represents the report link’s options, which control the appearance of the table controls’ elements on each report page.

Unit

dxPScxCommon

TdxCustomTableControlReportLinkOptionsOnEveryPage = class(TdxCustomTableControlReportLinkOptions);

Description

The TdxCustomTableControlReportLinkOptionsOnEveryPage class is the base class for classes, which provide options for controlling the appearance of particular elements (headers, footer panels and band headers) in table controls such as the TreeList and Grid on each report page.


TdxCustomTableControlReportLinkOptionsPagination

TdxCustomTableControlReportLinkOptionsPagination Object

Hierarchy Properties Methods

Represents the report link’s options, which determine how a multi-page report for a table control is split across the pages.

Unit

dxPScxCommon

TdxCustomTableControlReportLinkOptionsPagination = class(TdxCustomReportLinkOptionsPagination);

Description

The TdxCustomTableControlReportLinkOptionsPagination class is the base class for classes which provide options that are used to customize the manner in which a report for a table control such as the TreeList and Grid is paginated. The following properties are used to specify this:

  • Band and Column – used to avoid partial bands and columns in a report during horizontal pagination, correspondingly;

  • Row – used to avoid partial rows in a report during vertical pagination;

  • Custom – enables setting page breaks within a report.

Descendants of the TdxCustomTableControlReportLinkOptionsPagination class (the TdxGridReportLinkOptionsPagination and TcxTreeListReportLinkOptionsPagination classes) extend it with new options specific to particular controls.


TdxCustomTableControlReportLinkOptionsPreview

TdxCustomTableControlReportLinkOptionsPreview Object

Hierarchy Properties Methods

Represents the report link’s options, which control and customize the appearance of the table control’s preview section in a report.

Unit

dxPScxCommon

TdxCustomTableControlReportLinkOptionsPreview = class(TdxCustomTableControlReportLinkOptions);

Description

The TdxCustomTableControlReportLinkOptionsPreview class is the base class for classes which provide options that are used to control and customize the appearance of the table control’s preview section within a report. These options include the following:

  • Visible – shows/hides the preview section within a report;

  • MaxLineCount and AutoHeight – specifies the height of the preview section (in text lines) and a method for adjusting its height according to its contents.


TdxCustomTableControlReportLinkOptionsSelection

TdxCustomTableControlReportLinkOptionsSelection Object

Hierarchy Properties Methods

Represents the report link’s options, which determine how the selected rows in a table control are included in a report.

Unit

dxPScxCommon

TdxCustomTableControlReportLinkOptionsSelection = class(TdxCustomTableControlReportLinkOptions);

Description

The TdxCustomTableControlReportLinkOptionsSelection class is the base class for classes, which provide options for limiting the rows, which appear in a report to the currently selected ones in a table control.


TdxCustomTableControlReportLinkOptionsView

TdxCustomTableControlReportLinkOptionsView Object

Hierarchy Properties Methods

Represents the report link’s options, which control the general appearance of the table control’s elements within a report.

Unit

dxPScxCommon

TdxCustomTableControlReportLinkOptionsView = class(TdxCustomReportLinkOptionsView);

Description

The TdxCustomTableControlReportLinkOptionsView class is the base class for classes which provide the options used to control the general appearance of particular elements (headers, footer panels, bandheaders and expand buttons) in table controls such as the TreeList and Grid within a report.


TdxDBTreeListControlReportLink

TdxDBTreeListControlReportLink Object

Hierarchy

Properties

Methods

Events

TdxDBTreeListControlReportLink is a report link used to print a TdxDBTreeList component.

Unit

dxPSdxDBCtrlLnk

TdxDBTreeListControlReportLink = class( TCustomdxTreeListReportLink )

Description

The TdxDBTreeListControlReportLink object allows you to print a TdxDBTreeList component.


TdxDGrReportLinkDesignWindow

TdxDGrReportLinkDesignWindow Object

Hierarchy See Also

Unit

dxPSDGrLnk

TdxDGrReportLinkDesignWindow = class(TAbstractdxReportLinkDesignWindow)

Description

The TdxDGrReportLinkDesignWindow object is used as a designer of the TdxDrawGridReportLink object. The TdxDGrReportLinkDesignWindow object appears as a window that provides customization of reports created via the TdxDrawGridReportLink object.


TdxFCReportLinkDesignWindow

TdxFCReportLinkDesignWindow Object

Hierarchy See Also

Unit

dxPSdxFCLnk

TdxFCReportLinkDesignWindow = class(TStandarddxReportLinkDesignWindow)

Description

The TdxFCReportLinkDesignWindow object is used as a designer for the TdxFlowChartReportLink object. The TdxFCReportLinkDesignWindow object appears as a window that provides customization of reports created via the TdxFlowChartReportLink object.


TdxfmCustomcxControlReportLinkDesignWindow

TdxfmCustomcxControlReportLinkDesignWindow Object

Hierarchy

Represents a report link designer for a generic control.

Unit

dxPScxCommon

TdxfmCustomcxControlReportLinkDesignWindow = class(TStandarddxReportLinkDesignWindow)

Description

The TdxfmCustomcxControlReportLinkDesignWindow class represents a custom report link designer for printing out a generic control.


TdxfmGridReportLinkDesignWindow

TdxfmGridReportLinkDesignWindow Object

Hierarchy

Represents a report link designer for a grid control.

Unit

dxPScxGridLnk

TdxfmGridReportLinkDesignWindow = class(TdxfmCustomcxControlReportLinkDesignWindow)

Description

The TdxfmGridReportLinkDesignWindow class represents a report link designer for printing out a grid control.


TdxfmTreeListReportLinkDesignWindow

TdxfmTreeListReportLinkDesignWindow Object

Hierarchy

Represents a report link designer for a TreeList control.

Unit

dxPScxTLLnk

TdxfmTreeListReportLinkDesignWindow = class(TdxfmCustomcxControlReportLinkDesignWindow);

Description

The TdxfmTreeListReportLinkDesignWindow class represents a report link designer for printing out a TreeList control.


TdxGridReportLinkCardsShadow

TdxGridReportLinkCardsShadow Object

Hierarchy Properties

Options for specifying card shadows.

Unit

dxPScxGridLnk

TdxGridReportLinkCardsShadow = class(TPersistent)

Description

The TdxGridReportLinkCardsShadow object contains options that specify the color, depth and position of a card shadows. By default, the card shadows are displayed at the bottom and to the right of the card.


TdxGridReportLinkDesignWindow

TdxGridReportLinkDesignWindow Object

Hierarchy See Also

Unit

dxPSStdGrLnk

TdxGridReportLinkDesignWindow = class(TStandarddxReportLinkDesignWindow)

Description

The TdxGridReportLinkDesignWindow object is used as the designer of the TdxStringGridReportLink object. It appears as a window that provides customization of reports created via the TdxStringGridReportLink object.


TdxGridReportLinkOptions

TdxGridReportLinkOptions Object

Hierarchy Properties Methods

The base class that introduces grid report link options.

Unit

dxPScxGridLnk

TdxGridReportLinkOptions = class(TdxCustomReportLinkOptions)

Description

The TdxGridReportLinkOptions class is the base class for all grid report link options. It contains properties and methods implementing the basic options’ class functionality. The ReportLink property specifies the report link to which the options set is applied. The RestoreDefaults method returns all options in the current set to their default state.


TdxGridReportLinkOptionsCards

TdxGridReportLinkOptionsCards Object

Hierarchy Properties Methods

Options applied to a card view in the report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsCards = class(TdxGridReportLinkOptions);

Description

The TcxGridReportLinkOptionsCards object defines features such as whether card heights and widths are calculated automatically, the spaces between cards and the visibility of card lines. To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsCards property.


TdxGridReportLinkOptionsCharts

TdxGridReportLinkOptionsCharts Object

Hierarchy Properties Methods

The TdxGridReportLinkOptionsCharts class represents settings for managing the grid’s report when it's displayed using the chart view.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsCharts = class( TdxGridReportLinkOptions )

Description

These settings allow specifying which graphics class to use for drawing the chart view (see the GraphicClassName property) and whether the background of the grid’s report should be shown (see the Transparent property). The TdxGridReportLinkOptionsCharts object is referenced by the TdxGridReportLink.OptionsCharts property.


TdxGridReportLinkOptionsDetails

TdxGridReportLinkOptionsDetails Object

Hierarchy Properties Methods

Options defining whether the focused view will be displayed with it’s detail and master views (if any) in the report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsDetails = class(TdxGridReportLinkOptions)

Description

The TdxGridReportLinkOptionsDetails class determines whether the focused view is displayed with or without its detail and master views within a report.

To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsDetails property.


TdxGridReportLinkOptionsExpanding

TdxGridReportLinkOptionsExpanding Object

Hierarchy Properties Methods

Options controlling the representation of group or master rows within a report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsExpanding = class(TdxCustomReportLinkOptionsExpanding)

Description

The TdxGridReportLinkOptionsExpanding class determines whether group or master rows are displayed in an expanded state within the report.

To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsExpanding property.


TdxGridReportLinkOptionsFormatting

TdxGridReportLinkOptionsFormatting Object

Hierarchy Properties Methods

Options controlling grid formatting in the report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsFormatting = class(TdxCustomReportLinkOptionsFormatting)

Description

The TdxgridReportLinkOptionsFormatting class contains options that specify the color of grid lines (the GridLineColor property) and the manner in which the grid control is painted (the LookAndFeelKind property).

To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsFormatting property.


TdxGridReportLinkOptionsLevels

TdxGridReportLinkOptionsLevels Object

Hierarchy Properties Methods

Represents a set of options which control the appearances of the views according to the level they are located at in the grid control's hierarchy.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsLevels = class(TdxGridReportLinkOptions);

Description

The TdxGridReportLinkOptionsLevels class provides a set of options for customizing the appearance of the views within the grid control according to their level in the grid control. The Unwrap and UnwrapTopLevel properties let you display all the views (not only the active ones) that correspond to child levels and levels at the root nesting level, respectively. Use the RiseActiveLevelOntoTop property in combination with the UnwrapTopLevel property to place the view associated with the active grid level at the root nesting level to the top of the report.

Call the RestoreDefaults method to reset all the options within this set back to their default values.

To access these options, use the grid report link’s OptionsLevels property.


TdxGridReportLinkOptionsOnEveryPage

TdxGridReportLinkOptionsOnEveryPage Object

Hierarchy Properties Methods

Options that set which view elements are displayed on every report page or on the first page only.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsOnEveryPage = class(TdxCustomTableControlReportLinkOptionsOnEveryPage)

Description

The TdxGridReportLinkOptionsOnEveryPage class is used to determine which view elements are displayed on every page and which are only displayed on the first page. These options affect band headers, grid level captions, column headers, and filter and footer panels. When these options are set to True, the appropriate view elements will be displayed on every report page. Otherwise, they will be displayed on the first report page only.

To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsOnEveryPage property.

Note: These options are not in effect when your report displays a grid representing a master-detail relationship and the master rows within the displayed view are expanded.


TdxGridReportLinkOptionsPagination

Hierarchy Properties Methods

Represents a set of options that determine where multi-page reports will be split.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsPagination = class(TdxCustomTableControlReportLinkOptionsPagination)

Description

The TdxGridReportLinkOptionsPagination class contains three settings that determine how a multi page report will be split.

Setting Row pagination forces a vertical split to occur only on row boundaries ensuring that no row will span across multiple pages and no page will have a partial row. Setting Column pagination forces a horizontal split to occur only on column boundaries ensuring that no column will span across multiple pages and no page will have a partial column. Setting Band pagination forces a horizontal split to occur only on band boundaries ensuring that no band will have it’s columns span across multiple pages and no page will have a partial band.

To set this options set to the defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsPagination property.


TdxGridReportLinkOptionsPreview

TdxGridReportLinkOptionsPreview Object

Hierarchy Properties Methods

Options for displaying preview sections of the grid in a report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsPreview = class(TdxCustomTableControlReportLinkOptionsPreview)

Description

The TdxGridReportLinkOptionsPreview class contains options that determine whether the preview section is visible and the number of text lines displayed within the preview.

To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsPreview property.


TdxGridReportLinkOptionsRefinements

TdxGridReportLinkOptionsRefinements Object

Hierarchy Properties Methods

Options defining the manner in which Image fields are displayed within the report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsRefinements = class(TdxCustomReportLinkOptionsRefinements)

Description

The TdxGridReportLinkOptionsRefinements class contains options to determine whether the images in a report are replaced with text and if so what text will be used, the transparency settings for images in your report, and whether checkbox images will be 3D or Flat.

To set all options in this set to their default values, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsRefinements property.


TdxGridReportLinkOptionsSelection

TdxGridReportLinkOptionsSelection Object

Hierarchy Properties Methods

Options that determine how the currently selected items in the Grid are presented in the report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsSelection = class(TdxCustomTableControlReportLinkOptionsSelection)

Description

The TdxGridReportLinkOptionsSelection object contains options determining the manner in which the currently selected items in the grid control are processed in a report. The ProcessSelection option determines whether the master row of selected rows is included in a report. If this property value is False, both master and dependant rows are included in your report. The ProcessExactSelection option determines whether only the selected child rows are included in your report. ProcessExactSelection is effective only if the ProcessSelection option is set.

To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsSelection property.


TdxGridReportLinkOptionsSize

TdxGridReportLinkOptionsSize Object

Hierarchy Properties Methods

Options determining how the Grid control is sized within the report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsSize = class(TdxCustomReportLinkOptionsSize)

Description

The TdxGridReportLinkOptionsSize class contains options that determine whether the Grid control width is automatically adjusted to accommodate the printed page width. To enable automatic width adjusting set the grid report link’s OptionsSize.AutoWidth property to True, to disable it set the property to False.

Note that the grid report link’s OptionsPagination.Band and OptionsPagination.Column properties values have no effect upon the report and the Grid control is not horizontally split across the report pages if the OptionsSize.AutoWidth property is True.

After changing options you can always restore their default values using the grid report link’s RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsSize property.


TdxGridReportLinkOptionsView

TdxGridReportLinkOptionsView Object

Hierarchy Properties Methods

Options determining whether view elements will be drawn in the report.

Unit

dxPScxGridLnk

TdxGridReportLinkOptionsView = class(TdxCustomTableControlReportLinkOptionsView)

Description

The TdxGridReportLinkOptionsView class stores options that will determine whether the views’ elements will be drawn in the report.

These settings are ignored if they relate to elements not present in the view type currently displayed within your report. For instance, if a user changes the BandHeaders property value for the report displaying a grid table view, this property value will be simply ignored.

To return all options in this set to their defaults, call the RestoreDefaults method.

This set of options can be accessed via the grid report link’s OptionsView property.


TdxGridReportLinkStyles

TdxGridReportLinkStyles Object

Hierarchy Properties Methods

Represents the set of styles for the Grid control views elements within the report.

Unit

dxPScxGridLnk

TdxGridReportLinkStyles = class(TdxCustomReportLinkStyles);

Description

The TdxGridReportLinkStyles defines the set of styles for the Grid control views elements within the report not affecting the real Grid elements styles.

The following elements styles are availible:

  • BandHeader – represents style for the band headers.

  • Content – represents style for the data cells.

  • ContentEven – represents the styles for the data cells within the even rows. (overrides the Content style).

  • ContentOdd – represents the styles for the data cells within the even rows. (overrides the Content style).

  • Footer – represents style for the footer cell.

  • Header – represents the style for the column header.

  • Preview – represents the style for the row preview section.

  • Selection – represents the style for the selection.

  • Group – represents the style for the grouping row.

  • Caption – represents the style for the card caption.

  • CardRowCaption – represents the style for the card row caption.

  • CardCaptionRow – represents the style for the card caption row.


TdxGridReportLinkStyleSheet

TdxGridReportLinkStyleSheet Object

Hierarchy Properties Methods

Represents a style sheet for the Grid control associated with a report link.

Unit

dxPScxGridLnk

TdxGridReportLinkStyleSheet = class(TdxCustomReportLinkStyleSheet)

Description

A StyleSheet contains a collection of styles that can be applied to the control, setting multiple styles in one step. The TdxGridReportLinkStyleSheet class provides a style sheet collection for the grid control which is accessible via the Styles property.


TdxLayoutControlReportLinkOptionsPagination

TdxLayoutControlReportLinkOptionsPagination Object

Hierarchy Properties Methods

Contains settings which specify the manner in which the TdxLayoutControl is split across the report pages.

Unit

dxPSdxLCLnk

TdxLayoutControlReportLinkOptionsPagination = class(TdxCustomContainerReportLinkOptionsPagination)

Description

If a TdxLayoutControl cannot be printed within a single page, it will be split across the report pages. In this case, TdxLayoutControlReportLinkOptionsPagination members specify the manner in which the layout control groups and items are spread across the report.

Use the report link’s OptionsPagination property to access this set of options.


TdxLayoutControlReportLinkOptionsSize

TdxLayoutControlReportLinkOptionsSize Object

Hierarchy Properties Methods

Contains settings providing size options for the layout control’s printed version.

Unit

dxPSdxLCLnk

TdxLayoutControlReportLinkOptionsSize = class(TdxCustomContainerReportLinkOptions)

Description

The TdxLayoutControlReportLinkOptionsSize class represents the type of the OptionsSize property available in the TdxLayoutControlReportLink class. It provides settings affecting the size of the layout control on a printed page.


TdxLayoutControlReportLinkOptionsTransparent

TdxLayoutControlReportLinkOptionsTransparent Object

Hierarchy Properties Methods

Contains the transparency settings for the printed layout control’s elements.

Unit

dxPSdxLCLnk

TdxLayoutControlReportLinkOptionsTransparent = class(TdxCustomContainerReportLinkOptionsTransparent)

Description

The TdxLayoutControReportLinkOptionsTransparent class members specify the transparency settings for the printed layout control’s elements (groups and items).


TdxLBxReportLinkDesignWindow

TdxLBxReportLinkDesignWindow Object

Hierarchy See Also

Unit

dxPSLbxLnk

TdxLBxReportLinkDesignWindow = class(TStandarddxReportLinkDesignWindow)

Description

The TdxLbxReportLinkDesignWindow object is used as a designer for the TdxListBoxReportLink object. It appears as a window that provides customization of reports created via the TdxListBoxReportLink object.


TdxMemoReportLink

TdxMemoReportLink Object

Hierarchy

Properties

Methods

Events

Represents a ReportLink object used by the ExpressPrintingSystem to print multi-line editors.

Unit

dxPSTextLnk

TdxMemoReportLink = class(TdxCustomMemoReportLink)

Description

The TdxMemoReportLink class contains settings required to print multi-line editors such as the TMemo. The TdxMemoReportLink class extends its ancestor class with the Memo property that provides access to the multi-line editor being printed.

Set the Alignment and TextRowSpacing properties as needed to adjust the appearance of the text in a report. To perform custom drawing of each text row, handle the OnCustomDrawRow and OnInitializeRow events.


TdxOCReportLinkDesignWindow

TdxOCReportLinkDesignWindow Object

Hierarchy See Also

Unit

dxPSdxOCLnk

TdxOCReportLinkDesignWindow = class(TStandarddxReportLinkDesignWindow)

Description

The TdxOCReportLinkDesignWindow object is used as the designer for TdxOrgChartReportLink and TdxDBOrgChartReportLink objects. It appears as a window that provides customization of a report created via these objects.


TdxPSDBBasedExplorerFieldNamesMap

TdxPSDBBasedExplorerFieldNamesMap Object

Hierarchy Properties Methods

Implements the basic functionality of objects representing a data-aware explorer’s FoldersFieldNamesMap and ItemsFieldNamesMap properties.

Unit

dxPSDBBasedXplorer

TdxPSDBBasedExplorerFieldNamesMap = class( TCustomdxPSDBBasedExplorerFieldNamesMap )

Description

The TdxPSDBBasedExplorerFieldNamesMap class introduces three properties that allow three field names to be specified. These are the fields specifying a folder’s or item’s ID, its name and its parent folder ID. These fields are all that is needed to bind a data-aware explorer to a folders dataset (the dataset providing the folders structure). These fields are also used when binding an items dataset to an explorer (an additional field containing report data is required in this case). Thus, the TdxPSDBBasedExplorerFieldNamesMap class implements the basic functionality for the TdxPSDBBasedExplorerFoldersFieldNamesMap and TdxPSDBBasedExplorerItemsFieldNamesMap objects. These objects represent a data-aware explorer’s FoldersFieldNamesMap and ItemsFieldNamesMap properties.


TdxPSDBBasedExplorerFolder

TdxPSDBBasedExplorerFolder Object

Hierarchy Properties Methods

Represents a folder in a TdxPSDBBasedExplorer component.

Unit

dxPSDBBasedXplorer

TdxPSDBBasedExplorerFolder = class( TdxPSExplorerFolder )

Description

Data-aware explorer components store their data in two datasets. Folders are stored in a dataset assigned to the component’s Folders property, thus TdxPSDBBasedExplorerFolder objects correspond to records from that dataset. Note also that a data-aware explorer’s root folder doesn’t have a corresponding entry in the folders dataset. This folder is also represented by a TdxPSDBBasedExplorerFolder object and can be accessed via the component’s Root property. Other folders (that have corresponding records) can be accessed via the component’s FindFolderByID method or a folder’s Folders property.

The common functionality of folder objects used in explorer components is implemented by the TdxPSExplorerFolder class. The TdxPSDBBasedExplorerFolder class inherits this functionality and introduces members specific to data-aware explorers.


TdxPSDBBasedExplorerFoldersFieldNamesMap

TdxPSDBBasedExplorerFoldersFieldNamesMap Object

Hierarchy Properties Methods

Represents a data-aware explorer’s FoldersFieldNamesMap property.

Unit

dxPSDBBasedXplorer

TdxPSDBBasedExplorerFoldersFieldNamesMap = class( TdxPSDBBasedExplorerFieldNamesMap )

Description

The TdxPSDBBasedExplorerFoldersFieldNamesMap class provides properties which specify fields that are required to build the folders structure displayed by a TdxPSDBBasedExplorer component. These properties specify fields containing folder IDs, names and parent folder IDs. The dataset whose fields provide this information should be assigned to the explorer component’s Folders property.

Note that the TdxPSDBBasedExplorerFoldersFieldNamesMap class doesn’t introduce any new functionality, it inherits all the desired members from the base TdxPSDBBasedExplorerFieldNamesMap class.


TdxPSDBBasedExplorerItem

TdxPSDBBasedExplorerItem Object

Hierarchy Properties Methods

Represents a report item in a TdxPSDBBasedExplorer component.

Unit

dxPSDBBasedXplorer

TdxPSDBBasedExplorerItem = class( TdxPSExplorerItem )

Description

A Data-aware explorer component that allows end users to explore reports stored in a dataset. Each individual report is represented by a record from the explorer’s items dataset. Thus, a TdxPSDBBasedExplorerItem object corresponds to such a record.

TdxPSDBBasedExplorerItem objects can be accessed using the explorer component’s FindItemByID and FindCustomItemByUniqueID methods. You can also access a folder’s child items using the folder object’s items property. If you need to create a new item based on a particular report link’s settings, use the explorer’s CreateNewItem or a folder’s CreateItem method.

The common functionality of items used by explorer components is implemented by the TdxPSExplorerItem class. The TdxPSDBBasedExplorerItem class inherits this functionality and introduces new members specific to data-aware explorers.


TdxPSDBBasedExplorerItemsFieldNamesMap

TdxPSDBBasedExplorerItemsFieldNamesMap Object

Hierarchy Properties Methods

Represents a data-aware explorer’s ItemsFieldNamesMap property.

Unit

dxPSDBBasedXplorer

TdxPSDBBasedExplorerItemsFieldNamesMap = class( TdxPSDBBasedExplorerFieldNamesMap )

Description

The TdxPSDBBasedExplorerItemsFieldNamesMap object provides properties required to bind a data-aware explorer to fields of a dataset containing report items. These properties specify the names of fields that contain item IDs, names, data and parent folder IDs. Note that most of the functionality is implemented by the ancestor class. The TdxPSDBBasedExplorerItemsFieldNamesMap class introduces a single Data property that specifies the name of the field containing report data.


TdxPSEngine

TdxPSEngine Object

Hierarchy

Properties

Used to access certain settings of the ExpressPrinting System.

Unit

dxPSEngn

TdxPSEngine = class(TBasedxPSSingleton)

Description

All ExpressPrinting System components and windows (preview and dialog) use settings of one global object - TdxPSEngine. Settings for this object include the registry path and help file. They also specify whether to save window positions and the manner in which preview windows are displayed (standard or flat). The TdxPSEngine object can be accessed via the dxPSEngine global function. Since this object is global and unique, it should be used at runtime instead of a TdxPSEngineController component (you may place several components onto a form).


TdxPSExplorerFolder

TdxPSExplorerFolder Object

Hierarchy Properties Methods

Serves as the base for objects representing folders in report explorer components.

Unit

dxPSCore

TdxPSExplorerFolder = class( TCustomdxPSExplorerItem )

Description

The common functionality of folders and report items displayed by explorer components is implemented by the TCustomdxPSExplorerItem class. The TdxPSExplorerFolder class extends that classes functionality implementing the common features of folders that contain report items. Note that TdxPSExplorerFolder objects are not used in components directly, descendant objects are used instead. In particular, the TdxPSFileBasedExplorer class uses TdxPSFileBasedExplorerFolder class to represent its folders. The TdxPSDBBasedExplorer component uses the TdxPSDBBasedExplorerFolder class for the same purpose.


TdxPSExplorerItem

TdxPSExplorerItem Object

Hierarchy Properties Methods

Serves as the base for the object representing report items in explorer components.

Unit

dxPSCore

TdxPSExplorerItem = class( TCustomdxPSExplorerItem )

Description

The TdxPSExplorerItem class is derived from TCustomdxPSExplorerItem class which is the common ancestor to folders and items used by explorer components. The descendant extends the base class functionality to implement features common for report items. Thus, it serves as the ancestor for TdxPSFileBasedExplorerItem and TdxPSDBBasedExplorerItem classes. These classes represent report items in the TdxPSFileBasedExplorer and TdxPSDBBasedExplorer components respectively.


TdxPSFileBasedExplorerFolder

TdxPSFileBasedExplorerFolder Object

Hierarchy Properties Methods

Represents a folder displayed by a TdxPSFileBasedExplorer component.

Unit

dxPSFileBasedXplorer

TdxPSFileBasedExplorerFolder = class( TdxPSExplorerFolder )

Description

Both file-based and data-aware explorer components arrange report items into the hierarchical folders structure. In file-based explorers, items are stored as files. Folder objects represent the actual folders on a drive. Thus, a TdxPSFileBasedExplorerFolder object represents an actual folder on a drive.

TdxPSFileBasedExplorerFolder objects can be obtained using the FindFolderByFullQualifiedDirName method of a file-based explorer component. Once a folder object has been obtained, you can access its child folders using its Folders and FindFolderByFullQualifiedDirName properties.

The TdxPSFileBasedExplorerFolder class is the direct descendant of the TdxPSExplorerFolder class. The latter class implements the common functionality of folders used by the file-based and data-aware explorer components. The TdxPSFileBasedExplorerFolder object inherits that common functionality and introduces properties and methods specific to file-based explorers. Note that the TdxPSFileBasedExplorerFolder class also serves as the base for the TdxPSFileBasedExplorerRootFolder class that represents the explorer’s root folder.


TdxPSFileBasedExplorerItem

TdxPSFileBasedExplorerItem Object

Hierarchy Properties Methods

Represents a report item in a TdxPSFileBasedExplorer component.

Unit

dxPSFileBasedXplorer

TdxPSFileBasedExplorerItem = class( TdxPSExplorerItem )

Description

The file-based explorer component enables you to store reports as files, represented by a TdxPSFileBasedExplorerItem object and an individual report item is such a component. Thus, it represents a file holding a report’s data.

The common functionality of items used in file-based and data-aware explorer components is implemented in the TdxPSExplorerItem class. The TdxPSFileBasedExplorerItem class inherits that functionality and introduces the functionality specific to file-based explorers.

TdxPSFileBasedExplorerItem instances can be obtained via the file-based explorer's FindItemByFullQualifiedFileName method. Note that you can also access individual report items using the Items and FindItemByFullQualifiedFileName methods of folder objects.


TdxPSFileBasedExplorerRootFolder

TdxPSFileBasedExplorerRootFolder Object

Hierarchy Properties Methods

Represents the root folder in a TdxPSFileBasedExplorer component.

Unit

dxPSFileBasedXplorer

TdxPSFileBasedExplorerRootFolder = class( TdxPSFileBasedExplorerFolder )

Description

File-based explorer components enable end users to explore reports stored in individual files. The component explores a child branch of a folder specified by the RootPath property. That folder is represented by a TdxPSFileBasedExplorerRootFolder instance that can be accessed via the explorer’s Root property.

The TdxPSFileBasedExplorerRootFolder class inherits most functionality from the TdxPSFileBasedExplorerFolder class whose instances represent the root’s child folders. It introduces the DriveType and VolumeLabel properties that enable you to determine the type of drive where the explored folders are located and the volume label, if the object represents a volume.


TdxPSReportCompositionDocument

TdxPSReportCompositionDocument Object

Hierarchy Properties Methods

Contains information about a composition report document.

Unit

dxPSCore

TdxPSReportCompositionDocument = class(TdxPSReportDocument)

Description

Members of the TdxPSReportCompositionDocument class allow you to provide general information about a report document. This information includes the report's name, description, creator’s name and the creation date. The TdxPSReportCompositionDocument class doesn't introduce any new behavior.

TdxPSReportCompositionDocument objects are accessible via the ReportDocument property of composition report links and the ReportDocument property of explorer items. Thus, a report link’s document settings can be adjusted and the changes will then be applied to all the explorer items created using that link’s data. Note also, that these settings are used to construct item hints when using the report explorer components TdxPSFileBasedExplorer and TdxPSDBBasedExplorer.

Finally, TdxPSReportCompositionDocument members provide information for the dialogs of property sheets that can be displayed for report items. When using the report explorer, you can invoke the dialog of a report item’s property sheets by right-clicking the item and choosing the context menu’s Properties… item.


TdxPSReportDocument

TdxPSReportDocument Object

Hierarchy Properties Methods

Contains information about a report document.

Unit

dxPSCore

TdxPSReportDocument = class(TPersistent)

Description

Members of the TdxPSReportDocument class allow you to provide general information about a report document. This information includes the report name, description, creator’s name and creation date.

TdxPSReportDocument objects are available via the ReportDocument property of report links and the ReportDocument property of explorer items. Thus, you can adjust a report link’s document settings, which will then be copied to all explorer items created using that link’s data. Note also, that these settings are used to construct item hints when using the report explorer components TdxPSFileBasedExplorer and TdxPSDBBasedExplorer.

Finally, TdxPSReportDocument members provide information for the dialogs of property sheets that can be displayed for report items. When using a report explorer, you can invoke the dialog of a report item’s property sheets by right-clicking the item and choosing the context menu’s Properties… item.


TdxReportCells

TdxReportCells Object

Hierarchy See Also

Unit

dxPSCore

TdxReportCells = class(TPersistent)

Description

The resulting report consists of cells that contain data from VCL components. The TdxReportCells object is a collection of such cells. It's passed as a parameter to the report link’s ConstructReport method. This object is for internal use only.


TdxReportTitle

TdxReportTitle Object

Hierarchy Properties Methods See Also

Unit

dxPSCore

TdxReportTitle = class(TPersistent);

Description

The TdxReportTitle object controls the appearance of the report title.


TdxTextReportLink

TdxTextReportLink Object

Hierarchy

Properties

Methods

Events

TdxTextReportLink is a report link that prints multi-row text which is represented both as a single string and a list of strings.

Unit

dxPSTextLnk

TdxTextReportLink = class(TdxCustomStringsReportLink)

Description

The TdxTextReportLink class does not define any new functionality. It simply publishes the properties declared in the TdxCustomStringsReportLink class. To specify the text that needs to be printed, use the Strings property which provides access to a list of strings each of which represents a single line (row) for the report link. Alternatively, the text can be set as a single string with text lines (rows) delimited by carriage returns and line feeds to the Text property. Set the Alignment and TextRowSpacing properties as needed to adjust the appearance of the text in a report. To perform custom drawing of each text row, handle the OnCustomDrawRow and OnInitializeRow events.


TdxTLReportLinkDesignWindow

TdxTLReportLinkDesignWindow Object

Hierarchy See Also

Unit

dxPSdxTlLnk

TdxTLReportLinkDesignWindow = class(TStandarddxReportLinkDesignWindow)

Description

The TdxTLReportLinkDesignWindow object is used as the designer for TdxDBGridReportLink, TdxTreeListReportLink and TdxDBTreeListReportLink objects. It appears as a window that provides customization of a report created via these objects.


TStandarddxReportLinkDesignWindow

TStandarddxReportLinkDesignWindow Object

Hierarchy

The TStandarddxReportLinkDesignWindow class represents the base class for all report link designers.

Unit

dxPSCore

TStandarddxReportLinkDesignWindow = class(TAbstractdxReportLinkDesignWindow)

Description

Report links use report link designers to customize report link properties before printing a component. A report link designer is a window used to customize report links. Every report link uses a specific designer. The TstandarddxReportLinkDesignWindow class represents the base designer window which has a standard set of buttons that have predefined behavior and functionality such as Apply or Cancel changes, Restore Defaults, etc.


TStddxGridReportLink

TStddxGridReportLink Object

Hierarchy

Properties

Methods

Events

The TStddxGridReportLink object represents the class used to print both the TStringGrid and TDrawGrid components.

Unit

dxPSStdGrLnk

TStddxGridReportLink = class(TCustomdxGridReportLink)

Description

TStddxGridReportLink is a common ancestor for both the TdxStringGridReportLink and TdxDrawGridReportLink objects. It provides some methods necessary to print the TStringGrid and TDrawGrid components.


TdxCustomTextReportLink

TdxCustomTextReportLink Object

Hierarchy

Properties

Methods

Events

TdxCustomTextReportLink represents the base class for report links which print multi-line text.

Unit

dxPSTextLnk

TdxCustomTextReportLink = class(TBasedxReportLink)

Description

The TdxCustomTextReportLink class is the base class for the report links which allow you to print multi-line text only. The TdxCustomTextReportLink class introduces the Alignment and TextRowSpacing properties which control the appearance of the text in a report. The TdxCustomTextReportLink class provides the ability to custom draw each line of text via the OnCustomDrawRow and OnInitializeRow events.


FPageSetupDialogProc

Determines which type of PageSetup dialog to use.

type

TdxPageSetupDialogProc = function(AReportLink : TBasedxReportLink) : Boolean;

FPageSetupDialogProc : TdxPageSetupDialogProc = nil;

Description

By default, the FPageSetupDialogProc global constant value is nil and the standard window dialog is used. You can specify your own PageSetup dialog via this constant.


PageSetup

Activates the PageSetup dialog box.

function PageSetup: Boolean;

Description

This method activates the PageSetup dialog to allow a user to specify the following attributes of a printed page:

  • Size and source

  • Orientation and width of page margins.

This method is called from the PageSetup method of the report link.


DefaultPrinterPage

DefaultPrinterPage function

Returns default printer page settings.

Unit

dxPrnPg

function DefaultPrinterPage;

Description

The DefaultPrinterPage function returns an instance of the TdxPrinterPage object with default parameters for a page, such as margins, minimum margins, page size, etc.


GetDefaultMeasurementUnits

GetDefaultMeasurementUnits function

See Also

Retrieves default measurement units.

Unit

dxPrnPg

type

TdxMeasurementUnits = (muDefault, muInches, muMillimeters);

function GetDefaultMeasurementUnits: TdxMeasurementUnits;

Description

The GetDefaultMeasurementUnits function determines the default measurement units used in a system. This function returns muInches, if inch is the base measurement unit in a system; otherwise, it returns muMillimiters.


RereadDefaultPrinterPage

RereadDefaultPrinterPage procedure

Restores default printer page settings.

Unit

dxPrnPg

procedure RereadDefaultPrinterPage;

Description

The RereadDefaultPrinterPage procedure rereads default printer parameters and assigns these values to the current printer page.


RegisterPreviewWindow

RegisterPreviewWindow global procedure

See Also

Unit

dxPSCore

type

TdxPreviewWindowClass = class of TBasedxPreviewWindow;

procedure RegisterPreviewWindow(APreviewClass: TdxPreviewWindowClass);

Description

This procedure registers the preview window specified by the APreviewClass parameter by placing it in stack of all preview windows. The last registered preview window is displayed when a user invokes the Preview.


UnRegisterPreviewWindow

UnRegisterPreviewWindow global procedure

See Also

Unit

dxPSCore

procedure UnRegisterPreviewWindow;

Description

This procedure unregisters the preview window specified as last in the stack of all preview windows. If all preview windows are unregistered, then a preview is not displayed when a user calls the Preview.


IDH_EDBInspector_NotFound

The TdxDBInspector topic cannot be found. This may be due to a missing installation of the ExpressDBInspector on your system.


IDH_EDBOrgChart_NotFound

The TdxDBOrgChart topic cannot be found. This may be due to a missing installation of the ExpressDBOrgChart on your system.


IDH_EDBTreeView_NotFound

The TdxDBTreeView topic cannot be found. This may be due to a missing installation of the ExpressDBTreeView on your system.


IDH_EFlowChart_NotFound

The TdxFlowChart topic cannot be found. This may be due to a missing installation of the ExpressFlowChart on your system.


IDH_EInspector_NotFound

The TdxInspector topic cannot be found. This may be due to a missing installation of the ExpressInspector on your system.


IDH_EMasterView_NotFound

The TdxMasterView topic cannot be found. This may be due to a missing installation of the ExpressMasterView on your system.


IDH_EOrgChart_NotFound

The TdxOrgChart topic cannot be found. This may be due to a missing installation of the ExpressOrgChart on your system.


IDH_EQDBTreeList_NotFound

The TdxDBTreeList topic cannot be found. This may be due to a missing installation of the ExpressQuantumDBTreeList on your system.


IDH_EQGrid_NotFound

The TdxDBGrid topic cannot be found. This may be due to a missing installation of the ExpressQuantumGrid Suite on your system.


IDH_EQTreeList_NotFound

The TdxTreeList topic cannot be found. This may be due to a missing installation of the ExpressQuantumGrid Suite on your system.


IDH_ESpreadSheet_NotFound

The TcxSpreadSheet topic cannot be found. This may be due to a missing installation of the ExpressSpreadSheet on your system.


IDH_ESpreadSheetBook_NotFound

The TcxSpreadSheetBook topic cannot be found. This may be due to a missing installation of the ExpressSpreadSheet on your system.


IDH_ETreeView_NotFound

The TdxTreeView topic cannot be found. This may be due to a missing installation of the ExpressTreeView on your system.


TdxCheckListBoxReportLink Events

TdxCheckListBoxReportLink Legend

In TdxCustomListBoxReportLink

OnCustomDrawItem

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxPointWrapper Events

TdxPointWrapper Legend

In TdxPointWrapper

OnChanged

OnChanging


TdxRectWrapper Events

TdxRectWrapper Legend

In TdxRectWrapper

OnChanged

OnChanging


TdxCheckListBoxReportLink Methods

TdxCheckListBoxReportLink Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxPointWrapper Methods

TdxPointWrapper Legend

In TdxPointWrapper

Clone

Create

DoChanged

DoChanging

Empty

IsEqual

PointEqual


TdxRectWrapper Methods

TdxRectWrapper Legend

In TdxRectWrapper

Clone

Create

DoChanged

DoChanging

Empty

IsEqual


TdxCheckListBoxReportLink Properties

TdxCheckListBoxReportLink Legend

In TdxCheckListBoxReportLink

CheckListBox

Options

Derived from TdxCustomListBoxReportLink

CustomListBox

TextAlignX

TextAlignY

Width

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxPointWrapper Properties

TdxPointWrapper Legend

In TdxPointWrapper

Point

X

Y


TdxRectWrapper Properties

TdxRectWrapper Legend

In TdxRectWrapper

Bottom

BottomRight

Height

Left

Rect

Right

Side

Top

TopLeft

Width


TAbstractdxGridReportLink.AutoWidth

TAbstractdxGridReportLink

Specifies whether the report’s width is automatically adjusted to match the page's width.

property AutoWidth: Boolean;

Description

Set the AutoWidth property to True to enable automatic adjustment of the report's width up to the width of the page. This results in the width of the grid control’s columns in the report being adjusted proportionally to their original values (except for fixed columns). When the AutoWidth property is set to False the report’s width remains the same as the grid control’s current width.

The default value of the AutoWidth property is False.


TAbstractdxGridReportLink.DrawMode

TAbstractdxGridReportLink

Determines the manner in which a component is displayed in a report.

type

TdxGridDrawMode = (gdmStrict, gdmOddEven, gdmChess, gdmBorrowSource);

property DrawMode: TdxGridDrawMode;

Description

Use the DrawMode property to select the manner in which a component is printed in a report.

Value

Description

gdmStrict

All colors look exactly as specified in the designer.

gdmOddEven

Used to differentiate the colors of even and odd rows of your report. These colors are specified by the EvenColor (for even lines) and OddColor (for odd lines) properties.

gdmChess

Used to differentiate report colors like a chess table. These colors are specified by the EvenColor (for even lines) and OddColor (for odd lines) properties.

gdmBorrowSource

Used when the report color scheme should look exactly as in an application despite any changes made in the designer.

The default value of this property is gdmStrict.


TAbstractdxGridReportLink.Effects3D

TAbstractdxGridReportLink

See Also

Specifies whether grid fixed cells have a 3D look when printed.

property Effects3D: Boolean;

Description

Set the Effects3D property to True to display fixed grid cells 3 dimensionally in a report. Use the Soft3D property to specify the exact look & feel of raised cells. If the Effects3D property is False, 3D look is not applied to fixed grid cells. Below are two examples where the Effects3D property is set to True and False, respectively.

The default value of this property is False.


TAbstractdxGridReportLink.EndEllipsis

TAbstractdxGridReportLink

Specifies whether an ellipsis is displayed at the end of text.

property EndEllipsis: Boolean;

Description

When the EndEllipsis property is set to True, an ellipsis (‘…’) is drawn to indicate to users that text does not fit inside the boundaries of an appropriate region.

If the EndEllipsis property is set to False, text will be cut off at the rightmost end.

The default value of this property is False.


TAbstractdxGridReportLink.EvenColor

TAbstractdxGridReportLink

See Also

Specifies the background color used for even rows in a report.

property EvenColor: TColor;

Description

Use the EvenColor property to specify the background color for even data rows of a printed component. This property is in effect only when the DrawMode property is set to gdmOddEven (or to gdmChess when printing the TDrawGrid or TStringGrid components).

The default value of this property is clWhite.


TAbstractdxGridReportLink.EvenFont

TAbstractdxGridReportLink

See Also

Specifies even row font in a report.

property EvenFont: TFont;

Description

Use the EvenFont property to specify the text font of even data rows when printing a component. This property is in effect only when the DrawMode property is set to gdmOddEven (or to gdmChess when printing the TDrawGrid or TStringGrid components).


TAbstractdxGridReportLink.FixedColor

TAbstractdxGridReportLink

See Also

Specifies fixed cell color in a report.

property FixedColor: TColor;

Description

Use the FixedColor property to specify the background color of fixed rows and columns when printing standard grid components (TDrawGrid or TStringGrid). This color may differ from the original color. The FixedColor property is not in effect when the DrawMode property is set to gdmBorrowSource.

The default value of this property is clBtnFace.


TAbstractdxGridReportLink.FixedFont

TAbstractdxGridReportLink

See Also

Specifies fixed cell font in a report.

property FixedFont: TFont;

Description

Use the FixedFont property to specify the font of fixed cells when printing standard grid components (TDrawGrid or TStringGrid). This font may differ from the original font. The FixedFont property is not in effect when the DrawMode property is set to gdmBorrowSource.


TAbstractdxGridReportLink.FixedTransparent

TAbstractdxGridReportLink

See Also

Specifies whether fixed cells are transparent in a report.

property FixedTransparent: Boolean;

Description

Set the FixedTransparent property to True to display fixed cells transparently in a report when printing standard grid components (TDrawGrid or TStringGrid).

If the FixedTransparent property is False, fixed cells are printed using the component color. The FixedTransparent property is not in effect when the DrawMode property is set to gdmBorrowSource.

The default value of this property is False.


TAbstractdxGridReportLink.GridLineColor

TAbstractdxGridReportLink

Specifies the line color of grid lines in a report.

property GridLineColor: TColor;

Description

Use the GridLineColor property to specify the color of grid lines in a report when printing standard grid components (TDrawGrid or TStringGrid). This color may differ from the original line color.

The default value of this property is clBlack.


TAbstractdxGridReportLink.IncludeFixed

TAbstractdxGridReportLink

See Also

Specifies whether fixed cells are displayed in a report.

property IncludeFixed: Boolean;

Description

Set the IncludeFixed property to True to include fixed cells in a report when printing grid selected cells. The IncludeFixed property is in effect if the OnlySelected property is set to True.

If the IncludeFixed property is False, fixed cells are not displayed in a report when printing selected cells.

The default value of this property is True.


TAbstractdxGridReportLink.Multiline

TAbstractdxGridReportLink

Specifies the manner in which data appears within a control cell when printing a report.

property Multiline: Boolean;

Description

Use the Multiline property to specify the manner in which data appears in a report. If the Multiline property is False, the portion of data that fits inside the boundaries of a cell is displayed. If the MultiLine property is set to True, data can occupy several lines.

The default value of this property is False.


TAbstractdxGridReportLink.OddColor

TAbstractdxGridReportLink

See Also

Specifies the background color of odd rows in a report.

property OddColor: TColor;

Description

Use the OddColor property to specify the background color of odd value rows when printing a component. This property is in effect only when the DrawMode property is set to gdmOddEven (or to gdmChess when printing the TDrawGrid or TStringGrid components).

The default value of this property is clWhite.


TAbstractdxGridReportLink.OddFont

TAbstractdxGridReportLink

See Also

Specifies the text font of odd rows in a report.

property OddFont: TFont;

Description

Use the OddFont property to specify the text font of odd value rows when printing a component. This property is in effect only when the DrawMode property is set to gdmOddEven (or to gdmChess when printing the TDrawGrid or TStringGrid components).


TAbstractdxGridReportLink.OnGetCustomPageBreaks

TAbstractdxGridReportLink

See Also

Enables custom page breaks to be added to a report.

type

TdxCustomGridReportLinkEvent = procedure(Sender: TAbstractdxGridReportLink) of object;

property OnGetCustomPageBreaks: TdxCustomGridReportLinkEvent;

Description

Handle the OnGetCustomPageBreaks event to add custom page breaks to a report. This event is fired when the UseCustomPageBreaks property is set to True. In order to add custom page breaks, call the AddPageBreak method from the procedure which handles the OnGetCustomPageBreaks event.

For examples on using the OnGetCustomPageBreaks event with the TreeList control refer to the AddPageBreak topic.


TAbstractdxGridReportLink.OnInitializeItem

TAbstractdxGridReportLink

Occurs before the created report element is rendered.

type

TdxCustomGridReportLinkInitializeItemEvent = procedure(Sender: TAbstractdxGridReportLink; ACol, ARow: Integer; ADataItem: TAbstractdxReportCellData) of object;

property OnInitializeItem: TdxCustomGridReportLinkInitializeItemEvent;

Description

Handle the OnInitializeItem event to specify painting information (such as the font, foreground and background colors, border attributes, etc.) for the created report element being rendered.

Value

Description

ACol

Represents the report column of the element being rendered.

ARow

Represents the report row of the element being rendered.

ADataItem

Provides painting information.

The OnInitializeItem event occurs before the created report element specified by the ACol and ARow parameters is rendered.


TAbstractdxGridReportLink.OnlySelected

TAbstractdxGridReportLink

See Also

Specifies whether a report includes selected cells only.

property OnlySelected: Boolean;

Description

Set the OnlySelected property to True to display only selected items in a report. If the OnlySelected property is False, the report includes all value items (cells) contained in the component.

The default value of this property is False.


TAbstractdxGridReportLink.PrepareConstruct

TAbstractdxGridReportLink

Prepares a report.

procedure PrepareConstruct; virtual;

Description

You should never call this procedure directly. Descendants must override this method to prepare a report for printing based on specific properties of the printed component.


TAbstractdxGridReportLink.RowAutoHeight

TAbstractdxGridReportLink

Determines whether to calculate cell height automatically.

property RowAutoHeight: Boolean;

Description

Setting the RowAutoHeight property to True forces all cells in a row to have the maximum height dependent upon the text font.

The default value of this property is False.


TAbstractdxGridReportLink.Soft3D

TAbstractdxGridReportLink

Specifies whether fixed grid cells have a slight 3D effect in a report.

property Soft3D: Boolean;

Description

Set the Soft3D property to True to draw fixed grid cells using a light 3D look in a report.

If the Soft3D property is False, fixed cell look & feel depends upon the Effects3D property. Below are two examples where the Effects3D property is set to True and False, respectively.

The default value of this property is True.


TAbstractdxGridReportLink.SupportedCustomDraw

TAbstractdxGridReportLink

See Also

Specifies whether a custom painting procedure is enabled.

property SupportedCustomDraw: Boolean;

Description

If the SupportedCustomDraw property is False, the default painting process is used to paint a component in a report. Set this property to True to use your own custom painting procedure.

The default value of this property is False.


TAbstractdxGridReportLink.UnPrepareConstruct

TAbstractdxGridReportLink

Unprepares a constructed report.

procedure UnPrepareConstruct; virtual;

Description

You should never call this procedure directly. Descendants must override this method to unprepare a constructed report based on specific properties of a printed component.


TAbstractdxGridReportLink.UseCustomPageBreaks

TAbstractdxGridReportLink

See Also

Specifies whether custom page breaks are enabled within a report.

property UseCustomPageBreaks: Boolean;

Description

Set the UseCustomPageBreaks property to True to enable custom page breaks within a report. In order to add custom page breaks to the report, handle the OnGetCustomPageBreaks event. Otherwise, custom page breaks cannot be added to a report.

The default value of the UseCustomPageBreaks property is False.


TAbstractdxRichEditReportLink.OnlySelected

TAbstractdxRichEditReportLink

Determines whether only selected text is printed.

property OnlySelected: Boolean;

Description

If the OnlySelected property is True, the report contains only selected text of a rich edit.

The default value of this property is False.


TAbstractdxRichEditReportLink.REHandle

TAbstractdxRichEditReportLink

property REHandle: HWND;

Description

The REHandle property returns a pointer to the window handle of a rich edit control.

ReadOnly Property


TAbstractdxRichEditReportLink.RichEditVersion

TAbstractdxRichEditReportLink

Determines the rich edit version.

type

TdxRichEditVersion = 1..2;

property RichEditVersion: TdxRichEditVersion;

Description

Use the RichEditVersion property to determine the version of a rich edit component used in your applications:

1 – for the standard Delphi TRichEdit component implemented via Riched32.dll;

2,3 – for third party rich edit components. In this case you should use Riched20.dll.

The default value of this property is 1.


TBasedxPrintStyle.AllowChangeHFText

TBasedxPrintStyle

Specifies whether the header and footer text of a report can be changed.

property AllowChangeHFText: Boolean;

Description

Use the AllowChangeHFText property to enable or disable the "Header/Footer" page of the Page Setup window.

The default value of this property is True.


TBasedxPrintStyle.AllowChangeMargins

TBasedxPrintStyle

Specifies whether margin settings of a report can be changed.

property AllowChangeMargins: Boolean;

Description

Use the AllowChangeMargins property to enable or disable the "Margins" page of the Page Setup window.

The default value of this property is True.


TBasedxPrintStyle.AllowChangeOrientation

TBasedxPrintStyle

Specifies whether report orientation can be changed.

property AllowChangeOrientation: Boolean;

Description

Use the AllowChangeOrientation property to enable or disable the "Orientation" section of the Page Setup window.

The default value of this property is True.


TBasedxPrintStyle.AllowChangePaper

TBasedxPrintStyle

Specifies whether report paper type can be changed.

property AllowChangePaper: Boolean;

Description

Use the AllowChangePaper property to enable or disable the "Type" section of the Page Setup window which is used to select one of the predefined paper types.

The default value of this property is True.


TBasedxPrintStyle.AllowChangeScale

TBasedxPrintStyle

Specifies whether a report can be scaled manually.

property AllowChangeScale: Boolean;

Description

Use the AllowChangeScale property to enable or disable scaling within the Page Setup window.

The default value of this property is True.


TBasedxPrintStyle.AllowCustomPaperSizes

TBasedxPrintStyle

Specifies whether the custom width and height of a report page can be determined.

property AllowCustomPaperSizes: Boolean;

Description

Use the AllowCustomPaperSizes property to enable or disable the "Dimension" section of the Page Setup window which is used to determine custom width and height instead of using predefined types.

The default value of this property is True.


TBasedxPrintStyle.BuiltIn

TBasedxPrintStyle

Specifies whether the current style is built-in.

property BuiltIn: Boolean;

Description

The ExpressPrinting System contains built-in print styles that are created at design time. These styles cannot be deleted at runtime. The BuiltIn property specifies whether the current style is built-in or created at runtime via the Copy function of the "Define Print Styles" dialog window.


TBasedxPrintStyle.Data

TBasedxPrintStyle

Contains a pointer to arbitrary data.

property Data: Pointer;

Description

Use the Data property to associate a print style with corresponding data. This data does not affect report representation. You can use it as your needs dictate.


TBasedxPrintStyle.Description

TBasedxPrintStyle

Determines the text used as a description for the current print style.

property Description: string;

Description

Use the Description property to define a unique text string for your specific needs. For instance, you can use this property value to represent a textual description of the current print style within the status bar.


TBasedxPrintStyle.GetFilteredPapers

TBasedxPrintStyle

Returns paper types that are supported by the default printer.

procedure GetFilteredPapers(AStrings: TStrings);

Description

The GetFilteredPapers method is used to obtain all available paper types for a report. The GetFilteredPapers method generates the OnFilterPaper event. By writing implementation for this event a developer can filter out which paper types are to be supported. If no handler for this event has been implemented, all the paper types are supported. Supported paper types are displayed in the "Type" section of the Page Setup window.


TBasedxPrintStyle.ImageIndex

TBasedxPrintStyle

Specifies the index of the image used to represent the current print style.

property ImageIndex: Integer;

Description

If there is an ImageList assigned to the Images property, print styles can use the images from this list. The ImageIndex property specifies an appropriate image index for each print style. This image is displayed as an icon for a specific print style within the "Edit Print Styles" window at design time or within the "Define Print Styles" window at runtime.


TBasedxPrintStyle.Index

TBasedxPrintStyle

Determines the index of the current print style among other styles.

property Index: Integer;

Description

Each print style has its unique index. Use the Index property to determine this index. You can use it to access an appropriate print style. This index is zero-based.


TBasedxPrintStyle.IsCurrentStyle

TBasedxPrintStyle

Specifies whether a given print style is current.

property IsCurrentStyle: Boolean;

Description

Though the ExpressPrinting System can have multiple print styles, only one of them can be "active" at a given time. Use the IsCurrentStyle property to determine whether a given style is active.


TBasedxPrintStyle.IsStyleGlyphAssigned

TBasedxPrintStyle

Indicates whether an icon for the current style is assigned.

property IsStyleGlyphAssigned: Boolean;

Description

Use the IsStyleGlyphAssigned property to determine whether an icon for the current printing style is assigned. See the StyleGlyph property for details.

ReadOnly Property


TBasedxPrintStyle.OnDestroy

TBasedxPrintStyle

Occurs when a print style is being destroyed.

property OnDestroy: TNotifyEvent;

Description

Write an OnDestroy event handler to perform specific actions when a print style is being destroyed.


TBasedxPrintStyle.OnFilterPaper

TBasedxPrintStyle

Occurs when retrieving the list of available paper types.

type

TdxFilterPaperEvent = procedure(Sender: TBasedxPrintStyle; const APaper: TdxPaperInfo; var AIsSupported: Boolean) of object;

property OnFilterPaper: TdxFilterPaperEvent;

Description

Write an OnFilterPaper event handler to filter the list of paper types.

The Sender parameter specifies the print style for which the list of paper types is retrieved.

The APaper parameter is used to acquire paper type information.

The AIsSupported parameter specifies whether to include paper types in the list or not; if this parameter is set to True, the APaper type is displayed among available paper types.


TBasedxPrintStyle.PageSetup

TBasedxPrintStyle See Also

Displays the "PageSetup" dialog window.

function PageSetup: Boolean; {$IFDEF DELPHI4} overload; {$ENDIF}

Description

The PageSetup function is called to display the "PageSetup" dialog window. Do not use this function directly - use the PageSetup function of TBasedxReportLink instead.


TBasedxPrintStyle.PageSetupEx

TBasedxPrintStyle See Also

Displays the "PageSetup" dialog window.

function PageSetupEx(AActivePageIndex: Integer; APreviewBtnClicked, APrintBtnClicked: PBoolean): Boolean;

{$IFDEF DELPHI4}

function PageSetup(AActivePageIndex: Integer; APreviewBtnClicked, APrintBtnClicked: PBoolean): Boolean; overload;

{$ENDIF}

Description

The PageSetupEx function is called to display the "PageSetup" dialog window.

The AActivePageIndex parameter specifies which page of the "PageSetup" dialog window is displayed by default.

The APreviewBtnClicked and APrintBtnClicked parameters specify whether to display the "Preview…" and "Print Preview…" buttons in this dialog window. These parameters allow a developer to ascertain which of these buttons was pressed.

Do not use this function directly; use the PageSetupEx function of TBasedxReportLink instead.

Note: If the used parameter is not nil, the corresponding button is displayed.


TBasedxPrintStyle.PrinterPage

TBasedxPrintStyle

Determines report page properties.

property PrinterPage: TdxPrinterPage;

Description

Use the PrinterPage property to customize report page properties, such as page size, margins, header/footer settings, scaling, etc. For more information see TdxPrinterPage.


TBasedxPrintStyle.RestoreDefaults

TBasedxPrintStyle

Restores default settings.

procedure RestoreDefaults;

Description

The RestoreDefaults method resets print style settings to their predefined values. Use this method to quickly restore factory default values. All changes made to print style properties will be discarded.


TBasedxPrintStyle.SetupOptions

TBasedxPrintStyle

Invokes the setup dialog window.

function SetupOptions: Boolean;

Description

Call the SetupOptions method to activate the setup dialog window if it is registered for a given style.


TBasedxPrintStyle.ShowPageSetupDlg

TBasedxPrintStyle

Invokes the "Page Setup" dialog window at design time.

property ShowPageSetupDlg: Boolean;

Description

The ShowPageSetupDlg property is used at design time only. Press the ShowPageSetupDlg button within the Object Inspector to call the "Page Setup" dialog window.


TBasedxPrintStyle.State

TBasedxPrintStyle

Specifies print style state.

type

TdxPrintStyleState = (pssCopy);

TdxPrintStyleStates = set of TdxPrintStyleState;

property State: TdxPrintStyleStates;

Description

Use the State property to determine which operation is currently being performed on a print style. Possible values include:

Value | Description
pssCopy | Print style is copied via the copy function of the "Define Print Styles" dialog window.

ReadOnly Property


TBasedxPrintStyle.StyleCaption

TBasedxPrintStyle

Determines style caption.

property StyleCaption: string;

Description

Use the StyleCaption property to determine the caption used within different dialogs to represent a given style.


TBasedxPrintStyle.StyleGlyph

TBasedxPrintStyle

Specifies an icon for the current style.

property StyleGlyph: TBitmap;

Description

Use the StyleGlyph property to specify the image displayed as an icon for a print style within the "Edit Print Styles" window at design time or within the "Define Print Styles" window at runtime. You can specify this image via the ImageIndex property, but the StyleGlyph property doesn't require any additional TImageList component. Use the IsStyleGlyphAssigned property to determine whether an icon is assigned for the current printing style.


TBasedxPrintStyle.StyleManager

TBasedxPrintStyle

Specifies the style manager component for the current print style.

property StyleManager: TdxPrintStyleManager;

Description

All print styles belong to corresponding style manager components (TdxPrintStyleManager). Use the StyleManager property to specify the style manager for a print style.


TBasedxReportLink.AbortBuilding

TBasedxReportLink See Also Example

Specifies that the building of a report should be cancelled.

property AbortBuilding: Boolean;

Description

Set the AbortBuilding property to True when a report is being built to cancel the build in progress. The most obvious places to do this are in the report link’s events (for the control’s elements being rendered for a report) and the component printer component’s events (e.g. the OnGenerateReportProgress event).

See an example on how to abort the building of a report in response to an end user’s action.


TBasedxReportLink.Active

TBasedxReportLink See Also

Creates a report.

property Active: Boolean;

Description

Use the Active property to generate the report.


TBasedxReportLink.AssignedFormatValues

TBasedxReportLink

Indicates which formats have been assigned to a report link.

type

TdxAssignedFormatValue = (fvDate, fvTime, fvPageNumber);

TdxAssignedFormatValues = set of TdxAssignedFormatValue;

property AssignedFormatValues: TdxAssignedFormatValues;

Description

The TdxAssignedFormatValues type defines a set of possible state flags for the AssignedFormatValues property. A report link uses assigned values except for default values when printing a component.

The following table outlines possible TdxAssignedFormatValues values and the meaning of each flag:

Value

Description

fvDate

Date format has been assigned.

fvTime

Time format has been assigned.

fvPageNumber

Page number format has been assigned.

The default value of this property is [ ].


TBasedxReportLink.BuildPageSetupMenu

TBasedxReportLink Example 1 Example 2

Builds a page setup menu in an application.

procedure BuildPageSetupMenu(ARootItem: TComponent; AData: Pointer; AIncludeDefineItem: Boolean {$IFDEF DELPHI4} = True{$ENDIF});

Description

Call the BuildPageSetupMenu method to embed a page setup menu in your application.

The ARootItem determines a component in which a page setup menu is embedded. This component can be of any type that supports displaying a list of print styles or the "define print style" button.

The AData pointer may contain a pointer to any additional arbitrary data.

Set the AIncludeDefineItem parameter to True to display the "define print style" button or False to hide it.

See the examples to learn more about using the BuildPageSetupMenu method.


TBasedxReportLink.BuiltIn

TBasedxReportLink

Determines whether the current link item is created at design- or runtime.

property BuiltIn: Boolean;

Description

The BuiltIn property specifies whether the current link item is created at design- or runtime. If the property specifies True, a link item is created at design-time. Otherwise, a link item is created at runtime.

Note: if the BuiltIn property value is True, the current link cannot be removed by clicking the "Delete" button in the "Edit Reports" dialog window.


TBasedxReportLink.Caption

TBasedxReportLink

Defines a text string that identifies a link for a user.

property Caption: string;

Description

Use the Caption property to identify a report link. This property value is displayed in the "Name" column of the "Edit Reports" dialog window.


TBasedxReportLink.CheckToDesign

TBasedxReportLink See Also

Checks whether to display the Report Design window.

function CheckToDesign: Boolean;

Description

Use the CheckToDesign method to determine whether there is a designer for a specific component class.


TBasedxReportLink.Color

TBasedxReportLink

Specifies the background color of report cells.

property Color : TColor;

Description

Use this property to specify the background color of cells in a report. The Color property has no impact if the Transparent property is set to True. By default, the Color property equals clWhite.


TBasedxReportLink.Component

TBasedxReportLink

Returns the component to print.

property Component : TComponent;

Description

Use the Component property to access a component to print. You must also use this property to change the Component property of the report link.


TBasedxReportLink.ComponentPrinter

TBasedxReportLink

Specifies the printing component that uses a given designer.

property ComponentPrinter : TCustomdxComponentPrinter;

Description

Use this property to obtain the printing component of type TCustomdxComponentPrinter that a report link uses to print a specific component.


TBasedxReportLink.ConstructReport

TBasedxReportLink

Builds a report.

procedure ConstructReport(AReportCells : TdxReportCells); virtual; abstract;

Description

The ConstructReport method creates the contexts of a report. You must never call it directly. Descendants must override this method to construct a report according to specific properties of a printed component.


TBasedxReportLink.Create

TBasedxReportLink See Also

Creates an instance of type TBasedxReportLink.

constructor Create(AOwner : TComponent); override;

Description

This method creates a TBasedxReportLink object and initializes its properties. Descendants can override this method to allocate any additional memory. The allocated memory should be released when destroying the object.


TBasedxReportLink.CurrentPage

TBasedxReportLink See Also Example

Specifies the current page within a report.

property CurrentPage : Integer;

Description

This property is used to determine the current page within a report, when the preview form is closed. For instance, for test printing you can set the CurrentPage property to 1 and then print the first page.


TBasedxReportLink.CurrentPrintStyle

TBasedxReportLink

Determines the current print style.

property CurrentPrintStyle: TBasedxPrintStyle;

Description

Use the CurrentPrintStyle property to obtain the current print style object that provides the basic style information (such as printer page and page setup parameters, etc) for a report link.

ReadOnly Property


TBasedxReportLink.Data

TBasedxReportLink

Specifies additional arbitrary data.

property Data: Pointer;

Description

Use the Data property to assign additional data to the current report link. Since this property is a pointer to data, it can be of any type. For instance, you can assign a picture for each report link to use later in your application.


TBasedxReportLink.DataProviderPresent

TBasedxReportLink

Determines whether a report link is associated with any TComponent.

function DataProviderPresent: Boolean;

Description

Call the DataProviderPresent method to ascertain whether there is a component that corresponds to a specific report link.


TBasedxReportLink.DateFormat

TBasedxReportLink

Specifies date representation format.

property DateFormat: Integer;

Description

A user may display a header or footer that contains the date of the report. A report link has a set of predefined date formats that can be applied to a report. The DateFormat property specifies the zero-based index of the appropriate format.

Index

Example

0

2/14/01

1

Wednesday, February 14, 2001

2

February 14, 2001

3

2/14/2001

4

2001-02-14

5

14-Feb-01

6

2.14.01

7

Wednesday, Feb. 14, 01

8

2.14.2001

9

February, 01

10

Feb-01

The default value of this property is 0.


TBasedxReportLink.DateTime

TBasedxReportLink

Determines date and time of a specific report link.

property DateTime: TDateTime;

Description

Use the DateTime property to determine the appropriate date and time values for a report link. This property value is set automatically when a component is assigned to a report link. You can also change it manually. If the AutoUpdateDateTime property is set to False, this property value is used to display date and time within a report header/footer.


TBasedxReportLink.DefaultDateFormat

TBasedxReportLink

Returns the default date format.

function DefaultDateFormat: Integer;

Description

Use the DefaultDateFormat method to determine the date format of a report link when the DateFormat property is not explicitly set. The DefaultDateFormat method returns the date format of the component printer to which a report link belongs.

The DefaultDateFormat method returns a zero-based index of the appropriate format.

Index

Example

0 | 2/14/01
1 | Wednesday, February 14, 2001
2 | February 14, 2001
3 | 2/14/2001
4 | 2001-02-14
5 | 14-Feb-01
6 | 2.14.01
7 | Wednesday, Feb. 14, 01
8 | 2.14.2001
9 | February , 01
10 | Feb-01


TBasedxReportLink.DefaultPageNumberFormat

TBasedxReportLink

Returns the default page number format in a report.

type

TdxPageNumberFormat = (pnfNumeral, pnfChars, pnfUpperChars, pnfRoman, pnfUpperRoman);

function DefaultPageNumberFormat: TdxPageNumberFormat;

Description

Use the DefaultPageNumberFormat method to determine the page number format of a report link when the PageNumberFormat property is not explicitly set. The DefaultPageNumberFormat method returns the page number format of the component printer to which a report link belongs.

Available values include:

Value

Description

pnfNumeral

Page numbers are in Arabic numerals.

pnfChars

Page numbers characters in lower case.

pnfUpperChars

Page numbers characters in upper case.

pnfRoman

Page numbers are Roman numerals in lower case.

pnfUpperRoman

Page numbers are Roman numerals in upper case.


TBasedxReportLink.DefaultTimeFormat

TBasedxReportLink

Returns the default time format.

function DefaultTimeFormat: Integer;

Description

Use the DefaultTimeFormat method to determine the time format of a report link when the TimeFormat property is not explicitly set. The DefaultTimeFormat method returns the time format of the component printer to which a report link belongs.

The DefaultTimeFormat method returns a zero-based index of the appropriate format.

Index

Example

0

2:45 PM

1

2:45:58 PM

2

14:45

3

14:45:58


TBasedxReportLink.DefinePrintStylesDlg

TBasedxReportLink

Displays the "Define Print Styles" dialog window.

procedure DefinePrintStylesDlg;

Description

The DefinePrintStylesDlg method is called to display the "Define Print Styles" dialog window.

This dialog allows a user to edit print styles. When a user presses the "Edit…" button, the "Page Setup…" dialog window is displayed.


TBasedxReportLink.Description

TBasedxReportLink

Describes a report link.

property Description: string;

Description

Use the Description property to present any additional information regarding the appropriate report link. This information can be used according to your specific needs. For instance, this property value provides data for the "Description" column of the "Edit Reports" dialog window.


TBasedxReportLink.DesignerCaption

TBasedxReportLink Example

Specifies the caption of a designer form.

property DesignerCaption : string;

Description

Use this property to set a specific caption for the report link designer.


TBasedxReportLink.DesignerExists

TBasedxReportLink See Also

Determines whether a specific component class includes a designer.

class function DesignerExists(AComponentClass : TComponentClass ): Boolean;

Description

The DesignerExists method defines whether there is a designer for a specific component class defined by the AComponentClass parameter. DesignerExist returns True, if such a designer exists.


TBasedxReportLink.DesignerHelpContext

TBasedxReportLink

Provides the designer context number for use when calling context-sensitive online Help.

property DesignerHelpContext: THelpContext;

Description

Assign a value to the DesignerHelpContext property to determine which help topic appears when a user presses F1 to request help on a report link designer.


TBasedxReportLink.DesignReport

TBasedxReportLink See Also

Displays the Report Designer window.

function DesignReport: Boolean;

Description

Call the DesignReport method to display the Report Designer window for a given component at runtime.


TBasedxReportLink.Destroy

TBasedxReportLink See Also

Destroys an instance of TBasedxReportLink.

destructor Destroy; override;

Description

This method destroys a TBasedxReportLink object. Descendants can override this method to release any additional memory allocated when creating a TBasedxReportLink object.


TBasedxReportLink.DestroyReport

TBasedxReportLink

Destroys a report link.

procedure DestroyReport;

Description

The DestroyReport method sets the Active property to False. It works similarly to the Active property of the TDataSet object.


TBasedxReportLink.DoChangeComponent

TBasedxReportLink See Also

Generates the OnChangeComponent event.

procedure DoChangeComponent; dynamic;

Description

This method is called when changing the Component property of TBasedxReportLink. Descendants can override it to perform specific actions before/after calling the OnChangeComponent event handler.


TBasedxReportLink.DoProgress

TBasedxReportLink

Tracks the progress of report creation.

procedure DoProgress(Value : Double);

Description

Call the DoProgress method to obtain the completed portion of an entire job.


TBasedxReportLink.DrawCheckBox

TBasedxReportLink

Draws a check box item in a report.

procedure DrawCheckBox(Canvas: TCanvas; var R: TRect; Checked, Enabled, FlatBorder: Boolean);

Description

The DrawCheckBox method is designed for drawing a check box on a report’s surface. Use this method when performing your own custom drawing.

Parameter

Meaning

Canvas

Determines the drawing surface.

R

Specifies the bound rectangle for drawing.

Checked

Specifies whether the drawn check box is checked (True).

Enabled

Specifies whether the drawn check box is enabled (True).

FlatBorder

Specifies whether the drawn check box has a flat border (True).


TBasedxReportLink.DrawEdge

TBasedxReportLink

Draws an edge object in a report.

type

TdxCellEdgeMode = (cemSingle, cem3DEffects, cemShadow); TdxCellEdgeStyle = (cesNone, cesSunken, cesRaised); TdxCellSide = (csLeft, csTop, csRight, csBottom);

TdxCellSides = set of TdxCellSide;

procedure DrawEdge(Canvas: TCanvas; var R: TRect; EdgeMode: TdxCellEdgeMode; InnerEdge, OuterEdge: TdxCellEdgeStyle; Sides: TdxCellSides{$IFDEF DELPHI4} = [csLeft..csBottom]{$ENDIF});

Description

The DrawEdge method is designed for drawing an edge object on a report’s surface. Use this method when performing your own custom drawing.

The Canvas parameter determines the drawing surface.

The R parameter specifies the bound rectangle for drawing.

The EdgeMode parameter specifies the manner in which this edge is drawn. Possible values include:

Value

Description

cemSingle

Edge represents a single line.

cem3DEffects

Edge has a 3D look.

cemShadow

Edge is shadowed.

The InnerEdge and OuterEdge parameters specify the style of inner and outer edges accordingly. Possible values include:

Value

Description

cesNone

No edge.

cesSunken

Edge is sunken.

cesRaised

Edge is raised.

The Sides parameter specifies which edges are drawn. Possible values include:

Value

Description

csLeft

Left edge is drawn.

csTop

Top edge is drawn.

csRight

Right edge is drawn.

csBottom

Bottom edge is drawn.


TBasedxReportLink.DrawGraphic

TBasedxReportLink

Draws a graphic object in a report.

procedure DrawGraphic(Canvas: TCanvas; var R: TRect; const ClipRect: TRect; ImageList: {$IFDEF DELPHI4}TCustomImageList {$ELSE}TImageList {$ENDIF}; ImageIndex: Integer; Graphic: TGraphic; GraphicTransparent, Transparent: Boolean; BkColor: TColor);

Description

The DrawGraphic method is designed for drawing a graphic object on a report’s surface. Use this method when performing your own custom drawing.

The Canvas parameter determines the drawing surface.

The R parameter specifies the bound rectangle for drawing.

The ClipRect parameter specifies the bound rectangle to be drawn.

The ImageList parameter specifies the list of images from which graphics are acquired.

The ImageIndex parameter specifies the zero-based index of an image within this image list. If you do not use an image list, the Graphic parameter allows you to specify the desired image.

Set the GraphicTransparent parameter to True to print with transparency.

The BkColor parameter specifies the background color of an image.


TBasedxReportLink.DrawPageFooter

TBasedxReportLink

Draws a page footer in a report.

type

TdxPageTitlePart = (tpLeft, tpCenter, tpRight);

TdxPageTitleParts = set of TdxPageTitlePart;

procedure DrawPageFooter(APageIndex: Integer; ARect: TRect; ATitleParts: TdxPageTitleParts; ADrawBackground: Boolean);

Description

The DrawPageFooter method is intended to draw the page footer on a report’s surface. Use this method when performing your own custom drawing.

The APageIndex parameter specifies the index of the page for which the footer is drawn.

The ARect parameter specifies the bound rectangle for drawing.

The ATitleParts parameter specifies which page region a footer is drawn. Possible values include:

Value

Description

tpLeft

Footer is drawn within the left footer region.

tpCenter

Footer is drawn within the center of the page footer region.

tpRight

Footer is drawn within the right footer region.

Set the ADrawBackground parameter to True to print footer background.


TBasedxReportLink.DrawPageHeader

TBasedxReportLink

Draws a page header in a report.

type

TdxPageTitlePart = (tpLeft, tpCenter, tpRight);

TdxPageTitleParts = set of TdxPageTitlePart;

procedure DrawPageHeader(APageIndex: Integer; ARect: TRect; ATitleParts: TdxPageTitleParts; ADrawBackground: Boolean);

Description

The DrawPageHeader method is intended to draw the page header on a report’s surface. Use this method when performing your own custom drawing.

The APageIndex parameter specifies the index of the page for which the header is drawn.

The ARect parameter specifies the bound rectangle for drawing.

The ATitleParts parameter specifies in which page region a header is drawn. Possible values include:

Value

Description

tpLeft

Header is drawn within the left header region.

tpCenter

Header is drawn within center of the page header region.

tpRight

Header is drawn within the right header region.

Set the ADrawBackground parameter to True to print header background.


TBasedxReportLink.DrawSortMark

TBasedxReportLink

Draws a sorting mark (arrow) in a report.

type

TdxCellSortOrder = (csoNone, csoUp, csoDown);

procedure DrawSortMark(Canvas: TCanvas; var R: TRect; SortOrder: TdxCellSortOrder; Mono: Boolean);

Description

The DrawSortMark method is indended to draw sort order arrows on a report’s surface. Use this method when performing your own custom drawing.

The Canvas parameter determines the drawing surface.

The R parameter specifies the bound rectangle for drawing.

The SortOrder parameter specifies sorting arrow type. Possible values include:

Value

Description

csoNone

Sorting arrow is not drawn.

csoUp

Sorting arrow pointing upwards (ascending order).

csoDown

Sorting arrow pointing downwards (descending order).

The Mono parameter specifies the manner in which the sorting arrow is drawn; if True, the sorting arrow is absolutely flat; if False, the sorting arrow is drawn with 3D effects.


TBasedxReportLink.DrawText

TBasedxReportLink

Draws text in a report.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX); TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

procedure DrawText(Canvas: TCanvas; var R: TRect; AIndent: Integer; const Text: string; Font: TFont; BkColor: TColor; TextAlignX: TdxTextAlignX; TextAlignY: TdxTextAlignY; FillBackground, Multiline, EndEllipsis: Boolean);

Description

The DrawText method is intended for drawing text on a report’s surface. Use this method when performing your own custom drawing.

The Canvas parameter determines the drawing surface.

The R parameter specifies the bound rectangle for drawing.

The AIndent parameter determines text indent relative to the bound rectangle.

The Text parameter specifies the text string to draw.

The Font parameter specifies text font.

The BkColor parameter specifies the background color.

The TextAlignX parameter specifies horizontal text alignment, whether it is aligned to the left, right, or centered.

The TextAlignY parameter specifies vertical text alignment, whether it is aligned to the top, bottom, or centered.

Set the FillBackground parameter to True to print the background.

Set the MultiLine parameter to True to allow text printing across several lines.

Set the EndEllipsis parameter to print ellipsis ('…') when text does not fit inside the boundaries of a bound rectangle.


TBasedxReportLink.EmptyPagesCanExists

TBasedxReportLink.EmptyPagesCanExist

TBasedxReportLink See Also

Specifies whether a report can contain empty pages.

property EmptyPagesCanExist: Boolean;

Description

If the EmptyPagesCanExist property is True, a report can contain empty pages; Otherwise, all pages are populated with a control's data. Set the ShowEmptyPages property to determine whether to display empty pages in a report.

ReadOnly Property


TBasedxReportLink.Font

TBasedxReportLink

Specifies report font.

property Font : TFont;

Description

Use the Font property to specify a report’s font. It is set by default. Descendants can change the value to draw text using unique fonts.


TBasedxReportLink.FootersOnEveryPage

TBasedxReportLink

Specifies whether footers are printed on every page of a report.

property FootersOnEveryPage: Boolean;

Description

Set the FootersOnEveryPage property to True to display footers on every page of a report.

The default value of this property is False.


TBasedxReportLink.GetFilteredStyles

TBasedxReportLink See Also

Retrieves a list of available print styles.

procedure GetFilteredStyles(AStrings: TStrings);

Description

The GetFilteredStyles method is used to obtain a list of print styles that can be applied to a report. Some print styles defined in the style manager may not be supported by a report link. The GetFilteredPapers method generates the OnFilterStyle event. By writing implementation for this event a developer can filter out which print styles are to be supported. If no handler for this event has been implemented, all the print styles are supported.


TBasedxReportLink.GetPageColRowCount

TBasedxReportLink

Determines the number of pages used by a report image, both horizontally and vertically.

procedure GetPageColRowCount(var APageColCount, APageRowCount: Integer);

Description

The GetPageColRowCount method calculates the number of pages used by report images on the basis of current page settings (page size, margins etc.). Once this method is executed, the APageColCount parameter contains the number of ‘column’ pages and the APageRowCount parameter contains the numbers of ‘row’ pages. For instance, the GetPageColRowCount method returns 2 in the APageColCount parameter and 2 in the APageRowCount parameter:


TBasedxReportLink.GetSupportedComponentList

TBasedxReportLink

Returns a list of all classes supported by the link.

class procedure GetSupportedComponentList(AList : TList);

Description

Use the GetSupportedComponentList method to ascertain all classes that are supported by the current link.


TBasedxReportLink.HasDesignWindow

TBasedxReportLink See Also

Indicates whether the current report link has a designer associated with it.

property HasDesignWindow: Boolean;

Description

Use the HasDesignWindow property to determine whether the current report link has a designer associated with it. The report link designer is used to customize the report link’s properties before a component is printed.

ReadOnly Property


TBasedxReportLink.HeadersOnEveryPage

TBasedxReportLink

Specifies whether headers are printed on every page of a report.

property HeadersOnEveryPage: Boolean;

Description

Set the HeadersOnEveryPage property to True to display headers on every page of a report.

The default value of this property is False.


TBasedxReportLink.Index

TBasedxReportLink See Also

Determines the index of a link.

property Index : Integer;

Description

Use the Index property to set or return the index (zero-based) of the report link.


TBasedxReportLink.InternalRestoreDefaults

TBasedxReportLink

Restores default settings for a report.

procedure InternalRestoreDefaults; virtual;

Description

The InternalRestoreDefaults method is used internally to return to default report settings. Descendants can override the InternalRestoreDefaults method to restore settings particular to a given report link.


TBasedxReportLink.InternalRestoreFromOriginal

TBasedxReportLink

Restores original component settings for a report.

procedure InternalRestoreFromOriginal; virtual;

Description

The InternalRestoreFromOriginal method is used internally to return to original component view settings. Descendants can override the InternalRestoreFromOriginal method to restore settings particular to a component of the report link.


TBasedxReportLink.IsCurrentLink

TBasedxReportLink

Determines whether a report link is active.

property IsCurrentLink : Boolean;

Description

Use the IsCurrentLink property to set or return the report link that is previewed by default.


TBasedxReportLink.IsEmptyPage

TBasedxReportLink

Ascertains whether a specified report page is empty.

function IsEmptyPage(AVirtualPageIndex: Integer): Boolean;

Description

The IsEmtyPage method returns True if the page specified by the AVirtualPageIndex parameter is empty. Otherwise, returns False.


TBasedxReportLink.IsEmptyReport

TBasedxReportLink

Ascertain whether a report is empty.

function IsEmptyReport : Boolean; virtual;

Description

The IsEmptyReport method returns True there are no generated pages in the report; Otherwise False.


TBasedxReportLink.IsSupportedCompClass

TBasedxReportLink

Determines whether a specific component class is supported by a given report link.

type

TComponentClass = class of TComponent;

class function IsSupportedCompClass(AComponentClass : TComponentClass): Boolean;

Description

One report link can support several components for printing. For instance, you can override TStringGrid to expand its functionality and use a new grid in your application. If your new class does not differ much from the standard TStringGrid, you can use the same report link for printing. Use the IsSupportCompClass method to determine whether a specific component is supported by a given report link. If a specific component is supported, the IsSupportCompClass method returns True.


TBasedxReportLink.LinkClass

TBasedxReportLink See Also

Returns a report link class.

type

TdxReportLinkClass = class of TBasedxReportLink;

class function LinkClass: TdxReportLinkClass;

Description

Use the LinkClass method to obtain the class of a report link.


TBasedxReportLink.LinkModified

TBasedxReportLink See Also

Determines whether a link was modified.

procedure LinkModified(Value : Boolean); virtual;

Description

Use the LinkModified method to track changes made to an appropriate link. The Value parameter is True if the link is modified; otherwise, False.


TBasedxReportLink.LoadDataFromFile

TBasedxReportLink See Also

Loads a report previously saved to a file into the preview window.

procedure LoadDataFromFile(const AName: string); virtual;

Description

Use the LoadDataFromFile method to load a report into the preview window. This method can only load a report if it was previously saved to a file using the SaveDataToFile method. The LoadDataFromFile method is declared as virtual to allow the TBasedxReportLink’s descendants to implement their own approach to reading the report stored in the file.

The AName parameter specifies the full path to the file in which the report is stored.


TBasedxReportLink.LoadDataFromStream

TBasedxReportLink See Also

Loads a report from a stream into the preview window.

procedure LoadDataFromStream(AStream: TStream ); virtual;

Description

Use the LoadDataFromStream method to load a report from a stream specified by the AStream parameter into the preview window. This method is declared as virtual to allow the TBasedxReportLink’s descendants to implement their own approach to reading the report from the stream.

The AStream parameter specifies the stream from which the report will be loaded.


TBasedxReportLink.LoadFromRegistry

TBasedxReportLink

Loads report link settings from the Registry.

procedure LoadFromRegistry(const ARegistryPath: string);

Description

Call the LoadFromRegistry method to obtain report link settings from the Registry path specified by the ARegistryPath parameter. Remember to save appropriate data to the Registry beforehand using the SaveToRegistry method.


TBasedxReportLink.MakeDelimiters

TBasedxReportLink

Creates delimiters for report pages.

procedure MakeDelimiters(AReportCells : TdxReportCells; AHorzDelimiters, AVertDelimiters : TList); virtual; abstract;

Description

The MakeDelimiters method creates bounds that limit report pages. The AHorzDelimiters and AVertDelimiters parameters specify horizontal and vertical delimiters. When splitting report pages, cells are not split. Descendants can override this method to force report delimiters to behave in a specific manner.


TBasedxReportLink.OnChangeComponent

TBasedxReportLink See Also

Occurs when the Component property changes.

type

TNotifyEvent = procedure(Sender: TObject) of object;

property OnChangeComponent : TNotifyEvent;

Description

Write an OnChangeComponent event handler to perform specific actions when changing the Component property.


TBasedxReportLink.OnCustomDrawPageFooter

TBasedxReportLink

Occurs when drawing a page footer.

type

TdxCustomDrawReportLinkHFEvent = procedure(Sender: TObject; ACanvas: TCanvas; APageIndex: Integer; var ARect: TRect; ANom, ADenom: Integer; var ADefaultDrawText, ADefaultDrawBackground: Boolean) of object;

property OnCustomDrawPageFooter: TdxCustomDrawReportLinkHFEvent;

Description

Write an OnCustomDrawPageFooter event handler to draw a custom report page footer for a specific report link.

The ACanvas parameter determines the drawing surface.

The APageIndex parameter specifies the index of the page for which the footer is drawn.

The ARect parameter specifies the bound rectangle for drawing.

When using custom draw methods, you must manage image repainting during zoom events. It is always necessary when previewing a report and necessary only for images when printing a report. The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly.

The height of the report footer region is calculated automatically and depends upon the font used, but if the Font.Size property changes, you must also handle the OnMeasureReportTitle event to correct report title height.

To draw an image in a report footer you should also determine its actual height via the OnMeasureReportTitle event.

The ADefaultDrawText and ADefaultDrawBackground parameters specify whether to draw predefined footer text and background accordingly.


TBasedxReportLink.OnCustomDrawPageHeader

TBasedxReportLink

Occurs when drawing a page header.

type

TdxCustomDrawReportLinkHFEvent = procedure(Sender: TObject; ACanvas: TCanvas; APageIndex: Integer; var ARect: TRect; ANom, ADenom: Integer; var ADefaultDrawText, ADefaultDrawBackground: Boolean) of object;

property OnCustomDrawPageHeader: TdxCustomDrawReportLinkHFEvent;

Description

Write an OnCustomDrawPageHeader event handler to draw a custom report page header for a specific report link.

The ACanvas parameter determines the drawing surface.

The APageIndex parameter specifies the index of the page for which the header is drawn.

The ARect parameter specifies the bound rectangle for drawing.

When using custom draw methods, you must manage image repainting during zoom events. It is always necessary when previewing a report and necessary only for images when printing a report. The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly.

The height of the report header region is calculated automatically and depends upon the font used, but if the Font.Size property changes, you must also handle the OnMeasureReportTitle event to correct report title height.

To draw an image in a report header you should also determine its actual height via the OnMeasureReportTitle event.

The ADefaultDrawText and ADefaultDrawBackground parameters specify whether to draw predefined header text and background accordingly.


TBasedxReportLink.OnCustomDrawReportLinkTitle

TBasedxReportLink See Also

Occurs when drawing the report title.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX); TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxCustomDrawReportLinkTitleEvent = procedure(Sender : TBasedxReportLink; ACanvas : TCanvas; ARect : TRect; ANom, ADenom : Integer; var TextAlignX : TdxTextAlignX; var TextAlignY : TdxTextAlignY; var AColor : TColor; AFont : TFont; var ADone : Boolean) of object;

property OnCustomDrawReportLinkTitle : TdxCustomDrawReportLinkTitleEvent;

Description

Write an OnCustomDrawReportLinkTitle event handler to draw a specific report title.

The ACanvas parameter determines the drawing surface.

The ARect parameter specifies the bound rectangle for drawing.

When using custom draw methods, you must manage image repainting during zoom events. It is always necessary when previewing the report and necessary only for images when printing the report. The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly.

The TextAlignX and TextAlignY parameters specify horizontal and vertical alignment of the text. The default values of these parameters are taCenterX and taCenterY, correspondingly.

The AColor parameter sets the font color for the report title.

The AFont parameter sets the font for the report title.

The ADone parameter determines whether the OnCustomDrawReportLinkTitle method processes the entire operation.

The height of the report title region is calculated automatically and depends on the font. To draw an image in the report title you should determine its real height via the OnMeasureReportLinkTitle event.


TBasedxReportLink.OnDestroy

TBasedxReportLink

Occurs when a report link is being destroyed.

property OnDestroy: TNotifyEvent;

Description

Write an OnDestroy event handler to perform specific actions when a report link is being destroyed.


TBasedxReportLink.OnFilterStyle

TBasedxReportLink See Also

Occurs when retrieving the list of available print styles.

type

TdxFilterStyleEvent = procedure(Sender: TBasedxReportLink; AStyle: TBasedxPrintStyle; var ASupported: Boolean) of object;

property OnFilterStyle: TdxFilterStyleEvent;

Description

Write an OnFilterStyle event handler to filter the list of available print styles.

The Sender parameter specifies the report link for which the list of print styles is retrieved.

The AStyle parameter is used to access a print style object and acquire its information.

The ASupported parameter specifies whether to include a print style in the list; if this parameter is set to True, the AStyle style is displayed among available print styles.


TBasedxReportLink.OnMeasureReportLinkTitle

TBasedxReportLink See Also

Occurs when drawing the report title before the OnCustomDrawReportLinkTitle event.

type

TdxMeasureReportLinkTitleEvent = procedure(Sender : TBasedxReportLink; var AHeight : Integer) of object;

property OnMeasureReportLinkTitle : TdxMeasureReportLinkTitleEvent;

Description

Write an OnMeasureReportLinkTitle event handler when you wish to draw an image in the report title. Since the height of the report title is calculated automatically and depends on the font used and the report’s scale factor, you should specify the image’s height via the AHeight parameter.


TBasedxReportLink.PageCount

TBasedxReportLink See Also Example

Returns the number of report pages.

property PageCount : Integer;

Description

Use this property to obtain the total number of pages in a report.


TBasedxReportLink.PageNumberFormat

TBasedxReportLink

Specifies page number format in a report.

type

TdxPageNumberFormat = (pnfNumeral, pnfChars, pnfUpperChars, pnfRoman, pnfUpperRoman);

property PageNumberFormat: TdxPageNumberFormat;

Description

A user may display a header or footer that contains page numbers. Use the PageNumberFormat property to specify the format of these page numbers when printed. Available values include:

Value

Description

pnfNumeral

Page numbers are in Arabic numerals.

pnfChars

Page numbers are characters in lower case.

pnfUpperChars

Page numbers are characters in upper case.

pnfRoman

Page numbers are Roman numerals in lower case.

pnfUpperRoman

Page numbers are Roman numerals in upper case.


TBasedxReportLink.PageReady

TBasedxReportLink

Indicates whether report pages have been generated.

function PageReady(APageIndex: Integer): Boolean;

Description

Call the PageReady method to determine whether the page specified by the APageIndex parameter has been generated. This method returns True to the TBasedxReportLink object.


TBasedxReportLink.PageSetup

TBasedxReportLink See Also

Used to activate the PageSetup dialog box.

function PageSetup: Boolean;

Description

This method calls the PageSetup method.


TBasedxReportLink.PageSetupEx

TBasedxReportLink

Displays the "PageSetup" dialog window.

function PageSetupEx(AActivePageIndex: Integer; APreviewBtnClicked, APrintBtnClicked: PBoolean): Boolean;

Description

The PageSetupEx function is called to display the "PageSetup" dialog window.

The AActivePageIndex parameter specifies which page of the "PageSetup" dialog window is displayed by default.

The APreviewBtnClicked and APrintBtnClicked parameters specify whether to display the "Preview…" and "Print Preview…" buttons in this dialog window. These parameters allow a developer to determine which of these buttons was pressed.

Note: If the used parameter is not nil, the corresponding button is displayed.


TBasedxReportLink.Preview

TBasedxReportLink See Also

Activates the preview form.

procedure Preview(Modal : Boolean);

Description

Call the Preview method to display the preview form on screen. If the Modal parameter is True, then the preview form appears as a modal form. The Preview method of the TBasedxReportLink class sets the active link, calls the Preview method of the TCustomdxComponentPrinter class and inspects if a valid component is assigned.


TBasedxReportLink.PreviewExists

TBasedxReportLink

Determines whether the preview window is displayed.

function PreviewExists: Boolean;

Description

The PreviewExists method returns True if the preview window currently exists. Otherwise, it returns False. Use the Preview method to activate the preview form.


TBasedxReportLink.Print

TBasedxReportLink See Also

Prints a report.

type

PdxPrintDialogData = ^TdxPrintDialogData;

procedure Print(AShowDialog : Boolean; APrintDialogData : PdxPrintDialogData);

Description

Call the Print method to print a report to the default printer.

The AShowDialog parameter determines whether to activate a print dialog before printing. If AShowDialog is True, the print dialog is active.

The PdxPrintDialogData parameter is a pointer to the structure that describes properties of a print dialog.

The Print method of the TBasedxReportLink class checks if any valid component is assigned, sets the active link and calls the Print method of the TCustomdxComponentPrinter class.

Note: TdxPrintDialogData is used internally to define printing attributes. Use the PrintEx, PrintPage, PrintPages and PrintPagesEx properties instead of the Print method.


TBasedxReportLink.PrinterPage

TBasedxReportLink

Determines report page properties.

property PrinterPage: TdxPrinterPage;

Description

Use the PrinterPage property to customize report page properties, such as page size, margins, background color, brush, etc. For more information see TdxPrinterPage.


TBasedxReportLink.PrintEx

TBasedxReportLink See Also

Prints report pages.

type

TdxPageNumbers = (pnAll, pnEven, pnOdd);

procedure PrintEx(APageNums : TdxPageNumbers; ACopies : Integer; ACollate : Boolean);

Description

Use this method to print all pages in specific range. The APageNums parameter specifies pages to print:

pnAll | Prints all pages.
pnEven | Prints only even pages.
pnOdd | Prints only odd pages.

The ACopies parameter specifies the number of report copies to print. If the ACollate parameter is True, then report pages are collated. Unlike the PrintPagesEx method, the PrintEx method prints all pages of a specific subset. For instance, it prints all even or all odd pages. The PrintEx method of the TBasedxReportLink class checks if any valid component is assigned, sets the active link and calls the PrintEx method of the TCustomdxComponentPrinter class.

Note: Include dxPrnDlg in the uses section of a unit to use the TdxPageNumbers type.


TBasedxReportLink.PrintPages

TBasedxReportLink See Also

Prints specified report pages.

procedure PrintPages(const APageIndexes : array of Integer);

Description

Use the PrintPages method to print specified report pages. The APageIndexes parameter specifies the pages to print. Unlike the Print method, the PrintPages method allows users to print individual pages. Use the Print method to print all pages. The PrintPages method of the TBasedxReportLink class checks if any valid component is assigned, sets the active link and calls the PrintPages method of the TCustomdxComponentPrinter class.


TBasedxReportLink.PrintPagesEx

TBasedxReportLink See Also

Prints specific report pages.

type

TdxPageNumbers = (pnAll, pnEven, pnOdd);

procedure PrintPagesEx(const APageIndexes: array of Integer; APageNums: TdxPageNumbers; ACopies: Integer; ACollate: Boolean);

Description

Unlike the PrintEx method, the PrintPagesEx method provides printing of individual pages within a range.

The APageIndexes parameter specifies pages to print.

APageNums determines range of pages to print:

pnAll | Prints all pages.
pnEven | Prints only even pages.
pnOdd | Prints only odd pages.

ACopies specifies the number of copies to print.

ACollate determines whether to collate printed pages. If ACollate is False, pages are not collated.

The PrintPagesEx method of the TBasedxReportLink class checks if any valid component is assigned, sets the active link and calls the PrintPagesEx method of the TCustomdxComponentPrinter class.

Include dxPrnDlg in the uses section of a unit to use the TdxPageNumbers type.


TBasedxReportLink.RealPrinterPage

TBasedxReportLink

Determines a printer page object.

property RealPrinterPage: TdxPrinterPage;

Description

Use the RealPrinterPage property to determine the TdxPrinterPage object. This object is used to customize different attributes for report pages: Page margins, page size, etc.


TBasedxReportLink.RealScaleFactor

TBasedxReportLink

Returns the scale factor used to preview a report page.

property RealScaleFactor: Integer;

Description

Read the RealScaleFactor property to obtain the scale factor of a report preview.

ReadOnly Property


TBasedxReportLink.RebuildNeeded

TBasedxReportLink See Also

Determines whether to rebuild a report.

property RebuildNeeded : Boolean;

Description

When any property is changed, the report should be rebuilt to reflect the changes. The RebuildNeeded property defines whether any changes were made.


TBasedxReportLink.RebuildReport

TBasedxReportLink See Also

Rebuilds the contents of a report.

procedure RebuildReport;

Description

This method is useful when it’s necessary to re-build a report after making changes to printed components (such as changing data in cells or changing cell layouts). Use the RebuildReport method to completely re-build a report. Call the RebuildReport method to update a report’s contents.


TBasedxReportLink.ReportDocument

TBasedxReportLink

Provides access to the report document settings.

property ReportDocument: TdxPSReportDocument ;

Description

Use the ReportDocument property to access the report document settings. These settings include the report caption, description, creation date and creator name, which are passed to report items created using a report link’s data. Thus, end users will be able to view this information when using the TdxPSFileBasedExplorer and TdxPSDBBasedExplorer components. The information will be displayed in item hints and their property sheets.

Note that you can also use a report link’s ReportDocument property to obtain a graphical representation of the report document. Use the report document’s Preview property for this purpose.


TBasedxReportLink.ReportHeight

TBasedxReportLink See Also

Determines the height of a report.

property ReportHeight: Integer;

Description

Use the ReportHeight property to access the height of a report in pixels without binding to page settings. This may be useful when a user implements his or her own OnCustomDrawPage event handler to position a report on pages.


TBasedxReportLink.ReportTitle

TBasedxReportLink See Also

Determines report title properties.

property ReportTitle: TdxReportTitle;

Description

Use the ReportTitle property to customize report title appearance. You may specify the report title text, the manner this text is displayed within report pages and change other title properties, such as font, font color, vertical and horizontal alignment, etc. For more information see the TdxReportTitle object.


TBasedxReportLink.ReportTitleMode

TBasedxReportLink See Also

Specifies the manner in which a report title is displayed.

type

TdxReportTitleMode = (tmNone, tmOnFirstPage, tmOnEveryTopPage);

property ReportTitleMode : TdxReportTitleMode;

Description

Use the ReportTitleMode property to specify where to place a report title. The following values are available:

Value

Meaning

tmNone

Report title does not appear.

tmOnFirstPage

Report title appears on the first page only.

tmOnEveryTopPage

Report title appears on every top page of the report.

The default value of the ReportTitleMode property is tmOnEveryTopPage. In this mode report titles are situated as displayed in the picture:


TBasedxReportLink.ReportTitleText

TBasedxReportLink See Also

Determines a report’s title.

property ReportTitleText : string;

Description

Use the ReportTitleText property to specify the text displayed in a report’s title.


TBasedxReportLink.ReportWidth

TBasedxReportLink See Also

Determines the width of a report.

property ReportWidth: Integer;

Description

Use the ReportWidth property to access the width of a report in pixels without binding to page settings. This may be useful when a user implements his or her own OnCustomDrawPage event handler to position a report on pages.


TBasedxReportLink.RestoreDefaults

TBasedxReportLink See Also

Restores predefined values for report link properties.

procedure RestoreDefaults; virtual;

Description

This method resets report link properties to their predefined values. Use this method to quickly restore default values. All changes made to properties will be discarded.


TBasedxReportLink.RestoreFromOriginal

TBasedxReportLink See Also

Restores original component values for report link properties.

procedure RestoreFromOriginal; virtual;

Description

This method resets report link properties to the original component values. Use this method to quickly restore original component view settings. All changes made to properties will be discarded.


TBasedxReportLink.SaveDataToFile

TBasedxReportLink See Also

Writes a report to the AName file.

procedure SaveDataToFile(const AName: string); virtual;

Description

Use the SaveDataToFile method to store a report generated in the preview window to a file. The SaveDataToFile method is declared as virtual to allow the TBasedxReportLink’s descendants to implement their own approach to writing a report to a file.

The AName parameter specifies the full path to the file in which to store a report.


TBasedxReportLink.SaveDataToStream

TBasedxReportLink See Also

Writes a report to the AStream stream.

procedure SaveDataToStream(AStream: TStream ); virtual;

Description

Use the SaveDataToStream method to write a report generated in the preview window to the stream specified by the AStream parameter. The SaveDataToStream method is declared as virtual to allow the TBasedxReportLink’s descendants to implement their own approach to writing a report to a stream.

The AStream parameter specifies the stream to write the report to.


TBasedxReportLink.SaveToRegistry

TBasedxReportLink

Saves report link settings to the Registry.

procedure SaveToRegistry(const ARegistryPath: string);

Description

Call the SaveToRegistry method to store report link settings to the Registry path specified by the ARegistryPath parameter. You can later load these settings from the Registry using the LoadFromRegistry method.


TBasedxReportLink.ScaleFonts

TBasedxReportLink

Specifies whether to rescale report fonts.

property ScaleFonts: Boolean;

Description

Set the ScaleFonts property to True to rescale report fonts when changing the preview scale factor of a report. If this property is False, report font size remains fixed regardless of changes to preview scale factors.

The default value of this property is True.


TBasedxReportLink.SetActive

TBasedxReportLink See Also

Initiates report generation.

procedure SetActive;

Description

The SetActive method is the write method of the Active property.


TBasedxReportLink.ShowDateTimeFormatsDlg

TBasedxReportLink

Displays the "Change Date and Time Formats" dialog window.

function ShowDateTimeFormatsDlg: Boolean;

Description

Call the ShowDateTimeFormatsDlg method to display a dialog window wherein you can change the date and time formats for a specific report link.


TBasedxReportLink.ShowDesigner

TBasedxReportLink

Displays the Report Designer window.

property ShowDesigner : Boolean;

Description

By default, this property is False. It is used at design-time only (as pictured below).

Press the button within the Object Inspector to display the Report Designer window:


TBasedxReportLink.ShowEmptyPages

TBasedxReportLink

Specifies whether empty pages are displayed in a report.

property ShowEmptyPages: Boolean;

Description

Set the ShowEmptyPages property to True to display empty pages in a report. If this property is False, a report does not contain empty pages.

The default value of this property is False.


TBasedxReportLink.ShowPageFooter

TBasedxReportLink

Determines whether to add page footer to the report.

property ShowPageFooter : Boolean;

Description

Set ShowPageFooter to True if you you wish the date and the current page number to be printed at the bottom of the report pages; Otherwise False. The default value of this property is True.


TBasedxReportLink.ShowPageHeader

TBasedxReportLink

Determines whether to add a page header to a report.

property ShowPageHeader: Boolean;

Description

Set the ShowPageHeader to True if you wish to print a series of predefined text strings – such as page number, date, time, etc – at the top of a report page; Otherwise False.

The default value of this property is True.


TBasedxReportLink.ShowPageNumberFormatsDlg

TBasedxReportLink

Displays the "Change Page Numbering Format" dialog window.

function ShowPageNumberFormatsDlg: Boolean;

Description

Call the ShowPageNumberFormatsDlg method to display a dialog window where you can change the page number format and the first page number.


TBasedxReportLink.ShowTitlePropertiesDlg

TBasedxReportLink

Displays the "Report Title" dialog window.

function ShowTitlePropertiesDlg: Boolean;

Description

Call the ShowTitlePropertiesDlg method to display a dialog window wherein you can change a report title, its color, font and alignment. Using this window you can also specify whether to display a title on every page, on the first page only, or not at all.


TBasedxReportLink.ShrinkToPageWidth

TBasedxReportLink See Also

Determines whether to shrink a report to fit within the bounds of a page.

property ShrinkToPageWidth : Boolean;

Description

Set ShrinkToPageWidth to True if you wish to fit a report within the horizontal bounds of a page. The default value of this property is False.


TBasedxReportLink.StartPageIndex

TBasedxReportLink

Determines the index of the first report page.

property StartPageIndex: Integer;

Description

Use the StartPageIndex property to determine the number of the page from which page numeration begins in a report for the current report link.

The default value of this property is 1.


TBasedxReportLink.StyleManager

TBasedxReportLink

Determines the style manager for a report link.

property StyleManager: TdxPrintStyleManager;

Description

Use the StyleManager property to determine which style manager is used to provide the basic style information for a report link.


TBasedxReportLink.TimeFormat

TBasedxReportLink

Specifies the manner in which time information is formatted within a report.

property TimeFormat: Integer;

Description

A report link has a set of predefined time formats that can be applied to a report. The TimeFormat property specifies a zero-based index of the available formats.

Index

Example

0

2:45 PM

1

2:45:58 PM

2

14:45

3

14:45:58

The default value of this property is 0.


TBasedxReportLink.Transparent

TBasedxReportLink See Also

Determines whether cells are filled with the default color.

property Transparent : Boolean;

Description

If True, cells are filled neither with the default report link color nor with the fixed color. Instead, the report background is used. By default, the Transparent property is True.


TBasedxReportLink.UseHorzDelimiters

TBasedxReportLink

See Also

Specifies whether to prevent a row from breaking across multiple pages.

property UseHorzDelimiters: Boolean;

Description

Use the UseHorzDelimiters property to control whether a row is divided when printing a report. If the UseHorzDelimiters property is set to False and horizontal page breaks occur within a large row, ExpressPrinting System allows the page break to divide this row between two pages.

You can prevent a row from breaking across pages by setting the UseHorzDelimiters property to True.

If the UseVertDelimiters property is set to True, ExpressPrinting System starts a new page from the row in question, which will be placed at the beginning of a new page. Page position within the report depends upon the printing order for report pages.

The default value of this property is True.


TBasedxReportLink.UseVertDelimiters

TBasedxReportLink

See Also

Specifies whether to prevent a column from breaking across multiple pages.

property UseVertDelimiters: Boolean;

Description

Use the UseVertDelimiters property to control whether a column is divided when printing a report. If the UseVertDelimiters property is False and vertical page breaks occur within a column (the printed component does not fit inside the report horizontally), ExpressPrinting System allows a vertical page break to divide this column between two pages.

You can prevent a column from breaking across pages by setting the UseHorzDelimiters property to True.

If the UseHorzDelimiters property is True, the ExpressPrinting System a new page from the column in question, which will be placed at the beginning of a new page. Page position within the report depends upon the printing order for report pages.

The default value of this property is True.


TBasedxReportLink.UsingShrinkToPageWidthMode

TBasedxReportLink See Also

Shrinks a report to fit within the bounds of a page

function UsingShrinkToPageWidthMode : Boolean;

Description

The UsingShrinkToPageWidthMode method is called to set the ShrinkToPageWidth property to True.


TBasedxReportLink.VisiblePageCount

TBasedxReportLink

Returns the number of visible pages.

property VisiblePageCount: Integer;

Description

Use the VisiblePageCount property to obtain the total number of visible pages in a report.

ReadOnly Property


TCustomdxComponentPrinter.AbortBuilding

TCustomdxComponentPrinter See Also Example

Specifies that the building of a report should be cancelled.

property AbortBuilding: Boolean;

Description

Set the AbortBuilding property to True when a report is being built to cancel the build in progress. The most obvious places to do this are in the report link’s events (for the control’s elements being rendered for a report) and the component printer component’s events (e.g. the OnGenerateReportProgress event).

See an example on how to abort the building of a report in response to an end user’s action.


TCustomdxComponentPrinter.AbortPrinting

TCustomdxComponentPrinter See Also

Indicates whether to stop report printing.

property AbortPrinting: Boolean;

Description

When a report is being printed, every new page is preceded by the OnNewPage event. Set the AbortPrinting property to True within this event to abort printing.


TCustomdxComponentPrinter.AddEmptyLink

TCustomdxComponentPrinter See Also

Adds a new empty link to the list of links.

type

TdxReportLinkClass = class of TBasedxReportLink;

function AddEmptyLink(ALinkClass : TdxReportLinkClass) : TBasedxReportLink;

Description

Call the AddEmptyLink method to create a new empty link of the class specified by the ALinkClass parameter. Unlike the AddLink method this method does not connect the created link with any component. This method returns a new instance of the TBasedxReportLink object.


TCustomdxComponentPrinter.AddEmptyLinkEx

TCustomdxComponentPrinter See Also

Adds a new link to the list of links.

type

TdxReportLinkClass = class of TBasedxReportLink;

function AddEmptyLinkEx(ALinkClass : TdxReportLinkClass; AOwner : TComponent) : TBasedxReportLink;

Description

Call the AddEmptyLink method to create a new empty link of the class specified by the ALinkClass parameter and define the object responsible for destroying the link by the AOwner parameter. Unlike the AddLinkEx method this method does not connect the created link with any component. This method returns a new instance of the TBasedxReportLink object.


TCustomdxComponentPrinter.AddLink

TCustomdxComponentPrinter See Also

Adds a new link to the list of links.

function AddLink(AComponent : TComponent): TBasedxReportLink;

Description

Call the AddLink method to create a new link to the component specified by the AComponent parameter. This method returns a new instance of the TBasedxReportLink object.


TCustomdxComponentPrinter.AddLinkEx

TCustomdxComponentPrinter See Also

Adds a new link to the list of links.

function AddLinkEx(AComponent : TComponent; AOwner : TComponent): TBasedxReportLink;

Description

Call the AddLinkEx method to create a new link to the component specified by the AComponent parameter. This method returns a new instance of the TBasedxReportLink object. Unlike the AddLink method, it defines the object responsible for destroying the link by the AOwner parameter.


TCustomdxComponentPrinter.AutoUpdateDateTime

TCustomdxComponentPrinter

Specifies whether date and time values in a report are updated automatically.

property AutoUpdateDateTime: Boolean;

Description

Use the AutoUpdateDateTime property to update date and time values within a report when needed. If this property is set to True, date and times are updated every time the report is generated. If this property is set to False, report date and time are set when a specific component is assigned to the appropriate report link. You can also change date and time via the DateTime property of the report link.

The default value of this property is True.


TCustomdxComponentPrinter.BeepAfterLongOperations

TCustomdxComponentPrinter See Also

Specifies whether a beep is generated for a long operation.

property BeepAfterLongOperations: Boolean;

Description

Set the BeepAfterLongOperations property to True to generate a beep when an operation consumes more time than specified by the LongOperationTime property value.

The default value of this property is True.


TCustomdxComponentPrinter.Create

TCustomdxComponentPrinter See Also

Creates an instance of type TCustomdxComponentPrinter.

constructor Create(AOwner : TComponent); override;

Description

This method creates the TCustomdxComponentPrinter object and initializes its properties. Descendants can override this method to allocate any additional memory needed.

Note: Make certain to release memory when destroying the printing component.


TCustomdxComponentPrinter.CurrentCompositionByLink

TCustomdxComponentPrinter See Also

Returns a composition report link according to a specific report link.

function CurrentCompositionByLink(AReportLink: TBasedxReportLink): TdxCompositionReportLink;

Description

Call the CurrentCompositionByLink method to obtain the composition report link to which the report link specified via the AReportLInk parameter belongs. This method returns the composition report link if it is the current one. If these conditions are not met, nil is returned.


TCustomdxComponentPrinter.CurrentLink

TCustomdxComponentPrinter

Determines an active link.

property CurrentLink : TBasedxReportLink ;

Description

Use the CurrentLink property to set a link.


TCustomdxComponentPrinter.CurrentLinkIndex

TCustomdxComponentPrinter

Specifies the index of a current report link.

property CurrentLinkIndex: Integer;

Description

Use the CurrentLinkIndex property to obtain the index of the active link within the appropriate component printer.


TCustomdxComponentPrinter.DateFormat

TCustomdxComponentPrinter

Specifies date presentation format.

property DateFormat: Integer;

Description

A component printer has a set of predefined date formats that can be applied to a report. The report date format depends on the format specified in the System Regional Settings. The DateFormat property specifies the zero-based index of the appropriate format.

Index

Example

0

2/14/01

1

Wednesday, February 14, 2001

2

February 14, 2001

3

2/14/2001

4

2001-02-14

5

14-Feb-01

6

2.14.01

7

Wednesday, Feb. 14, 01

8

2.14.2001

9

February, 01

10

Feb-01

The default value of this property is 0.


TCustomdxComponentPrinter.DeleteAllLinks

TCustomdxComponentPrinter

Deletes all links.

procedure DeleteAllLinks;

Description

Call the DeleteAllLinks method when you wish to clear the list of links.


TCustomdxComponentPrinter.DeleteLink

TCustomdxComponentPrinter

Deletes a specific report link.

procedure DeleteLink(AIndex: Integer);

Description

Call the DeleteLink method to remove the report link specified via the AIndex parameter from the list of available report links.


TCustomdxComponentPrinter.DesignerExists

TCustomdxComponentPrinter

Determines whether a specific component class has a designer.

function DesignerExists(AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF}): Boolean;

Description

The DesignerExists method defines whether there is a designer for a specific link defined by the AReportLink parameter. DesignerExist returns True if such a designer exists.


TCustomdxComponentPrinter.DesignReport

TCustomdxComponentPrinter Example

Displays the report link designer.

function DesignReport(AReportLink : TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF}): Boolean;

Description

Generally, the designer is used to customize the page layout of a report. The DesignReport method activates the report link designer for the link specified by the AReportLink parameter. The report designer is displayed on screen if the Component property has been set correctly and the report link includes a designer for a given component class. If the report designer window has been successfully activated, the DesignReport function returns the result of Designer task; Otherwise, False.


TCustomdxComponentPrinter.Destroy

TCustomdxComponentPrinter See Also

Destroys an instance of TCustomdxComponentPrinter.

destructor Destroy; override;

Description

This method destroys an object of the TCustomdxComponentPrinter type. Descendants can override this method to release any additional memory allocated when creating a TCustomdxComponentPrinter object.


TCustomdxComponentPrinter.DestroyReport

TCustomdxComponentPrinter

Destroys the current report.

procedure DestroyReport;

Description

Call the DestroyReport method to destroy the report of a link specified by the CurrentLink property. Similar to the DestroyReport method of the TBasedxReportLink object but safer to use because it implements a number of convenient features, such as an HourGlass cursor when destroying takes too much time.


TCustomdxComponentPrinter.DoAddReportLink

TCustomdxComponentPrinter See Also

Generates the OnAddReportLink event.

procedure DoAddReportLink(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called when a new link, specified by the AReportLink parameter, is added to a link list. Descendants can override it to perform specific actions before/after calling the OnAddReportLink event handler.


TCustomdxComponentPrinter.DoAfterPreview

TCustomdxComponentPrinter See Also

Generates the OnAfterPreview event.

procedure DoAfterPreview(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called when closing the preview window of the link specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnAfterPreview event handler.


TCustomdxComponentPrinter.DoBeforeDesignReport

TCustomdxComponentPrinter See Also

Fires the OnBeforeDesignReport event.

procedure DoBeforeDesignReport(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called before the report designer window is activated for the link specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnBeforeDesignReport event handler.


TCustomdxComponentPrinter.DoBeforePreview

TCustomdxComponentPrinter See Also

Generates the OnBeforePreview event.

procedure DoBeforePreview(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called before activating the preview window of the link specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnBeforePreview event handler.


TCustomdxComponentPrinter.DoChangeComponent

TCustomdxComponentPrinter See Also

Generates the OnChangeComponent event.

procedure DoChangeComponent(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called when changing the Component property of the TBasedxReportLink object specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnChangeComponent event handler.


TCustomdxComponentPrinter.DoCustomDrawPage

TCustomdxComponentPrinter See Also

Generates the OnCustomDrawPage event.

procedure DoCustomDrawPage(AReportLink : TBasedxReportLink; ACanvas : TCanvas; APageIndex : Integer; ARect : TRect; ANom, ADenom : Integer); virtual;

Description

This method is called when a specific report page, defined by the APageIndex parameter, is drawn. The AReportLink parameter specifies the TBasedxReportLink object. The ACanvas parameter specifies the canvas for drawing. ARect specifies the bound rectangle for drawing.

When using custom draw methods, you must manage image repainting during zoom events. It is always necessary when previewing a report and necessary only for images when printing the report. The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly. Descendants can override them to perform specific actions before/after calling the OnCustomDrawPage event handler.


TCustomdxComponentPrinter.DoCustomDrawReportTitle

TCustomdxComponentPrinter See Also

Generates the OnCustomDrawReportTitle event.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

procedure DoCustomDrawReportTitle(AReportLink : TBasedxReportLink; ACanvas: TCanvas; ARect: TRect; ANom, ADenom: Integer; var TextAlignX: TdxTextAlignX; var TextAlignY: TdxTextAlignY; var AColor: TColor; AFont: TFont; var ADone: Boolean); virtual;

Description

The DoCustomDrawReportTitle method is called when a printing component builds the image of a report’s title. The AReportLink parameter specifies the report link. The ACanvas parameter determines the drawing surface. The ARect parameter specifies the bound rectangle for drawing.

When using custom draw methods, you must manage image repainting during zoom events. It is always necessary when previewing the report and necessary only for images when printing the report. The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly. The TextAlignX and TextAlignY parameters specify horizontal and vertical alignment. The AColor parameter sets the font color for the report’s title. The AFont parameter sets the font for the report’s title. The ADone parameter determines whether the DoCustomDrawReportTitle method processes the entire operation. Descendants can override this method to perform specific actions right after/before the OnCustomDrawReportTitle event.


TCustomdxComponentPrinter.DoDeleteReportLink

TCustomdxComponentPrinter See Also

Generates the OnDeleteReportLink event.

procedure DoDeleteReportLink(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called when a report link is about to be deleted from the link list. The AReportLink parameter specifies the link to be deleted. Descendants can override it to perform specific actions before/after calling the OnDeleteReportLink event handler.


TCustomdxComponentPrinter.DoDesignReport

TCustomdxComponentPrinter See Also

Generates the OnDesignReport event.

procedure DoDesignReport(AReportLink : TBasedxReportLink; ADone : Boolean ); dynamic;

Description

This method is called when closing the report link designer of a link, specified by the AReportLink parameter. If a user closes the designer window by pressing the ‘OK’ button, the ADone parameter is set to True and the report is automatically rebuilt. Descendants can override it to perform specific actions before/after calling the OnDesignReport event handler.


TCustomdxComponentPrinter.DoEndPrint

TCustomdxComponentPrinter See Also

Generates the OnEndPrint event.

procedure DoEndPrint(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called when the printing component finishes printing the component, specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnEndPrint event handler.


TCustomdxComponentPrinter.DoEndUpdateReport

TCustomdxComponentPrinter See Also

Generates the OnEndGenerateReport event.

procedure DoEndUpdateReport(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called when the printing component finishes updating the report generated by the link, specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnEndGenerateReport event handler.


TCustomdxComponentPrinter.DoNewPage

TCustomdxComponentPrinter See Also

Generates the OnNewPage event.

procedure DoNewPage(AReportLink : TBasedxReportLink; APageIndex : Integer ); dynamic;

Description

This method is called when creating a new page to print within a report, stored in the link, specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnNewPage event handler. The APageIndex parameter specifies a new page number.


TCustomdxComponentPrinter.DoPageSetup

TCustomdxComponentPrinter See Also

Generates the OnPageSetUp event.

procedure DoPageSetup(AReportLink : TBasedxReportLink;ADone : Boolean); dynamic;

Description

This method is called when setting up the page layout in a report stored in the link specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnPageSetUp event handler. If a user closes the PageSetup form by pressing the ‘OK’ button, ADone is equal to True.


TCustomdxComponentPrinter.DoPrintDeviceBusy

TCustomdxComponentPrinter See Also

Generates the OnPrintDeviceBusy event.

procedure DoPrintDeviceBusy; dynamic;

Description

The DoPrintDeviceBusy method is called before printing to check whether the printing device is free. If it is busy, the StdProcessBusy method is called. Descendants can override it to perform specific actions before/after calling the OnPrintDeviceBusy event handler.


TCustomdxComponentPrinter.DoPrintDeviceError

TCustomdxComponentPrinter See Also

Generates the OnPrintDeviceError event.

procedure DoPrintDeviceError; dynamic;

Description

The DoPrintDeviceError method is called when printing to check whether the printing device is available. Descendants can override it to perform specific actions before/after calling the OnPrintDeviceError event handler.


TCustomdxComponentPrinter.DoProgress

TCustomdxComponentPrinter See Also

Generates the OnGenerateReportProgress event.

procedure DoProgress(AReportLink : TBasedxReportLink; PercentDone : Double ); dynamic;

Description

This method is called when the report stored in the link specified by the AReportLink parameter is being generated. The PercentDone parameter specifies the percentage of the work performed.

The DoProgress method calls the OnGenerateReportProgress event handler (if it has been assigned) and passes the PercentDone parameter and the appropriate TBasedxReportLink object to it. Descendants can override this method to perform specific actions before/after generating the OnGenerateReportProgress event.


TCustomdxComponentPrinter.DoStartPrint

TCustomdxComponentPrinter See Also

Generates the OnStartPrint event.

procedure DoStartPrint(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called before printing a report contained in the link specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnStartPrint event handler.


TCustomdxComponentPrinter.DoStartUpdateReport

TCustomdxComponentPrinter See Also

Generates the OnStartGenerateReport event.

procedure DoStartUpdateReport(AReportLink : TBasedxReportLink); dynamic;

Description

This method is called before updating the report contained in the link specified by the AReportLink parameter. Descendants can override it to perform specific actions before/after calling the OnStartUpdateReport event handler.


TCustomdxComponentPrinter.DrawPageFooter

TCustomdxComponentPrinter

Draws a report page footer.

type

TdxPageTitlePart = (tpLeft, tpCenter, tpRight);

TdxPageTitleParts = set of TdxPageTitlePart;

procedure DrawPageFooter(AReportLink: TBasedxReportLink; APageIndex: Integer; ARect: TRect; ATitleParts: TdxPageTitleParts; ADrawBackground: Boolean);

Description

The DrawPageFooter method is called when a printing component builds the image of a report footer. The AReportLink parameter specifies the report link. The APageIndex parameter specifies the index of the page for which the footer is drawn. The ARect parameter specifies the bound rectangle for drawing. Since a footer can be divided into 3 sections, the ATitleParts parameter specifies one of these section. The ADrawBackground parameter specifies whether to draw the footer background.

Available values for the ATitleParts parameter include:

Value

Description

tpLeft

Footer is drawn within the left section.

tpCenter

Footer is drawn within the center section.

tpRight

Footer is drawn within the right section.


TCustomdxComponentPrinter.DrawPageHeader

TCustomdxComponentPrinter

Draws a report page header.

type

TdxPageTitlePart = (tpLeft, tpCenter, tpRight);

TdxPageTitleParts = set of TdxPageTitlePart;

procedure DrawPageHeader(AReportLink: TBasedxReportLink; APageIndex: Integer; ARect: TRect; ATitleParts: TdxPageTitleParts; ADrawBackground: Boolean);

Description

The DrawPageHeader method is called when a printing component builds the image of a report header. The AReportLink parameter specifies the report link. The APageIndex parameter specifies the index of the page for which the header is drawn. The ARect parameter specifies the bound rectangle for drawing. Since a header can be divided into 3 sections, the ATitleParts parameter specifies one of these sections. The ADrawBackground parameter specifies whether to draw the header background.

Available values for the ATitleParts parameter include:

Value

Description

tpLeft

Header is drawn within the left section.

tpCenter

Header is drawn within the center section.

tpRight

Header is drawn within the right section.


TCustomdxComponentPrinter.Explore

TCustomdxComponentPrinter

procedure Explore;

Description


TCustomdxComponentPrinter.Explorer

TCustomdxComponentPrinter

Specifies the component that provides report exploring facilities for the component printer.

property Explorer: TCustomdxPSExplorer;

Description

The ExpressPrinting System enables you to add report exploring facilities to your application. To do this, you need to place a TdxPSFileBasedExplorer or TdxPSDBBasedExplorer component onto a form, change its settings as required and assign it to the Explorer property. In this case, the print preview window displays the explorer section whose visibility is controlled by the special toolbar button and menu item. The image below shows an example of a print preview window with an explorer visible.

By default, when the print preview window is invoked, it displays the component printer’s current report link. You can double-click explorer items to load their contents into the print preview. You can also unload reports using the corresponding context menu item and toolbar button. After a report’s content has been unloaded, the print preview displays the content of the report link specified by the ExplorerStubLink property.


TCustomdxComponentPrinter.ExplorerStubLink

TCustomdxComponentPrinter

Specifies the report link whose content is displayed within the preview window when none of the explored reports are loaded.

property ExplorerStubLink: TBasedxReportLink;

Description

This property’s value is taken into account only when an explorer component is assigned to the Explorer property. In this case, the preview window provides the explorer that enables end users to switch between reports saved into a specific location. When no reports are loaded, the print preview displays the content of the report link assigned to the ExplorerStubLink property. If this property value is nil, the print preview displays an empty space.


TCustomdxComponentPrinter.FindLinkByComponent

TCustomdxComponentPrinter

Returns the report link by the assigned component.

function FindLinkByComponent(Value: TComponent): TBasedxReportLink;

Description

Every ExpressPrinting System report link is used to print a given component and thus each report link is assigned to a component. To find a report link assigned to a component call the FindLinkByComponent method. The Value parameter determines the printed component.


TCustomdxComponentPrinter.GetCompositionsByLink

TCustomdxComponentPrinter See Also

Returns a list of composition report links.

procedure GetCompositionsByLink(AReportLink: TBasedxReportLink; ACompositions: TList);

Description

Call the GetCompositionsByLink method to obtain the list of all composition report links to which the report link specified via the AReportLInk parameter belongs.


TCustomdxComponentPrinter.GetItems

TCustomdxComponentPrinter

Returns all report links except for composition report links.

procedure GetItems(AComposition: TdxCompositionReportLink; AStrings: TStrings; AExcludeAssigned: Boolean);

Description

Call the GetItems method to obtain all report links except for composition report links. If the AExcludeAssigned parameter is equal to True, report links that belong to the report link specified via the AComposition parameter are excluded.


TCustomdxComponentPrinter.GetNewLinkName

TCustomdxComponentPrinter

Returns the name of a new link, namely the TBasedxReportLink object.

class function GetNewLinkName(AReportLink : TBasedxReportLink): string;

Description

This method specifies the name of a new link. This name consists of the TdxComponentPrinter object name +"Link"+ the number of the link.


TCustomdxComponentPrinter.GetPageColRowCount

TCustomdxComponentPrinter See Also

Specifies the number of pages taken by the report image horizontally and vertically.

procedure GetPageColRowCount(var ACol, ARow : Integer; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

The GetPageColRowCount method calculates the number of pages occupied by the report images, on the basis of current page settings (page size, margins etc.). The AReportLink parameter specifies a report link to the printed component. Once this method is executed, the APageColCount parameter contains the number of ‘column’ pages and the APageRowCount parameter contains the numbers of ‘row’ pages. For instance, the GetPageColRowCount method returns 2 in the APageColCount parameter and 2 in the APageRowCount parameter:


TCustomdxComponentPrinter.GetPageCount

TCustomdxComponentPrinter

Determines the number of pages in a report.

function GetPageCount(AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF}): Integer;

Description

Call the GetPageCount method to determine the number of pages in a report image stored in the link, specified by the AReportLink parameter.


TCustomdxComponentPrinter.GetPrintTitle

TCustomdxComponentPrinter See Also

Returns the name of a print job.

function GetPrintTitle(AReportLink : TBasedxReportLink): string; dynamic;

Description

The GetPrintTitle method returns the name of a print job. Users can view this name in the print queue. This method generates the OnGetPrintTitle event. If the OnGetPrintTitle event handler is not implemented, the GetPrintTitle method returns the name, specified by the PrintTitle property of the active link.


TCustomdxComponentPrinter.IndexOfLink

TCustomdxComponentPrinter See Also

Returns the index of a link.

function IndexOfLink(AReportLink : TBasedxReportLink): Integer;

Description

Use the IndexOfLink method to determine the index of a specific report link in the link list. This method applies the AReportParameter parameter that represents the TBasedxReportLink object to discover the 0-based index of the link.


TCustomdxComponentPrinter.IndexOfLinkByName

TCustomdxComponentPrinter See Also

Returns the index of a link.

function IndexOfLinkByName (const AName : string): Integer;

Description

Use the IndexOfLinkByName method to determine the index of a specific report link in the link list. This method uses the AName parameter, which represents the name of the desired link to discover its zero-based index.


TCustomdxComponentPrinter.IsGenerateReportProgressEvent

TCustomdxComponentPrinter See Also

Determines the manner in which a report is generated.

function IsGenerateReportProgressEvent: Boolean;

Description

The IsGenerateReportProgressEvent method determines whether the cpoGenerateReportProgressEvent option of the Options property is active. If this method returns True, the printing component generates the OnGenerateReportProgress event while building a report.


TCustomdxComponentPrinter.IsLinkInComposition

TCustomdxComponentPrinter See Also

Determines whether a report link belongs to a composition report link.

function IsLinkInComposition(AReportLink: TBasedxReportLink; AComposition: TdxCompositionReportLink): Boolean;

Description

Call the IsLinkInComposition method to ascertain whether the report link specified via the AReportLink parameter belongs to the composition report link specified via the AComposition parameter.


TCustomdxComponentPrinter.IsLinkInCurrentComposition

TCustomdxComponentPrinter See Also

function IsLinkInCurrentComposition(AReportLink: TBasedxReportLink): Boolean;

Description

Call the IsLinkInCurrentComposition method to ascertain whether the report link specified via the AReportLink parameter belongs to the composition report link which is the current one at the moment.


TCustomdxComponentPrinter.IsRebuildBeforePreview

TCustomdxComponentPrinter See Also

Determines the manner in which a report is generated.

function IsRebuildBeforePreview: Boolean;

Description

The IsRebuildBeforePreview method determines whether the cpoAutoRebuildBeforePreview option of the Options property is active. If this method returns True, the report is rebuilt before displaying the PrintPreview window.


TCustomdxComponentPrinter.IsRebuildBeforePrint

TCustomdxComponentPrinter See Also

Determines the manner in which a report is generated.

function IsRebuildBeforePrint: Boolean;

Description

The IsRebuildBeforePrint method determines whether the cpoAutoRebuildBeforePrint option of the Options property is active. If this method returns True, the printing component rebuilds a report before printing.


TCustomdxComponentPrinter.IsShowHourGlass

TCustomdxComponentPrinter See Also

Checks whether the cpoShowHourGlass option is enabled.

function IsShowHourGlass : Boolean;

Description

The IsShowHourGlass method determines whether the cpoShowHourGlass option of the Options property is active. If this method returns True, an HourGlass cursor appears during time consuming report operations.


TCustomdxComponentPrinter.LinkByName

TCustomdxComponentPrinter See Also

Returns the TBasedxReportLink object by its name.

function LinkByName(const AName : string): TBasedxReportLink;

Description

Use the LinkByName method to access the desired TBasedxReportLink object by the AName parameter representing the name of this link.


TCustomdxComponentPrinter.LinkCount

TCustomdxComponentPrinter See Also

Specifies the number of links.

property LinkCount : Integer;

Description

Use the LinkCount property to obtain the total number of all accessible links. Users can employ this property to access different links by their ordinal number.


TCustomdxComponentPrinter.LoadFromFile

TCustomdxComponentPrinter See Also

Loads all component printer settings from a file.

procedure LoadFromFile(const AName: string);

Description

Call the LoadFromFile method to retrieve and load component printer settings from the file specified by the AName parameter. The AName parameter completely defines the file name. No extension is added to this parameter.


TCustomdxComponentPrinter.LoadFromStream

TCustomdxComponentPrinter See Also

Reads all component printer settings from a stream and stores the contents within TdxComponentPrinter.

procedure LoadFromStream(AStream: TStream);

Description

Call the LoadFromStream method to retrieve and load component printer settings from the stream specified by the AStream parameter.

Note: The stream must contain data in TdxComponentPrinter internal format (for instance, data is written to a stream by another TdxComponentPrinter via the SaveToStream method).


TCustomdxComponentPrinter.LongOperationTime

TCustomdxComponentPrinter See Also

Specifies the time interval after which an operation is considered to be excessive.

property LongOperationTime: Integer;

Description

Use the LongOperationTime property to set a time interval in milliseconds. This time interval is used to determine whether an operation is excessive. For instance, if a given operation exceeds a certain amount of time, a beep can be generated.

The default value of this property is 5000.


TCustomdxComponentPrinter.OnAddReportLink

TCustomdxComponentPrinter See Also

Occurs when adding a new report link.

type

TdxReportLinkNotifyEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink) of object;

property OnAddReportLink : TdxReportLinkNotifyEvent;

Description

Write an OnAddReportLink event handler to perform specific actions after a new report link has been added to the list. For instance, this event can be used to check the number of currently available report links.


TCustomdxComponentPrinter.OnAfterPreview

TCustomdxComponentPrinter See Also

Occurs after closing the preview form.

type

TdxPreviewEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink ) of object;

property OnAfterPreview : TdxPreviewEvent;

Description

Write an OnAfterPreview event handler to perform specific actions when closing the preview window of the report contained in the link specified by the AReportLink parameter.


TCustomdxComponentPrinter.OnBeforeDesignReport

TCustomdxComponentPrinter See Also

Occurs before the report designer window is activated.

type

TdxBeforeDesignReportEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink; ADesignWindow: TAbstractdxReportLinkDesignWindow) of object;

property OnBeforeDesignReport: TdxBeforeDesignReportEvent;

Description

Write an OnBeforeDesignReport event handler to perform specific actions before displaying the designer window for the report contained in the link specified by the AReportLink parameter.


TCustomdxComponentPrinter.OnBeforePreview

TCustomdxComponentPrinter See Also

Occurs before the preview window is to be activated.

type

TdxPreviewEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink ) of object;

property OnBeforePreview : TdxPreviewEvent;

Description

Write an OnBeforePreview event handler to perform specific actions when displaying the preview window of the report contained in the link specified by the AReportLink parameter. For instance, the following code changes the caption of a preview window of the active link (dxComponentPrinter1BeforePreview is the event handler of the OnBeforePreview event).

procedure TForm1.dxComponentPrinter1BeforePreview(Sender: Tobject; AReportLink: TBasedxReportLink);

begin

dxComponentPrinter1.PreviewWindow.Caption := 'Report Preview Form';

end;


TCustomdxComponentPrinter.OnChangeComponent

TCustomdxComponentPrinter See Also

Occurs when the Component property changes.

type

TdxReportLinkNotifyEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink) of object;

property OnChangeComponent : TdxReportLinkNotifyEvent;

Description

Write an OnChangeComponent event handler to perform specific actions when changing the Component property of the link specified by the AReportLink parameter.


TCustomdxComponentPrinter.OnChangeCurrentLink

TCustomdxComponentPrinter See Also

Occurs when changing a report link.

type

TNotifyEvent = procedure (Sender: TObject) of object;

property OnChangeCurrentLink : TNotifyEvent;

Description

Write an OnChangeCurrentLink event handler to perform specific actions when the current report link changes. For instance, this event can be used to display a message notifying users when changing a report link.


TCustomdxComponentPrinter.OnCustomDrawPage

TCustomdxComponentPrinter See Also

Occurs when drawing individual report pages.

type

TdxCustomDrawPageEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink; ACanvas : TCanvas; APageIndex : Integer; ARect : TRect; ANom, ADenom : Integer) of object;

property OnCustomDrawPage: TdxCustomDrawPageEvent;

Description

Write an OnCustomDrawPage event handler to draw a specific report page of the link specified by the AReportLink parameter.

The ACanvas parameter determines the drawing canvas.

The ARect parameter specifies the bound rectangle for drawing.

The APageIndex parameter determines the index of the page being drawn.


TCustomdxComponentPrinter.OnCustomDrawPageFooter

TCustomdxComponentPrinter

Occurs when drawing a page footer.

type

TdxCustomDrawPageHFEvent = procedure(Sender: TObject; AReportLink: TBasedxReportLink; ACanvas: TCanvas; APageIndex: Integer; var ARect: TRect; ANom, ADenom: Integer; var ADefaultDrawText, ADefaultDrawBackground: Boolean) of object;

property OnCustomDrawPageFooter: TdxCustomDrawPageHFEvent;

Description

Write an OnCustomDrawPageFooter event handler to draw a specific report page footer for the report link specified by the AReportLink parameter.

The ACanvas parameter determines the drawing surface.

The APageIndex parameter specifies the index of the page for which the footer is drawn.

The ARect parameter specifies the bound rectangle for drawing.

The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly.

The ADefaultDrawText and ADefaultDrawBackground parameters specify whether to draw predefined footer text and background accordingly.


TCustomdxComponentPrinter.OnCustomDrawPageHeader

TCustomdxComponentPrinter

Occurs when drawing a page header.

type

TdxCustomDrawPageHFEvent = procedure(Sender: TObject; AReportLink: TBasedxReportLink; ACanvas: TCanvas; APageIndex: Integer; var ARect: TRect; ANom, ADenom: Integer; var ADefaultDrawText, ADefaultDrawBackground: Boolean) of object;

property OnCustomDrawPageHeader: TdxCustomDrawPageHFEvent;

Description

Write an OnCustomDrawPageHeader event handler to draw a specific report page header for the report link specified by the AReportLink parameter.

The ACanvas parameter determines the drawing surface.

The APageIndex parameter specifies the index of the page for which the header is drawn.

The ARect parameter specifies the bound rectangle for drawing.

The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly.

The ADefaultDrawText and ADefaultDrawBackground parameters specify whether to draw predefined header text and background accordingly.


TCustomdxComponentPrinter.OnCustomDrawReportTitle

TCustomdxComponentPrinter See Also

Occurs when drawing the report title.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxCustomDrawReportLinkTitleEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink; ACanvas : TCanvas; ARect : TRect; ANom, ADenom : Integer; var TextAlignX : TdxTextAlignX; var TextAlignY : TdxTextAlignY; var AColor : TColor; AFont : TFont; var ADone : Boolean) of object;

property OnCustomDrawReportTitle : TdxCustomDrawReportTitleEvent;

Description

Write an OnCustomDrawReportLinkTitle event handler to draw a specific report title for the report link specified in the AReportLink parameter. The ACanvas parameter determines the drawing surface. The ARect parameter specifies the bound rectangle for drawing.

When using custom draw methods, you must manage image repainting during zoom events. It is always necessary when previewing the report and necessary only for images when printing the report.

The ANom and ADenom parameters determine the coefficient of magnification and demagnification accordingly.

The TextAlignX and TextAlignY parameters specify horizontal and vertical alignment of the report title. The default values of these parameters are taCenterX and taCenterY, correspondingly.

The AColor parameter sets the background color for the report title.

The AFont parameter sets the font for the report title.

The ADone parameter determines whether the OnCustomDrawReportLinkTitle method processes the entire operation.

The height of the report title’s region is calculated automatically and depends upon the font used but if the Font.Size property is changed you must also handle the OnMeasureReportTitle event to correct the height of the report title. To draw an image in the report title you should also determine its real height via the OnMeasureReportTitle event.


TCustomdxComponentPrinter.OnDeleteReportLink

TCustomdxComponentPrinter See Also

Occurs when a report link is to be deleted.

type

TdxReportLinkNotifyEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink) of object;

property OnDeleteReportLink : TdxReportLinkNotifyEvent;

Description

Write an OnDeleteReportLink event handler to perform specific actions when the report link specified in the AReportLink parameter, is about to be removed from the list of available links.


TCustomdxComponentPrinter.OnDesignReport

TCustomdxComponentPrinter See Also Example

Occurs when the report link designer is closed.

type

TdxDesignReportEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink; var ADone : Boolean ) of object;

property OnDesignReport : TdxDesignReportEvent;

Description

Write an OnDesignReport event handler when closing the report link designer. The ADone parameter determines whether pressing the ‘OK’ button has closed the designer window. The AReportLink parameter determines a link of the designed report.


TCustomdxComponentPrinter.OnEndGenerateReport

TCustomdxComponentPrinter See Also Example

Occurs when a report has just been built.

type

TdxReportLinkNotifyEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink) of object;

property OnEndGenerateReport : TdxReportLinkNotifyEvent;

Description

Write an OnEndGenerateReport event handler to perform specific actions as soon as the printing component finishes building a report contained in the link specified by the AReportLink parameter. For instance, this event can be used to destroy the report build progress indicator.


TCustomdxComponentPrinter.OnEndPrint

TCustomdxComponentPrinter See Also Example

Occurs after printing a report.

type

TdxReportLinkNotifyEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink) of object;

property OnEndPrint : TdxReportLinkNotifyEvent;

Description

Write an OnEndGenerateReport event handler to perform specific actions after printing a report contained in the link specified by the AReportLink parameter.


TCustomdxComponentPrinter.OnGenerateReportProgress

TCustomdxComponentPrinter See Also Example1 Example2

Occurs during report building.

type

TdxGenerateReportProgressEvent = procedure(Sender: TObject; AReportLink: TBasedxReportLink; APercentDone: Double) of object;

property OnGenerateReportProgress : TdxGenerateReportProgressEvent;

Description

Write an OnGenerateReportProgress event handler to perform specific actions while building a report contained in the link specified by the AReportLink parameter. The APercentDone parameter determines work completed in percents. This event allows you to create a progress bar to inform users of the report building process:

See an example on how to handle the OnGenerateReportProgress event to cancel the building of a report in response to an end user’s action.

Note: This event is generated only if the cpoGenerateReportProgressEvent option is active.


TCustomdxComponentPrinter.OnGetPrintTitle

TCustomdxComponentPrinter See Also

Occurs when a printing component starts printing.

type

TdxGetPrintTitleEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink; var ATitle : string ) of object;

property OnGetPrintTitle : TdxGetPrintTitleEvent;

Description

Write an OnGetPrintTitle event handler to specify the name of a print job displayed in the print queue. Use the ATitle parameter to specify the print job’s name. The AReportLink parameter specifies a link to which this report belongs.


TCustomdxComponentPrinter.OnMeasureReportTitle

TCustomdxComponentPrinter See Also

Occurs when drawing the report title before the OnCustomDrawReportTitle event.

type

TdxMeasureReportTitleEvent = procedure(Sender : TBasedxReportLink; var AHeight : Integer) of object;

property OnMeasureReportTitle : TdxMeasureReportTitleEvent;

Description

Write an OnMeasureReportTitle event handler when you wish to draw an image within the report title. Because the height of the report title is calculated automatically and depends on the font used and a report’s scale factor, you should specify the image’s height via the AHeight parameter.


TCustomdxComponentPrinter.OnNewPage

TCustomdxComponentPrinter See Also Example

Occurs before sending a regular page of a multi-page document to printer.

type

TdxNewPageEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink; APageIndex : Integer) of object;

property OnNewPage : TdxNewPageEvent;

Description

Write an OnNewPage event handler to perform specific actions before printing a new page of the report contained in the link specified by the AReportLink parameter. For instance, the OnNewPage event can be used to display and update a progress indicator of sending pages to a printer device.

The APageIndex parameter specifies the page number of a new page.


TCustomdxComponentPrinter.OnPageSetUp

TCustomdxComponentPrinter See Also

Occurs when closing the PageSetup dialog.

type

TdxPageSetUpEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink; ADone : Boolean ) of object;

property OnPageSetUp : TdxPageSetUpEvent;

Description

Write an OnPageSetUp event handler to perform specific actions when closing the PageSetup window. The ADone parameter is set to True if the PageSetup form was closed by pressing the ‘OK’ button. The AReportLink parameter determines the report link for which the PageSetup window was called.


TCustomdxComponentPrinter.OnPrintDeviceBusy

TCustomdxComponentPrinter See Also

Occurs when the printing device is busy.

type

TdxPrintDeviceBusyEvent = procedure(Sender : TObject; var ADone : Boolean) of object;

property OnPrintDeviceBusy : TdxPrintDeviceBusyEvent;

Description

Write an OnPrintDeviceBusy event handler to perform specific actions when the printing device is busy. For instance, this event can be used to prevent the display of exception messages. The ADone parameter determines whether the OnPrintDeviceBusy event handler entirely processes the operation. If this parameter is True, the default procedure is not called. Otherwise, an exception is raised.


TCustomdxComponentPrinter.OnPrintDeviceError

TCustomdxComponentPrinter See Also

Occurs when the printing device is not available (for example, disconnected).

type

TdxPrintDeviceProblemEvent = procedure(Sender : TObject; var ADone : Boolean) of object;

property OnPrintDeviceError : TdxPrintDeviceProblemEvent;

Description

Write an OnPrintDeviceError event handler to perform specific actions when any problem occurs with printing device. For instance, this event can be used to prevent the display of exception messages when printer is disconnected while report printing. The ADone parameter determines whether the OnPrintDeviceError event handler entirely processes the operation. If this parameter is True, the default procedure is not called. Otherwise, an exception is raised.


TCustomdxComponentPrinter.OnStartGenerateReport

TCustomdxComponentPrinter See Also Example

Occurs when the printing component is about to build a report.

type

TdxReportLinkNotifyEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink) of object;

property OnStartGenerateReport : TdxReportLinkNotifyEvent;

Description

Write an OnStartGenerateReport event handler to perform specific actions before the printing component starts building a report contained in the link specified by the AReportLink parameter. For instance, this event can be used to create an indicator for a report build process.


TCustomdxComponentPrinter.OnStartPrint

TCustomdxComponentPrinter See Also Example

Occurs before the printing component prints the report.

type

TdxReportLinkNotifyEvent = procedure(Sender : TObject; AReportLink : TBasedxReportLink) of object;

property OnStartPrint : TdxReportLinkNotifyEvent;

Description

Write an OnStartPrint event handler to perform specific actions when the printing component starts printing a report contained in the link specified by the AReportLink parameter.


TCustomdxComponentPrinter.Options

TCustomdxComponentPrinter

Defines the behavior of a printing component.

type

TdxCPOption = (cpoAutoRebuildBeforePreview, cpoAutoRebuildBeforePrint, cpoAutoRebuildBeforeSave, cpoGenerateReportProgressEvent, cpoShowHourGlass);

TdxCPOptions = set of TdxCPOption;

property Options : TdxCPOptions;

Description

Use the Options property to force the printing component to perform specific actions during report generation. Available values include:

Value

Description

cpoAutoRebuildBeforePreview

Activate this option to rebuild a report before displaying the PrintPreview window.

cpoAutoRebuildBeforePrint

If active, the printing component rebuilds a report before printing.

cpoGenerateReportProgressEvent

If active, the printing component generates the OnGenerateReportProgress event while building a report. If this option is inactive, this event is not generated.

cpoShowHourGlass

If active, an HourGlass cursor appears during continuous operations, such as report generation.

By default, all options are active.


TCustomdxComponentPrinter.PageNumberFormat

TCustomdxComponentPrinter

Specifies page number formatting in a report.

type

TdxPageNumberFormat = (pnfNumeral, pnfChars, pnfUpperChars, pnfRoman, pnfUpperRoman);

property PageNumberFormat: TdxPageNumberFormat;

Description

Use the PageNumberFormat property to specify the appropriate page number formatting within a report. Possible values include.

Value

Example

pnfNumeral

1, 2, 3, 4, 5, ...

pnfChars

a, b, c, d, e, ...

pnfUpperChars

A, B, C, D, E, ...

pnfRoman

I, ii, iii, iv, v, ...

pnfUpperRoman

I, II, III, IV, V, ...

The default value of this property is pnfNumeral.


TCustomdxComponentPrinter.PageSetup

TCustomdxComponentPrinter See Also

Activates the page setup dialog.

function PageSetup(AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF}): Boolean;

Description

Use this method to customize page settings of the report stored in the link, specified by the AReportLink parameter. After calling the PageSetup method of the TBasedxReportLink object, this method calls the DoPageSetUp method to generate the OnPageSetUp event.


TCustomdxComponentPrinter.PageSetupEx

TCustomdxComponentPrinter

Displays the "PageSetup" dialog window.

function PageSetupEx(AActivePageIndex: Integer; APreviewBtnClicked, APrintBtnClicked: PBoolean; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF}): Boolean;

Description

The PageSetupEx function is called to display the "PageSetup" dialog window. The AActivePageIndex parameter specifies which page of the "PageSetup" dialog window is displayed by default. The APreviewBtnClicked and APrintBtnClicked parameters specify whether to display the "Preview…" and "Print Preview…" buttons in this dialog window. These parameters allow a developer to ascertain which of these buttons was pressed.

The AReportLink parameter specifies the report link. The AReportLink parameter can take nil value by default since Delphi 4, said differently you may omit this very parameter. In this case the current report link is printed out.

Note: If the used parameter is not nil, the corresponding button is displayed.


TCustomdxComponentPrinter.PaintPage

TCustomdxComponentPrinter

Paints a single page of a report.

procedure PaintPage(ACanvas : TCanvas; APageIndex : Integer; const ApageRect, AContentRect : TRect; AReportLink : TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

The PaintPage method paints a single page specified by the APageIndex parameter. The AReportLink parameter determines the link that contains the report to which the page belongs. The APageRect parameter specifies the rectangular portion of the page image with margins. The AContentRect parameter specifies the rectangular portion of the page image without margins. The ACanvas parameter determines the drawing canvas.


TCustomdxComponentPrinter.PrepareReport

TCustomdxComponentPrinter See Also

Prepares report for printing.

procedure PrepareReport(AReportLink : TBasedxReportLink); virtual;

Description

The PrepareReport method is called to force the ExpressPrinting System to build the report if it has not been built yet. This method sets the flag that report is prepared. The AReportLink parameter specifies the link for which to build the report.


TCustomdxComponentPrinter.Preview

TCustomdxComponentPrinter See Also

Activates the preview window.

procedure Preview (AModal : Boolean; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

Call the Preview method to display the preview window on screen. If AModal is True, then the preview window appears as a modal form. The AReportLink parameter specifies the link to be previewed. Use the PreviewExists method to determine whether a preview form is active.


TCustomdxComponentPrinter.PreviewExists

TCustomdxComponentPrinter See Also

Determines whether the preview window is displayed.

function PreviewExists: Boolean;

Description

The PreviewExists method returns True if the preview window currently exists. Otherwise, it returns False. Use the Preview method to activate the preview form.


TCustomdxComponentPrinter.PreviewOptions

TCustomdxComponentPrinter Example

Specifies the options of a preview form.

property PreviewOptions : TdxPreviewOptions ;

Description

The preview form contains a toolbar with different buttons and controls and a preview window. Use this property to specify the look and behavior of the preview form at runtime. This property enables a user to customize buttons, preview form size, caption, etc.


TCustomdxComponentPrinter.PreviewWindow

TCustomdxComponentPrinter Example

Returns the preview window.

property PreviewWindow : TBasedxPreviewWindow;

Description

Use the PreviewWindow property to work directly with the preview window. For instance, the following code changes the preview window size (dxComponentPrinter1BeforePreview is the OnBeforePreview event handler of the TdxComponentPrinter object).

procedure TForm1.dxComponentPrinter1BeforePreview(Sender: TObject);

begin

dxComponentPrinter1.PreviewWindow.Left := 10; dxComponentPrinter1.PreviewWindow.Width := 250; dxComponentPrinter1.PreviewWindow.Height := 250; dxComponentPrinter1.PreviewWindow.Top := 50;

end;


TCustomdxComponentPrinter.PreviewWindowDesigner

TCustomdxComponentPrinter

Responsible for the lifetime of the preview window designer.

property PreviewWindowDesigner : TAbstractdxPreviewWindowDesigner ;

Description

The PreviewWindowDesigner property is available only at design-time and controls the lifetime of the preview window. At runtime, this property returns nil.


TCustomdxComponentPrinter.Print

TCustomdxComponentPrinter See Also

Prints a report.

type

PdxPrintDlgData = ^TdxPrintDlgData;

function Print(AShowDialog : Boolean; APrintDlgData : PdxPrintDlgData; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF}): Boolean;

Description

Call the Print method to print a report to the default printer.

The AShowDialog parameter determines whether to activate a print dialog before printing. If AShowDialog is True, the print dialog is active.

The PdxPrintDlgData parameter is the pointer to a structure that describes properties of a print dialog.

The AReportLink parameter specifies the link pointing to the report to print. It allows users to print not only the report contained in the currently active link, but any other from the list of available links. The AReportLink parameter can take nil value by default since Delphi 4, said differently you may omit this very parameter. In this case the current report link is printed out.

Note: TdxPrintDlgData is used internally to define print attributes. In most cases, it's easier to use the PrintEx, PrintPage, PrintPages and PrintPagesEx methods instead of the Print.


TCustomdxComponentPrinter.PrintEx

TCustomdxComponentPrinter See Also

Prints report pages.

type

TdxPageNumbers = (pnAll, pnEven, pnOdd);

procedure PrintEx(APageNums : TdxPageNumbers; ACopies : Integer; ACollate : Boolean; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

Use this method to print all pages in a particular range. The APageNums parameter specifies pages to print:

Value | Meaning
pnAll | Prints all pages.
pnEven | Prints only even pages.
pnOdd | Prints only odd pages.

The ACopies parameter specifies the number of copies to print. If the ACollate parameter is True, then report pages are collated. Unlike the PrintPagesEx method, the PrintEx method prints all pages of a separate subset. For instance, it prints all even or odd pages.

The AReportLink parameter specifies the link that stores a report to print. It allows users to print not only the report of the current active link, but any other from the list of available links.

Include dxPrnDlg in the uses section of a unit to use TdxPageNumbers type.


TCustomdxComponentPrinter.PrintFileList

TCustomdxComponentPrinter

Specifies the list of files to which a report has been printed.

property PrintFileList: TStrings;

Description

Use the PrintFileList property to print a report out to a file. This property determines the list of files to which a report has already been printed. This list is displayed in the "Print" dialog window within the combo box of the "print to file" option. When a user specifies his/her own file, this file is added to this list. Later a user may print any of these files out.


TCustomdxComponentPrinter.PrintPage

TCustomdxComponentPrinter See Also

Prints a specific page of a report.

procedure PrintPage(AReportLink : TBasedxReportLink; APageIndex : Integer );

Description

Use the PrintPage method to print a specific page of a report contained in the link specified by the AReportLink parameter. The APageIndex parameter specifies the page to print. Unlike the Print method, the PrintPage method allows users to print the page specified by the APageIndex parameter. You may use the Print method to print all pages, but in most cases, it's easier to use the PrintEx, PrintPage, PrintPages and PrintPagesEx methods instead of the Print.


TCustomdxComponentPrinter.PrintPages

TCustomdxComponentPrinter See Also

Prints pre-defined pages of a report.

procedure PrintPages(const APageIndexes : array of Integer; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

Use the PrintPages method to print pre-defined pages of the report contained in the link specified by the AReportLink parameter. The AReportLink parameter can take nil value by default since Delphi 4, said differently you may omit this very parameter. In this case the current report link is printed out.

The APageIndexes parameter specifies the pages to print. For example, to print the first and fourth pages, you should write the following event handler:

dxComponentPrinter1.PrintPages([0, 3]);

Unlike the Print method, the PrintPages method allows users to print separate pages. You may use the Print method to print all pages, but in most cases, it's easier to use the PrintEx, PrintPage, PrintPages and PrintPagesEx methods instead of the Print.


TCustomdxComponentPrinter.PrintPagesEx

TCustomdxComponentPrinter See Also Example

Prints specific report pages.

type

TdxPageNumbers = (pnAll, pnEven, pnOdd);

procedure PrintPagesEx(const APageIndexes : array of Integer; APageNums : TdxPageNumbers; ACopies : Integer; ACollate : Boolean; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

Unlike the PrintEx method, the PrintPagesEx method provides printing of individual pages within a range. The APageIndexes parameter specifies pages to print. The APageNums parameter determines range of pages to print:

Value | Meaning
pnAll | Prints all pages.
pnEven | Prints only even pages.
pnOdd | Prints only odd pages.

The ACopies parameter specifies the number of copies to print.

The ACollate parameter determines whether to collate printed pages.

If ACollate is False, pages are not collated.

The AReportLink parameter specifies the report link. The AReportLink parameter can take nil value by default since Delphi 4, said differently you may omit this very parameter. In this case the current report link is printed out.

Include dxPrnDlg in the uses section of a unit to use type TdxPageNumbers.


TCustomdxComponentPrinter.PrintTitle

TCustomdxComponentPrinter See Also

Specifies the name of a print job.

property PrintTitle : string;

Description

Each time the printing component starts printing, it starts a new print job. Use this property to specify a print job’s name, which identifies the print job in the print queue.

You can use the OnGetPrintTitle event as an alternate method to specify print job names. The name specified by the OnGetPrintTitle event handler overrides the name specified by the PrintTitle property.


TCustomdxComponentPrinter.RebuildReport

TCustomdxComponentPrinter See Also

Rebuilds the contents of a report.

procedure RebuildReport(AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

The RebuildReport method is most useful when it is required to re-build a report after making changes to printed components (such as changing data in cells or changing cell layouts). Use this method to entirely re-build a report.

If you cannot use the auto rebuild feature, call the RebuildReport method to update the report’s contents. The AReportLink parameter determines the link to which the report belongs, therefore users can rebuild not only a report stored in the active link, but any other as well.


TCustomdxComponentPrinter.ReportLink

TCustomdxComponentPrinter See Also

Determines the report link used to print components.

property ReportLink[i: Integer] : TBasedxReportLink;

Description

Use the ReportLink property to select the desired report link with appropriate report properties. Different report links are used to print different components. For instance, the TdxStringGridReportLink class is used for printing the TStringGrid component, and the TdxTreeListReportLink class is used for TdxTreeList (ExpressQuantumTreeList). Use the LinkCount property to access the total number of links.


TCustomdxComponentPrinter.ReportLinkDesigner

TCustomdxComponentPrinter

Responsible for the lifetime of the report links designer.

property ReportLinkDesigner : TAbstractdxReportLinkDesigner;

Description

The ReportLinkDesigner property is available only at design-time and controls the lifetime of the report link designer window.

The Report link designer window displays a list of all report links.


TCustomdxComponentPrinter.SaveToFile

TCustomdxComponentPrinter See Also

Saves all component printer settings to a file.

procedure SaveToFile(const AName: string);

Description

Call the SaveToFile method to save all TdxComponentPrinter attributes to the file specified by the AName parameter. These attributes can later be reloaded from this file into another component printer using the LoadFromFile method. The AName parameter completely defines the file name. No extension is added to this parameter.


TCustomdxComponentPrinter.SaveToStream

TCustomdxComponentPrinter See Also

Writes all component printer settings to a stream passed as an AStream parameter.

procedure SaveToStream(AStream: TStream);

Description

Call the SaveToStream method to stream out TdxComponentPrinter settings. They can be streamed back to another component printer using the LoadFromStream method.


TCustomdxComponentPrinter.State

TCustomdxComponentPrinter

Describes the current state of the TCustomdxComponentPrinter object.

type

TdxCPState = (cpsBuilding, cpsDesigning, cpsPreviewing, cpsPrinting, cpsPrintDialog, cpsPageSetupDialog);

TdxCPStates = set of TdxCPState;

property State : TdxCPStates;

Description

Use the State property to determine the current state of TdxComponentPrinter. Available values include:

Value

Description

cpsBuilding

Printing component builds a report.

cpsDesigning

Design mode, the most frequent state to print a component at design- time.

cpsPreviewing

Preview form is active.

cpsPrinting

Report is being printed.

cpsPrintDialog

Print dialog is currently active.

cpsPageSetupDialog

Page setup dialog is currently active.

ReadOnly Property


TCustomdxComponentPrinter.StdProcessBusy

TCustomdxComponentPrinter.StdProcessPrintDeviceBusy

TCustomdxComponentPrinter See Also

Raises an exception.

procedure StdProcessPrintDeviceBusy; virtual;

Description

The StdProcessPrintDeviceBusy method raises an exception when the printing device is busy.


TCustomdxComponentPrinter.TimeFormat

TCustomdxComponentPrinter

Specifies time formatting options.

property TimeFormat: Integer;

Description

A component printer has a set of predefined time formats that can be applied to a report. The TimeFormat property specifies the zero-based index of a given format.

Index

Example

0

2:45 PM

1

2:45:58 PM

2

14:45

3

14:45:58

The default value of this property is 0.


TCustomdxComponentPrinter.UnPrepareReport

TCustomdxComponentPrinter See Also

Sets the report to the unprepared state.

procedure UnPrepareReport(AReportLink : TBasedxReportLink); virtual;

Description

The UnPrepareReport method is called to force the ExpressPrinting System to set a flag that a report is not prepared. The AReportLink parameter specifies the link for this flag.


TCustomdxComponentPrinter.Version

TCustomdxComponentPrinter

This property is used to restore the previously applied changes made by a developer.

property Version: Integer;

Description

If the Version number retrieved from a file or stream is not equal to the current one, the file or stream data is not used to restore information.


TCustomdxGraphicReportLink.BorderColor

TCustomdxGraphicReportLink

See Also

Specifies border line color within a report.

property BorderColor: TColor;

Description

Use the BorderColor property to specify the color of the border drawn around the image within a report. If the DrawBorder property value is False, the BorderColor property has no effect.

The default value of the BorderColor property is clBlack.


TCustomdxGraphicReportLink.Center

TCustomdxGraphicReportLink

See Also

Specifies how the image in a report is positioned within the image control.

property Center: Boolean;

Description

Use the Center property to specify how the image in a report is positioned within the image control when it does not perfectly fit the control. Set the Center property to True to centerthe image in the control. Otherwise, the upper left corner of the image will be positioned at the upper left corner of the control.

The default value of the Center property is False.


TCustomdxGraphicReportLink.DrawBorder

TCustomdxGraphicReportLink

See Also

Determines whether to draw a border around the image.

property DrawBorder: Boolean;

Description

Use the DrawBorder property to include or exclude borders from a report.

The default value of this property is False and a border is not printed within a report.


TCustomdxGraphicReportLink.Proportional

TCustomdxGraphicReportLink

See Also

Specifies how the image in a report is changed proportionally (without being distorted) so that it fits the bounds of the image control.

property Proportional: Boolean;

Description

Set the Proportional property to True to ensure that the image in a report can be fully displayed in the image control without any distortion such as occurs with the Stretch property. When the Proportional property is set to True, images that are too large to fit in the image control are scaled down (while keeping the same aspect ratio) until they fit in the image control. Images that are too small are displayed normally. That is, the Proportional property can reduce the magnification of the image, but can't increase it. When the image control resizes, the image resizes also.

The default value of the Proportional property is False.


TCustomdxGraphicReportLink.Stretch

TCustomdxGraphicReportLink

See Also

Specifies whether the image in a report is changed so that it exactly fits the bounds of the image control containing it.

property Stretch: Boolean;

Description

Set the Stretch property to True to have the image resize itself to match the size of its image control. When the image control resizes, the image resizes also. The Stretch property resizes the height and width of the image independently of each other. Thus, unlike a simple change in magnification such as occurs using the Proportional property (the ratios are maintained), Stretch can distort the image if the image control is not the same shape as the image (as the ratios may not be maintained).

The default value of the Stretch property is False.


TCustomdxGraphicReportLink.TransparentColor

TCustomdxGraphicReportLink

Specifies the transparent color applied to image components.

property TransparentColor: TColor;

Description

Use this property to specify the color of image components such as the TPicture and TImage that are transparent within a report.

The default value of the TransparentColor property is clWindow.


TCustomdxGridReportLink.CustomGrid

TCustomdxGridReportLink

Returns a TCustomGrid object.

property CustomGrid: TCustomGrid;

Description

This property returns a TCustomGrid object that contains all the functionality to control the look & feel of the TDrawGrid or TStringGrid components.

ReadOnly Property


TCustomdxGridReportLink.Options

TCustomdxGridReportLink

Specifies which grid lines are included in a report.

type

TdxGridPaintOption = (gpoBorder, gpoHorzLines, gpoVertLines, gpoFixedHorzLines, gpoFixedVertLines);

TdxGridPaintOptions = set of TdxGridPaintOption;

property Options: TdxGridPaintOptions;

Description

Use the Options property to specify the grid lines included in a report. Available options include:

Value

Description

gpoBorder | If active, borderlines are printed.
gpoHorzLines | If active, horizontal lines are printed.
gpoVertLines | If active, vertical lines are printed.
gpoFixedHorzLines | If active, horizontal lines for fixed columns are printed.
gpoFixedVertLines | If active, vertical lines for fixed columns are printed.

By default, all options are active.


TCustomdxInspectorReportLink.AutoNodesExpand

TCustomdxInspectorReportLink

See Also

Specifies whether nodes are expanded when printing an Inspector component.

property AutoNodesExpand: Boolean;

Description

Set the AutoNodesExpand property to True to force nodes to expand when printing a report. If the AutoNodesExpand property is False, Inspector rows are printed as is. Below are two examples where the AutoNodesExpand property is set to True and False, respectively.

The default value of this property is False.


TCustomdxInspectorReportLink.AutoWidth

TCustomdxInspectorReportLink

See Also

Specifies whether Inspector columns are automatically resized.

property AutoWidth: Boolean;

Description

Set the AutoWidth property to True to automatically resize Inspector column width according to its text width. If column width is wider than the longest text width, it is not changed; Otherwise, it resizes to the longest column. If the AutoWidth property is set to False, Inspector column width is not changed.

The default value of this property is False.


TCustomdxInspectorReportLink.FixedColor

TCustomdxInspectorReportLink

See Also

Specifies fixed cell color in a report.

property FixedColor: TColor ;

Description

Use the FixedColor property to specify the color of Inspector fixed cells (such as caption column cells) in a report. This color may differ from the original color.

The default value of this property is clBtnFace.


TCustomdxInspectorReportLink.FixedFont

TCustomdxInspectorReportLink

See Also

Specifies fixed cell font in a report.

property FixedFont: TFont ;

Description

Use the FixedFont property to specify the font of Inspector fixed cells (such as caption column cells) in a report. This font may differ from the original font.


TCustomdxInspectorReportLink.FixedTransparent

TCustomdxInspectorReportLink

See Also

Specifies whether fixed cells are drawn transparently.

property FixedTransparent: Boolean;

Description

If the FixedTransparent property is set to True, Inspector fixed cells (such as caption column cells, category cells) are drawn transparently within the report. Below are two examples where the FixedTransparent property is set to True and False accordingly.

The default value of this property is False.


TCustomdxInspectorReportLink.GridLineColor

TCustomdxInspectorReportLink

See Also

Specifies Inspector line color in a report.

property GridLineColor: TColor ;

Description

Use the GridLineColor property to specify the color of TdxInspector or TdxDBInspector component lines in a report. This color may differ from the original line color.

The default value of this property is clBlack.


TCustomdxInspectorReportLink.GroupColor

TCustomdxInspectorReportLink

See Also

Specifies the color used for category cells in a report.

property GroupColor: TColor ;

Description

Category cells are cells that represent new category rows within the Inspector. The GroupColor property determines the background color for category cells in a report.

The default value of this property is clBtnFace.


TCustomdxInspectorReportLink.GroupFont

TCustomdxInspectorReportLink

See Also

Specifies category cell fonts in a report.

property GroupFont: TFont ;

Description

Category cells are cells that represent new category rows within the Inspector. Use the GroupFont property to specify the font of category cells in a report. For instance, the following code changes the category cell font to italic:

TCustomdxInspectorReportLink(dxComponentPrinter1Link1).GroupFont.Style := [fsItalic];


TCustomdxInspectorReportLink.GroupTransparent

TCustomdxInspectorReportLink

Specifies whether category (group) cells are displayed transparently in the report.

property GroupTransparent: Boolean;

Description

Use the GroupTransparent property to make Inspector category rows transparent in a report. If the GroupTransparent property is set to True, category rows are displayed transparently in the report (their background color value is not in effect).

The default value of this property is False.


TCustomdxInspectorReportLink.OddColor

TCustomdxInspectorReportLink

See Also

Specifies the color used for odd rows within a report.

property OddColor: TColor ;

Description

You can easily differentiate odd and even rows of your report to make it more readable. This property is only available if Draw Mode is set to Odd/Even Rows Mode.

The default value of this property is clWhite.


TCustomdxInspectorReportLink.OddFont

TCustomdxInspectorReportLink

See Also

Specifies odd row font in a report.

property OddFont: TFont ;

Description

The OddFont property is used to specify the font applied to odd rows. This property is only available if Draw Mode is set to Odd/Even Rows Mode.


TCustomdxInspectorReportLink.OnCustomDrawCaption

TCustomdxInspectorReportLink

See Also

Occurs when drawing a caption cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxInspectorReportLinkCustomEvent = procedure(Sender: TBasedxReportLink ; ARow: TdxInspectorRow ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; var AText: string; var AColor: TColor ; AFont: TFont ; var ATextAlignX: TdxTextAlignX ; var ATextAlignY: TdxTextAlignY ; var ADone: Boolean) of object;

property OnCustomDrawCaption: TdxInspectorReportLinkCustomEvent;

Description

Write an OnCustomDrawCaption event handler to draw the contents of all or specific caption cells in the Inspector. The ACanvas parameter determines the drawing surface. The ARect parameter indicates location of a cell on the canvas:

Parameter

Description

ACanvas

Determines canvas for drawing.

ARow

Specifies the index of the row that contains the selected cell.

ABoundsRect

Specifies the rectangle including borders for drawing.

AClientRect

Specifies the rectangle excluding borders for drawing.

AText

Determines text drawn as a column caption. It can be changed, if necessary.

AColor

Specifies column color. It can be changed, if necessary.

AFont

Specifies the font for drawing column caption. It can be changed, if necessary.

ATextAlignX

Specifies text alignment within a column. It can be changed, if necessary.

ATextAlignY

Specifies text alignment within a column. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawCaption event handler entirely draws a caption cell. If ADone is True, the default drawing procedure is not called.

In order to specify the color, font, text or alignment, used for drawing the header of a particular column, set proper values for AColor, AFont, AText, ATextAlignX or ATextAlignY parameters and set ADone to False within the OnCustomDrawCaption event handler.


TCustomdxInspectorReportLink.OnCustomDrawCaptionSeparator

TCustomdxInspectorReportLink

Occurs when drawing a caption separator of a complex row.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxInspectorReportLinkCustomEvent = procedure(Sender: TBasedxReportLink ; ARow: TdxInspectorRow ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; var AText: string; var AColor: TColor ; AFont: TFont ; var ATextAlignX: TdxTextAlignX ; var ATextAlignY: TdxTextAlignY ; var ADone: Boolean) of object;

property OnCustomDrawCaptionSeparator: TdxInspectorReportLinkCustomEvent;

Description

Write an OnCustomDrawCaptionSeparator event handler to draw the contents of a specific or of all caption separators in an Inspector complex row. The ACanvas parameter determines the drawing surface.

Parameter | Description
ARow | Row of a cell.
ABoundsRect | Rectangular caption separator area including borders.
AClientRect | Rectangular caption separator area excluding borders.
AText | Context of a caption separator. It can be changed, if necessary.
AColor | Background color of a caption separator. It can be changed, if necessary.
ATextAlignX | Horizontal text alignment within a caption separator. It can be changed, if necessary.
ATextAlignY | Vertical text alignment within a caption separator. It can be changed, if necessary.
ADone | Determines whether the OnCustomDrawCaptionSeparator event handler entirely draws the caption separator region. If ADone is True, the default drawing procedure is not called.


TCustomdxInspectorReportLink.OnCustomDrawValue

TCustomdxInspectorReportLink

See Also

Occurs when drawing a row value.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxInspectorReportLinkCustomEvent = procedure(Sender: TBasedxReportLink ; ARow: TdxInspectorRow ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; var AText: string; var AColor: TColor ; AFont: TFont ; var ATextAlignX: TdxTextAlignX ; var ATextAlignY: TdxTextAlignY ; var ADone: Boolean) of object;

property OnCustomDrawValue: TdxInspectorReportLinkCustomEvent;

Description

Write an OnCustomDrawValue event handler to draw column contents of all Inspector rows.

Parameter

Description

ACanvas

Determines canvas for drawing.

ARow

Specifies the index of the row that contains the selected cell.

ABoundsRect

Specifies the rectangle including borders for drawing.

AClientRect

Specifies the rectangle excluding borders for drawing.

AText

Determines text drawn as a column caption. It can be changed, if necessary.

AColor

Specifies column color. It can be changed, if necessary.

AFont

Specifies the font for drawing a column caption. It can be changed, if necessary.

ATextAlignX

Specifies text alignment within a column. It can be changed, if necessary.

ATextAlignY

Specifies text alignment within a column. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawValue event handler entirely draws a row. If ADone is True, the default drawing procedure is not called.

In order to specify the color, font, text or alignment, used for drawing the cell of a particular column, set the appropriate values for AColor, AFont, AText, ATextAlignX or ATextAlignY parameters and set ADone to False within the OnCustomDrawValue event handler.


TCustomdxInspectorReportLink.OnCustomDrawValueSeparator

TCustomdxInspectorReportLink

Occurs when drawing a value separator of a complex row.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxInspectorReportLinkCustomEvent = procedure(Sender: TBasedxReportLink ; ARow: TdxInspectorRow ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; var AText: string; var AColor: TColor ; AFont: TFont ; var ATextAlignX: TdxTextAlignX ; var ATextAlignY: TdxTextAlignY ; var ADone: Boolean) of object;

property OnCustomDrawValueSeparator: TdxInspectorReportLinkCustomEvent

Description

Write an OnCustomDrawValueSeparator event handler to draw the contents of all or of a specific value separator in an Inspector complex row. The ACanvas parameter determines the drawing surface.

Parameter | Description
ARow | Row of a cell.
ABoundsRect | Rectangular value separator area including borders.
AClientRect | Rectangular value separator area excluding borders.
AText | Context of a value separator. It can be changed, if necessary.
AColor | Background color of a value separator. It can be changed, if necessary.
ATextAlignX | Horizontal text alignment within a value separator region. It can be changed, if necessary.
ATextAlignY | Vertical text alignment within a value separator region. It can be changed, if necessary.
ADone | Determines whether the OnCustomDrawValueSeparator event handler entirely draws the value separator region. If ADone is True, the default drawing procedure is not called.


TCustomdxInspectorReportLink.Options

TCustomdxInspectorReportLink

See Also

Determines Inspector look & feel in a report.

type

TdxInspectorPaintOption = (ipoBorder, ipoHorzLines, ipoVertLines, ipoFlatCheckMarks);

TdxInspectorPaintOptions = set of TdxInspectorPaintOption;

property Options: TdxInspectorPaintOptions;

Description

Use the Options property to determine which elements of the TdxInspector or TdxDBInspector component are included in a report. Available options are as follows:

Value

Description

ipoBorder

If active, borderlines are printed.

ipoHorzLines

If active, horizontal lines are printed.

ipoVertLines

If active, vertical lines are printed.

ipoFlatCheckMarks

If active, node boxes appear flat in a report. Otherwise, they have 3D borders.

Example:


TCustomdxInspectorReportLink.SupportedCustomDraw

TCustomdxInspectorReportLink

See Also

Specifies whether custom drawing events are enabled.

property SupportedCustomDraw: Boolean;

Description

Use this property either enable or disable the custom drawing of a component. The default value of this property is False.


TCustomdxListBoxReportLinkControl.Options

TCustomdxListBoxReportLinkControl

Specifies the type of list box lines included in a report.

type

TdxListBoxPaintOption = (lbxpoBorder, lbxpoHorzLines);

TdxListBoxPaintOptions = set of TdxListBoxPaintOption;

property Options : TdxListBoxPaintOptions;

Description

Use the Options property to specify which list box lines are printed. The following values are available:

Value

Meaning

lbxpoBorder

If active, borderlines are printed.

lbxpoHorzLines

If active, horizontal lines are printed.

The default value of the Options property is [lbxpoBorder, lbxpoHorzLines].


TCustomdxListBoxReportLinkControl.PaintItemsGraphics

TCustomdxListBoxReportLinkControl

Determines whether graphics associated with items are printed.

property PaintItemsGraphics : Boolean;

Description

You can associate images with list box items via the Objects property of items (as list box items are of type TStrings). If images are associated with items, then you may wish to print these images in your report. Set the PaintItemsGraphics property to True to print images associated with items:

// Delphi

var

pic : TBitmap;

{ . . . }

begin

{ . . .}

// associates an image with the first list box item pic := TBitmap.Create;

{ . . . }

pic.LoadFromFile('c:\Chemic.bmp'); ListBox1.Items.Objects[0] := pic;

{ . . . }

// sets the PaintItemsGraphics property to True TdxListBoxReportLink( dxComponentPrinter1Link1).PaintItemsGraphics := True; // builds a report and // calls Preview to show the PaintItemsGraohics effect dxComponentPrinter1.RebuildReport; dxComponentPrinter1.Preview(False, dxComponentPrinter1Link1);

{ . . . }

pic.Free;

end

The default value of the PaintItemsGraphics property is False.


TCustomdxListBoxReportLinkControl.TransparentGraphics

TCustomdxListBoxReportLinkControl

Specifies whether images associated with items are transparent within a report.

property TransparentGraphics: Boolean;

Description

Set the TransparentGraphics property to True to draw graphics transparently in a report when printing standard list box components.

The default value of this property is False.


TCustomdxNativeTreeViewReportLink.AutoNodesExpand

TCustomdxNativeTreeViewReportLink

Specifies whether nodes are expanded when printing a tree view component.

property AutoNodesExpand: Boolean;

Description

Set the AutoNodesExpand property to True to force all nodes to expand when printing a report. If the AutoNodesExpand property is False, all tree view items are printed as is.

The default value of this property is False.


TCustomdxNativeTreeViewReportLink.AutoWidth

TCustomdxNativeTreeViewReportLink

Specifies whether tree view items automatically size themselves to their text width.

property AutoWidth: Boolean;

Description

Set the AutoWidth property to True to display the entire contents of tree view items in a report. If tree view item width is larger than the longest width of item text, it does not change. If the AutoWidth property is set to False, tree view item width does not change.

The default value of this property is True.


TCustomdxNativeTreeViewReportLink.ExpandLevel

TCustomdxNativeTreeViewReportLink

Specifies the number of levels to print.

property ExpandLevel: Integer;

Description

Use the ExpandLevel property to specify the number of node levels to print. For instance, if the ExpandLevel property value is equal to 3, the report will contain only nodes for the first three levels. Set this property to -1 to print all levels.

The default value of this property is -1.


TCustomdxNativeTreeViewReportLink.ExplicitTreeViewExpand

TCustomdxNativeTreeViewReportLink See Also

Specifies whether the nodes are expanded according to the ExpandLevel property’s value when a tree view component is printed.

property ExplicitTreeViewExpand: Boolean;

Description

Set the ExplicitTreeViewExpand property to True to force the nodes in a tree view component to expand up to the level specified by the ExpandLevel property when a report is printed. Otherwise, all the nodes in a tree view are expanded (this behaviour corresponds to the ExpandLevel property’s value of -1).

The ExplicitTreeViewExpand property has no effect when the AutoNodesExpand property is inactive, i.e. set to False.

The default value of the ExplicitTreeViewExpand property is False.


TCustomdxNativeTreeViewReportLink.GridLineColor

TCustomdxNativeTreeViewReportLink

Specifies the line color of a tree view component in a report.

property GridLineColor: TColor;

Description

Use the GridLineColor property to specify the color of tree view component lines in a report. This color may differ from the original line color.

The default value of this property is clBlack.


TCustomdxNativeTreeViewReportLink.NodeAutoHeight

TCustomdxNativeTreeViewReportLink

Specifies whether tree view nodes automatically resize their height to accommodate the entire text.

property NodeAutoHeight: Boolean;

Description

Use the NodeAutoHeight property to automatically adjust the height of a tree view node to fully display its contents. The NodeAutoHeight property is in effect only when the tree view report link’s AutoWidth property is set to False. In this instance, the horizontal size of the control within a report is determined by the Width property of the tree view control (not by the Width property of the tree view report link).

The default value of this property is False.


TCustomdxNativeTreeViewReportLink.Options

TCustomdxNativeTreeViewReportLink

Determines which elements of a tree view component are included in a report.

type

TdxTreeViewPaintOption = (tvpoBorder, tvpoGrid, tvpoStateImages, tvpoImages);

TdxTreeViewPaintOptions = set of TdxTreeViewPaintOption;

property Options: TdxTreeViewPaintOptions;

Description

Use the Options property to determine which elements of a tree view component are included in a report:

Value

Meaning

tvpoBorder

If active, borderlines are printed.

tvpoGrid

If active, horizontal and vertical grid lines are printed.

tvpoStateImages

If active, state images are printed.

tvpoImages

If active, node images are printed.

The default value of this property is [tvpoStateImages, tvpoImages].


TCustomdxNativeTreeViewReportLink.TreeLineColor

TCustomdxNativeTreeViewReportLink

Specifies the tree line color of a tree view component in a report.

property TreeLineColor: TColor;

Description

Use the TreeLineColor property to specify the color of a tree view component’s tree lines in a report.

The default value of the TreeLineColor property is clGray.


TCustomdxNativeTreeViewReportLink.Width

TCustomdxNativeTreeViewReportLink

Specifies the horizontal size of a tree view in pixels.

property Width: Integer;

Description

Use the Width property to specify the width of a tree view component in a report.


TCustomdxOrgChartReportLink.FullExpand

TCustomdxOrgChartReportLink

Determines whether chart objects are expanded.

property FullExpand: Boolean;

Description

Use the FullExpand property to collapse or expand chart objects.

The default value of this property is False.


TCustomdxOrgChartReportLink.OrgChart

TCustomdxOrgChartReportLink

Determines the TdxOrgChart (ExpressOrgChart) component to be printed by a printing component.

property OrgChart : TdxOrgChart;

Description

This property returns the TdxOrgChart (ExpressOrgChart) object for which a report is created.

ReadOnly Property


TCustomdxOrgChartReportLink.TransparentColor

TCustomdxOrgChartReportLink See Also

Specifies the transparent color applied to the TdxOrgChart or TdxDBOrgChart component.

property TransparentColor: TColor;

Description

Use this property to specify the color of a component that is transparent within a report. The TransparentColor property is in effect only when the UseMetafile property is set to False.

The default value of this property is clWindow.


TCustomdxOrgChartReportLink.UseMetafile

TCustomdxOrgChartReportLink See Also

Specifies whether to store a printed chart object as a metafile graphic.

property UseMetafile: Boolean;

Description

Set the UseMetafile property to True to draw chart object contents as a metafile graphics when printing a report. Unlike a bitmap, a metafile guarantees device independence and higher quality (especially when scaling a report). Note, however, that metafiles are generally drawn slower than bitmaps. If the UseMetafile property is False, chart object contents are drawn as a bitmap.

Note: The TransparentColor property is in effect only when the UseMetafile property is set to False.

The default value of this property is True.


TCustomdxPageObject.CenterTextAlignY

TCustomdxPageObject

See Also

Specifies the way the title central part text is vertically aligned.

type

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

property CenterTextAlignY: TdxTextAlignY;

Description

Use the CenterTextAlignY property to specify the manner the central part of the title is vertically aligned. It can take one of the thee values:

Value

Description

taTop

Moves the text to the top of the row.

taCenterY

Moves the text to the center of the row.

taBottom

Moves the text to the bottom of the row.

The default value of this property is taCenterY.


TCustomdxPageObject.CenterTitle

TCustomdxPageObject

See Also

Determines the central title text.

property CenterTitle: TStrings;

Description

Use the CenterTitle property to determine the text located in the central part of the title.


TCustomdxPageObject.Font

TCustomdxPageObject

See Also

Specifies the font of the text.

property Font: TFont;

Description

Use Font property to specify the font for the document.


TCustomdxPageObject.LeftTextAlignY

TCustomdxPageObject

See Also

Specifies vertical alignment of the text located in the left part of either the header or footer.

type

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

property LeftTextAlignY: TdxTextAlignY;

Description

Use the LeftTextAlignY property to specify the vertical alignment of the text, which is located in the left part of either the header or footer.

Value

Description

taTop

Aligns the text to the top of the row.

taCenterY

Aligns the text to the center of the row.

taBottom

Aligns the text to the bottom of the row.

The default value of this property is taCenterY.


TCustomdxPageObject.LeftTitle

TCustomdxPageObject

See Also

Specifies the text located in the left corner of the header.

property LeftTitle: TStrings;

Description

Use the LeftTitle property to specify the text that is printed in the left corner of the header/footer row. Possible values are machine name, user name, time printed, date printed, date and time printed, page # of pages #, total pages, page number.


TCustomdxPageObject.RightTextAlignY

TCustomdxPageObject

See Also

Specifies vertical alignment of text located in the right corner of either the header or footer.

type

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

property RightTextAlignY: TdxTextAlignY;

Description

Use the RightTextAlignY property to specify alignment for the text in the right corner of the row.

Value

Description

taTop

Aligns the text to the top of the row.

taCenterY

Aligns the text to the center of the row.

taBottom

Aligns the text to the bottom of the row.

The default value of this property is taCenterY.


TCustomdxPageObject.RightTitle

TCustomdxPageObject

See Also

Specifies the text located in the right corner of the title.

property RightTitle: TStrings;

Description

Use the RightTitle property to set text for the right title.


TCustomdxPageObject.TextAlignY

TCustomdxPageObject

See Also

Specifies the text vertical alignment.

type

TdxPageTitlePart = (tpLeft, tpCenter, tpRight); TdxTextAlignY = (taTop, taCenterY, taBottom);

property TextAlignY[Index: TdxPageTitlePart]: TdxTextAlignY;

Description

Use TextAlignY property to specify a kind of text vertical alignment.

Index parameter specifies the part of the title to which the TextAlignY property is applied.

Value

Description

taTop

Aligns the text to the top of the row.

taCenterY

Aligns the text to the center of the row.

taBottom

Aligns the text to the bottom of the row.


TCustomdxPageObject.Titles

TCustomdxPageObject

See Also

Specifies titles for printing page.

type

TdxPageTitlePart = (tpLeft, tpCenter, tpRight);

property Titles[Index: TdxPageTitlePart]: TStrings;

Description

Use Titles property to refer to a particular part of the page title, specified by the Index parameter.


TCustomdxPictureReportLink.DataProviderPresent

TCustomdxPictureReportLink

Determines whether TCustomdxPictureReportLink is associated with a non-empty TPicture component.

function DataProviderPresent: Boolean;

Description

The DataProviderPresent method is used to determine whether TCustomdxPictureReportLink is associated with a non-empty TPicture component. If this method returns False, the TCustomdxPictureReportLink will not be present in a report.


TCustomdxPictureReportLink.Picture

TCustomdxPictureReportLink

Returns a TPicture object printed via the current link.

property Picture: TPicture ;

Description

This property value represents the TPicture component printed via the current link.

ReadOnly property


TCustomdxPSDBBasedExplorerFieldNamesMap.Assign

TCustomdxPSDBBasedExplorerFieldNamesMap

Copies settings from the object passed as a parameter.

procedure Assign(Source: TPersistent ); override;

Description

The Assign method is useful if you need to use similar settings for several TCustomdxPSDBBasedExplorerFieldNamesMap class descendants. It enables you to customize settings for a single descendant and then copy them to other objects.

This method copies settings from the object specified by the Source parameter. The method caller is the destination object.


TCustomdxPSDBBasedExplorerFieldNamesMap.Create

TCustomdxPSDBBasedExplorerFieldNamesMap

Creates a new TCustomdxPSDBBasedExplorerFieldNamesMap object.

constructor Create(AnExplorer: TdxPSDBBasedExplorer ); virtual;

Description

The constructor creates a new TCustomdxPSDBBasedExplorerFieldNamesMap object and initializes it’s Explorer property with the AnExplorer parameter value.

Note that descendants are created automatically by explorer components to initialize their FoldersFieldNamesMap and ItemsFieldNamesMap properties. As a result you will have no need to call the constructor manually.


TCustomdxPSDBBasedExplorerFieldNamesMap.Explorer

TCustomdxPSDBBasedExplorerFieldNamesMap

Returns the explorer component that owns the current instance.

property Explorer: TdxPSDBBasedExplorer ;

Description

The Explorer method is used to access the explorer component , which is the current object’s owner. This property value is initialized by the constructor.

ReadOnly Property


TCustomdxPSExplorer.BuildTree

TCustomdxPSExplorer

Builds the report tree using the specified tree container.

procedure BuildTree(ATreeContainer: TCustomdxPSExplorerTreeContainer);

Description

The BuildTree method is used internally to build the folders and reports tree displayed by the report explorer. The ATreeContainer parameter specifies the object controlling the report tree visual representation. Such an object can be obtained by calling the CreateTree method.

You will have no need to call this method if the default behavior of the TdxPSFileBasedExplorer and TdxPSDBBasedExplorer components suits your needs. You can make use of it however, if for instance you need to display the report tree on the form but not within the preview window. See the DBBasedExplorer demo for an example.


TCustomdxPSExplorer.CanCreateFolder

TCustomdxPSExplorer

Indicates whether the explorer can create folders.

function CanCreateFolder: Boolean; virtual;

Description

The CanCreateFolder method returns True if the report explorer can create folders at the momentotherwise, False is returned. You can call this method before attempting to create a new folder using the CreateNewFolder method.

As implemented in the TCustomdxPSExplorer class, this method simply returns True. The TdxPSDBBasedExplorer class overrides this method to check whether datasets that store folders and items are bound to the explorer and whether they are active.


TCustomdxPSExplorer.CanCreateItem

TCustomdxPSExplorer

Indicates whether the explorer can create report items.

function CanCreateItem: Boolean; virtual;

Description

The CanCreateItem method returns True if the explorer can create report items at the moment if reports cannot be saved, False will be returned. For instance, you can call the CanCreateItem method before attempting to save a report using the CreateNewItem method.

As implemented in the TCustomdxPSExplorer class, this method simply returns True. The TdxPSDBBasedExplorer class overrides this method to check whether datasets that store folders and items are bound to the explorer and whether they are active.


TCustomdxPSExplorer.CreateNewFolder

TCustomdxPSExplorer

Creates a new folder within the specified parent folder.

function CreateNewFolder(AParent: TdxPSExplorerFolder ): TdxPSExplorerFolder ; virtual;

Description

Use the CreateNewFolder method to create a new folder within the reports hierarchy. The newly created folder is placed within its parent folder that is specified by the AParent parameter. The created folder object is returned by this method so you can modify its settings if required.

By default, folders created using the CreateNewFolder method get the ‘New Folder’ name. If the parent folder already contains a folder with such a name, the ‘New Folder (2)’ name is assigned, etc. Use the folder object’s Name property to change the folder name.


TCustomdxPSExplorer.CreateNewItem

TCustomdxPSExplorer

Saves the specified report to the specified folder.

function CreateNewItem(AParent: TdxPSExplorerFolder ; AReportLink: TBasedxReportLink ): TdxPSExplorerItem ; virtual;

Description

Use CreateNewItem to save a report via code. The AParent parameter specifies the folder where the report will be saved. The AReportLink parameter specifies the report link that provides the report data. This method returns the created report item object so you can modify its settings as needed.

By default, the file name is specified by the report’s link ReportTitle.Text property. If this property value is an empty string, the ReportDocument.Caption property is used. If this value is an empty string too, the file gets the report’s link name and the PRS extension is automatically added. Note that if a file with the specified name already exists within the parent folder, the file number in brackets is appended to the file name. For instance, the file may get the ‘NewReport (2).prs’ name, etc.


TCustomdxPSExplorer.CreateTree

TCustomdxPSExplorer

Creates the report tree container.

function CreateTree(const AHost: IdxPSExplorerTreeContainerHost): TCustomdxPSExplorerTreeContainer;

Description

The CreateTree method is used internally to create the report tree container object. The AHost parameter specifies the container host object. The object must implement the IdxPSExplorerTreeContainerHost interface, which declares methods controlling the tree container’s appearance, position and updating.

The CreateTree method returns the tree container object, which can then be passed to the BuildTree method to build the report tree. Note that the returned object provides the TreeView property, this property can be used to access settings of the internal tree view control that displays the report tree.

Note that you will not need to use the CreateTree method if the default functionality provided by the explorer components suits your needs. You can make use of it when you need to display the report tree on the form rather than within the preview window, for instance. Please refer to the DBBasedExplorer demo for an example of implementing this.


TCustomdxPSExplorer.FilterLink

TCustomdxPSExplorer See Also

Specifies the class of links whose reports are displayed by the explorer.

property FilterLink: string;

Description

Use the FilterLink property to filter reports by their link class, assign the class name to this property to display only reports created for the specified class. For instance, if you need to display only list box reports within the explorer, assign ‘TListBox’ string to the FilterLink property.

If the FilterLink property value is an empty string, no filtering will be applied to the reports.


TCustomdxPSExplorer.FilterLinkClass

TCustomdxPSExplorer See Also

Specifies the class of links whose reports are displayed by the explorer.

property FilterLinkClass: TComponentClass ;

Description

Use the FilterLinkClass property to filter reports by their link class. If a class is assigned to the property, the explorer will display only those reports that have been created for the specified control class. For instance, to display only reports created for the TcxDBTreeList control, assign the TcxDBTreeListClass class to this property.

If the FilterLinkClass property value is nil, no filtering is applied to the reports.


TCustomdxPSExplorer.FindCustomItemByUniqueID

TCustomdxPSExplorer

Returns the folder or item by its unique ID.

function FindCustomItemByUniqueID(AnUniqueID: Pointer): TCustomdxPSExplorerItem ; virtual;

Description

As implemented in the TCustomdxPSExplorer class the FindCustomItemByUniqueID method simply returns nil. Descendants override this method to implement their specific search functionality.

This method searches for the folder or item whose ID matches the AnUniqueID parameter. For file explorers, you must specify a pointer of the PShortString type as this parameter, the referred string must contain the full path to the file or folder you want to obtain. For database explorers, you need to specify the pointer of the PdxDBBasedExplorerItemUniqueID type as the parameter. The pointer refers to a TdxDBBasedExplorerItemUniqueID structure that identifies the item type (folder or not) and the item ID.

Note: An item’s unique ID can be obtained using the item’s GetUniqueID method.


TCustomdxPSExplorer.LoadedItem

TCustomdxPSExplorer

Returns the currently loaded item.

function LoadedItem: TdxPSExplorerItem ; virtual;

Description

Use the LoadedItem method to obtain the item currently selected by the end user. The selected item is painted bold and its corresponding report content is displayed within the preview window. End users must double-click items to select them.

If none of the items is selected at the moment, then LoadedItem method returns nil.


TCustomdxPSExplorer.LoadItemData

TCustomdxPSExplorer

Loads a particular item’s data into a report link.

procedure LoadItemData(AnItem: TdxPSExplorerItem ; AReportLink: TBasedxReportLink );

Description

Use the LoadItemData method to load a particular item’s data into a report link. The item whose data is to be loaded is specified by the AnItem parameter. The target report’s link is specified by the AReportLink parameter. Once data has been loaded, the specified item is selected and the corresponding report displayed within the preview window, provided that the specified report link is the current one. Use the component printer’s CurrentLink property to specify the current report link.

Note that you can use the desired item’s Load method for the same purpose.


TCustomdxPSExplorer.OnItemDataLoadError

TCustomdxPSExplorer

Fires when data loading errors occur.

type

TdxPSExplorerItemDataLoadErrorEvent = procedure(Sender: TCustomdxPSExplorer ; AnItem: TdxPSExplorerItem ; var AShowErrorMessage: Boolean; var AText: string) of object;

property OnItemDataLoadError: TdxPSExplorerItemDataLoadErrorEvent;

Description

The OnItemDataLoadError event fires in response to errors that occur when loading a report. The Sender parameter identifies the report explorer that raised the event. The AnItem parameter represents the item whose data failed to load. The AShowErrorMessage parameter specifies whether an error message should be displayed. Set this parameter to False to prohibit the message. If the error message has not been prohibited, you can set the message text using the AText parameter. By default, this parameter value is the return value of the item’s DataLoadErrorText method.


TCustomdxPSExplorer.Refresh

TCustomdxPSExplorer

Updates the report explorer.

procedure Refresh; virtual;

Description

Call the Refresh method when you need to update the report explorer. The Refresh method re-reads the folders and item’s structures and reloads the active item, if possible. This may be needed for instance, if you use the file-based explorer and one of the report’s folders have been deleted.


TCustomdxPSExplorer.RegisterNotifier

TCustomdxPSExplorer

Registers the specified change notifier.

procedure RegisterNotifier(ANotifier: TdxPSExplorerChangeNotifier);

Description

Report explorers hold a collection of notifying objects (notifiers) that perform specific actions in response to changes made to report folders and items. Once a specific action on a folder item has been performed, the explorer scans through the list of all registered notifiers and calls their corresponding methods. For instance, explorers make use of a notifier that updates the tree view control displaying the report’s structure. You can also register your own notifier if you need particular actions to be performed when adding, deleting, moving, or renaming items etc.

If you need the notifier to function only temporarily, call the UnregisterNotifier method when a notifier needs to be disabled.


TCustomdxPSExplorer.Root

TCustomdxPSExplorer

Returns the explorer’s root folder.

property Root: TdxPSExplorerFolder ;

Description

The Root property is used to obtain the explorer component’s root folder. For file-based explorers, this is the root folder specified by the RootPath property. For database-based explorers, the root is the folder item that is the parent of all other items (located at the top of the folders and reports hierarchy).

You can read the Root property for the following purposes:

  • To access the root folder’s settings;

  • To traverse through the folders and reports hierarchy (the root folder provides access to its immediate children, while each individual child allows its own children to be obtained, etc);

  • To pass the Root property value to a particular method (for instance, when creating an item via code and specifying its parent folder).

ReadOnly Property


TCustomdxPSExplorer.State

TCustomdxPSExplorer

Returns the explorer’s current state.

type

TdxPSExplorerState = (esItemCreating, esFolderCreating, esLoading, esRefreshing);

TdxPSExplorerStates = set of TdxPSExplorerState;

property State: TdxPSExplorerStates;

Description

Read the State property to determine whether a specific operation is being performed by the explorer component. For instance, you can use the property when deriving your own explorer from the TCustomdxPSExplorer class. You can suspend particular operations if the explorer’s current state doesn’t allow them to be performed.

The table below lists values that can be returned by the State property.

Value | Description
esItemCreating | A report item is being created at the moment. This value is returned while the CreateNewItem method is performing its task.
esFolderCreating | A folder is being created at the moment. This value is returned while the CreateNewFolder method is performing its task.
esLoading | The explorer is loading data at the moment.
esRefreshing | The explorer is refreshing. This value is returned while the Refresh method performs its task.

ReadOnly Property


TCustomdxPSExplorer.UnloadItemData

TCustomdxPSExplorer

Unloads an item’s data from a report link.

procedure UnloadItemData(AnItem: TdxPSExplorerItem );

Description

To display an item’s content within the preview window, the item’s data has to be loaded into a report link and the associated link should then be made current. Item data can be loaded into a report link by calling the explorer component’s LoadItemData method or the desired item’s Load method. To make a link current, use the component printer’s CurrentLink property. Note that end users can load item data by pressing the CTRL+ENTER combination when the item is selected or double-clicking the desired item. In this case, the item’s data is loaded into the current link.

To unload the item’s data from the link it has been loaded into, call the UnloadItemData method or alternatively, you can use the desired item’s Unload method. Note that end users can do the same by choosing the Unload item from the report explorer’s context menu (or the same command in the main menu or toolbar). After an item has been unloaded, the current report link displays its default content (specified by the bound component and report settings).


TCustomdxPSExplorer.UnregisterNotifier

TCustomdxPSExplorer

Removes the specified notifier from the registered notifiers list.

procedure UnregisterNotifier(ANotifier: TdxPSExplorerChangeNotifier);

Description

Use the UnregisterNotifier method when you need to disable a specific notifier object. Please refer to the RegisterNotifier method description for more information on notifiers used by report explorer components.


TCustomdxPSExplorerItem.CanAccept

TCustomdxPSExplorerItem

Indicates whether the item can serve as the parent for the specified item.

function CanAccept(AnItem: TCustomdxPSExplorerItem ): Boolean; virtual;

Description

The CanAccept method returns True if the item can serve as the parent for the item specified by the AnItem parameter, otherwise, the method returns False. This method is called when moving a report item or a folder to another position. Actually, this method is used by the CanMoveTo method that indicates whether an item can be moved to the specified location.

As implemented in the TCustomdxPSExplorerItem class, the CanAccept method simply returns False. It is overridden in the TdxPSExplorerFolder class to return a proper value.


TCustomdxPSExplorerItem.CanDelete

TCustomdxPSExplorerItem

Indicates whether the item can be deleted.

function CanDelete: Boolean; virtual;

Description

The CanDelete method returns True if the item can be deleted, otherwise False is returned. This method’s return value is used by the item’s Delete method to determine if the item can be deleted.

As implemented in the TCustomdxPSExplorerItem class, the CanDelete method simply returns True, available descendants don’t override this method.


TCustomdxPSExplorerItem.CanMove

TCustomdxPSExplorerItem

Indicates whether the item can be moved.

function CanMove: Boolean; virtual;

Description

The CanMove method returns True if the item can be moved to another position, otherwise the method returns False.

To determine whether the item can be moved to a specific position, the item’s CanMoveTo method is used.


TCustomdxPSExplorerItem.CanMoveTo

TCustomdxPSExplorerItem

Indicates whether the item can be moved to the specified position.

function CanMoveTo(AParent: TCustomdxPSExplorerItem ): Boolean; virtual;

Description

The CanMoveTo method is called when changing the item’s Parent property value. This method’s return value indicates whether the item’s parent can be changed. In other words, it determines whether the item can be moved to another folder. The target folder is specified by the AParent parameter.

If the item can be moved, the CanMoveTo method returns True, otherwise, False is returned.


TCustomdxPSExplorerItem.CannotRenameMessageText

TCustomdxPSExplorerItem

Returns the text displayed within the error message box when the item fails to be renamed.

function CannotRenameMessageText(const AOldName, ANewName: string): string; virtual;

Description

End users can rename folders and report items within the explorer’s tree view. This can be done by editing the captions of items. To start editing the selected item’s caption, end users should either click on it or press the F2 key. When pressing the ENTER key or clicking outside of the edited item, changes are accepted. If the typed name cannot be assigned to the item, the error message box is displayed. This can take place for instance, if there is already an item with such a name within the same folder.

The text displayed within the error message box is specified by the CannotRenameMessageText method’s return value. The actual and potential item’s names are used to construct the message. These names are passed to the method as the AOldName and ANewName parameters respectively.

As implemented in the TCustomdxPSExplorerItem class, the CannotRenameMessageText method simply returns an empty string. Descendants override the method to construct proper error messages.


TCustomdxPSExplorerItem.CanRename

TCustomdxPSExplorerItem

Returns a value indicating end users can start editing the item’s caption.

function CanRename: Boolean; virtual;

Description

End users are allowed to edit folder and report captions within the explorer tree. To start editing the selected item, they should click on it or press the F2 key If the selected item’s CanRename method returns True, the item’s caption is switched to edit mode, otherwise editing doesn’t start.

As implemented in the TCustomdxPSExplorerItem class, the CanRename method returns True if the explorer component allows renaming this item. This takes place if the item is not the root item and it is not loaded at the moment.


TCustomdxPSExplorerItem.CanRenameTo

TCustomdxPSExplorerItem

Returns a value indicating whether the item can accept the name specified.

function CanRenameTo(const AName: string): Boolean; virtual;

Description

Report explorers enable end users to edit folder and item captions. When an item’s caption is in edit mode, end users can press the ENTER key or click outside of the edit region to accept the current caption. In this case, the item’s CanRenameTo method is called to determine if the new name can be accepted. The name to be tested is passed as the AName parameter. If the method returns True, the item’s name is changed to the entered value. Otherwise, an error message box is displayed and the item’s caption is reset to the initial value without closing the caption editor. The message box’s text is specified by the CannotRenameMessageText method’s return value.

As implemented in the TCustomdxPSExplorerItem class, the CanRenameTo method returns a value indicating whether the explorer allows renaming. For instance, the file-based report explorer validates the file name before accepting it.

TCustomdxPSExplorerItem descendants override the CanRenameTo method to return False if the item’s parent folder already contains a folder/file with the specified name.


TCustomdxPSExplorerItem.Create

TCustomdxPSExplorerItem

Creates a new item.

constructor Create(AnExplorer: TCustomdxPSExplorer ; AParent: TdxPSExplorerFolder ); virtual;

Description

The constructor creates a new item within the specified explorer, the explorer is identified by the AnExplorer parameter. The newly created item is placed into the folder specified by the AParent parameter.

Note that you will not have to create items or folders directly using their constructors. To create an item or a folder, call the explorer component’s CreateNewItem or CreateNewFolder methods respectively.


TCustomdxPSExplorerItem.Delete

TCustomdxPSExplorerItem

Deletes the item.

procedure Delete; virtual;

Description

The delete method is called automatically when end users attempt to delete the selected item. They can do this by pressing the DELETE key or by choosing the Delete… item from the item’s context menu. Before an item is actually deleted, the explorer invokes a confirmation box displaying the message returned by the DeleteMessageText method.

Note that the explorer calls the CanDelete method before deleting an item using the Delete method. You can also call the Delete method manually, in this case, the CanDelete method is not invoked.


TCustomdxPSExplorerItem.DeleteMessageText

TCustomdxPSExplorerItem

Returns the text displayed by the confirmation box that is invoked before deleting the item.

function DeleteMessageText: string; virtual;

Description

When end users attempt to delete an item, the report explorer invokes the confirmation box. This box’s message is the DeleteMessageText method’s return value.

As implemented in the TCustomdxPSExplorerItem class, the DeleteMessageText method returns an empty string. Descendants override this method to provide proper confirmation strings.

Note: end users can delete the selected item by pressing the DELETE key or choosing the Delete… item from the item’s context menu.


TCustomdxPSExplorerItem.DisplayName

TCustomdxPSExplorerItem

Gets the item’s display name.

property DisplayName: string;

Description

The DisplayName property is used to obtain the string that represents the item within the explorer’s tree view. As implemented in the TCustomdxPSExplorerItem class, the DisplayName property returns the Name property value. Items used in file-based explorers override this property to return the file name without the extension.

ReadOnly Property


TCustomdxPSExplorerItem.Explorer

TCustomdxPSExplorerItem

Returns the explorer component that owns this item.

function Explorer: TCustomdxPSExplorer ; virtual;

Description

The Explorer method is used to access the explorer component that owns the item, the method is primarily used internally. Note that the method returns the value that is specified by the constructor parameter.


TCustomdxPSExplorerItem.GetUniqueID

TCustomdxPSExplorerItem

Enables you to obtain the item’s unique ID.

function GetUniqueID(ABuffer: Pointer): Integer; virtual;

Description

The GetUniqueID method generates the item’s unique ID and writes it to the ABuffer parameter. This method’s return value is the number of bytes occupied by the written pointer.

As implemented in the TCustomdxPSExplorerItem class, the GetUniqueID method simply returns 0. Descendants override this method to write a proper ID to the parameter passed and return its size. For items in file-based explorers, an item’s unique ID is its fully qualified path. You should pass a pointer of the PShortString type as the parameter in this case. For data-aware explorers, an item’s unique ID is a pointer of a PdxDBBasedExplorerItemUniqueID type, so you need to pass such a pointer as the parameter.


TCustomdxPSExplorerItem.HasAsParent

TCustomdxPSExplorerItem

Returns a value indicating whether the item is a child of the item passed as the parameter.

function HasAsParent(AnItem: TCustomdxPSExplorerItem ): Boolean;

Description

The HasAsParent method scans the report hierarchy to the top searching for the item specified. If found, the method returns True if the specified item is the current item’s parent at any nesting level.

Note that if you need to obtain the item’s immediate parent, you should use the item’s Parent property.


TCustomdxPSExplorerItem.HasPropertySheets

TCustomdxPSExplorerItem

Gets a value indicating whether items of this type have an associated property sheets dialog.

class function HasPropertySheets: Boolean;

Description

This method’s return value is used internally to determine whether items of a particular kind have an associated property sheets dialog. This specifies whether such item’s context menus display the Properties… item enabled. (Note that this also affect’s the preview window’s Explorer | Properties… item).

The HasPropertySheets method returns True if the PropertySheetsClass method’s return value is not nil.


TCustomdxPSExplorerItem.InfoTip

TCustomdxPSExplorerItem

Returns the item’s hint text.

property InfoTip: string;

Description

When pointing to an item within the explorer’s tree view, the item’s hint window is displayed this hint window displays the text returned by the item’s InfoTip property. As implemented in the TCustomdxPSExplorerItem class, the InfoTip property simply returns an empty string. The derived TdxPSExplorerItem class overrides this property to return text containing the report caption, creator name, creation date and description. Note that the method actually returns the report document’s InfoTip property value. The report document’s settings can be accessed via the item’s ReportDocument property.

Note that if the InfoTip property returns an empty string, no hint window is displayed. Thus, no hints are displayed for report folders.

ReadOnly Property


TCustomdxPSExplorerItem.IsNameChanged

TCustomdxPSExplorerItem

Determines whether the item’s name is the same as the specified string.

function IsNameChanged(const ANewName: string): Boolean; virtual;

Description

This method is used by the report item’s property sheet’s dialog to determine whether the dialog is allowed to close, it passes the report name specified within the dialog as the parameter. If the parameter value matches the item’s name, the method returns False, in this case attempts to close the dialog will succeed. Otherwise, the item’s CanRenameTo method is called to determine if the item can be renamed. If so, the new name is assigned to the item and the dialog is closed. Otherwise, a message box with the CannotRenameMessageText text is displayed and the property sheet’s dialog remains active allowing end users to correct the name entered.


TCustomdxPSExplorerItem.Name

TCustomdxPSExplorerItem

Specifies the item’s name.

property Name: string;

Description

For items used in file-based explorers, the Name property corresponds to the folder’s or file’s name. For items used in data-aware explorers, the name is the value from the specified data field. When new items are created using the CreateNewItem and CreateNewFolder methods, they get automatically generated names, you can use the Name property to change these names to the desired strings.

Note that the Name property of items used in file-based explorers has its own specifics. If you set this property to a string that doesn’t specify any file extension, the RPS extension is automatically appended.


TCustomdxPSExplorerItem.OverwriteMessageText

TCustomdxPSExplorerItem

Returns a message displayed when moving an item to a folder that already contains an item with the same name.

function OverwriteMessageText(Dest: TCustomdxPSExplorerItem ): string; virtual;

Description

End users are allowed to move report items between folders using drag and drop. If an item is dropped into a folder that already contains an item with the same name, a confirmation message box is displayed. The text displayed within the box is specified by the OverwriteMessageText method’s return value.

As implemented in the TCustomdxPSExplorerItem class, the method simply returns an empty string. Descendants override this method to construct proper confirmation messages.


TCustomdxPSExplorerItem.Parent

TCustomdxPSExplorerItem

Specifies the item’s parent folder.

property Parent: TdxPSExplorerFolder ;

Description

Read the Parent property to obtain an object representing the item’s parent folder. Change this property value to move the item to another folder.


TCustomdxPSExplorerItem.PropertySheetsClass

TCustomdxPSExplorerItem

Returns the type of an object that provides the property sheets dialog for items of a particular type.

class function PropertySheetsClass: TCustomdxPSExplorerItemPropertySheetsClass; virtual;

Description

As implemented in the TCustomdxPSExplorerItem class, the PropertySheetsClass method returns nil. The TdxPSExplorerItem class overrides this method to provide a common property sheets dialog for report items used both in file-based and data-aware explorers.


TCustomdxPSExplorerItem.ShowPropertySheets

TCustomdxPSExplorerItem

Invokes the property sheets dialog for the item, if possible.

function ShowPropertySheets: Boolean;

Description

Report items displayed by file-based and data-aware explorers provide property sheets dialogs. These dialogs are invoked by the ShowPropertySheets method call. Note that the method is called automatically when end users select the Properties… item of an item’s context menu or press the ALT-F10 key combination.

The method returns True if the property sheets dialog has been successfully invoked and closed using the OK button.

Note that the property sheets dialog type is determined by the PropertySheetsClass class function.


TCustomdxRichEditReportLink.CustomRichEdit

TCustomdxRichEditReportLink

Provides access to a generic rich edit control which is printed within a report.

property CustomRichEdit: TCustomRichEdit;

Description

The CustomRichEdit property provides access to the rich edit control which is printed within a report.

ReadOnly Property


TCustomdxSpreadSheetReportLink.Assign

TCustomdxSpreadSheetReportLink

Copies property values of one TCustomdxSpreadSheetReportLink object to another.

procedure Assign(Source: TPersistent); override;

Description

Use Assign to copy the property values from the persistent object specified in Source to the current object instance. When Source has the same ClassType as the current object, Assign will copy the following property values:

  • OptionsView

  • PrintArea


TCustomdxSpreadSheetReportLink.BookSheet

TCustomdxSpreadSheetReportLink

Represents the worksheet to be printed.

property BookSheet: TcxSSBookSheet;

Description

Use the BookSheet property to obtain the worksheet to print. It can be both a separate worksheet and a part of a specific workbook. A workbook, which owns the worksheet, specified via the BookSheet property is represented via the CustomSpreadSheetBook property.

ReadOnly Property


TCustomdxSpreadSheetReportLink.CustomSpreadSheetBook

TCustomdxSpreadSheetReportLink

Represents a workbook containing the printed worksheet.

property CustomSpreadSheetBook: TcxCustomSpreadSheetBook;

Description

Use the CustomSpreadSheetBook property to obtain a workbook whose active worksheet is to be printed. This property always returns nil for the TdxSpreadSheetReportLink class.

ReadOnly Property


TCustomdxSpreadSheetReportLink.DataProviderPresent

TCustomdxSpreadSheetReportLink

Determines whether the current report link is associated with a specific ExpressSpreadSheet component and the corresponding worksheet can be printed out.

function DataProviderPresent: Boolean; override;

Description

Call the DataProviderPresent method to determine whether the current report link is associated with a specific ExpressSpreadSheet component and the corresponding worksheet can be printed out. A specific worksheet can be printed using the ExpressPrinting System if it contains at least one non-empty cell.


TCustomdxSpreadSheetReportLink.DataToPrintExist

TCustomdxSpreadSheetReportLink

Determines whether the worksheet to be printed contains data for printing.

function DataToPrintExist: Boolean; virtual;

Description

Call the DataToPrintExist method to determine the possibility of printing out a specific worksheet. A specific worksheet can be printed using the ExpressPrinting System if it contains at least one non-empty cell.


TCustomdxSpreadSheetReportLink.OptionsView

TCustomdxSpreadSheetReportLink

Specifies the look & feel options to print the current link.

type

TdxPSSpreadSheetReportLinkOptionView = (ssovRowAndColumnHeadings, ssovGridlines, ssovSuppressSourceFormats);

TdxPSSpreadSheetReportLinkOptionsView = set of TdxPSSpreadSheetReportLinkOptionView;

property OptionsView: TdxPSSpreadSheetReportLinkOptionsView;

Description

Use the OptionsView property to customize the look & feel of a printed worksheet. The OptionsView settings determine whether to print out rows and column headers, grid lines and custom formatting applied to the source document (if the printed worksheet displays a specific MS Excel file). The list of look & feel options for printing the ExpressSpreadSheet includes:

Value

Description

ssovRowAndColumnHeadings

Indicates whether to print out headers of worksheet rows and columns.

ssovGridlines

Indicates whether to print out worksheet grid lines.

ssovSuppressSourceFormats

Indicates whether to print out a specific worksheet without using worksheet formatting and styles settings.

The default value of the OptionsView property is [ssovRowAndColumnHeadings].


TCustomdxSpreadSheetReportLink.PrintArea

TCustomdxSpreadSheetReportLink

Specifies the area for printing.

property PrintArea: TRect;

Description

Use the PrintArea property to specify the rectangle representing the area for printing. If all coordinates of this rectangle’s vertices are –1, the printed area is considered empty.


TCustomdxSpreadSheetReportLink.PrintAreaExists

TCustomdxSpreadSheetReportLink

Determines whether the printed area is not empty.

function PrintAreaExists: Boolean; virtual;

Description

Call the PrintAreaExists method to determine whether the printed area is not empty. This method returns values based on the PrintArea property values. If the PrintArea property represents a TRect whose coordinates are –1, the PrintAreaExists method will be set to False.


TCustomdxTeeChartReportLink.Chart

TCustomdxTeeChartReportLink

Determines the TChart component to be printed by a printing component.

property Chart : TChart;

Description

This property returns the TChart object for which a report is created.


TCustomdxTreeListReportLink.AutoNodesExpand

TCustomdxTreeListReportLink

Specifies whether nodes are expanded when printing a tree list or a grid component.

property AutoNodesExpand: Boolean;

Description

Set the AutoNodesExpand property to True to force all nodes to expand when printing a report. If the AutoNodesExpand property is False, all tree list (grid) items are printed as is.

The default value of this property is False.


TCustomdxTreeListReportLink.BandColor

TCustomdxTreeListReportLink See Also

Specifies the background color of a band in a report.

property BandColor : TColor;

Description

Use the BandColor property to specify the background color of band headers in a report. This color may differ from the band color in the TreeList.

The default value of this property is specified by the dxDefaultFixedColor constant.


TCustomdxTreeListReportLink.BandFont

TCustomdxTreeListReportLink See Also

Determines the band font in a report.

property BandFont : TFont;

Description

Use the BandFont property to specify the font of band header text in a report. This font may differ from the font used in TdxTreeList, TdxDBGrid or TdxDBTreeList components. This property is useful to emphasize bands on black and white printers.


TCustomdxTreeListReportLink.BandsOnEveryPage

TCustomdxTreeListReportLink

Specifies whether bands are displayed on every report page.

property BandsOnEveryPage: Boolean;

Description

Set the BandsOnEveryPage property to True to display bands on every page when printing a report. If this property is False, only the first report page contains bands.

The default value of this property is True.


TCustomdxTreeListReportLink.CustomTreeList

TCustomdxTreeListReportLink

Returns a TCustomdxTreeListControl object.

property CustomTreeList: TCustomdxTreeListControl;

Description

This property returns a TCustomdxTreeListControl object that is the base class for tree list and grid objects. TCustomdxTreeListControl descendants inherit the basic functionality of TCustomdxTreeListControl.

ReadOnly Property


TCustomdxTreeListReportLink.DefaultGraphicAsTextValue

TCustomdxTreeListReportLink See Also

Specifies the default string which can be substituted for an image displayed within a column.

function DefaultGraphicAsTextValue: string; virtual;

Description

Whenever text is substituted for an image within a graphic column (the tlpoGraphicAsText option is active) the GraphicAsTextValue property specifies the text string which is displayed in place of the image. When the GraphicAsTextValue property isn't assigned a value (is null) the DefaultGraphicAsTextValue function specifies the text string which is displayed by default.


TCustomdxTreeListReportLink.DrawMode

TCustomdxTreeListReportLink

Determines the manner in which a component is displayed in a report.

type

TdxTreeListDrawMode = (tldmStrict, tldmOddEven, tldmBorrowSource);

property DrawMode: TdxTreeListDrawMode;

Description

Use the DrawMode property to select the manner in which a component is printed in a report. Please refer to the table below for more information.

Value

Description

tldmStrict

Used when all colors should look exactly as they are specified in the designer despite any manipulations applied to the control within your application.

tldmOddEven

Used to differentiate even/odd row colors within your report. These colors are specified in the EvenColor (for even lines) and OddColor (for odd lines) properties.

tldmBorrowSource

Used to print a component using a WYSIWYG approach. Designer settings are ignored when printing a report. All settings are borrowed from the source component.

When the DrawMode property is set to tldmBorrowSource, the color set in the designer will be ignored and application colors will be used during printing.

The default value of this property is tldmStrict.


TCustomdxTreeListReportLink.EvenColor

TCustomdxTreeListReportLink See Also

Specifies the background color used for even rows in a report.

property EvenColor: TColor;

Description

Use the EvenColor property to specify the background color for even rows. This property is in effect only in Odd/Even Rows Mode.

The default value of this property is clWhite.


TCustomdxTreeListReportLink.EvenFont

TCustomdxTreeListReportLink See Also

Specifies even row font in a report.

property EvenFont: TFont;

Description

Use the EvenFont property to specify the text font of even rows when printing a component. This property is in effect only when the DrawMode property is set to tldmOddEven.


TCustomdxTreeListReportLink.ExpandLevel

TCustomdxTreeListReportLink

Specifies the number of levels to print.

property ExpandLevel : Integer;

Description

Use the ExpandLevel property to specify the number of node levels to print. For instance, if the ExpandLevel property value is equal to 3, then the report will contain only nodes for the first three levels. Set this property to -1 to print all levels.

The default value of the ExpandLevel property is -1.


TCustomdxTreeListReportLink.ExtendedColorManage

TCustomdxTreeListReportLink

Determines whether to use a component’s color palette.

property ExtendedColorManage: Boolean;

Description

This property is provided for backwards compatibility only. To display a component using its own settings (for instance, a component’s color palette), set the DrawMode property to tldmBorrowSource.

Each column in a TdxTreeList or TdxDBGrid component includes a Color property and with the help of this property, it can include its own unique color. If the ExtendedColorManage property is set to True, then the original color of columns is used.

The default value of this property is False.


TCustomdxTreeListReportLink.ExtendedSelect

TCustomdxTreeListReportLink See Also

Specifies the manner in which selected nodes are printed.

property ExtendedSelect: Boolean;

Description

This property is valid if the OnlySelected property is True. If the ExtendedSelect property is True, then all selected nodes are printed with their parents as they are displayed on screen, that is if a node among the selected items is not expanded, it will be not be printed as expanded. If the ExtendedSelect property is False, all nodes, located at the same level with that selected, will be printed in expanded mode.

In the following instance:

If the ExtendedSelect property is True, the data pictured below will be printed:

If the ExtendedSelect property is False, the data pictured below will be printed:

The default value of this property is True.


TCustomdxTreeListReportLink.FixedTransparent

TCustomdxTreeListReportLink

Specifies whether fixed cells are drawn transparently.

property FixedTransparent: Boolean;

Description

If the FixedTransparent property is True, fixed cells such as headers, footers, row footers and group nodes are drawn transparently.

The default value of the FixedTransparent property is False.


TCustomdxTreeListReportLink.FooterFont

TCustomdxTreeListReportLink

Specifies footer cells font.

property FooterFont : TFont;

Description

Use the FooterFont property to determine font used for footer cells in a report.


TCustomdxTreeListReportLink.GraphicAsTextValue

TCustomdxTreeListReportLink See Also

Determines the text that appears in the place of an image in a graphic column.

property GraphicAsTextValue: string;

Description

Whenever text is substituted for an image within a graphic column (the tlpoGraphicAsText option is active) the GraphicAsTextValue property specifies the text string which is displayed in place of the image in this case. When the GraphicAsTextValue property doesn't have a value assigned (is null) the DefaultGraphicAsTextValue function specifies the text string which is displayed by default.


TCustomdxTreeListReportLink.GroupNodeColor

TCustomdxTreeListReportLink

Specifies the color of group nodes in a report.

property GroupNodeColor : TColor;

Description

The GroupNodeColor property is applicable only to the TdxDBGridReportLink component. Group nodes are nodes with child nodes. This property determines the background color of group nodes in a report.

The default value of this property is specified by the dxDefaultFixedColor constant.


TCustomdxTreeListReportLink.GroupNodeFont

TCustomdxTreeListReportLink

Specifies group node font in a report.

property GroupNodeFont: TFont;

Description

The GroupNodeFont property is applicable only to the TdxDBGridReportLink component. Group nodes are nodes with child nodes. This property specifies group node font in a report.


TCustomdxTreeListReportLink.HeaderColor

TCustomdxTreeListReportLink See Also

Specifies the background color of headers in a report.

property HeaderColor : TColor;

Description

Use this property to specify the background color for column headers in a report. If the FixedTransparent property is True, the HeaderColor property has no effect and column headers are drawn transparently.

The default value of this property is specified by the dxDefaultFixedColor constant.


TCustomdxTreeListReportLink.HeaderFont

TCustomdxTreeListReportLink See Also

Determines headers font.

property HeaderFont : TFont;

Description

Use this property to specify the font of column headers. This font may differ from the font used in a TdxTreeList or TdxDBGrid component.


TCustomdxTreeListReportLink.HeadersOnEveryPage

TCustomdxTreeListReportLink

Specifies whether column headers are printed on every page of a report.

property HeadersOnEveryPage: Boolean;

Description

Set the HeadersOnEveryPage property to False to hide column headers on every page of a report.

The default value of this property is True.


TCustomdxTreeListReportLink.HorzDelimitByBands

TCustomdxTreeListReportLink

Determines whether to split the ExpressQuantumTreeList or ExpressQuantumGrid by bands.

property HorzDelimitByBands: Boolean;

Description

If the HorzDelimitByBands property value is True, the ExpressQuantumTreeList or ExpressQuantumGrid is split horizontally by bands, otherwise by columns.

The default value of this property is True.


TCustomdxTreeListReportLink.IsDBGridLink

TCustomdxTreeListReportLink See Also

Determines whether a report link is used to print a TdxDBGrid component.

function IsDBGridLink: Boolean; virtual; abstract;

Description

Returns True, if the ExpressPrinting System is linked to a TdxDBGrid component.


TCustomdxTreeListReportLink.IsDBTreeListLink

TCustomdxTreeListReportLink See Also

Determines whether a report link is used to print a TdxDBTreeList component.

function IsDBTreeList: Boolean; virtual; abstract;

Description

Returns True, if the ExpressPrinting System is linked to a TdxDBTreeList component.


TCustomdxTreeListReportLink.IsTreeListLink

TCustomdxTreeListReportLink See Also

Determines whether a report link is used to print a TdxTreeList component.

function IsTreeListLink: Boolean; virtual; abstract;

Description

Returns True, if the ExpressPrinting System is linked to a TdxTreeList component.


TCustomdxTreeListReportLink.GridLineColor

TCustomdxTreeListReportLink

Specifies the line color of an ExpressQuantumTreeList or ExpressQuantumGrid in a report.

property GridLineColor : TColor;

Description

Use the GridLineColor property to specify the color of TdxTreeList or TdxDBGrid component lines in a report. This color may differ from the original line color. The default value of the Color property is clBlack.


TCustomdxTreeListReportLink.OddColor

TCustomdxTreeListReportLink See Also

Specifies the background color of odd rows in a report.

property OddColor: TColor;

Description

Use the OddColor property to specify the color of odd rows. This property is in effect only when the DrawMode property is set to tldmOddEven.

The default value of this property is clWhite.


TCustomdxTreeListReportLink.OddFont

TCustomdxTreeListReportLink See Also

Specifies odd row font.

property OddFont: TFont;

Description

Use the OddFont property to specify the font of odd rows.


TCustomdxTreeListReportLink.OnCustomDrawBandCell

TCustomdxTreeListReportLink

Occurs when drawing a band cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxTLReportLinkCustomDrawBandCellEvent = procedure(Sender: TBasedxReportLink; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; ABand: TdxTreeListBand; var AText: string; var AColor: TColor; AFont: TFont; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ADone: Boolean) of object;

property OnCustomDrawBandCell: TdxTLReportLinkCustomDrawBandCellEvent;

Description

Write an OnCustomDrawBandCell event handler to draw a band cell. The ACanvas parameter determines the drawing surface.

Parameter

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ABand

Band of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies background color. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawBandCell event handler entirely draws a band cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TCustomdxTreeListReportLink.OnCustomDrawCell

TCustomdxTreeListReportLink

Occurs when drawing a cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxTLReportLinkCustomDrawCellEvent = procedure(Sender: TBasedxReportLink; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; ANode: TdxTreeListNode; AColumn: TdxTreeListColumn; var AText: string; var AColor: TColor; AFont: TFont; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ADone: Boolean) of object;

property OnCustomDrawCell: TdxTLReportLinkCustomDrawCellEvent;

Description

Write an OnCustomDrawCell event handler to draw a cell. The ACanvas parameter determines the drawing surface.

Parameter

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ANode

Node of a cell.

AColumn

Column of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies background color. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawCell event handler entirely draws a cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TCustomdxTreeListReportLink.OnCustomDrawFooterCell

TCustomdxTreeListReportLink

Occurs when drawing a footer cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxTLReportLinkCustomDrawFooterCellEvent = procedure(Sender: TBasedxReportLink; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; ANode: TdxTreeListNode; AColumn: TdxTreeListColumn; var AText: string; var AColor: TColor; AFont: TFont; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ADone: Boolean) of object;

property OnCustomDrawFooterCell: TdxTLReportLinkCustomDrawFooterCellEvent;

Description

Write an OnCustomDrawFooterCell event handler to draw a footer cell. The ACanvas parameter determines the drawing surface.

Parameter

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ANode

Node of a cell.

AColumn

Column of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies background color of a footer cell. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawFooterCell event handler entirely draws a footer cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TCustomdxTreeListReportLink.OnCustomDrawHeaderCell

TCustomdxTreeListReportLink

Occurs when drawing a header cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxTLReportLinkCustomDrawHeaderCellEvent = procedure(Sender: TBasedxReportLink; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; AColumn: TdxTreeListColumn; var AText: string; var AColor: TColor; AFont: TFont; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ASorted: TdxCellSortOrder; var ADone: Boolean) of object;

property OnCustomDrawHeaderCell: TdxTLReportLinkCustomDrawHeaderCellEvent;

Description

Write an OnCustomDrawHeaderCell event handler to draw a header cell. The ACanvas parameter determines the drawing surface.

Parameter

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

AColumn

Column of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies background color of a footer cell. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ASorted

Specifies the order cells are sorted (ascending order, descending order, unsorted).

ADone

Determines whether the OnCustomDrawHeaderCell event handler entirely draws a header cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TCustomdxTreeListReportLink.OnCustomDrawPreviewCell

TCustomdxTreeListReportLink

Occurs when drawing a preview cell.

type

TdxTLReportLinkCustomDrawPreviewCellEvent = procedure(Sender: TBasedxReportLink; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; ANode: TdxTreeListNode; var AText: string; var AColor, ATextColor: TColor; AFont: TFont; var ADone: Boolean) of object;

property OnCustomDrawPreviewCell: TdxTLReportLinkCustomDrawPreviewCellEvent;

Description

Write an OnCustomDrawPreviewCell event handler to draw a preview cell. The ACanvas parameter determines the drawing surface.

Parameter

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ANode

Node of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies background color of a cell. It can be changed, if necessary.

ATextColor

Specifies text color of a cell. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawPreviewCell event handler entirely draws a preview cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TCustomdxTreeListReportLink.OnCustomDrawRowFooterCell

TCustomdxTreeListReportLink

Occurs when drawing a row footer cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxTLReportLinkCustomDrawRowFooterCellEvent = procedure(Sender: TBasedxReportLink; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; ANode: TdxTreeListNode; AColumn: TdxTreeListColumn; AFooterIndex: Integer; var AText: string; var AColor: TColor; AFont: TFont; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ADone: Boolean) of object;

property OnCustomDrawRowFooterCell: TdxTLReportLinkCustomDrawRowFooterCellEvent;

Description

Write an OnCustomDrawRowFooterCell event handler to draw a row footer cell. The ACanvas parameter determines the drawing surface.

Parameter

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ANode

Node of a cell.

AColumn

Column of a cell.

AFooterIndex

Specifies footer index.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies background color of a cell. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawRowFooterCell event handler entirely draws a row footer cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TCustomdxTreeListReportLink.OnlySelected

TCustomdxTreeListReportLink See Also

Determines whether only selected rows are printed.

property OnlySelected: Boolean;

Description

If the OnlySelected property is True, then the report contains only selected rows of a TdxTreeList, TdxDBGrid or TdxDBTreeList component. By default, the OnlySelected property is False, thus all rows are included in the report.


TCustomdxTreeListReportLink.Options

TCustomdxTreeListReportLink

Determines which elements of a TdxTreeList, TdxDBTreeList or TdxDBGrid component are included in a report.

type

TdxTreeListPaintOption = (tlpoBands, tlpoHeaders, tlpoFooters, tlpoRowFooters, tlpoPreview, tlpoPreviewGrid, tlpoGrid, tlpoFlatCheckmarks, tlpoImages, tlpoStateImages, tlpoTransparentColumnGraphic, tlpoGraphicAsText, tlpo3DEffects, tlpoSoft3D, tlpoRowFooterGrid);

TdxTreeListPaintOptions = set of TdxTreeListPaintOption;

property Options: TdxTreeListPaintOptions;

Description

Use the Options property to determine which elements of a TdxTreeList, TdxDBTreeList or TdxDBGrid component are included in a report:

Value

Description

tlpoBands

If active, bands are included.

tlpoHeaders

If active, both band and column headers are included.

tlpoFooters

If active, footer cells are included.

tlpoFlatCheckmarks

If active, check boxes are drawn flat; otherwise they have a three-dimensional display.

tlpoRowFooters

If active, row footers are included.

tlpoPreview

If active, the printing component includes the preview section in the report.

tlpoPreviewGrid

If active, the printing component draws additional structures. For more information see the TdxTreeList, TdxDBTreeList or TdxDBGrid component. This option is effective only if the tlpoGrid is active.

tlpoGrid

If active, grid lines are drawn in the report.

tlpoImages

If active, images drawn to the left of a node are included in the report.

tlpoStateImages

If active, state images drawn to the left of a node are included in the report.

tlpoTransparentColumnGraphic

If active, images in a graphics column are transparent.

tlpoGraphicAsText

If active, images in a graphics column are substituted with text, specified by the GraphicAsTextValue property.

tlpo3DEffects

If active, the printing component may have 3D effects.

tlpoSoft3D

If active, the printing component may have a slight 3D effect.

tlpoRowFooterGrid

If active, row footer grid lines are drawn in the report.

The default value of this property is [tlpoBands..tlpoStateImages, tlpoSoft3D, tlpoRowFooterGrid].


TCustomdxTreeListReportLink.PreviewColor

TCustomdxTreeListReportLink See Also

Specifies the background color of the preview section.

property PreviewColor : TColor;

Description

Use this property to specify the background color of the report preview section.

The default value of the PreviewColor property is clWhite.


TCustomdxTreeListReportLink.PreviewFont

TCustomdxTreeListReportLink See Also

Specifies the preview font.

property PreviewFont : TFont;

Description

Use the PreviewFont property to specify the font used for the report preview section.


TCustomdxTreeListReportLink.PreviewLineCount

TCustomdxTreeListReportLink

Determines the height of the component preview section.

property PreviewLineCount: Integer;

Description

Use the PreviewLineCount property to specify the number of rows displayed in the preview section of a grid (TreeList, DB TreeList).

The default value of this property is -1.


TCustomdxTreeListReportLink.RowFooterColor

TCustomdxTreeListReportLink See Also

Specifies the background color of the row footer.

property RowFooterColor : TColor;

Description

Use this property to specify the background color of report row footer cells.

The default value of this property is specified by the dxDefaultFixedColor constant.


TCustomdxTreeListReportLink.RowFooterFont

TCustomdxTreeListReportLink See Also

Specifies the font of a row footer’s cell text.

property PreviewFont : TFont;

Description

Use the RowFooterFont property to specify the text font of report row footer cells.


TCustomdxTreeListReportLink.SupportedCustomDraw

TCustomdxTreeListReportLink

Specifies whether custom drawing events are enabled.

property SupportedCustomDraw: Boolean;

Description

If the SupportedCustomDraw property is False, the default painting process is used to paint a component in a report. Set this property to True to perform custom drawing of a component.

The default value of this property is False.


TCustomdxTreeListReportLink.TreeLineColor

TCustomdxTreeListReportLink

Specifies the tree line color of the tree list component in a report.

property TreeLineColor: TColor;

Description

Use the TreeLineColor property to specify the color of the tree list component’s tree lines in a report.

The TreeLineColor property's default value is clGray.


TCustomdxTreeListReportLink.UseColumnFont

TCustomdxTreeListReportLink

Determines whether to use original column fonts.

property UseColumnFont: Boolean;

Description

This property is provided for backwards compatibility only. To display a component using its own settings (for instance, column fonts), set the DrawMode property to tldmBorrowSource.

Each column of a TdxTreeList, TdxDBGrid or TdxDBTreeList component includes the Font property and with the help of this property, can have its own unique font. If the UseColumnFont property is True, then the report will use original column fonts.

The default value of this property is False.


TCustomdxTreeViewReportLink.OnCustomDrawNode

TCustomdxTreeViewReportLink

Occurs when drawing a specific node within a tree view control.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxTVCustomDrawNodeEvent = procedure(Sender: TBasedxReportLink; ANode: TTreeNode; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; var AText: string; AFont: TFont; var AColor: TColor; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ADone: Boolean) of object;

property OnCustomDrawNode: TdxTVCustomDrawNodeEvent;

Description

Write an OnCustomDrawNode event handler to draw a specific node when printing a report. Draw a cell using the TCanvas method.

Parameter

Description

ANode

Specifies a specific node of a tree view component.

ACanvas

Determines canvas for drawing.

ABoundsRect

Specifies rectangle including borders for drawing.

AClientRect

Specifies rectangle excluding borders for drawing.

AText

Determines node text. You can change it if necessary.

AFont

Specifies font for drawing node text. You can change it, if necessary.

AColor

Specifies the background color of a node. You can change it, if necessary.

ATextAlignX

Determines horizontal text alignment of a node. You can change it, if necessary.

ATextAlignY

Determines vertical text alignment of a node. You can change it, if necessary.

ADone

Determines whether the OnCustomDrawNode event handler entirely draws a node. If ADone is True, the default drawing procedure is not called.

In order to specify the color, font, text or alignment, used for drawing a specific node, set proper values for the AColor, AFont, AText, ATextAlignX or ATextAlignY parameters and set ADone to False within the OnCustomDrawNode event handler.


TCustomdxTreeViewReportLink.SupportedCustomDraw

TCustomdxTreeViewReportLink

Specifies whether a custom painting procedure is enabled.

property SupportedCustomDraw: Boolean;

Description

If the SupportedCustomDraw property is set to False, the default painting process is used to paint a component in a report. Set this property to True to use your own custom painting procedure.

The default value of the SupportedCustomDraw property is False.


TcxCustomMemoReportLink.cxCustomMemo

TcxCustomMemoReportLink

Provides access to the multi-line editor being printed.

property cxCustomMemo: TcxCustomMemo;

Description

Use the cxCustomMemo property to access the multi-line editor being printed. The GetCustomMemo function typecasts the value of the cxCustomMemo property to the TCustomMemo type.

ReadOnly Property


TcxCustomMemoReportLink.GetCustomMemo

TcxCustomMemoReportLink

Returns the multi-line editor being printed.

property GetCustomMemo: TCustomMemo; override;

Description

The GetCustomMemo function returns the multi-line editor being printed as the value of the CustomMemo property.


TcxCustomSchedulerReportLinkOptions.ReportLink

TcxCustomSchedulerReportLinkOptions

Represents the scheduler’s report generating component.

property ReportLink: TcxSchedulerReportLink ;

Description

Use the ReportLink property to access the TcxSchedulerReportLink object’s interface.

ReadOnly Property


TcxCustomSchedulerReportLinkOptions.Scheduler

TcxCustomSchedulerReportLinkOptions

Represents the scheduler control that the report is generated for.

property Scheduler: TcxScheduler ;

Description

The scheduler control provides a graphical interface to end users for scheduling user events. Use the Scheduler property to access the scheduler control’s instance.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.Active

TcxCustomSchedulerReportLinkPrintStyle See Also

Specifies whether the current print style is applied to the scheduler’s report.

property Active: Boolean;

Description

Set the Active property to True to apply the current print style to the scheduler’s report.


TcxCustomSchedulerReportLinkPrintStyle.ActualDatePrintFrom

TcxCustomSchedulerReportLinkPrintStyle See Also

Gets the actual date, which the scheduler’s report starts from.

property ActualDatePrintFrom: TDate;

Description

The actual start date of the scheduler’s report depends upon the print style used. For example, if the weekly print style is applied (see TcxSchedulerReportLinkWeeklyPrintStyle ), the ActualDatePrintFrom property returns the first day of the week as the start date of the scheduler’s report. If the DontPrintWeekends property is set to True and a weekend day is the first day of the week, then the ActualDatePrintFrom property returns the first day after the weekend, if the TcxSchedulerReportLinkPrintRange.PrintFrom date falls on the weekend.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.ActualDatePrintTo

TcxCustomSchedulerReportLinkPrintStyle See Also

Gets the actual date the scheduler’s report ends with.

property ActualDatePrintTo: TDate;

Description

The actual end date of the scheduler’s report depends upon the print style used. For example, if the weekly print style is applied (see TcxSchedulerReportLinkWeeklyPrintStyle ), the ActualDatePrintTo property returns the last weekday as the end date of the scheduler’s report, if the first day of the week is a weekend day. If the DontPrintWeekends property is set to True and the weekend day is the last day of the week then the ActualDatePrintTo property returns the last weekday of the next week, if the TcxSchedulerReportLinkPrintRange.PrintTo date falls on the weekend.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.Caption

TcxCustomSchedulerReportLinkPrintStyle

Specifies the appropriate print style’s caption.

property Caption: string;

Description

Use the Caption property to specify the print style’s caption. If the Caption property’s value is not specified then the default caption will be returned (see the DefaultCaption method) when the Caption property’s value is retrieved.


TcxCustomSchedulerReportLinkPrintStyle.CompressWeekends

TcxCustomSchedulerReportLinkPrintStyle See Also

Specifies whether the days in a weekend are to be displayed together in a single day cell.

property CompressWeekends: Boolean;

Description

Set the CompressWeekends property to True to display the days in a weekend in a single day cell in the scheduler’s report.

The default value of the CompressWeekends property is True.


TcxCustomSchedulerReportLinkPrintStyle.CorrespondedView

TcxCustomSchedulerReportLinkPrintStyle See Also

Gets the time view that corresponds to the current print style.

property CorrespondedView: TcxSchedulerCustomResourceView ;

Description

Use the CorrespondedView property to determine the current print style’s corresponding time view.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.DefaultCaption

TcxCustomSchedulerReportLinkPrintStyle

Returns the current print style's default caption.

function DefaultCaption: string; virtual;

Description

Use the DefaultCaption method to determine the default caption of the current print style.


TcxCustomSchedulerReportLinkPrintStyle.DontPrintWeekends

TcxCustomSchedulerReportLinkPrintStyle See Also

Specifies whether weekends are omitted from the scheduler’s report.

property DontPrintWeekends: Boolean;

Description

Set the DontPrintWeekends property to False to include weekends in the scheduler’s report.

The default value of the DontPrintWeekends property is False.


TcxCustomSchedulerReportLinkPrintStyle.HasAdditionalArea

TcxCustomSchedulerReportLinkPrintStyle See Also

Gets whether one of the note panes or the task pad is included in the scheduler’s report.

property HasAdditionalArea: Boolean;

Description

Use the HasAdditionalArea property to determine whether the task pad, the plain notes pane or the lined notes pane is included in the scheduler’s report. The HasAdditionalArea property returns True if at least one of the above components is contained in the scheduler’s report.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.Index

TcxCustomSchedulerReportLinkPrintStyle See Also

Gets the zero-based index of the current print style.

property Index: Integer;

Description

The Index property determines the current print style’s index in the Styles collection.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.IsCompatibleWith

TcxCustomSchedulerReportLinkPrintStyle See Also

Returns False.

function IsCompatibleWith(AView: TcxSchedulerCustomView ): Boolean; virtual;

Description

The IsCompatibleWith method is overridden in subclasses to determine whether the AView time view and the current print style are of the same type.


TcxCustomSchedulerReportLinkPrintStyle.Layout

TcxCustomSchedulerReportLinkPrintStyle

Specifies how many pages are to be assigned to each period when the scheduler's report is generated.

property Layout: TcxSchedulerReportLinkPeriodicPrintStyleLayout ;

Description

There are two kinds of layout available – one page per period or two pages per period (see the TcxSchedulerReportLinkPeriodicPrintStyleLayout enumeration).

Use the Layout property to specify how many pages there are per period.


TcxCustomSchedulerReportLinkPrintStyle.PageCount

TcxCustomSchedulerReportLinkPrintStyle See Also

Gets how many pages are included in the scheduler’s report.

property PageCount: Integer;

Description

The number of pages contained within the scheduler's report is dependent upon the print style applied, the report's date period, the resource layout and the page layout.

Use the PageCount property to determine the number of pages that are included in the scheduler’s report.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.PeriodCount

TcxCustomSchedulerReportLinkPrintStyle See Also

Gets how many periods are included in the scheduler’s report.

property PeriodCount: Integer;

Description

A period has a definite meaning when a print style is applied. It could be the date period (the number of days, weeks, months if the daily print style, weekly print style or monthly print style is applied) or it could be the number of pages if the tri-fold print style is applied.

Use the PeriodCount property to determine how many periods are included in the scheduler’s report.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.ReportLink

TcxCustomSchedulerReportLinkPrintStyle See Also

Represents the scheduler’s report generating component.

property ReportLink: TcxSchedulerReportLink ;

Description

Use the ReportLink property to access the TcxSchedulerReportLink object’s interface.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.ResourceCountPerPage

TcxCustomSchedulerReportLinkPrintStyle

Specifies the number of resources per page in the report.

property ResourceCountPerPage: Integer;

Description

For instance, if the ResourceCountPerPage property’s value is set to 1 it means that there is just one resource per page. If the ResourceCountPerPage property is set to 0 the number of resources per page matches the number of resources in the scheduling area .

The default value of the ResourceCountPerPage property is 0.


TcxCustomSchedulerReportLinkPrintStyle.RestoreDefaults

TcxCustomSchedulerReportLinkPrintStyle See Also

Restores the scheduler’s report to its default settings.

procedure RestoreDefaults; virtual;

Description

The RestoreDefaults method sets the ResourceCountPerPage property to 0, restores the print style’s default caption, sets the page layout as one page per period and restores the default values for the time range. It sets the CompressWeekends property to True to display the days in a weekend in a single day cell and the DontPrintWeekends property to False to allow weekends appear in the report, if they were omitted. This method removes the plain notes pane, lined notes pane and task pad from the scheduler’s report, if they have been added.


TcxCustomSchedulerReportLinkPrintStyle.Scheduler

TcxCustomSchedulerReportLinkPrintStyle See Also

Represents the scheduler control that the report is generated for.

property Scheduler: TcxScheduler ;

Description

The scheduler control provides a graphical interface to end users for scheduling user events.

Use the Scheduler property to access the scheduler control’s instance.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.ShowNotesAreaBlank

TcxCustomSchedulerReportLinkPrintStyle See Also

Specifies whether the plain notes pane is included in the scheduler’s report.

property ShowNotesAreaBlank: Boolean;

Description

Set the ShowNotesAreaBlank property to True to display the plain notes pane in the scheduler’s report.


TcxCustomSchedulerReportLinkPrintStyle.ShowNotesAreaLined

TcxCustomSchedulerReportLinkPrintStyle See Also

Specifies whether the lined notes pane is included in the scheduler’s report.

property ShowNotesAreaLined: Boolean;

Description

Set the ShowNotesAreaLined property to True to display the lined notes pane in the scheduler’s report.

The default value of the ShowNotesAreaLined property is False.


TcxCustomSchedulerReportLinkPrintStyle.ShowTaskPad

TcxCustomSchedulerReportLinkPrintStyle See Also

Specifies whether the task pad is included in the scheduler’s report.

property ShowTaskPad: Boolean;

Description

Set the ShowTaskPad property to True to make the task pad appear in the scheduler’s report.

The default value of the ShowTaskPad property is False.


TcxCustomSchedulerReportLinkPrintStyle.Styles

TcxCustomSchedulerReportLinkPrintStyle

Represents the collection of print styles that can be applied to the scheduler’s report.

property Styles: TcxSchedulerReportLinkPrintStyles ;

Description

Use the Styles property to access the TcxSchedulerReportLinkPrintStyles object’s interface.

ReadOnly Property


TcxCustomSchedulerReportLinkPrintStyle.VisualStyles

TcxCustomSchedulerReportLinkPrintStyle

Represents a collection of the available styles, which can be applied to the elements that they correspond to in the scheduler’s report.

property VisualStyles: TcxSchedulerReportLinkStyles ;

Description

Use the VisualStyles property to access the TcxSchedulerReportLinkStyles object.

ReadOnly Property


TcxCustomVerticalGridReportLink.ActiveStyles

TcxCustomVerticalGridReportLink

Gets the set of styles that are currently applied to the vertical grid control associated with the current report link.

property ActiveStyles: TcxVerticalGridReportLinkStyles;

Description

Use the ActiveStyles property to obtain the styles of the current report link that are currently in effect. This property is especially useful when the report link has a style sheet assigned to it via the Styles.StyleSheet property. A style sheet is a set of styles which are suitable for a particular report link and they can be created using the style repository component.

ReadOnly Property


TcxCustomVerticalGridReportLink.DesignWindow

TcxCustomVerticalGridReportLink See Also

Provides access to the vertical grid control’s report link designer.

property DesignWindow: TcxfmVerticalGridReportLinkDesignWindow;

Description

Use the DesignWindow property to access the designer of the vertical grid control’s report link. Also use the HasDesignWindow property to determine whether the designer is available.

ReadOnly Property


TcxCustomVerticalGridReportLink.OnCustomDrawRowHeaderCell

TcxCustomVerticalGridReportLink See Also

Occurs before the vertical grid row headers are painted.

type

TcxVerticalGridReportLinkCustomDrawRowHeaderCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ACanvas: TCanvas ; ARow: TcxCustomRow ; ACellIndex: Integer; AnItem: TdxReportCellImage; var ADone: Boolean) of object;

property OnCustomDrawRowHeaderCell: TcxVerticalGridReportLinkCustomDrawRowHeaderCellEvent;

Description

The OnCustomDrawRowHeaderCell event occurs before row headers are painted.

Parameter | Description
ACanvas | Specifies a TCanvas instance for painting row headers.
ARow | Specifies the row being painted.
ACellIndex | Specifies the processed header cell’s index (for multi editor rows).
AnItem | Provides painting information.
ADone | If True, default drawing routines are not required, otherwise default painting is performed.

Note, custom painting is extremely resource intensive. In order to customize the report appearance use the OnInitialize… event, which occurs prior to the report being rendered, thus improving performance.


TcxCustomVerticalGridReportLink.OnCustomDrawRowHeaderSeparatorCell

TcxCustomVerticalGridReportLink See Also

Occurs before the multi editor row separator is painted.

type

TcxVerticalGridReportLinkCustomDrawRowHeaderSeparatorCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ACanvas: TCanvas ; ARow: TcxCustomRow ; AnIndex: Integer; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawRowHeaderSeparatorCell: TcxVerticalGridReportLinkCustomDrawRowHeaderSeparatorCellEvent;

Description

The OnCustomDrawRowHeaderSeparatorCell event occurs before painting the row header separator cells.

Parameter | Description
ACanvas | Specifies a TCanvas instance for painting row headers.
ARow | Specifies the row being painted.
AnIndex | Specifies the processed separator cell’s index.
AnItem | Provides painting information.
ADone | If True, default drawing routines are not required, otherwise default painting is performed.

Note, custom painting is extremely resource intensive. In order to customize the report appearance use the OnInitialize… event, which occurs prior to the report being rendered, thus improving performance.


TcxCustomVerticalGridReportLink.OnCustomDrawRowIndentCell

TcxCustomVerticalGridReportLink See Also

Occurs before the row indents are painted.

type

TcxVerticalGridReportLinkCustomDrawRowIndentCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ACanvas: TCanvas ; ARow: TcxCustomRow ; AnIndex: Integer; AnItem: TdxReportCellExpandButton; var ADone: Boolean) of object;

property OnCustomDrawRowIndentCell: TcxVerticalGridReportLinkCustomDrawRowIndentCellEvent;

Description

The OnCustomDrawRowIndentCell event occurs before row indents are painted.

Parameter | Description
ACanvas | Specifies a TCanvas instance for painting row indents.
ARow | Specifies the row being painted.
AnIndex | Specifies the processed row’s cell index.
AnItem | Provides painting information.
ADone | If True, default drawing routines are not required, otherwise default painting is performed.

Note, that custom painting is extremely resource intensive. In order to customize the report appearance the OnInitialize… event is used, which occurs prior to the report being rendered, thus improving the performance.


TcxCustomVerticalGridReportLink.OnCustomDrawRowValueCell

TcxCustomVerticalGridReportLink See Also

Occurs before painting cells of row values.

type

TcxVerticalGridReportLinkCustomDrawRowValueCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ACanvas: TCanvas ; ARow: TcxCustomRow ; ACellIndex, ARecordIndex: Integer; AnItem: TabstractdxReportCellData; var ADone: Boolean) of object;

property OnCustomDrawRowValueCell: TcxVerticalGridReportLinkCustomDrawRowValueCellEvent;

Description

The OnCustomDrawRowValueCell event occurs before painting cells of row values.

Parameter | Description
ACanvas | Specifies a TCanvas instance for painting row values.
ARow | Specifies the row being painted.
ACellIndex | Specifies the processed row’s cell index (for multi editor rows).
ARecordIndex | Specifies the record index which identifies the row value cell being painted.
AnItem | Provides painting information.
ADone | If True, default drawing routines are not required, otherwise default painting is performed.

Note, that custom painting is resource intensive. In order to customize the report appearance use the OnInitialize… event, which occurs prior to the report being rendered, thus improving performance.


TcxCustomVerticalGridReportLink.OnCustomDrawRowValueSeparatorCell

TcxCustomVerticalGridReportLink See Also

Occurs before the painting of row value separators.

type

TcxVerticalGridReportLinkCustomDrawRowValueSeparatorCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ACanvas: TCanvas ; ARow: TcxCustomRow ; ACellIndex, ARecordIndex: Integer; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawRowValueSeparatorCell: TcxVerticalGridReportLinkCustomDrawRowValueSeparatorCellEvent;

Description

The OnCustomDrawRowValueSeparatorCell event occurs before painting row value separators.

Parameter | Description
ACanvas | Specifies a TCanvas instance for painting row value separators.
ARow | Specifies the row being painted.
ACellIndex | Specifies the processed row separator cell’s index (for multi editor rows).
ARecordIndex | Specifies the record index which identifies the row value cell being painted.
AnItem | Provides painting information.
ADone | If True, default drawing routines are not required, otherwise default painting is performed.

Note, that custom painting is extremely resource intensive. In order to customize the report’s appearance use the OnInitialize… event, which occurs prior to the report being rendered, thus improving performance.


TcxCustomVerticalGridReportLink.OnInitializeRowHeaderCell

TcxCustomVerticalGridReportLink See Also

Occurs before row headers are rendered.

type

TcxVerticalGridReportLinkInitializeRowHeaderCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ARow: TcxCustomRow ; ACellIndex: Integer; AnItem: TdxReportCellImage) of object;

property OnInitializeRowHeaderCell: TcxVerticalGridReportLinkInitializeRowHeaderCellEvent;

Description

The OnInitializeRowHeaderCell event occurs before row headers are rendered.

Parameter | Description
ARow | Specifies the row being rendered.
ACellIndex | Specifies the processed row’s cell index.
AnItem | Provides painting information.

The OnInitialize… events allow customization of report elements during the painting information calculation. Report customization via these events takes less time and is more effective than the custom painting mechanism.


TcxCustomVerticalGridReportLink.OnInitializeRowHeaderSeparatorCell

TcxCustomVerticalGridReportLink See Also

Occurs before the row header’s separator cells are rendered.

type

TcxVerticalGridReportLinkInitializeRowHeaderSeparatorCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ARow: TcxCustomRow ; AnIndex: Integer; AnItem: TdxReportCellString) of object;

property OnInitializeRowHeaderSeparatorCell: TcxVerticalGridReportLinkInitializeRowHeaderSeparatorCellEvent;

Description

The OnInitializeRowHeaderSeparatorCell event occurs before the row header’s separator cells are rendered.

Parameter | Description
ARow | Specifies the row whose header is being rendered.
AnIndex | Specifies the processed row header’s separator cell index.
AnItem | Provides painting information.

The OnInitialize… events allow customization of the report elements during painting information calculation. Report customization via these events takes less time and is more effective than the custom painting mechanism.


TcxCustomVerticalGridReportLink.OnInitializeRowIndentCell

TcxCustomVerticalGridReportLink See Also

Occurs before rendering the row indents.

type

TcxVerticalGridReportLinkInitializeRowIndentCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ARow: TcxCustomRow ; AnIndex: Integer; AnItem: TdxReportCellExpandButton) of object;

property OnInitializeRowIndentCell: TcxVerticalGridReportLinkInitializeRowIndentCellEvent;

Description

The OnInitializeRowHeaderSeparatorCell event occurs before rendering the row indents.

Parameter | Description
ARow | Specifies the row whose indent is being rendered.
AnIndex | Specifies the processed row header’s separator cell index.
AnItem | Provides painting information.

The OnInitialize… events allow customization of the report elements during the painting information calculation. Report customization via these events takes less time and is more effective than the custom painting mechanism.


TcxCustomVerticalGridReportLink.OnInitializeRowValueCell

TcxCustomVerticalGridReportLink See Also

Occurs before row values are rendered.

type

TcxVerticalGridReportLinkInitializeRowValueCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ARow: TcxCustomRow ; ACellIndex, ARecordIndex: Integer; AnItem: TabstractdxReportCellData) of object;

property OnInitializeRowValueCell: TcxVerticalGridReportLinkInitializeRowValueCellEvent;

Description

The OnInitializeRowValueCell event occurs before row value cells are rendered.

Parameter | Description
ARow | Specifies the row whose value cell is being rendered.
ACellIndex | Specifies the processed row’s cell index.
AnItem | Provides painting information.

The OnInitialize… events allow customization of the report elements during the painting information calculation. Report customization via these events takes less time and is more effective than the custom painting mechanism.


TcxCustomVerticalGridReportLink.OnInitializeRowValueSeparatorCell

TcxCustomVerticalGridReportLink See Also

Occurs before the rendering of row value separators.

type

TcxVerticalGridReportLinkInitializeRowValueSeparatorCellEvent = procedure(Sender: TcxCustomVerticalGridReportLink ; ARow: TcxCustomRow ; ACellIndex, ARecordIndex: Integer; AnItem: TdxReportCellString) of object;

property OnInitializeRowValueSeparatorCell: TcxVerticalGridReportLinkInitializeRowValueSeparatorCellEvent;

Description

The OnInitializeRowValueSeparatorCell event occurs before the rendering of row value separator cells.

Parameter | Description
ARow | Specifies the row whose value separator cell is being rendered.
ACellIndex | Specifies the processed row’s cell index.
AnItem | Provides painting information.

The OnInitialize… event allows customization of the report elements during the painting information calculation. Report customization via these events takes less time and is more effective than the custom painting mechanism.


TcxCustomVerticalGridReportLink.OptionsExpanding

TcxCustomVerticalGridReportLink

Contains options which affect how parent rows are displayed within a report.

property OptionsExpanding: TcxVerticalGridReportLinkOptionsExpanding ;

Description

The OptionsExpanding property provides access to the options which affect the state of parent rows. If the OptionsExpanding.AutoExpandRows property is set to True, then all collapsed parent rows will appear as expanded in a report. Otherwise, parent rows retain their state within a report.


TcxCustomVerticalGridReportLink.OptionsFormatting

TcxCustomVerticalGridReportLink

Contains report appearance options.

property OptionsFormatting: TcxVerticalGridReportLinkOptionsFormatting ;

Description

The OptionsFormatting property provides access to options affecting the report appearance. These options specify:

  • the color of grid lines (GridLineColor option);

  • the entire report’s look & feel (LookAndFeelKind option);

  • whether the report is painted with the control’s VerticalGrid.Styles settings or using the Styles of the printing link (UseNativeStyles option).


TcxCustomVerticalGridReportLink.OptionsPagination

TcxCustomVerticalGridReportLink

Contains options to determine the manner in which the vertical grid control is split across report pages.

property OptionsPagination: TcxVerticalGridReportLinkOptionsPagination ;

Description

Use the OptionsPagination property to access options to determine the manner in which the vertical grid control is split across report pages. If the vertical grid control is too large to display on a single report page, the vertical grid control will be split across report pages in the style specified by these options.

The ByRows property specifies that vertical grid rows are to be split across the report to display as many rows per page in their entirety as is possible.

If the OptionsSize.WrapRecords option is active, then vertical grid records are wrapped to fit all the records within a single page, in this case the ByWrapping option defines the manner in which the records are wrapped. If set to True, the ExpressPrintingSystem attempts to display as many wrapped record rows on a single report page as is possible. If the OneWrappingPerPage option is active, only one record wrapping is displayed within each report page.


TcxCustomVerticalGridReportLink.OptionsRefinements

TcxCustomVerticalGridReportLink

Contains options to define report refinements.

property OptionsRefinements: TcxVerticalGridReportLinkOptionsRefinements ;

Description

The OptionsRefinements property is used to specify refinements to a report. This includes:

  • Whether or not to display a cell’s graphics as text (the DisplayGraphicsAsText property). Additionally you can specify a text string to display in place of the graphics via the GraphicsText property.

  • Whether to display check boxes and radio buttons in 3D style or in flat style. Set the FlatCheckMarks property to True to display check boxes and radio buttons as flat and to False for 3D style.


TcxCustomVerticalGridReportLink.OptionsSize

TcxCustomVerticalGridReportLink

Contains options which affect the size of the vertical grid control within a report.

property OptionsSize: TcxVerticalGridReportLinkOptionsSize ;

Description

Use the OptionsSize property to access settings which will have an effect on the size of the vertical grid control within a report.

These settings specify:

  • if vertical grid rows should be resized within a report so that they will fit the report page’s width (see the AutoWidth property description);

  • if vertical grid records should be wrapped so that they all fit onto a single page (see the WrapRecords property description);

  • if the vertical grid rows in a report should be resized to occupy the report pages in the best way possible(see the BestFit and KeepSameRecordWidth property descriptions).


TcxCustomVerticalGridReportLink.OptionsView

TcxCustomVerticalGridReportLink

Contains options which will affect the visibility of vertical grid control elements within a report.

property OptionsView: TcxVerticalGridReportLinkOptionsView ;

Description

The OptionsView property provides access to options which will affect the visibility of vertical grid control elements within a report.

These options specify the visibility state for:

  • row headers (see the Headers property description);

  • grid control borders (see the Borders property description);

  • the expand buttons for parent rows (see the ExpandButtons property description).


TcxCustomVerticalGridReportLink.Styles

TcxCustomVerticalGridReportLink

Specifies painting styles for the vertical grid control within a report.

property Styles: TcxVerticalGridReportLinkStyles ;

Description

Use the Styles property to access the painting styles collection. These styles will be applied to the vertical grid control within a report if the OptionsFormatting.UseNativeStyles property is set to True. If this properties value is False, then the vertical grid control will be painted using the VerticalGrid.Styles settings.


TcxDBMemoReportLink.cxDBMemo

TcxDBMemoReportLink

Provides access to the data-aware multi-line editor being printed.

property cxDBMemo: TcxDBMemo;

Description

Use the cxDBMemo property to access the data-aware multi-line editor being printed. Set the Component property to specify the TcxDBMemo editor to print.

ReadOnly Property


TcxDBTreeListReportLink.DBTreeList

TcxDBTreeListReportLink

Provides access to the data aware TreeList control used as the report source.

property DBTreeList: TcxDBTreeList;

Description

The DBTreeList property provides access to the TcxDBTreeList properties and methods used as the report source.

ReadOnly Property


TcxDBVerticalGridReportLink.DBVerticalGrid

TcxDBVerticalGridReportLink

Returns the vertical grid control whose content is rendered using the current link.

property DBVerticalGrid: TcxDBVerticalGrid ;

Description

You can also access the control whose content is rendered by the current link using the Component property. The only difference is that the Component property returns values of the TComponent type while the DBVerticalGrid property’s return value type is TcxDBVerticalGrid. Thus, by using the DBVerticalGrid property you avoid having to perform additional typecasts.

ReadOnly Property


TcxfmSchedulerReportLinkDesignWindow.Component

TcxfmSchedulerReportLinkDesignWindow

Represents the scheduler control, which the scheduler’s report is generated for.

property Component: TcxScheduler ;

Description

The scheduler control provides a graphical interface to end users for scheduling user events . Use the Scheduler property to access the scheduler control’s instance.

ReadOnly Property


TcxfmSchedulerReportLinkDesignWindow.Execute

TcxfmSchedulerReportLinkDesignWindow

Initializes the scheduler’s report designer dialog.

function Execute: Boolean; override;

Description

Use the Execute method to display the scheduler’s report designer dialog. The Execute method returns True if an end user has clicked the OK button.


TcxfmSchedulerReportLinkDesignWindow.ReportLink

TcxfmSchedulerReportLinkDesignWindow See Also

Represents the scheduler’s report generating component.

property ReportLink: TcxSchedulerReportLink ;

Description

Use the ReportLink property to access the TcxSchedulerReportLink object’s interface.

ReadOnly Property


TcxMCListBoxReportLink.cxMCListBox

TcxMCListBoxReportLink

Provides access to the multi-column list box control being printed.

property cxMCListBox: TcxMCListBox;

Description

Use the cxMCListBox property to access the multi-column list box being printed. Set the Component property to specify the TcxMCListBox editor to be printed.

ReadOnly Property


TcxMCListBoxReportLink.HeaderColor

TcxMCListBoxReportLink

Specifies the background color of the column headers in a report.

property HeaderColor: TColor;

Description

Use the HeaderColor property to specify the background color of the column headers when printing multi-column list box editors.

The HeaderColor property's default value is clBtnFace.


TcxMCListBoxReportLink.HeaderFont

TcxMCListBoxReportLink

Specifies the font used for the column headers in a report.

property HeaderFont: TFont;

Description

Use the HeaderFont property to specify the font of the column headers when printing multi-column list box editors.


TcxMCListBoxReportLink.HeaderTransparent

TcxMCListBoxReportLink

Specifies whether the column headers in a report are drawn on a transparent background.

property HeaderTransparent: Boolean;

Description

Set the HeaderTransparent property to True to make the background of the column headers transparent when printing multi-column list box editors. Otherwise, the HeaderColor property specifies the background color of the column headers.

The HeaderTransparent property's default value is False.


TcxMCListBoxReportLink.IncludeHeaders

TcxMCListBoxReportLink

Specifies whether the column headers are drawn in a report.

property IncludeHeaders: Boolean;

Description

Set the IncludeHeaders property to True to include the column headers in a report when printing the selected items of multi-column list box editors. The IncludeHeaders property is in effect only when the OnlySelected property is set to True. If the IncludeHeaders property is set to False, the column headers are not drawn in a report when the selected items are printed.

The IncludeHeaders property's default value is True.


TcxMCListBoxReportLink.OnCustomDrawItem

TcxMCListBoxReportLink

Occurs when an item within a multi-column list box editor is drawn.

type

TcxMCListBoxCustomDrawItemEvent = procedure(Sender: TcxMCListBoxReportLink; ACanvas: TCanvas; ACol, ARow: Integer; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawItem: TcxMCListBoxCustomDrawItemEvent;

Description

To implement custom painting of an item in a multi-column list box editor within the report handle the OnCustomDrawItem.

Parameter

Description

ACanvas

Determines the drawing surface.

ACol

Specifies the column index of an item.

ARow

Specifies the row index of an item.

AnItem

Provides painting information.

ADone

Determines whether the OnCustomDrawItem event handler entirely draws an item. If the ADone parameter is set to True, the default drawing procedure is not called.

Note: The OnCustomDrawItem event is raised only when the SupportedCustomDraw property is set to True.


TcxMCListBoxReportLink.Options

TcxMCListBoxReportLink

Specifies which elements in the multi-column list box editors are included in a report.

type

TcxMCListBoxPaintOption = (mclbpoBorder, mclbpoHorzLines, mclbpoVertLines, mclbpoColumnHeaders);

TcxMCListBoxPaintOptions = set of TcxMCListBoxPaintOption;

property Options: TcxMCListBoxPaintOptions;

Description

Use the Options property to specify the elements in the multi-column list box editors that will be drawn in a report. The available options include:

Value

Description

mclbpoBorder | If active, borderlines are printed.
mclbpoHorzLines | If active, horizontal lines are printed.
mclbpoVertLines | If active, vertical lines are printed.
mclbpoColumnHeaders | If active, the column headers are printed.

By default, all options are active.


TcxMemoReportLink.cxMemo

TcxMemoReportLink

Provides access to the multi-line editor being printed.

property cxMemo: TcxMemo;

Description

Use the cxMemo property to access the multi-line editor being printed. Set the Component property to specify the TcxMemo editor to be printed.

ReadOnly Property


TcxRTTIInspectorReportLink.RTTIInspector

TcxRTTIInspectorReportLink

Provides access to the runtime object inspector whose content is rendered using the current link.

property RTTIInspector: TcxRTTIInspector ;

Description

You can also access the control whose content is rendered by the current link using the Component property. The only difference is that the Component property returns values of the TComponent type while the RTTIInspector property’s return value is of the TcxRTTIInspector type. Thus, by using the RTTIInspector property you can avoid having to perform additional typecasts.

ReadOnly Property


TcxSchedulerReportLink.DesignWindow

TcxSchedulerReportLink

Represents the scheduler’s report designer dialog.

property DesignWindow: TcxfmSchedulerReportLinkDesignWindow ;

Description

An end user can use the scheduler’s report designer dialog to modify the scheduler’s report settings to meet the user’s requirements. Use the DesignWindow property to access the TcxfmSchedulerReportLinkDesignWindow object.

ReadOnly Property


TcxSchedulerReportLink.OnActivePrintStyleChanged

TcxSchedulerReportLink See Also

Fires when the active print style has been changed.

type

TNotifyEvent = procedure(Sender: TObject) of object;

property OnActivePrintStyleChanged: TNotifyEvent;

Description

Implement the OnActivePrintStyleChanged event handler to provide custom behavior when the report's active print style has been changed.

Sender represents the TcxSchedulerReportLink object.


TcxSchedulerReportLink.OnCanPrintEvent

TcxSchedulerReportLink See Also

Fires when the current user event is going to be displayed in the scheduler’s report.

type

TcxSchedulerReportLinkCanPrintEventEvent = procedure(Sender: TcxSchedulerReportLink ; AEvent: TcxSchedulerEvent ; var AllowPrint: Boolean) of object;

property OnCanPrintEvent: TcxSchedulerReportLinkCanPrintEventEvent;

Description

Implement the OnCanPrintEvent event handler to filter the user events , which will be drawn in the report’s scheduling area .

Sender represents the TcxSchedulerReportLink object.

AEvent represents the current user event .

AllowPrint specifies whether the current user event will appear in the report. Set AllowPrint to False to prevent the current user event from appearing in the scheduler’s report.

Note: if the report's print style is the memo print style (see the TcxSchedulerReportLinkPrintStyles.Memo property) and the TcxSchedulerReportLinkMemoPrintStyle.SelectedEventsOnly property is set to True then the AllowPrint parameter is automatically set to False if the current user event is not selected in the scheduling area .


TcxSchedulerReportLink.OnCustomDrawContentCell

TcxSchedulerReportLink See Also

Fires when each time block in the report’s scheduling area is about to be drawn.

type

TcxSchedulerReportLinkCustomDrawContentCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TAbstractdxReportCellData; var ADone: Boolean) of object;

property OnCustomDrawContentCell: TcxSchedulerReportLinkCustomDrawContentCellEvent;

Description

Implement the OnCustomDrawContentCell event handler to custom draw the report’s scheduling area .

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the report’s time block.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default painting from being performed.


TcxSchedulerReportLink.OnCustomDrawDateNavigatorDayCaptionCell

TcxSchedulerReportLink See Also

Fires when the caption of a day (fires once for each day) in the Date Navigator is about to be drawn in the scheduler’s report.

type

TcxSchedulerReportLinkCustomDrawDateNavigatorDayCaptionCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportDateNavigatorDayCaption; var ADone: Boolean) of object;

property OnCustomDrawDateNavigatorDayCaptionCell: TcxSchedulerReportLinkCustomDrawDateNavigatorDayCaptionCellEvent;

Description

Implement the OnCustomDrawDateNavigatorDayCaptionCell event handler to custom draw the captions of the days in the report’s Date Navigator .

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the day caption.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default painting from being performed.


TcxSchedulerReportLink.OnCustomDrawDateNavigatorDayCell

TcxSchedulerReportLink See Also

Fires when a day in the Date Navigator is about to be drawn in the scheduler’s report.

type

TcxSchedulerReportLinkCustomDrawDateNavigatorDayCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportDateNavigatorDay; var ADone: Boolean) of object;

property OnCustomDrawDateNavigatorDayCell: TcxSchedulerReportLinkCustomDrawDateNavigatorDayCellEvent;

Description

Implement the OnCustomDrawDateNavigatorDayCell event handler to custom draw the dates in the report’s Date Navigator .

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the day.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.


TcxSchedulerReportLink.OnCustomDrawDateNavigatorHeaderCell

TcxSchedulerReportLink See Also

Fires when the Date Navigator ‘s month header is about to be drawn in the scheduler’s report.

type

TcxSchedulerReportLinkCustomDrawDateNavigatorHeaderCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportDateNavigatorHeader; var ADone: Boolean) of object;

property OnCustomDrawDateNavigatorHeaderCell: TcxSchedulerReportLinkCustomDrawDateNavigatorHeaderCellEvent;

Description

Implement the OnCustomDrawDateNavigatorHeaderCell event handler to custom draw the Date Navigator ’s month header in the report.

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the month header.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.


TcxSchedulerReportLink.OnCustomDrawDateNavigatorWeekNumberCell

TcxSchedulerReportLink See Also

Fires when the Date Navigator ‘s week number is about to be drawn in the scheduler’s report.

type

TcxSchedulerReportLinkCustomDrawDateNavigatorWeekNumberCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportDateNavigatorWeekNumber; var ADone: Boolean) of object;

property OnCustomDrawDateNavigatorWeekNumberCell: TcxSchedulerReportLinkCustomDrawDateNavigatorWeekNumberCellEvent;

Description

Week numbers appear on the left side of the Date Navigator . Implement the OnCustomDrawDateNavigatorWeekNumberCell event handler to custom draw the Date Navigator ’s week numbers in the report.

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the week number.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.


TcxSchedulerReportLink.OnCustomDrawEventPartCell

TcxSchedulerReportLink See Also

Fires when an area within a user event cell is about to be drawn in the scheduler’s report.

type

TcxSchedulerReportLinkCustomDrawEventPartCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TabstractdxReportCellData; APart: TcxSchedulerReportEventPartType ; var ADone: Boolean) of object;

property OnCustomDrawEventPartCell: TcxSchedulerReportLinkCustomDrawEventPartCellEvent;

Description

Implement the OnCustomDrawEventPartCell event handler to custom draw the different areas of the user event cells in the scheduler’s report.

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the user event .

APart specifies the particular area within the user event cell.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.

Note: a particular area within a user event cell is custom drawn only if it is displayed under the current time view print style in the scheduler’s report (see the TcxSchedulerReportLinkPrintStyles.Daily , TcxSchedulerReportLinkPrintStyles.Weekly and TcxSchedulerReportLinkPrintStyles.Monthly properties).


TcxSchedulerReportLink.OnCustomDrawHeaderCell

TcxSchedulerReportLink See Also

Fires when the cell, which contains the resource and day headers, is about to be drawn in the scheduler’s report.

type

TcxSchedulerReportLinkCustomDrawHeaderCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportHeaderItemCell; var ADone: Boolean) of object;

property OnCustomDrawHeaderCell: TcxSchedulerReportLinkCustomDrawHeaderCellEvent;

Description

Implement the OnCustomDrawHeaderCell event handler to custom draw the cell in which the resource and day headers are located.

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the cell.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.

Note: to find out whether to custom draw a resource or day header use the TcxSchedulerReportHeaderItemCell.IsResourceHeader property. This property returns True if a resource header is being drawn.


TcxSchedulerReportLink.OnCustomDrawNotesCell

TcxSchedulerReportLink See Also

Fires when the blank or lined notes pane is about to be drawn in the scheduler’s report.

type

TcxSchedulerReportLinkCustomDrawNotesCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportNotesDataCell; var ADone: Boolean) of object;

property OnCustomDrawNotesCell: TcxSchedulerReportLinkCustomDrawNotesCellEvent;

Description

Implement the OnCustomDrawNotesCell event handler to custom draw the report’s notes pane whether it is the plain notes pane or the lined notes pane.

The Sender parameter represents the TcxSchedulerReportLink object.

The ACanvas parameter specifies the drawing surface.

The AItem parameter provides information for rendering the notes pane.

The ADone parameter specifies whether the default painting is required. Set ADone to True to prevent the default execution.

To find out whether to custom draw the blank or lined notes pane, use the TcxSchedulerReportNotesDataCell.Lined property. This property returns True if the lined notes pane is being drawn.

Note: the OnCustomDrawNotesCell event handler can be applied to the plain or lined notes panes if these panes are included in the scheduler’s report (see the TcxCustomSchedulerReportLinkPrintStyle.ShowNotesAreaBlank and TcxCustomSchedulerReportLinkPrintStyle.ShowNotesAreaLined properties).


TcxSchedulerReportLink.OnCustomDrawSchedulerHeaderCell

TcxSchedulerReportLink See Also

Fires when the scheduler header in the scheduler’s report is about to be drawn.

type

TcxSchedulerReportLinkCustomDrawSchedulerHeaderCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportSchedulerHeaderDataCell; var ADone: Boolean) of object;

property OnCustomDrawSchedulerHeaderCell: TcxSchedulerReportLinkCustomDrawSchedulerHeaderCellEvent;

Description

Implement the OnCustomDrawSchedulerHeaderCell event handler to custom draw the scheduler header.

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the scheduler header.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.


TcxSchedulerReportLink.OnCustomDrawTaskPadCell

TcxSchedulerReportLink See Also

Fires when the report’s task pad is about to be drawn.

type

TcxSchedulerReportLinkCustomDrawNotesCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportNotesDataCell; var ADone: Boolean) of object;

property OnCustomDrawTaskPadCell: TcxSchedulerReportLinkCustomDrawNotesCellEvent;

Description

Implement the OnCustomDrawTaskPadCell event handler to custom draw the report’s task pad.

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the task pad.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.

Note: the OnCustomDrawTaskPadCell event handler can be applied to the task pad if the task pad is included in the scheduler’s report (see the TcxCustomSchedulerReportLinkPrintStyle.ShowTaskPad property).


TcxSchedulerReportLink.OnCustomDrawTimeRulerCell

TcxSchedulerReportLink See Also

Fires when each hour cell in the report’s time zone is about to be drawn.

type

TcxSchedulerReportLinkCustomDrawTimeRulerCellEvent = procedure(Sender: TcxSchedulerReportLink ; ACanvas: TCanvas; AItem: TcxSchedulerReportDailyTimeRulerCell; var ADone: Boolean) of object;

property OnCustomDrawTimeRulerCell: TcxSchedulerReportLinkCustomDrawTimeRulerCellEvent;

Description

Implement the OnCustomDrawTimeRulerCell event handler to custom draw the report’s time zone.

Sender represents the TcxSchedulerReportLink object.

ACanvas specifies the drawing surface.

AItem provides information for rendering the time zone.

ADone specifies whether the default painting is required. Set ADone to True to prevent the default execution.


TcxSchedulerReportLink.OnInitializeEventCell

TcxSchedulerReportLink See Also

Fires when the report’s user event cell is about to be rendered.

type

TcxSchedulerReportLinkInitializeEventCellEvent = procedure(Sender: TcxSchedulerReportLink ; AItem: TcxSchedulerReportCustomEventCell) of object;

property OnInitializeEventCell: TcxSchedulerReportLinkInitializeEventCellEvent;

Description

Custom rendering is used to customize the layout, add or remove any element in the cell. Implement the OnInitializeEventCell event handler to custom render the user event cell.

Sender represents the TcxSchedulerReportLink object.

AItem provides information for rendering the user event cell.


TcxSchedulerReportLink.OnInitializeHeaderPrimaryCell

TcxSchedulerReportLink See Also

Fires when the report’s first header cell is about to be rendered.

type

TcxSchedulerReportLinkInitializeSchedulerHeaderEvent = procedure(Sender: TcxSchedulerReportLink ; AItem: TcxSchedulerReportSchedulerHeaderCell) of object;

property OnInitializeHeaderPrimaryCell: TcxSchedulerReportLinkInitializeSchedulerHeaderEvent;

Description

Custom rendering is used to customize the layout, add or remove any element in the cell. If two pages per period are applied (see the TcxCustomSchedulerReportLinkPrintStyle.Layout property) the first header cell is used for the odd pages. While the second header cell is used for the even pages (see the OnInitializeHeaderSecondaryCell event). Implement the OnInitializeHeaderPrimaryCell event handler to custom render the report’s first header cell.

Sender represents the TcxSchedulerReportLink object.

AItem provides information for rendering the report’s first header cell.


TcxSchedulerReportLink.OnInitializeHeaderSecondaryCell

TcxSchedulerReportLink See Also

Fires when the report’s second header cell is about to be rendered.

type

TcxSchedulerReportLinkInitializeSchedulerHeaderEvent = procedure(Sender: TcxSchedulerReportLink ; AItem: TcxSchedulerReportSchedulerHeaderCell) of object;

property OnInitializeHeaderSecondaryCell: TcxSchedulerReportLinkInitializeSchedulerHeaderEvent;

Description

Custom rendering is used to customize the layout, add or remove any element in the cell. Implement the OnInitializeHeaderSecondaryCell event handler to custom render the report’s second header cell.

Sender represents the TcxSchedulerReportLink object.

AItem provides information for rendering the report’s second header cell.

Note: the second header cell is drawn if two pages per period are applied (see the TcxCustomSchedulerReportLinkPrintStyle.Layout property).


TcxSchedulerReportLink.OnInitializeNotesAreaCell

TcxSchedulerReportLink See Also

Fires when the notes pane in the scheduler’s report is about to be rendered.

type

TcxSchedulerReportLinkInitializeNotesEvent = procedure(Sender: TcxSchedulerReportLink ; AItem: TcxSchedulerReportNotesAreaCell) of object;

property OnInitializeNotesAreaCell: TcxSchedulerReportLinkInitializeNotesEvent;

Description

Custom rendering is used to customize the layout, add or remove any element in the pane. Implement the OnInitializeNotesAreaCell event handler to custom render the report’s notes pane.

Sender represents the TcxSchedulerReportLink object.

AItem provides information for rendering the report’s notes pane.

Note: To find out whether to custom draw the plain or lined notes pane use the TcxSchedulerReportNotesAreaCell.Lined property. This property returns a value of True if it’s the lined notes pane is being rendered.


TcxSchedulerReportLink.OnInitializeSchedulingAreaCell

TcxSchedulerReportLink See Also

Fires when each time block in the report's scheduling area is about to be rendered.

type

TcxSchedulerReportLinkInitializeSchedulingAreaEvent = procedure(Sender: TcxSchedulerReportLink ; AItem: TcxSchedulerReportSchedulingAreaCell) of object;

property OnInitializeSchedulingAreaCell: TcxSchedulerReportLinkInitializeSchedulingAreaEvent;

Description

Custom rendering is used to customize the layout, add or remove any element in the cell. Implement the OnInitializeSchedulingAreaCell event handler to custom render the report’s scheduling area.

Sender represents the TcxSchedulerReportLink object.

AItem provides information for rendering the report’s scheduling area.


TcxSchedulerReportLink.OnInitializeTaskPadCell

TcxSchedulerReportLink See Also

Fires when the report’s task pad is about to be rendered.

type

TcxSchedulerReportLinkInitializeTaskPadEvent = procedure(Sender: TcxSchedulerReportLink ; AItem: TcxSchedulerReportTaskPadCell) of object;

property OnInitializeTaskPadCell: TcxSchedulerReportLinkInitializeTaskPadEvent;

Description

Custom rendering is used to customize the layout, add or remove any element in the pad. Implement the OnInitializeTaskPadCell event handler to perform custom rendering of the report's task pad.

Sender represents the TcxSchedulerReportLink object.

AItem provides information for rendering the report’s task pad.

Note: the OnInitializeTaskPadCell event handler can be applied to the task pad if the task pad is included in the scheduler’s report (see the TcxCustomSchedulerReportLinkPrintStyle.ShowTaskPad property).


TcxSchedulerReportLink.OptionsFormatting

TcxSchedulerReportLink

Represents formatting options, which control the generic attributes of the scheduler’s report.

property OptionsFormatting: TcxSchedulerReportLinkOptionsFormatting ;

Description

The following options are provided by the TcxSchedulerReportLinkOptionsFormatting class:

  • GridLineColor – controls the color of grid lines (if any).

  • LookAndFeelKind – specifies the overall look of controls.

  • SuppressBackgroundBitmaps – controls the visibility of the background bitmaps images.

  • UseLookAndFeelColors – determines the look and feel style for the controls which are painted using the native window style (for instance, the Windows® XP style).

  • UseNativeStyles – specifies the source of the styles which are used to paint controls.

  • SuppressContentColoration – specifies whether the scheduler’s report is displayed in color or black and white only.

Use the OptionsFormatting property to access the TcxSchedulerReportLinkOptionsFormatting object.


TcxSchedulerReportLink.PrintRange

TcxSchedulerReportLink

Represents the TcxSchedulerReportLinkPrintRange object.

property PrintRange: TcxSchedulerReportLinkPrintRange ;

Description

The TcxSchedulerReportLinkPrintRange class allows you to specify the scheduler’s report time range and determine the days, weeks or months within the scheduler’s report time bounds.

Use the PrintRange property to access the TcxSchedulerReportLinkPrintRange object.


TcxSchedulerReportLink.PrintStyles

TcxSchedulerReportLink

Represents a collection of print styles that specify the way the user events are arranged in the scheduler’s report.

property PrintStyles: TcxSchedulerReportLinkPrintStyles ;

Description

Use the PrintStyles property to access the TcxSchedulerReportLinkPrintStyles object.


TcxSchedulerReportLink.Scheduler

TcxSchedulerReportLink

Represents the scheduler control the scheduler’s report generating component is plugged to.

property Scheduler: TcxScheduler ;

Description

The scheduler control provides a graphical interface to end users for scheduling user events .

Use the Scheduler property to access the scheduler control’s instance.

ReadOnly Property


TcxSchedulerReportLink.Styles

TcxSchedulerReportLink

Represents a collection of the available styles, which can be applied to the elements that they correspond to in the scheduler’s report.

property Styles: TcxSchedulerReportLinkStyles ;

Description

Use the Styles property to access the TcxSchedulerReportLinkStyles object.


TcxSchedulerReportLink.TaskPadReportLink

TcxSchedulerReportLink See Also

Represents the task pad report link.

property TaskPadReportLink: TBasedxReportLink ;

Description

The task pad report link component provides the task pad pane part of the scheduler report.

Consider the following example. Suppose you use the TcxGrid control for working with tasks in the scheduler (the ExpressQuantumGrid Suite is sold separately). Then, to display tasks in the scheduler report, do the following:

  • Add the TcxGrid report link to the component printer. To learn how to do it, see the Step 1 - Control Printing Basics help topic.

  • Bind the TcxGrid report link to the scheduler report link using the TaskPadReportLink property.

  • Enable the time view’s ShowTaskPad property (the scheduler report’s PrintStyles.Daily.ShowTaskPad property is used here to display the task pad in the day view report ).

  • When the application runs, invoke the print preview using the TBasedxReportLink.Preview method.

The following image demonstrates the scheduler report with the TcxGrid embedded into the task pad:


TcxSchedulerReportLinkDailyPrintStyle.DefaultCaption

TcxSchedulerReportLinkDailyPrintStyle See Also

Returns the daily print style’s default caption.

function DefaultCaption: string; override;

Description

Use the DefaultCaption method to determine the daily print style’s default caption.


TcxSchedulerReportLinkDailyPrintStyle.IsCompatibleWith

TcxSchedulerReportLinkDailyPrintStyle See Also

Determines whether the AView time view and the daily print style are of the same type.

function IsCompatibleWith(AView: TcxSchedulerCustomView ): Boolean; override;

Description

The IsCompatibleWith method returns True if the type of the AView time view is TcxSchedulerDayView .


TcxSchedulerReportLinkDetailsPrintStyle.DefaultCaption

TcxSchedulerReportLinkDetailsPrintStyle See Also

Returns the details print style’s default caption.

function DefaultCaption: string; override;

Description

Use the DefaultCaption method to determine the details print style’s default caption.


TcxSchedulerReportLinkDetailsPrintStyle.PaginationMode

TcxSchedulerReportLinkDetailsPrintStyle

Specifies whether page breaks are inserted after each day, week or month.

property PaginationMode: TcxSchedulerReportLinkDetailsPrintStylePaginationMode ;

Description

The printing system has three options – whether a page break is generated at the end of each day, week or month. Use the PaginationMode property to specify the frequency with which a new page is started.

Note: the PaginationMode property’s value is in effect if the UsePagination property is set to True.


TcxSchedulerReportLinkDetailsPrintStyle.RestoreDefaults

TcxSchedulerReportLinkDetailsPrintStyle See Also

Restores the details print style to its default settings.

procedure RestoreDefaults; override;

Description

The RestoreDefaults method sets the PaginationMode property to dpmByDay, disables pagination mode and invokes the parent’s method (see the TcxCustomSchedulerReportLinkPrintStyle.RestoreDefaults method) to restore common default settings.


TcxSchedulerReportLinkDetailsPrintStyle.UsePagination

TcxSchedulerReportLinkDetailsPrintStyle See Also

Specifies whether to use pagination mode or not.

property UsePagination: Boolean;

Description

Pagination mode controls how page breaks occur. There are three options – by day, week or month (see the TcxSchedulerReportLinkDetailsPrintStylePaginationMode enumeration for the complete description). To enable pagination mode set the UsePagination property to True.

The default value of the UsePagination property is False.


TcxSchedulerReportLinkMemoPrintStyle.DefaultCaption

TcxSchedulerReportLinkMemoPrintStyle

Returns the memo print style’s default caption.

function DefaultCaption: string; override;

Description

Use the DefaultCaption method to determine the memo print style’s default caption.


TcxSchedulerReportLinkMemoPrintStyle.SelectedEventsOnly

TcxSchedulerReportLinkMemoPrintStyle See Also

Specifies whether all the user events within the specified time range are shown in the report or only the selected user events .

property SelectedEventsOnly: Boolean;

Description

Set the SelectedEventsOnly property to True to display only the selected user events in the scheduler’s report for the print range specified by the TcxSchedulerReportLinkPrintRange.PrintFrom and TcxSchedulerReportLinkPrintRange.PrintTo properties. Otherwise – all the user events will be shown.

The default value of the SelectedEventsOnly property is True.


TcxSchedulerReportLinkMemoPrintStyle.StartEachItemOnNewPage

TcxSchedulerReportLinkMemoPrintStyle

Specifies whether one user event is shown per page.

property StartEachItemOnNewPage: Boolean;

Description

Set the StartEachItemOnNewPage property to True to insert a page break after each user event . Otherwise the user events will be displayed as a list.

The default value of the StartEachItemOnNewPage property is True.


TcxSchedulerReportLinkMonthlyPrintStyle.DefaultCaption

TcxSchedulerReportLinkMonthlyPrintStyle See Also

Returns the monthly print style’s default caption.

function DefaultCaption: string; override;

Description

Use the DefaultCaption method to get the monthly print style’s default caption.


TcxSchedulerReportLinkMonthlyPrintStyle.IsCompatibleWith

TcxSchedulerReportLinkMonthlyPrintStyle See Also

Determines whether the AView time view and the monthly print style are of the same type.

function IsCompatibleWith(AView: TcxSchedulerCustomView ): Boolean; override;

Description

The IsCompatibleWith method returns True if the type of the AView time view is TcxSchedulerWeeksView .


TcxSchedulerReportLinkMonthlyPrintStyle.PrintExactlyOneMonthPerPage

TcxSchedulerReportLinkMonthlyPrintStyle See Also

Specifies whether to print one month per page.

property PrintExactlyOneMonthPerPage: Boolean;

Description

Set the PrintExactlyOneMonthPerPage property to True to print exactly one month per page. When the page should encompass the dates in adjacent months set the PrintExactlyOneMonthPerPage property to False.

The default value of the PrintExactlyOneMonthPerPage property is False.


TcxSchedulerReportLinkMonthlyPrintStyle.RestoreDefaults

TcxSchedulerReportLinkMonthlyPrintStyle

Restores the monthly print style’s default settings.

procedure RestoreDefaults; override;

Description

The RestoreDefaults method resets the PrintExactlyOneMonthPerPage property to its default value and invokes the parent’s method (see the TcxCustomSchedulerReportLinkPrintStyle.RestoreDefaults method).


TcxSchedulerReportLinkOptionsFormatting.ReportLink

TcxSchedulerReportLinkOptionsFormatting See Also

Represents the report link that is used to generate the scheduler’s report.

property ReportLink: TcxSchedulerReportLink ;

Description

Use the ReportLink property to access the TcxSchedulerReportLink object’s interface.

ReadOnly Property


TcxSchedulerReportLinkOptionsFormatting.RestoreDefaults

TcxSchedulerReportLinkOptionsFormatting

Resets the formatting to its default values.

procedure RestoreDefaults; override;

Description

The RestoreDefaults method sets the SuppressContentColoration property to False and calls the TdxCustomReportLinkOptions.RestoreDefaults method.


TcxSchedulerReportLinkOptionsFormatting.SuppressContentColoration

TcxSchedulerReportLinkOptionsFormatting

Specifies whether the scheduler’s report is displayed in black and white or color in preview mode.

property SuppressContentColoration: Boolean;

Description

Set the SuppressContentColoration property to True to display the scheduler’s report in monochrome when in preview mode.

The default value of the SuppressContentColoration property is False.


TcxSchedulerReportLinkPrintRange.DayCount

TcxSchedulerReportLinkPrintRange See Also

Gets a count of days to print.

property DayCount: Integer;

Description

Use the DayCount property to determine the count of days to be printed in the scheduler’s report. The DayCount property’s value is calculated based upon the time range defined by the PrintFrom and PrintTo properties.

ReadOnly Property


TcxSchedulerReportLinkPrintRange.DefaultDatePrintFrom

TcxSchedulerReportLinkPrintRange See Also

Returns the default day, which the scheduler’s report starts from.

function DefaultDatePrintFrom: TDate; virtual;

Description

Use the DefaultDatePrintFrom method to get the default first day for the report.


TcxSchedulerReportLinkPrintRange.DefaultDatePrintTo

TcxSchedulerReportLinkPrintRange See Also

Returns the default day the scheduler’s report ends on.

function DefaultDatePrintTo: TDate; virtual;

Description

Use the DefaultDatePrintTo method to get the default end day for the report.


TcxSchedulerReportLinkPrintRange.DefaultTimePrintFrom

TcxSchedulerReportLinkPrintRange See Also

Returns the default time, which the scheduler’s report starts from.

function DefaultTimePrintFrom: TTime; virtual;

Description

Use the DefaultTimePrintFrom method to get the default start time for the report.


TcxSchedulerReportLinkPrintRange.DefaultTimePrintTo

TcxSchedulerReportLinkPrintRange See Also

Returns the default time the scheduler’s report ends on.

function DefaultTimePrintTo: TTime; virtual;

Description

Use the DefaultTimePrintTo method to get the default end time for the report.


TcxSchedulerReportLinkPrintRange.MonthCount

TcxSchedulerReportLinkPrintRange See Also

Gets a count of months to print.

property MonthCount: Integer;

Description

Use the MonthCount property to determine the count of months to be printed in the scheduler’s report. The MonthCount property’s value is calculated based upon the time range defined by the PrintFrom and PrintTo properties.

ReadOnly Property


TcxSchedulerReportLinkPrintRange.PrintFrom

TcxSchedulerReportLinkPrintRange See Also

Specifies the first day to print.

property PrintFrom: TDate;

Description

Use the PrintFrom property to specify the starting day for the scheduler’s report.

Note: if the PrintFrom property’s value is not specified then the day returned by the DefaultDatePrintFrom method (when the value is retrieved from the PrintFrom property) will be used as the first day.


TcxSchedulerReportLinkPrintRange.PrintTo

TcxSchedulerReportLinkPrintRange See Also

Specifies the last day to print.

property PrintTo: TDate;

Description

Use the PrintTo property to specify the end day for the scheduler’s report.

Note: if the PrintTo property’s value is not specified then the day returned by the DefaultDatePrintTo method (when the value is retrieved from the PrintTo property) will be used as the last day.


TcxSchedulerReportLinkPrintRange.RestoreDefaults

TcxSchedulerReportLinkPrintRange See Also

Restores the default date range of the scheduler’s report.

procedure RestoreDefaults; override;

Description

Use the RestoreDefaults method to restore the default date period printed.


TcxSchedulerReportLinkPrintRange.TimePrintFrom

TcxSchedulerReportLinkPrintRange

Specifies the start time to print.

property TimePrintFrom: TTime;

Description

Use the TimePrintFrom property to specify the starting time for the scheduler’s report.

Note: if the TimePrintFrom property’s value is not specified then the time returned by the DefaultTimePrintFrom method (when the value is retrieved from the TimePrintFrom property) will be used as the start time.


TcxSchedulerReportLinkPrintRange.TimePrintTo

TcxSchedulerReportLinkPrintRange

Specifies the end time to print.

property TimePrintTo: TTime;

Description

Use the TimePrintTo property to specify the end time for the scheduler’s report.

Note: if the TimePrintTo property’s value is not specified then the time returned by the DefaultTimePrintTo method (when the value is retrieved from the TimePrintTo property) will be used as the end time.


TcxSchedulerReportLinkPrintRange.WeekCount

TcxSchedulerReportLinkPrintRange See Also

Gets a count of weeks to print.

property WeekCount: Integer;

Description

Use the WeekCount property to determine the count of weeks to be printed in the scheduler’s report. The WeekCount property’s value is calculated based upon the time range defined by the PrintFrom and PrintTo properties.

ReadOnly Property


TcxSchedulerReportLinkPrintStyles.ActiveStyle

TcxSchedulerReportLinkPrintStyles

Represents the print style that is currently active in the scheduler’s report.

property ActiveStyle: TcxCustomSchedulerReportLinkPrintStyle ;

Description

Use the ActiveStyle property to specify the print style that is currently applied to the scheduler’s report.


TcxSchedulerReportLinkPrintStyles.Count

TcxSchedulerReportLinkPrintStyles See Also

Gets a count of the print styles.

property Count: Integer;

Description

Use the Count property to determine how many print styles exist.

ReadOnly Property


TcxSchedulerReportLinkPrintStyles.Daily

TcxSchedulerReportLinkPrintStyles See Also

Represents the Daily print style.

property Daily: TcxSchedulerReportLinkDailyPrintStyle ;

Description

The Daily print style specifies the layout as a day per page.

Use the Daily property to access the TcxSchedulerReportLinkDailyPrintStyle object.


TcxSchedulerReportLinkPrintStyles.Details

TcxSchedulerReportLinkPrintStyles

Represents the Details print style.

property Details: TcxSchedulerReportLinkDetailsPrintStyle ;

Description

The Details print style specifies the layout as a day per page with the scheduled user events ’ descriptions included (see the TcxSchedulerEvent.Message property).

Use the Details property to access the TcxSchedulerReportLinkDetailsPrintStyle object.


TcxSchedulerReportLinkPrintStyles.GetCorrespondingStyle

TcxSchedulerReportLinkPrintStyles See Also

Returns the print style corresponding to the time view that is currently active in the scheduler control.

function GetCorrespondingStyle: TcxCustomSchedulerReportLinkPrintStyle ; virtual;

Description

Use the GetCorrespondingStyle method to determine the print style corresponding to the time view that is currently active in the scheduler control.


TcxSchedulerReportLinkPrintStyles.GetStyleByClass

TcxSchedulerReportLinkPrintStyles See Also

Returns the print style instance identified by the TcxCustomSchedulerReportLinkPrintStyle descendant’s type.

function GetStyleByClass(AClass: TcxCustomSchedulerReportLinkPrintStyleClass): TcxCustomSchedulerReportLinkPrintStyle ;

Description

Use the GetStyleByClass method to retrieve the print style instance identified by its class.

The AClass parameter specifies the TcxCustomSchedulerReportLinkPrintStyle descendant’s type.


TcxSchedulerReportLinkPrintStyles.GetStyleByName

TcxSchedulerReportLinkPrintStyles See Also

Returns the print style instance identified by the print style’s caption.

function GetStyleByName(const Name: string): TcxCustomSchedulerReportLinkPrintStyle ;

Description

Use the GetStyleByName method to retrieve the print style instance identified by the print style’s caption.

The Name parameter specifies the print style’s caption.


TcxSchedulerReportLinkPrintStyles.GetStyleByView

TcxSchedulerReportLinkPrintStyles See Also

Returns the print style instance identified by the corresponding TcxSchedulerCustomView descendant’s type.

function GetStyleByView(View: TcxSchedulerCustomView ): TcxCustomSchedulerReportLinkPrintStyle ;

Description

Use the GetStyleByView method to retrieve the print style instance identified by the View time view.


TcxSchedulerReportLinkPrintStyles.IndexOf

TcxSchedulerReportLinkPrintStyles See Also

Returns the zero-based index of the TcxCustomSchedulerReportLinkPrintStyle print style in the Styles collection.

function IndexOf(AItem: TcxCustomSchedulerReportLinkPrintStyle ): Integer;

Description

Use the IndexOf method to determine the TcxCustomSchedulerReportLinkPrintStyle print style’s index in the Styles collection.


TcxSchedulerReportLinkPrintStyles.Items

TcxSchedulerReportLinkPrintStyles See Also

Provides indexed access to the print styles.

property Items[Index:Integer]: TcxCustomSchedulerReportLinkPrintStyle ;

Description

Use the Items property to specify the print style identified by the zero-based Index parameter.


TcxSchedulerReportLinkPrintStyles.Memo

TcxSchedulerReportLinkPrintStyles

Represents the Memo print style.

property Memo: TcxSchedulerReportLinkMemoPrintStyle ;

Description

The Memo print style displays a list of the individual user events along with their details.

Use the Memo property to access the TcxSchedulerReportLinkMemoPrintStyle object.


TcxSchedulerReportLinkPrintStyles.Monthly

TcxSchedulerReportLinkPrintStyles See Also

Represents the Monthly print style.

property Monthly: TcxSchedulerReportLinkMonthlyPrintStyle ;

Description

The Monthly print style specifies the layout as a month per page.

Use the Monthly property to access the TcxSchedulerReportLinkMonthlyPrintStyle object.


TcxSchedulerReportLinkPrintStyles.RestoreDefaults

TcxSchedulerReportLinkPrintStyles See Also

Restores the print styles’ default settings.

procedure RestoreDefaults; override;

Description

Use the RestoreDefaults method to restore the print styles’ default settings.


TcxSchedulerReportLinkPrintStyles.TimeLine

TcxSchedulerReportLinkPrintStyles

Represents the TimeLine print style.

property TimeLine: TcxSchedulerReportLinkTimeLinePrintStyle ;

Description

The TimeLine print style provides reports for TimeGrid and Gantt Views.


TcxSchedulerReportLinkPrintStyles.Trifold

TcxSchedulerReportLinkPrintStyles

Represents the Tri-fold print style.

property Trifold: TcxSchedulerReportLinkTrifoldPrintStyle ;

Description

The Tri-fold print style specifies that the page is divided into three sections. Each section can be occupied by the one of the three time views ( day , week or weeks ) or by the task pad, plain notes or lined notes pane.

Use the Trifold property to access the TcxSchedulerReportLinkTrifoldPrintStyle object.


TcxSchedulerReportLinkPrintStyles.Weekly

TcxSchedulerReportLinkPrintStyles See Also

Represents the Weekly print style.

property Weekly: TcxSchedulerReportLinkWeeklyPrintStyle ;

Description

The Weekly print style specifies the layout as a week per page.

Use the Weekly property to access the TcxSchedulerReportLinkWeeklyPrintStyle object.


TcxSchedulerReportLinkPrintStyles.Yearly

TcxSchedulerReportLinkPrintStyles See Also

Represents the Yearly print style.

property Yearly: TcxSchedulerReportLinkYearlyPrintStyle ;

Description

The Yearly print style specifies the layout as a year per page.

Use the Yearly property to access the TcxSchedulerReportLinkYearlyPrintStyle object.


TcxSchedulerReportLinkStyles.Content

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the report's time blocks.

property Content: TcxStyle ;

Description

Use the Content property to specify the styles for the report’s time blocks.


TcxSchedulerReportLinkStyles.DateNavigatorContent

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the Date Navigator ‘s background in the report.

property DateNavigatorContent: TcxStyle ;

Description

Use the DateNavigatorContent property to specify the styles for the Date Navigator ‘s background in the report.


TcxSchedulerReportLinkStyles.DateNavigatorHeader

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the Date Navigator ‘s header in the report.

property DateNavigatorHeader: TcxStyle ;

Description

Use the DateNavigatorHeader property to specify the styles for the Date Navigator ‘s header in the report.


TcxSchedulerReportLinkStyles.DayHeader

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the day’s header in the report.

property DayHeader: TcxStyle ;

Description

Use the DayHeader property to specify the styles for the day’s header in the report.


TcxSchedulerReportLinkStyles.Event

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the report's user events .

property Event: TcxStyle ;

Description

Use the Event property to specify the styles for the report’s user events .


TcxSchedulerReportLinkStyles.GetContentParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the time blocks in the report.

function GetContentParams(const ADateTime: TDateTime; AResource: TcxSchedulerStorageResourceItem ): TcxViewParams ; virtual;

function GetContentParams(const ADateTime: TDateTime; ALightColor: Boolean; AResource: TcxSchedulerStorageResourceItem ): TcxViewParams ; virtual;

Description

Use the GetContentParams method to get information about the style attributes of the report’s time blocks.

The ADateTime parameter specifies the time slot;

The AResource parameter specifies the resource if the gkByResource flag on the TcxSchedulerCustomResourceView.GroupingKind property is active;

The ALightColor parameter specifies whether the current time slot corresponds to work time or not. If the current time slot is working time the ALightColor parameter should be set to True. The range of working hours is specified by the TcxSchedulerOptionsView.WorkStart and TcxSchedulerOptionsView.WorkFinish properties.


TcxSchedulerReportLinkStyles.GetDateNavigatorContentParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the Date Navigator ‘s background in the report.

function GetDateNavigatorContentParams: TcxViewParams ; virtual;

Description

Use the GetDateNavigatorContentParams method to get information about the style attributes of the Date Navigator ‘s background in the scheduler’s report.


TcxSchedulerReportLinkStyles.GetDateNavigatorHeaderParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the Date Navigator ‘s header in the report.

function GetDateNavigatorHeaderParams: TcxViewParams ; virtual;

Description

Use the GetDateNavigatorHeaderParams method to get information about the style attributes of the Date Navigator ‘s header in the scheduler’s report.


TcxSchedulerReportLinkStyles.GetDayHeaderParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report's day headers.

function GetDayHeaderParams(const ADateTime: TDateTime): TcxViewParams ; virtual;

Description

Use the GetDayHeaderParams method to get information about the style attributes of the report's day headers.

The ADateTime parameter represents the day the header belongs to.


TcxSchedulerReportLinkStyles.GetEventParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report's AEvent user events .

function GetEventParams(AEvent: TcxSchedulerEvent ): TcxViewParams ; virtual;

Description

Use the GetEventParams method to get information about the style attributes of the report’s user event .

The AEvent parameter specifies the current user event .


TcxSchedulerReportLinkStyles.GetNotesAreaBlankParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report's notes pane.

function GetNotesAreaBlankParams: TcxViewParams ; virtual;

Description

Use the GetNotesAreaBlankParams method to get information about the style attributes of the report’s notes pane.


TcxSchedulerReportLinkStyles.GetNotesAreaLinedParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report's lined notes pane.

function GetNotesAreaLinedParams: TcxViewParams ; virtual;

Description

Use the GetNotesAreaLinedParams method to get information about the style attributes of the report’s lined notes pane.


TcxSchedulerReportLinkStyles.GetResourceHeaderParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report's resource header.

function GetResourceHeaderParams(AResource: TcxSchedulerStorageResourceItem ): TcxViewParams ; virtual;

Description

Use the GetResourceHeaderParams method to get information about the style attributes of the report’s resource header.

The AResource parameter specifies the resource if the gkByResource flag on the TcxSchedulerCustomResourceView.GroupingKind property is active.


TcxSchedulerReportLinkStyles.GetSchedulerHeaderParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report's header.

function GetSchedulerHeaderParams: TcxViewParams ; virtual;

Description

Use the GetSchedulerHeaderParams method to get information about the style attributes of the report's header.


TcxSchedulerReportLinkStyles.GetTaskPadParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report’s task pad.

function GetTaskPadParams: TcxViewParams ; virtual;

Description

Use the GetTaskPadParams method to get information about the style attributes of the report’s task pad.


TcxSchedulerReportLinkStyles.GetTimeRulerParams

TcxSchedulerReportLinkStyles See Also

Returns the TcxViewParams record, which contains information about the style attributes of the report’s time zone(s).

function GetTimeRulerParams: TcxViewParams ; virtual;

Description

Use the GetTimeRulerParams method to get information about the style attributes of the report’s time zone(s).


TcxSchedulerReportLinkStyles.NotesAreaBlank

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the report's notes pane.

property NotesAreaBlank: TcxStyle ;

Description

Use the NotesAreaBlank property to specify the styles for the report’s notes pane.


TcxSchedulerReportLinkStyles.NotesAreaLined

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the report's lined notes pane.

property NotesAreaLined: TcxStyle ;

Description

Use the NotesAreaLined property to specify the styles for the report’s lined notes pane.


TcxSchedulerReportLinkStyles.ReportLink

TcxSchedulerReportLinkStyles See Also

Represents the scheduler’s report generating component.

property ReportLink: TcxSchedulerReportLink ;

Description

Use the ReportLink property to access the TcxSchedulerReportLink object’s interface.

ReadOnly Property


TcxSchedulerReportLinkStyles.ResourceHeader

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the resource’s header in the report.

property ResourceHeader: TcxStyle ;

Description

Use the ResourceHeader property to specify the styles for the resource’s header in the report.


TcxSchedulerReportLinkStyles.SchedulerHeader

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the scheduler header in the scheduler’s report.

property SchedulerHeader: TcxStyle ;

Description

Use the SchedulerHeader property to specify the styles for the scheduler header.


TcxSchedulerReportLinkStyles.TaskPad

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the task pad in the report.

property TaskPad: TcxStyle ;

Description

Use the TaskPad property to specify the styles for the report’s task pad.


TcxSchedulerReportLinkStyles.TimeRuler

TcxSchedulerReportLinkStyles See Also

Specifies the style settings for the time zone(s) in the report.

property TimeRuler: TcxStyle ;

Description

Use the TimeRuler property to specify the styles for the report’s time zone(s).


TcxSchedulerReportLinkStyles.UseSchedulerStyles

TcxSchedulerReportLinkStyles

Gets whether the report link’s style settings will be used.

property UseSchedulerStyles: Boolean;

Description

The UseSchedulerStyles property gets True if the TdxCustomReportLinkOptionsFormatting.UseNativeStyles property was set to True and the TcxSchedulerReportLink object is not instantiated or the scheduler control (see the TcxScheduler class) is not plugged to the TcxSchedulerReportLink report link. Otherwise – False.

ReadOnly Property


TcxSchedulerReportLinkTimeLinePrintStyle.CorrespondedView

TcxSchedulerReportLinkTimeLinePrintStyle

Returns the corresponding View.

property CorrespondedView: TcxSchedulerTimeGridView ;

Description

The CorrespondedView property returns a reference to either the TimeGrid View or Gant View instance, dependent upon which View is currently active (see the scheduler’s CurrentView property).

ReadOnly Property


TcxSchedulerReportLinkTimeLinePrintStyle.PrimaryPageHeadersOnly

TcxSchedulerReportLinkTimeLinePrintStyle

Specifies whether day headers are to be displayed only in the report’s top-level page.

property PrimaryPageHeadersOnly: Boolean;

Description

Set the PrimaryPageHeadersOnly property to True, to display day headers only in the report’s top-level page. Otherwise, day headers will be displayed in all pages.

The default value of the PrimaryPageHeadersOnly property is False.


TcxSchedulerReportLinkTimeLinePrintStyle.PrimaryPageScalesOnly

TcxSchedulerReportLinkTimeLinePrintStyle

Specifies whether major and minor time scales are to be displayed only in the report’s top-level page.

property PrimaryPageScalesOnly: Boolean;

Description

Set the PrimaryPageScalesOnly property to True, to display major and minor time scales only in the report’s top-level page. Otherwise, time scales will be displayed in all pages.

The default value of the PrimaryPageScalesOnly property is False.


TcxSchedulerReportLinkTimeLinePrintStyle.ShowLinks

TcxSchedulerReportLinkTimeLinePrintStyle

Specifies whether task connectors are to be displayed in the report.

property ShowLinks: Boolean;

Description

Set the ShowLinks property to True, to display task connectors in the report.

The default value of the ShowLinks property is True.


TcxSchedulerReportLinkTimeLinePrintStyle.WorkTimeOnly

TcxSchedulerReportLinkTimeLinePrintStyle

Specifies whether only work hours are displayed in the report.

property WorkTimeOnly: Boolean;

Description

Set the WorkTimeOnly property to True, to suppress non-work hours in the report.

The default value of the WorkTimeOnly property is False.


TcxSchedulerReportLinkTrifoldPrintStyle.DefaultCaption

TcxSchedulerReportLinkTrifoldPrintStyle See Also

Returns the tri-fold print style’s default caption.

function DefaultCaption: string; override;

Description

Use the DefaultCaption method to determine the tri-fold print style’s default caption.


TcxSchedulerReportLinkTrifoldPrintStyle.LeftSection

TcxSchedulerReportLinkTrifoldPrintStyle See Also

Specifies which view will occupy the left section of the page.

property LeftSection: TcxSchedulerReportLinkTrifoldPrintStyleSectionMode ;

Description

Use the LeftSection property to specify which view is displayed in the section located on the left side of the page.


TcxSchedulerReportLinkTrifoldPrintStyle.MiddleSection

TcxSchedulerReportLinkTrifoldPrintStyle See Also

Specifies which view will occupy the middle section of the page.

property MiddleSection: TcxSchedulerReportLinkTrifoldPrintStyleSectionMode ;

Description

Use the MiddleSection property to specify which view is displayed in the middle section of the page.


TcxSchedulerReportLinkTrifoldPrintStyle.RestoreDefaults

TcxSchedulerReportLinkTrifoldPrintStyle

Restores the tri-fold print style to its default settings.

procedure RestoreDefaults; override;

Description

The RestoreDefaults method invokes the inherited RestoreDefaults method to restore the report’s default settings.


TcxSchedulerReportLinkTrifoldPrintStyle.RightSection

TcxSchedulerReportLinkTrifoldPrintStyle See Also

Specifies which view will occupy the right section of the page.

property RightSection: TcxSchedulerReportLinkTrifoldPrintStyleSectionMode ;

Description

Use the RightSection property to specify which view is displayed in the section located on the right side of the page.


TcxSchedulerReportLinkWeeklyPrintStyle.Arrange

TcxSchedulerReportLinkWeeklyPrintStyle See Also

Specifies how the days in the scheduler’s report are sorted.

property Arrange: TcxSchedulerReportLinkWeeklyPrintStyleArrange ;

Description

If the Arrange property is set to wsaTopToBottom, then the days are sorted from top to bottom. If the value of the Arrange property is wsaLeftToRight, the days are sorted from left to right.


TcxSchedulerReportLinkWeeklyPrintStyle.DefaultCaption

TcxSchedulerReportLinkWeeklyPrintStyle See Also

Returns the weekly print style’s default caption.

function DefaultCaption: string; override;

Description

Use the DefaultCaption method to get the weekly print style’s default caption.


TcxSchedulerReportLinkWeeklyPrintStyle.IsCompatibleWith

TcxSchedulerReportLinkWeeklyPrintStyle See Also

Determines whether the AView time view and the weekly print style are of the same type.

function IsCompatibleWith(AView: TcxSchedulerCustomView ): Boolean; override;

Description

The IsCompatibleWith method returns True if the type of the AView time view is TcxSchedulerWeekView .


TcxSchedulerReportLinkWeeklyPrintStyle.RestoreDefaults

TcxSchedulerReportLinkWeeklyPrintStyle

Restores the weekly print style to its default settings.

procedure RestoreDefaults; override;

Description

The RestoreDefaults method resets the Arrange property's value to its default value wsaTopToBottom, which means the days in the scheduler’s report are sorted from top to bottom. It also invokes the parent’s RestoreDefaults method to restore the report’s default settings.


TcxSchedulerReportLinkYearlyPrintStyle.DefaultCaption

TcxSchedulerReportLinkYearlyPrintStyle See Also

Returns the default caption of the yearly print style.

function DefaultCaption: string; override;

Description

Use the DefaultCaption method to get the yearly print style’s default caption.


TcxSchedulerReportLinkYearlyPrintStyle.IsCompatibleWith

TcxSchedulerReportLinkYearlyPrintStyle

Determines whether the AView time view and the yearly print style are of the same type.

function IsCompatibleWith(AView: TcxSchedulerCustomView ): Boolean; override;

Description

The IsCompatibleWith method returns True if the type of the AView time view is TcxSchedulerYearView .


TcxSchedulerReportLinkYearlyPrintStyle.MonthCountPerPage

TcxSchedulerReportLinkYearlyPrintStyle

Specifies a count of months per page.

property MonthCountPerPage: Integer;

Description

Use the MonthCountPerPage property to specify how many months will be shown in each page of the scheduler’s report.

The default value of the MonthCountPerPage property is 12.


TcxSchedulerReportLinkYearlyPrintStyle.PrimaryPageHeadersOnly

TcxSchedulerReportLinkYearlyPrintStyle

Specifies whether to display page header and month headers in the first page of the scheduler’s report or in the first page of each month.

property PrimaryPageHeadersOnly: Boolean;

Description

If the Layout property’s value is pslTwoPages then the scheduler’s report will be split in two pages per month.

Set the PrimaryPageHeadersOnly property to True to show headers only in the top level page. Otherwise headers will be displayed in both types of pages.

The default value of the PrimaryPageHeadersOnly property is False.


TcxSchedulerReportLinkYearlyPrintStyle.RestoreDefaults

TcxSchedulerReportLinkYearlyPrintStyle

Restores the yearly print style to its default settings.

procedure RestoreDefaults; override;

Description

The RestoreDefaults method resets the MonthCountPerPage and PrimaryPageHeadersOnly properties to their default values (12 and False, respectively). It also invokes the parent’s RestoreDefaults method to restore the report’s default settings.


TcxTreeListControlReportLink.AddPageBreak

TcxTreeListControlReportLink

Adds a custom page break to the TreeList control report.

General Description

Adds a custom page before a specific TreeList control node or nodes. This method should ONLY be used in the OnGetCustomPageBreaks event handler, you should set the OptionsPagination.Custom property to True to enable the OnGetCustomPageBreaks event handling.

Overloaded Variants

procedure AddPageBreak(ANode: TcxTreeListNode);

Description

Adds a custom page break before the node specified by the ANode parameter.

The following example shows how to add a page break after the fifth, tenth and fifteenth node:

//Delphi

procedure TForm1.dxComponentPrinter1Link1GetCustomPageBreaks(

Sender: TcxTreeListControlReportLink);

var

I: Integer;

begin

dxComponentPrinter1Link1.AddPageBreak(cxTreeList1.Nodes[5]);

dxComponentPrinter1Link1.AddPageBreak(cxTreeList1.Nodes[10]);

dxComponentPrinter1Link1.AddPageBreak(cxTreeList1.Nodes[15]);

end;

And the following example shows how to add a page break after every tenth node:

//Delphi

procedure TForm1.dxComponentPrinter1Link1GetCustomPageBreaks(

Sender: TcxTreeListControlReportLink);

var

I: Integer;

begin

for I := 1 to (cxTreeList1.Nodes.Count - 1) div 10 do

dxComponentPrinter1Link1.AddPageBreak(cxTreeList1.Nodes[I * 10]);

end;

procedure AddPageBreak(const ANodes: array of TcxTreeListNode);

Description

Adds a custom page break before all the nodes in the array specified by the ANodes parameter.

The following example shows how to add a page break after the fifth, tenth and fifteenth node:

//Delphi

procedure TForm1.dxComponentPrinter1Link1GetCustomPageBreaks(

Sender: TcxTreeListControlReportLink);

var

I: Integer;

begin

dxComponentPrinter1Link1.AddPageBreak([cxTreeList1.Nodes[5], cxTreeList1.Nodes[10], cxTreeList1.Nodes[15]]);

end;

The following example shows how to place every first-level node with its children onto a separate report page:

//Delphi

var

FNodeArray: array of TcxTreeListNode;

//...

var

I: Integer;

//...

SetLength(FNodeArray, cxTreeList1.Count);

for I := 0 to cxTreeList1.Count - 1 do

FNodeArray[I] := cxTreeList1.Items[I];

procedure TForm1.dxComponentPrinter1Link1GetCustomPageBreaks(

Sender: TcxTreeListControlReportLink);

begin

dxComponentPrinter1Link1.AddPageBreak(FNodeArray);

end;

type

TcxTreeListNodeArray = array of TcxTreeListNode;

procedure AddPageBreak(const ANodes: TcxTreeListNodeArray);

Description

Adds a custom page break before all the nodes within the array specified by the ANodes parameter.

The following example shows how to place every first-level node with its children onto a separate report page:

//Delphi

var

FNodeArray: TcxTreeListNodeArray;

//...

var

I: Integer;

//...

SetLength(FNodeArray, cxTreeList1.Count);

for I := 0 to cxTreeList1.Count - 1 do

FNodeArray[I] := cxTreeList1.Items[I];

procedure TForm1.dxComponentPrinter1Link1GetCustomPageBreaks(

Sender: TcxTreeListControlReportLink);

begin

dxComponentPrinter1Link1.AddPageBreak(FNodeArray);

end;

procedure AddPageBreak(ANodes: TList );

Description

Adds a custom page break before all the nodes within the pointer list specified by the ANodes parameter.

The following example shows how to place a custom page break before every selected node:

//Delphi

var

FNodeArray: TList;

//...

var

I: Integer;

//...

FNodeArray := TList.Create;

for I := 0 to cxTreeList1.Nodes.Count - 1 do

if cxTreeList1.Nodes[I].Selected then

FNodeArray.Add(cxTreeList1.Items[I]);

procedure TForm1.dxComponentPrinter1Link1GetCustomPageBreaks(

Sender: TcxTreeListControlReportLink);

begin

dxComponentPrinter1Link1.AddPageBreak(FNodeArray);

end;

//...

FNodeArray.Free;


TcxTreeListControlReportLink.DesignWindow

TcxTreeListControlReportLink See Also

Provides access to the grid control’s report link designer.

property DesignWindow: TdxfmTreeListReportLinkDesignWindow;

Description

Use the DesignWindow property to access the designer of the grid control’s report link. Also use the HasDesignWindow property to determine whether the designer is available.

ReadOnly Property


TcxTreeListControlReportLink.OnCustomDrawBandCell

TcxTreeListControlReportLink

Enables custom painting of the TreeList control band header within the report.

type

TcxTreeListReportLinkCustomDrawBandCellEvent = procedure(Sender: TcxTreeListControlReportLink; ACanvas: TCanvas; ABand: TcxTreeListBand; AnItem: TdxReportCellImage; var ADone: Boolean) of object;

property OnCustomDrawBandCell: TcxTreeListReportLinkCustomDrawBandCellEvent;

Description

To implement custom painting of the TreeList control band header within the report you should use the report link OnCustomDrawBandCell event and enable custom painting via the SupportedCustomDraw property. Set it to True to enable custom painting and to False to disable it.

To implement custom painting you will need a canvas to paint onto (provided by the ACanvas parameter) and painting information provided by the AnItem parameter. Optionally you can access the owning report link properties and methods via the Sender parameter and the band whose painter is currently painted via the ABand parameter.

To prevent default drawing of the band header set the ADone parameter to True. By default this parameter is False and default drawing is enabled.


TcxTreeListControlReportLink.OnCustomDrawCell

TcxTreeListControlReportLink

Enables custom painting of the TreeList control node cell within the report.

type

TcxTreeListReportLinkCustomDrawCellEvent = procedure(Sender: TcxTreeListControlReportLink; ACanvas: TCanvas; ANode: TcxTreeListNode; AColumn: TcxTreeListColumn; AnItem: TAbstractdxReportCellData; var ADone: Boolean) of object;

property OnCustomDrawCell: TcxTreeListReportLinkCustomDrawCellEvent;

Description

To implement custom painting of the TreeList control node cell within the report you should use the report link OnCustomDrawCell event and enable custom painting via the SupportedCustomDraw property. Set it to True to enable custom painting and to False to disable it.

To implement custom painting you will need a canvas to paint onto (provided by the ACanvas parameter) and painting information provided by the AnItem parameter. Optionally you can access the owning report link properties and methods via the Sender parameter and the TreeList column and node (the AColumn and ANode parameters correspondingly) to the painted cell that it belongs.

To prevent default drawing of the node cell set the ADone parameter to True. By default this parameter is False and default drawing is enabled.


TcxTreeListControlReportLink.OnCustomDrawFooterCell

TcxTreeListControlReportLink

Enables custom painting of the TreeList control footer within the report.

type

TcxTreeListReportLinkCustomDrawFooterCellEvent = procedure(Sender: TcxTreeListControlReportLink; ACanvas: TCanvas; AColumn: TcxTreeListColumn; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawFooterCell: TcxTreeListReportLinkCustomDrawFooterCellEvent;

Description

To implement custom painting of the TreeList control footer cell within the report you should use the report link OnCustomDrawFooterCell event and enable custom painting via the SupportedCustomDraw property. Set it to True to enable custom painting and to False to disable it.

To implement custom painting you will need a canvas to paint to (provided by ACanvas parameter) and painting information provided by the AnItem parameter. Optionally you can access the owning report link properties and methods via the Sender parameter and the TreeList column (the AColumn parameter) to the painted footer cell that it belongs.

To prevent default drawing of the footer cell set the ADone parameter to True. By default this parameter is False and default drawing is enabled.


TcxTreeListControlReportLink.OnCustomDrawHeaderCell

TcxTreeListControlReportLink

Enables custom painting of the TreeList control column header within the report.

type

TcxTreeListReportLinkCustomDrawHeaderCellEvent = procedure(Sender: TcxTreeListControlReportLink; ACanvas: TCanvas; AColumn: TcxTreeListColumn; AnItem: TdxReportCellImage; var ADone: Boolean) of object;

property OnCustomDrawHeaderCell: TcxTreeListReportLinkCustomDrawHeaderCellEvent;

Description

To implement custom painting of the TreeList control column header within the report you should use the report link OnCustomDrawHeaderCell event and enable custom painting via the SupportedCustomDraw property. Set it to True to enable custom painting and to False to disable it.

To implement custom painting you will need a canvas to paint onto (provided by ACanvas parameter) and painting information provided by the AnItem parameter. Optionally you can access owning report link properties and methods via the Sender parameter and the TreeList column whose header is being painted via the AColumn parameter.

To prevent default drawing of the column header set the ADone parameter to True. By default this parameter is False and default drawing is enabled.


TcxTreeListControlReportLink.OnCustomDrawIndentCell

TcxTreeListControlReportLink

Enables custom painting of the TreeList control node indent within the report.

type

TcxTreeListReportLinkCustomDrawIndentCellEvent = procedure(Sender: TcxTreeListControlReportLink; ACanvas: TCanvas; ANode: TcxTreeListNode; AnIndex: Integer; AnItem: TAbstractdxReportCellData; var ADone: Boolean) of object;

property OnCustomDrawIndentCell: TcxTreeListReportLinkCustomDrawIndentCellEvent;

Description

To implement custom painting of the TreeList control node indent within the report you should use the report link OnCustomDrawCell event and enable custom painting via the SupportedCustomDraw property. Set it to True to enable custom painting and to False to disable it.

To implement custom painting you will need a canvas to paint to (provided by ACanvas parameter) and painting information provided by the AnItem parameter. Optionally you can access the owning report link properties and methods via the Sender parameter and the TreeList node whose indent is being painted via the ANode parameter.

To prevent default drawing of the node indent set the ADone parameter to True. By default this parameter is False and default drawing is enabled.


TcxTreeListControlReportLink.OnGetCustomPageBreaks

TcxTreeListControlReportLink

Enables adding custom page breaks to the TreeList control report.

type

TcxTreeListReportLinkGetCustomPageBreaksEvent = procedure(Sender: TcxTreeListControlReportLink) of object;

property OnGetCustomPageBreaks: TcxTreeListReportLinkGetCustomPageBreaksEvent;

Description

Using the OnGetCustomPageBreaks event allows you to add custom page breaks to the TreeList control report. The custom page breaks are added by the AddPageBreak method, this method should ONLY be used within the OnGetCustomPageBreaks event. Remember that this event is only fired when the TcxTreeListControlReportLink.OptionsPagination.Custom property is set to True.

For examples of using the event refer to the AddPageBreak topic.


TcxTreeListControlReportLink.OnInitializeBandCell

TcxTreeListControlReportLink

Occurs when a TreeList band header is rendered for the report.

type

TcxTreeListReportLinkInitializeBandCellEvent = procedure(Sender: TcxTreeListControlReportLink; ABand: TcxTreeListBand; AnItem: TdxReportCellImage) of object;

property OnInitializeBandCell: TcxTreeListReportLinkInitializeBandCellEvent;

Description

The OnInitializeBandCell event occurs when a TreeList band header is rendered for the report.

The Sender parameter represents a report link that renders the report.

The ABand parameter refers to a band whose header is rendered.

The AnItem parameter contains data that defines band header representation within the report.

You can modify the properties of an object passed via the AnItem parameter to change the visual representation of the rendered element, this can help you avoid custom painting in most cases. Additionally, all changes made to this parameter’s properties can be safely stored during a report’s load and save operations.


TcxTreeListControlReportLink.OnInitializeCell

TcxTreeListControlReportLink

Occurs when a TreeList data cell is rendered for a report.

type

TcxTreeListReportLinkInitializeCellEvent = procedure(Sender: TcxTreeListControlReportLink; ANode: TcxTreeListNode; AColumn: TcxTreeListColumn; AnItem: TAbstractdxReportCellData) of object;

property OnInitializeCell: TcxTreeListReportLinkInitializeCellEvent;

Description

The OnInitializeCell event occurs when a TreeList data cell is rendered for a report.

The Sender parameter represents a report link that renders the report.

The AColumn parameter refers to a column whose data cell is rendered.

The ANode parameter refers to a node whose data cell is rendered.

The AnItem parameter contains data that defines band header representation within the report.

You can modify properties of an object passed via the AnItem parameter to change the visual representation of the rendered element, this can help you avoid custom painting in most cases. Additionally, all changes made to this parameter’s properties can be safely stored during report load and save operations.


TcxTreeListControlReportLink.OnInitializeFooterCell

TcxTreeListControlReportLink

Occurs when a TreeList footer cell is rendered for a report.

type

TcxTreeListReportLinkInitializeFooterCellEvent = procedure(Sender: TcxTreeListControlReportLink; AColumn: TcxTreeListColumn; AnItem: TdxReportCellString) of object;

property OnInitializeFooterCell: TcxTreeListReportLinkInitializeFooterCellEvent;

Description

The OnInitializeFooterCell event occurs when a TreeList footer cell is rendered for the report.

The Sender parameter represents a report link that renders the report.

The AColumn parameter refers to a column whose footer cell is rendered.

The AnItem parameter contains data that defines band header representation within the report.

You can modify properties of an object passed via the AnItem parameter to change the visual representation of the rendered element, this can help you avoid custom painting in most cases. Additionally, all changes made to this parameter’s properties can be safely stored during report load and save operations.


TcxTreeListControlReportLink.OnInitializeHeaderCell

TcxTreeListControlReportLink

Occurs when a TreeList column header is rendered for a report.

type

TcxTreeListReportLinkInitializeHeaderCellEvent = procedure(Sender: TcxTreeListControlReportLink; AColumn: TcxTreeListColumn; AnItem: TdxReportCellImage) of object;

property OnInitializeHeaderCell: TcxTreeListReportLinkInitializeHeaderCellEvent;

Description

The OnInitializeCell event occurs when a TreeList data cell is rendered for the report.

The Sender parameter represents a report link that renders the report.

The AColumn parameter refers to a column whose header is rendered.

The AnItem parameter contains data that defines band header representation within the report.

You can modify properties of an object passed via the AnItem parameter to change the visual representation of the rendered element, this can help you avoid custom painting in most cases. Additionally, all changes made to this parameter’s properties can be safely stored during report load and save operations.


TcxTreeListControlReportLink.OnInitializeIndentCell

TcxTreeListControlReportLink

Occurs when a TreeList node indent is rendered for a report.

type

TcxTreeListReportLinkInitializeIndentCellEvent = procedure(Sender: TcxTreeListControlReportLink; ANode: TcxTreeListNode; AnIndex: Integer; AnItem: TAbstractdxReportCellData) of object;

property OnInitializeIndentCell: TcxTreeListReportLinkInitializeIndentCellEvent;

Description

The OnInitializeCell event occurs when a TreeList data cell is rendered for the report.

The Sender parameter represents a report link that renders the report.

The ANode parameter refers to a node whose indent is rendered.

The AnItem parameter contains data that defines band header representation within the report.

You can modify the properties of an object passed via the AnItem parameter to change the visual representation of the rendered element, this can help you avoid custom painting in most cases. Additionally, all changes made to this parameter’s properties can be safely stored during report load and save operations.


TcxTreeListControlReportLink.OptionsExpanding

TcxTreeListControlReportLink

Options defining how nodes with child nodes are displayed in the report.

property OptionsExpanding: TcxTreeListReportLinkOptionsExpanding;

Description

Use the OptionsExpanding property to tell the TreeList report link whether the nodes should be expanded in the report. Setting the TcxTreeListReportLinkOptionsExpanding.AutoExpandNodes property to True prints the TreeList control with all the nodes expanded but does not affect their state. On the other hand, the TcxTreeListReportLinkOptionsExpanding.ExplicitlyExpandNodes property forces nodes to be expanded.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.OptionsFormatting

TcxTreeListControlReportLink

Options defining the TreeList control’s appearance in the report.

property OptionsFormatting: TcxTreeListReportLinkOptionsFormatting;

Description

The OptionsFormatting property contains options controlling the general TreeList appearance in a report.

This includes:

  • Grid line color, which is controlled by the OptionsFormatting.GridLineColor property.

  • TreeList Look And Feel; controlled by the OptionsFormatting.LookAndFeelKind property.

  • Width and color of the node separator, controlled by the OptionsFormatting.NodeSeparatorThickness and OptionsFormatting.NodeSeparatorColor properties.

  • Whether to suppress printing background bitmaps that are specified by the TcxStyle.Bitmap property, controlled by the OptionsFormatting.SuppressBackgroundBitmaps property.

  • Whether or not to use the native windows color scheme for the TreeList control in the report, controlled by the OptionsFormatting.UseNativeStyles property.

  • Whether or not to show the stylized selection in the report, controlled by the OptionsFormatting.ConsumeSelectionStyle

After changing options you can always restore their default values using the report link’s RestoreDefaults method.


TcxTreeListControlReportLink.OptionsOnEveryPage

TcxTreeListControlReportLink

Options defining the fixed TreeList elements layout within the report.

property OptionsOnEveryPage: TcxTreeListReportLinkOptionsOnEveryPage;

Description

The OptionsOnEveryPage property is used to determine whether the fixed TreeList elements such as band headers, column headers and the footer panel appear on every report page or only once within the report.

The OptionsOnEveryPage.BandHeaders property determines whether TreeList band headers appear on every report page.

The OptionsOnEveryPage.Headers property determines whether TreeList column headers appear on every report page.

The OptionsOnEveryPage.Footers property determines whether the TreeList footer panel appears on every report page.

Note that it is impossible to enable TreeList column headers on every page (the OptionsOnEveryPage.Headers property) while band headers on every page are disabled (the OptionsOnEveryPage.BandHeaders property) and the band headers are enabled (the OptionsView.BandHeaders property).

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.OptionsPagination

TcxTreeListControlReportLink

Options determining how to split the TreeList control across report pages if its size exceeds that of a single printed page.

property OptionsPagination: TcxTreeListReportLinkOptionsPagination;

Description

The OptionsPagination property is used to determine how to split a TreeList control across report pages if its size exceeds that of a single printed page. There are four criteria that affect report pagination:

  • bands,

  • columns,

  • nodes,

  • custom page breaks.

To enable a single criterion just set the corresponding property to True.

  • TcxTreeListReportLinkOptionsPagination.Band for bands;

  • TcxTreeListReportLinkOptionsPagination.Column for columns;

  • TcxTreeListReportLinkOptionsPagination.Node for nodes;

  • TcxTreeListReportLinkOptionsPagination.Custom for custom page breaks.

The bands and columns affect horizontal TreeList splitting while the nodes and custom page breaks are vertical.

If the TcxTreeListReportLinkOptionsPagination.Band property is True, the TreeList control has more than one band and its width exceeds a single printed page the TreeList is split across the report pages to accommodate the maximum possible bands on a single page. This is also valid for the TdxGridReportLinkOptionsPagination.Column property, if True the TreeList control will be split to accommodate the maximum number of columns possible on a single page.

These two properties have no effect if either TBasedxReportLink.ShrinkToPageWidth property or TcxTreeListReportLinkOptionsSize.AutoWidth property is set to True.

Vertical TreeList splitting is controlled by the TcxTreeListReportLinkOptionsPagination.Node and TcxTreeListReportLinkOptionsPagination.Custom properties. If the TcxTreeListReportLinkOptionsPagination.Node property is True the TreeList control nodes are split across the report pages to accommodate the maximum number of columns possible on a single page.

Set the TcxTreeListReportLinkOptionsPagination.Custom property to True to enable custom page breaks. Custom page breaks allows you to add a page break before any TreeList node. To add custom page breaks to the report you should use the OnGetCustomPageBreaks event.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.OptionsPreview

TcxTreeListControlReportLink

Options determining how to display the TreeList node preview section within the report.

property OptionsPreview: TcxTreeListReportLinkOptionsPreview;

Description

The OptionsPreview property is used to control the TreeList node preview section representation within the report. The OptionsPreview.Visible property determines whether the preview section is visible. (True is visible, False is not visible) and the OptionsPreview.AutoHeight property specifies whether to adjust preview section height to accommodate the entire preview text. You can however, limit the preview text lines count via the OptionsPreview.MaxLineCount property. Set this property to the value greater than 0 and the preview section line count will not exceed the property value. But if the OptionsPreview.MaxLineCount property is 0 the line count will not be limited.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.OptionsRefinements

TcxTreeListControlReportLink

Options determining report refinements.

property OptionsRefinements: TcxTreeListReportLinkOptionsRefinements;

Description

The OptionsRefinements property is used to specify report refinements. This includes:

  • Whether to display graphics in cells as text (the OptionsRefinements.DisplayGraphicsAsText property). Additionally you can specify the text string to display instead of graphics via the OptionsRefinements.GraphicsText property.

  • Whether to display check boxes and radio buttons in 3D style or in flat style. Set the OptionsRefinements.FlatCheckMarks property to True to display check boxes and radio buttons as flat and to False to display them in 3D style.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.OptionsSelection

TcxTreeListControlReportLink

Options determining how to process the TreeList control selection.

property OptionsSelection: TcxTreeListReportLinkOptionsSelection;

Description

The OptionsSelection property specifies how the TreeList control selection will be displayed within the report. The OptionsSelection.ProcessSelection property determines whether the selection will be displayed within the report (True – displayed, False – not).

If the TreeList control is in the multiselect mode then the OptionsSelection.ProcessExactSelection provides additional control upon the selection representation. If it is True the selection is displayed as is, otherwise the owner node and all the nodes at the same save level as the selected nodes are displayed selected.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.OptionsSize

TcxTreeListControlReportLink

Options determining how the TreeList control is sized within the report.

property OptionsSize: TcxTreeListReportLinkOptionsSize;

Description

The OptionsSize property determines whether the TreeList control width is automatically adjusted to accommodate the printed page width. To enable automatic width adjustment set the TcxTreeListReportLinkOptionsSize.AutoWidth property to True, to disable it set the property to False.

Note that the property values of TcxTreeListReportLinkOptionsPagination.Band and TcxTreeListReportLinkOptionsPagination.Column have no effect upon the report and the TreeList control is not split horizontally across the report pages if the TcxTreeListReportLinkOptionsSize.AutoWidth or TBasedxReportLink.ShrinkToPageWidth is property True.

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.OptionsView

TcxTreeListControlReportLink

Options that determine which TreeList control’s elements should be displayed within the report.

property OptionsView: TcxTreeListReportLinkOptionsView;

Description

The OptionsView property specifies which elements of the TreeList control should be displayed within the report.

  • The BandHeaders property determines whether the band headers of the TreeList control are displayed within the report. Note that the OptionsOnEveryPage.BandHeaders property has no effect when the BandHeaders property is set to False.

  • The Borders property specifies whether the border of the TreeList control is displayed within the report.

  • The ExpandButtons property determines whether the expand buttons of the TreeList control are displayed within the report.

  • The Footers property indicates whether the footer of the TreeList control is displayed within the report. Note that the OptionsOnEveryPage.Footers property has no effect when the Footers property is set to False.

  • The Headers property specifies whether the column headers of the TreeList control are displayed within the report. Note that the OptionsOnEveryPage.Headers property has no effect when the Headers property is set to False.

  • The TreeLines property determines whether the tree lines of the TreeList control are displayed within the report.

Note that it is impossible to enable TreeList column headers on every page (the OptionsOnEveryPage.Headers property) while band headers on every page are disabled (the OptionsOnEveryPage.BandHeaders property) and the band headers are enabled (the OptionsView.BandHeaders property).

After changing options you can always restore their default values using the RestoreDefaults method.


TcxTreeListControlReportLink.Styles

TcxTreeListControlReportLink

Represents settings controlling the style of TreeList control’s elements within the report.

property Styles: TcxTreeListReportLinkStyles;

Description

The Styles property represents an instance of the TcxTreeListReportLinkStyles class whose properties represent styles for different elements of the control. You can define style settings for the entire control’s background, band or column headers, preview section, footer, and other elements.


TcxTreeListReportLink.TreeList

TcxTreeListReportLink

Provides access to the standard TreeList control used as the report source.

property TreeList: TcxTreeList;

Description

The TreeList property provides access to the TcxTreeList properties and methods used as the report source.

ReadOnly Property


TcxTreeListReportLinkOptionsExpanding.AutoExpandNodes

TcxTreeListReportLinkOptionsExpanding

Specifies whether TreeList control nodes are expanded within the report.

property AutoExpandNodes: Boolean;

Description

Set the AutoExpandNodes property to True to print the TreeList control nodes as expanded without affecting their state or to False to print them in their current state.

The default value of the AutoExpandNodes property is False.


TcxTreeListReportLinkOptionsExpanding.ExplicitlyExpandNodes

TcxTreeListReportLinkOptionsExpanding

Specifies whether the TreeList nodes should be expanded both in the report and TreeList control.

property ExplicitlyExpandNodes: Boolean;

Description

Set the ExplicitlyExpandNodes property to True to expand the TreeList control nodes before printing or to False to print them in their current state.

The default value of the ExplicitlyExpandNodes property is False.


TcxTreeListReportLinkOptionsExpanding.ReportLink

TcxTreeListReportLinkOptionsExpanding

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsFormatting.ConsumeSelectionStyle

TcxTreeListReportLinkOptionsFormatting

Specifies whether or not to show stylized selections in the report.

property ConsumeSelectionStyle: Boolean;

Description

The ConsumeSelectionStyle property specifies if stylized selection should be shown in the report. If the property is True the selection is stylized, if False the selection is shown in the default windows style.

Selection style can be set via the TcxTreeListReportLinkStyles.Selection property or via the

TcxTreeListControlStyles.Selection property.

The default value of the ConsumeSelectionStyle property is False.


TcxTreeListReportLinkOptionsFormatting.NodeSeparatorColor

TcxTreeListReportLinkOptionsFormatting

Specifies the color for the TreeList control node separator.

property NodeSeparatorColor: TColor ;

Description

The NodeSeparatorColor property specifies the color for the TreeList control node separator. Additionally you can specify the width of the nodes separators via the NodeSeparatorThickness property.

The default value of the NodeSeparatorColor property is clBtnFace.


TcxTreeListReportLinkOptionsFormatting.NodeSeparatorThickness

TcxTreeListReportLinkOptionsFormatting

Specifies the width for the TreeList control node separator.

property NodeSeparatorThickness: Integer;

Description

The NodeSeparatorThickness property specifies the width of the TreeList control node separator. If the property value is 0 the node separator is not visible.

Additionally you can specify the nodes separator color via the NodeSeparatorColor property.

The default value of the NodeSeparatorThickness property is 0.


TcxTreeListReportLinkOptionsFormatting.ReportLink

TcxTreeListReportLinkOptionsFormatting

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsOnEveryPage.BandHeaders

TcxTreeListReportLinkOptionsOnEveryPage

Specifies whether the TreeList band headers appear on every report page

property BandHeaders: Boolean;

Description

Set the BandHeaders property to True to print band headers on every report page and to False to print them only on the first page.

You can control the band headers presence within the report via the OptionsView.BandHeaders property.

The default value of the BandHeaders property is True.


TcxTreeListReportLinkOptionsOnEveryPage.Footers

TcxTreeListReportLinkOptionsOnEveryPage

Specifies whether the TreeList footer appears on every report page

property Footers: Boolean;

Description

Set the Footers property to True to print the footer on every report page and to False to print it only on the last page.

You can control the footer presence within the report via the OptionsView.Footers property.

The default value of the Footers property is True.


TcxTreeListReportLinkOptionsOnEveryPage.Headers

TcxTreeListReportLinkOptionsOnEveryPage

Specifies whether the TreeList column headers appear on every report page

property Headers: Boolean;

Description

Set the Headers property to True to print column headers on every report page and to False to print them only on the first page.

You can control the presence of column headers within the report via the OptionsView.Headers property.

Note that it is impossible to enable TreeList column headers on every page (see the Headers property) while band headers on every page are disabled via the BandHeaders property and the band headers are enabled via the OptionsView.BandHeaders property.

The default value of the Headers property is True.


TcxTreeListReportLinkOptionsOnEveryPage.ReportLink

TcxTreeListReportLinkOptionsOnEveryPage

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsPagination.Band

TcxTreeListReportLinkOptionsPagination

Specifies how the TreeList control bands are spread across the report pages.

property Band: Boolean;

Description

If the Band property is True, the TreeList control has more than one band and the TreeList's width exceeds the single printed page the TreeList is split across the report pages to accommodate the maximum number of bands possible in their entirety on a single page. If the property is False the TreeList control is split across the report pages in its current state.

This property has no effect if either the TBasedxReportLink.ShrinkToPageWidth property or TcxTreeListReportLinkOptionsSize.AutoWidth property is set to True.

The default value for the Band property is False.


TcxTreeListReportLinkOptionsPagination.Column

TcxTreeListReportLinkOptionsPagination

Specifies how the TreeList control columns are spread across the report pages.

property Column: Boolean;

Description

If the Column property is True, the TreeList control has more than one column and the TreeList's width exceeds the single printed page the TreeList is split across the report pages to accommodate the maximum number of columns possible in their entirety on a single page. If the property is False the TreeList control is split across the report pages in its current state.

This property has no effect if either the TBasedxReportLink.ShrinkToPageWidth property or the TcxTreeListReportLinkOptionsSize.AutoWidth property is set to True.

The default value of the Column property is True.


TcxTreeListReportLinkOptionsPagination.Custom

TcxTreeListReportLinkOptionsPagination

Specifies whether or not custom page breaks are enabled in the TreeList control report.

property Custom: Boolean;

Description

Set the Custom property to True to enable custom page breaks. Custom page breaks allows you to add a page break before any TreeList node. To add custom page breaks to the report you should use the OnGetCustomPageBreaks event.

The default value of the Custom property is False.


TcxTreeListReportLinkOptionsPagination.Node

TcxTreeListReportLinkOptionsPagination

Specifies how the TreeList control nodes are spread across the report pages.

property Node: Boolean;

Description

If the Node property is True the TreeList control nodes are split across the report pages to accommodate the maximum number of columns possible in their entirety on a single page. If the property is False the TreeList control is split across the report pages in their current state.

The default value of the Node property is True.


TcxTreeListReportLinkOptionsPagination.ReportLink

TcxTreeListReportLinkOptionsPagination

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsPreview.ReportLink

TcxTreeListReportLinkOptionsPreview

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsRefinements.ReportLink

TcxTreeListReportLinkOptionsRefinements

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsSelection.ProcessExactSelection

TcxTreeListReportLinkOptionsSelection

Determines how the selection will be displayed within the report.

property ProcessExactSelection: Boolean;

Description

If the TreeList control is in multiselect mode then the ProcessExactSelection provides additional control upon the selection representation. If it is True the selection is displayed in its current state. Otherwise, the owner node and all the nodes at the same save level as the selected nodes are displayed as selected.

This property is only in effect when the ProcessSelection property is set to True.

The default value of the ProcessExactSelection property is False.


TcxTreeListReportLinkOptionsSelection.ReportLink

TcxTreeListReportLinkOptionsSelection

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsSize.AutoWidth

TcxTreeListReportLinkOptionsSize

Specifies if the width of the TreeList control should be automatically adjusted to fit the report page width.

property AutoWidth: Boolean;

Description

To enable automatic width adjustment set the AutoWidth property to True, to disable it set the property to False.

Note that the property values of OptionsPagination.Band and OptionsPagination.Column have no effect upon the report and the TreeList control is not horizontally split across the report pages if the AutoWidth or ShrinkToPageWidth property is True.

The default value of the AutoWidth property is False.


TcxTreeListReportLinkOptionsSize.ReportLink

TcxTreeListReportLinkOptionsSelection

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsView.BandHeaders

TcxTreeListReportLinkOptionsView

Specifies whether the band headers of the TreeList control are displayed within the report.

property BandHeaders: Boolean;

Description

Set the BandHeaders property to True to add the band headers of the TreeList control to the report. Otherwise, the band headers will not be added or displayed within the report.

Note that the TcxTreeListReportLinkOptionsOnEveryPage.BandHeaders property has no effect when the BandHeaders property is set to False.

The default value of the BandHeaders property is True.


TcxTreeListReportLinkOptionsView.Borders

TcxTreeListReportLinkOptionsView

Specifies whether the border of the TreeList control is displayed within the report.

property Borders: Boolean;

Description

Set the Borders property to True to add the border of the TreeList control to the report. Otherwise, the border will not be added or displayed within the report.

The default value of the Borders property is True.


TcxTreeListReportLinkOptionsView.Footers

TcxTreeListReportLinkOptionsView

Specifies whether the footer of the TreeList control is displayed within the report.

property Footers: Boolean;

Description

Set the Footers property to True to add the footer of the TreeList control to the report. Otherwise, the footer will not be added or displayed within the report.

Note that the TcxTreeListReportLinkOptionsOnEveryPage.Footers property has no effect when the Footers property is set to False.

The default value of the Footers property is True.


TcxTreeListReportLinkOptionsView.Headers

TcxTreeListReportLinkOptionsView

Specifies whether the column headers of the TreeList control are displayed within the report.

property Headers: Boolean;

Description

Set the Headers property to True to add the column headers of the TreeList control to the report. Otherwise, the column headers will not be added or displayed within the report.

Note that the TcxTreeListReportLinkOptionsOnEveryPage.Headers property has no effect when the Headers property is set to False.

The default value of the Headers property is True.


TcxTreeListReportLinkOptionsView.ReportLink

TcxTreeListReportLinkOptionsView

Specifies the report link to which the options are applied.

property ReportLink: TcxTreeListControlReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TcxTreeListReportLinkOptionsView.TreeLines

TcxTreeListReportLinkOptionsView

Specifies whether the tree lines of the TreeList control are displayed within the report.

property TreeLines: Boolean;

Description

Set the TreeLines property to True to add the tree lines of the TreeList control to the report. Otherwise, the tree lines will not be added or displayed within the report.

The default value of the TreeLines property is True.


TcxTreeListReportLinkStyles.BandHeader

TcxTreeListReportLinkStyles

Specifies the style to be used for band headers.

property BandHeader: TcxStyle;

Description

Use the BandHeader property to define the style (font, text color, background color and background bitmap) common to all band headers within the TreeList control report.


TcxTreeListReportLinkStyles.Content

TcxTreeListReportLinkStyles

Specifies the style to be used for data cells.

property Content: TcxStyle;

Description

Use the Content property to define the style (font, text color, background color and background bitmap) common to all data cells within the TreeList control report.


TcxTreeListReportLinkStyles.ContentEven

TcxTreeListReportLinkStyles

Specifies the style to be used for data cells within even nodes.

property ContentEven: TcxStyle;

Description

Use the ContentEven property to define the style (font, text color, background color and background bitmap) common to all data cells of even nodes within the TreeList control report.

Note that this style overrides the Content style.


TcxTreeListReportLinkStyles.ContentOdd

TcxTreeListReportLinkStyles

Specifies the style to be used for data cells within odd nodes.

property ContentOdd: TcxStyle ;

Description

Use the ContentOdd property to define the style (font, text color, background color and background bitmap) common to all data cells of odd nodes within the TreeList control report.

Note that this style overrides the Content style.


TcxTreeListReportLinkStyles.Footer

TcxTreeListReportLinkStyles

Specifies the style to be used for the footer cell.

property Footer: TcxStyle;

Description

Use the Footer property to define the style (font, text color, background color and background bitmap) common to all footer cells within the TreeList control report.


TcxTreeListReportLinkStyles.FooterRow

TcxTreeListReportLinkStyles

Specifies the style to be used for the footer.

property FooterRow: TcxStyle;

Description

Use the FooterRow property to define the style (font, text color, background color and background bitmap) for the footer within the TreeList control report.


TcxTreeListReportLinkStyles.Header

TcxTreeListReportLinkStyles

Specifies the style to be used for column headers.

property Header: TcxStyle;

Description

Use the Header property to define the style (font, text color, background color and background bitmap) common to all column headers within the TreeList control report.


TcxTreeListReportLinkStyles.OnGetNodeIndentStyle

TcxTreeListReportLinkStyles

Occurs whenever the node indent within the report needs repainting.

type

TcxtlOnGetNodeIndentStyleEvent = procedure(Sender: TObject; ANode: TcxTreeListNode; ALevel: Integer; var AStyle: TcxStyle) of object;

property OnGetNodeIndentStyle: TcxtlOnGetNodeIndentStyleEvent;

Description

The OnGetNodeIndentStyle event occurs every time the TreeList node indent within the report is about to be painted. This allows you to substitute the assigned node indent style for any other style.

To change the style, you should write an event handler that passes the existing instance of the TcxStyle class to the control via the AStyle parameter. Note that the AStyle parameter doesn't represent any TcxStyle instance and by default is nil. So you couldn't implement the following code before you assign a TcxStyle instance to it:

AStyle.Assign(MyStyle) or AStyle.Color := clBlack

The following code is not recommended either:

AStyle := TcxStyle.Create;

In this case, a TcxStyle instance will be created every time the event occurs and will be never deleted until the application terminates. Implementing the above code creates excessive TcxStyle instances and excessive memory usage as a result. The proper method is to create a TcxStyle instance outside the event handler, then pass it to the control via the AStyle parameter within the event handler. For instance, you could use the StyleRepository to create and store your custom styles.

The Sender parameter of the event contains a TreeList control instance that owns the style collection.

The ANode parameter contains a TreeList node instance whose indent is repainted.


TcxTreeListReportLinkStyles.Preview

TcxTreeListReportLinkStyles

Specifies the style to be used for the node preview section.

property Preview: TcxStyle;

Description

Use the BandHeader property to define the style (font, text color, background color and background bitmap) for the node preview section within the TreeList control report.


TcxTreeListReportLinkStyles.Selection

TcxTreeListReportLinkStyles

Specifies the style to be used for the selection.

property Selection: TcxStyle;

Description

Use the BandHeader property to define the style (font, text color, background color and background bitmap) for the selection within the TreeList control report.


TcxTreeListReportLinkStyleSheet.Styles

TcxTreeListReportLinkStyleSheet

Represents a set of styles which control the appearance of the TreeList control’s elements within the report.

property Styles: TcxTreeListReportLinkStyles;

Description

The Styles property defines a set of properties and events that allow you to specify the appearance of all visual elements of the TreeList control within the report. By handling the style events it is possible to specify the style settings of these elements on the fly. Set the OptionsFormatting.UseNativeStyles property to True to enable styles specified via the Styles property. Otherwise, the control’s styles will be used for printing.


TcxVerticalGridReportLink.VerticalGrid

TcxVerticalGridReportLink

Provides access to the runtime object inspector whose content is rendered using the current link.

property VerticalGrid: TcxVerticalGrid ;

Description

You can also access the control whose content is rendered by the current link using the Component property. The only difference is that the Component property returns values of the TComponent type while the RTTIInspector property’s return value is of the TcxRTTIInspector type. Thus, by using the RTTIInspector property you can avoid having to perform additional typecasts.

ReadOnly Property


TcxVerticalGridReportLinkOptionsExpanding.AutoExpandRows

TcxVerticalGridReportLinkOptionsExpanding

Specifies whether the collapsed parent rows are displayed as expanded within a report.

property AutoExpandRows: Boolean;

Description

Set the AutoExpandRows property to True to expand the collapsed parent rows within a report. If this property value is False, then the parent rows will retain their state within the report.

The default value of the AutoExpandRows property is False.


TcxVerticalGridReportLinkOptionsExpanding.ReportLink

TcxVerticalGridReportLinkOptionsExpanding

Provides access to the report link for which the current options are applied.

property ReportLink: TcxCustomVerticalGridReportLink;

Description

The ReportLink property provides access to the report link for which the current options are applied.

ReadOnly Property


TcxVerticalGridReportLinkOptionsFormatting.ReportLink

TcxVerticalGridReportLinkOptionsFormatting

Provides access to the report link for which the current options are applied.

property ReportLink: TcxCustomVerticalGridReportLink;

Description

The ReportLink property provides access to the report link for which the current options are applied.

ReadOnly Property


TcxVerticalGridReportLinkOptionsPagination.ByRows

TcxVerticalGridReportLinkOptionsPagination

Specifies if the vertical grid control should be split across report pages to display the maximum number possible of rows in their entirety on a single page.

property ByRows: Boolean;

Description

Use the ByRows property to specify if the vertical grid control is split across the report to display the maximum number possible of rows in their entirety on a single page.

The default value of the ByRows property is True.


TcxVerticalGridReportLinkOptionsPagination.ByWrapping

TcxVerticalGridReportLinkOptionsPagination

Specifies if the vertical grid control should be split across report pages to display as many wrapped records as possible on a single page.

property ByWrapping: Boolean;

Description

Use the ByWrapping property to specify if the vertical grid control should be split across report pages to display as many wrapped records as possible on a single page. This option is in effect only if the OptionsSize.WrapRecords option is active.

The default value of the ByWrapping property is True.


TcxVerticalGridReportLinkOptionsPagination.OneWrappingPerPage

TcxVerticalGridReportLinkOptionsPagination

Specifies that only one wrapped records row is displayed within a report page.

property OneWrappingPerPage: Boolean;

Description

Use the OneWrappingPerPage property to specify that only one wrapped records row is displayed within a page. This option is in effect only if the ByWrapping option is active.

The default value of the OneWrappingPerPage property is False.


TcxVerticalGridReportLinkOptionsPagination.ReportLink

TcxVerticalGridReportLinkOptionsPagination

Provides access to the report link for which the current options are applied.

property ReportLink: TcxCustomVerticalGridReportLink;

Description

The ReportLink property provides access to the report link for which the current options are applied.

ReadOnly Property


TcxVerticalGridReportLinkOptionsRefinements.ReportLink

TcxVerticalGridReportLinkOptionsRefinements

Provides access to the report link for which the current options are applied.

property ReportLink: TcxCustomVerticalGridReportLink;

Description

The ReportLink property provides access to the report link for which the current options are applied.

ReadOnly Property


TcxVerticalGridReportLinkOptionsRefinements.SuppressBackgroundBitmaps

TcxVerticalGridReportLinkOptionsRefinements

Determines whether background images are displayed within a report.

property SuppressBackgroundBitmaps: Boolean;

Description

This property is provided for backwards compatibility only. Use the OptionsFormatting.SuppressBackgroundBitmaps property instead.

Use the SupressBackgroundBitmaps property to display/hide the background images within a report. This option suppresses the images specified via the vertical grid control’s styles (for instance, VerticalGrid.Styles.Content.Bitmap). Thus if the OptionsFormatting.UseNativeStyles option is deactivated, the SupressBackgroundBitmaps property has no effect.

The default value of the SuppressBackgroundBitmaps property is False.


TcxVerticalGridReportLinkOptionsSize.BestFit

TcxVerticalGridReportLinkOptionsSize

Determines if vertical grid control records should be resized to display the cells contents in their entirety.

property BestFit: Boolean;

Description

Use the BestFit property to determine if vertical grid records are resized to display the cells contents in their entirety. This may cause different widths to be assigned to cells with different contents, to avoid this set the KeepSameRecordWidths property to True.

The default value of the BestFit property is False.


TcxVerticalGridReportLinkOptionsSize.KeepSameRecordWidths

TcxVerticalGridReportLinkOptionsSize

Determines whether or not vertical grid records keep the same width when the BestFit option is active.

property KeepSameRecordWidths: Boolean;

Description

Use the KeepSameRecordWidths property to determine if vertical grid records should keep the same width when the BestFit property is set to True. If KeepSameRecordWidths is set to False, then the width of vertical grid records will differ according to the cells contents. Otherwise, vertical grid records have the same width.

The default value of the KeepSameRecordWidths property is True.


TcxVerticalGridReportLinkOptionsSize.ReportLink

TcxVerticalGridReportLinkOptionsSize

Provides access to the report link for which the current options are applied.

property ReportLink: TcxCustomVerticalGridReportLink;

Description

The ReportLink property provides access to the report link for which the current options are applied.

ReadOnly Property


TcxVerticalGridReportLinkOptionsSize.WrapRecords

TcxVerticalGridReportLinkOptionsSize See Also

Determines if vertical grid records should be wrapped at the right edge of a report page.

property WrapRecords: Boolean;

Description

Use the WrapRecords property to determine if vertical grid records are to be wrapped at the right edge of a report page. This can be useful when the vertical grid control is too wide to be displayed within a single report page. If the WrapRecords option is active, then the records which do not fit within the page width are wrapped.

The default value of the WrapRecords property is True.


TcxVerticalGridReportLinkOptionsSize.WrapSeparatorHeight

TcxVerticalGridReportLinkOptionsSize

Specifies the height of the wrapped records separator.

property WrapSeparatorHeight: Integer;

Description

Use the WrapSeparatorHeight property to specify the space between wrapped records rows within a page. This property is in effect only if the WrapRecords option is active.

The default value of the WrapSeparatorHeight property is 20.


TcxVerticalGridReportLinkOptionsView.ActualMode

TcxVerticalGridReportLinkOptionsView

Indicates the printing mode used to print a vertical grid control.

type

TcxVerticalGridReportLinkPrintMode = (vpmLoadedRecords, vpmAllRecords);

property ActualMode: TcxVerticalGridReportLinkPrintMode ;

Description

The ActualMode property returns the actual printing mode for a vertical grid control.

ReadOnly Property


TcxVerticalGridReportLinkOptionsView.Borders

TcxVerticalGridReportLinkOptionsView

Specifies whether vertical grid control borders are visible.

property Borders: Boolean;

Description

Use the Borders property to specify the visibility of the vertical grid control’s borders. Setting this property to True enables the vertical grid control’s borders.

The default value of the Borders property is True.


TcxVerticalGridReportLinkOptionsView.ExpandButtons

TcxVerticalGridReportLinkOptionsView

Specifies whether or not expand buttons are displayed within a report.

property ExpandButtons: Boolean;

Description

Use the ExpandButtons property to specify the expand buttons visibility within a report. The expand buttons are visible if this properties value is True.

The default value of the ExpandButtons property is True.


TcxVerticalGridReportLinkOptionsView.Headers

TcxVerticalGridReportLinkOptionsView

Specifies whether or not row headers are visible within a report.

property Headers: Boolean;

Description

Use the Headers property to specify if row headers are visible within a report. Row headers are visible if this properties value is True.

The default value of the Headers property is True.


TcxVerticalGridReportLinkOptionsView.Mode

TcxVerticalGridReportLinkOptionsView

<Help not yet available>


TcxVerticalGridReportLinkOptionsView.ReportLink

TcxVerticalGridReportLinkOptionsView

Provides access to the report link for which the current options are applied.

property ReportLink: TcxCustomVerticalGridReportLink;

Description

The ReportLink property provides access to the report link for which the current options are applied.

ReadOnly Property


TcxVerticalGridReportLinkStyles.Category

TcxVerticalGridReportLinkStyles

Specifies the style settings for category rows within a report.

property Category: TcxStyle ;

Description

Use the Category property to specify the style for category rows within a report. This property is in effect only if the OptionsFormatting.UseNativeStyles property is set to True.


TcxVerticalGridReportLinkStyles.Content

TcxVerticalGridReportLinkStyles

Specifies the style settings for the contents of rows within a report.

property Content: TcxStyle ;

Description

Use the Category property to specify the style settings for the contents of rows within a report. This property is in effect only if the OptionsFormatting.UseNativeStyles property is set to True.


TcxVerticalGridReportLinkStyles.Header

TcxVerticalGridReportLinkStyles

Specifies the style settings for row headers within a report.

property Header: TcxStyle ;

Description

Use the Category property to specify the style for row headers within a report. This property is in effect only if the OptionsFormatting.UseNativeStyles property is set to True.


TcxVerticalGridReportLinkStyles.ReportLink

TcxVerticalGridReportLinkStyles

Provides access to the report link for which the current options are applied.

property ReportLink: TcxCustomVerticalGridReportLink;

Description

The ReportLink property provides access to the report link for which the current options are applied.

ReadOnly Property


TcxVerticalGridReportLinkStyleSheet.Styles

TcxVerticalGridReportLinkStyleSheet

Represents the collection of styles applied to the vertical grid control within a report.

property Styles: TcxVerticalGridReportLinkStyles ;

Description

The Styles property provides access to the styles collection associated with the StyleSheet. These styles are applied to the vertical grid report when the OptionsFormatting.UseNativeStyles option is active.


TcxVirtualTreeListReportLink.VirtualTreeList

TcxVirtualTreeListReportLink

Provides access to the virtual TreeList control used as the report’s source.

property VirtualTreeList: TcxVirtualTreeList ;

Description

The VirtualTreeList property provides access to the TcxVirtualTreeList properties and methods used as the report’s source.

ReadOnly Property


TcxVirtualVerticalGridReportLink.OptionsView

TcxCustomVerticalGridReportLink

Contains options which affect the visibility of the vertical grid control elements within a report.

property OptionsView: TcxVirtualVerticalGridReportLinkOptionsView;

Description

The OptionsView property provides access to options which affect the visibility of the vertical grid control elements within a report.

These options specify the visibility state for:

  • row headers (see the Headers property description);

  • grid control borders (see the Borders property description);

  • the expand buttons of parent rows (see the ExpandButtons property description).


TcxVirtualVerticalGridReportLink.VirtualVerticalGrid

TcxVirtualVerticalGridReportLink

Returns the vertical grid control whose content is rendered using the current link.

property VirtualVerticalGrid: TcxVirtualVerticalGrid;

Description

You can also access the control whose content is rendered by the current link using the Component property. The only difference is that the Component property returns values of the TComponent type while the VirtualVerticalGrid property’s return value type is TcxVirtualVerticalGrid. Thus, by using the VirtualVerticalGrid property you avoid having to perform additional typecasts.

ReadOnly Property


TdxBackground.BkColor

TdxBackground See Also

Specifies the background color for report pages.

property BkColor : TColor;

Description

Use the BkColor property to set or access the color used for report page backgrounds, when background mode equals bmBrush and brush style is not bsSolid or bsClear. By default, the BkColor property value is clWhite.

Note: The BkColor property is used to draw report pages only when the Mode property is equal to bmBrush.


TdxBackground.Brush

TdxBackground See Also

Specifies the brush used to draw report pages.

property Brush : TBrush;

Description

Use the Brush property to specify the brush used to paint the background of report pages. If Brush is not solid, the space between brush lines is filled with the color specified by the BkColor property.

Note: The Brush property is used to draw report pages only when the Mode property is equal to bmBrush.


TdxBackground.DoApply

TdxBackground

Generates the OnApply event.

procedure DoApply; dynamic;

Description

The DoApply method is called when a user applies TdxBackground object properties to report pages; i.e. when a user presses the ‘Apply’ button in the Fill Effects dialog. By default, it performs no action and only generates the OnApply event. Descendants can override the DoApply method to perform specific actions before/after generating the OnApply event.


TdxBackground.DoChange

TdxBackground See Also

Generates the OnChange event.

type

TdxBackgroundParam = (bpBkColor, bpBrush, bpMode, bpPictureMode, bpPicture);

TdxBackgroundParams = set of TdxBackgroundParam;

procedure DoChange(AChangeWhats : TdxBackgroundParams); dynamic;

Description

This method is called when changing properties of a TdxBackground object. The AChangeWhats parameter determines which property has been changed. The following values are available:

Value

Description

bpBkColor

The BkColor property has been changed.

bpBrush

The Brush property has been changed.

bpMode

The Mode property has been changed.

bpPictureMode

The PictureMode property has been changed.

bpPicture

The Picture property has been changed.

The DoChange method sets the NeedRepaint property to True, if changes made to TdxBackground object properties cause background repainting.


TdxBackground.DoPaint

TdxBackground See Also

Generates the OnPaint event.

type

TdxPaintSequence = (psBefore, psAfter);

procedure DoPaint(ADC : hDC; Rect : TRect; Sequence : TdxPaintSequence; var ADone : Boolean );

Description

The DoPaint method is called when painting a report background on a device context, specified by the ADC parameter. The Rect parameter specifies the rectangle where to draw the background.

The ADone parameter determines whether this method processes the entire drawing operation. If ADone is True, the default drawing procedure is not called.

The Sequence parameter determines whether this method was called before or after background painting. The following values are available:

Value

Description

psBefore

Called before background painting.

psAfter

Called after background painting.


TdxBackground.DoPaintEx

TdxBackground

Generates the OnPaintEx event.

type

TdxPaintSequence = (psBefore, psAfter);

procedure DoPaintEx(ACanvas: TCanvas; Rect: TRect; Sequence: TdxPaintSequence; PixelsNumerator, PixelsDenominator: Integer; var ADone: Boolean); virtual;

Description

The DoPaintEx method is called when painting a report background.

The Rect parameter specifies the rectangle where to draw the background.

The ADone parameter determines whether this method processes the entire drawing procedure. If ADone is True, the default drawing procedure is not called. In other words, if the ADone parameter is set to True it is the programmer who is entirely responsible for drawing.

The PixelsNumerator and PixelsDenominator parameters are used to convert object size in pixels to logical units. In order to calculate logical units of an object width/height, you should multiply this width/height in pixels by the PixelsNumerator parameter and divide the result by the PixelsDenominator parameter.

The Sequence parameter determines whether this method was called before or after background painting. The following values are available:

Value

Description

psBefore

Called before background painting.

psAfter

Called after background painting.


TdxBackground.Effects

TdxBackground See Also

Allows you to call the Fill Effects dialog at design-time.

property Effects : Boolean;

Description

The Effects option is used to setup a background texture or picture. Click it in the Object Inspector to call the Fill Effects dialog. This dialog allows you to select a specific background texture or picture. This property has no effect at runtime. For runtime modification, you should use the SetupEffects method.


TdxBackground.Mode

TdxBackground

Specifies the manner in which a report background is drawn.

type

TdxBackgroundMode = (bmNone, bmBrush, bmBrushBitmap, bmPicture);

property Mode: TdxBackgroundMode;

Description

Use the Mode property to determine which properties are used when the TdxComponentPrinter component draws a report background.

Value

Description

bmNone

The report background is clear (white), no color, brush, texture or picture is used for fill.

bmBrush

BkColor and Brush properties are used to draw the report background. If Brush is hatched, BkColor is used.

bmBrushBitmap

Uses a picture, specified by the Picture property, to draw the report background. This picture is tiled on report pages.

Note: Windows® 95 only supports 8x8 pictures as a brush, so if your picture is larger, an 8x8 section will be used to draw the report background. Use the bmPicture mode and set the PictureMode property to ppmTile to tile large pictures on report pages. Windows® 98 and NT allow you to use pictures of any size as a brush. Both bmBrushBitmap and bmPicture, with the PictureMode property set to ppmTile, generate the same results for Windows 98 and NT.

To create a more compact print preview file and accelerate drawing, use bmBrushBitmap instead of bmPicture with PictureMode equal to ppmTile, wherever possible.

bmPicture

Uses a picture (the Picture property) to draw the report background. The PictureMode property determines how to draw the picture.

The default value is bmNone.


TdxBackground.NeedRepaint

TdxBackground

Determines whether a report background should be repainted.

property NeedRepaint : Boolean;

Description

The NeedRepaint property returns True to indicate that the report background needs to be repainted. This property is used internally and is set to True whenever changes lead to report repainting. For instance, when the Mode property changes from bmBrush to bmPicture, the report should be repainted and the NeedRepaint property is set to True.


TdxBackground.OnApply

TdxBackground.OnApply Event

TdxBackground See Also

type

TNotifyEvent = procedure(Sender: TObject) of object;

property OnApply : TNotifyEvent;

Description

Write an OnApply event handler to perform specific actions when applying TdxBackground object properties to a report. This event is available when you directly use the TdxBackground object in your application.


TdxBackground.OnChange

TdxBackground.OnChange Event

TdxBackground See Also

Occurs when changing properties of a TdxBackground object.

type

TdxBackgroundParam = ( bpBkColor, bpBrush, bpMode, bpPictureMode, bpPicture );

TdxBackgroundParams = set of TdxBackgroundParam;

TdxBackgroundChangeEvent = procedure(Sender : TObject; AChangeWhat : TdxBackgroundParams) of object;

property OnChange : TdxBackgroundChangeEvent;

Description

The OnChange event handler is used to perform special actions when changing properties of the TdxBackground object. The AChangeWhat parameter determines which property has been changed. Available values include:

Value

Description

bpBkColor

The BkColor property has been changed.

bpBrush

The Brush property has been changed.

bpMode

The Mode property has been changed.

bpPictureMode

The PictureMode property has been changed.

bpPicture

The Picture property has been changed.

You only need this event if you directly use the TdxBackground object in your application.


TdxBackground.OnPaint

TdxBackground.OnPaint Event

TdxBackground See Also

Occurs when the report background is being painted.

type

TdxPaintSequence = ( psBefore, psAfter );

TCustomdxBackgroundPaintEvent = procedure(Sender : TObject; Canvas : TCanvas; Rect : TRect; ASequence : TdxPaintSequence; var ADone : Boolean ) of object;

property OnPaint : TcustomdxBackgroundPaintEvent;

Description

The OnPaint event handler is used to perform special actions when a report background is being painted on a device context, specified by the Sender parameter.

The Canvas parameter specifies the drawing surface.

The Rect parameter determines the rectangle where to draw the background.

The ADone parameter determines whether this method processes the entire operation and completes the Paint method.

The ASequence parameter determines whether the DoPaint method was called before or after background painting. Available values include:

Value

Description

psBefore

DoPaint called before background painting.

psAfter

DoPaint called after background painting.


TdxBackground.OnPaintEx

TdxBackground

Occurs when painting report background.

type

TCustomdxBackgroundPaintExEvent = procedure(Sender: TObject; Canvas: TCanvas; Rect: TRect; ASequence: TdxPaintSequence; PixelsNumerator, PixelsDenominator: Integer; var ADone: Boolean) of object;

property OnPaintEx: TCustomdxBackgroundPaintExEvent;

Description

The OnPaintEx event handler is used to perform specific actions when painting a report background. The main difference between the OnPaint and OnPaintEx events is that the latter operates with logical size units.

The Canvas parameter specifies the drawing surface.

The Rect parameter determines the rectangle where to draw the background.

The ADone parameter determines whether the OnPaintEx event handler completely draws the background. If ADone is True, the default paint procedure is not called.

The PixelsNumerator and PixelsDenominator parameters are used to convert object size in pixels to logical units. In order to calculate width/height of an object in logical units, you should multiply this width/height in pixels by the PixelsNumerator parameter and divide the result by the PixelsDenominator parameter.

The ASequence parameter determines whether the DoPaintEx method was called before or after background painting. Available values include:

Value

Description

psBefore

DoPaintEx called before background painting.

psAfter

DoPaintEx called after background painting.


TdxBackground.Paint

TdxBackground

Paints the report background.

procedure Paint(ACanvas : TCanvas; const Rect : TRect); virtual;

Description

The Paint method paints the report background.

The ACanvas parameter specifies the drawing surface.

The Rect parameter specifies the rectangle where to draw the background.


TdxBackground.PaintEx

TdxBackground

Paints a report’s background.

procedure PaintEx(ACanvas: TCanvas; const Rect: TRect; PixelsNumerator, PixelsDenominator: Integer); virtual;

Description

The PaintEx method is used to paint the background of a report. This method operates with logical size units, as opposed to the Paint method, which operates with pixels.

The ACanvas parameter specifies the drawing surface.

The Rect parameter specifies the rectangle where to draw the background.

The PixelsNumerator and PixelsDenominator parameters are used to convert object size in pixels to logical units. In order to calculate width/height of an object in logical units, you should multiply this width/height in pixels by the PixelsNumerator parameter and divide the result by the PixelsDenominator parameter.


TdxBackground.Picture

TdxBackground See Also

Specifies the picture used to draw a report’s background.

property Picture : TGraphic;

Description

Use the Picture property to specify the picture used as the background image for report pages. The Mode and PictureMode properties specify the manner in which pictures are drawn on a report.


TdxBackground.PictureMode

TdxBackground See Also

Defines the manner in which a picture, specified by the Picture property, is drawn on report pages.

type

TdxPicturePaintMode = ( ppmCenter, ppmStretch, ppmTile, ppmProportional );

property PictureMode : TdxPicturePaintMode;

Description

Background picture can be drawn using one of the following mechanisms:

Value

Description

ppmCenter

Picture is centered within a report page.

ppmStretch

Picture is stretched to fit the entire contents of the report page.

ppmTile

Picture is tiled on report pages. Since, Windows 95™ only allows 8x8 pictures as a background, setting this value allows a user to tile pictures of any size using this operating system. Windows 98™ and Windows NT™ have no such limitation. Whenever possible, use the bmBrushBitmap mode instead, as this will reduce the size of the preview file and provides quicker drawing.

The default value is ppmCenter.

Note: The PictureMode property is effective only when the Mode property is equal to bmPicture.


TdxBackground.RepaintNeeded

TdxBackground

Specifies whether the report background needs repainting.

type

TdxBackgroundParam = (bpBkColor, bpBrush, bpMode, bpPictureMode, bpPicture);

TdxBackgroundParams = set of TdxBackgroundParam;

function RepaintNeeded(AChangeWhats: TdxBackgroundParams): Boolean; virtual;

Description

The RepaintNeeded method is used internally to specify whether report background needs repainting and which element of the background should be processed.

Value

Description

bpBkColor

Background color has been changed.

bpBrush

Brush style has been changed.

bpMode

Mode has been changed.

bpPictureMode

Picture mode has been changed.

bpPicture

Picture has been changed.


TdxBackground.SetupEffects

TdxBackground See Also

Displays the Fill Effect dialog on screen.

function SetupEffects: Boolean;

Description

This method displays the Fill Effects dialog on screen. This dialog appears when clicking the Effects property in the Object Inspector or [image] icon on the toolbar of the preview window. The SetupEffects method returns True, if a user presses the ‘OK’ button to close the Fill Effects dialog. Otherwise, it returns False. Use the following code to activate the Fill Effects dialog:

if dxComponentPrinter1Link1.PrinterPage.Background.SetupEffects;

then

{a user has pressed the "OK" button } . . .

else

{a user has pressed the "Cancel" button} . . .


TdxBaseObject.BeginUpdate

TdxBaseObject

See Also

Disables all TdxBaseObject operations.

procedure BeginUpdate;

Description

Use the BeginUpdate method to prevent immediate background redrawing. Remember to call the EndUpdate method after calling BeginUpdate. Every call of the BeginUpdate method increases the internal counter by one. Every call of the EndUpdate method decreases this counter by one. An operation can be applied to the TdxBaseObject object only when the internal counter is 0.


TdxBaseObject.CancelUpdate

TdxBaseObject

See Also

Enables operations for the TdxBaseObject.

procedure CancelUpdate;

Description

The CancelUpdate method nulls the internal counter of the BeginUpdate and EndUpdate methods. Call this method to enable operations regardless of the internal counter.


TdxBaseObject.Clone

TdxBaseObject

Creates a new TdxBaseObject instance.

function Clone: TdxBaseObject; virtual;

Description

Use the Clone function to create a new instance of the TdxBaseObject .


TdxBaseObject.EndUpdate

TdxBaseObject

See Also

Enables TdxBaseObject operations.

procedure EndUpdate;

Description

The BeginUpdate and EndUpdate methods work together to prevent numerous updates of the TdxBaseObject. Make certain to call the EndUpdate method after calling BeginUpdate. Every call of the BeginUpdate method increases the internal counter by one. Every call of the EndUpdate method decreases the internal counter by one. An operation can be applied to the TdxBaseObject object only when the internal counter is 0.


TdxBaseObject.IsEqual

TdxBaseObject

Determines whether the specified object is of TdxBaseObject type.

function IsEqual(ABaseObject: TdxBaseObject): Boolean; virtual;

Description

Use the IsEqual function to determine whether the ABaseObject is a TdxBaseObject class type. The IsEqual function returns True if the ABaseObject is a TdxBaseObject class type; False otherwise.


TdxBaseObject.LoadFromFile

TdxBaseObject

See Also

Loads TdxBaseObject contents from a file.

procedure LoadFromFile(const AFileName: string); dynamic;

Description

Use the LoadFromFile method to load the TdxBaseObject contents from the file specified by the AFileName constant.


TdxBaseObject.LoadFromStream

TdxBaseObject

See Also

Loads data form a stream into the TdxBaseObject object.

procedure LoadFromStream(AStream: TStream); dynamic;

Description

Use the LoadFromStream method to read TdxBaseObject data from the stream specified by the AStream variable.


TdxBaseObject.SaveToFile

TdxBaseObject

See Also

Saves the TdxBaseObject contents to a file.

procedure SaveToFile(const AFileName: string); dynamic;

Description

Use the SaveToFile procedure to save the current TdxBaseObject object to the file specified by the AFileName constant.


TdxBaseObject.SaveToStream

TdxBaseObject

See Also

Saves TdxBaseObject contents to a stream.

procedure SaveToStream(AStream: TStream); dynamic;

Description

Use the SaveToStream procedure to save the current TdxBaseObject object to the stream specified by the AStream variable.


TdxCheckListBoxReportLink.CheckListBox

TdxCheckListBoxReportLink

Specifies the check list box whose items are to be printed.

property CheckListBox : TCheckListBox;

Description

This property specifies the TCheckListBox object for which a report is generated.


TdxCheckListBoxReportLink.Options

TdxCheckListBoxReportLink See Also

Determines the look of a check list box in a report.

type

TdxCheckListBoxPaintOption = (chlbxpoBorder, chlbxpoHorzLines, chlbxpoFlatCheckMarks);

TdxCheckListBoxPaintOptions = set of TdxCheckListBoxPaintOption;

property Options : TdxCheckListBoxPaintOptions;

Description

Use the Options property to specify which type of check list box lines is included in the report. Available values include:

Value

Meaning

chlbxpoBorder

If active, border lines are included.

chlbxpoHorzLines

If active, horizontal lines between items are printed.

chlbxpoFlatCheckMarks

If active, check boxes appear flat in the report. Otherwise, they have 3D borders.

The default value for the Options property is [chlbxpoBorder..chlbxpoFlatCheckMarks].


TdxComponentPrinter.CustomizeDlgOptions

TdxComponentPrinter

Specifies which options of the "Edit Reports" dialog window are enabled.

type

TdxCPCustomizeDlgOption = (cdoShowDescription);

TdxCPCustomizeDlgOptions = set of TdxCPCustomizeDlgOption;

property CustomizeDlgOption: TdxCPCustomizeDlgOptions default [cdoShowDescription];

Description

Use the CustomizeDlgOption property to modify the appearance of the "Edit Reports" dialog.

Possible values include:

Value

Description

cdoShowDescription

Specifies whether to display the "Description" column within the "Edit Reports" dialog. Values of this column are obtained via the Description properties of the appropriate report links.


TdxComponentPrinter.EnumPagesAsImages

TdxComponentPrinter

See Also

Converts report pages to graphic images.

type

TdxEnumPagesAsImagesProc = procedure(AComponentPrinter: TCustomdxComponentPrinter; AReportLink: TBasedxReportLink; AIndex, APageIndex: Integer; const AGraphic: TGraphic; AData: Pointer; var AContinue: Boolean) of object;

procedure EnumPagesAsImages(const APageIndexes: array of Integer; AGraphicClass: TGraphicClass; ADrawBackground: Boolean; ACallBackProc: TdxEnumPagesAsImagesProc; ACallBackData, AProgressData, APrepareData: Pointer; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

The EnumPagesAsImages method is called within the SavePagesAsImagesToDisk method to obtain report pages for the report link specified by the AReportLink parameter in graphic representation.

The APageIndexes parameter specifies absolute indexes of report pages used in specific events.

The AGraphicClass parameter specifies the image type.

Set the ADrawBackground parameter to True to draw the original background within an image.

The ACallBackData, AProgressData and APrepareData parameters determine pointers to arbitrary data which is used in the TdxEnumPagesAsImagesProc procedure, as well as in the OnExportProgress and OnExportPrepareGraphic events.

The TdxEnumPagesAsImagesProc procedure includes the following parameters:

Parameter

Description

AComponentPrinter | Determines the component printer which sends data.
AReportLink | Determines the report link whose report is being converted.
AIndex | Determines the zero-based index of the exported report page among other pages.
APageIndex | Determines the absolute index of the current page within a report, passed via the APageIndexes parameter of the EnumPagesAsImages method.
AGraphic | Specifies the image created for a specific page.
AData | Contains the pointer to additional arbitrary data which is determined by the ACallBackData parameter of the EnumPagesAsImages method.
AContinue | Set this parameter to True to continue converting report pages to graphic images or to False, to break all operations.


TdxComponentPrinter.LoadFromRegistry

TdxComponentPrinter See Also

Loads component printer settings from the Registry.

procedure LoadFromRegistry(const APath: string);

Description

Call the LoadFromRegistry method to obtain component printer settings from the Registry path specified by the ARegistryPath parameter. Remember to save the appropriate data to the Registry beforehand using the SaveToRegistry method.


TdxComponentPrinter.OnExportGetPageFileName

TdxComponentPrinter

See Also

Occurs when saving a page to disk.

type

TdxExportGetPageFileNameEvent = procedure(Sender: TCustomdxComponentPrinter; AIndex, APageIndex: Integer; var AFileName: string) of object;

property OnExportGetPageFileName: TdxExportGetPageFileNameEvent;

Description

Write an OnExportGetPageFileName event handler to perform specific actions when exporting a page to a file on disk.

The Sender parameter determines the component printer which sends data.

The AIndex parameter determines the zero-based index of the exported report page among other pages in a report.

The APageIndex parameter determines the absolute index of the current page.

The AFileName parameter determines the file name to which a page is exported.


TdxComponentPrinter.OnExportPrepareGraphic

TdxComponentPrinter

See Also

Occurs when exporting a page to graphics.

type

TdxExportPrepareGraphicEvent = procedure(Sender: TCustomdxComponentPrinter; AReportLink: TBasedxReportLink; const AGraphic: TGraphic; AData: Pointer) of object;

property OnExportPrepareGraphic: TdxExportPrepareGraphicEvent;

Description

The Sender parameter determines the component printer which sends data.

The AGraphic parameter specifies the image which is created for a specific page.

The AData parameter contains the pointer to additional arbitrary data.


TdxComponentPrinter.OnExportProgress

TdxComponentPrinter

See Also

Occurs when exporting a report to graphic images or to disk.

type

TdxExportProgressEvent = procedure(Sender: TCustomdxComponentPrinter; AReportLink: TBasedxReportLink; APageCount, AIndex, APageIndex: Integer; AData: Pointer) of object;

property OnExportProgress: TdxExportProgressEvent;

Description

Write an OnExportProgress event handler to perform specific actions when exporting a report for the report link specified by the AReportLink parameter to graphics or to disk.

The Sender parameter determines the component printer which sends data.

The AIndex parameter determines the zero-based index of the exported report page among other pages.

The APageIndex parameter determines the absolute index of the current page in a report.

The AFileName parameter determines the file name to which a page is exported.

The AData parameter contains the pointer to additional arbitrary data which is determined by the AProgressData parameter of the SavePagesAsImagesToDisk or EnumPagesAsImages methods.


TdxComponentPrinter.OverwriteExistingFiles

TdxComponentPrinter

Specifies whether to overwrite files when saving new files to disk.

property OverwriteExistingFiles: Boolean;

Description

The SavePagesAsImagesToDisk method allows you to save pages to disk. Each page corresponds to a certain file. Set the OverWriteExistingFiles property to True if you are going to replace old page files with new ones.

The default value of this property is False.


TdxComponentPrinter.SavePagesAsImagesToDisk

TdxComponentPrinter

See Also

Saves report pages to graphic images on disk.

procedure SavePagesAsImagesToDisk(const APageIndexes: array of Integer; AGraphicClass: TGraphicClass; ADrawBackground: Boolean; const AFileMask: string; AProgressData, APrepareData: Pointer; AReportLink: TBasedxReportLink {$IFDEF DELPHI4} = nil{$ENDIF});

Description

The SavePagesAsImagesToDisk calls the EnumPagesAsImages method to obtain report pages for the report link specified by the AReportLink parameter in graphic representation.

The APageIndexes parameter specifies absolute indexes of report pages used in specific events.

The AGraphicClass parameter specifies image type.

Set the ADrawBackground parameter to True to draw the original background within an image.

The AFileMask parameter sets a mask for saved pages. For instance, the 'Page%d.bmp' mask results in a 'Page1.bmp' file.

The AProgressData and APrepareData parameters determine the pointers to arbitrary data used in the OnExportProgress and OnExportPrepareGraphic events.


TdxComponentPrinter.SaveToRegistry

TdxComponentPrinter See Also

Saves component printer settings to the Registry.

procedure SaveToRegistry(const APath: string);

Description

Call the SaveToRegistry method to save component printer settings to the Registry path specified by the ARegistryPath parameter. You can later load these settings from the Registry using the LoadFromRegistry method.


TdxComponentPrinter.ShowCustomizeDlg

TdxComponentPrinter

Displays the "Edit Reports" dialog window.

procedure ShowCustomizeDlg;

Description

Call the ShowCustomizeDlg method to display a dialog window at runtime where you can add new or design existing report links including composition report links, delete report links that were added via this dialog at runtime. You can also call the Page Setup dialog, preview and print reports.


TdxCompositionLinkItem.BuiltIn

TdxCompositionLinkItem

Determines whether the current link item is created at design or runtime.

property BuiltIn: Boolean;

Description

The BuiltIn property specifies whether the current link item is created at design or runtime. If the property value is True, a link item is created at design time. Otherwise, a link item is created at runtime.


TdxCompositionLinkItem.Create

TdxCompositionLinkItem

Creates and initializes a TdxCompositionLinkItem instance.

constructor Create(Collection: TCollection); override;

Description

The constructor creates a link item instance and inserts it into a specified collection.


TdxCompositionLinkItem.ReportLink

TdxCompositionLinkItem

See Also

Identifies a report link for the link item object.

property ReportLink: TBasedxReportLink;

Description

The ReportLink property identifies a report link to include it in the composition report link specified by the TdxCompositionReportLink class. Only a "composable" report link can be assigned to the property.

Composable report links are those, which can be included in a composition report link (a TdxCompositionReportLink instance). TdxCompositionReportLink objects are non-composable: they cannot be included in another composition report link. All other report links derived from the TBasedxReportLink class are composable.


TdxCompositionLinkItems.Add

TdxCompositionLinkItems

See Also

Creates a new TdxCompositionLinkItem element within the collection.

function Add: TdxCompositionLinkItem;

Description

The Add method creates and returns a new TdxCompositionLinkItem element within the collection. The ReportLink property of the link item created remains unassigned.


TdxCompositionLinkItems.AddLink

TdxCompositionLinkItems

See Also

Creates a new TdxCompositionLinkItem instance for a specified report link within the collection.

function AddLink(AReportLink: TBasedxReportLink): TdxCompositionLinkItem;

Description

The AddLink method creates an item for a specified report link only if the report link can be included in the composition report link determined by the IsLinkComposable method. If the report link can be included in the composition report link, the method returns the TdxCompositionLinkItem object with the TdxCompositionLinkItem.ReportLink property assigned to a specified AReportLink. Otherwise, the AddLink method returns nil.


TdxCompositionLinkItems.Composition

TdxCompositionLinkItems

Identifies a composition report link to which a collection of TdxCompositionLinkItem objects belongs.

property Composition: TdxCompositionReportLink;

Description

The Composition property specifies the composition report link to which a collection of TdxCompositionLinkItem objects belongs. The Composition property is initialized in the constructor.

ReadOnly property


TdxCompositionLinkItems.Create

TdxCompositionLinkItems

constructor Create(AComposition: TdxCompositionReportLink);

Description

Creates a link item collection for a specified composition report link. The AComposition parameter identifies the composition report link for which the collection is created.


TdxCompositionLinkItems.DeleteItemsByLink

TdxCompositionLinkItems

See Also

Deletes all items that refer to a specified report link.

procedure DeleteItemsByLink(AReportLink: TBasedxReportLink);

Description

The DeleteItemsByLink method deletes all items created for a specified AReportLink within the collection.


TdxCompositionLinkItems.DeleteNonBuiltIns

TdxCompositionLinkItems

Deletes all link items created at runtime.

procedure DeleteNonBuiltIns;

Description

The DeleteNonBuiltIns method deletes all link items created at runtime from the collection and frees memory allocated for them.


TdxCompositionLinkItems.GetLinkEntries

TdxCompositionLinkItems

See Also

Fills a list passed as a parameter with TdxCompositionLinkItem objects created for a specified report link within the collection.

procedure GetLinkEntries(AReportLink: TBasedxReportLink; AList: TList);

Description

The GetLinkEntries method fills a specified list with TdxCompositionLinkItem objects within the collection that refer to the AReportLink. The report link to which an item refers is defined by the TdxCompositionLinkItem.ReportLink property.


TdxCompositionLinkItems.IndexOfLink

TdxCompositionLinkItems

See Also

Returns the index of the TdxCompositionLinkItem object created for a specified report link within the link item collection.

function IndexOfLink(AReportLink: TBasedxReportLink): Integer;

Description

The IndexOfLink method returns the index of the first occurrence of the TdxCompositionLinkItem object within the collection that refers to a specified report link. If no items refer to the AReportLink, –1 is returned.


TdxCompositionLinkItems.IsLinkComposable

TdxCompositionLinkItems

Determines whether a specified link can be included in the link item collection.

function IsLinkComposable(AReportLink: TBasedxReportLink): Boolean;

Description

The link item collection is created for a specific composition report link (the TdxCompositionReportLink class). The Composition property identifies the composition report link to which the collection belongs.

Composable report links are those, which can be included in a composition report link. TdxCompositionReportLink objects are non-composable: they cannot be included in another composition report link. All other report links derived from the TBasedxReportLink class are composable.


TdxCompositionLinkItems.Items

TdxCompositionLinkItems

Provides indexed access to TdxCompositionLinkItem objects in the collection.

property Items[Index: Integer]: TdxCompositionLinkItem;

Description

Use the Items property to access individual TdxCompositionLinkItem objects in the collection.


TdxCompositionLinkItems.LinkExists

TdxCompositionLinkItems

See Also

Determines whether an item for a specified report link exists.

function LinkExists(AReportLink: TBasedxReportLink): Boolean;

Description

The LinkExists method determines whether any TdxCompositionLinkItem object within the collection refers to the AReportLink.


TdxCompositionLinkItems.NextAssignedItem

TdxCompositionLinkItems

See Also

Returns a valid link item that follows a specified link item within the collection.

function NextAssignedItem(AItem: TdxCompositionLinkItem): TdxCompositionLinkItem;

Description

The NextAssignedItem method returns the nearest valid link item in the collection that follows the element specified via the AItem parameter. A valid link is the link whose ReportLink property is not nil. The method returns nil if a specified AItem object is the last element in the collection.


TdxCompositionLinkItems.NonBuiltInsExists

TdxCompositionLinkItems

Determines whether any of the link items was added to the collection at runtime.

function NonBuiltInsExists: Boolean;

Description

The NonBuiltInsExists method determines whether any of the link items was added at runtime.

If the NonBuiltInsExists method returns True, there are link items created at runtime in the collection. Otherwise, there are either no link items in the collection or they all were added at design time.


TdxCompositionLinkItems.PrevAssignedItem

TdxCompositionLinkItems

See Also

Returns a valid link item that precedes a specified link item within the collection.

function PrevAssignedItem(AItem: TdxCompositionLinkItem): TdxCompositionLinkItem;

Description

The PrevAssignedItem method returns the nearest valid link item in the collection that precedes the element specified via the AItem parameter. A valid link is the link whose ReportLink property is not nil. The method returns nil if a specified AItem object is the first element in the collection.


TdxCompositionReportLink.CompositionState

TdxCompositionReportLink

Indicates the state of a composition report link.

type

TdxCompositionState = (csRebuildReportLink);

TdxCompositionStates = set of TdxCompositionState;

property CompositionState: TdxCompositionStates;

Description

Use the CompositionState property to determine the state of a composition report link. Currently, the only state this property can indicate is whether the composition link is being rebuilt (this corresponds to the csRebuildReportLink value).

ReadOnly Property.


TdxCompositionReportLink.ContinuousPageIndexes

TdxCompositionReportLink

Specifies whether page numbering in a composition report is continuous.

property ContinuousPageIndexes: Boolean;

Description

If the ContinuousPageIndexes property is set to True, pages of the composition report have continuous numbers: the first page, for instance, has number 1, the second page has number 2 and so on. The first page number is defined by the StartPageIndex property.

If ContinuousPageIndexes property is False, page numbering is continuous through every report link, but not through a composition report link, that is page numbering starts from the beginning for every report link. The starting page number for every report link is defined by the StartPageIndex property. Suppose the StartPageIndex property value is 3. Then, for instance, if a composition report link contains TdxDrawGridReportLink which draws the TDrawGrid control on two pages and TdxTeeChartReportLink which draws the TeeChart component on one page, page numbers for TdxDrawGridReportLink will be 3, 4, and for TdxTeeChartReportLink will be 3 again.

The default value is True.


TdxCompositionReportLink.DataProviderPresent

TdxCompositionReportLink

Determines whether any of the link items included in a composition report link is associated with a non-empty component.

function DataProviderPresent: Boolean; override;

Description

The Items property supports a collection of TdxCompositionLinkItem objects that identify specific report links (derived from the TBasedxReportLink class). Every report link refers to a printed component via the Component property.

The DataProviderPresent function returns True if any of the report links refers to a non-empty component. If the Component properties of all report links are set to nil, the function returns False.


TdxCompositionReportLink.DesignerOptions

TdxCompositionReportLink

Specifies which options of the "Composition Designer" dialog window are enabled.

type

TdxCompositionOption = (coCanEdit, coShowDescription);

TdxCompositionOptions = set of TdxCompositionOption;

property DesignerOptions: TdxCompositionOptions;

Description

The "Composition Designer" for the composition report link is activated by pressing the "Design..." button in the "Edit Reports" window (see the TdxComponentPrinter.ShowCustomizeDlg method).

The following values specify the options which set the "Composition Designer" look & feel.

Value

Description

coCanEdit

Link items in a composition report link can be edited, added and removed using the "Composition Designer".

coShowDescription

Descriptions of the link items included in the Items collection are displayed in the "Composition Designer". The item description is set via the TBasedxReportLink.Description property.

By default, all options are active.


TdxCompositionReportLink.GetItems

TdxCompositionReportLink

See Also

Retrieves a list of link captions.

procedure GetItems(AStrings: TStrings; AExcludeUnassigned: Boolean);

Description

The GetItems method returns a list of link captions referenced by elements of the Items collection. The link caption is defined by the Caption property. Also item objects are returned using the TStrings.Objects property of the AStrings parameter.

If the AExcludeUnassigned value is True, only captions for the items with assigned report links are returned. Otherwise, the method returns empty strings for the items without assigned report links.


TdxCompositionReportLink.IsEmptyPage

TdxCompositionReportLink

See also

Ascertains whether a specified report page is empty.

function IsEmptyPage(AVirtualPageIndex: Integer): Boolean; override;

Description

The IsEmptyPage method returns True if the page identified by the AVirtualPageIndex index is empty. Otherwise, returns False.


TdxCompositionReportLink.Items

TdxCompositionReportLink

See Also

Supports a collection of TdxCompositionLinkItem objects which identify specific standard report links of a composition report link.

property Items: TdxCompositionLinkItems;

Description

Use the Items property to access specific report links of a composition report link.


TdxCompositionReportLink.OnAfterBuildReport

TdxCompositionReportLink

See Also

Occurs after the report has been built for a specific report link.

type

TdxCompositionReportLinkEvent = procedure(Sender: TdxCompositionReportLink; AItem: TdxCompositionLinkItem) of object;

property OnAfterBuildReport: TdxCompositionReportLinkEvent;

Description

The OnAfterBuildReport event is fired whenever the report for the report link of the composition report link has been created.

The Sender parameter refers to the composition report link whose report link has been built and the AItem parameter specifies this report link which is accessible via the ReportLink property. This report link is one of the report links in the composition report link’s collection that is accessible via its Items property.


TdxCompositionReportLink.OnBeforeBuildReport

TdxCompositionReportLink

See Also

Occurs before building the report for a specific report link.

type

TdxCompositionReportLinkEvent = procedure(Sender: TdxCompositionReportLink; AItem: TdxCompositionLinkItem) of object;

property OnBeforeBuildReport: TdxCompositionReportLinkEvent;

Description

The OnBeforeBuildReport event is fired prior to the report being created for the report link of the composition report link.

The Sender parameter refers to the composition report link whose report link has been built and the AItem parameter specifies this report link which is accessible via the ReportLink property. This report link is one of the report links in the composition report link’s collection that is accessible via its Items property.


TdxCompositionReportLink.ReportDocument

TdxCompositionReportLink

Provides access to the composition report document settings.

property ReportDocument: TdxPSReportCompositionDocument ;

Description

Use the ReportDocument property to access the composition report document settings. These settings include the report's caption, description, creator's name and the creation date, which are passed to report items created using a report link’s data. Thus, end users will be able to view this information when using the TdxPSFileBasedExplorer and TdxPSDBBasedExplorer components. The information will be displayed in item hints and their property sheets.

Note that you can also use a composition report link’s ReportDocument property to obtain a graphical representation of the report document. Use the report document’s Preview property for this purpose.


TdxCustomContainerReportLink.CanExcludeComponent

TdxCustomContainerReportLink

Indicates whether the specified component can be excluded from a report.

function CanExcludeComponent(AComponent: TComponent): Boolean;

Description

Use the CanExcludeComponent method to indicate whether the specified component can be excluded from the report generation. The component can be excluded if it visible or all of its owning containers are visible.


TdxCustomContainerReportLink.CanExcludeComponentByName

TdxCustomContainerReportLink

Indicates whether the specified component can be excluded from a report.

function CanExcludeComponentByName(const AName: string): Boolean;

Description

Use the CanExcludeComponentByName method to indicate whether the specified component can be excluded from the report generation. The component can be excluded if it visible or all of its owning containers are visible.


TdxCustomContainerReportLink.CanHideComponent

TdxCustomContainerReportLink

Indicates whether the specified component can be hidden from an end-user.

function CanHideComponent(AComponent: TComponent): Boolean;

Description

Use the CanHideComponent method to indicate whether the specified component can be hidden from an end-user. The component can be hidden if it visible or all of its owning containers are visible.


TdxCustomContainerReportLink.CanHideComponentByName

TdxCustomContainerReportLink

Indicates whether the specified component can be hidden from an end-user.

function CanHideComponentByName(const AName: string): Boolean;

Description

Use the CanHideComponent method to indicate whether the specified component can be hidden from an end-user. The component can be hidden if it visible or all of its owning containers are visible.


TdxCustomContainerReportLink.Container

TdxCustomContainerReportLink

Identifies the printed comtainer.

property Container: TWinControl;

Description

Use the Container proprety to access the printed comtainer.

ReadOnly Property


TdxCustomContainerReportLink.ExcludeComponent

TdxCustomContainerReportLink

Excludes the specified component from the report generation.

procedure ExcludeComponent(AComponent: TComponent);

Description

Call this method to exclude the specified component from the report generation. The excluded component is specified via the AComponent parameter.

The excluded component is still available to an end-user via the report link designer.


TdxCustomContainerReportLink.ExcludeComponentByName

TdxCustomContainerReportLink

Excludes the specified component from the report generation.

procedure ExcludeComponentByName(const AName: string);

Description

Call this method to exclude the specified component from the report generation. The excluded component is specified via the AName parameter.

The excluded component is still available to an end-user via the report link designer.


TdxCustomContainerReportLink.ExcludeComponents

TdxCustomContainerReportLink

Excludes the specified components from the report generation.

procedure ExcludeComponents(const AComponents: array of TComponent);

Description

Call this method to exclude the specified component from the report generation. The array of components to exclude is specified via the AComponents parameter.

The excluded component is still available to an end-user via the report link designer.


TdxCustomContainerReportLink.ExcludeComponentsByName

TdxCustomContainerReportLink

Excludes the specified components from the report generation.

procedure ExcludeComponentsByName(const ANames: array of string);

Description

Call this method to exclude the specified component from the report generation. The array of the excluded components’ names is specified via the ANames parameter.

The excluded component is still available to an end-user via the report link designer.


TdxCustomContainerReportLink.ExcludedComponentCount

TdxCustomContainerReportLink See Also

Returns the number of components excluded from report.

property ExcludedComponentCount: Integer;

Description

Use the ExcludedComponentCount property to obtain the number of components excluded from printing but available to an end-user within the report link designer.

ReadOnly Property


TdxCustomContainerReportLink.ExcludedComponents

TdxCustomContainerReportLink See Also

Provides indexed access to the components excluded from report.

property ExcludedComponents[Index: Integer]: TComponent;

Description

Use the ExcludedComponents property to access components excluded from report. Components addressed via this property are not included into a report but are available to an end-user within the report link designer.

Call the ExcludeComponent or ExcludeComponents methods to remove the specified components from printing.

ReadOnly Property


TdxCustomContainerReportLink.FindExcludedComponent

TdxCustomContainerReportLink

Indicates whether the specifies component is within the hidden components list.

function FindExcludedComponent(AComponent: TComponent; out AnIndex: Integer): Boolean;

Description

Use the FindExcludedComponent method to locate the specified component within the excluded components list. The components within this list are not included into a report but are not available to an end-user within the report link designer. The AComponent parameter identifies the located component. The output parameter AnIndex represents the index of the specified component within the excluded components list.

If the specified component is located, the method returns True. Otherwise, it returns False.


TdxCustomContainerReportLink.FindExcludedComponentByName

TdxCustomContainerReportLink

Indicates whether the specifies component is within the hidden components list.

function FindExcludedComponentByName(const AName: string; out AnIndex: Integer): Boolean;

Description

Use the FindExcludedComponentByName method to locate the specified component within the excluded components list. The components within this list are not included into a report but are not available to an end-user within the report link designer. The AName parameter specifies the name of the located component. The output parameter AnIndex represents the index of the specified component within the excluded components list.

If the specified component is located, the method returns True. Otherwise, it returns False.


TdxCustomContainerReportLink.FindHiddenComponent

TdxCustomContainerReportLink

Indicates whether the specifies component is within the hidden components list.

function FindHiddenComponent(AComponent: TComponent; out AnIndex: Integer): Boolean;

Description

Use the FindHiddenComponent method to locate the specified component within the hidden components list. The components within this list are not included into a report and are not available to an end-user within the report link designer. The AComponent parameter identifies the located component. The output parameter AnIndex represents the index of the specified component within the hidden components list.

If the specified component is located, the method returns True. Otherwise, it returns False.


TdxCustomContainerReportLink.FindHiddenComponentByName

TdxCustomContainerReportLink

Indicates whether the specifies component is within the hidden components list.

function FindHiddenComponentByName(const AName: string; out AnIndex: Integer): Boolean;

Description

Use the FindHiddenComponent method to locate the specified component within the hidden components list. The components within this list are not included into a report and are not available to an end-user within the report link designer. The AName parameter specifies the name of the located component. The output parameter AnIndex represents the index of the specified component within the hidden components list.

If the specified component is located, the method returns True. Otherwise, it returns False.


TdxCustomContainerReportLink.HiddenComponentCount

TdxCustomContainerReportLink See Also

Returns the number of components hidden from the report link designer.

property HiddenComponentCount: Integer;

Description

Use the HiddenComponentCount property to obtain the number of components excluded from printing and not available to an end-user within the report link designer.

ReadOnly Property


TdxCustomContainerReportLink.HiddenComponents

TdxCustomContainerReportLink See Also

Provides indexed access to the components hidden from the report link designer.

property HiddenComponents[Index: Integer]: TComponent;

Description

Use the HiddenComponents property to access components hidden from the report link designer. Components addressed via this property are not included into a report and are not available to an end-user within the report link designer.

Call the HideComponent or HideComponents methods to remove the specified components from printing.

ReadOnly Property


TdxCustomContainerReportLink.HideComponent

TdxCustomContainerReportLink

Removes the specified component from the report.

procedure HideComponent(AComponent: TComponent);

Description

Call this method to remove the specified component from the report. The component to remove is specified via the AComponent parameter.

Removed component are not available to an end-user via the report link designer.


TdxCustomContainerReportLink.HideComponentByName

TdxCustomContainerReportLink

Removes the specified component from the report.

procedure HideComponentByName(const AName: string);

Description

Call this method to remove the specified component from the report. The name of the removed component is specified via the AName parameter.

Removed component are not available to an end-user via the report link designer.


TdxCustomContainerReportLink.HideComponents

TdxCustomContainerReportLink

Removes the specified components from the report.

procedure HideComponents(const AComponents: array of TComponent);

Description

Call this method to remove the specified component from the report. The array of components to remove is specified via the AComponents parameter.

Removed component are not available to an end-user via the report link designer.


TdxCustomContainerReportLink.HideComponentsByName

TdxCustomContainerReportLink

Removes the specified components from the report.

procedure HideComponentsByName(const ANames: array of string);

Description

Call this method to remove the specified component from the report. The array of the removed components’ names is specified via the ANames parameter.

Removed component are not available to an end-user via the report link designer.


TdxCustomContainerReportLink.HideStandardControls

TdxCustomContainerReportLink

Removes standard controls from a report.

procedure HideStandardControls;

Description

Call the HideStandardControls method to remove the standard controls from the report. Removed components are not available to an end-user within the report link designer.

The list of the controls hidden via this method is given below:

  • TScrollBar

  • TSplitter

  • TControlBar

  • TToolBar

  • TCoolBar

  • TPageScroller.


TdxCustomContainerReportLink.OnCustomDrawItem

TdxCustomContainerReportLink

Occurs before painting of a specific container item.

type

TdxContainerReportLinkCustomDrawItemEvent = procedure(Sender: TdxCustomContainerReportLink; ACanvas: TCanvas; AnItem: TabstractdxReportCellData; AComponent: TComponent; var ADone: Boolean) of object;

property OnCustomDrawItem: TdxContainerReportLinkCustomDrawItemEvent;

Description

To implement custom painting of the container item (aggregated component) within the report you should use the OnCustomDrawItem event and enable the custom painting via the SupportedCustomDraw property. Set it to True to enable custom painting and to False to disable it.

To implement custom painting you will need a canvas to paint to (provided by ACanvas parameter) and painting information provided by the AnItem parameter. Optionally you can access owning report link properties and methods via the Sender parameter and the component currently painted via the AComponent parameter.

To prevent default drawing of the container header set the ADone parameter to True. By default the ADone parameter is False and default drawing is enabled.

The custom painting is a very resource consuming operation, it may significantly increase report rendering time. You should use it only when extremely necessary.


TdxCustomContainerReportLink.OnGetComponentCaption

TdxCustomContainerReportLink

Occurs when the Controls or Hidden Controls designer pages are activated.

type

TdxContainerReportLinkGetComponentCaptionEvent = procedure(Sender: TdxCustomContainerReportLink; AComponent: TComponent; var ACaption: string) of object;

property OnGetComponentCaption: TdxContainerReportLinkGetComponentCaptionEvent;

Description

The OnGetComponentCaption event occurs when the Controls or Hidden Controls designer pages are activated by an end-user. Handling this event allows specifying custom representation of the items within these pages.

The AComponent parameter identifies a component being processed. The ACaption parameter specifies the string representing the component within the designer.


TdxCustomContainerReportLink.OnGetComponentReportLink

TdxCustomContainerReportLink

Occurs when assigning report links for the aggregated components.

type

TdxContainerReportLinkGetComponentReportLinkEvent = procedure(Sender: TdxCustomContainerReportLink; AComponent: TComponent; var AReportLink: TBasedxReportLink) of object;

property OnGetComponentReportLink: TdxContainerReportLinkGetComponentReportLinkEvent;

Description

The OnGetComponentReportLink event occurs for every aggregated component within the printed container. If the aggregated component is suported by the ExpressPrintingSystem, then handling this event allows substituting a report link for that component. The processed component is identified via the AComponent parameter. The AReportLink parameter specifies the assigned report link.


TdxCustomContainerReportLink.OnInitializeItem

TdxCustomContainerReportLink

Occurs during the report item initialization.

type

TdxContainerReportLinkInitializeItemEvent = procedure(Sender: TdxCustomContainerReportLink; AnItem: TdxReportVisualItem; AComponent: TComponent) of object;

property OnInitializeItem: TdxContainerReportLinkInitializeItemEvent;

Description

The OnInitializeItem event occurs during the report item initialization. This process takes place before the OnCustomDrawItem event. The AnItem parameter represents the processed report item. The AComponent parameter specifies the aggregated component corresponding to the specified item.

Changes applied to a report item via this event handler can be saved within a file, unlike the changes applied via custom painting (see the OnCustomDrawItem event).

Note: since this event is fired when no drawing has been performed, handling it takes significantly less resources than the custom draw mechanism.


TdxCustomContainerReportLink.OnInitializeItemOptionsPlace

TdxCustomContainerReportLink

Occurs when defining placement for the report item.

type

TdxContainerReportLinkInitializeItemOptionsPlaceEvent = procedure(Sender: TdxCustomContainerReportLink; AnItem: TdxReportVisualItem; AComponent: TComponent; AOptionsPlace: TdxCustomContainerReportLinkOptionsItemPlace) of object;

property OnInitializeItemOptionsPlace: TdxContainerReportLinkInitializeItemOptionsPlaceEvent;

Description

The OnInitializeItemOptionsPlace event occurs when defining placement for the report item. The processed item is identified via the AnItem parameter. The corresponding aggregated component is specified via the AComponent parameter. The AOptionsPlace parameter specifies the placement options for the printed item.

Handling this event is usefull when processing components whose size does not match their content size. In this case the AOptionsPlace properties specify whether the aggregated component dimensions within a report are enlarged or shrinked to match the component content.


TdxCustomContainerReportLink.OnInitializeReportLink

TdxCustomContainerReportLink

Occurs when initializing an aggregated report link.

type

TdxPSReportLinkProcessingStage = (psBefore, psAfter);

TdxContainerReportLinkInitializeReportLinkEvent = procedure(Sender: TdxCustomContainerReportLink; AReportLink: TBasedxReportLink; AStage: TdxPSReportLinkProcessingStage) of object;

property OnInitializeReportLink: TdxContainerReportLinkInitializeReportLinkEvent;

Description

If the OptionsBehavior.ConsumeExistingLinks option is active, then the ExpressPrintingSystem accepts the settings of the aggregated printing links. The OnInitializeReportLink event occurs during the initialization of an aggregated report link. You can handle this even to change the aggregated report link settings. The AReportLink parameter identifies the processed aggregated report link. The AStage parameter specifies whether the changes will be applied to the aggregated report link before or after initializing the container report link.


TdxCustomContainerReportLink.OnIsComponentProcessed

TdxCustomContainerReportLink

Occurs before processing an aggregated component.

type

TdxContainerReportLinkIsComponentProcessedEvent = procedure(Sender: TdxCustomContainerReportLink; AComponent: TComponent; var AIsProcessed: Boolean) of object;

property OnIsComponentProcessed: TdxContainerReportLinkIsComponentProcessedEvent;

Description

The OnIsComponentProcessed event occurs before processing an aggregated component. Handling this event allows excluding a specific component from the report generation. The processed component is specified via the AComponent parameter. The AIsProcessed parameter specifies whether the component will be processed. Setting it to False excludes he specified component from the report generation.


TdxCustomContainerReportLink.OptionsBehavior

TdxCustomContainerReportLink

Contains the behavior options.

property OptionsBehavior: TdxCustomContainerReportLinkOptionsBehavior;

Description

The OptionsBehavior property provides access to the behavior options of the container report link. The OptionsBehavior.ConsumeExistingLinks option determines whether the container report link accepts the aggregated report links’ settings. Activating this option is useful when the printed container has components supported by the ExpressPrintingSystem. In this case, pagination, refinement, transparency and other aggregated report link settings can be accessed via the Aggregated Designers container report link designer page.


TdxCustomContainerReportLink.OptionsDesignerTabs

TdxCustomContainerReportLink

Contains settings affecting the availability of the report link designer pages to an end-user.

property OptionsDesignerTabs: TdxCustomContainerReportLinkOptionsDesignerTabs;

Description

The OptionsDesignerTabs property provides access to the settings affecting the availability of the report link designer pages to an end-user. These settings affect the Aggregated Designer (OptionsDesignerTabs.AutoHideReportLinksIfEmpty and OptionsDesignerTabs.ReportLinks properties) and Controls pages (OptionsDesignerTabs.Controls property).


TdxCustomContainerReportLink.OptionsPagination

TdxCustomContainerReportLink

Contains settings specifying the manner in which the printed container is split across the report pages.

property OptionsPagination: TdxCustomContainerReportLinkOptionsPagination;

Description

The OptionsPagination property provides access to the options specifying the manner in which the printed container is split across the report pages. The OptionsPagination.Controls property specifies whether the ExpressPrintingSystem attempts to entirely display as many controls within a single report page as possible. The OptionsPagination.ControlDetails property specifies whether the container report link accepts the pagination settings of the aggregated controls’ report links.


TdxCustomContainerReportLink.OptionsRefinements

TdxCustomContainerReportLink

Contains options specifying the report refinements.

property OptionsRefinements: TdxCustomContainerReportLinkOptionsRefinements;

Description

The OptionsRefinements property provides access to the options specifying the report refinements. The OptionsRefinements.RootBorders option enables/disables displaying of the container borders.


TdxCustomContainerReportLink.OptionsTransparent

TdxCustomContainerReportLink

Contains the transparency settings.

property OptionsTransparent: TdxCustomContainerReportLinkOptionsTransparent;

Description

The OptionsTransparent class contains he transparency settings. These settings enable the transparent painting of:

  • the aggregated containers (see the OptionsTransparent.Containers property);

  • the aggregated controls background (see the OptionsTransparent.Controls property);

  • the aggregated graphics (see the OptionsTransparent.Graphics property);

  • the container background (see the OptionsTransparent.Root property).


TdxCustomContainerReportLink.SupportedCustomDraw

TdxCustomContainerReportLink

Determines whether custom painting is enabled.

property SupportedCustomDraw: Boolean;

Description

Use the SupportedCustomDraw property to indicate whether custom drawing is enabled for the current report link. If this property value is True, then you implement custom painting of the report items via the OnCustomDrawItem event handler.

The default value of the SupportedCustomDraw property is False.


TdxCustomContainerReportLink.TopLevelContainer

TdxCustomContainerReportLink

Provides access to the owning container of the printed component.

property TopLevelContainer: TWinControl;

Description

Use the TopLevelContainer to obtain the owning container of the printed component. The Container property provides access to the container being printed.

ReadOnly Property


TdxCustomContainerReportLink.UnexcludeAllComponents

TdxCustomContainerReportLink See Also

Removes all entries from the excluded components list.

procedure UnexcludeAllComponents;

Description

Call the UnexcludeAllComponents method to remove all entries from the excluded components list. Components within this list are not included into a report but are available to an end-user within the report link designer.


TdxCustomContainerReportLink.UnexcludeComponent

TdxCustomContainerReportLink

Removes the specified component from the excluded components list.

procedure UnexcludeComponent(AComponent: TComponent);

Description

Call the UnexcludeComponent method to remove the specified component from the excluded components list. The components within this list are not included into a report but are available within the report link designer. The AComponent parameter identifies a component to remove.


TdxCustomContainerReportLink.UnexcludeComponentByName

TdxCustomContainerReportLink

Removes the specified component from the excluded components list.

procedure UnexcludeComponentByName(const AName: string);

Description

Call the UnexcludeComponentByName method to remove the specified component from the excluded components list. The components within this list are not included into a report but are available within the report link designer. The AName parameter specifies the name of a removed component.


TdxCustomContainerReportLink.UnexcludeComponents

TdxCustomContainerReportLink

Removes the specified components from the excluded components list.

procedure UnexcludeComponents(const AComponents: array of TComponent);

Description

Call the UnexcludeComponents method to remove the specified components from the excluded components list. The components within this list are not included into a report but are available within the report link designer. The AComponents parameter specifies the array of component to remove.


TdxCustomContainerReportLink.UnexcludeComponentsByName

TdxCustomContainerReportLink

Removes the specified components from the excluded components list.

procedure UnexcludeComponentsByName(const ANames: array of string);

Description

Call the UnexcludeComponentsByName method to remove the specified components from the excluded components list. The components within this list are not included into a report but are available within the report link designer. The ANames parameter specifies the array of the removed components’ names.


TdxCustomContainerReportLink.UnhideAllComponents

TdxCustomContainerReportLink See Also

Removes all entries from the hidden components list.

procedure UnhideAllComponents;

Description

Call the UnhideAllComponents method to remove all entries from the hidden components list. The components within this list are not included into a report and are not available to an end-user within the report link designer.


TdxCustomContainerReportLink.UnhideComponent

TdxCustomContainerReportLink

Removes the specified component from the excluded components list.

procedure UnhideComponent(AComponent: TComponent);

Description

Call the UnhideComponent method to remove the specified component from the hidden components list. The components within this list are not included into a report and are not available within the report link designer. The AComponent parameter identifies a component to remove.


TdxCustomContainerReportLink.UnhideComponentByName

TdxCustomContainerReportLink

Removes the specified component from the excluded components list.

procedure UnhideComponentByName(const AName: string);

Description

Call the UnhideComponentByName method to remove the specified component from the hidden components list. The components within this list are not included into a report and are not available within the report link designer. The AName parameter specifies the name of a removed component.


TdxCustomContainerReportLink.UnhideComponents

TdxCustomContainerReportLink

Removes the specified components from the excluded components list.

procedure UnhideComponents(const AComponents: array of TComponent);

Description

Call the UnhideComponents method to remove the specified components from the hidden components list. The components within this list are not included into a report and are not available within the report link designer. The AComponents parameter specifies the array of components to remove.


TdxCustomContainerReportLink.UnhideComponentsByName

TdxCustomContainerReportLink

Removes the specified components from the excluded components list.

procedure UnhideComponentsByName(const ANames: array of string);

Description

Call the UnhideComponentsByName method to remove the specified components from the hidden components list. The components within this list are not included into a report and are not available within the report link designer. The ANames parameter specifies the array of the removed components’ names.


TdxCustomContainerReportLink.UnhideStandardControls

TdxCustomContainerReportLink

Removes all standard controls from the hidden components list.

procedure UnhideStandardControls;

Description

Call the UnhideStandardControls method to remove the standard controls from the hidden components list. Removed components are not available to an end-user within the report link designer.

The list of the controls hidden via this method is given below:

  • TScrollBar

  • TSplitter

  • TControlBar

  • TToolBar

  • TCoolBar

  • TPageScroller.


TdxCustomContainerReportLinkOptions.ReportLink

TdxCustomContainerReportLinkOptions

Represents the report link owning the current options set.

property ReportLink: TdxCustomContainerReportLink ;

Description

Use the ReportLink property to access the report link owning the current options set.

ReadOnly Property


TdxCustomContainerReportLinkOptions.RestoreDefaults

TdxCustomContainerReportLinkOptions

Restores the default values of all options within the current set.

procedure RestoreDefaults; virtual;

Description

Call the RestoreDefaults method to restore the default values of all options within the current set.


TdxCustomContainerReportLinkOptionsBehavior.ConsumeExistingLinks

TdxCustomContainerReportLinkOptionsBehavior See Also

Specifies whether the container report link prints the owned components using the settings of their report links.

property ConsumeExistingLinks: Boolean;

Description

Components within the printed container can be supported by the ExpressPrintingSystem. Such components have corresponding report links. You can setup these links as required and then use these links options by setting the ConsumeExistingLinks to True.

The default value of the ConsumeExistingLinks property is True.


TdxCustomContainerReportLinkOptionsDesignerTabs.AutoHideReportLinksIfEmpty

TdxCustomContainerReportLinkOptionsDesignerTabs

Specifies whether the Aggregated Designers designer page is automatically disabled.

property AutoHideReportLinksIfEmpty: Boolean;

Description

Use the AutoHideReportLinksIfEmpty property to enable automatic hiding of the Aggregated Designers designer page. If this property value is True, then the above-mentioned designer page is hidden when there are no report links for the components aggregated by the printed container.

Setting the ReportLinks option to False disables the Aggregated Designers page regardless of the aggregated report links availability.

The default value of the AutoHideReportLinksIfEmpty property is True.


TdxCustomContainerReportLinkOptionsDesignerTabs.Controls

TdxCustomContainerReportLinkOptionsDesignerTabs

Specifies whether the Controls designer page is available to an end-user.

property Controls: Boolean;

Description

Use the Controls property to enable or disable the Controls designer page.

The default value of the Controls property is True.


TdxCustomContainerReportLinkOptionsDesignerTabs.ReportLinks

TdxCustomContainerReportLinkOptionsDesignerTabs See Also

Help is not yet available.

property ReportLinks: Boolean;

Description

Use the ReportLinks property to enable or disable the Aggregated Designers designer page. If this property value is False, then the above-mentioned designer page is hidden regardless of the aggregated report links presence.

The default value of the ReportLinks property is True.


TdxCustomContainerReportLinkOptionsItemPlace.ExpandHeight

TdxCustomContainerReportLinkOptionsItemPlace

Specifies whether the height of the printed component is enlarged within a report to match the component content height.

property ExpandHeight: Boolean;

Description

Use the ExpandHeight property to specify whether the printed component height is enlarged within a report to match the component content height.

The default value of the ExpandHeight property is False.


TdxCustomContainerReportLinkOptionsItemPlace.ExpandWidth

TdxCustomContainerReportLinkOptionsItemPlace

Specifies whether the width of the printed component is enlarged within a report to match the component content width.

property ExpandWidth: Boolean;

Description

Use the ExpandWidth property to specify whether the printed component width is enlarged within a report to match the component content width.

The default value of the ExpandWidth property is False.


TdxCustomContainerReportLinkOptionsItemPlace.ShrinkHeight

TdxCustomContainerReportLinkOptionsItemPlace

Specifies whether the height of the printed component is shrunk within a report to match the component content height.

property ShrinkHeight: Boolean;

Description

Use the ShrinkHeight property to specify whether the printed component height is shrunk within a report to match the component content height.

The default value of the ShrinkHeight property is False.


TdxCustomContainerReportLinkOptionsItemPlace.ShrinkWidth

TdxCustomContainerReportLinkOptionsItemPlace

Specifies whether the width of the printed component is shrunk within a report to match the component content width.

property ShrinkWidth: Boolean;

Description

Use the ShrunkWidth property to specify whether the printed component width is shrunk within a report to match the component content width.

The default value of the ShrinkWidth property is False.


TdxCustomContainerReportLinkOptionsPagination.ControlDetails

TdxCustomContainerReportLinkOptionsPagination

Determines whether the pagination settings for the aggregated report links are accepted.

property ControlDetails: Boolean;

Description

If the printed container is too wide or high to be displayed within a single report page, then the container is split across the report pages. If the Controls option is activated, then the ExpressPrintingSystem attempts to entirely display as much controls within a single page as possible.

Setting the ControlDetails option to True accepts the aggregated report links pagination settings.

The default value of the ControlDetails property is True.


TdxCustomContainerReportLinkOptionsPagination.Controls

TdxCustomContainerReportLinkOptionsPagination

Specifies whether the manner in which the aggregated controls are split across the report pages.

property Controls: Boolean;

Description

If the printed container is too wide or high to be displayed within a single report page, then the container is split across the report pages. If the Controls option is activated, then the ExpressPrintingSystem attempts to entirely display as much controls within a single page as possible.

The default value of the Controls property is True.


TdxCustomContainerReportLinkOptionsRefinements.RootBorders

TdxCustomContainerReportLinkOptionsRefinements

Determines whether the container borders are displayed.

property RootBorders: Boolean;

Description

Use the RootBorders property to determine whether the container borders are displayed. Set it to True to enable the borders displaying.

The default value of the RootBorders property is False.


TdxCustomContainerReportLinkOptionsTransparent.Containers

TdxCustomContainerReportLinkOptionsTransparent

Enables or disables transparent painting of the aggregated containers.

property Containers: Boolean;

Description

Use the Containers property to enable or disable the transparent painting of the aggregated containers.

The default value of the Containers property is True.


TdxCustomContainerReportLinkOptionsTransparent.Controls

TdxCustomContainerReportLinkOptionsTransparent

Enables or disables the transparent painting of the aggregated controls background.

property Controls: Boolean;

Description

Use the Controls property to enable or disable the transparent painting of the aggregated controls background.

The default value of the Controls property is False.


TdxCustomContainerReportLinkOptionsTransparent.Graphics

TdxCustomContainerReportLinkOptionsTransparent

Enables or disables the transparent painting of the aggregated graphics.

property Graphics: Boolean;

Description

Use the Graphics property to enable or disable the transparent painting of the aggregated graphics.

The default value of the Graphics property is False.


TdxCustomContainerReportLinkOptionsTransparent.Root

TdxCustomContainerReportLinkOptionsTransparent

Enables or disables the transparent painting of the container background.

property Root: Boolean;

Description

Use the Root property to enable or disable the transparent painting of the container background.

The default value of the Root property is True.


TdxCustomcxControlReportLink.ActiveStyles

TdxCustomcxControlReportLink

Obtains the set of styles that are currently applied to the control, which is associated with the current report link.

property ActiveStyles: TdxCustomReportLinkStyles;

Description

Use the ActiveStyles property to obtain the current report link's styles, which are currently in effect. This property is especially useful when the report link has a style sheet assigned to it via the Styles.StyleSheet property. The style sheet is a set of styles which are suitable for a particular report link and can be created using the style repository component.

ReadOnly Property


TdxCustomcxControlReportLink.AreNativeStylesAvailable

TdxCustomcxControlReportLink

Indicates whether native styles can be used to define the appearance of the control associated with the current report link.

property AreNativeStylesAvailable: Boolean;

Description

Use the AreNativeStylesAvailable property to determine whether native styles can be used to define the appearance of the control associated with the current report link. The AreNativeStylesAvailable property has a value of True when native styles are available for painting the control and a value of False, otherwise. Descendants of the TdxCustomcxControlReportLink class override this property. By default, this property returns False as a result.

ReadOnly Property


TdxCustomcxControlReportLink.DesignWindow

TdxCustomcxControlReportLink See Also

Provides access to a report link designer.

property DesignWindow: TdxfmCustomcxControlReportLinkDesignWindow;

Description

Use the DesignWindow property to access the designer of the current report link. Also use the HasDesignWindow property to determine whether the designer is available.

ReadOnly Property


TdxCustomcxControlReportLink.OptionsExpanding

TdxCustomcxControlReportLink

Represents a set of options which define how expandable controls are displayed within a report.

property OptionsExpanding: TdxCustomReportLinkOptionsExpanding;

Description

Use the OptionsExpanding property to define how expandable controls such as the TreeList, Grid or VerticalGrid are displayed in a report. Each of these controls extends the base class with the options specific to a particular control.

Use the report link’s OptionsExpanding.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomcxControlReportLink.OptionsFormatting

TdxCustomcxControlReportLink

Represents a set of options, which determine the generic look of the controls within a report.

property OptionsFormatting: TdxCustomReportLinkOptionsFormatting;

Description

Use the OptionsFormatting property to customize the general appearance aspects of the controls within a report.

Use the report link’s OptionsFormatting.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomcxControlReportLink.OptionsPagination

TdxCustomcxControlReportLink

Represents a set of options, which determine how a report that spans multiple pages is split across the pages.

property OptionsPagination: TdxCustomReportLinkOptionsPagination;

Description

Use the OptionsPagination property to determine the manner in which a report that spans multiple pages is split across the pages, i.e. paginated.

Use the report link’s OptionsPagination.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomcxControlReportLink.OptionsRefinements

TdxCustomcxControlReportLink

Represents a set of options, which can be applied to a report to refine its appearance.

property OptionsRefinements: TdxCustomReportLinkOptionsRefinements;

Description

Use the OptionsRefinements property to specify the options, which can be used to help customize a report's appearance in addition to the OptionsFormatting and OptionsView properties.

Use the report link’s OptionsRefinements.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomcxControlReportLink.OptionsSize

TdxCustomcxControlReportLink

Represents a set of options which affect the size of the control associated with a report link.

property OptionsSize: TdxCustomReportLinkOptionsSize;

Description

Use the OptionsSize property to specify the options, which determine how the control associated with a report link is sized within the report.

Use the report link’s OptionsSize.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomcxControlReportLink.OptionsView

TdxCustomcxControlReportLink

Represents a set of options, which control the general appearance of the control’s elements within a report.

property OptionsView: TdxCustomReportLinkOptionsView;

Description

Use the OptionsView property to specify the options which control the appearance of the various control’s elements within a report.

Use the report link’s OptionsView.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomcxControlReportLink.StyleRepository

TdxCustomcxControlReportLink

Specifies the repository object which manages the collections of styles and style sheets.

property StyleRepository: TcxStyleRepository;

Description

The StyleRepository property provides access to the repository object that stores the collection of styles and style sheets which can be used by any report link to render the control associated with it. The repository object lets you create, store and access individual styles each of which is represented by an instance of the TcxCustomStyle class (or its descendants). Since the TcxCustomStyle class is an abstract class, do not use it to create items in a repository, use its descendants instead (for instance, the TcxStyle class).


TdxCustomcxControlReportLink.Styles

TdxCustomcxControlReportLink

Specifies the set of styles, which define the appearance aspects of the elements in the control, which is associated with the current report link.

property Styles: TdxCustomReportLinkStyles;

Description

Use the Styles property to gain access to the set of styles, which define the appearance aspects of the elements in the control, which is associated with the current report link. This set is expanded as descendants of the TdxCustomcxControlReportLink class override the Styles property. In the base class, the Styles set includes a style which defines general style attributes, such as the background color, font details and text color of the generic control.


TdxCustomcxControlReportLink.SupportedCustomDraw

TdxCustomcxControlReportLink

Specifies whether the report is painted using custom draw events and that default painting isn't required.

property SupportedCustomDraw: Boolean;

Description

Set the SupportedCustomDraw property to True to specify that a report is painted using the custom draw events (their names start with OnCustomDraw… ). Otherwise, custom drawing isn't used and the default painting procedures are used to render the report.

Note: custom drawing uses more resources during report building. This can have a direct impact on an application’s performance.

The SupportedCustomDraw property's default value is False.


TdxCustomListBoxReportLink.CustomListBox

TdxCustomListBoxReportLink

Returns a TCustomListBox object.

property CustomListBox: TCustomListBox;

Description

This property returns a TCustomListBox object that is the base class for list-box objects. TCustomListBox descendants inherit the basic functionality of TCustomListBox.

ReadOnly Property


TdxCustomListBoxReportLink.OnCustomDrawItem

TdxCustomListBoxReportLink

Occurs when drawing a specific item within a list box control.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxCustomDrawItemEvent = procedure(Sender: TBasedxReportLink; Index: Integer; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; var AText: string; AFont: TFont; var AColor: TColor; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ADone: Boolean) of object;

property OnCustomDrawItem: TdxCustomDrawItemEvent;

Description

Write an OnCustomDrawItem event handler to draw a specific listbox item based on your specific requirements. The ACanvas parameter determines the drawing surface.

Parameter

Description

ACanvas

Determines canvas for drawing.

ABoundsRect

Specifies rectangle including borders for drawing.

AClientRect

Specifies rectangle excluding borders for drawing.

AText

Determines text that is drawn within an item.

AFont

Specifies the font.

AColor

Specifies the background color of an item.

ATextAlignX

Specifies horizontal text alignment within an item.

ATextAlignY

Specifies vertical text alignment within an item.

ADone

Determines whether the OnCustomDrawItem event handler entirely draws an item. If ADone is True, the default drawing procedure is not called.

In order to specify the color, font, text or alignment, used for drawing the header of a specific column, set proper values for the AColor, AFont, AText, ATextAlignX or ATextAlignY parameters and set ADone to False within the OnCustomDrawItem event handler.


TdxCustomListBoxReportLink.TextAlignX

TdxCustomListBoxReportLink

Specifies horizontal text alignment within an item.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

property TextAlignX: TdxTextAlignX;

Description

Use the TextAlignX property to specify horizontal text alignment for an item. See the TdxTextAlignX type description for more information on the available values.

The default value of this property is taLeft.


TdxCustomListBoxReportLink.TextAlignY

TdxCustomListBoxReportLink

Specifies vertical text alignment.

type

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

property TextAlignY: TdxTextAlignY;

Description

Use the TextAlignY property to specify vertical text alignment within an item. See the TdxTextAlignY type description for more information on the available values.

The default value of this property is taCenterY.


TdxCustomListBoxReportLink.Width

TdxCustomListBoxReportLink

Specifies the horizontal size of a list box in pixels.

property Width: Integer;

Description

Use the Width property to specify list box width in a report.


TdxCustomMemoReportLink.CustomMemo

TdxCustomMemoReportLink

Provides access to the multi-line editor being printed.

property CustomMemo: TCustomMemo;

Description

Use the CustomMemo property to access the multi-line editor being printed. The GetCustomMemo function returns the value of this property.

ReadOnly Property


TdxCustomMemoReportLink.GetCustomMemo

TdxCustomMemoReportLink

Returns the multi-line editor being printed.

property GetCustomMemo: TCustomMemo; virtual;

Description

This function returns the currently linked component as a multi-line editor. Descendants of the TdxCustomMemoReportLink class can override the GetCustomMemo function to retrieve the multi-line editor being printed.

The GetCustomMemo function returns the value of the CustomMemo property.


TdxCustomReportLinkOptions.ReportLink

TdxCustomReportLinkOptions

Provides access to the report link which the current options are applied to.

property ReportLink: TdxCustomcxControlReportLink;

Description

The ReportLink property provides access to the report link which the current options are applied to.

ReadOnly Property


TdxCustomReportLinkOptions.RestoreDefaults

TdxCustomReportLinkOptions

Provides empty implementation to be overridden in subclasses.

procedure RestoreDefaults; virtual;

Description

The RestoreDefaults method can be implemented by descendants to reset all the options, which correspond to a report link, back to their default values.


TdxCustomReportLinkOptionsFormatting.GridLineColor

TdxCustomReportLinkOptionsFormatting

Specifies the color of the grid lines (if any) within a report.

property GridLineColor: TColor;

Description

Use the GridLineColor property to specify the color of the grid lines within a report. This property overrides the control’s OptionsView.GridLineColor property.

The GridLineColor property's default value is clDefault.


TdxCustomReportLinkOptionsFormatting.LookAndFeelKind

TdxCustomReportLinkOptionsFormatting

Specifies the overall look and feel of a report.

property LookAndFeelKind: TcxLookAndFeelKind;

Description

Use the LookAndFeelKind property to specify the overall look and feel of the report. The look and feel settings specify the appearance aspects of the borders, buttons and the other elements of the control that is associated with this report link. See the TcxLookAndFeelKind description for a list of the available options.

The LookAndFeelKind property's default value is lfUltraFlat.


TdxCustomReportLinkOptionsFormatting.SuppressBackgroundBitmaps

TdxCustomReportLinkOptionsFormatting

Determines whether background images are displayed within a report.

property SuppressBackgroundBitmaps: Boolean;

Description

Use the SupressBackgroundBitmaps property to display/hide the background images within a report. This option suppresses the images specified via the control’s styles (for instance, the vertical grid’s Styles.Content.Bitmap property) when its value is set to True. Otherwise, the images are printed within the report.

The SuppressBackgroundBitmaps property's default value is False.


TdxCustomReportLinkOptionsFormatting.UseLookAndFeelColors

TdxCustomReportLinkOptionsFormatting

Indicates the look and feel style used to paint the elements of the control associated with the report link which is drawn using native windows style.

property UseLookAndFeelColors: Boolean;

Description

Set the UseLookAndFeelColors property to True to specify that the current report link’s OptionsFormatting.LookAndFeelKind property determines the look and feel style used to paint the elements of the control associated with this report link. Otherwise, the control’s look and feel style is used for painting.

The UseLookAndFeelColors property is effective only for report links which are drawn using native style, i.e. the controls associated with these report links have their LookAndFeel.NativeStyle property set to True. Currently, only the Windows® XP operating system’s native style is supported.

Note: Use the UseLookAndFeelColors property in combination with the UseNativeStyles property to achieve the look required for the report being printed.

The UseLookAndFeelColors property's default value is False.


TdxCustomReportLinkOptionsFormatting.UseNativeStyles

TdxCustomReportLinkOptionsFormatting

Specifies whether the control associated with the report link will be painted using the

report link’s Styles settings or its own Styles settings.

property UseNativeStyles: Boolean;

Description

Set the UseNativeStyles property to True to specify that the report link’s Styles settings will be used to paint the control associated with the report link within a report. Otherwise, the report is painted using the control’s Styles settings.

Note: Use the UseNativeStyles property in combination with the UseLookAndFeelColors property to achieve the required look for the report being printed.

The UseNativeStyles property's default value is False.


TdxCustomReportLinkOptionsRefinements.DefaultGraphicsText

TdxCustomReportLinkOptionsRefinements See Also

Specifies the default string, which is substituted for the graphics within a report.

function DefaultGraphicsText: string; virtual;

Description

Whenever text is used in place of the graphics within a report (the DisplayGraphicsAsText property is set to True) the GraphicsText property designates the text string, which is displayed. When the GraphicsText property isn't assigned a value the DefaultGraphicsText function specifies the text string, which is displayed by default.


TdxCustomReportLinkOptionsRefinements.DisplayGraphicsAsText

TdxCustomReportLinkOptionsRefinements

Specifies whether the graphics within a report should be displayed as text instead.

property DisplayGraphicsAsText: Boolean;

Description

Setting the DisplayGraphicsAsText property to True prevents the graphics within a report from being displayed and text is displayed in their place instead. Otherwise, it allows the graphics to be displayed.

Additionally, you can specify the text string to be displayed in place of the graphics via the GraphicsText property.

The DisplayGraphicsAsText property's default value is False.


TdxCustomReportLinkOptionsRefinements.FlatCheckMarks

TdxCustomReportLinkOptionsRefinements

Specifies whether check boxes and radio buttons are displayed in 3D or flat style.

property FlatCheckMarks: Boolean;

Description

Set the FlatCheckMarks property to True to display check boxes and radio buttons as flat and to False to for 3D.

The FlatCheckMarks property's default value is True.


TdxCustomReportLinkOptionsRefinements.GraphicsText

TdxCustomReportLinkOptionsRefinements

Specifies the text string to be displayed in place of graphics.

property GraphicsText: string;

Description

When the DisplayGraphicsAsText property to True the graphics within a report are substituted with a custom string. The GraphicsText property specifies the text string, which will be used in place of the graphics in this case.


TdxCustomReportLinkOptionsRefinements.TransparentGraphics

TdxCustomReportLinkOptionsRefinements

Specifies whether graphics are printed as transparent.

property TransparentGraphics: Boolean;

Description

Set the TransparentGraphics property to True to print the graphics in a report as transparent. Otherwise, the graphics will be printed as they appear.

The TransparentGraphics property's default value is False.


TdxCustomReportLinkOptionsRefinements.TransparentRichEdits

TdxCustomReportLinkOptionsRefinements

Specifies whether rich text editors are displayed as transparent.

property TransparentRichEdits: Boolean;

Description

Set the TransparentGraphics property to True to display rich text editors in a report as transparent. Otherwise, rich editors will be printed as they are.

The TransparentRichEdits property's default value is False.


TdxCustomReportLinkOptionsSize.AutoWidth

TdxCustomReportLinkOptionsSize

Specifies whether the width of the control associated with a report link is automatically adjusted to fit the report page's width.

property AutoWidth: Boolean;

Description

To enable or disable automatic width adjustment for the control associated with a report link set the AutoWidth property to True and False, correspondingly.

The AutoWidth property's default value is False.


TdxCustomReportLinkStyles.ReportLink

TdxCustomReportLinkStyles

Provides access to the report link, which owns the current set of painting styles.

property ReportLink: TdxCustomcxControlReportLink;

Description

Use the ReportLink property to access the report link, which owns the current set of painting styles.

ReadOnly Property


TdxCustomReportLinkStyles.StylesByCaption

TdxCustomReportLinkStyles

Provides access to a specific painting style by its caption within the set of styles.

property StylesByCaption[const Caption: string]: TcxStyle;

Description

Use the StylesByCaption property to add or retrieve a specific painting style to/from the report link’s set of styles by its caption, which is specified by the Caption parameter.


TdxCustomReportLinkStyleSheet.Register

TdxCustomReportLinkStyleSheet See Also

Registers the current style sheet as a persistent object.

class procedure Register;

Description

Call the Register method to register the current style sheet within the component streaming system.


TdxCustomReportLinkStyleSheet.Unregister

TdxCustomReportLinkStyleSheet See Also

Unregisters the current style sheet.

class procedure Unregister;

Description

Call the Unregister method to unregister the current style sheet to prohibit it from being loaded and saved by the component streaming system.


TdxCustomStringsReportLink.GetStrings

TdxCustomStringsReportLink

Returns the text (in the form of a list of strings) being printed.

function GetStrings: TStrings; virtual; abstract;

Description

Descendants of the TdxCustomStringsReportLink class have to override the GetStrings function to retrieve a list of the strings being printed by a specific report link. The text being printed can be accessed via the Strings property.


TdxCustomStringsReportLink.GetText

TdxCustomStringsReportLink

Returns a string representation of the text being printed.

function GetText: string; override;

Description

The GetText function returns a string representation of the text being printed, which can be accessed via the Strings property.


TdxCustomStringsReportLink.Strings

TdxCustomStringsReportLink

Provides access to the text (in the form of a list of strings) being printed.

property Strings: TStrings;

Description

Each string or line of the Strings property represents a text row for the report link. The GetStrings function returns the value of the Strings property. Descendants of the TdxCustomStringsReportLink class have to override the GetStrings function to retrieve a list of the strings being printed by a specific report link.

ReadOnly Property


TdxCustomTableControlReportLink.OptionsOnEveryPage

TdxCustomTableControlReportLink

Represents a set of options, which control the appearance of the table controls’ elements on each page in a report.

property OptionsOnEveryPage: TdxCustomTableControlReportLinkOptionsOnEveryPage;

Description

Use the OptionsOnEveryPage property to customize the appearance of particular elements (headers, footer panels and band headers) in table controls such as the TreeList and Grid on each report page.

Use the report link’s OptionsOnEveryPage.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomTableControlReportLink.OptionsPagination

TdxCustomTableControlReportLink

Represents a set of options, which determine how a report for a table control which spans multiple pages is paginated.

property OptionsPagination: TdxCustomTableControlReportLinkOptionsPagination;

Description

Use the OptionsPagination property to customize the manner in which a table control such as the TreeList and Grid is split across the report's pages.

Use the report link’s OptionsPagination.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomTableControlReportLink.OptionsPreview

TdxCustomTableControlReportLink

Represents a set of options, which control and customize the appearance of the table control’s preview section in a report.

property OptionsPreview: TdxCustomTableControlReportLinkOptionsPreview;

Description

Use the OptionsPreview property to customize the appearance of the table control’s preview section within a report.

Use the report link’s OptionsPreview.RestoreDefaults method to reset all the options applied to this report link back to their default values.


TdxCustomTableControlReportLink.OptionsSelection

TdxCustomTableControlReportLink

Represents a set of options, which determine how the selected rows in a table control are included in a report.

property OptionsSelection: TdxCustomTableControlReportLinkOptionsSelection;

Description

Use the OptionsSelection property to limit the rows, which appear in a report to the currently selected ones in a table control.

Use the report link’s OptionsSelection.RestoreDefaults method to reset all the options applied to this report link.


TdxCustomTableControlReportLink.OptionsView

TdxCustomTableControlReportLink

Represents a set of options, which control the general appearance of the table control’s elements within a report.

property OptionsView: TdxCustomTableControlReportLinkOptionsView;

Description

Use the OptionsView property to specify the table control’s elements that will be visible within a report.

Use the report link’s OptionsView.RestoreDefaults method to reset all the options applied to this report link.


TdxCustomTableControlReportLinkOptions.ReportLink

TdxCustomTableControlReportLinkOptions

Provides access to the report link, which the current options are applied for.

property ReportLink: TdxCustomTableControlReportLink;

Description

The ReportLink property provides access to the report link, which the current options are applied for.

ReadOnly Property


TdxCustomTableControlReportLinkOptionsOnEveryPage.BandHeaders

TdxCustomTableControlReportLinkOptionsOnEveryPage

Determines whether band headers are displayed on each report page or only the first page.

property BandHeaders: Boolean;

Description

Set the BandHeaders property to True to have the band headers (if shown) display on each report page. Otherwise, band headers will be displayed on the first report page only. The overall visibility of band headers within a report is determined by the OptionsView.BandHeaders property.

The BandHeaders property's default value is True.


TdxCustomTableControlReportLinkOptionsOnEveryPage.Footers

TdxCustomTableControlReportLinkOptionsOnEveryPage

Determines whether the footer panel is displayed on each report page or on the first page only.

property Footers: Boolean;

Description

Set the Footers property to True to have the footer panel (if shown) be displayed on each report page. Otherwise, the footer panel will be displayed on the first report page only. The overall visibility of the footer panel within a report is determined by the OptionsView.Footers property.

The Footers property's default value is True.


TdxCustomTableControlReportLinkOptionsOnEveryPage.Headers

TdxCustomTableControlReportLinkOptionsOnEveryPage

Determines whether column headers are displayed on each report page or on the first page only.

property Headers: Boolean;

Description

Set the Headers property to True to have column headers (if shown) be displayed on each report page. Otherwise, column headers will be displayed on the first report page only. The overall visibility of column headers within a report is determined by the OptionsView.Headers property.

The Headers property's default value is True.


TdxCustomTableControlReportLinkOptionsPagination.Band

TdxCustomTableControlReportLinkOptionsPagination

Specifies how the bands in a table control are split across the report's pages.

property Band: Boolean;

Description

Set the Band property to True to specify that a table control with multiple bands and a width exceeding that of a single printed page, will be divided across report pages so as to accommodate the maximum number of bands in their entirety as is possible on each page. Otherwise, the table control is divided across the report's pages as it is. This may result in partial bands on some pages.

The Band property's default value is False.


TdxCustomTableControlReportLinkOptionsPagination.Column

TdxCustomTableControlReportLinkOptionsPagination

Specifies how the columns in a table control are split across the report's pages.

property Column: Boolean;

Description

Set the Column property to True to specify that a table control with multiple columns and a width exceeding that of a single printed page, will be divided across report pages so as to accommodate the maximum number of columns in their entirety as is possible on each page. Otherwise, the table control is divided across the report's pages as is. This may result in partial columns on some pages.

The Column property's default value is True.


TdxCustomTableControlReportLinkOptionsPagination.Custom

TdxCustomTableControlReportLinkOptionsPagination See Also

Specifies whether custom page breaks are enabled within a report.

property Custom: Boolean;

Description

Set the Custom property to True to enable custom page breaks. Custom page breaks allows you to insert a page break before any row within the Grid or a node within the TreeList control. To add custom page breaks to a report, handle the report link’s OnGetCustomPageBreaks event.

The Custom property's default value is False.


TdxCustomTableControlReportLinkOptionsPagination.Row

TdxCustomTableControlReportLinkOptionsPagination

Specifies how the rows in a table control are split across a report's pages.

property Row: Boolean;

Description

Set the Row property to True to specify that a table control with multiple rows and a height exceeding that of a single printed page, will be divided across a report's pages so as to accommodate the maximum number of rows in their entirety as is possible on a single page. Otherwise, the table control is divided across the report's pages as is. This may result in partial rows on some pages.

The Row property's default value is True.


TdxCustomTableControlReportLinkOptionsPreview.AutoHeight

TdxCustomTableControlReportLinkOptionsPreview

Specifies whether the height of a table control’s preview section is adjusted so as to accommodate the entire preview's text.

property AutoHeight: Boolean;

Description

Set the AutoHeight property to True to have the height of the preview section (in lines) within a report be calculated automatically for each row based upon the preview text's length for that row. In this case the value of the MaxLineCount property specifies the maximum number of text lines that the preview section will accommodate in a report (a value of 0 indicates that the preview section’s height has no limit). Set the AutoHeight property to False to designate the exact preview section’s height, which will be the same for every row as specified by the MaxLineCount property’s value.

The AutoHeight property's default value is True.


TdxCustomTableControlReportLinkOptionsPreview.MaxLineCount

TdxCustomTableControlReportLinkOptionsPreview

Specifies the maximum number of text lines, which can be displayed at once within the preview section of a report.

property MaxLineCount: Integer;

Description

Use the MaxLineCount property to specify the maximum number of text lines which can be displayed at once within the preview section of a report. If this property is set to a value greater than 0 the preview section’s height will be limited to the line count specified by this property. A value of 0 indicates that the preview section’s height has no limit when it’s calculated automatically (the AutoHeight property is set to True), otherwise the preview section is not displayed.

The MaxLineCount property's default value is 0.


TdxCustomTableControlReportLinkOptionsPreview.Visible

TdxCustomTableControlReportLinkOptionsPreview

Determines whether the preview section is visible within a report.

property Visible: Integer;

Description

In order to make the preview section visible within a report, set the Visible property to True. Otherwise, it will be hidden in the report.

The Visible property's default value is True.


TdxCustomTableControlReportLinkOptionsSelection.ProcessExactSelection

TdxCustomTableControlReportLinkOptionsSelection

Specifies the scope for the table control’s data that will be used to build a report.

property ProcessExactSelection: Boolean;

Description

In order to limit the table control’s contents that will be used as a source for building a report to the currently selected data, set the ProcessExactSelection property to True. Otherwise, all the data at the same hierarchy level (the detail view or group for the Grid control and the owner node for the TreeList control) as the selected data will also be included in the report.

The ProcessExactSelection property has no effect when the ProcessSelection property is set to False.

The ProcessExactSelection property's default value is False.


TdxCustomTableControlReportLinkOptionsSelection.ProcessSelection

TdxCustomTableControlReportLinkOptionsSelection

Determines whether a report is built from only the currently selected data within a table control.

property ProcessSelection: Boolean;

Description

Set the ProcessSelection property to True to specify that only the currently selected data within a table control should be used as the source data from which to create a report. Otherwise, the selection doesn't affect the report being created in any way. In order to more precisely specify which data in the selection is used, use the ProcessExactSelection property.

The ProcessSelection property's default value is False.


TdxCustomTableControlReportLinkOptionsView.BandHeaders

TdxCustomTableControlReportLinkOptionsView

Specifies whether band headers are displayed in a report.

property BandHeaders: Boolean;

Description

Set the BandHeaders property to True to display band headers in a report. Otherwise, band headers won't be displayed. The OptionsOnEveryPage.BandHeaders property controls whether band headers are displayed on each report page or only the first page.

The BandHeaders property's default value is True.


TdxCustomTableControlReportLinkOptionsView.ExpandButtons

TdxCustomTableControlReportLinkOptionsView

Specifies whether expand buttons are displayed in a report.

property ExpandButtons: Boolean;

Description

Set the ExpandButtons property to True to display expand buttons in a report. Otherwise, the expand buttons won't be displayed.

The ExpandButtons property's default value is True.


TdxCustomTableControlReportLinkOptionsView.Footers

TdxCustomTableControlReportLinkOptionsView

Specifies whether the footer panel is displayed in a report.

property Footers: Boolean;

Description

Set the Footers property to True to display the footer panel in a report. Otherwise, the footer panel won't be displayed. The OptionsOnEveryPage.Footers property controls whether the footer panel is displayed on each report page or only the last page.

The Footers property's default value is True.


TdxCustomTableControlReportLinkOptionsView.Headers

TdxCustomTableControlReportLinkOptionsView

Specifies whether column headers are displayed in a report.

property Headers: Boolean;

Description

Set the Headers property to True to display column headers in a report. Otherwise, column headers won't be displayed. The OptionsOnEveryPage.Headers property controls whether column headers are displayed on each report page.

The Headers property's default value is True.


TdxCustomTextReportLink.Alignment

TdxCustomTextReportLink

Specifies the horizontal alignment of the text.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

property Alignment: TdxTextAlignX;

Description

Use the Alignment property to specify the horizontal alignment of the text. See the TdxTextAlignX type's description for more information on the available values.

The default value of the Alignment property is taLeft.


TdxCustomTextReportLink.GetText

TdxCustomTextReportLink

Returns a string representation of the text being printed.

function GetText: string; virtual;

Description

Descendants of the TdxCustomTextReportLink class can override the GetText function to specify a string representation of the text being printed by a specific report link.

The GetText function returns the value of the Text property.


TdxCustomTextReportLink.OnCustomDrawRow

TdxCustomTextReportLink

Occurs before text rows are painted.

type

TdxTextReportLinkCustomDrawRowEvent = procedure(Sender: TdxCustomTextReportLink; ACanvas: TCanvas; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawRow: TdxTextReportLinkCustomDrawRowEvent;

Description

The OnCustomDrawRow event occurs before text rows are painted. This event is fired only when the SupportedCustomDraw property is set to True.

Parameter | Description
ACanvas | Specifies a TCanvas instance used to paint the row's text.
AnItem | Provides painting information.
ADone | If True, default drawing routines aren't required. Otherwise, default painting is performed.

Note, that custom painting is resource intensive. In order to customize the report's appearance use the OnInitializeRow event, which occurs prior to the text row being rendered, thus improving performance.


TdxCustomTextReportLink.OnInitializeRow

TdxCustomTextReportLink See Also

Occurs before the text row is rendered.

type

TdxTextReportLinkInitializeRowEvent = procedure(Sender: TdxCustomTextReportLink; AnItem: TdxReportCellString) of object;

property OnInitializeRow: TdxTextReportLinkInitializeRowEvent;

Description

The OnInitializeRow event occurs before the text row specified by the AnItem parameter is rendered.

The OnInitialize… events allow report elements to be customized prior to them being drawn. Report customization via these events takes less time and is more effective than the custom painting mechanism.


TdxCustomTextReportLink.SupportedCustomDraw

TdxCustomTextReportLink

Determines whether custom painting is enabled.

property SupportedCustomDraw: Boolean;

Description

Use the SupportedCustomDraw property to determine if custom drawing is enabled for the current report link. If this property is set to True, then you can custom draw the report items via the OnCustomDrawRow event handler.

The default value of the SupportedCustomDraw property is False.


TdxCustomTextReportLink.Text

TdxCustomTextReportLink

Provides access to the text being printed.

property Text: string;

Description

Use the Text property to access the text being printed by the current report link. Text rows are delimited by carriage returns and line feeds.

The GetText function returns the value of the Text property.

ReadOnly Property


TdxCustomTextReportLink.TextRowSpacing

TdxCustomTextReportLink

Specifies the vertical spacing between text rows.

property TextRowSpacing: Double;

Description

The vertical spacing between text rows (the space between the bottom of one row and the top of the next) is determined using the height of a single text row multiplied by the TextRowSpacing property’s value, e.g. a value of 1 indicates a single spacing, the minimum height required to avoid overlapping, while a value of 2,5 specifies the row’s height as two and a half times that of the height of a single text row with a space of half a text row prior to the text row being printed.

The minimum value of the TextRowSpacing property is 1.


TdxDBGridReportLink.DBGrid

TdxDBGridReportLink

Specifies an ExpressQuantumGrid control.

property DBGrid : TdxDBGrid;

Description

This property returns the TdxDBGrid component printed by a printing component.

ReadOnly Property


TdxDBGridReportLink.Options

TdxDBGridReportLink

Determines which elements of a TdxDBGrid component are included in a report.

type

TdxTreeListPaintOption = (tlpoBands, tlpoHeaders, tlpoFooters, tlpoRowFooters, tlpoPreview, tlpoPreviewGrid, tlpoGrid, tlpoFlatCheckmarks, tlpoImages, tlpoStateImages, tlpoTransparentColumnGraphic, tlpoGraphicAsText, tlpo3DEffects, tlpoSoft3D, tlpoRowFooterGrid);

TdxTreeListPaintOptions = set of TdxTreeListPaintOption;

property Options: TdxTreeListPaintOptions;

Description

Use the Options property to determine which elements of a TdxDBGrid component are included in a report:

Value

Description

tlpoBands

If active, bands are included.

tlpoHeaders

If active, both band and column headers are included.

tlpoFooters

If active, footer cells are included.

tlpoFlatCheckmarks

If active, check boxes are drawn flat; otherwise they have a three-dimensional display.

tlpoRowFooters

If active, row footers are included.

tlpoPreview

If active, the printing component includes the preview section in the report.

tlpoPreviewGrid

If active, the printing component draws additional structures. For more information see the TdxDBGrid component. This option is effective only if the tlpoGrid is active.

tlpoGrid

If active, grid lines are drawn in the report.

tlpoImages

If active, images drawn to the left of a node are included in the report.

tlpoStateImages

If active, state images drawn to the left of a node are included in the report.

tlpoTransparentColumnGraphic

If active, images in a graphics column are transparent.

tlpoGraphicAsText

If active, images in a graphics column are substituted with text, specified by the GraphicAsTextValue property.

tlpo3DEffects

If active, the printing component may have 3D effects.

tlpoSoft3D

If active, the printing component may have a slight 3D effect.

tlpoRowFooterGrid

If active, row footer grid lines are drawn in the report.

The default value of this property is [tlpoBands, tlpoHeaders, tlpoFooters, tlpoRowFooters, tlpoPreview, tlpoPreviewGrid, tlpoGrid, tlpoFlatCheckMarks, tlpoSoft3D, tlpoRowFooterGrid, tlpoExpandButtons].


TdxDBInspectorReportLink.DBInspector

TdxDBInspectorReportLink

See Also

Determines the data-aware Inspector used for printing items within a report.

property DBInspector: TdxDBInspector ;

Description

Use the DBInspector property to get access to the printed object of type TdxDBInspector.

ReadOnly Property


TdxDBOrgChartReportLink.DBOrgChart

TdxDBOrgChartReportLink

Determines the TdxDBOrgChart (ExpressOrgChart) component to be printed by a printing component.

property DBOrgChart : TdxDBOrgChart;

Description

This property returns the TdxDBOrgChart (ExpressDBOrgChart) object for which a report is created.

ReadOnly Property


TdxDBTeeChartReportLink.DBChart

TdxDBTeeChartReportLink

Determines the TDBChart component to be printed by the printing component.

property DBChart : TDBChart;

Description

This property returns the TDBChart object for which a report is created.


TdxDBTreeListControlReportLink.DBTreeListControl

TdxDBTreeListControlReportLink

See Also

Determines the DBTreeListControl object to be used for printing items within a report.

property DBTreeListControl: TCustomdxDBTreeListControl ;

Description

Use the DBTreeListControl property to get access to the printed object of type TCustomdxDBTreeListControl .

ReadOnly Property


TdxDBTreeListReportLink.DBTreeList

TdxDBTreeListReportLink

Specifies an ExpressQuantumDBTreeList control.

property DBGrid : TdxDBTreeList;

Description

This property returns the TdxDBTreeList component printed by a printing component.


TdxDBTreeListReportLink.Options

TdxDBTreeListReportLink

Determines which elements of a TdxDBTreeList component are included in a report.

type

TdxTreeListPaintOption = (tlpoBands, tlpoHeaders, tlpoFooters, tlpoRowFooters, tlpoPreview, tlpoPreviewGrid, tlpoGrid, tlpoFlatCheckmarks, tlpoImages, tlpoStateImages, tlpoTransparentColumnGraphic, tlpoGraphicAsText, tlpo3DEffects, tlpoSoft3D, tlpoRowFooterGrid);

TdxTreeListPaintOptions = set of TdxTreeListPaintOption;

property Options: TdxTreeListPaintOptions;

Description

Use the Options property to determine which elements of a TdxDBTreeList component are included in a report:

Value

Description

tlpoBands

If active, bands are included.

tlpoHeaders

If active, both band and column headers are included.

tlpoFooters

If active, footer cells are included.

tlpoFlatCheckmarks

If active, check boxes are drawn flat; otherwise they have a three-dimensional display.

tlpoRowFooters

If active, row footers are included.

tlpoPreview

If active, the printing component includes the preview section in the report.

tlpoPreviewGrid

If active, the printing component draws additional structures. For more information see the TdxDBTreeList component. This option is effective only if the tlpoGrid is active.

tlpoGrid

If active, grid lines are drawn in the report.

tlpoImages

If active, images drawn to the left of a node are included in the report.

tlpoStateImages

If active, state images drawn to the left of a node are included in the report.

tlpoTransparentColumnGraphic

If active, images in a graphics column are transparent.

tlpoGraphicAsText

If active, images in a graphics column are substituted with text, specified by the GraphicAsTextValue property.

tlpo3DEffects

If active, the printing component may have 3D effects.

tlpoSoft3D

If active, the printing component may have a slight 3D effect.

tlpoRowFooterGrid

If active, row footer grid lines are drawn in the report.

The default value of this property is [tlpoBands, tlpoHeaders, tlpoFooters, tlpoRowFooters, tlpoPreview, tlpoPreviewGrid, tlpoGrid, tlpoFlatCheckmarks, tlpoSoft3D, tlpoRowFooterGrid, tlpoTreeLines, tlpoExpandButtons].


TdxDBTreeViewReportLink.DBTreeView

TdxDBTreeViewReportLink

Legend

Specifies a TdxDBTreeView control.

property DBTreeView: TdxDBTreeView ;

Description

Use the DBTreeView property to get access to the printed object of type TCustomdxDBTreeListControl .

ReadOnly Property


TdxDrawGridReportLink.DefaultDrawing

TdxDrawGridReportLink See Also

Specifies whether grid cells are drawn automatically.

property DefaultDrawing: Boolean;

Description

Set the DefaultDrawing property to True to automatically draw grid cells. Set the DefaultDrawing property to False to provide custom drawing events with the help of an OnCustomDrawCell event handler.

The default value of this property is True.


TdxDrawGridReportLink.DrawGrid

TdxDrawGridReportLink

Determines a TDrawGrid object printed within a report.

property DrawGrid: TDrawGrid;

Description

This property returns a TDrawGrid object printed by a printing component.

ReadOnly Property


TdxDrawGridReportLink.InternalRestoreDefaults

TdxDrawGridReportLink See Also

Restores default report settings.

procedure InternalRestoreDefaults; override;

Description

The InternalRestoreDefaults method is used internally to restore default report settings specific to the draw grid report link: the GridLineColor property is set to clBtnShadow and all options become enabled.


TdxDrawGridReportLink.InternalRestoreFromOriginal

TdxDrawGridReportLink See Also

Restores original component settings for a report.

procedure InternalRestoreFromOriginal; override;

Description

The InternalRestoreFromOriginal method is used internally to return the draw grid’s settings, such as fixed color and enabled options, to its original state.


TdxDrawGridReportLink.OnCustomDrawCell

TdxDrawGridReportLink

Occurs when drawing a cell.

type

TdxCustomDrawCellEvent = procedure(Sender: TBasedxReportLink; ACol, ARow: Integer; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect) of object;

property OnCustomDrawCell: TdxCustomDrawCellEvent;

Description

Write an OnCustomDrawCell event handler to draw a cell. The ACanvas parameter determines the drawing surface.

Value

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ACol

Column of a cell.

ARow

Row of a cell.

Note: This event is only raised if the SupportedCustomDraw property is set to True. The event can also be suppressed by handling the OnCustomDrawCellEx event and setting this event’s ADone parameter to True.


TdxDrawGridReportLink.OnCustomDrawCellEx

TdxDrawGridReportLink

Enables you to custom paint cell contents.

type

TdxCustomDrawCellExEvent = procedure(Sender: TBasedxReportLink; ACol, ARow: Integer; ACanvas: TCanvas; AFont: TFont; ABoundsRect, AClientRect: TRect; var ADone: Boolean) of object;

property OnCustomDrawCell: TdxCustomDrawCellEvent;

Description

Handle the OnCustomDrawCellEx event to custom paint cell contents. This event’s Sender parameter identifies the report link which is about to be rendered. The ACol and ARow parameters identify the cell to be painted by the column and row indexes respectively. The ACanvas parameter represents the drawing surface. The AFont parameter provides the report link’s font settings. The ABoundsRect and AClientRect parameters specify the rendered cell’s bounding rectangles including or excluding borders.

If no additional processing is required after the OnCustomDrawCellEx event handler execution, the handler should set the ADone parameter to True. Note that in this case, the OnCustomDrawCell event will not be raised.

Note: This event is only raised if the SupportedCustomDraw property is set to True.


TdxDrawGridReportLink.SupportedCustomDraw

TdxDrawGridReportLink

Specifies whether a custom painting procedure is enabled.

property SupportedCustomDraw: Boolean;

Description

If the SupportedCustomDraw property is False, the default painting process is used to paint a TDrawGrid object in a report. Set this property to True to use your own custom painting procedure.

The default value of this property is True.


TdxFlowChartReportLink.FlowChart

TdxFlowChartReportLink

Determines the TdxFlowChart (ExpressFlowChart) component to be printed by a printing component.

property FlowChart : TdxFlowChart;

Description

This property returns the TdxFlowChart (ExpressFlowChart) object for which a report is created.

ReadOnly Property


TdxFlowChartReportLink.TransparentColor

TdxFlowChartReportLink

Specifies the transparent color applied to the TdxFlowChart component.

property TransparentColor: TColor;

Description

Use this property to specify the color of a component that is transparent within a report. The TransparentColor property is in effect only when the UseMetafile property is set to False.

The default value of this property is clWindow.


TdxFlowChartReportLink.UseMetafile

TdxFlowChartReportLink

Specifies whether to store a printed chart object as a metafile graphic.

property UseMetafile: Boolean;

Description

Set the UseMetafile property to True to draw chart object contents as a metafile graphics when printing a report. Unlike a bitmap, a metafile guarantees device independence and higher quality (especially when scaling a report). Note, however, that metafiles are generally drawn slower than bitmaps. If the UseMetafile property is False, chart object contents are drawn as a bitmap.

Note: The TransparentColor property is in effect only when the UseMetafile property is set to False.

The default value of this property is True.


TdxGridReportLink.DesignWindow

TdxGridReportLink See Also

Provides access to the grid control’s report link designer.

property DesignWindow: TdxfmGridReportLinkDesignWindow;

Description

Use the DesignWindow property to access the designer of the grid control’s report link. Also use the HasDesignWindow property to determine whether the designer is available.

ReadOnly Property


TdxGridReportLink.Grid

TdxGridReportLink See Also

Identifies a TcxGrid instance that will be providing data for the report.

property Grid: TcxGrid;

Description

The Grid property gives a developer a reference to the TcxGrid instance that will be printed by this ReportLink. This property allows a developer to manipulate view items, specify view options, and access other grid related features. As view options affect a view’s appearance, they will also affect report of that view.

Note that for the purposes of the Report output only, options set in the view will be overridden by options set in the report link.

ReadOnly Property


TdxGridReportLink.OnCustomDrawBandCell

TdxGridReportLink

Occurs when the band headers in the report are going to be drawn.

type

TdxGridReportLinkCustomDrawBandCellEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxGridBandedTableView; ABand: TcxGridBand; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawBandCell: TdxGridReportLinkCustomDrawBandCellEvent;

Description

Handle the OnCustomDrawBandCell event handler to perform custom drawing of the band headers in the report.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas instance for drawing the band on the report.
AView | Refers to the grid view whose element is being rendered
ABand | The band containing the header to be drawn.
AnItem | Specifies the properties of the printed cell.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Custom drawing can be disabled by setting the SupportedCustomDraw property to False. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.


TdxGridReportLink.OnCustomDrawCardRowCaptionCell

TdxGridReportLink

Occurs when the row captions of a card view in the report are going to be drawn.

type

TdxGridReportLinkCustomDrawCardRowCaptionCellEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxGridCardView; ACard: TcxGridCard; ARow: TcxGridCardViewRow; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawCardRowCaptionCell: TdxGridReportLinkCustomDrawCardRowCaptionCellEvent;

Description

Handle the OnCustomDrawCardRowCaptionCell event handler to perform custom drawing of a card view’s row captions in the report.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas instance for drawing the card on the report.
AView | Refers to the grid view whose element is being rendered
ACard | The card to be printed.
ARow | The card view row whose caption is to be printed.
AnItem | Specifies the properties of the printed cell.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Custom drawing can be disabled by setting the SupportedCustomDraw property to False. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.


TdxGridReportLink.OnCustomDrawCardRowDataCell

TdxGridReportLink

Occurs when the contents of a row in a card view in the report are going to be drawn.

type

TdxGridReportLinkCustomDrawCardRowDataCellEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxGridCardView; ACard: TcxGridCard; ARow: TcxGridCardViewRow; AnItem: TAbstractdxReportCellData; var ADone: Boolean) of object;

property OnCustomDrawCardRowDataCell: TdxGridReportLinkCustomDrawCardRowDataCellEvent;

Description

Handle the OnCustomDrawCardRowDataCell event handler to perform custom drawing of the contents of a card view’s row.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas instance for drawing the card row on the report.
AView | The view that contains the data being printed.
ACard | The card being printed.
ARow | The card view row to be printed.
AnItem | Specifies the properties of the cell to be printed.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Custom drawing can be disabled by setting the SupportedCustomDraw property to False. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.


TdxGridReportLink.OnCustomDrawCell

TdxGridReportLink

Occurs when the contents of a cell in the report are going to be drawn.

type

TdxGridReportLinkCustomDrawCellEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxCustomGridTableView; ARecord: TcxCustomGridRecord; AColumn: TcxGridColumn; AnItem: TAbstractdxReportCellData; var ADone: Boolean) of object;

property OnCustomDrawCell: TdxGridReportLinkCustomDrawCellEvent;

Description

Handle the OnCustomDrawCell event handler to perform custom drawing of the view cells in a report.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas for drawing the cell on the report.
AView | The view that contains the data being printed.
ARecord | The grid record being printed.
AColumn | The column being printed.
AnItem | Specifies the properties of the printed cell to be printed.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Custom drawing can be disabled by setting the SupportedCustomDraw property to False. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.


TdxGridReportLink.OnCustomDrawFilterBar

TdxGridReportLink

Occurs when the filter panel in the report is going to be drawn.

type

TdxGridReportLinkCustomDrawFilterBarEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxCustomGridTableView; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawFilterBar: TdxGridReportLinkCustomDrawFilterBarEvent;

Description

Handle the OnCustomDrawFilterBar event handler to perform custom drawing of the filter panel in a report.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas instance for drawing the Filter bar cell on the report
AView | The view that contains the data being printed.
AnItem | Specifies the properties of the printed cell.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Custom drawing can be disabled by setting the SupportedCustomDraw property to False. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.

Note: To implement custom drawing for the filter panel, make sure that the filter panel exists and isn't empty; otherwise, custom drawing will not be performed.


TdxGridReportLink.OnCustomDrawFooterCell

TdxGridReportLink

Occurs when the footer panel for a cell in the report is going to be drawn.

type

TdxGridReportLinkCustomDrawFooterCellEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxGridTableView; ARecord: TcxCustomGridRecord; AColumn: TcxGridColumn; ALevel: Integer; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawFooterCell: TdxGridReportLinkCustomDrawFooterCellEvent;

Description

Handle the OnCustomDrawFooterCell event handler to perform custom drawing of a cell within the footer panel of a report.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas instance for drawing the footer cell on the report.
AView | The view that contains the data being printed.
ARecord | The grid record being printed.
AColumn | The column being printed.
ALevel | Identifies the nesting level of the grouping row for which the footer cell is being painted.
AnItem | Specifies the properties of the printed cell.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Custom drawing can be disabled by setting the SupportedCustomDraw property to False. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.

Note: To implement custom drawing of the footer panel, make sure that the footer panel exists and isn't empty; otherwise, custom drawing will not be performed.


TdxGridReportLink.OnCustomDrawHeaderCell

TdxGridReportLink

Occurs when the column headers in the report are going to be drawn.

type

TdxGridReportLinkCustomDrawHeaderCellEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxGridTableView; AColumn: TcxGridColumn; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawHeaderCell: TdxGridReportLinkCustomDrawHeaderCellEvent;

Description

Handle the OnCustomDrawHeaderCell event handler to perform custom drawing of the column headers in a report.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas instance for drawing the header cell on the report.
AView | The view that contains the data being printed.
AColumn | The column whose header is to be drawn.
AnItem | Specifies the properties of the printed cell.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Custom drawing can be disabled by setting the SupportedCustomDraw property to False. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.


TdxGridReportLink.OnCustomDrawLevelCaption

TdxGridReportLink

Occurs when the level captions in the report are going to be drawn.

type

TdxGridReportLinkCustomDrawLevelCaptionEvent = procedure(Sender: TdxGridReportLink; ACanvas: TCanvas; AView: TcxCustomGridView; AnItem: TdxReportCellString; var ADone: Boolean) of object;

property OnCustomDrawLevelCaption: TdxGridReportLinkCustomDrawLevelCaptionEvent;

Description

Handle the OnCustomDrawLevelCaption event handler to perform custom drawing of the level captions in a report.

Parameter | Description
Sender | Represents the report link that renders the report
ACanvas | A TCanvas instance for drawing the Level caption on the report.
AView | The view that contains the data being printed.
AnItem | Specifies the properties of the printed cell.
ADone | Determines whether custom drawing has finished and that default painting is not required.

Set the SupportedCustomDraw property to False to disable custom drawing. This will improve application performance slightly as resources don't have to be created to support custom draw handlers.


TdxGridReportLink.OnInitializeBandCell

TdxGridReportLink

Occurs when a band header in the Grid control's table view is rendered for the report.

type

TdxGridReportLinkInitializeBandCellEvent = procedure(Sender: TdxGridReportLink; AView: TcxGridBandedTableView; ABand: TcxGridBand; AnItem: TdxReportCellString) of object;

property OnInitializeBandCell: TdxGridReportLinkInitializeBandCellEvent;

Description

The OnInitializeBandCell event occurs when a band header in the Grid control's table view is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
ABand | Specifies the properties of the printed cell.
AnItem | Contains data that defines the band header's representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OnInitializeCardRowCaptionCell

TdxGridReportLink

Occurs when a row caption in the Grid control's card view is rendered for the report.

type

TdxGridReportLinkInitializeCardRowCaptionCellEvent = procedure(Sender: TdxGridReportLink; AView: TcxGridCardView; ACard: TcxGridCard; ARow: TcxGridCardViewRow; AnItem: TdxReportCellString) of object;

property OnInitializeCardRowCaptionCell: TdxGridReportLinkInitializeCardRowCaptionCellEvent;

Description

The OnInitializeCardRowCaptionCell event occurs when a row caption in the Grid control's card view is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
ARow | Refers to the row whose caption is being rendered.
AnItem | Contains data that defines the card view's row caption representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OnInitializeCardRowDataCell

TdxGridReportLink

Occurs when a data cell in the Grid control's card view is rendered for the report.

type

TdxGridReportLinkInitializeCardRowDataCellEvent = procedure(Sender: TdxGridReportLink; AView: TcxGridCardView; ACard: TcxGridCard; ARow: TcxGridCardViewRow; AnItem: TAbstractdxReportCellData) of object;

property OnInitializeCardRowDataCell: TdxGridReportLinkInitializeCardRowDataCellEvent;

Description

The OnInitializeCardRowDataCell event occurs when a data cell in the Grid control's card view row is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
ARow | Refers to the card row whose data cell is being rendered.
ACard | Refers to the card whose data cell is being rendered.
AnItem | Contains data that defines the data cell's representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OnInitializeCell

TdxGridReportLink

Occurs when a data cell in the Grid control's table view is rendered for the report.

type

TdxGridReportLinkInitializeCellEvent = procedure(Sender: TdxGridReportLink; AView: TcxCustomGridTableView; ARecord: TcxCustomGridRecord; AColumn: TcxGridColumn; AnItem: TAbstractdxReportCellData) of object;

property OnInitializeCell: TdxGridReportLinkInitializeCellEvent;

Description

The OnInitializeCell event occurs when a data cell in the Grid control's table view is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
ARow | Refers to the row whose data cell is being rendered.
AnItem | Contains data that defines the data cell's representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OnInitializeFilterBar

TdxGridReportLink

Occurs when a filter panel in the Grid control's table view is rendered for the report.

type

TdxGridReportLinkInitializeFilterBarEvent = procedure(Sender: TdxGridReportLink; AView: TcxCustomGridTableView; AnItem: TdxReportCellString) of object;

property OnInitializeFilterBar: TdxGridReportLinkInitializeFilterBarEvent;

Description

The OnInitializeFitlerBar event occurs when a filter panel in the Grid control's table view is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
AnItem | Contains data that defines the filter panel's representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OnInitializeFooterCell

TdxGridReportLink

Occurs when a footer cell in the Grid control's table view is rendered for the report.

type

TdxGridReportLinkInitializeFooterCellEvent = procedure(Sender: TdxGridReportLink; AView: TcxGridTableView; ARecord: TcxCustomGridRecord; AColumn: TcxGridColumn; ALevel: Integer; AnItem: TdxReportCellString) of object;

property OnInitializeFooterCell: TdxGridReportLinkInitializeFooterCellEvent;

Description

The OnInitializeFooterCell event occurs when a footer cell in the Grid control's table view is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
ARecord | Refers to the grid record for which the footer cell is being rendered.
ALevel | Identifies the nesting level of the grouping row for which the footer cell is being rendered.
AColumn | Refers to a column for which the footer cell is being rendered.
AnItem | Contains data that defines the data cell's representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OnInitializeHeaderCell

TdxGridReportLink

Occurs when a column header in the Grid control's table view is rendered for the report.

type

TdxGridReportLinkInitializeHeaderCellEvent = procedure(Sender: TdxGridReportLink; AView: TcxGridTableView; AColumn: TcxGridColumn; AnItem: TdxReportCellString) of object;

property OnInitializeHeaderCell: TdxGridReportLinkInitializeHeaderCellEvent;

Description

The OnInitializeHeaderCell event occurs when a column header in the Grid control's table view is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
AColumn | Refers to the column for which the header is being rendered.
AnItem | Contains data that defines the column header's representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OnInitializeLevelCaption

TdxGridReportLink

Occurs when a grid level caption for a Grid control's table view is rendered for the report.

type

TdxGridReportLinkInitializeLevelCaptionEvent = procedure(Sender: TdxGridReportLink; AView: TcxCustomGridView; AnItem: TdxReportCellString) of object;

property OnInitializeLevelCaption: TdxGridReportLinkInitializeLevelCaptionEvent;

Description

The OnInitializeLevelCaption event occurs when a grid level caption for a Grid control table view is rendered for the report.

Parameter | Description
Sender | Represents the report link that renders the report.
AView | Refers to the grid view whose element is being rendered.
AnItem | Contains data that defines the grid level caption's representation within the report. Modify the AnItem parameter to change the visual representation of the rendered element.


TdxGridReportLink.OptionsCards

TdxGridReportLink

Contains options affecting the representation of card views in the report.

property OptionsCards: TdxGridReportLinkOptionsCards;

Description

The OptionsCards property contains options affecting the appearance in a report of a card view. These options determine whether the card borders and lines are visible and whether the card size in the report is automatically adjusted to best fit the report.

Use the RestoreDefaults method to set all options back to their defaults.


TdxGridReportLink.OptionsCharts

TdxGridReportLink

Represents settings for managing the grid’s report when it's displayed using the chart view.

property OptionsCharts: TdxGridReportLinkOptionsCharts ;

Description

The OptionsCharts settings specify which graphics class to use for drawing the chart view (see the GraphicClassName property) and whether to show the background of the grid’s report (see the Transparent property).


TdxGridReportLink.OptionsDetails

TdxGridReportLink

Options defining the how a detail view will be represented in the report.

property OptionsDetails: TdxGridReportLinkOptionsDetails;

Description

Use the OptionsDetails property to access options defining how detail views are displayed in a report. These options determine whether the in the report detail views are displayed with the appropriate master view.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.OptionsExpanding

TdxGridReportLink

Options defining how master or group rows are displayed in the report.

property OptionsExpanding: TdxGridReportLinkOptionsExpanding;

Description

Use the OptionsExpanding property to set whether group rows or master rows in a report are expanded or collapsed.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.OptionsFormatting

TdxGridReportLink

Options defining the grid’s appearance in the report.

property OptionsFormatting: TdxGridReportLinkOptionsFormatting;

Description

The TdxgridReportLinkOptionsFormatting class contains options controlling the grids appearance in a report. They specify the grid lines color (the GridLineColor property) and the manner in which the grid is painted and how buttons will be drawn (the LookAndFeelKind property).

To return all options in this set to their defaults, call the RestoreDefaults method.


TdxGridReportLink.OptionsLevels

TdxGridReportLink

Represents the options which can be used to customize the appearance of the views in a report according to the level at which they are located in the grid control’s hierarchy.

property OptionsLevels: TdxGridReportLinkOptionsLevels;

Description

Use the OptionsLevels property to specify various options which customize the appearance of the views in a report which correspond to child levels and the levels at the root nesting level.

Use the RestoreDefaults method to reset all the options back to their default values.


TdxGridReportLink.OptionsOnEveryPage

TdxGridReportLink

Options defining the positions of view elements in the report.

property OptionsOnEveryPage: TdxGridReportLinkOptionsOnEveryPage;

Description

The OptionsOnEveryPage property is used to determine whether the fixed view elements such as grid level caption, bands headers, column headers, footer and filter panels, appear on every report page or on the first page only.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.OptionsPagination

TdxGridReportLink

Option determining how a report that spans multiple pages is split up.

property OptionsPagination: TdxGridReportLinkOptionsPagination;

Description

The OptionsPagination property contains options determining where a report will be paginated, that is when a report needs to span across multiple pages horizontally or vertically these options determine how the content is split between multiple pages.

Use the RestoreDefaults method to set all options back to their defaults.


TdxGridReportLink.OptionsPreview

TdxGridReportLink

Options defining the preview sections appearance within the report.

property OptionsPreview: TdxGridReportLinkOptionsPreview;

Description

The OptionsPreview property determine whether the preview section is visible, whether it’s height autosizes to match the contents in a report and the maximum number of lines it will size to in the report.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.OptionsRefinements

TdxGridReportLink

Options defining the display of Images in the report.

property OptionsRefinements: TdxGridReportLinkOptionsRefinements;

Description

Use the OptionsRefinements property to determine:

  • whether images in a report are replaced with text;

  • the text with which images will be substituted;

  • whether the check boxes in a report are displayed flat or using 3D style.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.OptionsSelection

TdxGridReportLink

Options defining whether the report includes selected rows from the grid control or all rows.

property OptionsSelection: TdxGridReportLinkOptionsSelection;

Description

Use the OptionsSelection property to determine whether the report includes all rows, only the rows selected in the grid control, or the selected child rows together with their corresponding master or grouping row.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.OptionsSize

TdxGridReportLink

Represents a set of options which determine how the grid control is sized within a report.

property OptionsSize: TdxGridReportLinkOptionsSize;

Description

Use the OptionsSize property to set the options used to specify how the grid control is sized within a report. Use the AutoWidth property to stretch/shrink the grid control horizontally according to the width of the report’s page being printed.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.OptionsView

TdxGridReportLink

Options specifying which grid view elements are drawn within the report.

property OptionsView: TdxGridReportLinkOptionsView;

Description

Use the OptionsView property to specify the visibility of the following grid view elements: grid level caption, band headers, footer, group footer and filter panels, master and group rows expand buttons and column headers. Options from this set affect the OptionsOnEveryPage functionality. If a specific grid view element is turned off via the OptionsView setting, then this also overrides the respective OptionsOnEveryPage setting for the same element.

Use the RestoreDefaults method to set all options in this set to their defaults.


TdxGridReportLink.Styles

TdxGridReportLink

Specifies the set of styles which define the appearance aspects of the elements of the control that are associated with the current report link.

property Styles: TdxGridReportLinkOptionsStyles;

Description

Use the Styles property to designate the styles which will be used to customize the various style attributes of the grid control’s elements such as the grid's contents, column headers, footers, band headers, etc.

To reset all the options in this set back to their default values, call the RestoreDefaults method.


TdxGridReportLinkCardsShadow.Color

TdxGridReportLinkCardsShadow

Specifies the color of card shadows.

property Color: TColor;

Description

Use the Color property to specify the color of card shadows. If this color coincides with the report page background color, the card shadow will appear to be invisible.

The default value of the Color property is clDefault.


TdxGridReportLinkCardsShadow.Depth

TdxGridReportLinkCardsShadow

Specifies the card shadows depth.

type

TdxGridCardShadowDepth = 0..15;

property Depth: TdxGridCardShadowDepth;

Description

Use the Depth property to specify the card shadows depth. If this property value is 0, the card shadow is invisible.

Depth value is 0

Depth value is 15

The default value of the Depth property is dxDefaultCardsShadowDepth.


TdxGridReportLinkCardsShadow.Position

TdxGridReportLinkCardsShadow

Specifies the position of card shadows.

type

TdxGridCardShadowPosition = (cspTopLeft, cspTopRight, cspBottomRight, cspBottomLeft);

property Position: TdxGridCardShadowPosition;

Description

Use the Position property to specify the position of card shadows within a report. This property cannot be accessed via the report designer. Thus you should specify its value via the Object Inspector or via code.

Card shadow position is cspBottomRight

Card shadow position is cspTopLeft

The default value of the Position property is cspBottomRight.


TdxGridReportLinkOptions.ReportLink

TdxGridReportLinkOptions

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access a report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsCards.AutoWidth

TdxGridReportLinkOptionsCards

Adjusts the width and height of cards in order to display as many cards within a single report page as possible.

property AutoWidth: Boolean;

Description

Use the AutoWidth property to determine whether the width and height of the cards within a report are automatically adjusted to display as many cards within a report page as possible. The KeepSameWidth and KeepSameHeight properties determine whether the cards in a report are all resized to the same width and height settings.

The default value of the AutoWidth property is False.


TdxGridReportLinkOptionsCards.Borders

TdxGridReportLinkOptionsCards

Specifies whether card borders are drawn.

property Borders: Boolean;

Description

Use the Borders property to specify the visibility of the card borders within a report.

The Borders property value is True

The Borders property value is False

The default value of the Borders property is True.


TdxGridReportLinkOptionsCards.InterCardsSpaceHorz

TdxGridReportLinkOptionsCards

Specifies the horizontal spacing between cards in the report.

property InterCardsSpaceHorz: Integer;

Description

Use the InterCardsSpaceHorz property to specify the horizontal spacing in pixels between cards in a report.

The default value of the InterCardsSpaceHorz property is 4 pixels.


TdxGridReportLinkOptionsCards.InterCardsSpaceVert

TdxGridReportLinkOptionsCards

Specifies the vertical spacing between cards in a report.

property InterCardsSpaceVert: Integer;

Description

Use the InterCardsSpaceVert property to specify the vertical spacing in pixels between cards in a report.

The default value of the InterCardsSpaceVert property is 4 pixels.


TdxGridReportLinkOptionsCards.KeepSameHeight

TdxGridReportLinkOptionsCards

Determines whether the cards in a report are resized to the same width when the AutoWidth property is set.

property KeepSameHeight: Boolean;

Description

Use the KeepSameWidth property to determine whether all cards in a report are displayed with the same width settings when the AutoWidth options is set. If this property value is False, the width of each card is determined based on its individual settings and content.

The default value of the KeepSameHeight property is True.


TdxGridReportLinkOptionsCards.KeepSameWidth

TdxGridReportLinkOptionsCards

Determines whether the cards in a report are resized to the same height when the AutoWidth option is active.

property KeepSameWidth: Boolean;

Description

Use the KeepSameHeight property to determine whether all cards in a report are displayed with the same height settings when the AutoWidth options is set. If this property value is False, the height of each card is determined based on its individual settings and content.

The default value of the KeepSameWidth property is True.


TdxGridReportLinkOptionsCards.RowBordersHorz

TdxGridReportLinkOptionsCards

Specifies whether horizontal card lines are drawn in the report.

property RowBordersHorz: Boolean;

Description

Use the RowBordersHorz property to specify whether horizontal lines are drawn in the report.

The RowBordersHorz property value is True

The RowBordersHorz property value is False

The default value of the RowBordersHorz property is False.


TdxGridReportLinkOptionsCards.RowBordersVert

TdxGridReportLinkOptionsCards

Specifies whether vertical card lines are drawn in the report.

property RowBordersVert: Boolean;

Description

Use the RowBordersVert property to specify whether vertical lines are drawn n the report.

The RowBordersVert property value is True

The RowBordersVert property value is False

The default value of the RowBordersVert property is False.


TdxGridReportLinkOptionsCards.Shadow

TdxGridReportLinkOptionsCards

Specifies the card shadow options.

property Shadow: TdxGridReportLinkCardsShadow;

Description

Use the Shadow property to specify the card shadow options for the report. These options define the color, depth and position of the card shadow within a report.


TdxGridReportLinkOptionsCharts.DefaultGraphicClass

TdxGridReportLinkOptionsCharts

Returns the TBitmap type as the default graphics class of the chart view.

function DefaultGraphicClass: TGraphicClass; virtual;

Description

Use the DefaultGraphicClass method to determine the default graphics class of the chart view.


TdxGridReportLinkOptionsCharts.GraphicClass

TdxGridReportLinkOptionsCharts

Represents the metaclass for the graphics class used to draw the grid’s report when it's displayed using the chart view.

property GraphicClass: TGraphicClass;

Description

The GraphicClassName property specifies the graphics class that is used for drawing the grid’s report when it's displayed using the chart view. Use the GraphicClass property to get a reference to that graphics class.


TdxGridReportLinkOptionsCharts.GraphicClassName

TdxGridReportLinkOptionsCharts

Specifies which type of graphics class to use for drawing the chart view.

property GraphicClassName: string;

Description

Use the GraphicClassName property to instantiate a graphics object, which will be used to draw the grid’s report when it's displayed using the chart view. To optimize performance and minimize the storage requirement (if the view is to be stored) any subtype of the TGraphic class can be used (such as TBitmap, TMetafile or TJPEGImage).


TdxGridReportLinkOptionsCharts.RestoreDefaults

TdxGridReportLinkOptionsCharts See Also

Restores the default settings of the chart view.

procedure RestoreDefaults; override;

Description

Use the RestoreDefaults method to hide the chart view’s background and to set the TBitmap class as the default graphics class for drawing the chart view.


TdxGridReportLinkOptionsCharts.SupportsGraphicClass

TdxGridReportLinkOptionsCharts

Determines whether the type of the AGraphicClass graphics class is supported by the grid’s report.

function SupportsGraphicClass(AGraphicClass: TGraphicClass): Boolean; virtual;

Description

The graphics class, which is specified by the GraphicClassName property is used to draw the chart view. Use the SupportsGraphicClass method to determine whether the AGraphicClass graphics class can be used to draw the chart view.


TdxGridReportLinkOptionsCharts.Transparent

TdxGridReportLinkOptionsCharts

Specifies whether the background of the grid’s report should be displayed when using the chart view.

property Transparent: Boolean;

Description

Set the Transparent property to True to show the background of the grid’s report.

The default value of the Transparent property is False.


TdxGridReportLinkOptionsDetails.OnlyFocusedView

TdxGridReportLinkOptionsDetails See Also

Determines whether only the focused view is included in a report.

property OnlyFocusedView: Boolean;

Description

Use the OnlyFocusedView property to prevent the current views detail and master views being displayed in the report.

The default value of the OnlyFocusedView property is False.


TdxGridReportLinkOptionsDetails.StartFromFocusedView

TdxGridReportLinkOptionsDetails

Determines whether the focused views detail views are included in the report.

property StartFromFocusedView: Boolean;

Description

The StartFromFocusedView property determines whether a report will display only the focused view and it’s details but not any master views. If the OnlyFocusedView option is also active, then the focused view details will also be excluded from the report.

The default value of the StartFromFocusedView property is False.


TdxGridReportLinkOptionsExpanding.ExpandGroupRows

TdxGridReportLinkOptionsExpanding

Determines whether group rows are expanded within the report.

property ExpandGroupRows: Boolean;

Description

Set the ExpandGroupRows property to ensure all group rows are displayed fully expanded within your report, regardless of the views settings. Otherwise, they are displayed in a collapsed state.

The default value of the ExpandGroupRows property is False.


TdxGridReportLinkOptionsExpanding.ExpandMasterRows

TdxGridReportLinkOptionsExpanding

Determines whether master rows are expanded within the report.

property ExpandMasterRows: Boolean;

Description

Set the ExpandMasterRows property to ensure all master rows are displayed expanded within your report regardless of the views settings. Otherwise, master rows are displayed collapsed.

The default value of the ExpandMasterRows property is False.


TdxGridReportLinkOptionsExpanding.ReportLink

TdxGridReportLinkOptionsExpanding

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsFormatting.ConsumeSelectionStyle

TdxGridReportLinkOptionsFormatting

Specifies whether the selections in a report are stylized.

property ConsumeSelectionStyle: Boolean;

Description

Set the ConsumeSelectionStyle property to True to apply a specific style to the selections displayed in a report. The style for selections can be set via the TcxTreeListReportLinkStyles.Selection or TcxTreeListControlStyles.Selection property. Otherwise, the selection is displayed using the default windows style.

The default value of the ConsumeSelectionStyle property is False.


TdxGridReportLinkOptionsFormatting.GridLineColor

TdxGridReportLinkOptionsFormatting

Specifies color of grid lines for the report.

property GridLineColor: TColor;

Description

Use the GridLineColor property to specify the color of grid lines in a report. The GridLineColor property is not accessible via the report designer, so set it via the Object Inspector or in code.

The default value of the GridLineColor property is clDefault. ReportLink uses the value of GridLine Color from the Grid.


TdxGridReportLinkOptionsFormatting.LookAndFeelKind

TdxGridReportLinkOptionsFormatting

Specifies the grid appearance within the report.

type

TcxLookAndFeelKind = (lfFlat, lfStandard, lfUltraFlat);

property LookAndFeelKind: TcxLookAndFeelKind;

Description

Use the LookAndFeelKind property to define the manner in which grid elements are painted.

The default value of the LookAndFeelKind property is lfUltraFlat.


TdxGridReportLinkOptionsFormatting.ReportLink

TdxGridReportLinkOptionsFormatting

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsLevels.RiseActiveLevelOntoTop

TdxGridReportLinkOptionsLevels

Indicates whether the view that corresponds to the currently active root grid level is displayed at the top of a report.

property RiseActiveLevelOntoTop: Boolean;

Description

Set the RiseActiveLevelOntoTop property to True to display the view that corresponds to the grid level at the root nesting level which is currently active before all the other levels which will appear in the report in accordance to their indexes in the grid’s Levels collection of the root grid levels. Otherwise, the state of the grid level at the root nesting level does not affect the order in which the corresponding views are displayed in the report.

Note: This property has no effect when the Unwrap property is set to False.

The RiseActiveLevelOntoTop property's default value is True.


TdxGridReportLinkOptionsLevels.Unwrap

TdxGridReportLinkOptionsLevels

Specifies whether all the detail views that correspond to the grid levels at the same hierarchy level are displayed in a report.

property Unwrap: Boolean;

Description

When the Unwrap property is set to False only the active grid level’s detail views that are currently expanded will be displayed in a report. To display all the detail views that correspond to the grid levels at the same hierarchy level, set the Unwrap property to True. This will add the views of all these child levels to the report in accordance with their indexes in the Items collection of the corresponding master level.

The Unwrap property's default value is False.


TdxGridReportLinkOptionsLevels.UnwrapTopLevel

TdxGridReportLinkOptionsLevels

Indicates whether all the views that correspond to grid levels at the root nesting level are displayed in a report.

property UnwrapTopLevel: Boolean;

Description

Set the UnwrapTopLevel property to True to display all the views that correspond to grid levels at the root nesting level, i.e. the levels in the grid’s Levels collection of the root grid levels. Otherwise, only the view that corresponds to the active root grid will be displayed in the report.

To display the view that corresponds to the active root grid level before all the other levels, set the RiseActiveLevelOntoTop property to True.

Note: This property has no effect when the Unwrap property is set to False.

The default value of the UnwrapTopLevel property is True.


TdxGridReportLinkOptionsOnEveryPage.BandHeaders

TdxGridReportLinkOptionsOnEveryPage

Determines whether band headers are displayed on every report page or on the first one only.

property BandHeaders: Boolean;

Description

Use the BandHeaders property to determine whether bands headers are displayed on every report page or on the first report page only.

This property will only have an effect if the grid report link’s OptionsView.BandHeaders property is set.

The default value of the BandHeaders property is True.


TdxGridReportLinkOptionsOnEveryPage.Caption

TdxGridReportLinkOptionsOnEveryPage

Determines whether grid level captions are displayed on every report page or on the first report page only.

property Caption: Boolean;

Description

Use the Caption property to determine whether grid level captions are displayed on every report page or on the first report page only.

This property will only have an effect if the grid report link’s OptionsView.Caption property is set.

The default value of the Caption property is True.


TdxGridReportLinkOptionsOnEveryPage.FilterBar

TdxGridReportLinkOptionsOnEveryPage

Determines whether the filter panel is visible on every report page or on the first page only.

property FilterBar: Boolean;

Description

Use the FilterBar property to determine whether the filter panel is visible on every report page or on the first page only.

This property will only have an effect if the grid report link’s OptionsView.FilterBar property is set.

The default value of the FilterBar property is True.


TdxGridReportLinkOptionsOnEveryPage.Footers

TdxGridReportLinkOptionsOnEveryPage

Determines whether the footer panel is displayed on every report page or on the first page only.

property Footers: Boolean;

Description

Use the Footers property to determine whether the footer panel is displayed on every report page or on the first page only.

This property will only have an effect if the grid report link’s OptionsView.Footers property is set.

The default value of the Footers property is True.


TdxGridReportLinkOptionsOnEveryPage.Headers

TdxGridReportLinkOptionsOnEveryPage

Determines whether column headers are displayed on every report page or on the first page only.

property Headers: Boolean;

Description

Use the Headers property to determine whether column headers are displayed on every report page or on the first page only.

This property will only have an effect if the BandHeaders property and the grid report link’s OptionsView.Headers property are set.

The default value of the Headers property is True.


TdxGridReportLinkOptionsOnEveryPage.ReportLink

TdxGridReportLinkOptionsOnEveryPage

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsPagination.Band

TdxGridReportLinkOptionsPagination

Determines whether multi-page reports use band boundaries for pagination.

property Band: Boolean;

Description

Set the Band property to cause reports that require more than one page horizontally to display their content, to honor band boundaries when determining where to split a row that is too wide to fit on one page. When not set some bands can be spanned across pages.

The default value for this property is False.


TdxGridReportLinkOptionsPagination.Column

TdxGridReportLinkOptionsPagination

Determines whether multi-page reports use column boundaries for pagination.

property Column: Boolean;

Description

Set the Column property to cause reports that require more than one page horizontally to display their content, to honor column boundaries when determining where to split a row that is too wide to fit on one page. When not set some rows can be spanned across pages, resulting in partial columns on some pages.

The default value for this property is True.


TdxGridReportLinkOptionsPagination.ReportLink

TdxGridReportLinkOptionsPagination

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsPagination.Row

TdxGridReportLinkOptionsPagination

Determines whether multi-page reports use row boundaries for pagination.

property Row: Boolean;

Description

Set the Row property to cause reports that require more than one page vertically to display their content, to honor row boundaries when determining where to split the report. When not set some rows can be spanned across pages, resulting in partial rows on some pages.

The default value to this property is True.


TdxGridReportLinkOptionsPreview.ReportLink

TdxGridReportLinkOptionsPreview

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsRefinements.DisplayGraphicsAsText

TdxGridReportLinkOptionsRefinements

Determines whether report images are displayed as text.

property DisplayGraphicsAsText: Boolean;

Description

Use the DisplayGraphicsAsText property to determine whether images are displayed as text in a report. The text that will be displayed when this property is set will come from the GraphicsText property.

The default value of the DisplayGraphicsAsText property is False.


TdxGridReportLinkOptionsRefinements.FlatCheckMarks

TdxGridReportLinkOptionsRefinements

Determines whether checkbox editors in a report are drawn flat or in a 3D style.

property FlatCheckMarks: Boolean;

Description

Use the FlatCheckMarks property to determine whether checkbox editors in a report are flat or 3D.

FlatCheckMarks is active

FlatCheckMarks is deactivated

The default value of the FlatCheckMarks property is True.


TdxGridReportLinkOptionsRefinements.GraphicsText

TdxGridReportLinkOptionsRefinements

Specifies the text displayed in place of images in the report when the DisplayGraphicsAsText option is set.

property GraphicsText: string;

Description

Use the GraphicsText property to specify the text displayed instead of images in a report.

This property has no effect if the DisplayGraphicsAsText option is not set.


TdxGridReportLinkOptionsRefinements.ReportLink

TdxGridReportLinkOptionsRefinements

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsRefinements.TransparentGraphics

TdxGridReportLinkOptionsRefinements

Determines whether an image field is displayed with an opaque or transparent background in the report.

property TransparentGraphics: Boolean;

Description

Use the TransparentGraphics property to determine whether an image field is displayed with an opaque ot transparent background in the report.

When an image is transparent the background of the image will be replaced with the cell background. In the case of Bitmap fields the background of the image is determined by the areas in the image that have the same pixel color as the bottom leftmost pixel.

The default value of the TransparentGraphics property is False.


TdxGridReportLinkOptionsSelection.ProcessExactSelection

TdxGridReportLinkOptionsSelection

Specifies the scope for the rows along with the selected ones that will be included in a report.

property ProcessExactSelection: Boolean;

Description

When the ProcessSelection property is set to True the selected (child) rows as well as the corresponding master rows in master-detail relations and the grouping rows within a view are included in a report. To include only these rows in a report, set the ProcessExactSelection property to True. Otherwise, the (child) rows of the same detail view or group where the selected (child) rows reside will also be included in the report.

The ProcessExactSelection property has no effect when the ProcessSelection property is set to False.

The default value of the ProcessExactSelection property is False.


TdxGridReportLinkOptionsSelection.ReportLink

TdxGridReportLinkOptionsSelection

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsSize.AutoWidth

TdxGridReportLinkOptionsSize

Specifies whether the Grid control width is automatically adjusted to fit the report page width.

property AutoWidth: Boolean;

Description

To enable automatic width adjusting set the AutoWidth property to True, to disable it set the property to False.

Note that the TcxTreeListReportLinkOptionsPagination.Band and TdxGridReportLinkOptionsPagination.Column properties values have no effect upon the report and the Grid control is not horizontally split across the report pages if the AutoWidth or TBasedxReportLink.ShrinkToPageWidth property is True.

The default value of the AutoWidth property is False.


TdxGridReportLinkOptionsSize.ReportLink

TdxGridReportLinkOptionsSize

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkOptionsView.BandHeaders

TdxGridReportLinkOptionsView

Determines whether band headers are drawn in the view.

property BandHeaders: Boolean;

Description

Use the BandHeaders property to specify whether band headers are drawn in the report.

The default value of the BandHeaders property is True.


TdxGridReportLinkOptionsView.Caption

TdxGridReportLinkOptionsView

Determines whether the current grid level caption is displayed within the report.

property Caption: Boolean;

Description

Use the Caption property to determine whether the current grid level caption is drawn in the report. If this property value is True, the grid level caption is drawn in the report.

Note: If the grid level caption is empty, the grid level caption panel will also be empty.

The default value of the Caption property is True.


TdxGridReportLinkOptionsView.ExpandButtons

TdxGridReportLinkOptionsView

Determines whether expand buttons will be drawn in the report.

property ExpandButtons: Boolean;

Description

Use the ExpandButtons property to determine whether expand buttons of both group and master rows will be drawn in the report. If this property value is True, these buttons are drawn.

The default value of the ExpandButtons property is True.


TdxGridReportLinkOptionsView.FilterBar

TdxGridReportLinkOptionsView

Determines whether the filter panel is drawn in the report.

property FilterBar: Boolean;

Description

Use the FilterBar property to determine whether the filter panel is drawn in the report. If this property value is True, the filter panel is drawn regardless of whether the filter is applied to a view or not.

The default value of the FilterBar property is True.


TdxGridReportLinkOptionsView.Footers

TdxGridReportLinkOptionsView

Determines whether the footer panel is drawn in the report.

property Footers: Boolean;

Description

Use the Footers property to determine whether the footer panel is drawn in the report. If this property value is True, the footer panel is drawn regardless of whether it contains any text or not.

The default value of the Footers property is True.


TdxGridReportLinkOptionsView.GroupFooters

TdxGridReportLinkOptionsView

Determines whether group footers are drawn in the report.

property GroupFooters: Boolean;

Description

Use the GroupFooters property to determine whether group footers are drawn in the report.

The default value of the GroupFooters property is True.


TdxGridReportLinkOptionsView.Headers

TdxGridReportLinkOptionsView

Determines whether column headers are drawn in the report.

property Headers: Boolean;

Description

Use the Headers property to determine whether column headers are drawn in the report. If this property value is True, column headers are drawn.

The default value of the Headers property is True.


TdxGridReportLinkOptionsView.ReportLink

TdxGridReportLinkOptionsView

Specifies the report link to which the options are applied.

property ReportLink: TdxGridReportLink;

Description

Use the ReportLink property to access the report link that will be affected by these options.

ReadOnly Property


TdxGridReportLinkStyles.BandHeader

TdxGridReportLinkStyles

Specifies the style for the Grid control table views band headers within the report.

property BandHeader: TcxStyle;

Description

The BandHeader property allows you to define the style (font, text color and background color) for the Grid control table views band headers within the report.


TdxGridReportLinkStyles.Caption

TdxGridReportLinkStyles

Specifies the style for the Grid control card views caption within the report.

property Caption: TcxStyle ;

Description

The Caption property allows you to define the style (font, text color and background color) for the Grid control card views caption within the report.


TdxGridReportLinkStyles.CardCaptionRow

TdxGridReportLinkStyles

Specifies the style for the Grid control card views caption rows within the report.

property CardCaptionRow: TcxStyle ;

Description

The CardCaptionRow property allows you to define the style (font, text color and background color) for the Grid control card views caption rows within the report.


TdxGridReportLinkStyles.CardRowCaption

TdxGridReportLinkStyles

Specifies the style for the Grid control card views row captions within the report.

property CardRowCaption: TcxStyle ;

Description

The CardRowCaption property allows you to define the style (font, text color and background color) for the Grid control card views row captions within the report.


TdxGridReportLinkStyles.Content

TdxGridReportLinkStyles

Specifies the style for the Grid control table and card views data cells within the report.

property Content: TcxStyle;

Description

The Content property allows you to define the style (font, text color and background color) for the Grid control table and card views data cells within the report.


TdxGridReportLinkStyles.ContentEven

TdxGridReportLinkStyles

Specifies the style for the Grid control table and card views data cells within the even rows of the report.

property ContentEven: TcxStyle;

Description

The ContentEven property allows you to define the style (font, text color and background color) for the Grid control table and card views data cells of the even rows within the report. . This style overrides the Content style.


TdxGridReportLinkStyles.ContentOdd

TdxGridReportLinkStyles

Specifies the style for the Grid control table and card views data cells within the odd rows of the report.

property ContentOdd: TcxStyle;

Description

The ContentOdd property allows you to define the style (font, text color and background color) for the Grid control table and card views data cells of the odd rows within the report. This style overrides the Content style.


TdxGridReportLinkStyles.FilterBar

TdxGridReportLinkStyles

Specifies the style for the Grid control table views filter panel within the report.

property FilterBar: TcxStyle;

Description

The FilterBar property allows you to define the style (font, text color and background color) for the Grid control table views filter panel within the report.


TdxGridReportLinkStyles.Footer

TdxGridReportLinkStyles

Specifies the style for the Grid control table views footers within the report.

property Footer: TcxStyle;

Description

The Footer property allows you to define the style (font, text color and background color) for the Grid control table views footers within the report.


TdxGridReportLinkStyles.Group

TdxGridReportLinkStyles

Specifies the style for the Grid control table views grouping rows within the report.

property Group: TcxStyle;

Description

The Group property allows you to define the style (font, text color and background color) for the Grid control table view grouping rows within the report.


TdxGridReportLinkStyles.Header

TdxGridReportLinkStyles

Specifies the style for the Grid control table views column headers within the report.

property Header: TcxStyle;

Description

The Group property allows you to define the style (font, text color and background color) for the Grid control the Grid control column headers within the report.


TdxGridReportLinkStyles.Preview

TdxGridReportLinkStyles

Specifies the style for the Grid control table views row preview section within the report.

property Preview: TcxStyle;

Description

The Preview property allows you to define the style (font, text color and background color) for the Grid control table views row preview section within the report.


TdxGridReportLinkStyles.ReportLink

TdxGridReportLinkStyles

Provides access to the owner Grid control report link.

property ReportLink: TdxGridReportLink;

Description

The ReportLink property enables you to access the properties and methods of the owner Grid control report link

ReadOnly Property


TdxGridReportLinkStyles.Selection

TdxGridReportLinkStyles

Specifies the style for the Grid control table and card views selection within the report.

property Selection: TcxStyle;

Description

The FilterBar property allows you to define the style (font, text color and background color) for the Grid control table and card views selection within the report.


TdxGridReportLinkStyleSheet.Styles

TdxGridReportLinkStyleSheet

Represents a set of styles managing the Grid control views elements appearance within the report.

property Styles: TdxGridReportLinkStyles;

Description

The Styles property defines a set of properties and events that allow you to specify the appearance of all Grid views visual elements within the report. By handling the style events, it is possible to specify the style setting of these elements on the fly.


TdxImageReportLink.Image

TdxImageReportLink

Returns the TImage component printed by using the current link.

property Image: TImage;

Description

This property value represents the TImage component printed via the current link.

ReadOnly Property


TdxInspectorReportLink.Inspector

TdxInspectorReportLink

See Also

Determines the non data-aware Inspector whose content is printed via the ExpressPrinting System.

property Inspector: TdxInspector ;

Description

The Inspector property returns the TdxInspector object for which a report is generated.

ReadOnly Property


TdxLayoutControlReportLink.LayoutControl

TdxLayoutControlReportLink

Provides access to the printed layout control.

property LayoutControl: TdxLayoutControl;

Description

Use the LayoutControl property to access the TdxLayoutControl instance which provides its data for printing. This property lets manipulate the control’s settings instead of having to modify the report link options.

ReadOnly Property


TdxLayoutControlReportLink.OptionsPagination

TdxLayoutControlReportLink

Contains settings to determine the manner in which the TdxLayoutControl is to be split across the report pages.

property OptionsPagination: TdxLayoutControlReportLinkOptionsPagination;

Description

If the TdxLayoutControl control is too wide or high to be printed on a single report page, its contents are split across several pages. The OptionsPagination settings determine the manner in which the layout control is split.

If the Groups option is active, then the PrintingSystem attempts to display each layout control group in its entirety on a report page. When a group does not fit into a report page, it is split across several pages.

If the Items option is active, then each layout control item is displayed in its entirety within a report page. When an item does not fit onto a report page, it is split across several pages.

Note, that if the ShrinkToPageWidth property value is True, then the entire control is made to fit horizontally within a single page regardless of the OptionsPagination settings.

Call the Options.RestoreDefaults method if you want to revert this set of options to their default values.


TdxLayoutControlReportLink.OptionsSize

TdxLayoutControlReportLink

Contains settings that define the size of the control’s printed version.

property OptionsSize: TdxLayoutControlReportLinkOptionsSize;

Description

The object available via the OptionsSize property provides a single AutoWidth property. Use this property to specify whether the printed control should fit the page width.

Call the Options.RestoreDefaults method if you want to revert this set of options to their default values.


TdxLayoutControlReportLink.OptionsTransparent

TdxLayoutControlReportLink

Contains transparency settings for the printed layout’s control elements.

property OptionsTransparent: TdxLayoutControlReportLinkOptionsTransparent;

Description

Use the OptionsTransparent properties to specify the transparency for the printed layout control elements. The Groups option enables transparent painting of the layout control group’s background. The Items option enables transparent painting of the layout control items background.

Call the Options.RestoreDefaults method if you want to revert this set of options to their default values.


TdxLayoutControlReportLinkOptionsPagination.Groups

TdxLayoutControlReportLinkOptionsPagination

Specifies the manner in which the layout control groups are split across report pages.

property Groups: Boolean;

Description

Use the Groups property to specify the manner in which the layout control groups are split across report pages. If a specific group is too wide or high to be entirely displayed within a single report page, then that group is split across the report pages. In this case, if the Groups option is active then the ExpressPrintingSystem attempts to display as many groups as possible within a single page.

The manner in which individual items are spread across the report pages is specified via the Items property.

If the report link’s ShrinkToPageWidth property value is True, then the Groups option is not in effect.

The default value of the Groups property is True.


TdxLayoutControlReportLinkOptionsPagination.Items

TdxLayoutControlReportLinkOptionsPagination

Specifies the manner in which layout control groups are split across report pages.

property Items: Boolean;

Description

Use the Items property to specify the manner in which the layout control items are split across report pages. If a specific group is too wide or high to be entirely displayed within a single report page, then that group is split across the report pages. In this case, if the Items option is active then the ExpressPrintingSystem attempts to display in their entirety as many items as possible within a single page.

The manner in which layout control groups are spread across the report pages is specified via the Groups property.

If the report link’s ShrinkToPageWidth property value is True, then the Items option is not in effect.

The default value of the Items property is True.


TdxLayoutControlReportLinkOptionsSize.AutoWidth

TdxLayoutControlReportLinkOptionsSize

Specifies whether the layout control’s printed version is automatically adjusted to fit the printed page’s width.

property AutoWidth: Boolean;

Description

If the AutoWidth property value is True, the printed layout control will always fit the printed page in width (note that the printed page width excludes the left and right margins). If you want the control to be printed as-is, set the AutoWidth property to False. In this case, the control may occupy several pages in width.

The default value of the AutoWidth property is True.


TdxLayoutControlReportLinkOptionsTransparent.Groups

TdxLayoutControlReportLinkOptionsTransparent

Specifies if the layout control group’s background is transparent.

property Groups: Boolean;

Description

Set the Groups property to True to enable transparent painting for the layout control group’s background.

The default value of the Groups property is True.


TdxLayoutControlReportLinkOptionsTransparent.Items

TdxLayoutControlReportLinkOptionsTransparent

Specifies whether the layout control items background is transparent.

property Items: Boolean;

Description

Sets the Items property to True to enable transparent painting of the layout control item’s background.

The default value of the Items property is True.


TdxListBoxReportLink.ListBox

TdxListBoxReportLink

Determines the list box, whose items are printed within a report.

property ListBox : TListBox;

Description

This property returns the TListBox component printed by a printing component.

ReadOnly Property


TdxMasterViewReportLink.AutoNodesExpand

TdxMasterViewReportLink

See Also

Specifies whether all nodes are expanded.

property AutoNodesExpand: Boolean;

Description

If the AutoNodesExpand property is set to False, all collapsed nodes remain collapsed. If the AutoNodesExpand property is set to True, all nodes are expanded.

The default value of this property is False.


TdxMasterViewReportLink.CaptionColor

TdxMasterViewReportLink

See Also

Specifies level caption color.

property CaptionColor: TColor ;

Description

Use the CaptionColor property to change level caption color. Uncheck the Fixed Transparent check box in the Colors tab designer and choose the desired color from the Level Caption Color combobox.

The default value of this property is clBtnFace.


TdxMasterViewReportLink.CaptionNodeFont

TdxMasterViewReportLink

See Also

Specifies the font of a level node caption.

property CaptionNodeFont: TFont ;

Description

The CaptionNodeFont property is used to specify the node caption font.


TdxMasterViewReportLink.DrawMode

TdxMasterViewReportLink

See Also

Specifies the drawing mode of your report.

type

TdxMasterViewDrawMode = (mvdmStrict, mvdmOddEven, mvdmBorrowSource);

property DrawMode: TdxMasterViewDrawMode;

Description

Specifies the drawing mode of your report. It can take one of three values. Please refer to the table below for more information.

Value

Description

mvdmStrict

Used when all colors should look exactly as they are specified in the designer despite any manipulations applied to an application.

mvdmOddEven

Used to differentiate even and odd row colors in a report. The EvenColor and OddColor properties specify colors for even and odd rows, respectively.

mvdmBorrowSource

Used when report color scheme should look exactly as in an application despite any changes made in the designer.

When the DrawMode property is set to mvdmBorrowSource, the color set in the designer will be ignored and application colors will be used during printing.

The default value of this property is mvdmStrict.


TdxMasterViewReportLink.EvenColor

TdxMasterViewReportLink

See Also

Specifies the color of even report rows.

property EvenColor: TColor ;

Description

The EvenColor property is used to specify the color of even report rows.

Note: This property is only available in Odd/Even Rows mode.

The default value of this property is clWhite.


TdxMasterViewReportLink.EvenFont

TdxMasterViewReportLink

See Also

Specifies the font name of even report rows.

property EvenFont: TFont ;

Description

The EvenFont property is used to specify the font name of even report rows.

Note: This property is only available in Odd/Even Rows mode.


TdxMasterViewReportLink.ExtendedSelect

TdxMasterViewReportLink

See Also

Specifies the manner in which selected nodes are printed.

property ExtendedSelect: Boolean;

Description

If the ExtendedSelect property is set to True, all selected nodes will be printed along with their parents as they are displayed on screen. If a selected node is not expanded, its children are not printed. If ExtendedSelect is False, both the parent and child nodes of a selected node are printed.

Note: This property is valid if the OnlySelected property is set to True.

The default value of this property is True.


TdxMasterViewReportLink.FixedTransparent

TdxMasterViewReportLink

See Also

Specifies the manner in which elements such as level caption, header, footer, and group node are painted.

property FixedTransparent: Boolean;

Description

Set the FixedTransparent property to True to draw the level caption, header, footer, and group node transparently.

The default value of this property is False.


TdxMasterViewReportLink.FooterColor

TdxMasterViewReportLink

See Also

Specifies footer color.

property FooterColor: TColor ;

Description

The FooterColor property is used to set footer color.

The default value of this property is clBtnFace.


TdxMasterViewReportLink.FooterFont

TdxMasterViewReportLink

See Also

Specifies footer font.

property FooterFont: TFont ;

Description

The FooterFont property is used to specify footer font.


TdxMasterViewReportLink.GridLineColor

TdxMasterViewReportLink

See Also

Specifies grid line color.

property GridLineColor: TColor ;

Description

The GridLineColor property is used to specify grid line color.

The default value of this property is clBlack.


TdxMasterViewReportLink.GroupNodeColor

TdxMasterViewReportLink

See Also

Specifies group node color.

property GroupNodeColor: TColor ;

Description

The GroupNodeColor is used to specify group node color.

The default value of this property is clBtnFace.


TdxMasterViewReportLink.GroupNodeFont

TdxMasterViewReportLink

See Also

Specifies group node font.

property GroupNodeFont: TFont ;

Description

Use the GroupNodeFont property to specify group node font.


TdxMasterViewReportLink.HeaderColor

TdxMasterViewReportLink

See Also

Specifies header color.

property HeaderColor: TColor ;

Description

Use the HeaderColor property to specify header color.

The default value of this property is clBtnFace.


TdxMasterViewReportLink.HeaderFont

TdxMasterViewReportLink

See Also

Specifies header font.

property HeaderFont: TFont ;

Description

Use the HeaderFont property to specify header font.


TdxMasterViewReportLink.MasterView

TdxMasterViewReportLink

Specifies the ExpressMasterView control.

property MasterView: TdxMasterView ;

Description

Use the MasterView property to get access to the printed object of type TdxMasterView .

ReadOnly Property


TdxMasterViewReportLink.OddColor

TdxMasterViewReportLink

See Also

Specifies odd row color.

property OddColor: TColor ;

Description

Use the OddColor property to specify the color of odd rows.

The default value of this property is clWhite.


TdxMasterViewReportLink.OddFont

TdxMasterViewReportLink

See Also

Specifies odd row font.

property OddFont: TFont ;

Description

Use the OddFont property to specify the font of odd rows.


TdxMasterViewReportLink.OnCustomDrawCell

TdxMasterViewReportLink

See Also

Occurs when drawing a cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxMVReportLinkCustomDrawCellEvent = procedure(Sender: TBasedxReportLink ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; ANode: TdxMasterViewNode ; AColumn: TdxMasterViewColumn ; var AText: string; var AColor: TColor ; AFont: TFont ; var ATextAlignX: TdxTextAlignX ; var ATextAlignY: TdxTextAlignY ; var ADone: Boolean) of object;

property OnCustomDrawCell: TdxMVReportLinkCustomDrawCellEvent;

Description

Write an OnCustomDrawCell event handler to draw a cell.

Parameter

Description

ACanvas

Specifies the drawing surface.

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ANode

Node of a cell.

AColumn

Column of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies text color. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawCell event handler entirely draws a cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TdxMasterViewReportLink.OnCustomDrawFooterCell

TdxMasterViewReportLink

See Also

Occurs when drawing a footer cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxMVReportLinkCustomDrawFooterCellEvent = procedure(Sender: TBasedxReportLink ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; ANode: TdxMasterViewNode ; AColumn: TdxMasterViewColumn ; var AText: string; var AColor: TColor ; AFont: TFont ; var ATextAlignX: TdxTextAlignX ; var ATextAlignY: TdxTextAlignY ; var ADone: Boolean) of object;

property OnCustomDrawFooterCell: TdxMVReportLinkCustomDrawFooterCellEvent;

Description

Write an OnCustomDrawFooterCell event handler to draw a footer cell.

Parameter

Description

ACanvas

Specifies the drawing surface.

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ANode

Node of a cell.

AColumn

Column of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies text color. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawFooterCell event handler entirely draws a footer cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TdxMasterViewReportLink.OnCustomDrawHeaderCell

TdxMasterViewReportLink

See Also

Occurs when drawing a header cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxCellSortOrder = (csoNone, csoUp, csoDown);

TdxMVReportLinkCustomDrawHeaderCellEvent = procedure(Sender: TBasedxReportLink ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; AColumn: TdxMasterViewColumn ; var AText: string; var AColor: TColor ; AFont: TFont ; var ATextAlignX: TdxTextAlignX ; var ATextAlignY: TdxTextAlignY ; var ASorted: TdxCellSortOrder; var ADone: Boolean) of object;

property OnCustomDrawHeaderCell: TdxMVReportLinkCustomDrawHeaderCellEvent;

Description

Write an OnCustomDrawHeaderCell event handler to draw a header cell.

Parameter

Description

ACanvas

Specifies the drawing surface.

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

AColumn

Column of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies text color. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ASorted

Specifies the order cells are sorted (ascending order, descending order, unsorted).

ADone

Determines whether the OnCustomDrawHeaderCell event handler entirely draws a header cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TdxMasterViewReportLink.OnCustomDrawPreviewCell

TdxMasterViewReportLink

See Also

Occurs when drawing a preview cell.

type

TdxMVReportLinkCustomDrawPreviewCellEvent = procedure(Sender: TBasedxReportLink ; ACanvas: TCanvas ; ABoundsRect, AClientRect: TRect ; ANode: TdxMasterViewNode ; var AText: string; var AColor: TColor ; AFont: TFont ; var ADone: Boolean) of object;

property OnCustomDrawPreviewCell: TdxMVReportLinkCustomDrawPreviewCellEvent;

Description

Write an OnCustomDrawPreviewCell event handler to draw a preview cell.

Parameter

Description

ACanvas

Specifies the drawing surface.

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ANode

Node of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies text color. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawPreviewCell event handler entirely draws a preview cell. If ADone is True, the default drawing procedure is not called.

Note: This property is accessible only if the SupportedCustomDraw property is set to True.


TdxMasterViewReportLink.OnlySelected

TdxMasterViewReportLink

See Also

Specifies whether the selected range or the entire report is printed out.

property OnlySelected: Boolean;

Description

The OnlySelected property is used to specify whether the selected range or the entire report is printed out. Range should be determined beforehand.

The default value of this property is False.


TdxMasterViewReportLink.Options

TdxMasterViewReportLink

See Also

Indicates specific properties for a component.

type

TdxMasterViewPaintOption = (mvpoHeaders, mvpoFooters, mvpoPreview, mvpoGrid, mvpoPreviewGrid, mvpoGroupFooterGrid, mvpoFlatCheckMarks, mvpoTransparentColumnGraphic, mvpoGraphicAsText, mvpo3DEffects, mvpoSoft3D);

TdxMasterViewPaintOptions = set of TdxMasterViewPaintOption;

property Options: TdxMasterViewPaintOptions;

Description

The options below are used to set specific properties for a report for easier navigation and analysis.

Value

Meaning

mvpoHeaders

Specifies whether a header is visible.

mvpoFooters

Specifies whether a footer is visible.

mvpoPreview

Specifies whether preview is visible.

mvpoGrid

Specifies whether grid lines are visible.

mvpoPreviewGrid

Specifies whether a preview grid is visible.

mvpoGroupFooterGrid

Specifies whether a group footer is visible.

mvpoFlatCheckMarks

Specifies check box look & feel (flat or 3D).

mvpoTransparentColumnGraphic

Specifies whether column graphics are transparent.

mvpoGraphicAsText

Specifies the manner in which graphics are displayed. If enabled, text is displayed instead of a picture. If disabled, graphics are displayed as is.

mvpo3Deffects

Specifies whether 3D effects are enabled. If enabled, all borders will be displayed with a 3D look; Otherwise, the entire report will be displayed plain.

mvpoSoft3D

Specifies whether the Soft3D property is set to True. If disabled, all 3D graphics are flattened.

The default value for the Options property is [mvpoHeaders, mvpoFooters, mvpoPreview, mvpoGrid, mvpoPreviewGrid, mvpoGroupFooterGrid, mvpoFlatCheckMarks, mvpo3DEffects, mvpoSoft3D, mvpoExpandButtons].


TdxMasterViewReportLink.PreviewColor

TdxMasterViewReportLink

See Also

Specifies preview color.

property PreviewColor: TColor ;

Description

The PreviewColor property is used to specify the color of a preview band.

The default value of this property is clWhite.


TdxMasterViewReportLink.PreviewFont

TdxMasterViewReportLink

See Also

Specifies preview font.

property PreviewFont: TFont ;

Description

The PreviewFont property is used to specify text font for a preview band.


TdxMasterViewReportLink.PreviewLineCount

TdxMasterViewReportLink

See Also

Determines preview band width.

property PreviewLineCount: Integer;

Description

The PreviewLineCount property is used to determine the width of a preview band. If set to 0, no preview band appears.

Note: To auto calculate the preview lines count set the PreviewLineCount property to -1.

The default value of this property is -1.


TdxMasterViewReportLink.SupportedCustomDraw

TdxMasterViewReportLink

See Also

Specifies whether custom drawing events are enabled.

property SupportedCustomDraw: Boolean;

Description

Use this property to allow a user to perform custom drawing of a component.

The default value of this property is False.


TdxMemoReportLink.Memo

TdxMemoReportLink

Provides access to the multi-line editor being printed.

property Memo: TMemo;

Description

Use the Memo property to access the multi-line editor being printed. Set the Component property to specify the TMemo editor to be printed.

ReadOnly Property


TdxPageSetupDialog.ActivePageIndex

TdxPageSetupDialog

Specifies which page of the "PageSetup" dialog window is displayed.

property ActivePageIndex: Integer;

Description

Use the ActivePageIndex property to specify the setup page. A value of 0 corresponds to the Page tab, a value of 1 corresponds to the Margins tab, a value of 2 corresponds to the Header/Footer tab, and a value of 3 corresponds to the Scaling tab.


TdxPageSetupDialog.ButtonsEnabled

TdxPageSetupDialog

See Also

Specifies which buttons within the "PageSetup" dialog window are enabled.

type

TdxPageSetupDlgButtonKind = (psbHelp, psbStyleOptions, psbPreview, psbPrint);

TdxPageSetupDlgButtons = set of TdxPageSetupDlgButtonKind;

property ButtonsEnabled: TdxPageSetupDlgButtons;

Description

Use the ButtonsEnabled property to specify which buttons are enabled and can be pressed. Possible values include:

Value

Description

psbHelp

Specifies whether the "Help" button is enabled.

psbStyleOptions

Specifies whether the "Options…" button is enabled. This button is enabled only when there are user registered dialog windows.

psbPreview

Specifies whether the "Print Preview…" button is enabled.

psbPrint

Specifies whether the "Print…" button is enabled.

The default value of this property is [psbStyleOptions, psbPreview, psbPrint].


TdxPageSetupDialog.ButtonsVisible

TdxPageSetupDialog

See Also

Specifies which buttons within the "PageSetup" dialog window are displayed.

type

TdxPageSetupDlgButtonKind = (psbHelp, psbStyleOptions, psbPreview, psbPrint); TdxPageSetupDlgButtons = set of TdxPageSetupDlgButtonKind;

property ButtonsVisible: TdxPageSetupDlgButtons;

Description

Use the ButtonsVisible property to specify which buttons are displayed and can be enabled or disabled. Possible values include:

Value

Description

psbHelp

Specifies whether the "Help" button is displayed.

psbStyleOptions

Specifies whether the "Options…" button is displayed. This button is displayed only when there are user registered dialog windows.

psbPreview

Specifies whether the "Print Preview…" button is displayed.

psbPrint

Specifies whether the "Print…" button is displayed.

The default value of this property is [psbStyleOptions, psbPreview, psbPrint].


TdxPageSetupDialog.Execute

TdxPageSetupDialog

Activates the "Page Setup" dialog window.

function Execute: Boolean;

Description

Call the Execute method to display the "Page Setup" dialog window at runtime.


TdxPageSetupDialog.HelpContext

TdxPageSetupDialog

Provides the context number to use when calling the context-sensitive online Help.

property HelpContext: THelpContext;

Description

Assign a value to the HelpContext property to determine which help topic appears when a user presses F1 to request help.


TdxPageSetupDialog.HFMode

TdxPageSetupDialog

Specifies the manner in which header and footers are displayed.

type

TdxHFMode = (hfmThreeSections, hfmOneSection);

property HFMode: TdxHFMode;

Description

Use the HFMode property to specify whether to divide headers or footers into 3 sections or to display them as a single region. Possible values include:

Value

Description

hfmThreeSections

Headers(footers) are displayed within 3 separate sections.

hfmOneSection

Headers(footers) are displayed within one section.

The default value of this property is hfmThreeSections.


TdxPageSetupDialog.OnClose

TdxPageSetupDialog

Occurs when closing the "Page Setup" dialog window.

property OnClose: TNotifyEvent;

Description

Write an OnClose event handler to perform custom actions when the "Page Setup" dialog window is about to close.


TdxPageSetupDialog.OnCustomDrawPreview

TdxPageSetupDialog

Occurs when the "Margins" tab of the "Page Setup" dialog window is displayed.

type

TdxCustomDrawPreviewEvent = procedure(APrintStyle: TBasedxPrintStyle; ACanvas: TCanvas; APageRect, AContentRect, AHeaderRect, AFooterRect: TRect) of object;

property OnCustomDrawPreview: TdxCustomDrawPreviewEvent;

Description

Write the OnCustomDrawPreview event handler to draw a specific preview within the "Preview" section of the "Margins" tab. Use this event to display your own preview picture for your report. The ACanvas parameter determines the drawing canvas. The APageRect, AContentRect, AHeaderRect, and AFooterRect parameters specify the bound rectangle for page, content, header and footer drawing.

Keep in mind that the OnCustomDrawPreview event handler must be a full drawing procedure.


TdxPageSetupDialog.OnShow

TdxPageSetupDialog

Occurs when displaying the "Page Setup" dialog window.

property OnShow: TNotifyEvent;

Description

Write an OnShow event handler to perform custom actions when activating the "Page Setup" dialog window.


TdxPageSetupDialog.OptionsEnabled

TdxPageSetupDialog

See Also

Specifies which options within the "PageSetup" dialog window are enabled.

type

psoAll = [Low(TdxPageSetupDlgOption)..High(TdxPageSetupDlgOption)]; psoDefaultOptionsEnabled = psoAll; TdxPageSetupDlgOption = (psoCenterOnPage, psoMargins, psoPageOrder, psoShading, psoStyleCaption, psoHFAutoText, psoHFBackground, psoHFFont, psoHFText, psoHFFunctions, psoHFMargins, psoHFReverse, psoHFVertAlignment); TdxPageSetupDlgOptions = set of TdxPageSetupDlgOption;

property OptionsEnabled: TdxPageSetupDlgOptions;

Description

Use the OptionsEnabled property to specify which options are enabled and can be changed. Possible values include:

Value

Description

psoCenterOnPage

Specifies whether the "center on page" option is enabled.

psoMargins

Specifies whether page margins can be changed.

psoPageOrder

Specifies whether print order can be changed.

psoShading

Specifies whether the "shading" option is enabled.

psoStyleCaption

Specifies whether style name can be changed.

psoHFAutoText

Reserved for future use.

psoHFBackground

Specifies whether headers/footer background is enabled.

psoHFFont

Specifies whether the font dialog for headers/footers is enabled.

psoHFText

Specifies whether headers/footer text can be changed.

psoHFFunctions

Specifies whether headers/footer special insert functions are enabled.

psoHFMargins

Specifies whether headers/footer margins can be changed.

psoHFReverse

Specifies whether headers/footer text can be reversed on odd/even pages.

psoHFVertAlignment

Specifies whether the headers/footer vertical alignment option is enabled.

The default value of this property is [Low(TdxPageSetupDlgOption)..High(TdxPageSetupDlgOption)].


TdxPageSetupDialog.OptionsVisible

TdxPageSetupDialog

See Also

Specifies which options within the "PageSetup" dialog window are displayed.

type

psoAll = [Low(TdxPageSetupDlgOption)..High(TdxPageSetupDlgOption)]; psoDefaultOptionsVisible = psoAll; TdxPageSetupDlgOption = (psoCenterOnPage, psoMargins, psoPageOrder, psoShading, psoStyleCaption, psoHFAutoText, psoHFBackground, psoHFFont, psoHFText, psoHFFunctions, psoHFMargins, psoHFReverse, psoHFVertAlignment); TdxPageSetupDlgOptions = set of TdxPageSetupDlgOption;

property OptionsVisible: TdxPageSetupDlgOptions;

Description

Use the OptionsEnabled property to specify which options are enabled and can be changed. Possible values include:

Value

Description

psoCenterOnPage

Specifies whether the "center on page" option is enabled.

psoMargins

Specifies whether page margins can be changed.

psoPageOrder

Specifies whether print order can be changed.

psoShading

Specifies whether the "shading" option is enabled.

psoStyleCaption

Specifies whether a style name can be changed.

psoHFAutoText

Reserved for future use.

psoHFBackground

Specifies whether the headers/footer background is enabled.

psoHFFont

Specifies whether the font dialog for headers/footers is enabled.

psoHFText

Specifies whether headers/footer text can be changed.

psoHFFunctions

Specifies whether the headers/footer special insert functions are enabled.

psoHFMargins

Specifies whether headers/footer margins can be changed.

psoHFReverse

Specifies whether headers/footer text can be reversed on odd/even pages.

psoHFVertAlignment

Specifies whether the headers/footer vertical alignment option is enabled.

The default value of this property is psoDefaultOptionsVisible.


TdxPageSetupDialog.PrintStyle

TdxPageSetupDialog

Specifies the print style used to store information.

property PrintStyle: TBasedxPrintStyle;

Description

The Page setup dialog must store information about its settings. Use the PrintStyle property to specify a print style into which page setup can store its internal information.


TdxPageSetupDialog.RealTitle

TdxPageSetupDialog

Returns the title of the "Page Setup" dialog window.

function RealTitle: string;

Description

The Title property determines this initial window caption. When this window is displayed at runtime, the appropriate print style caption is added to the initial caption. Call the RealTitle method to obtain the final caption.


TdxPageSetupDialog.Title

TdxPageSetupDialog

Determines the title of the page setup dialog window.

property Title: string;

Description

A user can adjust page settings via a specific dialog window. Use the Title property to determine the initial window caption. When it is displayed at runtime, the appropriate print style caption is added to the initial caption.


TdxPictureReportLink.Picture

TdxPictureReportLink

Specifies TPicture printed via the current link.

property Picture: TPicture ;

Description

Use the Picture property to specify the TPicture component printed via the current link.


TdxPointWrapper.Clone

TdxPointWrapper

function Clone: TPersistent;

Description

Creates a copy of a given TdxPointWrapper instance. The Clone method returns the newly created object. The result of this method is the same as if you sequentially call Create and Assign methods for the TdxPointWrapper object.


TdxPointWrapper.Create

TdxPointWrapper See Also

constructor Create(AX, AY : Integer);

Description

Creates an instance of type TdxPointWrapper from coordinates, specified by the AX and AY parameters accordingly.


TdxPointWrapper.DoChanged

TdxPointWrapper See Also

type

TdxPointCoord = (pcX, pcY);

TdxPointCoords = set of TdxPointCoord;

procedure DoChanged(Coords : TdxPointCoords); dynamic;

Description

This method is called when the X or Y property of the TdxPointWrapper object has been changed. It calls the OnChanged event handler (if assigned).


TdxPointWrapper.DoChanging

TdxPointWrapper See Also

Generates an OnChanging event.

type

TdxPointCoord = (pcX, pcY);

TdxPointCoords = set of TdxPointCoord;

procedure DoChanging(Coords : TdxPointCoords; var Values : array of integer ); dynamic;

Description

This method is called when the X or Y property of the TdxPointWrapper object is to be changed. It simply calls the OnChanging event handler (if assigned).


TdxPointWrapper.Empty

TdxPointWrapper See Also

procedure Empty;

Description

Sets a zero value (0, 0) to the TdxPointWrapper object.


TdxPointWrapper.IsEqual

TdxPointWrapper See Also

Compares the APoint parameter with a given point.

function IsEqual(const APoint : TPoint): Boolean;

Description

Returns True, if coordinates of a specified point are equal to the X and Y properties for a given TdxPointWrapper object.


TdxPointWrapper.OnChanged

TdxPointWrapper See Also

Occurs when the X or Y property of the TdxPointWrapper object has been changed.

type

TdxPointCoord = (pcX, pcY);

TdxPointCoords = set of TdxPointCoord;

TdxPointChangeEvent = procedure(Sender : TObject; Coords : TdxPointCoords) of object;

property OnChanged : TdxPointChangeEvent;

Description

Write an OnChanged event handler to respond to X and Y properties changes in a TdxPointWrapper object.


TdxPointWrapper.OnChanging

TdxPointWrapper See Also

Occurs when the X or Y property of the TdxPointWrapper object is about to be changed.

type

TdxPointCoord = (pcX, pcY);

TdxPointCoords = set of TdxPointCoord;

TdxPointChangingEvent = procedure(Sender : TObject; Coords : TdxPointCoords; var Values : array of integer) of object;

property OnChanging : TdxPointChangingEvent;

Description

Write an OnChanging event handler to force an event before changing the X and Y properties of a TdxPointWrapper object.


TdxPointWrapper.Point

TdxPointWrapper See Also

property Point : TPoint;

Description

Contains coordinates of an object (or width and height for ‘area’ objects). By default, the Point property value is (0, 0).


TdxPointWrapper.PointEqual

TdxPointWrapper

Compares two points.

class function PointEqual(const P1, P2 : TPoint): Boolean;

Description

Returns True, if a point, specified by the P1 parameter, has the same coordinates as a point, specified by the P2 parameter.


TdxPointWrapper.X

TdxPointWrapper See Also

property X : Integer;

Description

Determines the horizontal coordinates of an object (or the width for ‘area’ objects). By default, the X property value is equal to 0. This property cannot be directly changed, you can work with it only via the page setup dialog.


TdxPointWrapper.Y

TdxPointWrapper See Also

property Y : Integer;

Description

Determines the vertical coordinates of an object (or the height for ‘area’ objects). By default, the Y property value is equal to 0. This property cannot be directly changed, you can work with it only via the page setup dialog.


TdxPreviewOptions.Caption

TdxPreviewOptions See Also

property Caption : string;

Description

Specifies a preview window’s caption. Use this caption to provide a user with more information about a printed component. The following code is the same as when setting the caption of a preview window within the TdxComponentPrinter.OnBeforePreview event handler:

// using Caption

. . .

dxComponentPrinter1.PreviewOptions.Caption := "New Preview Caption";

dxComponentPrinter1.Preview(. . .);

. . .

// within an OnBeforePreview event handler

procedure TForm1.dxComponentPrinter1BeforePreview(Sender: TObject);

begin

. . . dxComponentPrinter1.PreviewWindow.Caption := "New Preview Caption"; . . .

end;


TdxPreviewOptions.EnableOptions

TdxPreviewOptions See Also Example

Determines which buttons and menu items are available to the end user within a preview window.

type

TdxPreviewEnableOption = (peoCanChangeMargins, peoHelp, peoPageBackground, peoPageSetup, peoPreferences, peoPrint, peoReportDesign);

TdxPreviewEnableOptions = set of TdxPreviewEnableOption;

property EnableOptions : TdxPreviewEnableOptions;

Description

Use this property to specify which controls will be displayed on the toolbar of the preview window and which menu items are enabled for the end user. By default, the following options are active:

Value

Meaning

peoPreferences

If active, the end user can customize the preview window.

peoPrint

If active, the end user can call the Print dialog from a preview window.

peoPageSetup

If active, the end user can call the PageSetup dialog from a preview window.

peoReportDesign

Activates the report link designer.

peoPageBackground

Allows the user to customize a report’s background (background color and gradient fill).

peoCanChangeMargins

Allows end users to change margins within a preview window.

peoHelp

Activate this option to display help for a preview window.

Note: The EnableOptions property enables specific toolbar buttons and menu items to a user. The VisibleOptions property determines which buttons and menu items will be visible to a user. Use the EnableOptions property to disable specific functions in your programs.


TdxPreviewOptions.Height

TdxPreviewOptions See Also Example

Specifies the vertical size of the preview form in pixels.

property Height : Integer;

Description

Use the Height property to read or change the height of a preview window.


TdxPreviewOptions.HelpContext

TdxPreviewOptions See Also

Provides the context number for use when calling context-sensitive online Help.

type

THelpContext = -MaxLongInt..MaxLongInt;

property HelpContext : THelpContext;

Description

Assign a value to the HelpContext property to determine which help screen appears when a user presses F1 to request help. Each screen in the Help system should have a unique context number. When a preview window is active, pressing F1 displays the Help screen. The Help topic displayed depends on the HelpContext property value.

The default value of this property is 0.


TdxPreviewOptions.HelpFile

TdxPreviewOptions See Also

Specifies the name of the help file used to display Help for a preview window.

property HelpFile : string;

Description

The HelpFile property specifies a help file used to display help for a preview window. Windows selects Help topics from this file.

The ExpressPrintingSystem allows you to entirely specify a help file by setting the HelpFile property of the TdxPSEngineController component.


TdxPreviewOptions.Icon

TdxPreviewOptions See Also Example

Specifies the icon of a preview form.

property Icon : TIcon;

Description

Set the Icon property to provide an icon for the preview window. If the icon is not set, then the default icon is used.


TdxPreviewOptions.Left

TdxPreviewOptions See Also Example

Specifies the horizontal coordinates of the preview window’s left edge relative to the parent control of the preview window in pixels.

property Left : Integer;

Description

Use the Left property to determine where the left side of the preview window begins. If the preview window is stored in another control, (in TTabSheet, for instance), the Left and Top properties are relative to the TTabSheet control.


TdxPreviewOptions.Rect

TdxPreviewOptions See Also

Specifies the rectangle occupied by the preview window.

property Rect : TRect;

Description

Use the Rect property to set the four coordinates of the preview window.


TdxPreviewOptions.RegistryPath

TdxPreviewOptions See Also

Specifies the registry path for preview window settings.

property RegistryPath : string;

Description

The RegistryPath property is used to specify the path to save design-time and run-time settings of the preview window.

The ExpressPrintingSystem allows you to entirely specify the registry path by setting the RegistryPath property of the TdxPSEngineController component.


TdxPreviewOptions.RestoreOriginalIcon

TdxPreviewOptions See Also

Restores the default icon.

procedure RestoreOriginalIcon;

Description

Since a user can change the icon of the preview form, the RestoreOriginalIcon method allows you to return to the predefined icon.


TdxPreviewOptions.SavePosition

TdxPreviewOptions

Specifies whether the position of the preview window should be saved.

property SavePosition : Boolean;

Description

Do not use the SavePosition property to specify whether the position of the preview window should be saved. Use the SaveFormsPosition property of the TdxPSEngineController component instead, as this property’s setting overrides the component printer’s SavePosition option. Set the SaveFormsPosition property to True if you want the preview window to be displayed in the same position the next time you call it. Otherwise, its position is not saved.

Note that the component printer’s RegistryPath property or the RegistryPath property of the TdxPSEngineController component should be specified in order to save the preview window’s position.

The default value of the SavePosition property is True.


TdxPreviewOptions.Top

TdxPreviewOptions See Also Example

Specifies the vertical position of the preview window’s top edge in pixels, relative to its parent or container control.

property Top : Integer;

Description

Use the Top property to locate the top of a control or position it to another vertical coordinate. The Top property, like the Left property, is the position of the preview window relative to its container. Thus, if the window is within another window, the Left and Top properties are relative to this parent window.


TdxPreviewOptions.VisibleOptions

TdxPreviewOptions See Also Example

Determines which toolbar buttons and menu items of the preview window are visible.

type

TdxPreviewVisibleOption = [pvoPreferences, pvoPrint, pvoPageSetup, pvoReportDesign, pvoPageBackground, pvoHelp];

TdxPreviewVisibleOptions = set of TdxPreviewVisibleOption;

property VisibleOptions : TdxPreviewVisibleOptions;

Description

Use this property to customize the look of the preview window toolbar and menu. Available options are as follows:

Value

Meaning

pvoHelp

Activate this option to display the Help button and Help menu items for the preview window.

pvoPageBackground

If active, both a button and menu item for the background customization are visible.

pvoPageSetup

If active, the PageSetup button and menu item are visible in the preview window.

pvoPreferences

If active, the Preferences menu item is visible.

pvoPrint

If active, the Print button and menu item are visible.

pvoReportDesign

If active, the menu item that calls the report link designer is visible.

Note: The VisibleOptions property determines which buttons and menu items will be visible. The EnableOptions property enables/disables specific toolbar buttons and menu items for an end user.


TdxPreviewOptions.Width

TdxPreviewOptions See Also Example

Specifies the horizontal size of the preview window in pixels.

property Width : Integer;

Description

Use the Width property to read or set the width of the preview window.


TdxPreviewOptions.WindowState

TdxPreviewOptions See Also

Determines the manner in which the preview window is displayed.

type

TWindowState = (wsNormal, wsMinimized, wsMaximized);

property WindowState : TWindowState;

Description

Use the WindowState property to determine whether the preview form appears minimized, maximized or as standard on screen. The WindowState property can have one of the following values:

Value

Meaning

wsNormal

The preview form appears in the standard state (it is neither minimized nor maximized), which is defined by the Left, Top, Height and Width properties.

wsMinimized

The preview form appears minimized.

wsMaximized

The preview form appears maximized.

By default, the WindowState property is equal to wsNormal.


TdxPrintDialog.ButtonsEnabled

TdxPrintDialog

See Also

Specifies which buttons are enabled in a Print dialog.

type

TdxPrintDlgButtonKind = (pdbPrinterProperties, pdbNetwork, pdbPreview, pdbPageSetup, pdbDefineStyles, pdbStyleOptions, pdbHelp);

TdxPrintDlgButtons = set of TdxPrintDlgButtonKind;

property ButtonsEnabled: TdxPrintDlgButtons;

Description

Use the ButtonsEnabled property to specify which buttons are enabled in a Print dialog.

Value

Description

pdbPrinterProperties

Enables a Printer Properties button in the dialog.

pdbNetwork

Enables a Network button in the dialog.

pdbPreview

Enables a Preview button in the dialog.

pdbPageSetup

Enables a Page Setup button in the dialog.

pdbDefineStyles

Enables a Define Styles button in the dialog.

pdbStyleOptions

Enables a Style Options button in the dialog.

pdbHelp

Enables a Help button in the dialog.

The default value for this property is [pdbPrinterProperties, pdbNetwork, pdbPreview, pdbPageSetup, pdbDefineStyles, pdbStyleOptions].


TdxPrintDialog.ButtonsVisible

TdxPrintDialog

See Also

Specifies which buttons are visible in a Print dialog.

type

TdxPrintDlgButtonKind = (pdbPrinterProperties, pdbNetwork, pdbPreview, pdbPageSetup, pdbDefineStyles, pdbStyleOptions, pdbHelp);

TdxPrintDlgButtons = set of TdxPrintDlgButtonKind;

property ButtonsVisible: TdxPrintDlgButtons;

Description

Use the ButtonsVisible property to specify which buttons are visible in a Print dialog.

Value

Description

pdbPrinterProperties

Displays a Printer Properties button in the dialog.

pdbNetwork

Displays a Network button in the dialog.

pdbPreview

Displays a Preview button in the dialog.

pdbPageSetup

Displays a Page Setup button in the dialog.

pdbDefineStyles

Displays a Define Styles button in the dialog.

pdbStyleOptions

Displays a Style Options button in the dialog.

pdbHelp

Displays a Help button in the dialog.

The default value for this property is [pdbPrinterProperties, pdbNetwork, pdbPreview, dbPageSetup, pdbDefineStyles, pdbStyleOptions].


TdxPrintDialog.Collate

TdxPrintDialog

See Also

Determines whether to collate report copies.

property Collate: Boolean;

Description

Use the Collate property when printing multiple report copies to specify whether they should be collated. Set the Collate property to True to print all report pages before printing the next copy.

The default value for this property is False.


TdxPrintDialog.Copies

TdxPrintDialog

See Also

Determines the number of report copies to print.

property Copies: Integer;

Description

Use the Copies property to determine the number of copies to print.

The default value for this property is 1.


TdxPrintDialog.DialogData

TdxPrintDialog

Specifies printer dialog attributes.

type

TdxPrintDialogData = packed record

Copies: Integer;

Collate: Boolean;

FileList: TStrings;

FileName: string;

MaxRange: Integer;

MinRange: Integer;

PageCount: Integer;

PageNums: TdxPageNumbers; PageRanges: TdxPageRanges; Pages: string;

PrintToFile: Boolean;

StyleManager: TdxPrintStyleManager;

end;

property DialogData: TdxPrintDialogData;

Description

Use this property to obtain DialogData options.

ReadOnly Property


TdxPrintDialog.Execute

TdxPrintDialog

Invokes a printer dialog.

function Execute: Boolean;

Description

Use the Execute property to invoke the printer dialog window.


TdxPrintDialog.FileList

TdxPrintDialog

See Also

Specifies the list of file names to which a report has been printed.

property FileList: TStrings ;

Description

The FileList property determines the list of files to which a report has already been printed. This list is displayed in the "Print" dialog window within the combo box of the "print to file" option. When a user specifies his/her own file, this file is added to this list. Later a user may print any of these files out.


TdxPrintDialog.FileName

TdxPrintDialog

See Also

Specifies the file name wherein a report is printed.

property FileName: string;

Description

Use the FileName property to specify the file name wherein to print a report.


TdxPrintDialog.HelpContext

TdxPrintDialog

Provides the context number used when calling context-sensitive online Help.

property HelpContext: THelpContext;

Description

Assign a value to the HelpContext property to determine which help topic appears when a user presses F1 to request help.


TdxPrintDialog.MaxRange

TdxPrintDialog

See Also

Determines the last page in a range of pages to print.

property MaxRange: Integer;

Description

Use the MaxRange property to determine the last page in a range of pages to print.

The default value for this property is 1.


TdxPrintDialog.MinRange

TdxPrintDialog

See Also

Determines the first page in a range of pages to print.

property MinRange: Integer;

Description

Use the MinRange property to determine the first page in a range of pages to print.

The default value for this property is 1.


TdxPrintDialog.OnClose

TdxPrintDialog

See Also

Occurs when closing a printer dialog.

property OnClose: TNotifyEvent;

Description

Write an OnClose event handler to perform specific actions when closing a dialog.


TdxPrintDialog.OnPageSetup

TdxPrintDialog

See Also

Occurs when clicking the "PageSetup…" button.

type

TdxPageSetupEvent = procedure(Sender: TObject; var ADone: Boolean; APreviewBtnClicked, APrintBtnClicked: PBoolean) of object;

property OnPageSetup: TdxPageSetupEvent;

Description

Write an OnPageSetUp event handler to perform specific actions when clicking the "PageSetup…" button. You may use the OnPageSetUp event handler to display your own Page Setup dialog window, which is customized via the TdxPageSetupDialog component.

The ADone parameter is set to True if the PageSetup form was closed by pressing the ‘OK’ button.

The APreviewBtnClicked and APrintBtnClicked parameters determine whether the Preview button and/or Print button were clicked.

Note: PBoolean is declared in dxPSGlbl and this unit name must be manually added to the form's "uses" clause.


TdxPrintDialog.OnShow

TdxPrintDialog

See Also

Occurs when opening a printer dialog.

property OnShow: TNotifyEvent;

Description

Write an OnShow event handler to perform specific actions when displaying a dialog.


TdxPrintDialog.OptionsEnabled

TdxPrintDialog

See Also

Specifies which options are enabled in a printer dialog.

type

TdxPrintDlgOption = (pdoPrintToFile, pdoAllPages, pdoCurrentPage, pdoSelection, pdoPageRange, pdoPrintStyles);

TdxPrintDlgOptions = set of TdxPrintDlgOption;

property OptionsEnabled: TdxPrintDlgOptions;

Description

Use the OptionsEnabled property to specify which options are enabled. Disabled items are not displayed and therefore inaccessible.

Value

Description

pdoPrintToFile

Print To File option.

pdoAllPages

All Pages option.

pdoCurrentPage

Current Page option.

pdoSelection

Selection option.

pdoPageRange

Page Range option.

pdoPrintStyles

Print Styles option.

The default value for this property is [pdoPrintToFile, pdoAllPages, pdoPageRange].


TdxPrintDialog.OptionsVisible

TdxPrintDialog

See Also

Specifies visible option items in a printer dialog.

type

TdxPrintDlgOption = (pdoPrintToFile, pdoAllPages, pdoCurrentPage, pdoSelection, pdoPageRange, pdoPrintStyles);

TdxPrintDlgOptions = set of TdxPrintDlgOption;

property OptionsVisible: TdxPrintDlgOptions;

Description

Use the OptionsVisible property to specify which option items are visible in a printer dialog.

Value

Description

pdoPrintToFile

Print To file option.

pdoAllPages

All Pages option.

pdoCurrentPage

Current Page option.

pdoSelection

Selection option.

pdoPageRange

Page Range option.

pdoPrintStyles

Print Styles option.

The default value for this property is [pdoPrintToFile, pdoAllPages, pdoCurrentPage, pdoPageRange].


TdxPrintDialog.PageCount

TdxPrintDialog

See Also

Determines the number of report pages in a report.

property PageCount: Integer;

Description

The PageCount property is used to validate the page range specified by a user via the "Pages:" edit box.


TdxPrintDialog.PageNums

TdxPrintDialog

See Also

Specifies the manner in which report pages are numerated.

type

TdxPageNumbers = (pnAll, pnEven, pnOdd);

property PageNums: TdxPageNumbers;

Description

Use the PageNums property to specify the manner in which report pages are numerated. Possible values include:

Value

Description

pnAll

Numerates all report pages.

pnEven

Numerate only even report pages.

pnOdd

Numerates only odd report pages.

The default value for this property is pnAll.


TdxPrintDialog.PageRanges

TdxPrintDialog

See Also

Determines the type of report pages to print.

type

TdxPageRanges = (prAll, prCurrent, prRange, prSelection);

property PageRanges: TdxPageRanges;

Description

Use the PageRanges property to determine which portion of a report to print.

Value

Description

prAll

Prints all report pages.

prCurrent

Prints only the current page of a report.

prRange

Prints range of pages.

prSelection

Prints only the selected area.

The default value for this property is prAll.


TdxPrintDialog.Pages

TdxPrintDialog

See Also

Enumerates pages to print.

property Pages: string;

Description

Use the Pages property to enumerate pages and/or a range of pages to print.


TdxPrintDialog.PreviewBtnClicked

TdxPrintDialog

See Also

Determines whether the "Preview" button is pressed.

property PreviewBtnClicked: Boolean;

Description

If a user presses the "Preview" button, the PreviewBtnClicked property is set to True.

ReadOnly Property


TdxPrintDialog.PrintBtnClicked

TdxPrintDialog

See Also

Determines whether the "Print " button has been pressed.

property PrintBtnClicked: Boolean;

Description

If a user presses the "Print" button, the PrintBtnClicked property is set to True.

This property is for internal use only.

ReadOnly Property


TdxPrintDialog.PrintToFile

TdxPrintDialog

See Also

Determines whether a report is printed to a file.

property PrintToFile: Boolean;

Description

Use the PrintToFile property to determine whether a report is printed to a file.

The default value for this property is False.


TdxPrintDialog.StyleManager

TdxPrintDialog

Specifies which style manager to use.

property StyleManager: TdxPrintStyleManager;

Description

Use the StyleManager property to specify the style manager component to work with. Since your application may have several style managers, you are free to choose between them using the StyleManager property.


TdxPrintDialog.Title

TdxPrintDialog

Determines a Print dialog title.

property Title: string;

Description

Use the Title property to determine your Print dialog title.


TdxPrintDialog.UseFileList

TdxPrintDialog

See Also

Determines whether to use a file list.

property UseFileList: Boolean;

Description

The UseFileList property allows you to use files from a file list. The default value for this property is False.


TdxPrinterPage.ApplyToPrintDevice

TdxPrinterPage

Applies page settings to a printing device.

procedure ApplyToPrintDevice;

Description

At runtime, a user can define different page setting such as margins, colors, paper source, etc. Use the ApplyToPrintDevice method to send these settings to a printing device and apply them to printed report pages.


TdxPrinterPage.AutoSwapMargins

TdxPrinterPage

See Also

Specifies whether report margins are swapped when the page orientation changes.

property AutoSwapMargins: Boolean;

Description

Set the AutoSwapMargins property to True to swap the margins on the left and right with those on the top and bottom, when the page orientation is changed. This is similar to rotating a page which has margins assigned by 90 degrees counterclockwise. Otherwise, the margins are left unchanged.

The default value of this property is True.


TdxPrinterPage.CenterOnPageH

TdxPrinterPage

See Also

Specifies whether a report is horizontally centered on a page.

property CenterOnPageH: Boolean;

Description

Use the CenterOnPageH property to specify whether a report is horizontally centered on a page.

The default value of this property is False.


TdxPrinterPage.CenterOnPageV

TdxPrinterPage

See Also

Specifies whether a report is vertically centered on a page.

property CenterOnPageV: Boolean;

Description

Use the CenterOnPageV property to specify whether a report is vertically centered on a page.

The default value of this property is False.


TdxPrinterPage.DMPaper

TdxPrinterPage

See Also

Determines page size.

property DMPaper: Integer;

Description

For example, DMPAPER_LETTER, DMPAPER_A4…


TdxPrinterPage.DoUpdateMeasurementUnits

TdxPrinterPage

Changes current measurement units.

procedure DoUpdateMeasurementUnits;

Description

The DoUpdateMeasurementUnits method is designed for internal use only and is used to change current measurement units when regional settings are changed.


TdxPrinterPage.FitToPagesByTall

TdxPrinterPage

See Also

Specifies how many pages a report’s width can contain.

property FitToPagesByTall: Integer;

Description

Use the FitToPagesByTall property to specify the maximum number of pages a report’s width can contain.

The default value of this property is 1.


TdxPrinterPage.FitToPagesByWide

TdxPrinterPage

See Also

Specifies how many pages the report’s height can contain.

property FitToPagesByWide: Integer;

Description

Use the FitToPagesByWide property to specify the maximum number of pages the report’s height can contain.

The default value of this property is 1.


TdxPrinterPage.FixMarginsOutside

TdxPrinterPage

See Also

Adjusts report margins to the minimum page margins available.

procedure FixMarginsOutside;

Description

Use the FixMarginsOutside property to adjust the report page bounds within real layout page bounds, i.e. if the report page dimensions exceed the bounds of the real printer page its dimensions are reduced to fit it.


TdxPrinterPage.Footer

TdxPrinterPage

See Also

Determines report footer height.

property Footer: Integer;

Description

Use the Footer property to determine report footer height. This property value is expressed in current measurement units.

The default value of this property is 0.


TdxPrinterPage.FooterLoMetric

TdxPrinterPage

See Also

Determines footer dimensions.

function FooterLoMetric: Integer;

Description

Use the FooterLoMetric method to obtain footer dimensions against the current measurement units.


TdxPrinterPage.FooterRect

TdxPrinterPage

See Also

Determines footer’s rectangular dimensions.

function FooterRect: TRect;

Description

Use the FooterRect method to determine footer’s rectangular dimensions.


TdxPrinterPage.FooterRectLoMetric

TdxPrinterPage

See Also

Determines footer dimensions.

function FooterRectLoMetric: TRect;

Description

Use the FooterRectLoMetric method to determine footer’s dimensions against current measurement units.


TdxPrinterPage.GetInnerMeasurementUnits

TdxPrinterPage

See Also

Determines the type of a measurement unit installed in a system.

type

TdxMeasurementUnits = (muDefault, muInches, muMillimeters);

function GetInnerMeasurementUnits: TdxMeasurementUnits;

Description

The GetInnerMeasurementUnits method is used to determine which type of measurement unit is used in the system. It returns muInches, if inch is the base measurement unit. Otherwise, it returns muMillimiters.


TdxPrinterPage.GetRealMinMargins

TdxPrinterPage

See Also

Determines the minimum allowable page margins.

procedure GetRealMinMargins(var AMinLeft, AMinRight, AMinTop, AMinBottom: Integer);

Description

Use the GetRealMinMargins method to retrieve the minimum allowable report page margins.


TdxPrinterPage.GrayShading

TdxPrinterPage

Specifies whether a report is printed in color.

property GrayShading: Boolean;

Description

Use the GrayShading property to specify whether a report is printed in color or monochrome. Set the GrayShading property to True to print your report in monochrome.

The default value of this property is False.


TdxPrinterPage.Header

TdxPrinterPage

See Also

Determines header height.

property Header: Integer;

Description

Use the Header property to determine the height of a report header. This property value is expressed in current measurement units.

The default value of this property is 0.


TdxPrinterPage.HeaderLoMetric

TdxPrinterPage

See Also

Determines header dimensions.

function HeaderLoMetric: Integer;

Description

Use the HeaderLoMetric method to determine header dimensions against current measurement units.


TdxPrinterPage.HeaderRect

TdxPrinterPage

See Also

Determines a header’s rectangular dimensions.

function HeaderRect: TRect;

Description

Use the HeaderRect method to determine a header’s rectangular dimensions.


TdxPrinterPage.HeaderRectLoMetric

TdxPrinterPage

See Also

Determines header dimensions.

function HeaderRectLoMetric: TRect;

Description

Use the HeaderRectLoMetric method to determine a header’s dimensions against current measurement units.


TdxPrinterPage.IsEqual

TdxPrinterPage

Compares a specified page, with a page maintained by the TdxPrinterPage object.

function IsEqual(ABaseObject: TdxBaseObject): Boolean; override;

Description

The IsEqual method returns True, if the page, specified by the ABaseObject parameter has the same contents as the TdxPrinterPage object.


TdxPrinterPage.MapRect2LoMetric

TdxPrinterPage

See Also

Determines report dimensions.

procedure MapRect2LoMetric(var R: TRect);

Description

Use the MapRect2LoMetric method to obtain report dimensions against the current measurement units.


TdxPrinterPage.MarginChange

TdxPrinterPage

See Also

Generates the OnMarginChange event.

procedure MarginChange; virtual;

Description

The MarginChange method is used to monitor margin changes and to rebuild report pages when necessary.


TdxPrinterPage.Margins

TdxPrinterPage

See Also

Specifies page margins.

property Margins : TdxRectWrapper;

Description

Use the Margins property to define margins of a page. These margins cannot be less than margins specified by the MinMargins property. All margins are specified in thousandths of measurement units. For example, if you choose to use inches as your units of measurement, then setting the left margin to 1000 will set the left margin to one inch.


TdxPrinterPage.MarginsLoMetric

TdxPrinterPage

See Also

Determines margin dimensions.

function MarginsLoMetric: TRect;

Description

Use the MarginsLoMetric method to determine margin dimensions against current measurement units.


TdxPrinterPage.MeasurementUnits

TdxPrinterPage

See Also

Determines the measurement units used in a report.

type

TdxMeasurementUnits = (muDefault, muInches, muMillimeters);

property MeasurementUnits : TdxMeasurementUnits;

Description

Use the MeasurementUnits property to specify units used in a report. The following values are available:

Value

Description

muDefault

A report uses current Windows® measurement units.

muInches

Sets inches as the measurement units.

muMillimeters

Sets millimeters as the measurement units.

By default, the MeasurementUnits property value is equal to muDefault.


TdxPrinterPage.MinMargins

TdxPrinterPage

See Also

Specifies minimum page margins.

property MinMargins : TdxRectWrapper;

Description

Use the MinMargins property to specify the minimum margin allowed for a page. Page margins cannot be less than the value set for the MinMargins property. All margins are specified in thousandths of measurement units. For instance, if you choose to use millimeters as your unit of measurement, then changing the left margin to 10000 will set it at 10 millimeters.


TdxPrinterPage.MinMarginsLoMetric

TdxPrinterPage

See Also

Determines minimum margin values.

function MinMarginsLoMetric: TRect;

Description

Use the MinMarginsLoMetric method to determine the minimum margin value against the current measurement units.


TdxPrinterPage.MinPrintableArea

TdxPrinterPage

See Also

Determines the minimum printable area value.

function MinPrintableArea: Integer;

Description

Use the MinPrintableArea method to determine the minimum printable area value.


TdxPrinterPage.MinPrintableAreaLoMetric

TdxPrinterPage

See Also

Determines the minimum printable area value.

function MinPrintableAreaLoMetric: Integer;

Description

Use the MinPrintableAreaLoMetric method to determine the minimum printable area against current measurement units.


TdxPrinterPage.OnChange

TdxPrinterPage

Occurs when changing page contents.

property OnChange: TNotifyEvent;

Description

Write an OnChange event handler to perform specific actions when changing page contents.


TdxPrinterPage.OnMarginChange

TdxPrinterPage

See Also

Occurs when page margins are changed

property OnMarginChange : TNotifyEvent;

Description

Write an OnMarginChange event handler to perform specific actions when margins are changed.


TdxPrinterPage.Orientation

TdxPrinterPage

See Also

Determines page orientation.

type

TdxPrinterOrientation = (poPortrait, poLandscape);

property Orientation : TdxPrinterOrientation;

Description

Use the Orientation property to determine whether to display pages vertically or horizontally.

There are two possible values for the Orientation property:

Value

Description

poPortrait

Page is arranged vertically.

poLandscape

Page is arranged horizontally.

The default value of this property is poPortrait.


TdxPrinterPage.PageFooter

TdxPrinterPage

See Also

Specifies page footer properties.

property PageFooter: TdxPageFooter;

Description

Use the PageFooter property to manage page footer settings. Page Footer settings are responsible for routines which manage report titles, text alignment, font, etc.


TdxPrinterPage.PageHeader

TdxPrinterPage

See Also

Specifies page header properties.

property PageHeader: TdxPageHeader;

Description

Use the PageHeader property to specify page header settings. Page Header settings are responsible for routines which manage text alignment, font, etc.


TdxPrinterPage.PageOrder

TdxPrinterPage

Specifies the manner in which report pages are printed.

type

TdxPageOrder = (poOverThenDown, poDownThenOver);

property PageOrder: TdxPageOrder;

Description

Use the PageOrder property to specify the manner in which report pages are printed. If the active report page does not fit inside the boundaries of one paper page, it is printed across multiple pages and printed in one of the following ways:

Value

Description

poOverThenDown

Report pages are printed one after another, i.e. ¹1, ¹2, ¹3, ¹4.

poDownThenOver

Prints first odd and then even report pages, i.e. ¹1, ¹3, ¹2, ¹4.

Below are two examples where the PageOrder property is set to poOverThenDown and poDownThenOver, respectively.

The default value of this property is poOverThenDown.


TdxPrinterPage.PageSize

TdxPrinterPage

See Also

Determines the size of a report page.

property PageSize : TdxPointWrapper;

Description

Use the PageSize property to define the size of report pages. The width and height of a page are specified in thousandths of used measurement units. For instance, if inches are your unit of measurement, then an 8500 integer value of the page width property means that the page width is 8.5 inches. These properties cannot be directly changed, you can work with them only via the page setup dialog or the DMPaper property.


TdxPrinterPage.PageSizeLoMetric

TdxPrinterPage

See Also

Determines available page size.

function PageSizeLoMetric: TPoint;

Description

Use the PageSizeLoMetric method to determine the available page size against current measurement units.


TdxPrinterPage.PageSizePixels

TdxPrinterPage

See Also

Returns page size in pixels.

function PageSizePixels: TPoint;

Description

Use the PageSizePixels method to retrieve page size in pixels.


TdxPrinterPage.PaintRectLoMetric

TdxPrinterPage

See Also

Determines the drawing area.

function PaintRectLoMetric: TRect;

Description

Use the PaintRectLoMetric method to determine the drawing area against current measurement units.


TdxPrinterPage.PaintRectPixels

TdxPrinterPage

See Also

Determines the scaled region wherein to perform drawing.

function PaintRectPixels: TRect;

Description

Use the PaintRectPixels method to determine the drawing region. This area is scaled based upon the scale factor.


TdxPrinterPage.PaperSource

TdxPrinterPage

See Also

Specifies a paper source.

property PaperSource: Integer;

Description

Use the PaperSource property to specify a paper source.

Available values include:

Value

Integer equivalent

DMBIN_UPPER

1

DMBIN_LOWER

2

DMBIN_MIDDLE

3

DMBIN_MANUAL

4

DMBIN_ENVELOPE

5

DMBIN_ENVMANUAL

6

DMBIN_AUTO

7

DMBIN_TRACTOR

8

DMBIN_SMALLFMT

9

The default value of this property is dxDefaultPaperSource; {DMBIN_AUTO = 7}.


TdxPrinterPage.ReadPrinterInfos

TdxPrinterPage

See Also

Returns the current values of page margins, minimum margins and page size installed by the current printer.

procedure ReadPrinterInfos;

Description

The ReadPrinterInfos method identifies current printer settings for the Margins, MinMargins and PageSize properties of the TdxPrinterPage object. If no printer exists, default values are returned.


TdxPrinterPage.RealMeasurementUnits

TdxPrinterPage

Specifies the type of a measurement unit installed on a system.

type

TdxMeasurementUnits = (muDefault, muInches, muMillimeters);

property RealMeasurementUnits : TdxMeasurementUnits;

Description

The RealMeasurementUnits property is used to determine which type of measurement unit is used in a system. It returns muInches, if inch is the base measurement unit. Otherwise, it returns muMillimiters. This property is similar to the GetInnerMeasurementUnits method.


TdxPrinterPage.RealPageSize

TdxPrinterPage

See Also

Determines a page real size.

property RealPageSize: TPoint;

Description

Use the GetRealPageSize property to determine a page real size.


TdxPrinterPage.RealPageSizeLoMetric

TdxPrinterPage

See Also

Determines actual page size.

function RealPageSizeLoMetric: TPoint;

Description

Use the RealPageSizeLoMetric method to determine the actual page size against current measurement units. While processing this method, page orientation should be taken into account.


TdxPrinterPage.RealPageSizePixels

TdxPrinterPage

See Also

Returns the actual page size in pixels.

function RealPageSizePixels: TPoint;

Description

Use the RealPageSizePixels method to retrieve actual page size value in pixels.


TdxPrinterPage.RestoreDefaults

TdxPrinterPage

See Also

Restores predefined values for report link properties.

procedure RestoreDefaults;

Description

The RestoreDefaults method resets report link properties to their predefined values. Use this method to quickly restore factory default values. All changes made to properties will be discarded.


TdxPrinterPage.ReverseTitlesOnEvenPages

TdxPrinterPage

See Also

Specifies whether text order in titles is reversed.

property ReverseTitlesOnEvenPages: Boolean;

Description

Use the ReverseTitlesOnEvenPages property to specify whether text order on even page titles is reversed. For instance, for an odd page, page titles may look like the following:

Machine Name, Date Printed, Total Pages,

Whereas even pages may look like the following:

Total Pages, Date Printed, Machine Name.

Set the ReverseTitlesOnEvenPages property to True to enable this reversing action.

The default value of this property is False.


TdxPrinterPage.ScaleFactor

TdxPrinterPage

See Also

Determines the scale factor for a report.

property ScaleFactor: Integer;

Description

Use the ScaleFactor property to determine the scale factor for a report. If your report exceeds the boundaries but you want it to be printed on a single page, you may set an appropriate percentage value, so that your report fits perfectly inside the boundaries of a report page.

Note: The ScaleFactor property is only accessible if the ScaleMode property is set to smAdjust.

The default value of this property is 100.


TdxPrinterPage.ScaleMode

TdxPrinterPage

See Also

Specifies the manner in which a report is scaled.

type

TdxScaleMode = (smAdjust, smFit);

property ScaleMode: TdxScaleMode;

Description

Use the ScaleMode property to specify the manner in which a report is scaled.

Value

Description

smAdjust | Use this value to set the desired percentage value of a report page. This method of adjusting report pages takes time - you have to manually select the right percentage value to design a really elegant layout.
smFit | Use this value to simply fit a report inside a page either by width or height. You do not need to try different percentages to adjust a report page for printing.

The default value of this property is smAdjust.


TdxPrinterPage.ValidateMargins

TdxPrinterPage

See Also

Checks report margin size.

function ValidateMargins: Boolean;

Description

Provides an interface to the method that validates report page margins prior to printing. The ValidateMargins function returns a value of True when report margins are set outside the printable page area and a value of False, otherwise.


TdxPrinterPageObject.Background

TdxPrinterPageObject

Specifies a report’s background.

property Background: TdxBackground;

Description

Use the Background property to customize the background of report pages. By default, a report’s background is transparent. Use this property to specify any background color, brush or picture.


TdxPrinterPageObject.Page

TdxPrinterPageObject

Returns information about the printer pages settings.

property Page: TdxPrinterPage;

Description

Use the Page property to return information about the printer pages settings.

ReadOnly Property


TdxPrintStyleManager.AddStyle

TdxPrintStyleManager

Adds a new style to the list of available print styles.

type

TdxPrintStyleClass = class of TBasedxPrintStyle;

function AddStyle(AStyleClass: TdxPrintStyleClass): TBasedxPrintStyle;

Description

Call the AddStyle method to add a new print style. The AStyleClass parameter specifies which predefined style to use for the creation of a new style.


TdxPrintStyleManager.AddStyleEx

TdxPrintStyleManager

Adds a new style to the list of available print styles.

type

TdxPrintStyleClass = class of TBasedxPrintStyle;

function AddStyleEx(AStyleClass: TdxPrintStyleClass; AOwner: TComponent): TBasedxPrintStyle;

Description

Call the AddStyle method to add a new print style. The AStyleClass parameter specifies which predefined style to use as the basis of the new style. The AOwner allows you to change the owner of this style. By default, it is the same as in the style manager.


TdxPrintStyleManager.AssignStyles

TdxPrintStyleManager

Copies print styles.

procedure AssignStyles(Source: TdxPrintStyleManager);

Description

The AssignStyles method deletes all print styles and then copies all report links contained in the TdxPrintStyleManager object specified by the Source parameter.


TdxPrintStyleManager.AutoHFTextEntries

TdxPrintStyleManager

See Also

Contains a list of AutoText values for headers/footers of report pages.

property AutoHFTextEntries: TStrings ;

Description

The AutoHFTextEntries property is used as a list whose strings represent AutoText values (such as page number, date, time, etc or any combination) displayed as page headers/footers within the report.


TdxPrintStyleManager.AutoSave

TdxPrintStyleManager

See Also

Specifies whether to automatically save print style settings to file.

property AutoSave: Boolean;

Description

Set the AutoSave property to True if you want to store all settings and changes within a separate file. File name is determined via the StorageName property.

The default value of this property is False.


TdxPrintStyleManager.BeginClone

TdxPrintStyleManager

See Also

Starts the copying of a print style.

function BeginClone(AIndex: Integer): TBasedxPrintStyle;

Description

Call the BeginClone method to start copying a print style with a zero-based index specified by the AIndex parameter. This function returns a new print style with the same properties as the initial print style.

Note: If you use the BeginClone method manually, you must also use the EndClone method.


TdxPrintStyleManager.BeginUpdate

TdxPrintStyleManager

See Also

Disables events generation.

procedure BeginUpdate;

Description

The BeginUpdate method is called before changing the list of available print styles. It prevents generation of the OnChangeCurrentStyle and OnStyleListChanged events. Make certain to call the EndUpdate method after calling the BeginUpdate method. Every call of the BeginUpdate method increases the internal counter (the UpdateCount property value) by one. Every call of the EndUpdate method decreases it by one. The above events can be fired only when the internal counter is 0.


TdxPrintStyleManager.BuildAutoHFTextEntriesMenu

TdxPrintStyleManager

See Also

Builds a popup menu that contains the AutoText value list in the "Print Preview" and "Page Setup" windows.

procedure BuildAutoHFTextEntriesMenu(ARootItem: TComponent ; AData: Pointer; AIncludeSetupAutoHFTextEntriesItem: Boolean{$IFDEF DELPHI4} = True{$ENDIF});

Description

Call the BuildAutoHFTextEntriesMenu method to display a menu that contains a list of the predefined AutoText values for headers/footers. The ARootItem determines the component in which the AutoText menu is embedded. The AData pointer may contain a pointer to any additional arbitrary data.

Set the AIncludeSetupAutoHFTextEntriesItem parameter to True to display the "Insert AutoText" button, or False to hide it.


TdxPrintStyleManager.Clear

TdxPrintStyleManager

Deletes all print styles within the current style manager.

procedure Clear;

Description

Call the Clear method to destroy all previously created print styles.


TdxPrintStyleManager.CloneStyleCaptionPrefix

TdxPrintStyleManager

Determines the prefix for copied print styles.

property CloneStyleCaptionPrefix: string;

Description

A user can make a copy of a built-in print style at runtime using the "Define Print Styles" dialog window. Two different print styles cannot use the same name. Use the CloneStyleCaptionPrefix property to determine the prefix to add before the name of an ancestor print style.

The default value of this property is specified by the sdxCloneStyleCaptionPrefix constant.


TdxPrintStyleManager.Count

TdxPrintStyleManager

Contains the number of styles within the style manager component.

property Count: Integer;

Description

Use the Count property to obtain the number of available print styles that belong to the current style manager.

ReadOnly Property


TdxPrintStyleManager.CurrentStyle

TdxPrintStyleManager

Specifies the current print style.

property CurrentStyle: TBasedxPrintStyle;

Description

Style Manager can contain many print styles but only one of them can be active at a given time. Use the CurrentStyle property to specify which of the available print styles is called by default when printing or previewing a report.


TdxPrintStyleManager.CurrentStyleIndex

TdxPrintStyleManager

Specifies the index of the current print style.

property CurrentStyleIndex: Integer;

Description

Style Manager can contain many print styles but only one of them can be active at a given time. Use the CurrentStyleIndex property to specify the index of the print style that is called by default when printing or previewing a report.


TdxPrintStyleManager.DefinePrintStylesDlg

TdxPrintStyleManager

Displays the "Define Print Styles" dialog window.

procedure DefinePrintStylesDlg(APreviewBtnClicked, APrintBtnClicked: PBoolean);

Description

The DefinePrintStylesDlg method is called to display the "Define Print Styles" dialog window. This dialog allows a user to edit print styles. When a user presses the "Edit…" button, the "Page Setup…" dialog window is displayed.

The APreviewBtnClicked and APrintBtnClicked parameters specify whether to display the "Preview…" and "Print Preview…" buttons in this dialog window. These parameters allow a developer to determine which of these buttons was pressed.

Note: If the appropriate parameter is not nil, the corresponding button is displayed.


TdxPrintStyleManager.Delete

TdxPrintStyleManager

Deletes a specified print style.

procedure Delete(Index: Integer);

Description

Call the Delete method to remove the print style specified by the zero-based Index parameter from the list of available print styles.


TdxPrintStyleManager.DeleteNonBuiltIns

TdxPrintStyleManager

Deletes all not built-in print styles.

procedure DeleteNonBuiltIns;

Description

The ExpressPrinting System includes built-in print styles created at design time. These styles cannot be deleted at runtime. The BuiltIn property specifies whether the current style is built-in or created at runtime via the copy function of the "Define Print Styles" dialog window. Call the DeleteNonBuiltIns method to remove all print styles created at runtime.


TdxPrintStyleManager.Designer

TdxPrintStyleManager

Accesses the design time window at design time.

property Designer: TAbstractdxStyleManagerDesigner;

Description

The Designer property is used internally and accessible at design time only. This property is used to access the design time window that allows you to manage print styles.

ReadOnly Property


TdxPrintStyleManager.EndClone

TdxPrintStyleManager

See Also

Completes the copying of a print style.

procedure EndClone(AStyle: TBasedxPrintStyle);

Description

Call the EndClone method to complete the copying of a print style. The AStyle parameter specifies the newly created print style. Calling the EndClone method activates this print style.

Note: If you use the BeginClone method manually, you must also use the EndClone method.


TdxPrintStyleManager.EndUpdate

TdxPrintStyleManager

See Also

Enables events generation.

procedure EndUpdate;

Description

The EndUpdate method is called after the list of available print styles has been changed. It enables generation of the OnChangeCurrentStyle and OnStyleListChanged events. Make certain to call the EndUpdate method after calling the BeginUpdate method. Every call of the BeginUpdate method increases the internal counter (the UpdateCount property value) by one. Every call of the EndUpdate method decreases it by one. The above events can be fired only when the internal counter is 0.


TdxPrintStyleManager.HelpContext

TdxPrintStyleManager

Provides a context number to use when calling the context-sensitive online Help.

property HelpContext: THelpContext;

Description

Assign a value to the HelpContext property to determine which help topic appears when a user presses F1 to request help.


TdxPrintStyleManager.Images

TdxPrintStyleManager

Determines an image list collection associated with TdxPrintStyleManager.

property Images: TImageList;

Description

If there is an ImageList assigned to the Images property, print styles can acquire its images. The ImageIndex property specifies the appropriate image index for each print style. This image is displayed as an icon for a print style within the "Edit Print Styles" window at design time or within the "Define Print Styles" window at runtime.


TdxPrintStyleManager.IndexOfStyle

TdxPrintStyleManager

Specifies the index of a specified print style.

function IndexOfStyle(Value: TBasedxPrintStyle): Integer;

Description

Call the IndexOfStyle method to obtain the zero-based index of the print style specified by the Value parameter.


TdxPrintStyleManager.LoadFromFile

TdxPrintStyleManager

See Also

Loads all style manager settings from a file.

procedure LoadFromFile(const AName: string);

Description

Call the LoadFromFile method to retrieve component settings from the file specified by the AName parameter, and load them into a style manager. The AName parameter completely defines the file name. No extension is added to this parameter. To save settings style manager settings to a file use the SaveToFile method.


TdxPrintStyleManager.LoadFromStream

TdxPrintStyleManager

See Also

Reads all style manager settings from a stream and stores the contents within TdxPrintStyleManager.

procedure LoadFromStream(AStream: TStream);

Description

Call the LoadFromStream method to retrieve component settings from the stream specified by the AStream parameter, and load them into a style manager.

Note: The stream must contain data in TdxPrintStyleManager internal format (for instance, data is written to a stream by another TdxPrintStyleManager via the SaveToStream method).


TdxPrintStyleManager.NonBuiltInsExists

TdxPrintStyleManager

Specifies whether non built-in print styles exist within the current style manager.

function NonBuiltInsExists: Boolean;

Description

The ExpressPrinting System has built-in print styles created at design time. These styles cannot be deleted at runtime. The BuiltIn property specifies whether the current style is built-in or created at runtime via the copy function of the "Define Print Styles" dialog window. Call the NonBuiltInsExists method to determine whether all print styles are built-in. This method returns a value of True if there are no built-in print styles and a value of False, otherwise.


TdxPrintStyleManager.OnChangeCurrentStyle

TdxPrintStyleManager

Occurs when the current print style of a style manager is about to change.

property OnChangeCurrentStyle: TNotifyEvent;

Description

Write an OnChangeCurrentStyle event handler to perform custom actions when changing the current style.

Note: This event does not occur if the UpdateCount property is not equal to 0. For more information see the BeginUpdate and EndUpdate methods.


TdxPrintStyleManager.OnStyleListChanged

TdxPrintStyleManager

Occurs when updating the list of available print styles.

property OnStyleListChanged: TNotifyEvent;

Description

Write an OnStyleListChanged event handler to perform custom actions when updating the list of available print styles. For instance, this event occurs when a new style is added to the style manager.

Note: This event does not occur if the UpdateCount property is not equal to 0. For more information see the BeginUpdate and EndUpdate methods.


TdxPrintStyleManager.PageSetupDialog

TdxPrintStyleManager

Specifies the page setup dialog component to use.

property PageSetupDialog: TdxPageSetupDialog;

Description

The [image] TdxPageSetupDialog component allows you to adjust page setup dialog attributes according to your programming needs. Use the PageSetupDialog property to determine which TdxPageSetupDialog component the current style manager is connected. For more information see TdxPageSetupDialog.


TdxPrintStyleManager.RefreshAutoHFTextEntries

TdxPrintStyleManager

See Also

Refreshes the list of the AutoText values for headers/footers.

procedure RefreshAutoHFTextEntries;

Description

The RefreshAutoHFTextEntries method is used to restore the original AutoText value list that was changed either within the "Edit AutoText Entries" dialog window or by assigning a new value to the AutoHFTextEntries property.

You can initialize the AutoHFTextEntries property with your custom AutoText values:

  • Write your own procedure to compose your custom list of AutoText values;

  • Assign this procedure to the dxGetAutoHFTextEntriesProc global variable.

In this instance, the RefreshAutoHFTextEntries method restores the AutoText value list created by your procedure.


TdxPrintStyleManager.RestoreDefaults

TdxPrintStyleManager

Loads default settings for print styles.

procedure RestoreDefaults;

Description

Use the RestoreDefaults property to load default settings for every print style belonging to the current style manager.


TdxPrintStyleManager.SaveToFile

TdxPrintStyleManager

See Also

Saves all style manager settings to a file.

procedure SaveToFile(const AName: string);

Description

Call the SaveToFile method to save all TdxPrintStyleManager attributes to a file specified by the AName parameter. These attributes can later be reloaded from this file into another style manager using the LoadFromFile method. The AName parameter completely defines the file name. No extension is added to this parameter.


TdxPrintStyleManager.SaveToStream

TdxPrintStyleManager

See Also

Writes all style manager settings to a stream passed as the AStream parameter.

procedure SaveToStream(AStream: TStream);

Description

Use SaveToStream to stream out TdxPrintStyleManager settings. It can be streamed back to another TdxPrintStyleManager object using the LoadFromStream method.


TdxPrintStyleManager.ShowAutoHFTextEntriesDlg

TdxPrintStyleManager

See Also

Displays the "Edit AutoText Entries" dialog window.

function ShowAutoHFTextEntriesDlg: Boolean;

Description

The ShowAutoHFTextEntriesDlg method is called to display a dialog window wherein you can change and create AutoText values (such as page number, date, time, etc or any combination) to be displayed as report headers/footers at the top/bottom of the report page.


TdxPrintStyleManager.StorageName

TdxPrintStyleManager

See Also

Determines the file name used to store print style information.

property StorageName: string;

Description

You can store all settings and changes made to print styles within a separate file. Use the StorageName to specify this file name. This property is in effect only if the AutoSave property is set to True.


TdxPrintStyleManager.StyleByCaption

TdxPrintStyleManager

Returns a print style by its caption.

function StyleByCaption(const ACaption: string): TBasedxPrintStyle;

Description

Call the StyleByCaption method to access the print style whose caption is equal to the ACaption parameter.


TdxPrintStyleManager.StyleByName

TdxPrintStyleManager

Returns a print style by its name.

function StyleByName(const AName: string): TBasedxPrintStyle;

Description

Call the StyleByName method to access a print style whose name is equal to the AName parameter.


TdxPrintStyleManager.Styles

TdxPrintStyleManager

Specifies a print style via its index.

property Styles[Index: Integer]: TBasedxPrintStyle;

Description

Use the Styles property to access a print style.

The Index parameter specifies the zero-based index of this print style among others.

The total number of styles is determined by the Count property.


TdxPrintStyleManager.Title

TdxPrintStyleManager

Determines the title of the style manager dialog window.

property Title: string;

Description

A user can work with print styles at runtime via the appropriate dialog window. Use the Title property to determine the caption of this window.


TdxPrintStyleManager.UpdateCount

TdxPrintStyleManager

See Also

Stands for an internal counter.

property UpdateCount: Integer;

Description

This property is for internal use only. It is used as a counter for the BeginUpdate and EndUpdate methods.

ReadOnly Property


TdxPrintStyleManager.Version

Indicates the version number which is used to restore previously applied changes to styles a developer has made.

property Version: Integer;

Description

When a style manager is being created it reads version number from a file (if it exists, of course) and the form's dfm file.

If the Version number retrieved from the file is not equal to that obtained from the dfm file, the dfm file's data is used to restore styles and when the application is closed the stream is re-written with the current style data. Otherwise, the style data is derived from the file.

So, if a developer leaves the Version property unchanged all the changes to the form he has probably made during the current design-time session will be lost because they will be read from the file.

If a developer changes the Version property at design-time the style data is derived from the dfm file.

However, this property is mainly used to correctly upgrade to a newer version of the same product, when it is absolutely indispensable to avoid using data stored in the old dfm file.


TdxPSDBBasedExplorer.AreFieldNameMapsValid

TdxPSDBBasedExplorer

Returns a value indicating whether the required datasets and field names are specified.

function AreFieldNameMapsValid: Boolean; virtual;

Description

The AreFieldNameMapsValid method returns True if the following conditions are met:

  • Datasets are assigned to the Folders and Items properties;

  • The FoldersFieldNamesMap and ItemsFieldNamesMap properties specify valid field names from the corresponding datasets.

Otherwise, the method returns False and the explorer component doesn’t attempt to build the report tree.


TdxPSDBBasedExplorer.FindFolderByID

TdxPSDBBasedExplorer

Returns a folder by its ID.

function FindFolderByID(AnID: Integer): TdxPSDBBasedExplorerFolder ; virtual;

Description

Use the FindFolderByID method to obtain a folder object with the specified ID. The desired folder’s ID should be passed as the AnID parameter. If the Folders dataset doesn’t contain a folder with the ID specified, the method returns nil.

Note that you can also use the base class FindCustomItemByUniqueID method to access folders and items by their IDs. If you need to access a particular report item, use the FindItemByID method.

If you need to obtain a folder by its name, you may use the Folders dataset to locate the desired record, retrieve the desired folder’s ID and pass it to the FindFolderByID method.


TdxPSDBBasedExplorer.FindItemByID

TdxPSDBBasedExplorer

Returns a report item by its ID.

function FindItemByID(AnID: Integer): TdxPSDBBasedExplorerItem ; virtual;

Description

Use the FindItemByID method to obtain a report item object with the specified ID. The desired item’s ID should be passed as the AnID parameter. Note that if the Items dataset doesn’t contain an item with the specified ID, the method returns nil.

You can also use the base class FindCustomItemByUniqueID method to access report items by their IDs. If you need to access folders only, use the FindFolderByID method.

If you need to get a report item by its name, you can use the items dataset to locate the item, retrieve the corresponding ID and pass it to the FindItemByID method.


TdxPSDBBasedExplorer.Folders

TdxPSDBBasedExplorer

Specifies the dataset whose field values determine the folder’s structure.

property Folders: TDataSet ;

Description

Use the Folders property to specify a dataset whose data specifies the folder’s structure. Note that the dataset assigned should contain three fields that specify a folder’s unique ID, its name and its parent folder’s ID. This enables you to provide a hierarchical folders structure. Use the FoldersFieldNamesMap property to specify which particular fields provide the desired data.

If the Folders property value is nil or not all the required field names are specified, end users will not be able to save and explore reports.


TdxPSDBBasedExplorer.FoldersFieldNamesMap

TdxPSDBBasedExplorer

Specifies the data fields providing data about the folders structure.

property FoldersFieldNamesMap: TdxPSDBBasedExplorerFoldersFieldNamesMap ;

Description

The FoldersFieldNamesMap property provides access to the object that exposes the following properties:

Property

Description

ID

Specifies the name of the field containing folder’s unique IDs.

Name

Specifies the name of the field containing folder names.

ParentID

Specifies the name of the field specifying parent folder IDs. Note that the root folder’s ID is considered to be 0. Thus, all folders whose ParentID field value is 0 are the root folder’s immediate children. Note also, that if the ParentID field value doesn’t match any of the ID field values or 0, the corresponding folder is not displayed.

Note that all the properties refer to fields from the dataset specified by the Folders property.


TdxPSDBBasedExplorer.Items

TdxPSDBBasedExplorer

Specifies the dataset whose field values specifies the report items arrangement within folders and holds report data.

property Items: TDataSet ;

Description

Use the Items property to specify the dataset whose field’s contain report data and specify report arrangements within the folders hierarchy. Note that the dataset should contain four fields that specify an item’s ID, its name, report data and its parent folder’s ID. Use the ItemsFieldNamesMap property to specify which particular fields contain the information required.

If the Items property value is nil or not all the required field names are specified, end users will not be able to save and explore reports.


TdxPSDBBasedExplorer.ItemsFieldNamesMap

TdxPSDBBasedExplorer

Specifies the names of fields providing the arrangement of report items and data.

property ItemsFieldNamesMap: TdxPSDBBasedExplorerItemsFieldNamesMap ;

Description

The ItemsFieldNamesMap property provides access to an object that exposes the following properties:

Property

Description

ID

Specifies the name of the field containing the unique Ids of report items.

Name

Specifies the name of the field containing report item names.

ParentID

Specifies the name of the field specifying parent folder IDs. Note that the root folder’s ID is considered to be 0. Thus, all items whose ParentID field value is 0 are the root folder’s immediate children. Note also, that if the ParentID field value doesn’t match any of the folder’s IDs or 0, the corresponding item is not displayed.

Data

Specifies the name of the field containing report data.

Note that all these properties should refer to fields in the dataset specified by the Items property.


TdxPSDBBasedExplorer.LoadedItem

TdxPSDBBasedExplorer

Returns the currently selected item.

function LoadedItem: TdxPSDBBasedExplorerItem ;

Description

This method’s return value is the same as the base class LoadedItem method’s return value. This method is introduced to cast the return value type to TdxPSDBBasedExplorerItem.


TdxPSDBBasedExplorer.OnLoadError

TdxPSDBBasedExplorer

Fires in response to errors that occur when loading the folders and report items structure.

type

TdxPSDBBasedExplorerLoadErrorEvent = procedure(Sender: TdxPSDBBasedExplorer ; ADataSet: TDataSet ) of object;

property OnLoadError: TdxPSDBBasedExplorerLoadErrorEvent;

Description

When a data-aware explorer component has been loaded, it tries to load the folders and items structure using the bound dataset’s data. If the data supplied is incorrect or corrupted, the component raises the OnLoadError event. The event’s Sender parameter represents the explorer component whose attempt to load data has failed, the ADataSet parameter represents the dataset containing invalid data. This dataset matches either the Folders or Items dataset depending on whether data loading has failed when reading folders or report items.


TdxPSDBBasedExplorer.Root

TdxPSDBBasedExplorer

Returns an object representing the root folder.

property Root: TdxPSDBBasedExplorerFolder ;

Description

Use the Root property to obtain an object representing the explorer’s root folder. Note that this folder doesn’t have a corresponding entry in the Folders dataset. The object returned corresponds to an abstract folder that contains folders and items whose parent folder ID is zero.

You can use the Root property to start a recursive search through items and/or folders. Use the obtained object’s Folders and Items properties to access the root folder’s immediate children.

ReadOnly Property


TdxPSDBBasedExplorerFieldNamesMap.ID

TdxPSDBBasedExplorerFieldNamesMap

Specifies the name of the field containing item or folder IDs.

property ID: string;

Description

The ID property should be set to the name of a unique field containing integer values. These values are used to locate an item or folder by its ID, using the explorer component’s FindItemByID, FindFolderByID and FindCustomItemByUniqueID methods.

Note that folder IDs are referenced by the ParentID field to specify an item’s or folder’s parent folder.


TdxPSDBBasedExplorerFieldNamesMap.Name

TdxPSDBBasedExplorerFieldNamesMap

Specifies the name of the field containing item or folder names.

property Name: string;

Description

The Name property should be set to the name of a field containing string values. Values listed in this field specify the names of folders and items, you can access and change these names at runtime using the desired folder’s or item’s Name property.


TdxPSDBBasedExplorerFieldNamesMap.ParentID

TdxPSDBBasedExplorerFieldNamesMap

Specifies the name of the field containing parent folder IDs.

property ParentID: string;

Description

The ParentID property specifies the field whose values are used to build the tree structure of folders and items. You should assign the name of a field containing integer values to this property, values in the specified field refer to a folder’s dataset ID.

You can change a parent folder at runtime using the desired folder’s or item’s ParentID property.


TdxPSDBBasedExplorerFolder.Explorer

TdxPSDBBasedExplorerFolder

Returns the explorer component that owns the current folder.

function Explorer: TdxPSDBBasedExplorer ;

Description

The Explorer method returns the explorer to which the current folder belongs. This method reintroduces the base class method to return an object of the proper type.


TdxPSDBBasedExplorerFolder.Folders

TdxPSDBBasedExplorerFolder

Provides indexed access to child folders at the immediate nesting level.

property Folders[Index: Integer]: TdxPSDBBasedExplorerFolder ;

Description

Use the Folders property to access a folder’s immediate child folders. The folder to be accessed is specified by its zero-based index via the Index parameter. The maximum available index is the value of the FolderCount property decremented by one. The FolderCount and Folders properties can be used in combination to traverse through child folders.

The Folders property overrides the base class property to return objects of a proper type.

ReadOnly Property


TdxPSDBBasedExplorerFolder.ID

TdxPSDBBasedExplorerFolder

Returns the folder’s ID.

property ID: Integer;

Description

Each folder has a unique ID assigned. These IDs are taken from the field specified by the explorer component’s FoldersFieldNamesMap.ID property. The value is taken from the record corresponding to the current folder.

ReadOnly Property


TdxPSDBBasedExplorerFolder.Items

TdxPSDBBasedExplorerFolder

Provides indexed access to child items at the immediate nesting level.

property Items[Index: Integer]: TdxPSDBBasedExplorerItem ;

Description

Use the Items property to access the folder’s child items. The item to be returned is specified by its zero-based index via the Index parameter. The last item’s index is the ItemCount property value decremented by one. The ItemCount and Items properties can be used in combination to traverse through the child items list.

The Items property overrides the base class property to return objects of a proper type.

ReadOnly Property


TdxPSDBBasedExplorerFolder.ParentID

TdxPSDBBasedExplorerFolder

Specifies the parent folder’s ID.

property ParentID: Integer;

Description

The ParentID property returns the parent folder’s ID. Such IDs are taken from the data field specified by the explorer component’s FoldersFieldNamesMap.ParentID property. The value is read from the record corresponding to the current folder.

Note that you can change the ParentID property value to move the folder to another parent. To move the folder to the root folder, set the property to 0.


TdxPSDBBasedExplorerItem.Explorer

TdxPSDBBasedExplorerItem

Returns the explorer component that owns the current item.

function Explorer: TdxPSDBBasedExplorer ;

Description

The Explorer method returns the data-aware explorer component to which the current report item belongs. This method reintroduces the base class method to return an object of a proper type.


TdxPSDBBasedExplorerItem.ID

TdxPSDBBasedExplorerItem

Returns the item’s ID.

property ID: Integer;

Description

The ID property returns the item’s unique ID. This value is taken from a dataset field specified by the explorer component’s ItemsFieldNamesMap.ID property. The field value is read from the record corresponding to the current item.

ReadOnly Property


TdxPSDBBasedExplorerItem.ParentID

TdxPSDBBasedExplorerItem

Specifies the item’s parent folder by its ID.

property ParentID: Integer;

Description

The ParentID property returns the item’s parent folder ID. This value is taken from a dataset field specified by the explorer component’s ItemsFieldNamesMap.ParentID property. The field value is read from the record corresponding to the current item.

Note that you can also change the ParentID property value to move the item to another folder. Set the property to 0 to move the item to the explorer’s root folder.


TdxPSDBBasedExplorerItemsFieldNamesMap.Data

TdxPSDBBasedExplorerItemsFieldNamesMap

Specifies the name of the field containing report data.

property Data: string;

Description

You should assign the name of a BLOB (memo) field to the Data property. This field’s values will actually contain report data.


TdxPSEngine.DesignTimeRegistryPath

TdxPSEngine

See Also

Specifies the Registry path used at design time.

property DesignTimeRegistryPath: string;

Description

Use the DesignTimeRegistryPath property to obtain the Registry path where the ExpressPrinting System stores all settings when working at design time.

ReadOnly Property


TdxPSEngine.HelpFile

TdxPSEngine

Specifies the name of the default file used to display Help at runtime.

property HelpFile: string;

Description

You can provide your own help for an application that uses the ExpressPrinting System. Use the HelpFile property to specify this help file.


TdxPSEngine.LookAndFeel

TdxPSEngine

Specifies preview window draw style.

type

TdxPSLookAndFeel = (pslfStandard, pslfFlat, pslfWinXP, pslfOffice11);

property LookAndFeel: TdxPSLookAndFeel;

Description

Changes to the LookAndFeel property affect preview toolbar paint styles. If drawing style is pslfStandard, a ‘vertical line’ appears on the left side of a toolbar. If the LookAndFeel property is set to pslfFlat, preview toolbars have the MS Office 10 (XP) look & feel. The pslfWinXP value specifies that the preview window is drawn using the Windows XP style and the pslfOffice11 value specifies the Office 2003 (Office 11) style for the preview window.

Value | Example
pslfStandard |
pslfFlat |

pslfWinXP

pslfOffice11


TdxPSEngine.RealRegistryPath

TdxPSEngine

See Also

Specifies the current Registry path.

property RealRegistryPath: string;

Description

Use the RealRegistryPath property to obtain the Registry path where the ExpressPrinting System stores all settings. This property returns the DesignTimeRegistryPath property value at design time or the RegistryPath property value at runtime.

ReadOnly Property


TdxPSEngine.RegistryPath

TdxPSEngine

See Also

Specifies the registry path for ExpressPrinting System settings.

property RegistryPath: string;

Description

Use the RegistryPath property to specify a path to save ExpressPrinting System settings.


TdxPSEngine.SaveFormsPosition

TdxPSEngine

Specifies whether to save window positions.

property SaveFormsPosition: Boolean;

Description

Use the SaveFormsPosition property to specify the manner in which the preview and dialog windows are displayed. If this property is set to True, all windows will be displayed at the same coordinates (position on screen) where they were last closed. If this property is set to False, all windows are displayed at their default positions.


TdxPSEngineController.Activate

TdxPSEngineController

Activates the current TdxPSEngineController component.

procedure Activate;

Description

You may place several TdxPSEngineController components onto a form. Call the Activate method to specify which of these components is active and is used by the ExpressPrinting System.


TdxPSEngineController.HelpFile

TdxPSEngineController

Specifies the name of the default file used to display Help at runtime.

property HelpFile: string;

Description

You can provide your own help for an application that uses the ExpressPrinting System. Use the HelpFile property to specify the name of the appropriate help file.


TdxPSEngineController.LookAndFeel

TdxPSEngineController

Specifies preview windows draw style.

type

TdxPSLookAndFeel = (pslfStandard, pslfFlat, pslfWinXP, pslfOffice11);

property LookAndFeel: TdxPSLookAndFeel;

Description

Changes to the LookAndFeel property affect preview toolbar paint styles. If drawing style is pslfStandard, a ‘vertical line’ appears on the left side of a toolbar. If the LookAndFeel property is set to pslfFlat, preview toolbars have the MS Office 10 (XP) look & feel. The pslfWinXP value specifies that the preview window is drawn using the Windows XP style and the pslfOffice11 value specifies the Office 2003 (Office 11) style for the preview window.

Value | Example
pslfStandard |
pslfFlat |
pslfWinXP |
pslfOffice11 |

The default value for this property is pslfStandard.


TdxPSEngineController.RegistryPath

TdxPSEngineController

Specifies the registry path for ExpressPrinting System settings.

property RegistryPath: string;

Description

Use the RegistryPath property to specify a path to save ExpressPrinting System settings.


TdxPSEngineController.SaveFormsPosition

TdxPSEngineController

See Also

Specifies whether to save window positions.

property SaveFormsPosition: Boolean;

Description

Use the SaveFormsPosition property to specify the manner in which preview and dialog windows are displayed. If this property is set to True, all windows will be displayed at the same coordinates (position on screen) where they were last closed. If this property is set to False, all windows are displayed at their default positions.

The default value for this property is True.


TdxPSEngineController.UseNativeLookAndFeel

TdxPSEngineController

Determines whether to use the Windows native style to paint controls within reports.

property UseNativeLookAndFeel: Boolean;

Description

The UseNativeLookAndFeel property to enable/disable controls painting within reports in Windows native style.

The default value of the UseNativeLookAndFeel property is True.


TdxPSExplorerFolder.CreateFolder

TdxPSExplorerFolder

Creates a new folder within the current folder.

function CreateFolder: TdxPSExplorerFolder ; virtual;

Description

Use the CreateFolder method to create a new child folder within the current folder. The method returns an object representing the folder created. Use this object’s properties and methods to initialize the folder as needed. To set the folder’s name, use the returned object’s Name property.

Note that you can also use the explorer’s CreateNewFolder method to perform the same task, in that case, you will pass the parent folder as the method’s parameter.

When using the explorer components ( TdxPSFileBasedExplorer and TdxPSDBBasedExplorer ), the method will return either the TdxPSFileBasedExplorerFolder or TdxPSDBBasedExplorerFolder object respectively. Thus, you will then need to perform typecasts to use the created folder’s specific members.


TdxPSExplorerFolder.CreateItem

TdxPSExplorerFolder

Creates a new report item within the current folder.

function CreateItem(AReportLink: TBasedxReportLink ): TdxPSExplorerItem ; virtual;

Description

Use the CreateItem method to create a new report item within the current folder. The report link that provides information for the created item is specified by the AReportLink parameter. The method returns an object representing the newly created item. Use this object’s methods and properties to initialize the item. For instance, you can set the desired item’s name using the object’s Name property.

Note that you can also use the explorer’s CreateNewItem method for the same purpose. In that case, you will pass the item’s parent folder as the method’s parameter.

When using the explorer components ( TdxPSFileBasedExplorer and TdxPSDBBasedExplorer ), the method will return either the TdxPSFileBasedExplorerItem or TdxPSDBBasedExplorerItem object. Thus, you will then need to perform typecasts to use the created item’s specific members.


TdxPSExplorerFolder.DeleteFolders

TdxPSExplorerFolder

Deletes all child folders within the current folder.

procedure DeleteFolders; virtual;

Description

Use the DeleteFolders method to remove all child folders from the current folder. After the method has been called, the folder contains only its immediate child report items. You can remove these items using the DeleteItems method call.

To delete an individual folder, use the desired folder’s Delete method. To access a folder’s child folders, use the parent’s Folders property.


TdxPSExplorerFolder.DeleteItems

TdxPSExplorerFolder

Deletes immediate child items.

procedure DeleteItems; virtual;

Description

Use the DeleteItems method to remove child items from the current folder. Note that child items of nesting folders are not affected by this method. After the method has been called the folder contains its child folders only. To remove these child folders, use the DeleteFolders method.

To delete an individual item, use the desired item’s Delete method. To access a folder’s child item use the folder’s Items property.


TdxPSExplorerFolder.FolderByName

TdxPSExplorerFolder

Obtains the child folder specified by its name.

function FolderByName(const AName: string): TdxPSExplorerFolder ; virtual;

Description

Use the FolderByName property to access a particular child folder specified by its name. The desired folder’s name should be passed as the AName parameter, if the current folder doesn’t contain an immediate child with the name specified, the method returns nil.

If you need to traverse through all immediate child folders, use the FolderCount and Folders properties.


TdxPSExplorerFolder.FolderCount

TdxPSExplorerFolder

Returns the number of child folders.

property FolderCount: Integer;

Description

Use the FolderCount property to obtain the number of folders within the current folder. This property can be used in combination with the Folders property to traverse through the child folders.

ReadOnly Property


TdxPSExplorerFolder.Folders

TdxPSExplorerFolder

Provides indexed access to child folders.

property Folders[Index: Integer]: TdxPSExplorerFolder ;

Description

Use the Folders property to access the current folder’s child folders. The folder to obtain is specified by its index via the Index parameter. The first folder’s index is 0 the last available child folder’s index is the value returned from the FolderCount property decremented by one.

The Folders and FolderCount properties can be used in combination to traverse through the child folders. To access a folder’s child items, use the Items and ItemCount properties.

ReadOnly Property


TdxPSExplorerFolder.HasFolders

TdxPSExplorerFolder

Indicates whether the folder contains child folders.

function HasFolders: Boolean; virtual;

Description

The number of child folders within a folder can be obtained using the parent’s FolderCount property. If a folder doesn’t contain any child folders, the FolderCount property value is 0.

Use the HasItems property to determine whether the folder contains any immediate child report items.


TdxPSExplorerFolder.HasItems

TdxPSExplorerFolder

Indicates whether the folder contains immediate child items.

function HasItems: Boolean; virtual;

Description

The number of immediate child items can be obtained via the ItemCount property. If a folder doesn’t contain any child items, this property returns 0.

Use the HasFolders property to determine whether the folder contains child folders.


TdxPSExplorerFolder.HasLoadedItem

TdxPSExplorerFolder

Indicates whether the current folder is the parent for the currently loaded item.

function HasLoadedItem: Boolean; virtual;

Description

The HasLoadedItem method returns True if the currently loaded item is the current folder’s child at any nesting level. Otherwise, False is returned.

The currently loaded item is identified by the explorer’s LoadedItem property. If no item is currently loaded, the property returns nil, the HasLoadedItem method returns False in this case.


TdxPSExplorerFolder.IsRoot

TdxPSExplorerFolder

Returns a value indicating whether the current folder is the root one.

property IsRoot: Boolean;

Description

The IsRoot method checks whether the current folder matches the explorer’s Root property value. If so, the method returns True, otherwise False is returned.

ReadOnly Property


TdxPSExplorerFolder.ItemByName

TdxPSExplorerFolder

Returns an immediate child report item specified by its name.

function ItemByName(const AName: string): TdxPSExplorerItem ; virtual;

Description

Use the ItemByName method to obtain a folder’s immediate child item specified by its name. The desired item’s name should be passed as the method’s AName parameter if the folder doesn’t contain any items with the specified name the method returns nil.

To traverse through all child items, use the Items and ItemCount properties.


TdxPSExplorerFolder.ItemCount

TdxPSExplorerFolder

Returns the number of report items within the current folder.

property ItemCount: Integer;

Description

Use the ItemCount property to obtain the number of items stored within the current folder. This property can be used in combination with the Items property to traverse through items available in a folder.

ReadOnly Property


TdxPSExplorerFolder.Items

TdxPSExplorerFolder

Provides indexed access to the current folder’s child report items.

property Items[Index: Integer]: TdxPSExplorerItem ;

Description

Use the Items property to access a folder’s child items. The item to be returned is specified by its index via the Index parameter. The first item’s index is 0, the last item’s index is the ItemCount property value decremented by one.

The Items and ItemCount properties can be used in combination to traverse through the child report items collection. To access a folder’s child folders, use the Folders and FolderCount properties.

ReadOnly Property


TdxPSExplorerFolder.Populate

TdxPSExplorerFolder

Populates the folder’s child branch.

procedure Populate;

Description

By default, a folder’s immediate children (folders and items) are loaded when expanding the folder. This is performed by a call to the folder’s Populate method, you can also use this method to populate folders manually. In this case, the folder will not have to load its children when being expanded which gives a performance benefit when expanding a folder.


TdxPSExplorerItem.CanLoadData

TdxPSExplorerItem

Indicates whether the report item’s data can be loaded into the preview window.

function CanLoadData: Boolean; virtual;

Description

The CanLoadData method is automatically called by explorer components when an end users tries to load an item’s data. End users can double-click on an item or press the CTRL+ENTER key combination while an item is selected to load the item’s data. If the CanLoadData method returns True, the explorer component loads the item’s data and shows the report preview, otherwise nothing happens.

As implemented in the TdxPSExplorerItem class, the CanLoadData method returns False if the item has invalid data or is currently loaded. The latter check is used to avoid reloading the same item’s data.


TdxPSExplorerItem.CreateDataStream

TdxPSExplorerItem

Creates a stream containing the item’s content.

type

TdxPSStreamMode = (smRead, smWrite, smReadWrite);

function CreateDataStream(AMode: TdxPSStreamMode): TStream ; virtual;

Description

The CreateDataStream method is used to create a stream containing the item’s data. The AMode parameter specifies the stream access modes available. The table below lists values that can be passed as this parameter.

Value | Description
SmRead | A read-only stream is created.
SmWrite | A write-only stream is created.
smReadWrite | A read-write stream is created.

The created stream’s content is the item’s data stored either within a file or a database field. Thus, TdxPSExplorerItem descendants override the CreateDataStream method to return either a file stream or a BLOB stream. Note that if you are developing your own item classes you may also need to override the CreateDataStream method to return a proper stream with report data. Because the method is used internally to write the data of a report link to it’s item and vice versa.


TdxPSExplorerItem.DataLoadErrorText

TdxPSExplorerItem

Returns the text displayed within an error message box that is invoked when the loading of an item’s data fails.

function DataLoadErrorText: string; virtual;

Description

If an item’s data (the corresponding file or data field value) is corrupted, attempting to load this data results in an error message box being displayed. The message box’s text is specified by the DataLoadErrorText method’s return value. Note that TdxPSExplorerItem descendants override the DataLoadErrorText method to return their particular error strings depending on the data storage type.


TdxPSExplorerItem.HasInvalidData

TdxPSExplorerItem

Indicates if the item has invalid data.

property HasInvalidData: Boolean;

Description

If an item’s data (the associated file or data field value) has been corrupted, the item’s report cannot be displayed. Trying to load the item’s data using either the item’s Load method or the explorer’s LoadItemData method will set the item’s HasInvalidData property to True. Note that this also invokes an error message box whose text is specified by the item’s DataLoadErrorText method.


TdxPSExplorerItem.IsCurrentlyLoaded

TdxPSExplorerItem

Indicates whether the item is currently loaded.

property IsCurrentlyLoaded: Boolean;

Description

The loaded item is the item whose data is currently displayed within the preview window. End users can load a particular item’s data by double-clicking on the desired item or pressing the CTRL+ENTER key combination when the item is selected. When an item’s data is loaded the item’s IsCurrentlyLoaded property returns True. In this case, the explorer component’s LoadedItem property returns this item.

ReadOnly Property


TdxPSExplorerItem.IsLoading

TdxPSExplorerItem

Indicates whether the owning explorer component is loading data presently.

function IsLoading: Boolean; virtual;

Description

The IsLoading method’s return value indicates whether the item should notify its owning explorer component of changes. If this method’s return value is True, notifications are disabled. As implemented in the TdxPSExplorerItem class, the IsLoading method returns a value indicating the owning explorer component’s state. Descendants may override this method to implement customized changes to notifications and restrictions.


TdxPSExplorerItem.Load

TdxPSExplorerItem

Loads the item’s data into a particular report link.

procedure Load(AReportLink: TBasedxReportLink );

Description

Use the Load method to load the item’s report to the report link specified by the AReportLink parameter. The loaded report will be displayed within the component printer’s preview window if the target link is the component’s current link. To specify the current link for a component printer, use the CurrentLink property.

Note that end users can load an item’s data into the component printer’s current link by double-clicking on an item, pressing the CTRL+ENTER key combination when the desired item is selected or selecting the Load command from the item’s context menu, toolbar or main menu.

You can also use the explorer component’s LoadItemData to load an item into a particular link.


TdxPSExplorerItem.ReportDocument

TdxPSExplorerItem

Provides access to the report document’s settings.

property ReportDocument: TdxPSReportDocument ;

Description

New report items can be created using the explorer component’s CreateNewItem method. The item is created based upon the data provided by the report link specified as the parameter. The newly created item’s ReportDocument property is initialized with the corresponding report link’s ReportDocument property value. Note that the report document’s properties are copied so that changing a report item’s ReportDocument property settings will not affect the corresponding report link’s ReportDocument property.

The TdxPSReportDocument object available via the ReportDocument property enables you to specify the report’s creator, creation date, caption and description.

ReadOnly Property


TdxPSExplorerItem.RetrieveReportData

TdxPSExplorerItem

Loads report data from a report link to the report item.

procedure RetrieveReportData(AReportLink: TBasedxReportLink ); virtual;

Description

The RetrieveReportData method can be used to load a report link’s data into the current item. The source report link containing the desired report is specified by the AReportLink parameter. Note that when an item is being created using the explorer component’s CreateNewItem method or a folder’s CreateItem method the source report link is specified as the method parameter. The RetrieveReportData method can also be used to change the source report link.


TdxPSExplorerItem.Unload

TdxPSExplorerItem

Unloads the item’s data from the associated report link.

procedure Unload;

Description

To display an item’s content within the component printer’s preview window, you should load the item’s data into the component printer’s current report link. This can be done using either the explorer component’s LoadItemData method or the desired item’s Load method. The Unload method can be used to unload the data from the report link, which it has been loaded to. After the method has been called, the preview window displays the current report link’s content specified by the link’s bound component.

You can also use the explorer component’s UnloadItemData method to unload a particular item’s report from a report link.


TdxPSFileBasedExplorer.CanGoToUpOneLevel

TdxPSFileBasedExplorer

Determines whether the explorer can change its root path to make it one level higher.

function CanGoToUpOneLevel: Boolean; virtual;

Description

The file based explorer component enables end users to change the root folder at runtime using the Up One Level command available via the main and context menus. The CanGoToUpOneLevel method determines whether the corresponding menu items are enabled, additionally, it determines whether the GoToUpOneLevel method will be in effect. This method can be used to switch the explorer one level higher via code.

The CanGoToUpOneLevel method returns True if the current root path is not a volume. The current root path is specified by the RootPath property.


TdxPSFileBasedExplorer.FileExtension

TdxPSFileBasedExplorer

Returns the report file extension.

class function FileExtension: string; virtual;

Description

The FileExtension method returns the extension that is automatically assigned to files containing reports. As implemented in the file-based explorer, this method returns the ‘rps’ string. Note that the files with different extensions are not identified by explorers as valid report files.


TdxPSFileBasedExplorer.FindFolderByFullQualifiedDirName

TdxPSFileBasedExplorer

Returns an object representing the folder specified by its full-qualified name.

function FindFolderByFullQualifiedDirName(const AFullQualifiedDirName: string): TdxPSFileBasedExplorerFolder ;

Description

Use the FindFolderByFullQualifiedDirName method to obtain a TdxPSFileBasedExplorerFolder object representing the folder specified by its full-qualified name. The desired folder’s name should be passed as the AFullQualifiedDirName parameter, if the folder specified doesn’t exist nil will be returned.

You can also obtain folders by traversing through the folders tree, use the Root property to access the root folder. The obtained object’s Folders and FolderCount properties can be used to access child folders.


TdxPSFileBasedExplorer.FindItemByFullQualifiedFileName

TdxPSFileBasedExplorer

Returns an object representing the report item specified by the full-qualified file name.

function FindItemByFullQualifiedFileName(const AFullQualifiedName: string): TdxPSFileBasedExplorerItem ;

Description

The FindItemByFullQualifiedFileName method can be used to obtain a TdxPSFileBasedExplorerItem object representing the item specified by its full-qualified file name. The desired file name should be passed as the AFullQualifiedName parameter. If the item with the specified file name doesn’t exist nil is returned.

You can also access report items by traversing through the report items tree. Use the Root property to access the explorer’s root folder, nesting folders can be accessed using a folder’s Folders and FolderCount properties. Report items residing within a particular folder can be accessed using the folder’s Items and ItemCount properties.


TdxPSFileBasedExplorer.GoToUpOneLevel

TdxPSFileBasedExplorer

Switches the explorer’s root folder one level higher.

procedure GoToUpOneLevel;

Description

Use the GoToUpOneLevel method to change the explorer’s root to the folder that is the current root folder’s parent. Note that the method is in effect only when the CanGoToUpOneLevel method returns True. You can also change the explorer’s root path directly via the RootPath property.

Note that the GoToUpOneLevel method is called automatically when end users use the Up One Level command. This command is available via the preview window’s main menu and the explorer tree’s context menu.


TdxPSFileBasedExplorer.LoadedItem

TdxPSFileBasedExplorer

Returns an object representing the report item whose content is currently displayed.

function LoadedItem: TdxPSFileBasedExplorerItem ;

Description

This method’s return value is the same as the base class LoadedItem method’s return value. The method is introduced to cast the return value type to TdxPSFileBasedExplorerItem.


TdxPSFileBasedExplorer.LoadFromRegistry

TdxPSFileBasedExplorer

Loads the explorer’s settings from registry.

procedure LoadFromRegistry(const APath: string); virtual;

Description

The LoadFromRegistry method is used to load the explorer component’s settings from a particular path within the registry. The source registry path is specified by the APath parameter.

The LoadFromRegistry method is called automatically at the application startup (when the explorer component has been loaded) if the explorer’s eoStoreToRegistry option is enabled (see the Options property). The registry path is determined by the printing engine controller’s RegistryPath property. Generally, you will have no need to use the LoadFromRegistry method in applications.


TdxPSFileBasedExplorer.LoadItemData

TdxPSFileBasedExplorer

Loads a particular item’s data into a report link.

procedure LoadItemData(const AFullQualifiedFileName: string; AReportLink: TBasedxReportLink ); overload;

Description

Use the LoadItemData method to load an item’s data into a report link. The item whose data is to be loaded is specified by its full-qualified file name via the AFullQualifiedFileName parameter. The report link where the data should be loaded is specified using the AReportLink parameter. Note that the preview window displays the contents of the component printer’s current item. Thus, to make an item’s content visible you need to load the item’s data into the current link or alternatively make the link current after loading, use the component printer’s CurrentLink property to identify the current link.

Alternatively, you can use a LoadItemData overload that accepts an object representing the item instead of its full-qualified file name.


TdxPSFileBasedExplorer.OnLoadError

TdxPSFileBasedExplorer

Fires when a folder or item loading error occurs.

type

TdxPSFileBasedExplorerLoadErrorEvent = procedure(Sender: TdxPSFileBasedExplorer ; const AName: string) of object;

property OnLoadError: TdxPSFileBasedExplorerLoadErrorEvent;

Description

When the explorer component is being initialized, the explorer loads the root folder its child folders and items. By default, child folder contents are loaded when expanding those folders, however if the eoLoadAll option is enabled the explorer loads the data of all nesting folders. This option can be accessed via the Options property.

If an error occurs when loading a folder or an item the explorer component raises the OnLoadError event. The explorer component can be identified via the Sender parameter. The failed folder or file name is passed as the AName parameter.


TdxPSFileBasedExplorer.Options

TdxPSFileBasedExplorer

Specifies report explorer’s options.

type

TdxPSFileBasedExplorerOption = (eoLoadAll, eoShowIOErrors, eoStoreToRegistry);

TdxPSFileBasedExplorerOptions = set of TdxPSFileBasedExplorerOption;

property Options: TdxPSFileBasedExplorerOptions;

Description

Use the Options property to specify the options that affect the report explorer’s behavior. The table below lists the options available.

Value | Meaning
eoLoadAll | Specifies whether the entire folders and items hierarchy should be loaded into the explorer component when it is loaded. If disabled, the explorer component initially loads only the root folder’s content.
eoShowIOErrors | Specifies whether the explorer component displays error messages when a disk operation fail, e.g. when attempting to delete a file used by another process. If disabled, the explorer doesn’t notify end users about errors that have occurred.
eoStoreToRegistry | Specifies whether the explorer component should store its settings into the registry when destroyed and restore them when loaded. This enables the explorer’s root path to be retained between application executions. Note that the root path is saved to the registry and restored using the SaveToRegistry and LoadFromRegistry methods, which are called automatically.

The default value of the Options property is [eoShowIOErrors].


TdxPSFileBasedExplorer.PopulatePath

TdxPSFileBasedExplorer

Populates the folder specified by its full-qualified path.

procedure PopulatePath(APath: string);

Description

The PopulatePath method can be used to load data into a particular folder that is specified by its path using the APath parameter. Note that this method has the same effect as a folder object’s Populate method. Calling the method before expanding a particular folder makes the expansion operation faster.

Note that data is automatically loaded to all nesting folders if the explorer’s eoLoadAll option is enabled. Please refer to the Options property for details.


TdxPSFileBasedExplorer.RealRootPath

TdxPSFileBasedExplorer

Returns the actual root path.

property RealRootPath: string;

Description

The RealRootPath property is used to access the actual root path that will be explored with the TdxPSFileBasedExplorer component. This property returns the RootPath property value if it is not an empty string, otherwise the path to the current folder will be returned.

ReadOnly Property


TdxPSFileBasedExplorer.Root

TdxPSFileBasedExplorer

Returns an object representing the root folder.

property Root: TdxPSFileBasedExplorerRootFolder ;

Description

Use the Root property to access the root folder. The object returned allows you to navigate through the folders and reports hierarchy. You can use the obtained object’s Folders and Items properties for this purpose.

The Root property overrides the base class Root property to return an object of the proper type.

ReadOnly Property


TdxPSFileBasedExplorer.RootPath

TdxPSFileBasedExplorer

Specifies the root path.

property RootPath: string;

Description

Use the RootPath property to specify the folder that will serve as the root when exploring reports. If the folder specified doesn’t exist, it will be created automatically when attempting to save a report item into it. If the RootPath property value is an empty string, the current folder will serve as the root. The actual root folder can be obtained using the RealRootPath property.


TdxPSFileBasedExplorer.SaveToRegistry

TdxPSFileBasedExplorer

Saves the explorer component’s settings to the specified path within the registry.

procedure SaveToRegistry(const APath: string); virtual;

Description

The SaveToRegistry method is used to save the explorer component’s settings into the registry path specified by the APath parameter. This method is called automatically when closing the application (destroying the explorer component) provided that the eoStoreToRegistry option is enabled. This option can be accessed via the Options property.

Generally, you will not have to use the SaveToRegistry method in applications.


TdxPSFileBasedExplorer.ShowChangeRootPathDlg

TdxPSFileBasedExplorer

Displays the dialog that enables end users to change the root path.

function ShowChangeRootPathDlg: Boolean;

Description

Use the ShowChangeRootPathDlg method to invoke the dialog that allows end users to change the root path. Note that end users can also invoke the dialog using the Change Root… command available via the main and context menus.

The ShowChangeRootPathDlg method returns True if the root path has been changed. If the root path remains unchanged the method returns False.

If you need to change the root path to the current root’s parent folder, use the GoToUpOneLevel method.


TdxPSFileBasedExplorer.UnloadItemData

TdxPSFileBasedExplorer

Unloads an items data from a particular report link.

procedure UnloadItemData(const AFullQualifiedFileName: string);

Description

The print preview window displays the current report link’s data by default. To display a report item’s data, the item’s data should be loaded into a report link which is identified by the component printer’s CurrentLink property. After the item’s data has been loaded, you can unload it using the UnloadItemData method call. The item whose data is to be unloaded is specified by its full-qualified name via the AFullQualifiedFileName parameter. Once the data has been unloaded, the preview window displays the actual report link’s content.

Note that end users can load an items’ data into the current report link by double-clicking on an item or choosing the Load item from their context menus. The context menu’s Unload item can be used to unload the item’s data from the report link.

You can also use another UnloadItemData overload that specified the item by an object representing it.


TdxPSFileBasedExplorerFolder.DirName

TdxPSFileBasedExplorerFolder

Returns the folder name.

property DirName: string;

Description

Use the DirName property to access the folder name. This property value matches the folder’s Name property value. Note that the Name property enables you to rename the folder.

If you need to obtain the full-qualified folder name, use the FullQualifiedDirName property instead.

ReadOnly Property


TdxPSFileBasedExplorerFolder.Explorer

TdxPSFileBasedExplorerFolder

Returns the explorer component that owns the current folder.

function Explorer: TdxPSFileBasedExplorer ; reintroduce; overload;

Description

This method reintroduces the base class’ Explorer method to return an object of the proper type.


TdxPSFileBasedExplorerFolder.FindFolderByFullQualifiedDirName

TdxPSFileBasedExplorerFolder

Finds the child folder specified by its full-qualified name.

function FindFolderByFullQualifiedDirName(const AFullQualifiedDirName: string): TdxPSFileBasedExplorerFolder ;

Description

Use the FindFolderByFullQualifiedDirName method to obtain an object representing the child folder with the specified full-qualified name. The name should be passed as the AFullQualifiedDirName parameter, if the path specified doesn’t point to an existing child folder, the method returns nil.

Note that you can alternatively use the explorer component’s FindFolderByFullQualifiedDirName method. This method enables you to obtain the root folder’s child.


TdxPSFileBasedExplorerFolder.FindItemByFullQualifiedFileName

TdxPSFileBasedExplorerFolder

Returns the child item specified by its full-qualified name.

function FindItemByFullQualifiedFileName(const AFullQualifiedName: string): TdxPSFileBasedExplorerItem ;

Description

Use the FindItemByFullQualifiedFileName method to obtain an object representing a child item at a particular location. The desired item’s full-qualified name should be passed as the AFullQualfiedName parameter. If the name specified doesn’t point to any existing child item (at any nesting level), the method returns nil.

Note that you can alternatively use the explorer component’s FindItemByFullQualifiedFileName method. This method enables you to obtain the root folder’s child items at any nesting levels.


TdxPSFileBasedExplorerFolder.Folders

TdxPSFileBasedExplorerFolder

Provides indexed access to child folders on the immediate nesting level.

property Folders[Index: Integer]: TdxPSFileBasedExplorerFolder ;

Description

Use the Folders property to access a folder’s immediate child folders. The folder to be accessed is specified by its zero-based index via the Index parameter. Note that the maximum available index is the FolderCount property value decremented by one. The FolderCount and Folders properties can be used in combination to traverse through child folders.

The Folders property overrides the base class property to return object of a proper kind.

ReadOnly Property


TdxPSFileBasedExplorerFolder.FullQualifiedDirName

TdxPSFileBasedExplorerFolder

Returns the folder’s full-qualified name.

property FullQualifiedDirName: string;

Description

Use the FullQualifiedDirName property to access the folder’s full-qualified name. Note that the folder’s name without the associated path can be accessed using the DirName property. The folder’s path without its name can be obtained via the FullQualifiedDirPath property. Thus, the FullQualifiedDirName property value is the concatenation of the FullQualifiedDirPath and DirName property values.

Suppose the current object represents the ‘C:\Documents\Reports\’ folder. The table below lists the properties mentioned and their return values in this case.

Property

Return Value

DirName

‘Reports’

FullQualifiedDirName

‘C:\Documents\Reports’

FullQualifiedDirPath

‘C:\Documents\’

Note that the properties mentioned will return the same strings when reading their values for a root folder. The only exception is that the FullQualifiedDirName property will return the path followed by the back slash.

ReadOnly Property


TdxPSFileBasedExplorerFolder.FullQualifiedDirPath

TdxPSFileBasedExplorerFolder

Returns the full-qualified path to the folder.

property FullQualifiedDirPath: string;

Description

Use the FullQualifiedDirPath property to obtain the string representing the path to the current folder. Please refer to the FullQualifiedDirName property description for additional information on the FullQualifiedDirPath property’s return value and it’s relation to other properties.

ReadOnly Property


TdxPSFileBasedExplorerFolder.IsVolume

TdxPSFileBasedExplorerFolder

Determines whether the current folder is a volume.

property IsVolume: Boolean;

Description

The IsVolume property returns True if the current folder is a volume, otherwise False is returned.

If the current folder is root, you can determine the volume label and drive type by using the VolumeLabel and DriveType properties respectively.

ReadOnly Property


TdxPSFileBasedExplorerFolder.Items

TdxPSFileBasedExplorerFolder

Provides indexed access to immediate child items.

property Items[Index: Integer]: TdxPSFileBasedExplorerItem ;

Description

Use the Items property to access the folder’s immediate child items using the indexer notation. Items are specified by their zero-based index via the Index parameter. The last item’s index is the ItemCount property value decremented by one. The ItemCount and Items properties can be used in combination to traverse through child items.

The Items property overrides the base class property to return objects of a proper type.

ReadOnly Property


TdxPSFileBasedExplorerItem.Explorer

TdxPSFileBasedExplorerItem

Returns the explorer component that owns the current report item.

function Explorer: TdxPSFileBasedExplorer ; reintroduce; overload;

Description

This method reintroduces the base class Explorer method to return an object of the proper type.


TdxPSFileBasedExplorerItem.FileName

TdxPSFileBasedExplorerItem

Returns the file name.

property FileName: string;

Description

Use the FileName property to obtain the name of the file where the item’s data is stored. Note that the name returned includes the file extension specified by the explorer component’s FileExtension method. The file name without the extension can be obtained using the item’s Name property. This property can also be used to rename the file.

Use the FullQualifiedFileName property if you need to access the file’s full-qualified name.

ReadOnly Property


TdxPSFileBasedExplorerItem.FullQualifiedFileName

TdxPSFileBasedExplorerItem

Returns the full-qualified file name.

property FullQualifiedFileName: string;

Description

Use the FullQualifiedFileName property to determine the full-qualified name of the file where the report item’s data is stored. If you need to get the file name without the path to it, use the FileName property instead. If you want to get the path without the file name, read the FullQualifiedFilePath property value. Thus, the FullQualifiedFileName property value is the concatenation of the strings returned by the FullQualifiedFilePath and FileName properties.

Suppose that a report item’s data is stored in the C:\Reports\NewReport.rps file. The table below lists the properties mentioned and their return values in this case.

Property

Value

FileName

‘NewReport.rps’

FullQualifiedFileName

‘C:\Reports\NewReport.rps’

FullQualifiedFilePath

‘C:\Reports\’

ReadOnly Property


TdxPSFileBasedExplorerItem.FullQualifiedFilePath

TdxPSFileBasedExplorerItem

Returns the full-qualified path to the file.

property FullQualifiedFilePath: string;

Description

The string returned by this property matches the parent folder full-qualified path. The parent folder can be accessed via the Parent property. To get a folder’s path, use the obtained folder object’s FullQualifiedDirName property.

Refer to the FullQualifiedFileName property description for details on the FullQualifiedFilePath property’s return value and its relation to other properties.

ReadOnly Property


TdxPSFileBasedExplorerRootFolder.DriveType

TdxPSFileBasedExplorerRootFolder

Determines the type of drive where the folder is located.

type

TdxDriveType = (dtUnknown, dtNoRootDir, dtRemovable, dtFixed, dtRemote, dtCDROM, dtRamDisk);

property DriveType: TdxDriveType;

Description

Use the DriveType property to determine the type of drive where the folders viewed by the explorer component are located. The following values can be returned by the property.

Value | Meaning
dtUnknown | The drive type cannot be determined.
dtNoRootDir | The root directory does not exist.
dtRemovable | The disk can be removed from the drive.
dtFixed | The disk cannot be removed from the drive.
dtRemote | The drive is a remote (network) drive.
dtCDROM | The drive is a CD-ROM drive.
dtRamDisk | The drive is a RAM disk.

ReadOnly Property


TdxPSFileBasedExplorerRootFolder.VolumeLabel

TdxPSFileBasedExplorerRootFolder

Returns the volume label.

property VolumeLabel: string;

Description

Use the VolumeLabel property to get the volume label which the current folder refers to. Note that if the current folder doesn’t represent a volume, the property returns an empty string.

ReadOnly Property


TdxPSPrintStyle.OnAfterGenerating

TdxPSPrintStyle

See Also

Occurs after a report has been generated.

property OnAfterGenerating: TNotifyEvent;

Description

Write an OnAfterGenerating event handler to perform specific actions after a report has been generated.


TdxPSPrintStyle.OnAfterPrinting

TdxPSPrintStyle

See Also

Occurs after a report has been printed.

property OnAfterPrinting: TNotifyEvent;

Description

Write an OnAfterPrinting event handler to perform specific actions after a report has been printed.


TdxPSPrintStyle.OnBeforeGenerating

TdxPSPrintStyle

See Also

Occurs before generating a report.

property OnBeforeGenerating: TNotifyEvent;

Description

Write an OnBeforeGenerating event handler to perform specific actions before generating a report.


TdxPSPrintStyle.OnBeforePrinting

TdxPSPrintStyle

See Also

Occurs before printing a report.

property OnBeforePrinting: TNotifyEvent;

Description

Write an OnBeforePrinting event handler to perform specific actions before printing a report.


TdxPSReportCompositionDocument.ReportLink

TdxPSReportCompositionDocument

Returns the associated report link.

property ReportLink: TdxCompositionReportLink ;

Description

The ReportLink property has a slightly different meaning depending on how the current TdxPSReportDocument instance is used. The following two cases can take place:

  • The current instance represents a composition report link’s ReportDocument property. In this case, the ReportLink property returns that report link.

  • The current instance represents a report item’s ReportDocument property. In this case, the ReportLink property returns the report link whose data is used by the report item.

Note that the constructor initializes the value of the ReportLink property. The constructor in turn, is called automatically when initializing composition report links and report items.

ReadOnly Property


TdxPSReportDocument.Assign

TdxPSReportDocument

Copies the settings from a report document passed as a parameter.

procedure Assign(Source: TPersistent ); override;

Description

The Assign method may be useful if you need to provide similar or identical document descriptions for the items/links of multiple reports. This method enables you to customize a report document’s settings only once and then copy them to another report document.

The Source parameter specifies the report document whose settings are to be copied the caller is the target document.


TdxPSReportDocument.Caption

TdxPSReportDocument

Specifies the report caption.

property Caption: string;

Description

The Caption property contains the report’s short description. The detailed report description should be assigned to the Description property.

The Caption property value also specifies the report item’s file name when saving a report using the report link’s settings.

Note that this property value is used only when the report link’s ReportTitle.Text property value is an empty string. The specified file name is used if a report is saved via code. When the end user saves a report, they are allowed to change an item’s name before the item is actually saved.

By default, the Caption property value is the ‘NewReport’ string.


TdxPSReportDocument.Create

TdxPSReportDocument

Creates a new TdxPSReportDocument object.

constructor Create(AReportLink: TBasedxReportLink); virtual;

Description

The constructor is called automatically when a new report item or report link is created. Generally, you will have no need to create TdxPSReportDocument objects manually.

The AReportLink parameter value initializes the ReportLink property.


TdxPSReportDocument.CreationDate

TdxPSReportDocument

Specifies the report’s creation date and time.

property CreationDate: TDateTime ;

Description

Use the CreationDate property to specify a report’s creation date and time. This property value is only taken into account when the component printer’s AutoUpdateDateTime property value is set to False. When this property value is True, the default setting the report’s creation date is automatically set to the system’s current date and time.


TdxPSReportDocument.Creator

TdxPSReportDocument

Specifies the report creator’s name.

property Creator: string;

Description

Use the Creator property to change the report creator’s name. By default, this property value is initialized as the current user’s name. Thus, you will need to change the Creator property value only when using the current user’s name doesn’t suit your needs.


TdxPSReportDocument.Description

TdxPSReportDocument

Specifies the report description.

property Description: string;

Description

The Description property provides a detailed description about the report’s contents or any other notes regarding a report. By default, the Description property value is an empty string.

Note that the ‘Description:’ entry in the report items’ hints is present regardless of whether the Description property contains any text.


TdxPSReportDocument.InfoTip

TdxPSReportDocument

Returns the text displayed in a report’s hint.

property InfoTip: string;

Description

The text displayed in a report item’s hint is obtained via the item’s InfoTip property. As implemented in report item objects the InfoTip property returns the associated report document’s InfoTip property value.

The InfoTip property returns a text comprised of four lines that display the Caption, CreationDate, Creator and Description property values. Each line is prefixed with a string identifying the property whose value is displayed. These strings are specified by the sdxCaption, sdxCreator, sdxCreationDate and sdxDescription constants respectively.

ReadOnly Property


TdxPSReportDocument.Preview

TdxPSReportDocument

Returns the document preview as an image.

property Preview: TMetafile ;

Description

The Preview property holds the report document rendered into an image. This image is displayed in the report item’s property sheets dialog, this dialog can be invoked when using a report explorer. Choose the context menu’s Properties… item for this purpose.

You can use the Preview property to save the report’s image to a file, display it on a form, etc.

The Preview property value is initialized by the RetrievePreview method. This method is called automatically when initializing a new report item using an explorer’s component’s CreateNewItem method, for instance. To obtain a preview of the report link, you need to call the RetrievePreview method manually. Note that the corresponding report should be constructed before you can obtain its image representation this can be done by calling a report link’s RebuildReport method.

ReadOnly Property


TdxPSReportDocument.ReportLink

TdxPSReportDocument

Returns the associated report link.

property ReportLink: TBasedxReportLink ;

Description

The ReportLink property has a slightly different meaning depending on how the current TdxPSReportDocument instance is used. The following two cases can take place:

  • The current instance represents a report link’s ReportDocument property. In this case, the ReportLink property returns that report link.

  • The current instance represents a report item’s ReportDocument property. In this case, the ReportLink property returns the report link whose data is used by the report item.

Note that the constructor initializes the value of the ReportLink property. The constructor in turn, is called automatically when initializing report links and report items.

ReadOnly Property


TdxPSReportDocument.RetrievePreview

TdxPSReportDocument

Updates the Preview property value.

procedure RetrievePreview; virtual;

Description

The RetrievePreview method is used to update the graphical representation of a report document, which can be obtained using the Preview property. Note that this method is called automatically when creating a new report item (used in explorer components). If the current TdxPSReportDocument instance is owned by a report link, rather than a report item you should call the method manually before accessing the Preview property.


TdxRectWrapper.Bottom

TdxRectWrapper See Also

property Bottom : Integer;

Description

Specifies bottom coordinates of a rectangle.


TdxRectWrapper.BottomRight

TdxRectWrapper See Also

property BottomRight : TPoint;

Description

Determines coordinates of the bottom-right corner of a rectangle.


TdxRectWrapper.Clone

TdxRectWrapper

function Clone: TPersistent;

Description

This method creates a copy of a given TdxRectWrapper object. It returns the newly created object. The Clone method produces the same result as if you sequentially call the Create and Assign methods.


TdxRectWrapper.Create

TdxRectWrapper See Also

constructor Create(ALeft, ATop, ARight, ABottom : Integer);

Description

Creates a new TdxRectWrapper object with specified coordinates.


TdxRectWrapper.DoChanged

TdxRectWrapper See Also

Generates an OnChanged event.

type

TdxRectSide = (rsLeft, rsTop, rsRight, rsBottom);

TdxRectSides = set of TdxRectSide;

procedure DoChanged(Sides : TdxRectSides); dynamic;

Description

This method is called when coordinates of TdxRectWrapper have been changed. It simply calls the OnChanged event handler (if assigned). The Sides parameter determines assigned coordinates.


TdxRectWrapper.DoChanging

TdxRectWrapper See Also

Generates an OnChanging event.

type

TdxRectSide = (rsLeft, rsTop, rsRight, rsBottom);

TdxRectSides = set of TdxRectSide;

procedure DoChanging(Sides : TdxRectSides; var Values : array of Integer); dynamic;

Description

This method is called when coordinates of a TdxRectWrapper object are about to be changed. It simply calls the OnChanging event handler (if assigned). The Sides parameter specifies the changed coordinates. The Values parameter determines new values for changed coordinates.


TdxRectWrapper.Empty

TdxRectWrapper

procedure Empty;

Description

Sets the default coordinate values of a TdxRectWrapper object. After calling this method the Left, Top, Bottom, Right, Width, and Height properties of the TdxRectWrapper object are equal to zero.


TdxRectWrapper.Height

TdxRectWrapper See Also

property Height : Integer;

Description

Determines the height of a rectangle specified by a given TdxRectWrapper object.


TdxRectWrapper.IsEqual

TdxRectWrapper

Compares a specified rectangle with a rectangle maintained by the TdxRectWrapper object.

function IsEqual(const ARect : TRect): Boolean;

Description

Returns True, if a rectangle, specified by the ARect parameter, has the same coordinates as the TdxRectWrapper object.


TdxRectWrapper.Left

TdxRectWrapper See Also

property Left : Integer;

Description

Determines the left coordinates of a rectangle.


TdxRectWrapper.OnChanged

TdxRectWrapper See Also

Occurs when coordinates of a rectangle, maintained by the TdxRectWrapper object, have been changed.

type

TdxRectSide = (rsLeft, rsTop, rsRight, rsBottom);

TdxRectSides = set of TdxRectSide;

TdxRectChangeEvent = procedure(Sender : TObject; Sides : TdxRectSides) of object;

property OnChanged : TdxRectChangeEvent;

Description

Write an OnChanged event handler to respond to changes to TdxRectWrapper object coordinates. The Sides parameter determines the changed coordinates.


TdxRectWrapper.OnChanging

TdxRectWrapper See Also

Occurs when coordinates of a rectangle maintained by the TdxRectWrapper object are about to be changed.

type

TdxRectSide = (rsLeft, rsTop, rsRight, rsBottom);

TdxRectSides = set of TdxRectSide;

TdxRectChangingEvent = procedure(Sender : TObject; Sides : TdxRectSides; var Values : array of Integer) of object;

property OnChanging : TdxRectChangingEvent;

Description

Write an OnChanging event handler to change coordinates as your needs dictate. For instance, the following code allows users to avoid changing the left coordinate:

if [rsLeft] in Sides then

Values[rsLeft] := dxRectWrapper1.Left;


TdxRectWrapper.Rect

TdxRectWrapper See Also

property Rect : TRect;

Description

Represents a rectangle maintained by the TdxRectWrapper object.


TdxRectWrapper.Right

TdxRectWrapper See Also

property Right : Integer;

Description

Determines the right coordinates of a rectangle.


TdxRectWrapper.Side

TdxRectWrapper See Also

Represents an array of rectangle coordinates.

type

TdxRectSide = (rsLeft, rsTop, rsRight, rsBottom);

TdxRectSides = set of TdxRectSide;

property Side[ASide: TdxRectSide] : Integer; default;

Description

Use this property to set or access TdxRectWrapper object coordinates. For instance, the following code changes coordinates of the TdxRectWrapper object:

dxRectWrapper1.Side[rsLeft] := 10; dxRectWrapper1.Side[rsTop] := 10; dxRectWrapper1.Side[rsRight] := dxRectWrapper1.Side[rsLeft] + dxRectWrapper1.Width; dxRectWrapper1.Side[rsBottom] := dxRectWrapper1.Side[rsTop] + dxRectWrapper1.Height;


TdxRectWrapper.Top

TdxRectWrapper See Also

property Top : Integer;

Description

Specifies the top coordinates of a rectangle.


TdxRectWrapper.TopLeft

TdxRectWrapper See Also

property TopLeft : TPoint;

Description

Specifies coordinates of the top-left corner of the TdxRectWrapper object.


TdxRectWrapper.Width

TdxRectWrapper See Also

property Width : Integer;

Description

Determines the width of a rectangle specified by a given TdxRectWrapper object.


TdxReportTitle.AdjustOnReportScale

TdxReportTitle See Also

Specifies whether the report title’s font height is adjusted based on the report’s scale factor.

property AdjustOnReportScale: Boolean;

Description

To fix the report’s title font height based on the report’s scale factor, set this property to False.

The default value of the AdjustOnReportScale property is False.


TdxReportTitle.BeginUpdate

TdxReportTitle See Also

Prevents a report from being recalculated during batch report title updates, until the EndUpdate or CancelUpdate method is called.

procedure BeginUpdate;

Description

Any changes to the report title made after a call to the BeginUpdate method don't force the report to be recalculated. The CancelUpdate method unlocks the report so that any further title changes are applied immediately. The EndUpdate method unlocks the report and recalculates it.

The BeginUpdate, CancelUpdate, and EndUpdate methods use an internal counter to implement their functionality. The counter's initial value is 0. A call to the BeginUpdate method increments the counter by one. A call to the CancelUpdate or EndUpdate method decrements the counter by one and if its new value is 0, EndUpdate recalculates the report. This means that each call to BeginUpdate must be paired with a call to EndUpdate or CancelUpdate. To ensure that EndUpdate or CancelUpdate is always called even if an exception occurs, wrap any calls to these methods in a try...finally statement.


TdxReportTitle.CancelUpdate

TdxReportTitle See Also

Cancels a matching BeginUpdate call and unlocks the report for future recalculations during report title updates.

procedure CancelUpdate;

Description

Unlike EndUpdate, calling the CancelUpdate method after the last BeginUpdate call doesn’t recalculate the report.


TdxReportTitle.Color

TdxReportTitle See Also

Specifies the background color of a report’s title text.

property Color : TColor;

Description

This property is in effect when the Transparent property is set to False.

The default value of the Color property is clWhite.


TdxReportTitle.DefaultFont

TdxReportTitle See Also

Returns default font settings for the report title.

function DefaultFont: TFont;

Description

The first DefaultFont call creates a TFont object, and initializes its Color, Name, Size and Style properties with default values provided by the dxPSDefaultReportTitleFontColor, dxPSDefaultReportTitleFontName, dxPSDefaultReportTitleFontSize, and dxPSDefaultReportTitleFontStyle global constants. This object is used to restore the report title’s default font settings when the RestoreDefaults method is called.


TdxReportTitle.EndUpdate

TdxReportTitle See Also

Finalizes a matching BeginUpdate call, recalculates a report and unlocks the report for future recalculations during report title updates.

procedure EndUpdate;

Description

To unlock the report without performing immediate recalculations, call the CancelUpdate method.


TdxReportTitle.Font

TdxReportTitle See Also

Specifies the font for the report’s title text.

property Font: TFont;

Description

The default value of this property is returned by the DefaultFont function.


TdxReportTitle.Mode

TdxReportTitle See Also

Specifies the repeat mode for the report title.

type

TdxReportTitleMode = (tmNone, tmOnFirstPage, tmOnEveryTopPage);

property Mode: TdxReportTitleMode;

Description

Options include:

Value | Description
tmNone | The title is hidden.
tmOnFirstPage | The title is only displayed on the first page.
tmOnEveryTopPage | The title is displayed on every page.

The default value of the Mode property is tmOnEveryTopPage.


TdxReportTitle.ReportLink

TdxReportTitle

Determines the report link for which to assign a title.

property ReportLink: TBasedxReportLink ;

ReadOnly Property


TdxReportTitle.RestoreDefaults

TdxReportTitle See Also

Assigns default values to the AdjustOnReportScale, Color, Font, Mode, TextAlignX, TextAlignY, and Transparent properties.

procedure RestoreDefaults;


TdxReportTitle.Text

TdxReportTitle See Also

Specifies the report title’s text.

property Text: string;


TdxReportTitle.TextAlignX

TdxReportTitle See Also

Specifies the report title’s horizontal alignment.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

property TextAlignX: TdxTextAlignX;

Description

Use the TextAlignX property to specify the horizontal alignment of the report title. See the TdxTextAlignX type description for more information on the available values.

The default value of the TextAlignX property is taCenterX.


TdxReportTitle.TextAlignY

TdxReportTitle See Also

Specifies the report title’s vertical alignment.

type

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

property TextAlignY: TdxTextAlignY;

Description

Use the TextAlignY property to specify the vertical alignment of a report title. See the TdxTextAlignY type description for more information on the available values.

The default value of the TextAlignY property is taCenterY.


TdxReportTitle.Transparent

TdxReportTitle See Also

Specifies whether the report title’s background is transparent.

property Transparent: Boolean;

Description

Set this property to False to fill the report title’s background using the color provided by the Color property.

The default value of the Transparent property is True.


TdxRichEditReportLink.RichEdit

TdxRichEditReportLink

Determines the rich edit control printed within a report.

property RichEdit: TRichEdit;

Description

This property returns the TRichEdit object printed by a printing component.

ReadOnly Property


TdxRTTIInspectorReportLink.RTTIInspector

TdxRTTIInspectorReportLink

See Also

Determines the ExpressRTTIInspector used for printing items within a report.

property RTTIInspector: TdxRTTIInspector ;

Description

Use the RTTIInspector property to access to the printed object of type TdxRTTIInspector.

ReadOnly Property


TdxSpreadSheetBookReportLink.SpreadSheetBook

TdxSpreadSheetBookReportLink

Specifies the TcxSpreadSheetBook component for printing.

property SpreadSheetBook: TcxSpreadSheetBook;

Description

Use the SpreadSheetBook property to obtain the workbook to print. The TcxSpreadSheetBook.ActiveSheet property value of the object returned via this property specifies the worksheet to print.

ReadOnly Property


TdxSpreadSheetReportLink.SpreadSheet

TdxSpreadSheetReportLink

Specifies the ExpressSpreadSheet worksheet to print out.

property SpreadSheet: TcxSpreadSheet;

Description

Use SpreadSheet to obtain the worksheet to print.

ReadOnly Property


TdxStringGridReportLink.OnCustomDrawCell

TdxStringGridReportLink

Occurs when drawing a cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

TdxCustomDrawTextCellEvent = procedure(Sender: TBasedxReportLink; ACol, ARow: Integer; ACanvas: TCanvas; ABoundsRect, AClientRect: TRect; var AText: string; AFont: TFont; var AColor: TColor; var ATextAlignX: TdxTextAlignX; var ATextAlignY: TdxTextAlignY; var ADone: Boolean) of object;

property OnCustomDrawCell: TdxCustomDrawTextCellEvent;

Description

Write an OnCustomDrawCell event handler to draw a cell. The ACanvas parameter determines the drawing canvas.

Value

Description

ABoundsRect

Rectangular cell area including borders.

AClientRect

Rectangular cell area excluding borders.

ACol

Column of a cell.

ARow

Row of a cell.

AText

Context of a cell. It can be changed, if necessary.

AColor

Specifies background color. It can be changed, if necessary.

AFont

Font of a cell. It can be changed, if necessary.

ATextAlignX

Horizontal text alignment within a cell. It can be changed, if necessary.

ATextAlignY

Vertical text alignment within a cell. It can be changed, if necessary.

ADone

Determines whether the OnCustomDrawCell event handler entirely draws a cell. If ADone is True, the default drawing procedure is not called.

Note: This property is only accessible if the SupportedCustomDraw property is set to True.


TdxStringGridReportLink.StringGrid

TdxStringGridReportLink

Determines a TStringGrid object printed within a report.

property StringGrid: TStringGrid;

Description

This property returns the TStringGrid object printed by a printing component.

ReadOnly Property


TdxStringGridReportLink.TextAlignX

TdxStringGridReportLink See Also

Specifies horizontal text alignment in a cell.

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

property TextAlignX: TdxTextAlignX;

Description

Use the TextAlignX property to specify horizontal text alignment. See the TdxTextAlignX type description for more information on the available values.

By default, the TextAlignX property value is taLeft.


TdxStringGridReportLink.TextAlignY

TdxStringGridReportLink See Also

Specifies vertical text alignment in a cell.

type

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

property TextAlignY: TdxTextAlignY;

Description

Use the TextAlignY property to specify vertical text alignment in a cell. See the TdxTextAlignY type description for more information on the available values.

By default, the TextAlignY property value is taCenterY.


TdxTreeListReportLink.TreeList

TdxTreeListReportLink

Specifies the ExpressQuantumTreeList control.

property TreeList : TdxTreeList;

Description

This property returns the TdxTreeList component printed by a printing component.

ReadOnly Property


TdxTreeViewExReportLink.dxTreeView

TdxTreeViewExReportLink

Specifies a TdxTreeView control.

property dxTreeView: TdxTreeView ;

Description

Use the dxTreeView property to get access to the printed object of type TdxTreeView .

ReadOnly Property


TdxTreeViewReportLink.TreeView

TdxTreeViewReportLink

Determines the tree view object whose items are printed within a report.

property TreeView: TTreeView;

Description

This property returns a TTreeView object printed by a printing component.

ReadOnly Property


TrxRichEditReportLink.rxRichEdit

TrxRichEditReportLink

Determines the rich edit whose text is printed within a report.

property rxRichEdit: TrxRichEdit;

Description

This property returns a TrxRichEdit object printed by a printing component.

ReadOnly Property


PdxDBBasedExplorerItemUniqueID

PdxDBBasedExplorerItemUniqueID type

Represents a pointer to the type providing unique identification facilities for items and folders used in data-aware explorer components.

Unit

dxPSDBBasedXplorer

PdxDBBasedExplorerItemUniqueID = ^ TdxDBBasedExplorerItemUniqueID ;

Description

Pointers of the PdxDBBasedExplorerItemUniqueID type can be passed to the TdxPSDBBasedExplorer component’s FindCustomItemByUniqueID method to obtain a particular item or folder. Note that such explorers store items and folders in various datasets as a result item and folder IDs can overlap. That is why passing the ID only is not enough for identification and a pointer to the TdxDBBasedExplorerItemUniqueID structure should be passed. The structure holds the item type (whether it is a report or a folder) and ID.

Note that you can also access folders and items by their IDs using the FindFolderByID and FindItemByID methods.


TcxSchedulerReportEventPartType

TcxSchedulerReportEventPartType type

See Also

Lists a user event cell’s available areas.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportEventPartType = (epCaption, epStart, epFinish, epIcons,

epMessage, epTimeLine);

Description

Values include:

Value

Meaning

epCaption

Denotes the subject area of the user event cell (see the TcxSchedulerEvent.Caption property)

epStart

Denotes the start time area of the user event cell (see the TcxSchedulerEvent.Start property)

epFinish

Denotes the end time area of the user event cell (see the TcxSchedulerEvent.Finish property)

epIcons

Denotes the icons area of the user event cell

epMessage

Denotes the description area of the user event cell (see the TcxSchedulerEvent.Message property)

epTimeLine

Denotes the timeline bar area of the user event cell


TcxSchedulerReportLinkDetailsPrintStylePaginationMode

TcxSchedulerReportLinkDetailsPrintStylePaginationMode type

See Also

Lists available pagination modes.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkDetailsPrintStylePaginationMode = (dpmByDay, dpmByWeek, dpmByMonth);

Description

Values include:

Value

Meaning

dpmByDay

Denotes that the pages will be split by days

dpmByWeek

Denotes that the pages will be split by weeks

dpmByMonth

Denotes that the pages will be split by months


TcxSchedulerReportLinkPeriodicPrintStyleLayout

TcxSchedulerReportLinkPeriodicPrintStyleLayout type

See Also

Lists available page layouts.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkPeriodicPrintStyleLayout = (pslOnePage, pslTwoPages);

Description

Values include:

Value

Meaning

pslOnePage

The layout is one page per period

pslTwoPages

The layout is two pages per period


TcxSchedulerReportLinkTrifoldPrintStyleSectionMode

TcxSchedulerReportLinkTrifoldPrintStyleSectionMode type

See Also

Lists available types of views that occupy sections in the Tri-fold print style.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkTrifoldPrintStyleSectionMode = (smDailyCalendar, smWeeklyCalendar, smMonthlyCalendar, smTaskPad, smNotesAreaBlank, smNotesAreaLined);

Description

Values include:

Value

Meaning

smDailyCalendar

Denotes the daily print style

smWeeklyCalendar

Denotes the weekly print style

smMonthlyCalendar

Denotes the monthly print style

smTaskPad

Denotes the task pad

smNotesAreaBlank

Denotes the plain notes pane

smNotesAreaLined

Denotes the lined notes pane


TcxSchedulerReportLinkWeeklyPrintStyleArrange

TcxSchedulerReportLinkWeeklyPrintStyleArrange type

See Also

Lists available dates sorting types.

Unit

dxPScxSchedulerLnk (ExpressScheduler)

Unit

dxPScxScheduler2Lnk (ExpressScheduler 2)

Unit

dxPScxScheduler3Lnk (ExpressScheduler 3)

TcxSchedulerReportLinkWeeklyPrintStyleArrange = (wsaTopToBottom, wsaLeftToRight);

Description

Values include:

Value

Meaning

wsaTopToBottom

The days are sorted from top to bottom

wsaLeftToRight

The days are sorted from left to right


TcxVerticalGridReportLinkPrintMode

TcxVerticalGridReportLinkPrintMode type

<Help not yet available>

Unit

dxPScxVGridLnk

type

TcxVerticalGridReportLinkPrintMode = (vpmLoadedRecords, vpmAllRecords);

Description

Value

Meaning

vpmLoadedRecords

vpmAllRecords


TdxDBBasedExplorerItemType

TdxDBBasedExplorerItemType type

Lists explorer item types.

Unit

dxPSDBBasedXplorer

type

TdxDBBasedExplorerItemType = (eitFolder, eitItem);

Description

Explorer components (TdxPSFileBasedExplorer and TdxPSDBBasedExplorer) display folders and items, which are represented by objects that have the same ancestor. So, sometimes it is required to identify the item type (whether it is a report item or a folder). The TdxDBBasedExplorerItemType enumerator lists values used for that purpose. The following values are available.

Value | Meaning
eitFolder | The item represents a folder.
eitItem | The item represents a report.

Values listed in the enumerator are used to set a field value in the TdxDBBasedExplorerItemUniqueID structure.


TdxDBBasedExplorerItemUniqueID

TdxDBBasedExplorerItemUniqueID type

Represents a unique identifier of an item in a TdxPSDBBasedExplorer component.

Unit

dxPSDBBasedXplorer

type

TdxDBBasedExplorerItemUniqueID = record

ID: Integer;

ItemType: TdxDBBasedExplorerItemType ;

end;

Description

Report items and folders displayed by a data-aware explorer component are represented by objects that have the same ancestor. Thus, they can be both referred to as items. The TdxDBBasedExplorerItemUniqueID structure provides fields that uniquely identify an item. The ID field contains an item’s or folder’s ID. The ItemType field specifies whether the item is a report or a folder.

Pointers to the TdxDBBasedExplorerItemUniqueID type can be passed to an explorer component’s FindCustomItemByUniqueID method to obtain a particular report or folder. Please refer to the PdxDBBasedExplorerItemUniqueID type description for details.


TdxTextAlignX

TdxTextAlignX type

Enumerates the types of horizontal alignment available for the text of items.

Unit

dxPSGlbl

type

TdxTextAlignX = (taLeft, taCenterX, taRight, taJustifyX, taDistributeX);

Description

TdxTextAlignX enumerates the types of horizontal alignment available for the text of items. The following table describes each horizontal alignment type.

Value

Description

taLeft

The text is left aligned.

taCenterX

The text is centered within an item’s drawing rectangle.

taRight

The text is right aligned.

taJustifyX

The text is truncated if it exceeds the item's width.

taDistributeX

The words in the text are distributed evenly between the left and right edges of the item.


TdxTextAlignY

TdxTextAlignY type

Enumerates the types of vertical alignment available for the text of items.

Unit

dxPSGlbl

type

TdxTextAlignY = (taTop, taCenterY, taBottom, taDistributeY);

Description

TdxTextAlignX enumerates the types of vertical alignment available for the text of items. The following table describes each vertical alignment type.

Value

Description

taLeft

The text is left aligned.

taCenterX

The text is centered within an item’s drawing rectangle.

taRight

The text is right aligned.

taDistributeY

The words in the text are distributed evenly between the top and bottom edges of the item.


dxPScxCommon Unit Overview

dxPScxCommon Unit

Classes

TdxCustomcxControlReportLink

TdxCustomReportLinkOptions

TdxCustomReportLinkOptionsExpanding

TdxCustomReportLinkOptionsFormatting

TdxCustomReportLinkOptionsPagination

TdxCustomReportLinkOptionsRefinements

TdxCustomReportLinkOptionsSize

TdxCustomReportLinkOptionsView

TdxCustomReportLinkStyles

TdxCustomReportLinkStyleSheet

TdxCustomTableControlReportLink

TdxCustomTableControlReportLinkOptions

TdxCustomTableControlReportLinkOptionsOnEveryPage

TdxCustomTableControlReportLinkOptionsPagination

TdxCustomTableControlReportLinkOptionsPreview

TdxCustomTableControlReportLinkOptionsSelection

TdxCustomTableControlReportLinkOptionsView

TdxfmCustomcxControlReportLinkDesignWindow


dxPScxDBEditorLnks

dxPScxDBEditorLnks Unit

Classes

TcxDBMemoReportLink


dxPScxEditorLnks

dxPScxEditorLnks Unit

Classes

TcxCustomMemoReportLink

TcxMemoReportLink


dxPScxMCListBoxLnk

dxPScxMCListBoxLnk Unit

Classes

TcxMCListBoxReportLink


dxPSGlbl Unit Overview

Other Types

TdxTextAlignX

TdxTextAlignY


dxPSTextLnk

dxPSTextLnk Unit

Classes

TdxCustomMemoReportLink

TdxCustomStringsReportLink

TdxCustomTextReportLink

TdxMemoReportLink

TdxTextReportLink


Legend

Protected

Published

ReadOnly


TAbstractdxGridReportLink Events

TAbstractdxGridReportLink

Legend

In TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TAbstractdxRichEditReportLink Events

TAbstractdxRichEditReportLink

Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TBasedxPrintStyle Events

TBasedxPrintStyle

Legend

In TBasedxPrintStyle

OnDestroy

OnFilterPaper


TBasedxReportLink Events

TBasedxReportLink Legend

In TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxComponentPrinter Events

TCustomdxComponentPrinter Legend

In TCustomdxComponentPrinter

OnAddReportLink

OnAfterPreview

OnBeforeDesignReport

OnBeforePreview

OnChangeComponent

OnChangeCurrentLink

OnCustomDrawPage

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportTitle

OnDeleteReportLink

OnDesignReport

OnEndGenerateReport

OnEndPrint

OnGenerateReportProgress

OnGetPrintTitle

OnMeasureReportTitle

OnNewPage

OnPageSetup

OnPrintDeviceBusy

OnPrintDeviceError

OnStartGenerateReport

OnStartPrint


TCustomdxGraphicReportLink Events

TCustomdxGraphicReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxGridReportLink Events

TCustomdxGridReportLink

Legend

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxInspectorReportLink Events

TCustomdxInspectorReportLink

Legend

In TCustomdxInspectorReportLink

OnCustomDrawCaption

OnCustomDrawCaptionSeparator

OnCustomDrawValue

OnCustomDrawValueSeparator

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxListBoxReportLinkControl Events

TCustomdxListBoxReportLinkControl Legend

Derived from TdxCustomListBoxReportLink

OnCustomDrawItem

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxNativeTreeViewReportLink Events

TCustomdxNativeTreeViewReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxOrgChartReportLink Events

TCustomdxOrgChartReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxPictureReportLink Events

TCustomdxPictureReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TCustomdxPSExplorer

TCustomdxPSExplorer Events

TCustomdxPSExplorer Legend

In TCustomdxPSExplorer

OnItemDataLoadError


TCustomdxRichEditReportLink Events

TCustomdxRichEditReportLink

Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TCustomdxSpreadSheetReportLink

TCustomdxSpreadSheetReportLink Events

TCustomdxSpreadSheetReportLink Legend

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxTeeChartReportLink Events

TCustomdxTeeChartReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxTreeListReportLink Events

TCustomdxTreeListReportLink Legend

In TCustomdxTreeListReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawPreviewCell

OnCustomDrawRowFooterCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TCustomdxTreeViewReportLink Events

TCustomdxTreeViewReportLink

Legend

In TCustomdxTreeViewReportLink

OnCustomDrawNode

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TcxCustomMemoReportLink Events

TcxCustomMemoReportLink Legend

Derived from TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxCustomVerticalGridReportLink

TcxCustomVerticalGridReportLink Events

TcxCustomVerticalGridReportLink Legend

In TcxCustomVerticalGridReportLink

OnCustomDrawRowHeaderCell

OnCustomDrawRowHeaderSeparatorCell

OnCustomDrawRowIndentCell

OnCustomDrawRowValueCell

OnCustomDrawRowValueSeparatorCell

OnInitializeRowHeaderCell

OnInitializeRowHeaderSeparatorCell

OnInitializeRowIndentCell

OnInitializeRowValueCell

OnInitializeRowValueSeparatorCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TcxDBMemoReportLink Events

TcxDBMemoReportLink Legend

Derived from TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxDBTreeListReportLink

TcxDBTreeListReportLink Events

TcxDBTreeListReportLink Legend

Derived from TcxTreeListControlReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawIndentCell

OnGetCustomPageBreaks

OnInitializeBandCell

OnInitializeCell

OnInitializeFooterCell

OnInitializeHeaderCell

OnInitializeIndentCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxDBVerticalGridReportLink

TcxDBVerticalGridReportLink Events

TcxDBVerticalGridReportLink Legend

Derived from TcxCustomVerticalGridReportLink

OnCustomDrawRowHeaderCell

OnCustomDrawRowHeaderSeparatorCell

OnCustomDrawRowIndentCell

OnCustomDrawRowValueCell

OnCustomDrawRowValueSeparatorCell

OnInitializeRowHeaderCell

OnInitializeRowHeaderSeparatorCell

OnInitializeRowIndentCell

OnInitializeRowValueCell

OnInitializeRowValueSeparatorCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TcxMCListBoxReportLink Events

TcxMCListBoxReportLink

Legend

In TcxMCListBoxReportLink

OnCustomDrawItem

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TcxMemoReportLink Events

TcxMemoReportLink Legend

Derived from TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxRTTIInspectorReportLink

TcxRTTIInspectorReportLink Events

TcxRTTIInspectorReportLink Legend

Derived from TcxCustomVerticalGridReportLink

OnCustomDrawRowHeaderCell

OnCustomDrawRowHeaderSeparatorCell

OnCustomDrawRowIndentCell

OnCustomDrawRowValueCell

OnCustomDrawRowValueSeparatorCell

OnInitializeRowHeaderCell

OnInitializeRowHeaderSeparatorCell

OnInitializeRowIndentCell

OnInitializeRowValueCell

OnInitializeRowValueSeparatorCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxSchedulerReportLink

TcxSchedulerReportLink Events

TcxSchedulerReportLink Legend

In TcxSchedulerReportLink

OnActivePrintStyleChanged

OnCanPrintEvent

OnCustomDrawContentCell

OnCustomDrawDateNavigatorDayCaptionCell

OnCustomDrawDateNavigatorDayCell

OnCustomDrawDateNavigatorHeaderCell

OnCustomDrawDateNavigatorWeekNumberCell

OnCustomDrawEventPartCell

OnCustomDrawHeaderCell

OnCustomDrawNotesCell

OnCustomDrawSchedulerHeaderCell

OnCustomDrawTaskPadCell

OnCustomDrawTimeRulerCell

OnInitializeEventCell

OnInitializeHeaderPrimaryCell

OnInitializeHeaderSecondaryCell

OnInitializeNotesAreaCell

OnInitializeSchedulingAreaCell

OnInitializeTaskPadCell


Events for TcxTreeListControlReportLink

TcxTreeListControlReportLink Events

TcxTreeListControlReportLink Legend

In TcxTreeListControlReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawIndentCell

OnGetCustomPageBreaks

OnInitializeBandCell

OnInitializeCell

OnInitializeFooterCell

OnInitializeHeaderCell

OnInitializeIndentCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxTreeListReportLink

TcxTreeListReportLink Events

TcxTreeListReportLink Legend

Derived from TcxTreeListControlReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawIndentCell

OnGetCustomPageBreaks

OnInitializeBandCell

OnInitializeCell

OnInitializeFooterCell

OnInitializeHeaderCell

OnInitializeIndentCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxTreeListReportLinkStyles

TcxTreeListReportLinkStyles Events

TcxTreeListReportLinkStyles Legend

In TcxTreeListReportLinkStyles

OnGetNodeIndentStyle


Events for TcxUnboundVerticalGridReportLink

TcxUnboundVerticalGridReportLink Events

TcxVerticalGridReportLink Legend

Derived from TcxCustomVerticalGridReportLink

OnCustomDrawRowHeaderCell

OnCustomDrawRowHeaderSeparatorCell

OnCustomDrawRowIndentCell

OnCustomDrawRowValueCell

OnCustomDrawRowValueSeparatorCell

OnInitializeRowHeaderCell

OnInitializeRowHeaderSeparatorCell

OnInitializeRowIndentCell

OnInitializeRowValueCell

OnInitializeRowValueSeparatorCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxVerticalGridReportLink

TcxVerticalGridReportLink Events

TcxVerticalGridReportLink Legend

Derived from TcxCustomVerticalGridReportLink

OnCustomDrawRowHeaderCell

OnCustomDrawRowHeaderSeparatorCell

OnCustomDrawRowIndentCell

OnCustomDrawRowValueCell

OnCustomDrawRowValueSeparatorCell

OnInitializeRowHeaderCell

OnInitializeRowHeaderSeparatorCell

OnInitializeRowIndentCell

OnInitializeRowValueCell

OnInitializeRowValueSeparatorCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxVirtualTreeListReportLink

TcxVirtualTreeListReportLink Events

TcxVirtualTreeListReportLink Legend

Derived from TcxTreeListControlReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawIndentCell

OnGetCustomPageBreaks

OnInitializeBandCell

OnInitializeCell

OnInitializeFooterCell

OnInitializeHeaderCell

OnInitializeIndentCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TcxVirtualVerticalGridReportLink

TcxVirtualVerticalGridReportLink Events

TcxVirtualVerticalGridReportLink Legend

Derived from TcxCustomVerticalGridReportLink

OnCustomDrawRowHeaderCell

OnCustomDrawRowHeaderSeparatorCell

OnCustomDrawRowIndentCell

OnCustomDrawRowValueCell

OnCustomDrawRowValueSeparatorCell

OnInitializeRowHeaderCell

OnInitializeRowHeaderSeparatorCell

OnInitializeRowIndentCell

OnInitializeRowValueCell

OnInitializeRowValueSeparatorCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxBackground Events

TdxBackground Legend

In TdxBackground

OnApply

OnChange

OnPaint

OnPaintEx


TdxComponentPrinter Events

TdxComponentPrinter Legend

In TdxComponentPrinter

OnExportGetPageFileName

OnExportPrepareGraphic

OnExportProgress

Derived from TCustomdxComponentPrinter

OnAddReportLink

OnAfterPreview

OnBeforeDesignReport

OnBeforePreview

OnChangeComponent

OnChangeCurrentLink

OnCustomDrawPage

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportTitle

OnDeleteReportLink

OnDesignReport

OnEndGenerateReport

OnEndPrint

OnGenerateReportProgress

OnGetPrintTitle

OnMeasureReportTitle

OnNewPage

OnPageSetup

OnPrintDeviceBusy

OnPrintDeviceError

OnStartGenerateReport

OnStartPrint


TdxCompositionReportLink Events

TdxCompositionReportLink

Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TdxCustomContainerReportLink

TdxCustomContainerReportLink Events

TdxCustomContainerReportLink Legend

In TdxCustomContainerReportLink

OnCustomDrawItem

OnGetComponentCaption

OnGetComponentReportLink

OnInitializeItem

OnInitializeItemOptionsPlace

OnInitializeReportLink

OnIsComponentProcessed

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TdxCustomcxControlReportLink

TdxCustomcxControlReportLink Events

TdxCustomcxControlReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxCustomListBoxReportLink Events

TdxCustomListBoxReportLink

Legend

In TdxCustomListBoxReportLink

OnCustomDrawItem

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxCustomMemoReportLink Events

TdxCustomMemoReportLink Legend

Derived from TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxCustomStringsReportLink Events

TdxCustomStringsReportLink Legend

Derived from TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TdxCustomTableControlReportLink

TdxCustomTableControlReportLink Events

TdxCustomTableControlReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxCustomTextReportLink Events

TdxCustomTextReportLink Legend

In TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDBGridReportLink Events

TdxDBGridReportLink Legend

Derived from TCustomdxTreeListReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawPreviewCell

OnCustomDrawRowFooterCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDBInspectorReportLink Events

TdxDBInspectorReportLink

Legend

Derived from TCustomdxInspectorReportLink

OnCustomDrawCaption

OnCustomDrawCaptionSeparator

OnCustomDrawValue

OnCustomDrawValueSeparator

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDBOrgChartReportLink Events

TdxDBOrgChartReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDBTeeChartReportLink Events

TdxDBTeeChartReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDBTreeListControlReportLink Events

TdxDBTreeListControlReportLink

Legend

Derived from TCustomdxTreeListReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawPreviewCell

OnCustomDrawRowFooterCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDBTreeListReportLink Events

TdxDBTreeListReportLink Legend

Derived from TCustomdxTreeListReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawPreviewCell

OnCustomDrawRowFooterCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDBTreeViewReportLink Events

TdxDBTreeViewReportLink

Legend

Derived from TCustomdxTreeViewReportLink

OnCustomDrawNode

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxDrawGridReportLink Events

TdxDrawGridReportLink Legend

In TdxDrawGridReportLink

OnCustomDrawCell

OnCustomDrawCellEx

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxFlowChartReportLink Events

TdxFlowChartReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TdxGridReportLink

TdxGridReportLink Events

TdxGridReportLink Legend

In TdxGridReportLink

OnCustomDrawBandCell

OnCustomDrawCardRowCaptionCell

OnCustomDrawCardRowDataCell

OnCustomDrawCell

OnCustomDrawFilterBar

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawLevelCaption

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxImageReportLink Events

TdxImageReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxInspectorReportLink Events

TdxInspectorReportLink

Legend

Derived from TCustomdxInspectorReportLink

OnCustomDrawCaption

OnCustomDrawCaptionSeparator

OnCustomDrawValue

OnCustomDrawValueSeparator

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TdxLayoutControlReportLink

TdxLayoutControlReportLink Events

TdxLayoutControlReportLink Legend

Derived from TdxCustomContainerReportLink

OnCustomDrawItem

OnGetComponentCaption

OnGetComponentReportLink

OnInitializeItem

OnInitializeItemOptionsPlace

OnInitializeReportLink

OnIsComponentProcessed

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxListBoxReportLink Events

TdxListBoxReportLink Legend

Derived from TdxCustomListBoxReportLink

OnCustomDrawItem

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxMasterViewReportLink Events

TdxMasterViewReportLink

Legend

In TdxMasterViewReportLink

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawPreviewCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxMemoReportLink Events

TdxMemoReportLink Legend

Derived from TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxOrgChartReportLink Events

TdxOrgChartReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxPageSetupDialog Events

TdxPageSetupDialog

Legend

In TdxPageSetupDialog

OnClose

OnCustomDrawPreview

OnShow


TdxPictureReportLink Events

TdxPictureReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxPrintDialog Events

TdxPrintDialog

In TdxPrintDialog

OnClose

OnPageSetup

OnShow


TdxPrinterPage.Events

dxPrinterPage

Legend

In TdxPrinterPage

OnChange

OnMarginChange


TdxPrintStyleManager Events

TdxPrintStyleManager

Legend

In TdxPrintStyleManager

OnChangeCurrentStyle

OnStyleListChanged


Events for TdxPSDBBasedExplorer

TdxPSDBBasedExplorer Events

TdxPSDBBasedExplorer Legend

In TdxPSDBBasedExplorer

OnLoadError

Derived from TCustomdxPSExplorer

OnItemDataLoadError


Events for TdxPSFileBasedExplorer

TdxPSFileBasedExplorer Events

TdxPSFileBasedExplorer Legend

In TdxPSFileBasedExplorer

OnLoadError

Derived from TCustomdxPSExplorer

OnItemDataLoadError


TdxPSPrintStyle Events

TdxPSPrintStyle

Legend

In TdxPSPrintStyle

OnAfterGenerating
OnAfterPrinting
OnBeforeGenerating
OnBeforePrinting

Derived from TBasedxPrintStyle

OnDestroy

OnFilterPaper


TdxRichEditReportLink Events

TdxRichEditReportLink

Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxRTTIInspectorReportLink Events

TdxRTTIInspectorReportLink

Legend

Derived from TCustomdxInspectorReportLink

OnCustomDrawCaption

OnCustomDrawCaptionSeparator

OnCustomDrawValue

OnCustomDrawValueSeparator

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TdxSpreadSheetBookReportLink

TdxSpreadSheetBookReportLink Events

TdxSpreadSheetBookReportLink Legend

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


Events for TdxSpreadSheetReportLink

TdxSpreadSheetReportLink Events

TdxSpreadSheetReportLink Legend

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxStringGridReportLink Events

TdxStringGridReportLink Legend

In TdxStringGridReportLink

OnCustomDrawCell

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxTeeChartReportLink Events

TdxTeeChartReportLink Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxTextReportLink Events

TdxTextReportLink Legend

Derived from TdxCustomTextReportLink

OnCustomDrawRow

OnInitializeRow

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxTreeListReportLink Events

TdxTreeListReportLink Legend

Derived from TCustomdxTreeListReportLink

OnCustomDrawBandCell

OnCustomDrawCell

OnCustomDrawFooterCell

OnCustomDrawHeaderCell

OnCustomDrawPreviewCell

OnCustomDrawRowFooterCell

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxTreeViewExReportLink Events

TdxTreeViewExReportLink

Legend

Derived from TCustomdxTreeViewReportLink

OnCustomDrawNode

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TdxTreeViewReportLink Events

TdxTreeViewReportLink

Legend

Derived from TCustomdxTreeViewReportLink

OnCustomDrawNode

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TrxRichEditReportLink Events

TrxRichEditReportLink

Legend

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TStddxGridReportLink Events

TStddxGridReportLink

Legend

Derived from TAbstractdxGridReportLink

OnGetCustomPageBreaks

OnInitializeItem

Derived from TBasedxReportLink

OnChangeComponent

OnCustomDrawPageFooter

OnCustomDrawPageHeader

OnCustomDrawReportLinkTitle

OnDestroy

OnFilterStyle

OnMeasureReportLinkTitle


TAbstractdxGridReportLink Methods

TAbstractdxGridReportLink

Legend

In TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TAbstractdxRichEditReportLink Methods

TAbstractdxRichEditReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TBasedxPrintStyle Methods

TBasedxPrintStyle

Legend

In TBasedxPrintStyle

GetFilteredPapers

PageSetup

PageSetupEx

RestoreDefaults

SetupOptions


TBasedxReportLink Methods

TBasedxReportLink Legend

In TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadDataFromFile

LoadDataFromStream

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveDataToFile

SaveDataToStream

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxComponentPrinter Methods

TCustomdxComponentPrinter Legend

In TCustomdxComponentPrinter

AddEmptyLink

AddEmptyLinkEx

AddLink

AddLinkEx

AssignReportLinks

Create

CurrentCompositionByLink

DeleteAllLinks

DeleteLink

DesignerExists

DesignReport

Destroy

DestroyReport

DoAddReportLink

DoAfterPreview

DoBeforeDesignReport

DoBeforePreview

DoChangeComponent

DoCustomDrawPage

DoCustomDrawReportTitle

DoDeleteReportLink

DoDesignReport

DoEndPrint

DoEndUpdateReport

DoNewPage

DoPageSetup

DoPrintDeviceBusy

DoPrintDeviceError

DoProgress

DoStartPrint

DoStartUpdateReport

DrawPageFooter

DrawPageHeader

Explore

FindLinkByComponent

GetCompositionsByLink

GetItems

GetNewLinkName

GetPageColRowCount

GetPageCount

GetPrintTitle

IndexOfLink

IndexOfLinkByName

IsGenerateReportProgressEvent

IsLinkInComposition

IsLinkInCurrentComposition

IsRebuildBeforePreview

IsRebuildBeforePrint

IsShowHourGlass

LinkByName

LoadFromFile

LoadFromStream

PageSetup

PageSetupEx

PaintPage

PrepareReport

Preview

PreviewExists

Print

PrintEx

PrintPage

PrintPages

PrintPagesEx

RebuildReport

SaveToFile

SaveToStream

StdProcessPrintDeviceBusy

UnPrepareReport


TCustomdxGraphicReportLink Methods

TCustomdxGraphicReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxGridReportLink Methods

TCustomdxGridReportLink

Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxInspectorReportLink Methods

TCustomdxInspectorReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxListBoxReportLinkControl Methods

TCustomdxListBoxReportLinkControl Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxNativeTreeViewReportLink Methods

TCustomdxNativeTreeViewReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxOrgChartReportLink Methods

TCustomdxOrgChartReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxPageObject Methods

TCustomdxPageObject

Legend

Derived from TdxBaseObject

BeginUpdate

CancelUpdate

Clone

EndUpdate

IsEqual

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream


TCustomdxPictureReportLink Methods

TCustomdxPictureReportLink Legend

In TCustomdxPictureReportLink

DataProviderPresent

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TCustomdxPSDBBasedExplorerFieldNamesMap

TCustomdxPSDBBasedExplorerFieldNamesMap Methods

TCustomdxPSDBBasedExplorerFieldNamesMap Legend

In TCustomdxPSDBBasedExplorerFieldNamesMap

Assign

Create


Methods for TCustomdxPSExplorer

TCustomdxPSExplorer Methods

TCustomdxPSExplorer Legend

In TCustomdxPSExplorer

BuildTree

CanCreateFolder

CanCreateItem

CreateNewFolder

CreateNewItem

CreateTree

FindCustomItemByUniqueID

LoadedItem

LoadItemData

Refresh

RegisterNotifier

UnloadItemData

UnregisterNotifier


Methods for TCustomdxPSExplorerItem

TCustomdxPSExplorerItem Methods

TCustomdxPSExplorerItem Legend

In TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


TCustomdxRichEditReportLink Methods

TCustomdxRichEditReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TCustomdxSpreadSheetReportLink

TCustomdxSpreadSheetReportLink Methods

TCustomdxSpreadSheetReportLink Legend

In TCustomdxSpreadSheetReportLink

Assign

DataProviderPresent

DataToPrintExist

PrintAreaExists

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxTeeChartReportLink Methods

TCustomdxTeeChartReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxTreeListReportLink Methods

TCustomdxTreeListReportLink Legend

In TCustomdxTreeListReportLink

DefaultGraphicAsTextValue

IsDBGridLink

IsDBTreeListLink

IsTreeListLink

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TCustomdxTreeViewReportLink Methods

TCustomdxTreeViewReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TcxCustomMemoReportLink Methods

TcxCustomMemoReportLink Legend

In TcxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomStringsReportLink

GetStrings

GetText

Derived from TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxCustomSchedulerReportLinkPrintStyle

TcxCustomSchedulerReportLinkPrintStyle Methods

TcxCustomSchedulerReportLinkPrintStyle Legend

In TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxCustomVerticalGridReportLink

TcxCustomVerticalGridReportLink Methods

TcxCustomVerticalGridReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TcxDBMemoReportLink Methods

TcxDBMemoReportLink Legend

In TcxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomStringsReportLink

GetStrings

GetText

Derived from TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxDBTreeListReportLink

TcxDBTreeListReportLink Methods

TcxDBTreeListReportLink Legend

Derived from TcxTreeListControlReportLink

AddPageBreak

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

IsEmptyPage

IsEmptyReport

InternalRestoreDefaults

InternalRestoreFromOriginal

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxDBVerticalGridReportLink

TcxDBVerticalGridReportLink Methods

TcxDBVerticalGridReportLink Legend

Derived from TcxCustomVerticalGridReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxfmSchedulerReportLinkDesignWindow

TcxfmSchedulerReportLinkDesignWindow Methods

TcxfmSchedulerReportLinkDesignWindow Legend

In TcxfmSchedulerReportLinkDesignWindow

Execute


TcxMCListBoxReportLink Methods

TcxMCListBoxReportLink

Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TcxMemoReportLink Methods

TcxMemoReportLink Legend

Derived from TcxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomStringsReportLink

GetStrings

GetText

Derived from TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxRTTIInspectorReportLink

TcxRTTIInspectorReportLink Methods

TcxRTTIInspectorReportLink Legend

Derived from TcxCustomVerticalGridReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxSchedulerReportLinkDailyPrintStyle

TcxSchedulerReportLinkDailyPrintStyle Methods

TcxSchedulerReportLinkDailyPrintStyle Legend

In TcxSchedulerReportLinkDailyPrintStyle

DefaultCaption

IsCompatibleWith

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxSchedulerReportLinkDetailsPrintStyle

TcxSchedulerReportLinkDetailsPrintStyle Methods

TcxSchedulerReportLinkDetailsPrintStyle Legend

In TcxSchedulerReportLinkDetailsPrintStyle

DefaultCaption

RestoreDefaults

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxSchedulerReportLinkMemoPrintStyle

TcxSchedulerReportLinkMemoPrintStyle Methods

TcxSchedulerReportLinkMemoPrintStyle Legend

In TcxSchedulerReportLinkMemoPrintStyle

DefaultCaption

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxSchedulerReportLinkMonthlyPrintStyle

TcxSchedulerReportLinkMonthlyPrintStyle Methods

TcxSchedulerReportLinkMonthlyPrintStyle Legend

In TcxSchedulerReportLinkMonthlyPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxSchedulerReportLinkOptionsFormatting

TcxSchedulerReportLinkOptionsFormatting Methods

TcxSchedulerReportLinkOptionsFormatting Legend

In TcxSchedulerReportLinkOptionsFormatting

RestoreDefaults


Methods for TcxSchedulerReportLinkPrintRange

TcxSchedulerReportLinkPrintRange Methods

TcxSchedulerReportLinkPrintRange Legend

In TcxSchedulerReportLinkPrintRange

DefaultDatePrintFrom

DefaultDatePrintTo

DefaultTimePrintFrom

DefaultTimePrintTo

RestoreDefaults


Methods for TcxSchedulerReportLinkPrintStyles

TcxSchedulerReportLinkPrintStyles Methods

TcxSchedulerReportLinkPrintStyles Legend

In TcxSchedulerReportLinkPrintStyles

GetCorrespondingStyle

GetStyleByClass

GetStyleByName

GetStyleByView

IndexOf

RestoreDefaults


Methods for TcxSchedulerReportLinkStyles

TcxSchedulerReportLinkStyles Methods

TcxSchedulerReportLinkStyles Legend

In TcxSchedulerReportLinkStyles

GetContentParams

GetDateNavigatorContentParams

GetDateNavigatorHeaderParams

GetDayHeaderParams

GetEventParams

GetNotesAreaBlankParams

GetNotesAreaLinedParams

GetResourceHeaderParams

GetSchedulerHeaderParams

GetTaskPadParams

GetTimeRulerParams


Methods for TcxSchedulerReportLinkTimeLinePrintStyle

TcxSchedulerReportLinkTimeLinePrintStyle Methods

TcxSchedulerReportLinkTimeLinePrintStyle Legend

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxSchedulerReportLinkTrifoldPrintStyle

TcxSchedulerReportLinkTrifoldPrintStyle Methods

TcxSchedulerReportLinkTrifoldPrintStyle Legend

In TcxSchedulerReportLinkTrifoldPrintStyle

DefaultCaption

RestoreDefaults

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxSchedulerReportLinkWeeklyPrintStyle

TcxSchedulerReportLinkWeeklyPrintStyle Methods

TcxSchedulerReportLinkWeeklyPrintStyle Legend

In TcxSchedulerReportLinkWeeklyPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxSchedulerReportLinkYearlyPrintStyle

TcxSchedulerReportLinkYearlyPrintStyle Methods

TcxSchedulerReportLinkYearlyPrintStyle Legend

In TcxSchedulerReportLinkYearlyPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults

Derived from TcxCustomSchedulerReportLinkPrintStyle

DefaultCaption

IsCompatibleWith

RestoreDefaults


Methods for TcxTreeListControlReportLink

TcxTreeListControlReportLink Methods

TcxTreeListControlReportLink Legend

In TcxTreeListControlReportLink

AddPageBreak

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

IsEmptyPage

IsEmptyReport

InternalRestoreDefaults

InternalRestoreFromOriginal

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxTreeListReportLink

TcxTreeListReportLink Methods

TcxTreeListReportLink Legend

Derived from TcxTreeListControlReportLink

AddPageBreak

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

IsEmptyPage

IsEmptyReport

InternalRestoreDefaults

InternalRestoreFromOriginal

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxTreeListReportLinkOptionsExpanding

TcxTreeListReportLinkOptionsExpanding Methods

TcxTreeListReportLinkOptionsExpanding Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsFormatting

TcxTreeListReportLinkOptionsFormatting Methods

TcxTreeListReportLinkOptionsFormatting Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsOnEveryPage

TcxTreeListReportLinkOptionsOnEveryPage Methods

TcxTreeListReportLinkOptionsOnEveryPage Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsPagination

TcxTreeListReportLinkOptionsPagination Methods

TcxTreeListReportLinkOptionsPagination Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsPreview

TcxTreeListReportLinkOptionsPreview Methods

TcxTreeListReportLinkOptionsPreview Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsRefinements

TcxTreeListReportLinkOptionsRefinements Methods

TcxTreeListReportLinkOptionsRefinements Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsSelection

TcxTreeListReportLinkOptionsSelection Methods

TcxTreeListReportLinkOptionsSelection Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsSize

TcxTreeListReportLinkOptionsSize Methods

TcxTreeListReportLinkOptionsSize Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkOptionsView

TcxTreeListReportLinkOptionsView Methods

TcxTreeListReportLinkOptionsView Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxTreeListReportLinkStyles

TcxTreeListReportLinkStyles Methods

TcxTreeListReportLinkStyles Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults

Derived from TcxCustomStyles

Assign

Create

Destroy


Methods for TcxTreeListReportLinkStyleSheet

TcxTreeListReportLinkStyleSheet Methods

TcxTreeListReportLinkStyleSheet Legend

Derived from TdxCustomReportLinkStyleSheet

Register

Unregister

Derived from TcxCustomStyleSheet

Create

Destroy

GetStyles

GetStylesClass

SetStyles


Methods for TcxUnboundVerticalGridReportLink

TcxUnboundVerticalGridReportLink Methods

TcxUnboundVerticalGridReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxVerticalGridReportLink

TcxVerticalGridReportLink Methods

TcxVerticalGridReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxVerticalGridReportLinkOptionsExpanding

TcxVerticalGridReportLinkOptionsExpanding Methods

TcxVerticalGridReportLinkOptionsExpanding Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxVerticalGridReportLinkOptionsFormatting

TcxVerticalGridReportLinkOptionsFormatting Methods

TcxVerticalGridReportLinkOptionsFormatting Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxVerticalGridReportLinkOptionsPagination

TcxVerticalGridReportLinkOptionsPagination Methods

TcxVerticalGridReportLinkOptionsPagination Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxVerticalGridReportLinkOptionsRefinements

TcxVerticalGridReportLinkOptionsRefinements Methods

TcxVerticalGridReportLinkOptionsRefinements Legend

Derived from TdxCustomReportLinkOptionsRefinements

DefaultGraphicsText

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxVerticalGridReportLinkOptionsSize

TcxVerticalGridReportLinkOptionsSize Methods

TcxVerticalGridReportLinkOptionsSize Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxVerticalGridReportLinkOptionsView

TcxVerticalGridReportLinkOptionsView Methods

TcxVerticalGridReportLinkOptionsView Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TcxVerticalGridReportLinkStyleSheet

TcxVerticalGridReportLinkStyleSheet Methods

TcxVerticalGridReportLinkStyleSheet Legend

Derived from TdxCustomReportLinkStyleSheet

Register

Unregister

Derived from TcxCustomStyleSheet

Create

Destroy

GetStyles

GetStylesClass

SetStyles


Methods for TcxVirtualTreeListReportLink

TcxVirtualTreeListReportLink Methods

TcxVirtualTreeListReportLink Legend

Derived from TcxTreeListControlReportLink

AddPageBreak

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

IsEmptyPage

IsEmptyReport

InternalRestoreDefaults

InternalRestoreFromOriginal

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TcxVirtualVerticalGridReportLink

TcxVirtualVerticalGridReportLink Methods

TcxVirtualVerticalGridReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxBackground Methods

TdxBackground Legend

In TdxBackground

DoApply

DoChange

DoPaint

DoPaintEx

Paint

PaintEx

RepaintNeeded

SetupEffects


TdxBaseObject Methods

TdxBaseObject

Legend

In TdxBaseObject

BeginUpdate

CancelUpdate

Clone

EndUpdate

IsEqual

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream


TdxComponentPrinter Methods

TdxComponentPrinter Legend

In TdxComponentPrinter

EnumPagesAsImages

LoadFromRegistry

SavePagesAsImagesToDisk

SaveToRegistry

ShowCustomizeDlg

Derived from TCustomdxComponentPrinter

AddEmptyLink

AddEmptyLinkEx

AddLink

AddLinkEx

AssignReportLinks

Create

CurrentCompositionByLink

DeleteAllLinks

DeleteLink

DesignerExists

DesignReport

Destroy

DestroyReport

DoAddReportLink

DoAfterPreview

DoBeforeDesignReport

DoBeforePreview

DoChangeComponent

DoCustomDrawPage

DoCustomDrawReportTitle

DoDeleteReportLink

DoDesignReport

DoEndPrint

DoEndUpdateReport

DoNewPage

DoPageSetup

DoPrintDeviceBusy

DoPrintDeviceError

DoProgress

DoStartPrint

DoStartUpdateReport

DrawPageFooter

DrawPageHeader

Explore

FindLinkByComponent

GetCompositionsByLink

GetItems

GetNewLinkName

GetPageColRowCount

GetPageCount

GetPrintTitle

IndexOfLink

IndexOfLinkByName

IsGenerateReportProgressEvent

IsLinkInComposition

IsLinkInCurrentComposition

IsRebuildBeforePreview

IsRebuildBeforePrint

IsShowHourGlass

LinkByName

LoadFromFile

LoadFromStream

PageSetup

PageSetupEx

PaintPage

PrepareReport

Preview

PreviewExists

Print

PrintEx

PrintPage

PrintPages

PrintPagesEx

RebuildReport

SaveToFile

SaveToStream

StdProcessPrintDeviceBusy

UnPrepareReport


TdxCompositionLinkItems Methods

TdxCompositionLinkItems

Legend

In TdxCompositionLinkItems

Add

AddLink

Create

DeleteItemsByLink

DeleteNonBuiltIns

GetLinkEntries

IndexOfLink

IsLinkComposable

LinkExists

NonBuiltInsExists


TdxCompositionReportLink Methods

TdxCompositionReportLink

Legend

In TdxCompositionReportLink

DataProviderPresent

GetItems

IsEmptyPage

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxCustomContainerReportLink

TdxCustomContainerReportLink Methods

TdxCustomContainerReportLink Legend

In TdxCustomContainerReportLink

CanExcludeComponent

CanHideComponent

ExcludeComponent

ExcludeComponents

FindExcludedComponent

FindHiddenComponent

HideComponent

HideComponents

HideStandardControls

UnexcludeAllComponents

UnexcludeComponent

UnexcludeComponents

UnhideAllComponents

UnhideComponent

UnhideComponents

UnhideStandardControls

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxCustomContainerReportLinkOptions

TdxCustomContainerReportLinkOptions Methods

TdxCustomContainerReportLinkOptions Legend

In TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxCustomContainerReportLinkOptionsBehavior

TdxCustomContainerReportLinkOptionsBehavior Methods

TdxCustomContainerReportLinkOptionsBehavior Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxCustomContainerReportLinkOptionsDesignerTabs

TdxCustomContainerReportLinkOptionsDesignerTabs Methods

TdxCustomContainerReportLinkOptionsDesignerTabs Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxCustomContainerReportLinkOptionsItemPlace

TdxCustomContainerReportLinkOptionsItemPlace Methods

TdxCustomContainerReportLinkOptionsItemPlace Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxCustomContainerReportLinkOptionsPagination

TdxCustomContainerReportLinkOptionsPagination Methods

TdxCustomContainerReportLinkOptionsPagination Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxCustomContainerReportLinkOptionsRefinements

TdxCustomContainerReportLinkOptionsRefinements Methods

TdxCustomContainerReportLinkOptionsRefinements Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxCustomContainerReportLinkOptionsTransparent

TdxCustomContainerReportLinkOptionsTransparent Methods

TdxCustomContainerReportLinkOptionsTransparent Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxCustomcxControlReportLink

TdxCustomcxControlReportLink Methods

TdxCustomcxControlReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxCustomListBoxReportLink Methods

TdxCustomListBoxReportLink

Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxCustomMemoReportLink Methods

TdxCustomMemoReportLink Legend

In TdxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomStringsReportLink

GetStrings

GetText

Derived from TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxCustomReportLinkOptions

TdxCustomReportLinkOptions Methods

TdxCustomReportLinkOptions Legend

In TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomReportLinkOptionsExpanding

TdxCustomReportLinkOptionsExpanding Methods

TdxCustomReportLinkOptionsExpanding Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomReportLinkOptionsFormatting

TdxCustomReportLinkOptionsFormatting Methods

TdxCustomReportLinkOptionsFormatting Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomReportLinkOptionsPagination

TdxCustomReportLinkOptionsPagination Methods

TdxCustomReportLinkOptionsPagination Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomReportLinkOptionsRefinements

TdxCustomReportLinkOptionsRefinements Methods

TdxCustomReportLinkOptionsRefinements Legend

In TdxCustomReportLinkOptionsRefinements

DefaultGraphicsText

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomReportLinkOptionsSize

TdxCustomReportLinkOptionsSize Methods

TdxCustomReportLinkOptionsSize Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomReportLinkOptionsView

TdxCustomReportLinkOptionsView Methods

TdxCustomReportLinkOptionsView Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomReportLinkStyles

TdxCustomReportLinkStyles Methods

TdxCustomReportLinkStyles Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults

Derived from TcxCustomStyles

Assign

Create

Destroy


Methods for TdxCustomReportLinkStyleSheet

TdxCustomReportLinkStyleSheet Methods

TdxCustomReportLinkStyleSheet Legend

In TdxCustomReportLinkStyleSheet

Register

Unregister

Derived from TcxCustomStyleSheet

Create

Destroy

GetStyles

GetStylesClass

SetStyles


TdxCustomStringsReportLink Methods

TdxCustomStringsReportLink Legend

In TdxCustomStringsReportLink

GetStrings

GetText

Derived from TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxCustomTableControlReportLink

TdxCustomTableControlReportLink Methods

TdxCustomTableControlReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxCustomTableControlReportLinkOptionsOnEveryPage

TdxCustomTableControlReportLinkOptionsOnEveryPage Methods

TdxCustomTableControlReportLinkOptionsOnEveryPage Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomTableControlReportLinkOptionsPagination

TdxCustomTableControlReportLinkOptionsPagination Methods

TdxCustomTableControlReportLinkOptionsPagination Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomTableControlReportLinkOptionsPreview

TdxCustomTableControlReportLinkOptionsPreview Methods

TdxCustomTableControlReportLinkOptionsPreview Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomTableControlReportLinkOptionsSelection

TdxCustomTableControlReportLinkOptionsSelection Methods

TdxCustomTableControlReportLinkOptionsSelection Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxCustomTableControlReportLinkOptionsView

TdxCustomTableControlReportLinkOptionsView Methods

TdxCustomTableControlReportLinkOptionsView Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


TdxCustomTextReportLink Methods

TdxCustomTextReportLink Legend

In TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDBGridReportLink Methods

TdxDBGridReportLink Legend

Derived from TCustomdxTreeListReportLink

DefaultGraphicAsTextValue

IsDBGridLink

IsDBTreeListLink

IsTreeListLink

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDBInspectorReportLink Methods

TdxDBInspectorReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDBOrgChartReportLink Methods

TdxDBOrgChartReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDBTeeChartReportLink Methods

TdxDBTeeChartReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDBTreeListControlReportLink Methods

TdxDBTreeListControlReportLink

Legend

Derived from TCustomdxTreeListReportLink

DefaultGraphicAsTextValue

IsDBGridLink

IsDBTreeListLink

IsTreeListLink

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDBTreeListReportLink Methods

TdxDBTreeListReportLink Legend

Derived from TCustomdxTreeListReportLink

DefaultGraphicAsTextValue

IsDBGridLink

IsDBTreeListLink

IsTreeListLink

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDBTreeViewReportLink Methods

TdxDBTreeViewReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxDrawGridReportLink Methods

TdxDrawGridReportLink Legend

In TdxDrawGridReportLink

InternalRestoreDefaults

InternalRestoreFromOriginal

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxFlowChartReportLink Methods

TdxFlowChartReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxGridReportLink

TdxGridReportLink Methods

TdxGridReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

IsEmptyPage

IsEmptyReport

InternalRestoreDefaults

InternalRestoreFromOriginal

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxGridReportLinkOptions

TdxGridReportLinkOptions Methods

TdxGridReportLinkOptions Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsCards

TdxGridReportLinkOptionsCards Methods

TdxGridReportLinkOptionsCards Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsCharts

TdxGridReportLinkOptionsCharts Methods

TdxGridReportLinkOptionsCharts Legend

In TdxGridReportLinkOptionsCharts

DefaultGraphicClass

RestoreDefaults

SupportsGraphicClass


Methods for TdxGridReportLinkOptionsDetails

TdxGridReportLinkOptionsDetails Methods

TdxGridReportLinkOptionsDetails Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsExpanding

TdxGridReportLinkOptionsExpanding Methods

TdxGridReportLinkOptionsExpanding Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsFormatting

TdxGridReportLinkOptionsFormatting Methods

TdxGridReportLinkOptionsFormatting Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsLevels

TdxGridReportLinkOptionsLevels Methods

TdxGridReportLinkOptionsLevels Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsOnEveryPage

TdxGridReportLinkOptionsOnEveryPage Methods

TdxGridReportLinkOptionsOnEveryPage Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsPagination

TdxGridReportLinkOptionsPagination Methods

TdxGridReportLinkOptionsPagination Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsPreview

TdxGridReportLinkOptionsPreview Methods

TdxGridReportLinkOptionsPreview Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsRefinements

TdxGridReportLinkOptionsRefinements Methods

TdxGridReportLinkOptionsRefinements Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsSelection

TdxGridReportLinkOptionsSelection Methods

TdxGridReportLinkOptionsSelection Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsSize

TdxGridReportLinkOptionsSize Methods

TdxGridReportLinkOptionsSize Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkOptionsView

TdxGridReportLinkOptionsView Methods

TdxGridReportLinkOptionsView Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults


Methods for TdxGridReportLinkStyles

TdxGridReportLinkStyles Methods

TdxGridReportLinkStyles Legend

Derived from TdxCustomReportLinkOptions

RestoreDefaults

Derived from TcxCustomStyles

Assign

Create

Destroy


Methods for TdxGridReportLinkStyleSheet

TdxGridReportLinkStyleSheet Methods

TdxGridReportLinkStyleSheet Legend

Derived from TdxCustomReportLinkStyleSheet

Register

Unregister

Derived from TcxCustomStyleSheet

Create

Destroy

GetStyles

GetStylesClass

SetStyles


TdxImageReportLink Methods

TdxImageReportLink Legend

Derived from TCustomdxPictureReportLink

DataProviderPresent

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxInspectorReportLink Methods

TdxInspectorReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxLayoutControlReportLink

TdxLayoutControlReportLink Methods

TdxLayoutControlReportLink Legend

Derived from TdxCustomContainerReportLink

CanExcludeComponent

CanHideComponent

ExcludeComponent

ExcludeComponents

FindExcludedComponent

FindHiddenComponent

HideComponent

HideComponents

HideStandardControls

UnexcludeAllComponents

UnexcludeComponent

UnexcludeComponents

UnhideAllComponents

UnhideComponent

UnhideComponents

UnhideStandardControls

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxLayoutControlReportLinkOptionsPagination

TdxLayoutControlReportLinkOptionsPagination Methods

TdxLayoutControlReportLinkOptionsPagination Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxLayoutControlReportLinkOptionsSize

TdxLayoutControlReportLinkOptionsSize Methods

TdxLayoutControlReportLinkOptionsSize Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


Methods for TdxLayoutControlReportLinkOptionsTransparent

TdxLayoutControlReportLinkOptionsTransparent Methods

TdxLayoutControlReportLinkOptionsTransparent Legend

Derived from TdxCustomContainerReportLinkOptions

RestoreDefaults


TdxListBoxReportLink Methods

TdxListBoxReportLink Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxMasterViewReportLink Methods

TdxMasterViewReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxMemoReportLink Methods

TdxMemoReportLink Legend

Derived from TdxCustomMemoReportLink

GetCustomMemo

Derived from TdxCustomStringsReportLink

GetStrings

GetText

Derived from TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxOrgChartReportLink Methods

TdxOrgChartReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxPageFooter Methods

TdxPageFooter

Legend

Derived from TdxBaseObject

BeginUpdate

CancelUpdate

Clone

EndUpdate

IsEqual

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream


TdxPageHeader Methods

TdxPageHeader

Legend

Derived from TdxBaseObject

BeginUpdate

CancelUpdate

Clone

EndUpdate

IsEqual

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream


TdxPageSetupDialog Methods

TdxPageSetupDialog

Legend

In TdxPageSetupDialog

Execute

RealTitle


TdxPictureReportLink Methods

TdxPictureReportLink Legend

Derived from TCustomdxPictureReportLink

DataProviderPresent

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxPreviewOptions Methods

TdxPreviewOptions Legend

In TdxPreviewOptions

RestoreOriginalIcon


TdxPrintDialog Methods

TdxPrintDialog

In TdxPrintDialog

Execute


TdxPrinterPage Methods

TdxPrinterPage

Legend

In TdxPrinterPage

ApplyToPrintDevice

FixMarginsOutside

FooterLoMetric

FooterRect

FooterRectLoMetric

GetInnerMeasurementUnits

GetRealMinMargins

HeaderLoMetric

HeaderRect

HeaderRectLoMetric

IsEqual

MapRect2LoMetric

MarginChange

MarginsLoMetric

MinMarginsLoMetric

MinPrintableArea

MinPrintableAreaLoMetric

PageSizeLoMetric

PageSizePixels

PaintRectLoMetric

PaintRectPixels

ReadPrinterInfos

RealPageSizeLoMetric

RealPageSizePixels

RestoreDefaults

DoUpdateMeasurementUnits

ValidateMargins

Derived from TdxBaseObject

BeginUpdate

CancelUpdate

Clone

EndUpdate

IsEqual

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream


TdxPrinterPageObject Methods

TdxPrinterPageObject

Legend

Derived from TdxBaseObject

BeginUpdate

CancelUpdate

Clone

EndUpdate

IsEqual

LoadFromFile

LoadFromStream

SaveToFile

SaveToStream


TdxPrintStyleManager Methods

TdxPrintStyleManager

Legend

In TdxPrintStyleManager

AddStyle

AddStyleEx

AssignStyles

BeginClone

BeginUpdate

BuildAutoHFTextEntriesMenu

Clear

DefinePrintStylesDlg

Delete

DeleteNonBuiltIns

EndClone

EndUpdate

IndexOfStyle

LoadFromFile

LoadFromStream

NonBuiltInsExists

RefreshAutoHFTextEntries

RestoreDefaults

SaveToFile

SaveToStream

ShowAutoHFTextEntriesDlg

StyleByCaption

StyleByName


Methods for TdxPSDBBasedExplorer

TdxPSDBBasedExplorer Methods

TdxPSDBBasedExplorer Legend

In TdxPSDBBasedExplorer

AreFieldNameMapsValid

FindFolderByID

FindItemByID

LoadedItem

Derived from TCustomdxPSExplorer

BuildTree

CanCreateFolder

CanCreateItem

CreateNewFolder

CreateNewItem

CreateTree

FindCustomItemByUniqueID

LoadedItem

LoadItemData

Refresh

RegisterNotifier

UnloadItemData

UnregisterNotifier


Methods for TdxPSDBBasedExplorerFieldNamesMap

TdxPSDBBasedExplorerFieldNamesMap Methods

TdxPSDBBasedExplorerFieldNamesMap Legend

Derived from TCustomdxPSDBBasedExplorerFieldNamesMap

Assign

Create


Methods for TdxPSDBBasedExplorerFolder

TdxPSDBBasedExplorerFolder Methods

TdxPSDBBasedExplorerFolder Legend

In TdxPSDBBasedExplorerFolder

Explorer

Derived from TdxPSExplorerFolder

CreateFolder

CreateItem

DeleteFolders

DeleteItems

FolderByName

HasFolders

HasItems

HasLoadedItem

ItemByName

Populate

Derived from TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


Methods for TdxPSDBBasedExplorerFoldersFieldNamesMap

TdxPSDBBasedExplorerFoldersFieldNamesMap Methods

TdxPSDBBasedExplorerFoldersFieldNamesMap Legend

Derived from TCustomdxPSDBBasedExplorerFieldNamesMap

Assign

Create


Methods for TdxPSDBBasedExplorerItem

TdxPSDBBasedExplorerItem Methods

TdxPSDBBasedExplorerItem Legend

In TdxPSDBBasedExplorerItem

Explorer

Derived from TdxPSExplorerItem

CanLoadData

CreateDataStream

DataLoadErrorText

IsLoading

Load

RetrieveReportData

Unload

Derived from TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


Methods for TdxPSDBBasedExplorerItemsFieldNamesMap

TdxPSDBBasedExplorerItemsFieldNamesMap Methods

TdxPSDBBasedExplorerItemsFieldNamesMap Legend

Derived from TCustomdxPSDBBasedExplorerFieldNamesMap

Assign

Create


TdxPSEngineController Methods

TdxPSEngineController

Legend

In TdxPSEngineController

Activate


Methods for TdxPSExplorerFolder

TdxPSExplorerFolder Methods

TdxPSExplorerFolder Legend

In TdxPSExplorerFolder

CreateFolder

CreateItem

DeleteFolders

DeleteItems

FolderByName

HasFolders

HasItems

HasLoadedItem

ItemByName

Populate

Derived from TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


Methods for TdxPSExplorerItem

TdxPSExplorerItem Methods

TdxPSExplorerItem Legend

In TdxPSExplorerItem

CanLoadData

CreateDataStream

DataLoadErrorText

IsLoading

Load

RetrieveReportData

Unload

Derived from TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


Methods for TdxPSFileBasedExplorer

TdxPSFileBasedExplorer Methods

TdxPSFileBasedExplorer Legend

In TdxPSFileBasedExplorer

CanGoToUpOneLevel

FileExtension

FindFolderByFullQualifiedDirName

FindItemByFullQualifiedFileName

GoToUpOneLevel

LoadedItem

LoadFromRegistry

LoadItemData

PopulatePath

SaveToRegistry

ShowChangeRootPathDlg

UnloadItemData

Derived from TCustomdxPSExplorer

BuildTree

CanCreateFolder

CanCreateItem

CreateNewFolder

CreateNewItem

CreateTree

FindCustomItemByUniqueID

LoadedItem

LoadItemData

Refresh

RegisterNotifier

UnloadItemData

UnregisterNotifier


Methods for TdxPSFileBasedExplorerFolder

TdxPSFileBasedExplorerFolder Methods

TdxPSFileBasedExplorerFolder Legend

In TdxPSFileBasedExplorerFolder

Explorer

FindFolderByFullQualifiedDirName

FindItemByFullQualifiedFileName

Derived from TdxPSExplorerFolder

CreateFolder

CreateItem

DeleteFolders

DeleteItems

FolderByName

HasFolders

HasItems

HasLoadedItem

ItemByName

Populate

Derived from TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


Methods for TdxPSFileBasedExplorerItem

TdxPSFileBasedExplorerItem Methods

TdxPSFileBasedExplorerItem Legend

In TdxPSFileBasedExplorerItem

Explorer

Derived from TdxPSExplorerItem

CanLoadData

CreateDataStream

DataLoadErrorText

IsLoading

Load

RetrieveReportData

Unload

Derived from TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


Methods for TdxPSFileBasedExplorerRootFolder

TdxPSFileBasedExplorerRootFolder Methods

TdxPSFileBasedExplorerRootFolder Legend

Derived from TdxPSFileBasedExplorerFolder

Explorer

FindFolderByFullQualifiedDirName

FindItemByFullQualifiedFileName

Derived from TdxPSExplorerFolder

Explorer

FindFolderByFullQualifiedDirName

FindItemByFullQualifiedFileName

Derived from TdxPSExplorerFolder

CreateFolder

CreateItem

DeleteFolders

DeleteItems

FolderByName

HasFolders

HasItems

HasLoadedItem

ItemByName

Populate

Derived from TCustomdxPSExplorerItem

CanAccept

CanDelete

CanMove

CanMoveTo

CannotRenameMessageText

CanRename

CanRenameTo

Create

Delete

DeleteMessageText

Explorer

GetUniqueID

HasAsParent

HasPropertySheets

IsNameChanged

OverwriteMessageText

PropertySheetsClass

ShowPropertySheets


TdxPSPrintStyle Methods

TdxPSPrintStyle

Legend

Derived from TBasedxPrintStyle

GetFilteredPapers

PageSetup

PageSetupEx

RestoreDefaults

SetupOptions


Methods for TdxPSReportCompositionDocument

TdxPSReportCompositionDocument Methods

TdxPSReportCompositionDocument Legend

Derived from TdxPSReportDocument

Assign

Create

RetrievePreview


Methods for TdxPSReportDocument

TdxPSReportDocument Methods

TdxPSReportDocument Legend

In TdxPSReportDocument

Assign

Create

RetrievePreview


TdxReportTitle.Methods

TdxReportTitle Legend

In TdxReportTitle

BeginUpdate

CancelUpdate

DefaultFont

EndUpdate

RestoreDefaults


TdxRichEditReportLink Methods

TdxRichEditReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxRTTIInspectorReportLink Methods

TdxRTTIInspectorReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxSpreadSheetBookReportLink

TdxSpreadSheetBookReportLink Methods

TdxSpreadSheetBookReportLink Legend

Derived from TCustomdxSpreadSheetReportLink

Assign

DataProviderPresent

DataToPrintExist

PrintAreaExists

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


Methods for TdxSpreadSheetReportLink

TdxSpreadSheetReportLink Methods

TdxSpreadSheetReportLink Legend

Derived from TCustomdxSpreadSheetReportLink

Assign

DataProviderPresent

DataToPrintExist

PrintAreaExists

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxStringGridReportLink Methods

TdxStringGridReportLink Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxTeeChartReportLink Methods

TdxTeeChartReportLink Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxTextReportLink Methods

TdxTextReportLink Legend

Derived from TdxCustomStringsReportLink

GetStrings

GetText

Derived from TdxCustomTextReportLink

GetText

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxTreeListReportLink Methods

TdxTreeListReportLink Legend

Derived from TCustomdxTreeListReportLink

DefaultGraphicAsTextValue

IsDBGridLink

IsDBTreeListLink

IsTreeListLink

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxTreeViewExReportLink Methods

TdxTreeViewExReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TdxTreeViewReportLink Methods

TdxTreeViewReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TrxRichEditReportLink Methods

TrxRichEditReportLink

Legend

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TStddxGridReportLink Methods

TStddxGridReportLink

Legend

Derived from TAbstractdxGridReportLink

PrepareConstruct

UnPrepareConstruct

Derived from TBasedxReportLink

BuildPageSetupMenu

CheckToDesign

ConstructReport

Create

DataProviderPresent

DefaultDateFormat

DefaultPageNumberFormat

DefaultTimeFormat

DefinePrintStylesDlg

DesignerExists

DesignReport

Destroy

DestroyReport

DoChangeComponent

DoProgress

DrawCheckBox

DrawEdge

DrawGraphic

DrawPageFooter

DrawPageHeader

DrawSortMark

DrawText

GetFilteredStyles

GetPageColRowCount

GetSupportedComponentList

InternalRestoreDefaults

InternalRestoreFromOriginal

IsEmptyPage

IsEmptyReport

IsSupportedCompClass

LinkClass

LinkModified

LoadFromRegistry

MakeDelimiters

PageReady

PageSetup

PageSetupEx

Preview

PreviewExists

Print

PrintEx

PrintPages

PrintPagesEx

RebuildReport

RestoreDefaults

RestoreFromOriginal

SaveToRegistry

SetActive

ShowDateTimeFormatsDlg

ShowPageNumberFormatsDlg

ShowTitlePropertiesDlg

UsingShrinkToPageWidthMode


TAbstractdxGridReportLink Properties

TAbstractdxGridReportLink

Legend

In TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TAbstractdxRichEditReportLink Properties

TAbstractdxRichEditReportLink

Legend

In TAbstractdxRichEditReportLink

OnlySelected

REHandle

RichEditVersion

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TBasedxPrintStyle Properties

TBasedxPrintStyle

Legend

In TBasedxPrintStyle

AllowChangeHFText

AllowChangeMargins

AllowChangeOrientation

AllowChangeOrientation

AllowChangePaper

AllowChangeScale

AllowCustomPaperSizes

BuiltIn

Data

Description

ImageIndex

Index

IsCurrentStyle

IsStyleGlyphAssigned

PrinterPage

ShowPageSetupDlg

State

StyleCaption

StyleGlyph

StyleManager


TBasedxReportLink Properties

TBasedxReportLink Legend

In TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxComponentPrinter Properties

TCustomdxComponentPrinter Legend

In TCustomdxComponentPrinter

AbortBuilding

AbortPrinting

AutoUpdateDateTime

BeepAfterLongOperations

CurrentLink

CurrentLinkIndex

DateFormat

Explorer

ExplorerStubLink

LinkCount

LongOperationTime

Options

PageNumberFormat

PreviewOptions

PreviewWindow

PreviewWindowDesigner

PrintFileList

PrintTitle

ReportLink

ReportLinkDesigner

State

TimeFormat

Version


TCustomdxGraphicReportLink Properties

TCustomdxGraphicReportLink Legend

In TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxGridReportLink Properties

TCustomdxGridReportLink

Legend

In TCustomdxGridReportLink

CustomGrid

Options

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxInspectorReportLink Properties

TCustomdxInspectorReportLink

Legend

In TCustomdxInspectorReportLink

AutoNodesExpand

AutoWidth

FixedTransparent

FixedColor

FixedFont

GridLineColor

GroupColor

GroupFont

GroupTransparent

OddColor

OddFont

Options

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxListBoxReportLinkControl Properties

TCustomdxListBoxReportLinkControl Legend

In TCustomdxListBoxReportLinkControl

Options

PaintItemsGraphics

TransparentGraphics

Derived from TdxCustomListBoxReportLink

CustomListBox

TextAlignX

TextAlignY

Width

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxNativeTreeViewReportLink Properties

TCustomdxNativeTreeViewReportLink Legend

In TCustomdxNativeTreeViewReportLink

AutoNodesExpand

AutoWidth

ExpandLevel

ExplicitTreeViewExpand

GridLineColor

NodeAutoHeight

Options

TreeLineColor

Width

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxOrgChartReportLink Properties

TCustomdxOrgChartReportLink Legend

In TCustomdxOrgChartReportLink

FullExpand

OrgChart

TransparentColor

UseMetafile

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxPageObject Properties

TCustomdxPageObject

Legend

In TCustomdxPageObject

CenterTextAlignY

CenterTitle

Font

LeftTextAlignY

LeftTitle

RightTextAlignY

RightTitle

TextAlignY

Titles

Derived from TdxPrinterPageObject

Background

Page


TCustomdxPictureReportLink Properties

TCustomdxPictureReportLink Legend

In TCustomdxPictureReportLink

Picture

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TCustomdxPSDBBasedExplorerFieldNamesMap

TCustomdxPSDBBasedExplorerFieldNamesMap Properties

TCustomdxPSDBBasedExplorerFieldNamesMap Legend

In TCustomdxPSDBBasedExplorerFieldNamesMap

Explorer


Properties for TCustomdxPSExplorer

TCustomdxPSExplorer Properties

TCustomdxPSExplorer Legend

In TCustomdxPSExplorer

FilterLink

FilterLinkClass

Root

State


Properties for TCustomdxPSExplorerItem

TCustomdxPSExplorerItem Properties

TCustomdxPSExplorerItem Legend

In TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


TCustomdxRichEditReportLink Properties

TCustomdxRichEditReportLink

Legend

In TCustomdxRichEditReportLink

CustomRichEdit

Derived from TAbstractdxRichEditReportLink

OnlySelected

REHandle

RichEditVersion

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TCustomdxSpreadSheetReportLink

TCustomdxSpreadSheetReportLink Properties

TCustomdxSpreadSheetReportLink Legend

In TCustomdxSpreadSheetReportLink

BookSheet

CustomSpreadSheetBook

OptionsView

PrintArea

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxTeeChartReportLink Properties

TCustomdxTeeChartReportLink Legend

In TCustomdxTeeChartReportLink

Chart

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxTreeListReportLink Properties

TCustomdxTreeListReportLink Legend

In TCustomdxTreeListReportLink

AutoNodesExpand

BandColor

BandFont

BandsOnEveryPage

CustomTreeList

DrawMode

EvenColor

EvenFont

ExpandLevel

ExtendedColorManage

ExtendedSelect

FixedTransparent

FooterFont

GraphicAsTextValue

GridLineColor

GroupNodeColor

GroupNodeFont

HeaderColor

HeaderFont

HeadersOnEveryPage

HorzDelimitByBands

GridLineColor

OddColor

OddFont

OnlySelected

Options

PreviewColor

PreviewFont

PreviewLineCount

RowFooterColor

RowFooterFont

SupportedCustomDraw

TreeLineColor

UseColumnFont

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TCustomdxTreeViewReportLink Properties

TCustomdxTreeViewReportLink

Legend

In TCustomdxTreeViewReportLink

SupportedCustomDraw

Derived from TCustomdxNativeTreeViewReportLink

AutoNodesExpand

AutoWidth

ExpandLevel

ExplicitTreeViewExpand

GridLineColor

NodeAutoHeight

Options

TreeLineColor

Width

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TcxCustomMemoReportLink Properties

TcxCustomMemoReportLink Legend

In TcxCustomMemoReportLink

cxCustomMemo

Derived from TdxCustomMemoReportLink

CustomMemo

Derived from TdxCustomStringsReportLink

Strings

Derived from TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TcxCustomSchedulerReportLinkOptions

TcxCustomSchedulerReportLinkOptions Properties

TcxCustomSchedulerReportLinkOptions Legend

In TcxCustomSchedulerReportLinkOptions

ReportLink

Scheduler


Properties for TcxCustomSchedulerReportLinkPrintStyle

TcxCustomSchedulerReportLinkPrintStyle Properties

TcxCustomSchedulerReportLinkPrintStyle Legend

In TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxCustomVerticalGridReportLink

TcxCustomVerticalGridReportLink Properties

TcxCustomVerticalGridReportLink Legend

In TcxCustomVerticalGridReportLink

ActiveStyles

AreNativeStylesAvailable

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

OptionsView

StyleRepository

Styles

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TcxDBMemoReportLink Properties

TcxDBMemoReportLink Legend

In TcxDBMemoReportLink

cxDBMemo

Derived from TcxCustomMemoReportLink

cxCustomMemo

Derived from TdxCustomMemoReportLink

CustomMemo

Derived from TdxCustomStringsReportLink

Strings

Derived from TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TcxDBTreeListReportLink

TcxDBTreeListReportLink Properties

TcxDBTreeListReportLink Legend

In TcxDBTreeListReportLink

DBTreeList

Derived from TcxTreeListControlReportLink

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsOnEveryPage

OptionsPagination

OptionsPreview

OptionsRefinements

OptionsSelection

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

ActiveStyles

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

VisiblePageCount


Properties for TcxDBVerticalGridReportLink

TcxDBVerticalGridReportLink Properties

TcxDBVerticalGridReportLink Legend

In TcxDBVerticalGridReportLink

DBVerticalGrid

Derived from TcxVirtualVerticalGridReportLink

VirtualVerticalGrid

Derived from TcxCustomVerticalGridReportLink

ActiveStyles

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TcxfmSchedulerReportLinkDesignWindow

TcxfmSchedulerReportLinkDesignWindow Properties

TcxfmSchedulerReportLinkDesignWindow Legend

In TcxfmSchedulerReportLinkDesignWindow

Component

ReportLink


TcxMCListBoxReportLink Properties

TcxMCListBoxReportLink

Legend

In TcxMCListBoxReportLink

cxMCListBox

HeaderColor

HeaderFont

HeaderTransparent

IncludeHeaders

Options

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TcxMemoReportLink Properties

TcxMemoReportLink Legend

In TcxMemoReportLink

cxMemo

Derived from TcxCustomMemoReportLink

cxCustomMemo

Derived from TdxCustomMemoReportLink

CustomMemo

Derived from TdxCustomStringsReportLink

Strings

Derived from TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TcxRTTIInspectorReportLink

TcxRTTIInspectorReportLink Properties

TcxRTTIInspectorReportLink Legend

In TcxRTTIInspectorReportLink

RTTIInspector

Derived from TcxCustomVerticalGridReportLink

ActiveStyles

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TcxSchedulerReportLink

TcxSchedulerReportLink Properties

TcxSchedulerReportLink Legend

In TcxSchedulerReportLink

DesignWindow

OptionsFormatting

PrintRange

PrintStyles

Scheduler

Styles

TaskPadReportLink


Properties for TcxSchedulerReportLinkDailyPrintStyle

TcxSchedulerReportLinkDailyPrintStyle Properties

TcxSchedulerReportLinkDailyPrintStyle Legend

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxSchedulerReportLinkDetailsPrintStyle

TcxSchedulerReportLinkDetailsPrintStyle Properties

TcxSchedulerReportLinkDetailsPrintStyle Legend

In TcxSchedulerReportLinkDetailsPrintStyle

PaginationMode

UsePagination

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxSchedulerReportLinkMemoPrintStyle

TcxSchedulerReportLinkMemoPrintStyle Properties

TcxSchedulerReportLinkMemoPrintStyle Legend

In TcxSchedulerReportLinkMemoPrintStyle

SelectedEventsOnly

StartEachItemOnNewPage

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxSchedulerReportLinkMonthlyPrintStyle

TcxSchedulerReportLinkMonthlyPrintStyle Properties

TcxSchedulerReportLinkMonthlyPrintStyle Legend

In TcxSchedulerReportLinkMonthlyPrintStyle

PrintExactlyOneMonthPerPage

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxSchedulerReportLinkOptionsFormatting

TcxSchedulerReportLinkOptionsFormatting Properties

TcxSchedulerReportLinkOptionsFormatting Legend

In TcxSchedulerReportLinkOptionsFormatting

ReportLink

SuppressContentColoration

Derived from TdxCustomReportLinkOptionsFormatting

GridLineColor

LookAndFeelKind

SuppressBackgroundBitmaps

UseLookAndFeelColors

UseNativeStyles


Properties for TcxSchedulerReportLinkPrintRange

TcxSchedulerReportLinkPrintRange Properties

TcxSchedulerReportLinkPrintRange Legend

In TcxSchedulerReportLinkPrintRange

DayCount

MonthCount

PrintFrom

PrintTo

TimePrintFrom

TimePrintTo

WeekCount

Derived from TcxCustomSchedulerReportLinkOptions

ReportLink

Scheduler


Properties for TcxSchedulerReportLinkPrintStyles

TcxSchedulerReportLinkPrintStyles Properties

TcxSchedulerReportLinkPrintStyles Legend

In TcxSchedulerReportLinkPrintStyles

ActiveStyle

Count

Daily

Details

Items

Memo

Monthly

TimeLine

Trifold

Weekly

Yearly

Derived from TcxCustomSchedulerReportLinkOptions

ReportLink

Scheduler


Properties for TcxSchedulerReportLinkStyles

TcxSchedulerReportLinkStyles Properties

TcxSchedulerReportLinkStyles Legend

In TcxSchedulerReportLinkStyles

Content

DateNavigatorContent

DateNavigatorHeader

DayHeader

Event

NotesAreaBlank

NotesAreaLined

ReportLink

ResourceHeader

SchedulerHeader

TaskPad

TimeRuler

UseSchedulerStyles


Properties for TcxSchedulerReportLinkTimeLinePrintStyle

TcxSchedulerReportLinkTimeLinePrintStyle Properties

TcxSchedulerReportLinkTimeLinePrintStyle Legend

In TcxSchedulerReportLinkTimeLinePrintStyle

CorrespondedView

PrimaryPageHeadersOnly

PrimaryPageScalesOnly

ShowLinks

WorkTimeOnly

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxSchedulerReportLinkTrifoldPrintStyle

TcxSchedulerReportLinkTrifoldPrintStyle Properties

TcxSchedulerReportLinkTrifoldPrintStyle Legend

In TcxSchedulerReportLinkTrifoldPrintStyle

LeftSection

MiddleSection

RightSection

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxSchedulerReportLinkWeeklyPrintStyle

TcxSchedulerReportLinkWeeklyPrintStyle Properties

TcxSchedulerReportLinkWeeklyPrintStyle Legend

In TcxSchedulerReportLinkWeeklyPrintStyle

Arrange

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CompressWeekends

CorrespondedView

DontPrintWeekends

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

ResourceCountPerPage

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxSchedulerReportLinkYearlyPrintStyle

TcxSchedulerReportLinkYearlyPrintStyle Properties

TcxSchedulerReportLinkYearlyPrintStyle Legend

In TcxSchedulerReportLinkYearlyPrintStyle

MonthCountPerPage

PrimaryPageHeadersOnly

Derived from TcxCustomSchedulerReportLinkPrintStyle

Active

ActualDatePrintFrom

ActualDatePrintTo

Caption

CorrespondedView

HasAdditionalArea

Index

Layout

PageCount

PeriodCount

ReportLink

Scheduler

ShowNotesAreaBlank

ShowNotesAreaLined

ShowTaskPad

Styles

VisualStyles


Properties for TcxTreeListControlReportLink

TcxTreeListControlReportLink Properties

TcxTreeListControlReportLink Legend

In TcxTreeListControlReportLink

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsOnEveryPage

OptionsPagination

OptionsPreview

OptionsRefinements

OptionsSelection

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

ActiveStyles

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

VisiblePageCount


Properties for TcxTreeListReportLink

TcxTreeListReportLink Properties

TcxTreeListReportLink Legend

In TcxTreeListReportLink

TreeList

Derived from TcxTreeListControlReportLink

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsOnEveryPage

OptionsPagination

OptionsPreview

OptionsRefinements

OptionsSelection

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

ActiveStyles

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

VisiblePageCount


Properties for TcxTreeListReportLinkOptionsExpanding

TcxTreeListReportLinkOptionsExpanding Properties

TcxTreeListReportLinkOptionsExpanding Legend

In TcxTreeListReportLinkOptionsExpanding

AutoExpandNodes

ExplicitlyExpandNodes

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsFormatting

TcxTreeListReportLinkOptionsFormatting Properties

TcxTreeListReportLinkOptionsFormatting Legend

In TcxTreeListReportLinkOptionsFormatting

ConsumeSelectionStyle

NodeSeparatorColor

NodeSeparatorThickness

ReportLink

Derived from TdxCustomReportLinkOptionsFormatting

GridLineColor

LookAndFeelKind

SuppressBackgroundBitmaps

UseLookAndFeelColors

UseNativeStyles

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsOnEveryPage

TcxTreeListReportLinkOptionsOnEveryPage Properties

TcxTreeListReportLinkOptionsOnEveryPage Legend

In TcxTreeListReportLinkOptionsOnEveryPage

BandHeaders

Footers

Headers

ReportLink

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsPagination

TcxTreeListReportLinkOptionsPagination Properties

TcxTreeListReportLinkOptionsPagination Legend

In TcxTreeListReportLinkOptionsPagination

Band

Column

Custom

Node

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsPreview

TcxTreeListReportLinkOptionsPreview Properties

TcxTreeListReportLinkOptionsPreview Legend

In TcxTreeListReportLinkOptionsPreview

ReportLink

Derived from TdxCustomTableControlReportLinkOptionsPreview

AutoHeight

MaxLineCount

Visible

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsRefinements

TcxTreeListReportLinkOptionsRefinements Properties

TcxTreeListReportLinkOptionsRefinements Legend

In TcxTreeListReportLinkOptionsRefinements

ReportLink

Derived from TdxCustomReportLinkOptionsRefinements

DisplayGraphicsAsText

FlatCheckMarks

GraphicsText

TransparentGraphics

TransparentRichEdits

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsSelection

TcxTreeListReportLinkOptionsSelection Properties

TcxTreeListReportLinkOptionsSelection Legend

In TcxTreeListReportLinkOptionsSelection

ProcessExactSelection

ReportLink

Derived from TdxCustomTableControlReportLinkOptionsSelection

bmc Published.bmp} ProcessSelection

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsSize

TcxTreeListReportLinkOptionsSize Properties

TcxTreeListReportLinkOptionsSize Legend

In TcxTreeListReportLinkOptionsSize

AutoWidth

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkOptionsView

TcxTreeListReportLinkOptionsView Properties

TcxTreeListReportLinkOptionsView Legend

In TcxTreeListReportLinkOptionsView

BandHeaders

Borders

Footers

Headers

ReportLink

TreeLines

Derived from TdxCustomTableControlReportLinkOptionsView

ExpandButtons

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxTreeListReportLinkStyles

TcxTreeListReportLinkStyles Properties

TcxTreeListReportLinkStyles Legend

In TcxTreeListReportLinkStyles

BandHeader

Content

ContentEven

ContentOdd

Footer

FooterRow

Header

Preview

Selection

Derived from TdxCustomReportLinkStyles

ReportLink

StylesByCaption

Derived from TcxCustomStyles

StyleSheet


Properties for TcxTreeListReportLinkStyleSheet

TcxTreeListReportLinkStyleSheet Properties

TcxTreeListReportLinkStyleSheet Legend

In TcxTreeListReportLinkStyleSheet

Styles

Derived from TcxCustomStyleSheet

Caption

StyleRepository


Properties for TcxUnboundVerticalGridReportLink

TcxUnboundVerticalGridReportLink Properties

TcxUnboundVerticalGridReportLink Legend

Derived from TcxCustomVerticalGridReportLink

ActiveStyles

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TcxVerticalGridReportLink

TcxVerticalGridReportLink Properties

TcxVerticalGridReportLink Legend

In TcxVerticalGridReportLink

VerticalGrid

Derived from TcxCustomVerticalGridReportLink

ActiveStyles

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TcxVerticalGridReportLinkOptionsExpanding

TcxVerticalGridReportLinkOptionsExpanding Properties

TcxVerticalGridReportLinkOptionsExpanding Legend

In TcxVerticalGridReportLinkOptionsExpanding

AutoExpandRows

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxVerticalGridReportLinkOptionsFormatting

TcxVerticalGridReportLinkOptionsFormatting Properties

TcxVerticalGridReportLinkOptionsFormatting Legend

In TcxVerticalGridReportLinkOptionsFormatting

ReportLink

Derived from TdxCustomReportLinkOptionsFormatting

GridLineColor

LookAndFeelKind

SuppressBackgroundBitmaps

UseLookAndFeelColors

UseNativeStyles

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxVerticalGridReportLinkOptionsPagination

TcxVerticalGridReportLinkOptionsPagination Properties

TcxVerticalGridReportLinkOptionsPagination Legend

In TcxVerticalGridReportLinkOptionsPagination

ByRows

ByWrapping

OneWrappingPerPage

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxVerticalGridReportLinkOptionsRefinements

TcxVerticalGridReportLinkOptionsRefinements Properties

TcxVerticalGridReportLinkOptionsRefinements Legend

In TcxVerticalGridReportLinkOptionsRefinements

ReportLink

SuppressBackgroundBitmaps

Derived from TdxCustomReportLinkOptionsRefinements

DisplayGraphicsAsText

FlatCheckMarks

GraphicsText

TransparentGraphics

TransparentRichEdits

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxVerticalGridReportLinkOptionsSize

TcxVerticalGridReportLinkOptionsSize Properties

TcxVerticalGridReportLinkOptionsSize Legend

In TcxVerticalGridReportLinkOptionsSize

BestFit

KeepSameRecordWidths

ReportLink

WrapRecords

WrapSeparatorHeight

Derived from TdxCustomReportLinkOptionsSize

AutoWidth

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxVerticalGridReportLinkOptionsView

TcxVerticalGridReportLinkOptionsView Properties

TcxVerticalGridReportLinkOptionsView Legend

In TcxVerticalGridReportLinkOptionsView

ActualMode

Borders

ExpandButtons

Headers

Mode

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TcxVerticalGridReportLinkStyles

TcxVerticalGridReportLinkStyles Properties

TcxVerticalGridReportLinkStyles Legend

In TcxVerticalGridReportLinkStyles

Category

Content

Header

ReportLink

Derived from TdxCustomReportLinkStyles

ReportLink

StylesByCaption

Derived from TcxCustomStyles

StyleSheet


Properties for TcxVerticalGridReportLinkStyleSheet

TcxVerticalGridReportLinkStyleSheet Properties

TcxVerticalGridReportLinkStyleSheet Legend

In TcxVerticalGridReportLinkStyleSheet

Styles

Derived from TcxCustomStyleSheet

Caption

StyleRepository


Properties for TcxVirtualTreeListReportLink

TcxVirtualTreeListReportLink Properties

TcxVirtualTreeListReportLink Legend

In TcxVirtualTreeListReportLink

VirtualTreeList

Derived from TcxTreeListControlReportLink

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsOnEveryPage

OptionsPagination

OptionsPreview

OptionsRefinements

OptionsSelection

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

ActiveStyles

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

VisiblePageCount


Properties for TcxVirtualVerticalGridReportLink

TcxVirtualVerticalGridReportLink Properties

TcxVirtualVerticalGridReportLink Legend

In TcxVirtualVerticalGridReportLink

VirtualVerticalGrid

OptionsView

Derived from TcxCustomVerticalGridReportLink

ActiveStyles

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

Styles

Derived from TdxCustomcxControlReportLink

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxBackground Properties

TdxBackground Legend

In TdxBackground

BkColor

Brush

Effects

Mode

NeedRepaint

Picture

PictureMode


TdxComponentPrinter Properties

TdxComponentPrinter Legend

In TdxComponentPrinter

CustomizeDlgOptions

OverWriteExistingFiles

Derived from TCustomdxComponentPrinter

AbortBuilding

AbortPrinting

AutoUpdateDateTime

BeepAfterLongOperations

CurrentLink

CurrentLinkIndex

DateFormat

Explorer

ExplorerStubLink

LinkCount

LongOperationTime

Options

PageNumberFormat

PreviewOptions

PreviewWindow

PreviewWindowDesigner

PrintFileList

PrintTitle

ReportLink

ReportLinkDesigner

State

TimeFormat

Version


TdxCompositionLinkItem Properties

TdxCompositionLinkItem

Legend

In TdxCompositionLinkItem

BuiltIn

ReportLink


TdxCompositionLinkItems Properties

TdxCompositionLinkItems

Legend

In TdxCompositionLinkItems

Composition

Items


TdxCompositionReportLink Properties

TdxCompositionReportLink

Legend

In TdxCompositionReportLink

CompositionState

ContinuousPageIndexes

DesignerOptions

Items

ReportDocument

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxCustomContainerReportLink

TdxCustomContainerReportLink Properties

TdxCustomContainerReportLink Legend

In TdxCustomContainerReportLink

Container

ExcludedComponentCount

ExcludedComponents

HiddenComponentCount

HiddenComponents

OptionsBehavior

OptionsDesignerTabs

OptionsPagination

OptionsRefinements

OptionsTransparent

SupportedCustomDraw

TopLevelContainer

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxCustomContainerReportLinkOptions

TdxCustomContainerReportLinkOptions Properties

TdxCustomContainerReportLinkOptions Legend

In TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxCustomContainerReportLinkOptionsBehavior

TdxCustomContainerReportLinkOptionsBehavior Properties

TdxCustomContainerReportLinkOptionsBehavior Legend

In TdxCustomContainerReportLinkOptionsBehavior

ConsumeExistingLinks

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxCustomContainerReportLinkOptionsDesignerTabs

TdxCustomContainerReportLinkOptionsDesignerTabs Properties

TdxCustomContainerReportLinkOptionsDesignerTabs Legend

In TdxCustomContainerReportLinkOptionsDesignerTabs

AutoHideReportLinksIfEmpty

Controls

ReportLinks

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxCustomContainerReportLinkOptionsItemPlace

TdxCustomContainerReportLinkOptionsItemPlace Properties

TdxCustomContainerReportLinkOptionsItemPlace Legend

In TdxCustomContainerReportLinkOptionsItemPlace

ExpandHeight

ExpandWidth

ShrinkHeight

ShrinkWidth

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxCustomContainerReportLinkOptionsPagination

TdxCustomContainerReportLinkOptionsPagination Properties

TdxCustomContainerReportLinkOptionsPagination Legend

In TdxCustomContainerReportLinkOptionsPagination

ControlDetails

Controls

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxCustomContainerReportLinkOptionsRefinements

TdxCustomContainerReportLinkOptionsRefinements Properties

TdxCustomContainerReportLinkOptionsRefinements Legend

In TdxCustomContainerReportLinkOptionsRefinements

RootBorders

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxCustomContainerReportLinkOptionsTransparent

TdxCustomContainerReportLinkOptionsTransparent Properties

TdxCustomContainerReportLinkOptionsTransparent Legend

In TdxCustomContainerReportLinkOptionsTransparent

Containers

Controls

Graphics

Root

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxCustomcxControlReportLink

TdxCustomcxControlReportLink Properties

TdxCustomcxControlReportLink Legend

In TdxCustomcxControlReportLink

ActiveStyles

AreNativeStylesAvailable

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

OptionsView

StyleRepository

Styles

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxCustomListBoxReportLink Properties

TdxCustomListBoxReportLink

Legend

In TdxCustomListBoxReportLink

CustomListBox

TextAlignX

TextAlignY

Width

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxCustomMemoReportLink Properties

TdxCustomMemoReportLink Legend

In TdxCustomMemoReportLink

CustomMemo

Derived from TdxCustomStringsReportLink

Strings

Derived from TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxCustomReportLinkOptions

TdxCustomReportLinkOptions Properties

TdxCustomReportLinkOptions Legend

In TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomReportLinkOptionsExpanding

TdxCustomReportLinkOptionsExpanding Properties

TdxCustomReportLinkOptionsExpanding Legend

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomReportLinkOptionsFormatting

TdxCustomReportLinkOptionsFormatting Properties

TdxCustomReportLinkOptionsFormatting Legend

In TdxCustomReportLinkOptionsFormatting

GridLineColor

LookAndFeelKind

SuppressBackgroundBitmaps

UseLookAndFeelColors

UseNativeStyles

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomReportLinkOptionsPagination

TdxCustomReportLinkOptionsPagination Properties

TdxCustomReportLinkOptionsPagination Legend

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomReportLinkOptionsRefinements

TdxCustomReportLinkOptionsRefinements Properties

TdxCustomReportLinkOptionsRefinements Legend

In TdxCustomReportLinkOptionsRefinements

DisplayGraphicsAsText

FlatCheckMarks

GraphicsText

TransparentGraphics

TransparentRichEdits

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomReportLinkOptionsSize

TdxCustomReportLinkOptionsSize Properties

TdxCustomReportLinkOptionsSize Legend

In TdxCustomReportLinkOptionsSize

AutoWidth

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomReportLinkOptionsView

TdxCustomReportLinkOptionsView Properties

TdxCustomReportLinkOptionsView Legend

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomReportLinkStyles

TdxCustomReportLinkStyles Properties

TdxCustomReportLinkStyles Legend

In TdxCustomReportLinkStyles

ReportLink

StylesByCaption

Derived from TcxCustomStyles

StyleSheet


Properties for TdxCustomReportLinkStyleSheet

TdxCustomReportLinkStyleSheet Properties

TdxCustomReportLinkStyleSheet Legend

Derived from TcxCustomStyleSheet

Caption

StyleRepository


TdxCustomStringsReportLink Properties

TdxCustomStringsReportLink Legend

In TdxCustomStringsReportLink

Strings

Derived from TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxCustomTableControlReportLink

TdxCustomTableControlReportLink Properties

TdxCustomTableControlReportLink Legend

In TdxCustomTableControlReportLink

OptionsOnEveryPage

OptionsPagination

OptionsPreview

OptionsSelection

OptionsView

Derived from TdxCustomcxControlReportLink

ActiveStyles

AreNativeStylesAvailable

DesignWindow

OptionsExpanding

OptionsFormatting

OptionsPagination

OptionsRefinements

OptionsSize

OptionsView

StyleRepository

Styles

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxCustomTableControlReportLinkOptions

TdxCustomTableControlReportLinkOptions Properties

TdxCustomTableControlReportLinkOptions Legend

In TdxCustomTableControlReportLinkOptions

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomTableControlReportLinkOptionsOnEveryPage

TdxCustomTableControlReportLinkOptionsOnEveryPage Properties

TdxCustomTableControlReportLinkOptionsOnEveryPage Legend

In TdxCustomTableControlReportLinkOptionsOnEveryPage

BandHeaders

Footers

Headers

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TdxCustomTableControlReportLinkOptionsPagination

TdxCustomTableControlReportLinkOptionsPagination Properties

TdxCustomTableControlReportLinkOptionsPagination Legend

In TdxCustomTableControlReportLinkOptionsPagination

Band

Column

Custom

Row

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxCustomTableControlReportLinkOptionsPreview

TdxCustomTableControlReportLinkOptionsPreview Properties

TdxCustomTableControlReportLinkOptionsPreview Legend

In TdxCustomTableControlReportLinkOptionsPreview

AutoHeight

MaxLineCount

Visible

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TdxCustomTableControlReportLinkOptionsSelection

TdxCustomTableControlReportLinkOptionsSelection Properties

TdxCustomTableControlReportLinkOptionsSelection Legend

In TdxCustomTableControlReportLinkOptionsSelection

ProcessExactSelection

ProcessSelection

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TdxCustomTableControlReportLinkOptionsView

TdxCustomTableControlReportLinkOptionsView Properties

TdxCustomTableControlReportLinkOptionsView Legend

In TdxCustomTableControlReportLinkOptionsView

BandHeaders

ExpandButtons

Footers

Headers

Derived from TdxCustomReportLinkOptions

ReportLink


TdxCustomTextReportLink Properties

TdxCustomTextReportLink Legend

In TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDBGridReportLink Properties

TdxDBGridReportLink Legend

In TdxDBGridReportLink

DBGrid

Options

Derived from TdxDBTreeListControlReportLink

DBTreeListControl

Derived from TCustomdxTreeListReportLink

AutoNodesExpand

BandColor

BandFont

BandsOnEveryPage

CustomTreeList

DrawMode

EvenColor

EvenFont

ExpandLevel

ExtendedColorManage

ExtendedSelect

FixedTransparent

FooterFont

GraphicAsTextValue

GroupNodeColor

GroupNodeFont

HeaderColor

HeaderFont

HorzDelimitByBands

GridLineColor

OddColor

OddFont

OnlySelected

Options

PreviewColor

PreviewFont

PreviewLineCount

RowFooterColor

RowFooterFont

SupportedCustomDraw

UseColumnFont

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDBInspectorReportLink Properties

TdxDBInspectorReportLink

Legend

In TdxDBInspectorReportLink

DBInspector

Derived from TCustomdxInspectorReportLink

AutoNodesExpand

AutoWidth

FixedTransparent

FixedColor

FixedFont

GridLineColor

GroupFont

GroupColor

GroupTransparent

OddColor

OddFont

Options

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDBOrgChartReportLink Properties

TdxDBOrgChartReportLink Legend

In TdxDBOrgChartReportLink

DBOrgChart

Derived from TCustomdxOrgChartReportLink

FullExpand

OrgChart

TransparentColor

UseMetafile

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDBTeeChartReportLink Properties

TdxDBTeeChartReportLink Legend

In TdxDBTeeChartReportLink

DBChart

Derived from TCustomdxTeeChartReportLink

Chart

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDBTreeListControlReportLink Properties

TdxDBTreeListControlReportLink

Legend

In TdxDBTreeListControlReportLink

DBTreeListControl

Derived from TCustomdxTreeListReportLink

AutoNodesExpand

BandColor

BandFont

BandsOnEveryPage

CustomTreeList

DrawMode

EvenColor

EvenFont

ExpandLevel

ExtendedColorManage

ExtendedSelect

FixedTransparent

FooterFont

GraphicAsTextValue

GridLineColor

GroupNodeColor

GroupNodeFont

HeaderColor

HeaderFont

HeadersOnEveryPage

HorzDelimitByBands

GridLineColor

OddColor

OddFont

OnlySelected

Options

PreviewColor

PreviewFont

PreviewLineCount

RowFooterColor

RowFooterFont

SupportedCustomDraw

TreeLineColor

UseColumnFont

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDBTreeListReportLink Properties

TdxDBTreeListReportLink Legend

In TdxDBTreeListReportLink

DBTreeList

Options

Derived from TdxDBTreeListControlReportLink

DBTreeListControl

Derived from TCustomdxTreeListReportLink

AutoNodesExpand

BandColor

BandFont

BandsOnEveryPage

CustomTreeList

DrawMode

EvenColor

EvenFont

ExpandLevel

ExtendedColorManage

ExtendedSelect

FixedTransparent

FooterFont

GraphicAsTextValue

GroupNodeColor

GroupNodeFont

HeaderColor

HeaderFont

HorzDelimitByBands

GridLineColor

OddColor

OddFont

OnlySelected

Options

PreviewColor

PreviewFont

PreviewLineCount

RowFooterColor

RowFooterFont

SupportedCustomDraw

UseColumnFont

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDBTreeViewReportLink Properties

TdxDBTreeViewReportLink

Legend

In TdxDBTreeViewReportLink

DBTreeView

Derived from TdxTreeViewExReportLink

dxTreeView

Derived from TCustomdxTreeViewReportLink

SupportedCustomDraw

Derived from TCustomdxNativeTreeViewReportLink

AutoNodesExpand

AutoWidth

ExpandLevel

ExplicitTreeViewExpand

GridLineColor

NodeAutoHeight

Options

TreeLineColor

Width

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxDrawGridReportLink Properties

TdxDrawGridReportLink Legend

In TdxDrawGridReportLink

DefaultDrawing

DrawGrid

SupportedCustomDraw

Derived from TCustomdxGridReportLink

CustomGrid

Options

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

bmc Published.bmp} Transparent

bmc Published.bmp} UseHorzDelimiters

bmc Published.bmp} UseVertDelimiters

VisiblePageCount


TdxFlowChartReportLink Properties

TdxFlowChartReportLink Legend

In TdxFlowChartReportLink

FlowChart

TransparentColor

UseMetaFile

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxGridReportLink

TdxGridReportLink Properties

TdxGridReportLink Legend

In TdxGridReportLink

DesignWindow

Grid

OptionsCards

OptionsCharts

OptionsDetails

OptionsExpanding

OptionsFormatting

OptionsLevels

OptionsOnEveryPage

OptionsPagination

OptionsPreview

OptionsRefinements

OptionsSelection

OptionsSize

OptionsView

Styles

Derived from TdxCustomcxControlReportLink

ActiveStyles

AreNativeStylesAvailable

StyleRepository

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

VisiblePageCount


Properties for TdxGridReportLinkCardsShadow

TdxGridReportLinkCardsShadow Properties

TdxGridReportLinkCardsShadow Legend

In TdxGridReportLinkCardsShadow

Color

Depth

Position


Properties for TdxGridReportLinkOptions

TdxGridReportLinkOptions Properties

TdxGridReportLinkOptions Legend

In TdxGridReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsCards

TdxGridReportLinkOptionsCards Properties

TdxGridReportLinkOptionsCards Legend

In TdxGridReportLinkOptionsCards

AutoWidth

Borders

InterCardsSpaceHorz

InterCardsSpaceVert

KeepSameHeight

KeepSameWidth

RowBordersHorz

RowBordersVert

Shadow

Derived from TdxGridReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsCharts

TdxGridReportLinkOptionsCharts Properties

TdxGridReportLinkOptionsCharts Legend

In TdxGridReportLinkOptionsCharts

GraphicClass

GraphicClassName

Transparent

Derived from TdxGridReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsDetails

TdxGridReportLinkOptionsDetails Properties

TdxGridReportLinkOptionsDetails Legend

In TdxGridReportLinkOptionsDetails

OnlyFocusedView

StartFromFocusedView

Derived from TdxGridReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsExpanding

TdxGridReportLinkOptionsExpanding Properties

TdxGridReportLinkOptionsExpanding Legend

In TdxGridReportLinkOptionsExpanding

ReportLink

ExpandGroupRows

ExpandMasterRows

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsFormatting

TdxGridReportLinkOptionsFormatting Properties

TdxGridReportLinkOptionsFormatting Legend

In TdxGridReportLinkOptionsFormatting

ConsumeSelectionStyle

LookAndFeelKind

ReportLink

Derived from TdxCustomReportLinkOptionsFormatting

GridLineColor

LookAndFeelKind

SuppressBackgroundBitmaps

UseLookAndFeelColors

UseNativeStyles

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsLevels

TdxGridReportLinkOptionsLevels Properties

TdxGridReportLinkOptionsLevels Legend

In TdxGridReportLinkOptionsLevels

RiseActiveLevelOntoTop

Unwrap

UnwrapTopLevel

Derived from TdxGridReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsOnEveryPage

TdxGridReportLinkOptionsOnEveryPage Properties

TdxGridReportLinkOptionsOnEveryPage Legend

In TdxGridReportLinkOptionsOnEveryPage

BandHeaders

Caption

FilterBar

Footers

Headers

ReportLink

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsPagination

TdxGridReportLinkOptionsPagination Properties

TdxGridReportLinkOptionsPagination Legend

In TdxGridReportLinkOptionsPagination

Band

Column

ReportLink

Row

Derived from TdxGridReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsPreview

TdxGridReportLinkOptionsPreview Properties

TdxGridReportLinkOptionsPreview Legend

Derived from TdxCustomTableControlReportLinkOptionsPreview

AutoHeight

MaxLineCount

ReportLink

Visible

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsRefinements

TdxGridReportLinkOptionsRefinements Properties

TdxGridReportLinkOptionsRefinements Legend

In TdxGridReportLinkOptionsRefinements

DisplayGraphicsAsText

FlatCheckMarks

GraphicsText

ReportLink

TransparentGraphics

Derived from TdxCustomReportLinkOptionsRefinements

TransparentRichEdits

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsSelection

TdxGridReportLinkOptionsSelection Properties

TdxGridReportLinkOptionsSelection Legend

In TdxGridReportLinkOptionsSelection

ProcessExactSelection

ReportLink

Derived from TdxCustomTableControlReportLinkOptionsSelection

ProcessSelection

Derived from TdxCustomTableControlReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsSize

TdxGridReportLinkOptionsSize Properties

TdxGridReportLinkOptionsSize Legend

In TdxGridReportLinkOptionsSize

AutoWidth

ReportLink

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxGridReportLinkOptionsView

TdxGridReportLinkOptionsView Properties

TdxGridReportLinkOptionsView Legend

In TdxGridReportLinkOptionsView

BandHeaders

Caption

FilterBar

Footers

GroupFooters

Headers

ReportLink

Derived from TdxCustomTableControlReportLinkOptionsView

ExpandButtons

Derived from TdxCustomReportLinkOptions

ReportLink


Properties for TdxGridReportLinkStyles

TdxGridReportLinkStyles Properties

TdxGridReportLinkStyles Legend

In TdxGridReportLinkStyles

BandHeader

Caption

CardCaptionRow

CardRowCaption

Content

ContentEven

ContentOdd

FilterBar

Footer

Group

Header

Preview

ReportLink

Selection

Derived from TdxCustomReportLinkStyles

ReportLink

StylesByCaption

Derived from TcxCustomStyles

StyleSheet


Properties for TdxGridReportLinkStyleSheet

TdxGridReportLinkStyleSheet Properties

TdxGridReportLinkStyleSheet Legend

In TdxGridReportLinkStyleSheet

Styles

Derived from TcxCustomStyleSheet

Caption

StyleRepository


TdxImageReportLink Properties

TdxImageReportLink Legend

In TdxImageReportLink

Image

Derived from TCustomdxPictureReportLink

Picture

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxInspectorReportLink Properties

TdxInspectorReportLink

Legend

In TdxInspectorReportLink

Inspector

Derived from TCustomdxInspectorReportLink

AutoNodesExpand

AutoWidth

FixedTransparent

FixedColor

FixedFont

GridLineColor

GroupFont

GroupColor

GroupTransparent

OddColor

OddFont

Options

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxLayoutControlReportLink

TdxLayoutControlReportLink Properties

TdxLayoutControlReportLink Legend

In TdxLayoutControlReportLink

LayoutControl

OptionsPagination

OptionsSize

OptionsTransparent

Derived from TdxCustomContainerReportLink

Container

ExcludedComponentCount

ExcludedComponents

HiddenComponentCount

HiddenComponents

OptionsBehavior

OptionsDesignerTabs

OptionsPagination

OptionsRefinements

OptionsTransparent

SupportedCustomDraw

TopLevelContainer

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxLayoutControlReportLinkOptionsPagination

TdxLayoutControlReportLinkOptionsPagination Properties

TdxLayoutControlReportLinkOptionsPagination Legend

In TdxLayoutControlReportLinkOptionsPagination

Groups

Items

Derived from TdxCustomContainerReportLinkOptionsPagination

ControlDetails

Controls

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxLayoutControlReportLinkOptionsSize

TdxLayoutControlReportLinkOptionsSize Properties

TdxLayoutControlReportLinkOptionsSize Legend

In TdxLayoutControlReportLinkOptionsSize

AutoWidth

Derived from TdxCustomContainerReportLinkOptions

ReportLink


Properties for TdxLayoutControlReportLinkOptionsTransparent

TdxLayoutControlReportLinkOptionsTransparent Properties

TdxLayoutControlReportLinkOptionsTransparent Legend

In TdxLayoutControlReportLinkOptionsTransparent

Groups

Items

Derived from TdxCustomContainerReportLinkOptionsTransparent

Containers

Controls

Graphics

Root

Derived from TdxCustomContainerReportLinkOptions

ReportLink


TdxListBoxReportLink Properties

TdxListBoxReportLink Legend

In TdxListBoxReportLink

ListBox

Derived from TCustomdxListBoxReportLinkControl

Options

PaintItemsGraphics

TransparentGraphics

Derived from TdxCustomListBoxReportLink

CustomListBox

TextAlignX

TextAlignY

Width

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxMasterViewReportLink Properties

TdxMasterViewReportLink

Legend

In TdxMasterViewReportLink

AutoNodesExpand

CaptionColor

CaptionNodeFont

DrawMode

EvenColor

EvenFont

ExtendedSelect

FixedTransparent

FooterColor

FooterFont

GridLineColor

GroupNodeFont

GroupNodeColor

HeaderColor

HeaderFont

MasterView

OddColor

OddFont

OnlySelected

Options

PreviewColor

PreviewFont

PreviewLineCount

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxMemoReportLink Properties

TdxMemoReportLink Legend

In TdxMemoReportLink

Memo

Derived from TdxCustomMemoReportLink

CustomMemo

Derived from TdxCustomStringsReportLink

Strings

Derived from TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxOrgChartReportLink Properties

TdxOrgChartReportLink Legend

Derived from TCustomdxOrgChartReportLink

FullExpand

OrgChart

TransparentColor

UseMetafile

Derived from TCustomdxGraphicReportLink

BorderColor

DrawBorder

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxPageFooter Properties

TdxPageFooter

Legend

Derived from TCustomdxPageObject

CenterTextAlignY

CenterTitle

Font

LeftTextAlignY

LeftTitle

RightTextAlignY

RightTitle

TextAlignY

Titles

Derived from TdxPrinterPageObject

Background

Page


TdxPageHeader Properties

TdxPageHeader

Legend

Derived from TCustomdxPageObject

CenterTextAlignY

CenterTitle

Font

LeftTextAlignY

LeftTitle

RightTextAlignY

RightTitle

TextAlignY

Titles

Derived from TdxPrinterPageObject

Background

Page


TdxPageSetupDialog Properties

TdxPageSetupDialog

Legend

In TdxPageSetupDialog

ActivePageIndex

ButtonsEnabled

ButtonsVisible

HelpContext

HFMode

OptionsEnabled

OptionsVisible

PrintStyle

Title


TdxPictureReportLink Properties

TdxPictureReportLink Legend

In TdxPictureReportLink

Picture

Derived from TCustomdxGraphicReportLink

BorderColor

Center

DrawBorder

Proportional

Stretch

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxPreviewOptions Properties

TdxPreviewOptions Legend

In TdxPreviewOptions

Caption

EnableOptions

Height

HelpContext

HelpFile

Icon

Left

Rect

RegistryPath

SavePosition

SaveZoomPosition

Top

VisibleOptions

Width

WindowState


TdxPrintDialog Properties

TdxPrintDialog

In TdxPrintDialog

ButtonsEnabled

ButtonsVisible

Collate

Copies

DialogData

FileList

FileName

HelpContext

MaxRange

MinRange

OptionsEnabled

OptionsVisible

PageCount

PageNums

PageRanges

Pages

PreviewBtnClicked

PrintBtnClicked

PrintToFile

StyleManager

Title

UseFileList


TdxPrinterPage Properties

TdxPrinterPage

Legend

In TdxPrinterPage

AutoSwapMargins

CenterOnPageH

CenterOnPageV

DMPaper

FitToPagesByTall

FitToPagesByWide

Footer

GrayShading

Header

Margins

MeasurementUnits

MinMargins

Orientation

PageFooter

PageHeader

PageOrder

PageSize

PaperSource

RealMeasurementUnits

RealPageSize

ReverseTitlesOnEvenPages

ScaleFactor

ScaleMode

Derived from TdxPrinterPageObject

Background

Page


TdxPrinterPageObject Properties

TdxPrinterPageObject

Legend

In TdxPrinterPageObject

Background

Page


TdxPrintStyleManager Properties

TdxPrintStyleManager

Legend

In TdxPrintStyleManager

AutoHFTextEntries

AutoSave

CloneStyleCaptionPrefix

Count

CurrentStyle

CurrentStyleIndex

Designer

HelpContext

Images

PageSetupDialog

StorageName

Styles

Title

UpdateCount

Version


Properties for TdxPSDBBasedExplorer

TdxPSDBBasedExplorer Properties

TdxPSDBBasedExplorer Legend

In TdxPSDBBasedExplorer

Folders

FoldersFieldNamesMap

Items

ItemsFieldNamesMap

Root

Derived from TCustomdxPSExplorer

FilterLink

FilterLinkClass

Root

State


Properties for TdxPSDBBasedExplorerFieldNamesMap

TdxPSDBBasedExplorerFieldNamesMap Properties

TdxPSDBBasedExplorerFieldNamesMap Legend

In TdxPSDBBasedExplorerFieldNamesMap

ID

Name

ParentID

Derived from TCustomdxPSDBBasedExplorerFieldNamesMap

Explorer


Properties for TdxPSDBBasedExplorerFolder

TdxPSDBBasedExplorerFolder Properties

TdxPSDBBasedExplorerFolder Legend

In TdxPSDBBasedExplorerFolder

Folders

ID

Items

ParentID

Derived from TdxPSExplorerFolder

FolderCount

Folders

IsRoot

ItemCount

Items

Derived from TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


Properties for TdxPSDBBasedExplorerFoldersFieldNamesMap

TdxPSDBBasedExplorerFoldersFieldNamesMap Properties

TdxPSDBBasedExplorerFoldersFieldNamesMap Legend

Derived from TdxPSDBBasedExplorerFieldNamesMap

ID

Name

ParentID

Derived from TCustomdxPSDBBasedExplorerFieldNamesMap

Explorer


Properties for TdxPSDBBasedExplorerItem

TdxPSDBBasedExplorerItem Properties

TdxPSDBBasedExplorerItem Legend

In TdxPSDBBasedExplorerItem

ID

ParentID

Derived from TdxPSExplorerItem

HasInvalidData

IsCurrentlyLoaded

ReportDocument

Derived from TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


Properties for TdxPSDBBasedExplorerItemsFieldNamesMap

TdxPSDBBasedExplorerItemsFieldNamesMap Properties

TdxPSDBBasedExplorerItemsFieldNamesMap Legend

In TdxPSDBBasedExplorerItemsFieldNamesMap

Data

Derived from TdxPSDBBasedExplorerFieldNamesMap

ID

Name

ParentID

Derived from TCustomdxPSDBBasedExplorerFieldNamesMap

Explorer


TdxPSEngine Properties

TdxPSEngine

Legend

In TdxPSEngine

DesignTimeRegistryPath

HelpFile

LookAndFeel

RealRegistryPath

RegistryPath

SaveFormsPosition


TdxPSEngineController Properties

TdxPSEngineController

Legend

In TdxPSEngineController

HelpFile

LookAndFeel

RegistryPath

SaveFormsPosition

UseNativeLookAndFeel


Properties for TdxPSExplorerFolder

TdxPSExplorerFolder Properties

TdxPSExplorerFolder Legend

In TdxPSExplorerFolder

FolderCount

Folders

IsRoot

ItemCount

Items

Derived from TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


Properties for TdxPSExplorerItem

TdxPSExplorerItem Properties

TdxPSExplorerItem Legend

In TdxPSExplorerItem

HasInvalidData

IsCurrentlyLoaded

ReportDocument

Derived from TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


Properties for TdxPSFileBasedExplorer

TdxPSFileBasedExplorer Properties

TdxPSFileBasedExplorer Legend

In TdxPSFileBasedExplorer

Options

RealRootPath

Root

RootPath

Derived from TCustomdxPSExplorer

FilterLink

FilterLinkClass

Root

State


Properties for TdxPSFileBasedExplorerFolder

TdxPSFileBasedExplorerFolder Properties

TdxPSFileBasedExplorerFolder Legend

In TdxPSFileBasedExplorerFolder

DirName

Folders

FullQualifiedDirName

FullQualifiedDirPath

IsVolume

Items

Derived from TdxPSExplorerFolder

FolderCount

Folders

IsRoot

ItemCount

Items

Derived from TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


Properties for TdxPSFileBasedExplorerItem

TdxPSFileBasedExplorerItem Properties

TdxPSFileBasedExplorerItem Legend

In TdxPSFileBasedExplorerItem

FileName

FullQualifiedFileName

FullQualifiedFilePath

Derived from TdxPSExplorerItem

HasInvalidData

IsCurrentlyLoaded

ReportDocument

Derived from TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


Properties for TdxPSFileBasedExplorerRootFolder

TdxPSFileBasedExplorerRootFolder Properties

TdxPSFileBasedExplorerRootFolder Legend

In TdxPSFileBasedExplorerRootFolder

DriveType

VolumeLabel

In TdxPSFileBasedExplorerFolder

DirName

Folders

FullQualifiedDirName

FullQualifiedDirPath

IsVolume

Items

Derived from TdxPSExplorerFolder

FolderCount

Folders

IsRoot

ItemCount

Items

Derived from TCustomdxPSExplorerItem

DisplayName

InfoTip

Name

Parent


TdxPSPrintStyle Properties

TdxPSPrintStyle

Legend

Derived from TBasedxPrintStyle

AllowChangeHFText

AllowChangeMargins

AllowChangeOrientation

AllowChangeOrientation

AllowChangeScale

BuiltIn

Data

Description

ImageIndex

Index

IsCurrentStyle

PrinterPage

ShowPageSetupDlg

State

StyleCaption

StyleGlyph

StyleManager


Properties for TdxPSReportCompositionDocument

TdxPSReportCompositionDocument Properties

TdxPSReportCompositionDocument Legend

In TdxPSReportCompositionDocument

ReportLink

Derived from TdxPSReportDocument

Caption

CreationDate

Creator

Description

InfoTip

Preview

ReportLink


Properties for TdxPSReportDocument

TdxPSReportDocument Properties

TdxPSReportDocument Legend

In TdxPSReportDocument

Caption

CreationDate

Creator

Description

InfoTip

Preview

ReportLink


TdxReportTitle.Properties

TdxReportTitle Legend

In TdxReportTitle

AdjustOnReportScale

Color

Font

Mode

ReportLink

Text

TextAlignX

TextAlignY

Transparent


TdxRichEditReportLink Properties

TdxRichEditReportLink

Legend

In TdxRichEditReportLink

RichEdit

Derived from TCustomdxRichEditReportLink

CustomRichEdit

Derived from TAbstractdxRichEditReportLink

OnlySelected

REHandle

RichEditVersion

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxRTTIInspectorReportLink Properties

TdxRTTIInspectorReportLink

Legend

In TdxRTTIInspectorReportLink

RTTIInspector

Derived from TCustomdxInspectorReportLink

AutoNodesExpand

AutoWidth

FixedTransparent

FixedColor

FixedFont

GridLineColor

GroupFont

GroupColor

GroupTransparent

OddColor

OddFont

Options

SupportedCustomDraw

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxSpreadSheetBookReportLink

TdxSpreadSheetBookReportLink Properties

TdxSpreadSheetBookReportLink Legend

In TdxSpreadSheetBookReportLink

SpreadSheetBook

Derived from TCustomdxSpreadSheetReportLink

BookSheet

CustomSpreadSheetBook

OptionsView

PrintArea

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


Properties for TdxSpreadSheetReportLink

TdxSpreadSheetReportLink Properties

TdxSpreadSheetReportLink Legend

In TdxSpreadSheetReportLink

SpreadSheet

Derived from TCustomdxSpreadSheetReportLink

BookSheet

CustomSpreadSheetBook

OptionsView

PrintArea

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxStringGridReportLink Properties

TdxStringGridReportLink Legend

In TdxStringGridReportLink

StringGrid

TextAlignX

TextAlignY

Derived from TCustomdxGridReportLink

CustomGrid

Options

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxTeeChartReportLink Properties

TdxTeeChartReportLink Legend

Derived from TCustomdxTeeChartReportLink

Chart

Derived from TCustomdxGraphicReportLink

BorderColor

DrawBorder

TransparentColor

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxTextReportLink Properties

TdxTextReportLink Legend

Derived from TdxCustomStringsReportLink

Strings

Derived from TdxCustomTextReportLink

Alignment

SupportedCustomDraw

Text

TextRowSpacing

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxTreeListReportLink Properties

TdxTreeListReportLink Legend

In TdxTreeListReportLink

TreeList

Derived from TCustomdxTreeListReportLink

AutoNodesExpand

BandColor

BandFont

BandsOnEveryPage

CustomTreeList

DrawMode

EvenColor

EvenFont

ExpandLevel

ExtendedColorManage

ExtendedSelect

FixedTransparent

FooterFont

GraphicAsTextValue

GridLineColor

GroupNodeColor

GroupNodeFont

HeaderColor

HeaderFont

HorzDelimitByBands

GridLineColor

OddColor

OddFont

OnlySelected

Options

PreviewColor

PreviewFont

PreviewLineCount

RowFooterColor

RowFooterFont

SupportedCustomDraw

TreeLineColor

UseColumnFont

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxTreeViewExReportLink Properties

TdxTreeViewExReportLink

Legend

In TdxTreeViewExReportLink

dxTreeView

Derived from TCustomdxTreeViewReportLink

SupportedCustomDraw

Derived from TCustomdxNativeTreeViewReportLink

AutoNodesExpand

AutoWidth

ExpandLevel

ExplicitTreeViewExpand

GridLineColor

NodeAutoHeight

Options

TreeLineColor

Width

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TdxTreeViewReportLink Properties

TdxTreeViewReportLink

Legend

In TdxTreeViewReportLink

TreeView

Derived from TCustomdxTreeViewReportLink

SupportedCustomDraw

Derived from TCustomdxNativeTreeViewReportLink

AutoNodesExpand

AutoWidth

ExpandLevel

ExplicitTreeViewExpand

GridLineColor

NodeAutoHeight

Options

TreeLineColor

Width

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TrxRichEditReportLink Properties

TrxRichEditReportLink

Legend

In TrxRichEditReportLink

rxRichEdit

Derived from TAbstractdxRichEditReportLink

OnlySelected

REHandle

RichEditVersion

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TStddxGridReportLink Properties

TStddxGridReportLink

Legend

Derived from TCustomdxGridReportLink

CustomGrid

Options

Derived from TAbstractdxGridReportLink

AutoWidth

DrawMode

Effects3D

EndEllipsis

EvenColor

EvenFont

FixedColor

FixedFont

FixedTransparent

GridLineColor

IncludeFixed

Multiline

OddColor

OddFont

OnlySelected

RowAutoHeight

Soft3D

SupportedCustomDraw

UseCustomPageBreaks

Derived from TBasedxReportLink

AbortBuilding

Active

AssignedFormatValues

BuiltIn

Caption

Color

Component

ComponentPrinter

CurrentPage

CurrentPrintStyle

Data

DateFormat

DateTime

Description

DesignerCaption

DesignerHelpContext

EmptyPagesCanExists

Font

FootersOnEveryPage

HasDesignWindow

HeadersOnEveryPage

Index

IsCurrentLink

PageCount

PageNumberFormat

PrinterPage

RealPrinterPage

RealScaleFactor

RebuildNeeded

ReportHeight

ReportTitle

ReportTitleMode

ReportTitleText

ReportWidth

ScaleFonts

ShowDesigner

ShowEmptyPages

ShowPageFooter

ShowPageHeader

ShrinkToPageWidth

StartPageIndex

StyleManager

TimeFormat

Transparent

UseHorzDelimiters

UseVertDelimiters

VisiblePageCount


TAbstractdxPreviewWindowDesignerHierarchy

Hierarchy

TObject

|


TAbstractdxReportLinkDesignerHierarchy

Hierarchy

TObject

|


TAbstractdxReportLinkDesignWindowHierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|


TBasedxPreviewWindowHierarchy

Hierarchy

TForm

|


TBasedxReportLink Hierarchy

Hierarchy

TComponent

|


TCustomdxComponentPrinter.AssignReportLinks

TCustomdxComponentPrinter

Copies report links.

procedure AssignReportLinks(Source : TCustomdxComponentPrinter);

Description

The AssignReportLinks method deletes all report links and then copies all report links contained in the TCustomdxComponentPrinter object specified by the Source parameter.


TCustomdxListBoxReportLinkControl_Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TAbstractdxGridReportLink

|

TdxCustomListBoxReportLink

|


TCustomdxNativeTreeViewReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|


TCustomdxOrgChartReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxGraphicReportLink

|


TCustomdxPSDBBasedExplorerFieldNamesMap Hierarchy

Hierarchy

TPersistent

|


TCustomdxPSExplorer Hierarchy

Hierarchy

TComponent

|


TCustomdxPSExplorerItem Hierarchy

Hierarchy

TObject

|


TCustomdxSpreadSheetReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TAbstractdxGridReportLink

|


TCustomdxTeeChartReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxGraphicReportLink

|


TCustomdxTreeListReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|


TcxCustomMemoReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomTextReportLink

|

TdxCustomStringsReportLink

|

TdxCustomMemoReportLink

|


TcxCustomSchedulerReportLinkOptions Hierarchy

Hierarchy

TdxCustomReportLinkOptions

|

TcxCustomSchedulerReportLinkOptions


TcxCustomSchedulerReportLinkPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle


TcxCustomVerticalGridReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|


TcxDBMemoReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomTextReportLink

|

TdxCustomStringsReportLink

|

TdxCustomMemoReportLink

|


TcxDBTreeListReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TdxCustomTableControlReportLink

|

TcxTreeListControlReportLink

|


TcxDBVerticalGridReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TcxCustomVerticalGridReportLink

|

TcxVirtualVerticalGridReportLink

|


TcxfmSchedulerReportLinkDesignWindow Hierarchy

Hierarchy

TdxfmCustomcxControlReportLinkDesignWindow

|

TcxfmSchedulerReportLinkDesignWindow


TcxfmVerticalGridReportLinkDesignWindow Hierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|

TdxfmCustomcxControlReportLinkDesignWindow

|


TcxMemoReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomTextReportLink

|

TdxCustomStringsReportLink

|

TdxCustomMemoReportLink

|

TcxCustomMemoReportLink

|


TcxRTTIInspectorReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TcxCustomVerticalGridReportLink

|

TcxUnboundVerticalGridReportLink

|


TcxSchedulerReportLink Hierarchy

Hierarchy

TdxCustomcxControlReportLink

|

TcxSchedulerReportLink


TcxSchedulerReportLinkDailyPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkDailyPrintStyle


TcxSchedulerReportLinkDetailsPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkDetailsPrintStyle


TcxSchedulerReportLinkMemoPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkMemoPrintStyle


TcxSchedulerReportLinkMonthlyPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkMonthlyPrintStyle


TcxSchedulerReportLinkOptionsFormatting Hierarchy

Hierarchy

TdxCustomReportLinkOptionsFormatting

|

TcxSchedulerReportLinkOptionsFormatting


TcxSchedulerReportLinkPrintRange Hierarchy

Hierarchy

TdxCustomReportLinkOptions

|

TcxCustomSchedulerReportLinkOptions

|

TcxSchedulerReportLinkPrintRange


TcxSchedulerReportLinkPrintStyles Hierarchy

Hierarchy

TdxCustomReportLinkOptions

|

TcxCustomSchedulerReportLinkOptions

|

TcxSchedulerReportLinkPrintStyles


TcxSchedulerReportLinkStyles Hierarchy

Hierarchy

TdxCustomReportLinkStyles

|

TcxSchedulerReportLinkStyles


TcxSchedulerReportLinkTimeLinePrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkTimeLinePrintStyle


TcxSchedulerReportLinkTrifoldPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkTrifoldPrintStyle


TcxSchedulerReportLinkWeeklyPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkWeeklyPrintStyle


TcxSchedulerReportLinkYearlyPrintStyle Hierarchy

Hierarchy

TPersistent

|

TcxCustomSchedulerReportLinkPrintStyle

|

TcxSchedulerReportLinkYearlyPrintStyle


TcxTreeListControlReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TdxCustomTableControlReportLink

|


TcxTreeListReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TdxCustomTableControlReportLink

|

TcxTreeListControlReportLink

|


TcxTreeListReportLinkOptionsExpanding Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsExpanding

|


TcxTreeListReportLinkOptionsFormatting Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsFormatting

|


TcxTreeListReportLinkOptionsOnEveryPage Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|

TdxCustomTableControlReportLinkOptionsOnEveryPage

|


TcxTreeListReportLinkOptionsPagination Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsPagination

|


TcxTreeListReportLinkOptionsPreview Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|

TdxCustomTableControlReportLinkOptionsPreview

|


TcxTreeListReportLinkOptionsRefinements Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsRefinements

|


TcxTreeListReportLinkOptionsSelection Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|

TdxCustomTableControlReportLinkOptionsSelection

|


TcxTreeListReportLinkOptionsSize Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsSize

|


TcxTreeListReportLinkOptionsView Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsView

|

TdxCustomTableControlReportLinkOptionsView

|


TcxTreeListReportLinkStyles Hierarchy

Hierarchy

TInterfacedPersistent

|

TcxInterfacedPersistent

|

TcxCustomStyles

|

TcxStyles

|

TdxCustomReportLinkStyles

|


TcxTreeListReportLinkStyleSheet Hierarchy

Hierarchy

TComponent

|

TcxComponent

|

TcxCustomStyleSheet

|

TdxCustomReportLinkStyleSheet

|


TcxUnboundVerticalGridReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TcxCustomVerticalGridReportLink

|


TcxVerticalGridReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TcxCustomVerticalGridReportLink

|

TcxUnboundVerticalGridReportLink

|


TcxVerticalGridReportLinkOptionsExpanding Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsExpanding

|


TcxVerticalGridReportLinkOptionsFormatting Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsFormatting

|


TcxVerticalGridReportLinkOptionsPagination Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsPagination

|


TcxVerticalGridReportLinkOptionsRefinements Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsRefinements

|


TcxVerticalGridReportLinkOptionsSize Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsSize

|


TcxVerticalGridReportLinkOptionsView Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsView

|


TcxVerticalGridReportLinkStyles Hierarchy

Hierarchy

TInterfacedPersistent

|

TcxInterfacedPersistent

|

TcxCustomStyles

|

TcxStyles

|

TdxCustomReportLinkStyles

|


TcxVerticalGridReportLinkStyleSheet Hierarchy

Hierarchy

TComponent

|

TcxCustomStyleSheet

|

TdxCustomReportLinkStyleSheet

|


TcxVirtualTreeListReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TdxCustomTableControlReportLink

|

TcxTreeListControlReportLink

|


TcxVirtualVerticalGridReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TcxCustomVerticalGridReportLink

|


TdxBackgroundHierarchy

Hierarchy

TPersistent

|

TdxBaseObject

|


TdxCheckListBoxReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TAbstractdxGridReportLink

|

TdxCustomListBoxReportLink

|


TdxCLbReportLinkDesignWindowHierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|


TdxComponentPrinterHierarchy

Hierarchy

TComponent

|

TCustomdxComponentPrinter

|


TdxCustomContainerReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|


TdxCustomContainerReportLinkOptions Hierarchy

Hierarchy

TPersistent

|


TdxCustomContainerReportLinkOptionsBehavior Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|


TdxCustomContainerReportLinkOptionsDesignerTabs Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|


TdxCustomContainerReportLinkOptionsItemPlace Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|


TdxCustomContainerReportLinkOptionsPagination Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|


TdxCustomContainerReportLinkOptionsRefinements Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|


TdxCustomContainerReportLinkOptionsTransparent Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|


TdxCustomcxControlReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|


TdxCustomMemoReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomTextReportLink

|

TdxCustomStringsReportLink

|


TdxCustomReportLinkOptions Hierarchy

Hierarchy

TPersistent

|


TdxCustomReportLinkOptionsExpanding Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxCustomReportLinkOptionsFormatting Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxCustomReportLinkOptionsPagination Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxCustomReportLinkOptionsRefinements Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxCustomReportLinkOptionsSize Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxCustomReportLinkOptionsView Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxCustomReportLinkStyles Hierarchy

Hierarchy

TInterfacedPersistent

|

TcxInterfacedPersistent

|

TcxCustomStyles

|

TcxStyles

|


TdxCustomReportLinkStyleSheet Hierarchy

Hierarchy

TComponent

|

TcxCustomStyleSheet

|


TdxCustomStringsReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomTextReportLink

|


TdxCustomTableControlReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|


TdxCustomTableControlReportLinkOptions Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxCustomTableControlReportLinkOptionsOnEveryPage Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|


TdxCustomTableControlReportLinkOptionsPagination Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsPagination

|


TdxCustomTableControlReportLinkOptionsPreview Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|


TdxCustomTableControlReportLinkOptionsSelection Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|


TdxCustomTableControlReportLinkOptionsView Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsView

|


TdxCustomTextReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|


TdxDBGridReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxTreeListReportLink

|

TdxDBTreeListControlReportLink

|


TdxDBOrgChartReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxGraphicReportLink

|

TCustomdxOrgChartReportLink

|


TdxDBTeeChartReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxGraphicReportLink

|

TCustomdxTeeChartReportLink

|


TdxDBTreeListReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxTreeListReportLink

|

TdxDBTreeListControlReportLink

|


TdxDGrReportLinkDesignWindow Hierarchy

Hierarchy

TForm

|

TAbstractdxReportLinkDesigner

|


TdxDrawGridReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TAbstractdxGridReportLink

|

TCustomdxGridReportLink

|

TStddxGridReportLink

|


TdxFCReportLinkDesignWindowHierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|


TdxFlowChartReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxGraphicReportLink

|


TdxfmCustomcxControlReportLinkDesignWindow Hierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|


TdxfmGridReportLinkDesignWindow Hierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|

TdxfmCustomcxControlReportLinkDesignWindow

|


TdxfmTreeListReportLinkDesignWindow Hierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|

TdxfmCustomcxControlReportLinkDesignWindow

|


TdxGridReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomcxControlReportLink

|

TdxCustomTableControlReportLink

|


TdxGridReportLinkCardsShadow Hierarchy

Hierarchy

TPersistent

|


TdxGridReportLinkOptions Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|


TdxGridReportLinkOptionsCards Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxGridReportLinkOptions

|


TdxGridReportLinkOptionsCharts Hierarchy

Hierarchy

TdxCustomReportLinkOptions

|

TdxGridReportLinkOptions

|

TdxGridReportLinkOptionsCharts


TdxGridReportLinkOptionsDetails Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxGridReportLinkOptions

|


TdxGridReportLinkOptionsExpanding Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsExpanding

|


TdxGridReportLinkOptionsFormatting Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsFormatting

|


TdxGridReportLinkOptionsLevels Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxGridReportLinkOptions

|


TdxGridReportLinkOptionsOnEveryPage Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|

TdxCustomTableControlReportLinkOptionsOnEveryPage

|


TdxGridReportLinkOptionsPagination Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsPagination

|

TdxCustomTableControlReportLinkOptionsPagination

|


TdxGridReportLinkOptionsPreview Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|

TdxCustomTableControlReportLinkOptionsPreview

|


TdxGridReportLinkOptionsRefinements Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxGridReportLinkOptionsRefinements

|


TdxGridReportLinkOptionsSelection Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomTableControlReportLinkOptions

|

TdxCustomTableControlReportLinkOptionsSelection

|


TdxGridReportLinkOptionsSize Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsSize

|


TdxGridReportLinkOptionsView Hierarchy

Hierarchy

TPersistent

|

TdxCustomReportLinkOptions

|

TdxCustomReportLinkOptionsView

|

TdxCustomTableControlReportLinkOptionsView

|


TdxGridReportLinkStyles Hierarchy

Hierarchy

TInterfacedPersistent

|

TcxInterfacedPersistent

|

TcxCustomStyles

|

TcxStyles

|

TdxCustomReportLinkStyles

|


TdxGridReportLinkStyleSheet Hierarchy

Hierarchy

TComponent

|

TcxCustomStyleSheet

|

TdxCustomReportLinkStyleSheet

|


TdxLayoutControlReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomContainerReportLink

|


TdxLayoutControlReportLinkOptionsPagination Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|

TdxCustomContainerReportLinkOptionsPagination

|


TdxLayoutControlReportLinkOptionsSize Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|


TdxLayoutControlReportLinkOptionsTransparent Hierarchy

Hierarchy

TPersistent

|

TdxCustomContainerReportLinkOptions

|

TdxCustomContainerReportLinkOptionsTransparent

|


TdxLbxReportLinkDesignWindowHierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|


TdxListBoxReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TAbstractdxGridReportLink

|

TdxCustomListBoxReportLink

|

TCustomdxListBoxReportLinkControl

|


TdxMemoReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomTextReportLink

|

TdxCustomStringsReportLink

|

TdxCustomMemoReportLink

|


TdxOCReportLinkDesignWindowHierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|


TdxOrgChartReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxGraphicReportLink

|

TCustomdxOrgChartReportLink

|


TdxPreviewOptions.SaveZoomPosition

TdxPreviewOptions

Specifies whether the preview window's zoom settings should be saved when it’s closed.

property SaveZoomPosition : Boolean;

Description

Set the SaveZoomPosition property to True to save the zoom level used to display a specific report link’s pages and thus have the same report view displayed the next time the preview window is opened. Otherwise, the zoom settings are not saved.

Note that the component printer’s RegistryPath property or the RegistryPath property of the TdxPSEngineController component should be specified in order to save the zoom settings.

The default value of the SaveZoomPosition property is True.


TdxPreviewOptionsHierarchy

Hierarchy

TObject

|

TPersistent

|

TdxBaseObject

|


TdxPSDBBasedExplorer Hierarchy

Hierarchy

TComponent

|

TCustomdxPSExplorer

|


TdxPSDBBasedExplorerFieldNamesMap Hierarchy

Hierarchy

TPersistent

|

TCustomdxPSDBBasedExplorerFieldNamesMap

|


TdxPSDBBasedExplorerFolder Hierarchy

Hierarchy

TObject

|

TCustomdxPSExplorerItem

|

TdxPSExplorerFolder

|


TdxPSDBBasedExplorerFoldersFieldNamesMap Hierarchy

Hierarchy

TPersistent

|

TCustomdxPSDBBasedExplorerFieldNamesMap

|

TdxPSDBBasedExplorerFieldNamesMap

|


TdxPSDBBasedExplorerItem Hierarchy

Hierarchy

TObject

|

TCustomdxPSExplorerItem

|

TdxPSExplorerItem

|


TdxPSDBBasedExplorerItemsFieldNamesMap Hierarchy

Hierarchy

TPersistent

|

TCustomdxPSDBBasedExplorerFieldNamesMap

|

TdxPSDBBasedExplorerFieldNamesMap

|


TdxPSExplorerFolder Hierarchy

Hierarchy

TObject

|

TCustomdxPSExplorerItem

|


TdxPSExplorerItem Hierarchy

Hierarchy

TObject

|

TCustomdxPSExplorerItem

|


TdxPSFileBasedExplorer Hierarchy

Hierarchy

TComponent

|

TCustomdxPSExplorer

|


TdxPSFileBasedExplorerFolder Hierarchy

Hierarchy

TObject

|

TCustomdxPSExplorerItem

|

TdxPSExplorerFolder

|


TdxPSFileBasedExplorerItem Hierarchy

Hierarchy

TObject

|

TCustomdxPSExplorerItem

|

TdxPSExplorerItem

|


TdxPSFileBasedExplorerRootFolder Hierarchy

Hierarchy

TObject

|

TCustomdxPSExplorerItem

|

TdxPSExplorerFolder

|

TdxPSFileBasedExplorerFolder

|


TdxPSReportCompositionDocument Hierarchy

Hierarchy

TPersistent

|

TdxPSReportDocument

|


TdxPSReportDocument Hierarchy

Hierarchy

TPersistent

|


TdxReportCellsHierarchy

Hierarchy

TObject

|

TPersistent

|


TdxSGrReportLinkDesignWindowHierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|


TdxSpreadSheetBookReportLink Hierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TAbstractdxGridReportLink

|

TCustomdxSpreadSheetReportLink

|


TdxSpreadSheetReportLink Hierarchy

Hierarchy

TAbstractdxGridReportLink

|

TCustomdxSpreadSheetReportLink

|


TdxStringGridReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TAbstractdxGridReportLink

|

TCustomdxGridReportLink

|

TStddxGridReportLink

|


TdxTeeChartReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxGraphicReportLink

|

TCustomdxTeeChartReportLink

|


TdxTextReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TdxCustomTextReportLink

|

TdxCustomStringsReportLink

|


TdxTLReportLinkDesignWindowHierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|

TStandarddxReportLinkDesignWindow

|


TdxTreeListReportLinkHierarchy

Hierarchy

TComponent

|

TBasedxReportLink

|

TCustomdxTreeListReportLink

|


TeeChart Notes

To use the TeeChart Pro library with the ExpressPrintingSystem you should perform the following steps:

The dpk files should be changed in Delphi.

  1. Open the dxPSTeeChartd5.dpk file in any editor. Locate the Requires section and replace the tee50 package with tee55.

For instance, the section may look like this:

requires

vcl50,

dxPSCored5,

tee50;

Replace it with:

requires

vcl50,

dxPSCored5,

tee55;

  2. Modify the dxPSDBTeeChartd5.dpk file as described above. Do not forget to change the teedb50 entry to teedb55 in the Requires section.

  3. Run Delphi, open the dxPSTeeChartd5.dpk file and compile it (do not press the "Install" button in the package window).

  4. Open the dxPSDBTeeChartd5.dpk file. Compile it.

  5. Copy the following resulting files

dxPSDBTeeChartd5.bpl

dxPSTeeChartd5.bpl

dxPSDBTeeChartD5.dcp

dxPSTeeChartD5.dcp

dxPSDBTCLnk.dcu

dxPSTCLnk.dcu

into the Lib directory of the ExpressPrintingSystem (by default, C:\Program Files\Developer Express Inc\ExpressPrinting System\Delphi 5\Lib\).

You need to change both the bpk and cpp files in C++Builder.

  1. Open the dxPSTeeChartc5.bpk file in any editor. Locate the PACKAGES section and replace the tee50 package with tee55.

For instance, an old string may look like this:

PACKAGES = vcl50.bpi tee50.bpi dxPSCorec5.bpi

Replace it with:

PACKAGES = vcl50.bpi tee55.bpi dxPSCorec5.bpi

  2. Open the dxPSTeeChartc5.cpp file and change the USEPACKAGE("tee50.bpi"); directive to USEPACKAGE("tee55.bpi");

  3. Modify the dxPSDBTeeChartc5.bpk file as described above. Do not forget to change the teedb50.bpi entry to teedb55.bpi in the PACKAGES section.

  4. Open the dxPSDBTeeChartc5.cpp file and change the USEPACKAGE("tee50.bpi"); and USEPACKAGE("teedb50.bpi"); directives to USEPACKAGE("tee55.bpi"); and USEPACKAGE("teedb55.bpi"); respectively.

  5. Run C++Builder, open the dxPSTeeChartc5.bpk file. Compile it (do not press the "Install" button in the package window).

  6. Open the dxPSDBTeeChartc5.bpk file and compile it.

  7. Locate the generated files

dxPSDBTeeChartc5.bpi

dxPSTeeChartc5.bpi

dxPSDBTeeChartc5.bpl

dxPSTeeChartc5.bpl

dxPSDBTeeChartc5.lib

dxPSTeeChartc5.lib

and copy them into the Lib directory of the ExpressPrintingSystem (by default C:\Program Files\Developer Express Inc\ExpressPrinting System\C++Builder 5\Lib\).


TStandarddxReportLinkDesignWindow Hierarchy

Hierarchy

TForm

|

TCustomdxPSForm

|

TAbstractdxReportLinkDesignWindow

|